#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 2699
#define LARGE_STATE_COUNT 584
#define SYMBOL_COUNT 426
#define ALIAS_COUNT 1
#define TOKEN_COUNT 193
#define EXTERNAL_TOKEN_COUNT 12
#define FIELD_COUNT 31
#define MAX_ALIAS_SEQUENCE_LENGTH 12
#define PRODUCTION_ID_COUNT 219

enum ts_symbol_identifiers {
  sym_name = 1,
  anon_sym_QMARK_GT = 2,
  sym_php_tag = 3,
  anon_sym_SEMI = 4,
  anon_sym_AMP = 5,
  aux_sym_function_static_declaration_token1 = 6,
  anon_sym_COMMA = 7,
  anon_sym_EQ = 8,
  aux_sym_global_declaration_token1 = 9,
  aux_sym_namespace_definition_token1 = 10,
  aux_sym_namespace_use_declaration_token1 = 11,
  aux_sym_namespace_use_clause_token1 = 12,
  aux_sym__namespace_use_type_token1 = 13,
  aux_sym__namespace_use_type_token2 = 14,
  anon_sym_BSLASH = 15,
  anon_sym_LBRACE = 16,
  anon_sym_RBRACE = 17,
  aux_sym_trait_declaration_token1 = 18,
  aux_sym_interface_declaration_token1 = 19,
  aux_sym_base_clause_token1 = 20,
  aux_sym_enum_declaration_token1 = 21,
  anon_sym_COLON = 22,
  anon_sym_string = 23,
  anon_sym_int = 24,
  aux_sym_enum_case_token1 = 25,
  aux_sym_class_declaration_token1 = 26,
  aux_sym_final_modifier_token1 = 27,
  aux_sym_abstract_modifier_token1 = 28,
  aux_sym_readonly_modifier_token1 = 29,
  aux_sym_class_interface_clause_token1 = 30,
  anon_sym_EQ_GT = 31,
  sym_var_modifier = 32,
  aux_sym_use_instead_of_clause_token1 = 33,
  aux_sym_visibility_modifier_token1 = 34,
  aux_sym_visibility_modifier_token2 = 35,
  aux_sym_visibility_modifier_token3 = 36,
  anon_sym_LPAREN = 37,
  anon_sym_RPAREN = 38,
  anon_sym_LPAREN2 = 39,
  anon_sym_RPAREN2 = 40,
  aux_sym__arrow_function_header_token1 = 41,
  anon_sym_DOT_DOT_DOT = 42,
  anon_sym_QMARK = 43,
  sym_bottom_type = 44,
  anon_sym_PIPE = 45,
  anon_sym_array = 46,
  aux_sym_primitive_type_token1 = 47,
  anon_sym_iterable = 48,
  anon_sym_bool = 49,
  anon_sym_float = 50,
  anon_sym_void = 51,
  anon_sym_mixed = 52,
  anon_sym_false = 53,
  anon_sym_null = 54,
  anon_sym_true = 55,
  aux_sym_cast_type_token1 = 56,
  aux_sym_cast_type_token2 = 57,
  aux_sym_cast_type_token3 = 58,
  aux_sym_cast_type_token4 = 59,
  aux_sym_cast_type_token5 = 60,
  aux_sym_cast_type_token6 = 61,
  aux_sym_cast_type_token7 = 62,
  aux_sym_cast_type_token8 = 63,
  aux_sym_cast_type_token9 = 64,
  aux_sym_cast_type_token10 = 65,
  aux_sym_cast_type_token11 = 66,
  aux_sym_cast_type_token12 = 67,
  aux_sym_echo_statement_token1 = 68,
  aux_sym_exit_statement_token1 = 69,
  anon_sym_unset = 70,
  aux_sym_declare_statement_token1 = 71,
  aux_sym_declare_statement_token2 = 72,
  anon_sym_ticks = 73,
  anon_sym_encoding = 74,
  anon_sym_strict_types = 75,
  sym_float = 76,
  aux_sym_try_statement_token1 = 77,
  aux_sym_catch_clause_token1 = 78,
  aux_sym_finally_clause_token1 = 79,
  aux_sym_goto_statement_token1 = 80,
  aux_sym_continue_statement_token1 = 81,
  aux_sym_break_statement_token1 = 82,
  sym_integer = 83,
  aux_sym_return_statement_token1 = 84,
  aux_sym_throw_expression_token1 = 85,
  aux_sym_while_statement_token1 = 86,
  aux_sym_while_statement_token2 = 87,
  aux_sym_do_statement_token1 = 88,
  aux_sym_for_statement_token1 = 89,
  aux_sym_for_statement_token2 = 90,
  aux_sym_foreach_statement_token1 = 91,
  aux_sym_foreach_statement_token2 = 92,
  aux_sym_if_statement_token1 = 93,
  aux_sym_if_statement_token2 = 94,
  aux_sym_else_if_clause_token1 = 95,
  aux_sym_else_clause_token1 = 96,
  aux_sym_match_expression_token1 = 97,
  aux_sym_match_default_expression_token1 = 98,
  aux_sym_switch_statement_token1 = 99,
  aux_sym_switch_block_token1 = 100,
  anon_sym_PLUS = 101,
  anon_sym_DASH = 102,
  anon_sym_TILDE = 103,
  anon_sym_BANG = 104,
  anon_sym_AT = 105,
  aux_sym_clone_expression_token1 = 106,
  anon_sym_COLON_COLON = 107,
  aux_sym_print_intrinsic_token1 = 108,
  aux_sym__new_non_dereferencable_expression_token1 = 109,
  anon_sym_DASH_DASH = 110,
  anon_sym_PLUS_PLUS = 111,
  anon_sym_STAR_STAR_EQ = 112,
  anon_sym_STAR_EQ = 113,
  anon_sym_SLASH_EQ = 114,
  anon_sym_PERCENT_EQ = 115,
  anon_sym_PLUS_EQ = 116,
  anon_sym_DASH_EQ = 117,
  anon_sym_DOT_EQ = 118,
  anon_sym_LT_LT_EQ = 119,
  anon_sym_GT_GT_EQ = 120,
  anon_sym_AMP_EQ = 121,
  anon_sym_CARET_EQ = 122,
  anon_sym_PIPE_EQ = 123,
  anon_sym_QMARK_QMARK_EQ = 124,
  anon_sym_DASH_GT = 125,
  anon_sym_QMARK_DASH_GT = 126,
  aux_sym__list_destructing_token1 = 127,
  anon_sym_LBRACK = 128,
  anon_sym_RBRACK = 129,
  anon_sym_self = 130,
  anon_sym_parent = 131,
  aux_sym__argument_name_token1 = 132,
  aux_sym__argument_name_token2 = 133,
  anon_sym_POUND_LBRACK = 134,
  sym_escape_sequence = 135,
  anon_sym_BSLASHu = 136,
  aux_sym_encapsed_string_token1 = 137,
  anon_sym_DQUOTE = 138,
  aux_sym_string_token1 = 139,
  anon_sym_SQUOTE = 140,
  aux_sym_string_token2 = 141,
  aux_sym_string_content_token1 = 142,
  anon_sym_LT_LT_LT = 143,
  anon_sym_DQUOTE2 = 144,
  sym__new_line = 145,
  anon_sym_SQUOTE2 = 146,
  anon_sym_BQUOTE = 147,
  anon_sym_DOLLAR = 148,
  aux_sym_yield_expression_token1 = 149,
  aux_sym_yield_expression_token2 = 150,
  aux_sym_binary_expression_token1 = 151,
  anon_sym_QMARK_QMARK = 152,
  anon_sym_STAR_STAR = 153,
  aux_sym_binary_expression_token2 = 154,
  aux_sym_binary_expression_token3 = 155,
  aux_sym_binary_expression_token4 = 156,
  anon_sym_PIPE_PIPE = 157,
  anon_sym_AMP_AMP = 158,
  anon_sym_CARET = 159,
  anon_sym_EQ_EQ = 160,
  anon_sym_BANG_EQ = 161,
  anon_sym_LT_GT = 162,
  anon_sym_EQ_EQ_EQ = 163,
  anon_sym_BANG_EQ_EQ = 164,
  anon_sym_LT = 165,
  anon_sym_GT = 166,
  anon_sym_LT_EQ = 167,
  anon_sym_GT_EQ = 168,
  anon_sym_LT_EQ_GT = 169,
  anon_sym_LT_LT = 170,
  anon_sym_GT_GT = 171,
  anon_sym_DOT = 172,
  anon_sym_STAR = 173,
  anon_sym_SLASH = 174,
  anon_sym_PERCENT = 175,
  aux_sym_include_expression_token1 = 176,
  aux_sym_include_once_expression_token1 = 177,
  aux_sym_require_expression_token1 = 178,
  aux_sym_require_once_expression_token1 = 179,
  sym_comment = 180,
  sym__automatic_semicolon = 181,
  sym_encapsed_string_chars = 182,
  sym_encapsed_string_chars_after_variable = 183,
  sym_execution_string_chars = 184,
  sym_execution_string_chars_after_variable = 185,
  sym_encapsed_string_chars_heredoc = 186,
  sym_encapsed_string_chars_after_variable_heredoc = 187,
  sym__eof = 188,
  sym_heredoc_start = 189,
  sym_heredoc_end = 190,
  sym_nowdoc_string = 191,
  sym_sentinel_error = 192,
  sym_program = 193,
  sym_statement = 194,
  sym_empty_statement = 195,
  sym_reference_modifier = 196,
  sym_function_static_declaration = 197,
  sym_static_variable_declaration = 198,
  sym_global_declaration = 199,
  sym_namespace_definition = 200,
  sym_namespace_use_declaration = 201,
  sym_namespace_use_clause = 202,
  sym_qualified_name = 203,
  sym_relative_name = 204,
  sym__name = 205,
  sym_namespace_name = 206,
  sym__namespace_use_group = 207,
  sym_namespace_use_group = 208,
  sym_trait_declaration = 209,
  sym_interface_declaration = 210,
  sym_base_clause = 211,
  sym_enum_declaration = 212,
  sym_enum_declaration_list = 213,
  sym__enum_member_declaration = 214,
  sym_enum_case = 215,
  sym_class_declaration = 216,
  sym_declaration_list = 217,
  sym_final_modifier = 218,
  sym_abstract_modifier = 219,
  sym_readonly_modifier = 220,
  sym_class_interface_clause = 221,
  sym__member_declaration = 222,
  sym_const_declaration = 223,
  sym__class_const_declaration = 224,
  sym__const_declaration = 225,
  sym_property_declaration = 226,
  sym__modifier = 227,
  sym_property_element = 228,
  sym_property_hook_list = 229,
  sym_property_hook = 230,
  sym__property_hook_body = 231,
  sym_method_declaration = 232,
  sym_static_modifier = 233,
  sym_use_declaration = 234,
  sym_use_list = 235,
  sym_use_instead_of_clause = 236,
  sym_use_as_clause = 237,
  sym_visibility_modifier = 238,
  sym_function_definition = 239,
  sym__function_definition_header = 240,
  sym_anonymous_function = 241,
  sym_anonymous_function_use_clause = 242,
  sym__anonymous_function_header = 243,
  sym__arrow_function_header = 244,
  sym_arrow_function = 245,
  sym_formal_parameters = 246,
  sym_property_promotion_parameter = 247,
  sym_simple_parameter = 248,
  sym_variadic_parameter = 249,
  sym_type = 250,
  sym__types = 251,
  sym_named_type = 252,
  sym_optional_type = 253,
  sym_union_type = 254,
  sym_intersection_type = 255,
  sym_disjunctive_normal_form_type = 256,
  sym_primitive_type = 257,
  sym_cast_type = 258,
  sym__return_type = 259,
  sym_const_element = 260,
  sym_echo_statement = 261,
  sym_exit_statement = 262,
  sym_unset_statement = 263,
  sym_declare_statement = 264,
  sym_declare_directive = 265,
  sym_literal = 266,
  sym_try_statement = 267,
  sym_catch_clause = 268,
  sym_type_list = 269,
  sym_finally_clause = 270,
  sym_goto_statement = 271,
  sym_continue_statement = 272,
  sym_break_statement = 273,
  sym_return_statement = 274,
  sym_throw_expression = 275,
  sym_while_statement = 276,
  sym_do_statement = 277,
  sym_for_statement = 278,
  sym__expressions = 279,
  sym_sequence_expression = 280,
  sym_foreach_statement = 281,
  sym_foreach_pair = 282,
  sym__foreach_value = 283,
  sym_if_statement = 284,
  sym_colon_block = 285,
  sym_else_if_clause = 286,
  sym_else_clause = 287,
  sym_else_if_clause_2 = 288,
  sym_else_clause_2 = 289,
  sym_match_expression = 290,
  sym_match_block = 291,
  sym_match_condition_list = 292,
  sym_match_conditional_expression = 293,
  sym_match_default_expression = 294,
  sym_switch_statement = 295,
  sym_switch_block = 296,
  sym_case_statement = 297,
  sym_default_statement = 298,
  sym_compound_statement = 299,
  sym_named_label_statement = 300,
  sym_expression_statement = 301,
  sym_expression = 302,
  sym__unary_expression = 303,
  sym_unary_op_expression = 304,
  sym_error_suppression_expression = 305,
  sym_clone_expression = 306,
  sym_primary_expression = 307,
  sym_parenthesized_expression = 308,
  sym_class_constant_access_expression = 309,
  sym_print_intrinsic = 310,
  sym_object_creation_expression = 311,
  sym__new_non_dereferencable_expression = 312,
  sym__new_dereferencable_expression = 313,
  sym__class_name_reference = 314,
  sym_anonymous_class = 315,
  sym_update_expression = 316,
  sym_cast_expression = 317,
  sym_cast_variable = 318,
  sym_assignment_expression = 319,
  sym_reference_assignment_expression = 320,
  sym_conditional_expression = 321,
  sym_augmented_assignment_expression = 322,
  sym__variable_member_access_expression = 323,
  sym_member_access_expression = 324,
  sym__variable_nullsafe_member_access_expression = 325,
  sym_nullsafe_member_access_expression = 326,
  sym__variable_scoped_property_access_expression = 327,
  sym_scoped_property_access_expression = 328,
  sym_list_literal = 329,
  sym__list_destructing = 330,
  sym__array_destructing = 331,
  sym__array_destructing_element = 332,
  sym_function_call_expression = 333,
  sym__callable_expression = 334,
  sym_scoped_call_expression = 335,
  sym__scope_resolution_qualifier = 336,
  sym_relative_scope = 337,
  sym_variadic_placeholder = 338,
  sym_arguments = 339,
  sym_argument = 340,
  sym__argument_name = 341,
  sym_member_call_expression = 342,
  sym_nullsafe_member_call_expression = 343,
  sym_variadic_unpacking = 344,
  sym__member_name = 345,
  sym__variable_subscript_expression = 346,
  sym__dereferencable_subscript_expression = 347,
  sym__dereferencable_expression = 348,
  sym__dereferencable_scalar = 349,
  sym_array_creation_expression = 350,
  sym_attribute_group = 351,
  sym_attribute_list = 352,
  sym_attribute = 353,
  sym__complex_string_part = 354,
  sym__simple_string_member_access_expression = 355,
  sym__simple_string_subscript_unary_expression = 356,
  sym__simple_string_array_access_argument = 357,
  sym__simple_string_subscript_expression = 358,
  sym__simple_string_part = 359,
  aux_sym__interpolated_string_body = 360,
  aux_sym__interpolated_string_body_heredoc = 361,
  sym_encapsed_string = 362,
  sym_string = 363,
  sym_string_content = 364,
  sym_heredoc_body = 365,
  sym_heredoc = 366,
  sym_nowdoc_body = 367,
  sym_nowdoc = 368,
  aux_sym__interpolated_execution_operator_body = 369,
  sym_shell_command_expression = 370,
  sym_boolean = 371,
  sym_null = 372,
  sym__string = 373,
  sym_dynamic_variable_name = 374,
  sym__simple_variable = 375,
  sym__new_variable = 376,
  sym__callable_variable = 377,
  sym_variable_name = 378,
  sym_by_ref = 379,
  sym_yield_expression = 380,
  sym_array_element_initializer = 381,
  sym_binary_expression = 382,
  sym_include_expression = 383,
  sym_include_once_expression = 384,
  sym_require_expression = 385,
  sym_require_once_expression = 386,
  sym__reserved_identifier = 387,
  sym__identifier = 388,
  sym__semicolon = 389,
  aux_sym_program_repeat1 = 390,
  aux_sym_function_static_declaration_repeat1 = 391,
  aux_sym_global_declaration_repeat1 = 392,
  aux_sym_namespace_use_declaration_repeat1 = 393,
  aux_sym_namespace_name_repeat1 = 394,
  aux_sym_base_clause_repeat1 = 395,
  aux_sym_enum_declaration_list_repeat1 = 396,
  aux_sym_class_declaration_repeat1 = 397,
  aux_sym_declaration_list_repeat1 = 398,
  aux_sym__const_declaration_repeat1 = 399,
  aux_sym_property_declaration_repeat1 = 400,
  aux_sym_property_hook_list_repeat1 = 401,
  aux_sym_use_list_repeat1 = 402,
  aux_sym_anonymous_function_use_clause_repeat1 = 403,
  aux_sym_formal_parameters_repeat1 = 404,
  aux_sym_union_type_repeat1 = 405,
  aux_sym_intersection_type_repeat1 = 406,
  aux_sym_disjunctive_normal_form_type_repeat1 = 407,
  aux_sym_unset_statement_repeat1 = 408,
  aux_sym_try_statement_repeat1 = 409,
  aux_sym_type_list_repeat1 = 410,
  aux_sym_if_statement_repeat1 = 411,
  aux_sym_if_statement_repeat2 = 412,
  aux_sym_match_block_repeat1 = 413,
  aux_sym_match_condition_list_repeat1 = 414,
  aux_sym_switch_block_repeat1 = 415,
  aux_sym__list_destructing_repeat1 = 416,
  aux_sym__array_destructing_repeat1 = 417,
  aux_sym_arguments_repeat1 = 418,
  aux_sym_array_creation_expression_repeat1 = 419,
  aux_sym_attribute_group_repeat1 = 420,
  aux_sym_attribute_list_repeat1 = 421,
  aux_sym_string_repeat1 = 422,
  aux_sym_string_content_repeat1 = 423,
  aux_sym_heredoc_body_repeat1 = 424,
  aux_sym_nowdoc_body_repeat1 = 425,
  alias_sym_operation = 426,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_name] = "name",
  [anon_sym_QMARK_GT] = "\?>",
  [sym_php_tag] = "php_tag",
  [anon_sym_SEMI] = ";",
  [anon_sym_AMP] = "&",
  [aux_sym_function_static_declaration_token1] = "static",
  [anon_sym_COMMA] = ",",
  [anon_sym_EQ] = "=",
  [aux_sym_global_declaration_token1] = "global",
  [aux_sym_namespace_definition_token1] = "namespace",
  [aux_sym_namespace_use_declaration_token1] = "use",
  [aux_sym_namespace_use_clause_token1] = "as",
  [aux_sym__namespace_use_type_token1] = "function",
  [aux_sym__namespace_use_type_token2] = "const",
  [anon_sym_BSLASH] = "\\",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [aux_sym_trait_declaration_token1] = "trait",
  [aux_sym_interface_declaration_token1] = "interface",
  [aux_sym_base_clause_token1] = "extends",
  [aux_sym_enum_declaration_token1] = "enum",
  [anon_sym_COLON] = ":",
  [anon_sym_string] = "string",
  [anon_sym_int] = "int",
  [aux_sym_enum_case_token1] = "case",
  [aux_sym_class_declaration_token1] = "class",
  [aux_sym_final_modifier_token1] = "final",
  [aux_sym_abstract_modifier_token1] = "abstract",
  [aux_sym_readonly_modifier_token1] = "readonly",
  [aux_sym_class_interface_clause_token1] = "implements",
  [anon_sym_EQ_GT] = "=>",
  [sym_var_modifier] = "var_modifier",
  [aux_sym_use_instead_of_clause_token1] = "insteadof",
  [aux_sym_visibility_modifier_token1] = "public",
  [aux_sym_visibility_modifier_token2] = "protected",
  [aux_sym_visibility_modifier_token3] = "private",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_LPAREN2] = "(",
  [anon_sym_RPAREN2] = ")",
  [aux_sym__arrow_function_header_token1] = "fn",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_QMARK] = "\?",
  [sym_bottom_type] = "bottom_type",
  [anon_sym_PIPE] = "|",
  [anon_sym_array] = "array",
  [aux_sym_primitive_type_token1] = "callable",
  [anon_sym_iterable] = "iterable",
  [anon_sym_bool] = "bool",
  [anon_sym_float] = "float",
  [anon_sym_void] = "void",
  [anon_sym_mixed] = "mixed",
  [anon_sym_false] = "false",
  [anon_sym_null] = "null",
  [anon_sym_true] = "true",
  [aux_sym_cast_type_token1] = "cast_type_token1",
  [aux_sym_cast_type_token2] = "cast_type_token2",
  [aux_sym_cast_type_token3] = "cast_type_token3",
  [aux_sym_cast_type_token4] = "cast_type_token4",
  [aux_sym_cast_type_token5] = "cast_type_token5",
  [aux_sym_cast_type_token6] = "cast_type_token6",
  [aux_sym_cast_type_token7] = "cast_type_token7",
  [aux_sym_cast_type_token8] = "cast_type_token8",
  [aux_sym_cast_type_token9] = "cast_type_token9",
  [aux_sym_cast_type_token10] = "cast_type_token10",
  [aux_sym_cast_type_token11] = "cast_type_token11",
  [aux_sym_cast_type_token12] = "cast_type_token12",
  [aux_sym_echo_statement_token1] = "echo",
  [aux_sym_exit_statement_token1] = "exit",
  [anon_sym_unset] = "unset",
  [aux_sym_declare_statement_token1] = "declare",
  [aux_sym_declare_statement_token2] = "enddeclare",
  [anon_sym_ticks] = "ticks",
  [anon_sym_encoding] = "encoding",
  [anon_sym_strict_types] = "strict_types",
  [sym_float] = "float",
  [aux_sym_try_statement_token1] = "try",
  [aux_sym_catch_clause_token1] = "catch",
  [aux_sym_finally_clause_token1] = "finally",
  [aux_sym_goto_statement_token1] = "goto",
  [aux_sym_continue_statement_token1] = "continue",
  [aux_sym_break_statement_token1] = "break",
  [sym_integer] = "integer",
  [aux_sym_return_statement_token1] = "return",
  [aux_sym_throw_expression_token1] = "throw",
  [aux_sym_while_statement_token1] = "while",
  [aux_sym_while_statement_token2] = "endwhile",
  [aux_sym_do_statement_token1] = "do",
  [aux_sym_for_statement_token1] = "for",
  [aux_sym_for_statement_token2] = "endfor",
  [aux_sym_foreach_statement_token1] = "foreach",
  [aux_sym_foreach_statement_token2] = "endforeach",
  [aux_sym_if_statement_token1] = "if",
  [aux_sym_if_statement_token2] = "endif",
  [aux_sym_else_if_clause_token1] = "elseif",
  [aux_sym_else_clause_token1] = "else",
  [aux_sym_match_expression_token1] = "match",
  [aux_sym_match_default_expression_token1] = "default",
  [aux_sym_switch_statement_token1] = "switch",
  [aux_sym_switch_block_token1] = "endswitch",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_TILDE] = "~",
  [anon_sym_BANG] = "!",
  [anon_sym_AT] = "@",
  [aux_sym_clone_expression_token1] = "clone",
  [anon_sym_COLON_COLON] = "::",
  [aux_sym_print_intrinsic_token1] = "print",
  [aux_sym__new_non_dereferencable_expression_token1] = "new",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_DOT_EQ] = ".=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_QMARK_QMARK_EQ] = "\?\?=",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_QMARK_DASH_GT] = "\?->",
  [aux_sym__list_destructing_token1] = "list",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_self] = "self",
  [anon_sym_parent] = "parent",
  [aux_sym__argument_name_token1] = "_argument_name_token1",
  [aux_sym__argument_name_token2] = "_argument_name_token2",
  [anon_sym_POUND_LBRACK] = "#[",
  [sym_escape_sequence] = "escape_sequence",
  [anon_sym_BSLASHu] = "string_content",
  [aux_sym_encapsed_string_token1] = "encapsed_string_token1",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_token1] = "string_token1",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_string_token2] = "escape_sequence",
  [aux_sym_string_content_token1] = "string_content_token1",
  [anon_sym_LT_LT_LT] = "<<<",
  [anon_sym_DQUOTE2] = "\"",
  [sym__new_line] = "_new_line",
  [anon_sym_SQUOTE2] = "'",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_DOLLAR] = "$",
  [aux_sym_yield_expression_token1] = "yield",
  [aux_sym_yield_expression_token2] = "from",
  [aux_sym_binary_expression_token1] = "instanceof",
  [anon_sym_QMARK_QMARK] = "\?\?",
  [anon_sym_STAR_STAR] = "**",
  [aux_sym_binary_expression_token2] = "and",
  [aux_sym_binary_expression_token3] = "or",
  [aux_sym_binary_expression_token4] = "xor",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_CARET] = "^",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_LT_GT] = "<>",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ_GT] = "<=>",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_DOT] = ".",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [aux_sym_include_expression_token1] = "include",
  [aux_sym_include_once_expression_token1] = "include_once",
  [aux_sym_require_expression_token1] = "require",
  [aux_sym_require_once_expression_token1] = "require_once",
  [sym_comment] = "comment",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym_encapsed_string_chars] = "string_content",
  [sym_encapsed_string_chars_after_variable] = "string_content",
  [sym_execution_string_chars] = "string_content",
  [sym_execution_string_chars_after_variable] = "string_content",
  [sym_encapsed_string_chars_heredoc] = "string_content",
  [sym_encapsed_string_chars_after_variable_heredoc] = "string_content",
  [sym__eof] = "_eof",
  [sym_heredoc_start] = "heredoc_start",
  [sym_heredoc_end] = "heredoc_end",
  [sym_nowdoc_string] = "nowdoc_string",
  [sym_sentinel_error] = "sentinel_error",
  [sym_program] = "program",
  [sym_statement] = "statement",
  [sym_empty_statement] = "empty_statement",
  [sym_reference_modifier] = "reference_modifier",
  [sym_function_static_declaration] = "function_static_declaration",
  [sym_static_variable_declaration] = "static_variable_declaration",
  [sym_global_declaration] = "global_declaration",
  [sym_namespace_definition] = "namespace_definition",
  [sym_namespace_use_declaration] = "namespace_use_declaration",
  [sym_namespace_use_clause] = "namespace_use_clause",
  [sym_qualified_name] = "qualified_name",
  [sym_relative_name] = "relative_name",
  [sym__name] = "_name",
  [sym_namespace_name] = "namespace_name",
  [sym__namespace_use_group] = "_namespace_use_group",
  [sym_namespace_use_group] = "namespace_use_group",
  [sym_trait_declaration] = "trait_declaration",
  [sym_interface_declaration] = "interface_declaration",
  [sym_base_clause] = "base_clause",
  [sym_enum_declaration] = "enum_declaration",
  [sym_enum_declaration_list] = "enum_declaration_list",
  [sym__enum_member_declaration] = "_enum_member_declaration",
  [sym_enum_case] = "enum_case",
  [sym_class_declaration] = "class_declaration",
  [sym_declaration_list] = "declaration_list",
  [sym_final_modifier] = "final_modifier",
  [sym_abstract_modifier] = "abstract_modifier",
  [sym_readonly_modifier] = "readonly_modifier",
  [sym_class_interface_clause] = "class_interface_clause",
  [sym__member_declaration] = "_member_declaration",
  [sym_const_declaration] = "const_declaration",
  [sym__class_const_declaration] = "const_declaration",
  [sym__const_declaration] = "_const_declaration",
  [sym_property_declaration] = "property_declaration",
  [sym__modifier] = "_modifier",
  [sym_property_element] = "property_element",
  [sym_property_hook_list] = "property_hook_list",
  [sym_property_hook] = "property_hook",
  [sym__property_hook_body] = "_property_hook_body",
  [sym_method_declaration] = "method_declaration",
  [sym_static_modifier] = "static_modifier",
  [sym_use_declaration] = "use_declaration",
  [sym_use_list] = "use_list",
  [sym_use_instead_of_clause] = "use_instead_of_clause",
  [sym_use_as_clause] = "use_as_clause",
  [sym_visibility_modifier] = "visibility_modifier",
  [sym_function_definition] = "function_definition",
  [sym__function_definition_header] = "_function_definition_header",
  [sym_anonymous_function] = "anonymous_function",
  [sym_anonymous_function_use_clause] = "anonymous_function_use_clause",
  [sym__anonymous_function_header] = "_anonymous_function_header",
  [sym__arrow_function_header] = "_arrow_function_header",
  [sym_arrow_function] = "arrow_function",
  [sym_formal_parameters] = "formal_parameters",
  [sym_property_promotion_parameter] = "property_promotion_parameter",
  [sym_simple_parameter] = "simple_parameter",
  [sym_variadic_parameter] = "variadic_parameter",
  [sym_type] = "type",
  [sym__types] = "_types",
  [sym_named_type] = "named_type",
  [sym_optional_type] = "optional_type",
  [sym_union_type] = "union_type",
  [sym_intersection_type] = "intersection_type",
  [sym_disjunctive_normal_form_type] = "disjunctive_normal_form_type",
  [sym_primitive_type] = "primitive_type",
  [sym_cast_type] = "cast_type",
  [sym__return_type] = "_return_type",
  [sym_const_element] = "const_element",
  [sym_echo_statement] = "echo_statement",
  [sym_exit_statement] = "exit_statement",
  [sym_unset_statement] = "unset_statement",
  [sym_declare_statement] = "declare_statement",
  [sym_declare_directive] = "declare_directive",
  [sym_literal] = "literal",
  [sym_try_statement] = "try_statement",
  [sym_catch_clause] = "catch_clause",
  [sym_type_list] = "type_list",
  [sym_finally_clause] = "finally_clause",
  [sym_goto_statement] = "goto_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_break_statement] = "break_statement",
  [sym_return_statement] = "return_statement",
  [sym_throw_expression] = "throw_expression",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_for_statement] = "for_statement",
  [sym__expressions] = "_expressions",
  [sym_sequence_expression] = "sequence_expression",
  [sym_foreach_statement] = "foreach_statement",
  [sym_foreach_pair] = "pair",
  [sym__foreach_value] = "_foreach_value",
  [sym_if_statement] = "if_statement",
  [sym_colon_block] = "colon_block",
  [sym_else_if_clause] = "else_if_clause",
  [sym_else_clause] = "else_clause",
  [sym_else_if_clause_2] = "else_if_clause",
  [sym_else_clause_2] = "else_clause",
  [sym_match_expression] = "match_expression",
  [sym_match_block] = "match_block",
  [sym_match_condition_list] = "match_condition_list",
  [sym_match_conditional_expression] = "match_conditional_expression",
  [sym_match_default_expression] = "match_default_expression",
  [sym_switch_statement] = "switch_statement",
  [sym_switch_block] = "switch_block",
  [sym_case_statement] = "case_statement",
  [sym_default_statement] = "default_statement",
  [sym_compound_statement] = "compound_statement",
  [sym_named_label_statement] = "named_label_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_expression] = "expression",
  [sym__unary_expression] = "_unary_expression",
  [sym_unary_op_expression] = "unary_op_expression",
  [sym_error_suppression_expression] = "error_suppression_expression",
  [sym_clone_expression] = "clone_expression",
  [sym_primary_expression] = "primary_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_class_constant_access_expression] = "class_constant_access_expression",
  [sym_print_intrinsic] = "print_intrinsic",
  [sym_object_creation_expression] = "object_creation_expression",
  [sym__new_non_dereferencable_expression] = "_new_non_dereferencable_expression",
  [sym__new_dereferencable_expression] = "_new_dereferencable_expression",
  [sym__class_name_reference] = "_class_name_reference",
  [sym_anonymous_class] = "anonymous_class",
  [sym_update_expression] = "update_expression",
  [sym_cast_expression] = "cast_expression",
  [sym_cast_variable] = "cast_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_reference_assignment_expression] = "reference_assignment_expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_augmented_assignment_expression] = "augmented_assignment_expression",
  [sym__variable_member_access_expression] = "member_access_expression",
  [sym_member_access_expression] = "member_access_expression",
  [sym__variable_nullsafe_member_access_expression] = "nullsafe_member_access_expression",
  [sym_nullsafe_member_access_expression] = "nullsafe_member_access_expression",
  [sym__variable_scoped_property_access_expression] = "scoped_property_access_expression",
  [sym_scoped_property_access_expression] = "scoped_property_access_expression",
  [sym_list_literal] = "list_literal",
  [sym__list_destructing] = "_list_destructing",
  [sym__array_destructing] = "_array_destructing",
  [sym__array_destructing_element] = "_array_destructing_element",
  [sym_function_call_expression] = "function_call_expression",
  [sym__callable_expression] = "_callable_expression",
  [sym_scoped_call_expression] = "scoped_call_expression",
  [sym__scope_resolution_qualifier] = "_scope_resolution_qualifier",
  [sym_relative_scope] = "relative_scope",
  [sym_variadic_placeholder] = "variadic_placeholder",
  [sym_arguments] = "arguments",
  [sym_argument] = "argument",
  [sym__argument_name] = "_argument_name",
  [sym_member_call_expression] = "member_call_expression",
  [sym_nullsafe_member_call_expression] = "nullsafe_member_call_expression",
  [sym_variadic_unpacking] = "variadic_unpacking",
  [sym__member_name] = "_member_name",
  [sym__variable_subscript_expression] = "subscript_expression",
  [sym__dereferencable_subscript_expression] = "subscript_expression",
  [sym__dereferencable_expression] = "_dereferencable_expression",
  [sym__dereferencable_scalar] = "_dereferencable_scalar",
  [sym_array_creation_expression] = "array_creation_expression",
  [sym_attribute_group] = "attribute_group",
  [sym_attribute_list] = "attribute_list",
  [sym_attribute] = "attribute",
  [sym__complex_string_part] = "_complex_string_part",
  [sym__simple_string_member_access_expression] = "member_access_expression",
  [sym__simple_string_subscript_unary_expression] = "unary_op_expression",
  [sym__simple_string_array_access_argument] = "_simple_string_array_access_argument",
  [sym__simple_string_subscript_expression] = "subscript_expression",
  [sym__simple_string_part] = "_simple_string_part",
  [aux_sym__interpolated_string_body] = "_interpolated_string_body",
  [aux_sym__interpolated_string_body_heredoc] = "_interpolated_string_body_heredoc",
  [sym_encapsed_string] = "encapsed_string",
  [sym_string] = "string",
  [sym_string_content] = "string_content",
  [sym_heredoc_body] = "heredoc_body",
  [sym_heredoc] = "heredoc",
  [sym_nowdoc_body] = "nowdoc_body",
  [sym_nowdoc] = "nowdoc",
  [aux_sym__interpolated_execution_operator_body] = "_interpolated_execution_operator_body",
  [sym_shell_command_expression] = "shell_command_expression",
  [sym_boolean] = "boolean",
  [sym_null] = "null",
  [sym__string] = "_string",
  [sym_dynamic_variable_name] = "dynamic_variable_name",
  [sym__simple_variable] = "_simple_variable",
  [sym__new_variable] = "_new_variable",
  [sym__callable_variable] = "_callable_variable",
  [sym_variable_name] = "variable_name",
  [sym_by_ref] = "by_ref",
  [sym_yield_expression] = "yield_expression",
  [sym_array_element_initializer] = "array_element_initializer",
  [sym_binary_expression] = "binary_expression",
  [sym_include_expression] = "include_expression",
  [sym_include_once_expression] = "include_once_expression",
  [sym_require_expression] = "require_expression",
  [sym_require_once_expression] = "require_once_expression",
  [sym__reserved_identifier] = "name",
  [sym__identifier] = "_identifier",
  [sym__semicolon] = "_semicolon",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_function_static_declaration_repeat1] = "function_static_declaration_repeat1",
  [aux_sym_global_declaration_repeat1] = "global_declaration_repeat1",
  [aux_sym_namespace_use_declaration_repeat1] = "namespace_use_declaration_repeat1",
  [aux_sym_namespace_name_repeat1] = "namespace_name_repeat1",
  [aux_sym_base_clause_repeat1] = "base_clause_repeat1",
  [aux_sym_enum_declaration_list_repeat1] = "enum_declaration_list_repeat1",
  [aux_sym_class_declaration_repeat1] = "class_declaration_repeat1",
  [aux_sym_declaration_list_repeat1] = "declaration_list_repeat1",
  [aux_sym__const_declaration_repeat1] = "_const_declaration_repeat1",
  [aux_sym_property_declaration_repeat1] = "property_declaration_repeat1",
  [aux_sym_property_hook_list_repeat1] = "property_hook_list_repeat1",
  [aux_sym_use_list_repeat1] = "use_list_repeat1",
  [aux_sym_anonymous_function_use_clause_repeat1] = "anonymous_function_use_clause_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [aux_sym_union_type_repeat1] = "union_type_repeat1",
  [aux_sym_intersection_type_repeat1] = "intersection_type_repeat1",
  [aux_sym_disjunctive_normal_form_type_repeat1] = "disjunctive_normal_form_type_repeat1",
  [aux_sym_unset_statement_repeat1] = "unset_statement_repeat1",
  [aux_sym_try_statement_repeat1] = "try_statement_repeat1",
  [aux_sym_type_list_repeat1] = "type_list_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_if_statement_repeat2] = "if_statement_repeat2",
  [aux_sym_match_block_repeat1] = "match_block_repeat1",
  [aux_sym_match_condition_list_repeat1] = "match_condition_list_repeat1",
  [aux_sym_switch_block_repeat1] = "switch_block_repeat1",
  [aux_sym__list_destructing_repeat1] = "_list_destructing_repeat1",
  [aux_sym__array_destructing_repeat1] = "_array_destructing_repeat1",
  [aux_sym_arguments_repeat1] = "arguments_repeat1",
  [aux_sym_array_creation_expression_repeat1] = "array_creation_expression_repeat1",
  [aux_sym_attribute_group_repeat1] = "attribute_group_repeat1",
  [aux_sym_attribute_list_repeat1] = "attribute_list_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_content_repeat1] = "string_content_repeat1",
  [aux_sym_heredoc_body_repeat1] = "heredoc_body_repeat1",
  [aux_sym_nowdoc_body_repeat1] = "nowdoc_body_repeat1",
  [alias_sym_operation] = "operation",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_name] = sym_name,
  [anon_sym_QMARK_GT] = anon_sym_QMARK_GT,
  [sym_php_tag] = sym_php_tag,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_AMP] = anon_sym_AMP,
  [aux_sym_function_static_declaration_token1] = aux_sym_function_static_declaration_token1,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_EQ] = anon_sym_EQ,
  [aux_sym_global_declaration_token1] = aux_sym_global_declaration_token1,
  [aux_sym_namespace_definition_token1] = aux_sym_namespace_definition_token1,
  [aux_sym_namespace_use_declaration_token1] = aux_sym_namespace_use_declaration_token1,
  [aux_sym_namespace_use_clause_token1] = aux_sym_namespace_use_clause_token1,
  [aux_sym__namespace_use_type_token1] = aux_sym__namespace_use_type_token1,
  [aux_sym__namespace_use_type_token2] = aux_sym__namespace_use_type_token2,
  [anon_sym_BSLASH] = anon_sym_BSLASH,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [aux_sym_trait_declaration_token1] = aux_sym_trait_declaration_token1,
  [aux_sym_interface_declaration_token1] = aux_sym_interface_declaration_token1,
  [aux_sym_base_clause_token1] = aux_sym_base_clause_token1,
  [aux_sym_enum_declaration_token1] = aux_sym_enum_declaration_token1,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_string] = anon_sym_string,
  [anon_sym_int] = anon_sym_int,
  [aux_sym_enum_case_token1] = aux_sym_enum_case_token1,
  [aux_sym_class_declaration_token1] = aux_sym_class_declaration_token1,
  [aux_sym_final_modifier_token1] = aux_sym_final_modifier_token1,
  [aux_sym_abstract_modifier_token1] = aux_sym_abstract_modifier_token1,
  [aux_sym_readonly_modifier_token1] = aux_sym_readonly_modifier_token1,
  [aux_sym_class_interface_clause_token1] = aux_sym_class_interface_clause_token1,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [sym_var_modifier] = sym_var_modifier,
  [aux_sym_use_instead_of_clause_token1] = aux_sym_use_instead_of_clause_token1,
  [aux_sym_visibility_modifier_token1] = aux_sym_visibility_modifier_token1,
  [aux_sym_visibility_modifier_token2] = aux_sym_visibility_modifier_token2,
  [aux_sym_visibility_modifier_token3] = aux_sym_visibility_modifier_token3,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_LPAREN2] = anon_sym_LPAREN,
  [anon_sym_RPAREN2] = anon_sym_RPAREN,
  [aux_sym__arrow_function_header_token1] = aux_sym__arrow_function_header_token1,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [sym_bottom_type] = sym_bottom_type,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_array] = anon_sym_array,
  [aux_sym_primitive_type_token1] = aux_sym_primitive_type_token1,
  [anon_sym_iterable] = anon_sym_iterable,
  [anon_sym_bool] = anon_sym_bool,
  [anon_sym_float] = anon_sym_float,
  [anon_sym_void] = anon_sym_void,
  [anon_sym_mixed] = anon_sym_mixed,
  [anon_sym_false] = anon_sym_false,
  [anon_sym_null] = anon_sym_null,
  [anon_sym_true] = anon_sym_true,
  [aux_sym_cast_type_token1] = aux_sym_cast_type_token1,
  [aux_sym_cast_type_token2] = aux_sym_cast_type_token2,
  [aux_sym_cast_type_token3] = aux_sym_cast_type_token3,
  [aux_sym_cast_type_token4] = aux_sym_cast_type_token4,
  [aux_sym_cast_type_token5] = aux_sym_cast_type_token5,
  [aux_sym_cast_type_token6] = aux_sym_cast_type_token6,
  [aux_sym_cast_type_token7] = aux_sym_cast_type_token7,
  [aux_sym_cast_type_token8] = aux_sym_cast_type_token8,
  [aux_sym_cast_type_token9] = aux_sym_cast_type_token9,
  [aux_sym_cast_type_token10] = aux_sym_cast_type_token10,
  [aux_sym_cast_type_token11] = aux_sym_cast_type_token11,
  [aux_sym_cast_type_token12] = aux_sym_cast_type_token12,
  [aux_sym_echo_statement_token1] = aux_sym_echo_statement_token1,
  [aux_sym_exit_statement_token1] = aux_sym_exit_statement_token1,
  [anon_sym_unset] = anon_sym_unset,
  [aux_sym_declare_statement_token1] = aux_sym_declare_statement_token1,
  [aux_sym_declare_statement_token2] = aux_sym_declare_statement_token2,
  [anon_sym_ticks] = anon_sym_ticks,
  [anon_sym_encoding] = anon_sym_encoding,
  [anon_sym_strict_types] = anon_sym_strict_types,
  [sym_float] = sym_float,
  [aux_sym_try_statement_token1] = aux_sym_try_statement_token1,
  [aux_sym_catch_clause_token1] = aux_sym_catch_clause_token1,
  [aux_sym_finally_clause_token1] = aux_sym_finally_clause_token1,
  [aux_sym_goto_statement_token1] = aux_sym_goto_statement_token1,
  [aux_sym_continue_statement_token1] = aux_sym_continue_statement_token1,
  [aux_sym_break_statement_token1] = aux_sym_break_statement_token1,
  [sym_integer] = sym_integer,
  [aux_sym_return_statement_token1] = aux_sym_return_statement_token1,
  [aux_sym_throw_expression_token1] = aux_sym_throw_expression_token1,
  [aux_sym_while_statement_token1] = aux_sym_while_statement_token1,
  [aux_sym_while_statement_token2] = aux_sym_while_statement_token2,
  [aux_sym_do_statement_token1] = aux_sym_do_statement_token1,
  [aux_sym_for_statement_token1] = aux_sym_for_statement_token1,
  [aux_sym_for_statement_token2] = aux_sym_for_statement_token2,
  [aux_sym_foreach_statement_token1] = aux_sym_foreach_statement_token1,
  [aux_sym_foreach_statement_token2] = aux_sym_foreach_statement_token2,
  [aux_sym_if_statement_token1] = aux_sym_if_statement_token1,
  [aux_sym_if_statement_token2] = aux_sym_if_statement_token2,
  [aux_sym_else_if_clause_token1] = aux_sym_else_if_clause_token1,
  [aux_sym_else_clause_token1] = aux_sym_else_clause_token1,
  [aux_sym_match_expression_token1] = aux_sym_match_expression_token1,
  [aux_sym_match_default_expression_token1] = aux_sym_match_default_expression_token1,
  [aux_sym_switch_statement_token1] = aux_sym_switch_statement_token1,
  [aux_sym_switch_block_token1] = aux_sym_switch_block_token1,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_AT] = anon_sym_AT,
  [aux_sym_clone_expression_token1] = aux_sym_clone_expression_token1,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [aux_sym_print_intrinsic_token1] = aux_sym_print_intrinsic_token1,
  [aux_sym__new_non_dereferencable_expression_token1] = aux_sym__new_non_dereferencable_expression_token1,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_DOT_EQ] = anon_sym_DOT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_QMARK_QMARK_EQ] = anon_sym_QMARK_QMARK_EQ,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_QMARK_DASH_GT] = anon_sym_QMARK_DASH_GT,
  [aux_sym__list_destructing_token1] = aux_sym__list_destructing_token1,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_self] = anon_sym_self,
  [anon_sym_parent] = anon_sym_parent,
  [aux_sym__argument_name_token1] = aux_sym__argument_name_token1,
  [aux_sym__argument_name_token2] = aux_sym__argument_name_token2,
  [anon_sym_POUND_LBRACK] = anon_sym_POUND_LBRACK,
  [sym_escape_sequence] = sym_escape_sequence,
  [anon_sym_BSLASHu] = sym_string_content,
  [aux_sym_encapsed_string_token1] = aux_sym_encapsed_string_token1,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_token1] = aux_sym_string_token1,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_string_token2] = sym_escape_sequence,
  [aux_sym_string_content_token1] = aux_sym_string_content_token1,
  [anon_sym_LT_LT_LT] = anon_sym_LT_LT_LT,
  [anon_sym_DQUOTE2] = anon_sym_DQUOTE,
  [sym__new_line] = sym__new_line,
  [anon_sym_SQUOTE2] = anon_sym_SQUOTE,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [aux_sym_yield_expression_token1] = aux_sym_yield_expression_token1,
  [aux_sym_yield_expression_token2] = aux_sym_yield_expression_token2,
  [aux_sym_binary_expression_token1] = aux_sym_binary_expression_token1,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [aux_sym_binary_expression_token2] = aux_sym_binary_expression_token2,
  [aux_sym_binary_expression_token3] = aux_sym_binary_expression_token3,
  [aux_sym_binary_expression_token4] = aux_sym_binary_expression_token4,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_LT_GT] = anon_sym_LT_GT,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ_GT] = anon_sym_LT_EQ_GT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [aux_sym_include_expression_token1] = aux_sym_include_expression_token1,
  [aux_sym_include_once_expression_token1] = aux_sym_include_once_expression_token1,
  [aux_sym_require_expression_token1] = aux_sym_require_expression_token1,
  [aux_sym_require_once_expression_token1] = aux_sym_require_once_expression_token1,
  [sym_comment] = sym_comment,
  [sym__automatic_semicolon] = sym__automatic_semicolon,
  [sym_encapsed_string_chars] = sym_string_content,
  [sym_encapsed_string_chars_after_variable] = sym_string_content,
  [sym_execution_string_chars] = sym_string_content,
  [sym_execution_string_chars_after_variable] = sym_string_content,
  [sym_encapsed_string_chars_heredoc] = sym_string_content,
  [sym_encapsed_string_chars_after_variable_heredoc] = sym_string_content,
  [sym__eof] = sym__eof,
  [sym_heredoc_start] = sym_heredoc_start,
  [sym_heredoc_end] = sym_heredoc_end,
  [sym_nowdoc_string] = sym_nowdoc_string,
  [sym_sentinel_error] = sym_sentinel_error,
  [sym_program] = sym_program,
  [sym_statement] = sym_statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym_reference_modifier] = sym_reference_modifier,
  [sym_function_static_declaration] = sym_function_static_declaration,
  [sym_static_variable_declaration] = sym_static_variable_declaration,
  [sym_global_declaration] = sym_global_declaration,
  [sym_namespace_definition] = sym_namespace_definition,
  [sym_namespace_use_declaration] = sym_namespace_use_declaration,
  [sym_namespace_use_clause] = sym_namespace_use_clause,
  [sym_qualified_name] = sym_qualified_name,
  [sym_relative_name] = sym_relative_name,
  [sym__name] = sym__name,
  [sym_namespace_name] = sym_namespace_name,
  [sym__namespace_use_group] = sym__namespace_use_group,
  [sym_namespace_use_group] = sym_namespace_use_group,
  [sym_trait_declaration] = sym_trait_declaration,
  [sym_interface_declaration] = sym_interface_declaration,
  [sym_base_clause] = sym_base_clause,
  [sym_enum_declaration] = sym_enum_declaration,
  [sym_enum_declaration_list] = sym_enum_declaration_list,
  [sym__enum_member_declaration] = sym__enum_member_declaration,
  [sym_enum_case] = sym_enum_case,
  [sym_class_declaration] = sym_class_declaration,
  [sym_declaration_list] = sym_declaration_list,
  [sym_final_modifier] = sym_final_modifier,
  [sym_abstract_modifier] = sym_abstract_modifier,
  [sym_readonly_modifier] = sym_readonly_modifier,
  [sym_class_interface_clause] = sym_class_interface_clause,
  [sym__member_declaration] = sym__member_declaration,
  [sym_const_declaration] = sym_const_declaration,
  [sym__class_const_declaration] = sym_const_declaration,
  [sym__const_declaration] = sym__const_declaration,
  [sym_property_declaration] = sym_property_declaration,
  [sym__modifier] = sym__modifier,
  [sym_property_element] = sym_property_element,
  [sym_property_hook_list] = sym_property_hook_list,
  [sym_property_hook] = sym_property_hook,
  [sym__property_hook_body] = sym__property_hook_body,
  [sym_method_declaration] = sym_method_declaration,
  [sym_static_modifier] = sym_static_modifier,
  [sym_use_declaration] = sym_use_declaration,
  [sym_use_list] = sym_use_list,
  [sym_use_instead_of_clause] = sym_use_instead_of_clause,
  [sym_use_as_clause] = sym_use_as_clause,
  [sym_visibility_modifier] = sym_visibility_modifier,
  [sym_function_definition] = sym_function_definition,
  [sym__function_definition_header] = sym__function_definition_header,
  [sym_anonymous_function] = sym_anonymous_function,
  [sym_anonymous_function_use_clause] = sym_anonymous_function_use_clause,
  [sym__anonymous_function_header] = sym__anonymous_function_header,
  [sym__arrow_function_header] = sym__arrow_function_header,
  [sym_arrow_function] = sym_arrow_function,
  [sym_formal_parameters] = sym_formal_parameters,
  [sym_property_promotion_parameter] = sym_property_promotion_parameter,
  [sym_simple_parameter] = sym_simple_parameter,
  [sym_variadic_parameter] = sym_variadic_parameter,
  [sym_type] = sym_type,
  [sym__types] = sym__types,
  [sym_named_type] = sym_named_type,
  [sym_optional_type] = sym_optional_type,
  [sym_union_type] = sym_union_type,
  [sym_intersection_type] = sym_intersection_type,
  [sym_disjunctive_normal_form_type] = sym_disjunctive_normal_form_type,
  [sym_primitive_type] = sym_primitive_type,
  [sym_cast_type] = sym_cast_type,
  [sym__return_type] = sym__return_type,
  [sym_const_element] = sym_const_element,
  [sym_echo_statement] = sym_echo_statement,
  [sym_exit_statement] = sym_exit_statement,
  [sym_unset_statement] = sym_unset_statement,
  [sym_declare_statement] = sym_declare_statement,
  [sym_declare_directive] = sym_declare_directive,
  [sym_literal] = sym_literal,
  [sym_try_statement] = sym_try_statement,
  [sym_catch_clause] = sym_catch_clause,
  [sym_type_list] = sym_type_list,
  [sym_finally_clause] = sym_finally_clause,
  [sym_goto_statement] = sym_goto_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_throw_expression] = sym_throw_expression,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_for_statement] = sym_for_statement,
  [sym__expressions] = sym__expressions,
  [sym_sequence_expression] = sym_sequence_expression,
  [sym_foreach_statement] = sym_foreach_statement,
  [sym_foreach_pair] = sym_foreach_pair,
  [sym__foreach_value] = sym__foreach_value,
  [sym_if_statement] = sym_if_statement,
  [sym_colon_block] = sym_colon_block,
  [sym_else_if_clause] = sym_else_if_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_else_if_clause_2] = sym_else_if_clause,
  [sym_else_clause_2] = sym_else_clause,
  [sym_match_expression] = sym_match_expression,
  [sym_match_block] = sym_match_block,
  [sym_match_condition_list] = sym_match_condition_list,
  [sym_match_conditional_expression] = sym_match_conditional_expression,
  [sym_match_default_expression] = sym_match_default_expression,
  [sym_switch_statement] = sym_switch_statement,
  [sym_switch_block] = sym_switch_block,
  [sym_case_statement] = sym_case_statement,
  [sym_default_statement] = sym_default_statement,
  [sym_compound_statement] = sym_compound_statement,
  [sym_named_label_statement] = sym_named_label_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_expression] = sym_expression,
  [sym__unary_expression] = sym__unary_expression,
  [sym_unary_op_expression] = sym_unary_op_expression,
  [sym_error_suppression_expression] = sym_error_suppression_expression,
  [sym_clone_expression] = sym_clone_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_class_constant_access_expression] = sym_class_constant_access_expression,
  [sym_print_intrinsic] = sym_print_intrinsic,
  [sym_object_creation_expression] = sym_object_creation_expression,
  [sym__new_non_dereferencable_expression] = sym__new_non_dereferencable_expression,
  [sym__new_dereferencable_expression] = sym__new_dereferencable_expression,
  [sym__class_name_reference] = sym__class_name_reference,
  [sym_anonymous_class] = sym_anonymous_class,
  [sym_update_expression] = sym_update_expression,
  [sym_cast_expression] = sym_cast_expression,
  [sym_cast_variable] = sym_cast_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_reference_assignment_expression] = sym_reference_assignment_expression,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_augmented_assignment_expression] = sym_augmented_assignment_expression,
  [sym__variable_member_access_expression] = sym_member_access_expression,
  [sym_member_access_expression] = sym_member_access_expression,
  [sym__variable_nullsafe_member_access_expression] = sym_nullsafe_member_access_expression,
  [sym_nullsafe_member_access_expression] = sym_nullsafe_member_access_expression,
  [sym__variable_scoped_property_access_expression] = sym_scoped_property_access_expression,
  [sym_scoped_property_access_expression] = sym_scoped_property_access_expression,
  [sym_list_literal] = sym_list_literal,
  [sym__list_destructing] = sym__list_destructing,
  [sym__array_destructing] = sym__array_destructing,
  [sym__array_destructing_element] = sym__array_destructing_element,
  [sym_function_call_expression] = sym_function_call_expression,
  [sym__callable_expression] = sym__callable_expression,
  [sym_scoped_call_expression] = sym_scoped_call_expression,
  [sym__scope_resolution_qualifier] = sym__scope_resolution_qualifier,
  [sym_relative_scope] = sym_relative_scope,
  [sym_variadic_placeholder] = sym_variadic_placeholder,
  [sym_arguments] = sym_arguments,
  [sym_argument] = sym_argument,
  [sym__argument_name] = sym__argument_name,
  [sym_member_call_expression] = sym_member_call_expression,
  [sym_nullsafe_member_call_expression] = sym_nullsafe_member_call_expression,
  [sym_variadic_unpacking] = sym_variadic_unpacking,
  [sym__member_name] = sym__member_name,
  [sym__variable_subscript_expression] = sym__variable_subscript_expression,
  [sym__dereferencable_subscript_expression] = sym__variable_subscript_expression,
  [sym__dereferencable_expression] = sym__dereferencable_expression,
  [sym__dereferencable_scalar] = sym__dereferencable_scalar,
  [sym_array_creation_expression] = sym_array_creation_expression,
  [sym_attribute_group] = sym_attribute_group,
  [sym_attribute_list] = sym_attribute_list,
  [sym_attribute] = sym_attribute,
  [sym__complex_string_part] = sym__complex_string_part,
  [sym__simple_string_member_access_expression] = sym_member_access_expression,
  [sym__simple_string_subscript_unary_expression] = sym_unary_op_expression,
  [sym__simple_string_array_access_argument] = sym__simple_string_array_access_argument,
  [sym__simple_string_subscript_expression] = sym__variable_subscript_expression,
  [sym__simple_string_part] = sym__simple_string_part,
  [aux_sym__interpolated_string_body] = aux_sym__interpolated_string_body,
  [aux_sym__interpolated_string_body_heredoc] = aux_sym__interpolated_string_body_heredoc,
  [sym_encapsed_string] = sym_encapsed_string,
  [sym_string] = sym_string,
  [sym_string_content] = sym_string_content,
  [sym_heredoc_body] = sym_heredoc_body,
  [sym_heredoc] = sym_heredoc,
  [sym_nowdoc_body] = sym_nowdoc_body,
  [sym_nowdoc] = sym_nowdoc,
  [aux_sym__interpolated_execution_operator_body] = aux_sym__interpolated_execution_operator_body,
  [sym_shell_command_expression] = sym_shell_command_expression,
  [sym_boolean] = sym_boolean,
  [sym_null] = sym_null,
  [sym__string] = sym__string,
  [sym_dynamic_variable_name] = sym_dynamic_variable_name,
  [sym__simple_variable] = sym__simple_variable,
  [sym__new_variable] = sym__new_variable,
  [sym__callable_variable] = sym__callable_variable,
  [sym_variable_name] = sym_variable_name,
  [sym_by_ref] = sym_by_ref,
  [sym_yield_expression] = sym_yield_expression,
  [sym_array_element_initializer] = sym_array_element_initializer,
  [sym_binary_expression] = sym_binary_expression,
  [sym_include_expression] = sym_include_expression,
  [sym_include_once_expression] = sym_include_once_expression,
  [sym_require_expression] = sym_require_expression,
  [sym_require_once_expression] = sym_require_once_expression,
  [sym__reserved_identifier] = sym_name,
  [sym__identifier] = sym__identifier,
  [sym__semicolon] = sym__semicolon,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_function_static_declaration_repeat1] = aux_sym_function_static_declaration_repeat1,
  [aux_sym_global_declaration_repeat1] = aux_sym_global_declaration_repeat1,
  [aux_sym_namespace_use_declaration_repeat1] = aux_sym_namespace_use_declaration_repeat1,
  [aux_sym_namespace_name_repeat1] = aux_sym_namespace_name_repeat1,
  [aux_sym_base_clause_repeat1] = aux_sym_base_clause_repeat1,
  [aux_sym_enum_declaration_list_repeat1] = aux_sym_enum_declaration_list_repeat1,
  [aux_sym_class_declaration_repeat1] = aux_sym_class_declaration_repeat1,
  [aux_sym_declaration_list_repeat1] = aux_sym_declaration_list_repeat1,
  [aux_sym__const_declaration_repeat1] = aux_sym__const_declaration_repeat1,
  [aux_sym_property_declaration_repeat1] = aux_sym_property_declaration_repeat1,
  [aux_sym_property_hook_list_repeat1] = aux_sym_property_hook_list_repeat1,
  [aux_sym_use_list_repeat1] = aux_sym_use_list_repeat1,
  [aux_sym_anonymous_function_use_clause_repeat1] = aux_sym_anonymous_function_use_clause_repeat1,
  [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
  [aux_sym_union_type_repeat1] = aux_sym_union_type_repeat1,
  [aux_sym_intersection_type_repeat1] = aux_sym_intersection_type_repeat1,
  [aux_sym_disjunctive_normal_form_type_repeat1] = aux_sym_disjunctive_normal_form_type_repeat1,
  [aux_sym_unset_statement_repeat1] = aux_sym_unset_statement_repeat1,
  [aux_sym_try_statement_repeat1] = aux_sym_try_statement_repeat1,
  [aux_sym_type_list_repeat1] = aux_sym_type_list_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_if_statement_repeat2] = aux_sym_if_statement_repeat2,
  [aux_sym_match_block_repeat1] = aux_sym_match_block_repeat1,
  [aux_sym_match_condition_list_repeat1] = aux_sym_match_condition_list_repeat1,
  [aux_sym_switch_block_repeat1] = aux_sym_switch_block_repeat1,
  [aux_sym__list_destructing_repeat1] = aux_sym__list_destructing_repeat1,
  [aux_sym__array_destructing_repeat1] = aux_sym__array_destructing_repeat1,
  [aux_sym_arguments_repeat1] = aux_sym_arguments_repeat1,
  [aux_sym_array_creation_expression_repeat1] = aux_sym_array_creation_expression_repeat1,
  [aux_sym_attribute_group_repeat1] = aux_sym_attribute_group_repeat1,
  [aux_sym_attribute_list_repeat1] = aux_sym_attribute_list_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_content_repeat1] = aux_sym_string_content_repeat1,
  [aux_sym_heredoc_body_repeat1] = aux_sym_heredoc_body_repeat1,
  [aux_sym_nowdoc_body_repeat1] = aux_sym_nowdoc_body_repeat1,
  [alias_sym_operation] = alias_sym_operation,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_name] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_QMARK_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_php_tag] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_function_static_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_global_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_definition_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_use_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__namespace_use_type_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__namespace_use_type_token2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_trait_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_interface_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_base_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_enum_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_string] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_enum_case_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_class_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_final_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_abstract_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_readonly_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_class_interface_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_var_modifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_use_instead_of_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token3] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__arrow_function_header_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [sym_bottom_type] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_array] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_primitive_type_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_iterable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bool] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_float] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mixed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_null] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_cast_type_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token4] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token5] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token6] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token7] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token8] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token9] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token10] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token11] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token12] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_echo_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_exit_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unset] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_declare_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_declare_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ticks] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_encoding] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_strict_types] = {
    .visible = true,
    .named = false,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_try_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_catch_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_finally_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_goto_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_continue_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_break_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_integer] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_return_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_throw_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_while_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_while_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_do_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_for_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_for_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_foreach_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_foreach_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_if_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_if_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_else_if_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_else_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_match_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_match_default_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_switch_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_switch_block_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_clone_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_print_intrinsic_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__new_non_dereferencable_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__list_destructing_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_self] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_parent] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__argument_name_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__argument_name_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_POUND_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BSLASHu] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_encapsed_string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token2] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_string_content_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_LT_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [sym__new_line] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_SQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_yield_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_yield_expression_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token4] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_include_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_include_once_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_require_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_require_once_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym_encapsed_string_chars] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_after_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_execution_string_chars] = {
    .visible = true,
    .named = true,
  },
  [sym_execution_string_chars_after_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_after_variable_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym__eof] = {
    .visible = false,
    .named = true,
  },
  [sym_heredoc_start] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_end] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc_string] = {
    .visible = true,
    .named = true,
  },
  [sym_sentinel_error] = {
    .visible = true,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_function_static_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_static_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_global_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_name] = {
    .visible = true,
    .named = true,
  },
  [sym_relative_name] = {
    .visible = true,
    .named = true,
  },
  [sym__name] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_name] = {
    .visible = true,
    .named = true,
  },
  [sym__namespace_use_group] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_use_group] = {
    .visible = true,
    .named = true,
  },
  [sym_trait_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_base_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__enum_member_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_enum_case] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_final_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_readonly_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_class_interface_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__member_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_const_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__class_const_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__const_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_property_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__modifier] = {
    .visible = false,
    .named = true,
  },
  [sym_property_element] = {
    .visible = true,
    .named = true,
  },
  [sym_property_hook_list] = {
    .visible = true,
    .named = true,
  },
  [sym_property_hook] = {
    .visible = true,
    .named = true,
  },
  [sym__property_hook_body] = {
    .visible = false,
    .named = true,
  },
  [sym_method_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_static_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_use_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_use_list] = {
    .visible = true,
    .named = true,
  },
  [sym_use_instead_of_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_use_as_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_visibility_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__function_definition_header] = {
    .visible = false,
    .named = true,
  },
  [sym_anonymous_function] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_function_use_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__anonymous_function_header] = {
    .visible = false,
    .named = true,
  },
  [sym__arrow_function_header] = {
    .visible = false,
    .named = true,
  },
  [sym_arrow_function] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_property_promotion_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_simple_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__types] = {
    .visible = false,
    .named = true,
  },
  [sym_named_type] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_type] = {
    .visible = true,
    .named = true,
  },
  [sym_union_type] = {
    .visible = true,
    .named = true,
  },
  [sym_intersection_type] = {
    .visible = true,
    .named = true,
  },
  [sym_disjunctive_normal_form_type] = {
    .visible = true,
    .named = true,
  },
  [sym_primitive_type] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_type] = {
    .visible = true,
    .named = true,
  },
  [sym__return_type] = {
    .visible = false,
    .named = true,
  },
  [sym_const_element] = {
    .visible = true,
    .named = true,
  },
  [sym_echo_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_exit_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_unset_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_declare_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_declare_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_literal] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_type_list] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__expressions] = {
    .visible = false,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_foreach_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_foreach_pair] = {
    .visible = true,
    .named = true,
  },
  [sym__foreach_value] = {
    .visible = false,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_colon_block] = {
    .visible = true,
    .named = true,
  },
  [sym_else_if_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_if_clause_2] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause_2] = {
    .visible = true,
    .named = true,
  },
  [sym_match_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_match_block] = {
    .visible = true,
    .named = true,
  },
  [sym_match_condition_list] = {
    .visible = true,
    .named = true,
  },
  [sym_match_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_match_default_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_block] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_default_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_named_label_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__unary_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_unary_op_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_error_suppression_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_clone_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_constant_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_print_intrinsic] = {
    .visible = true,
    .named = true,
  },
  [sym_object_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__new_non_dereferencable_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__new_dereferencable_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__class_name_reference] = {
    .visible = false,
    .named = true,
  },
  [sym_anonymous_class] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_augmented_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__variable_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__variable_nullsafe_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_nullsafe_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__variable_scoped_property_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_scoped_property_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_list_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__list_destructing] = {
    .visible = false,
    .named = true,
  },
  [sym__array_destructing] = {
    .visible = false,
    .named = true,
  },
  [sym__array_destructing_element] = {
    .visible = false,
    .named = true,
  },
  [sym_function_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__callable_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_scoped_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__scope_resolution_qualifier] = {
    .visible = false,
    .named = true,
  },
  [sym_relative_scope] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_placeholder] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_argument] = {
    .visible = true,
    .named = true,
  },
  [sym__argument_name] = {
    .visible = false,
    .named = true,
  },
  [sym_member_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_nullsafe_member_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_unpacking] = {
    .visible = true,
    .named = true,
  },
  [sym__member_name] = {
    .visible = false,
    .named = true,
  },
  [sym__variable_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__dereferencable_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__dereferencable_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__dereferencable_scalar] = {
    .visible = false,
    .named = true,
  },
  [sym_array_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_group] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_list] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym__complex_string_part] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_string_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_subscript_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_array_access_argument] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_string_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_part] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__interpolated_string_body] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__interpolated_string_body_heredoc] = {
    .visible = false,
    .named = false,
  },
  [sym_encapsed_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_body] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc_body] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__interpolated_execution_operator_body] = {
    .visible = false,
    .named = false,
  },
  [sym_shell_command_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym__string] = {
    .visible = false,
    .named = true,
  },
  [sym_dynamic_variable_name] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_variable] = {
    .visible = false,
    .named = true,
  },
  [sym__new_variable] = {
    .visible = false,
    .named = true,
  },
  [sym__callable_variable] = {
    .visible = false,
    .named = true,
  },
  [sym_variable_name] = {
    .visible = true,
    .named = true,
  },
  [sym_by_ref] = {
    .visible = true,
    .named = true,
  },
  [sym_yield_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array_element_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_include_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_include_once_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_require_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_require_once_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__reserved_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__identifier] = {
    .visible = false,
    .named = true,
  },
  [sym__semicolon] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_static_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_global_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namespace_name_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_base_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__const_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_property_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_property_hook_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_use_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_anonymous_function_use_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_union_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_intersection_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_disjunctive_normal_form_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_unset_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_condition_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__list_destructing_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__array_destructing_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_creation_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_group_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_content_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_heredoc_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_nowdoc_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_operation] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_alternative = 2,
  field_argument = 3,
  field_arguments = 4,
  field_attributes = 5,
  field_body = 6,
  field_condition = 7,
  field_conditional_expressions = 8,
  field_default_value = 9,
  field_end_tag = 10,
  field_final = 11,
  field_function = 12,
  field_identifier = 13,
  field_initialize = 14,
  field_left = 15,
  field_name = 16,
  field_object = 17,
  field_operator = 18,
  field_parameters = 19,
  field_prefix = 20,
  field_readonly = 21,
  field_reference_modifier = 22,
  field_return_expression = 23,
  field_return_type = 24,
  field_right = 25,
  field_scope = 26,
  field_static_modifier = 27,
  field_type = 28,
  field_update = 29,
  field_value = 30,
  field_visibility = 31,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_attributes] = "attributes",
  [field_body] = "body",
  [field_condition] = "condition",
  [field_conditional_expressions] = "conditional_expressions",
  [field_default_value] = "default_value",
  [field_end_tag] = "end_tag",
  [field_final] = "final",
  [field_function] = "function",
  [field_identifier] = "identifier",
  [field_initialize] = "initialize",
  [field_left] = "left",
  [field_name] = "name",
  [field_object] = "object",
  [field_operator] = "operator",
  [field_parameters] = "parameters",
  [field_prefix] = "prefix",
  [field_readonly] = "readonly",
  [field_reference_modifier] = "reference_modifier",
  [field_return_expression] = "return_expression",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_scope] = "scope",
  [field_static_modifier] = "static_modifier",
  [field_type] = "type",
  [field_update] = "update",
  [field_value] = "value",
  [field_visibility] = "visibility",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 2},
  [4] = {.index = 3, .length = 2},
  [5] = {.index = 5, .length = 1},
  [6] = {.index = 6, .length = 1},
  [7] = {.index = 7, .length = 1},
  [8] = {.index = 8, .length = 1},
  [9] = {.index = 9, .length = 2},
  [11] = {.index = 11, .length = 2},
  [12] = {.index = 13, .length = 4},
  [13] = {.index = 17, .length = 6},
  [14] = {.index = 23, .length = 2},
  [15] = {.index = 25, .length = 2},
  [16] = {.index = 27, .length = 2},
  [17] = {.index = 29, .length = 1},
  [18] = {.index = 30, .length = 1},
  [19] = {.index = 31, .length = 2},
  [20] = {.index = 33, .length = 2},
  [21] = {.index = 35, .length = 2},
  [22] = {.index = 37, .length = 2},
  [24] = {.index = 39, .length = 2},
  [25] = {.index = 41, .length = 2},
  [26] = {.index = 43, .length = 2},
  [27] = {.index = 45, .length = 2},
  [28] = {.index = 47, .length = 6},
  [29] = {.index = 53, .length = 3},
  [30] = {.index = 56, .length = 2},
  [31] = {.index = 58, .length = 2},
  [32] = {.index = 60, .length = 2},
  [33] = {.index = 62, .length = 5},
  [34] = {.index = 67, .length = 2},
  [35] = {.index = 69, .length = 1},
  [36] = {.index = 70, .length = 1},
  [37] = {.index = 71, .length = 2},
  [38] = {.index = 73, .length = 2},
  [39] = {.index = 75, .length = 2},
  [40] = {.index = 77, .length = 2},
  [41] = {.index = 79, .length = 3},
  [42] = {.index = 82, .length = 2},
  [43] = {.index = 84, .length = 1},
  [44] = {.index = 85, .length = 2},
  [45] = {.index = 87, .length = 3},
  [46] = {.index = 90, .length = 1},
  [47] = {.index = 91, .length = 3},
  [48] = {.index = 94, .length = 2},
  [49] = {.index = 96, .length = 2},
  [51] = {.index = 98, .length = 2},
  [52] = {.index = 100, .length = 1},
  [53] = {.index = 101, .length = 3},
  [54] = {.index = 104, .length = 3},
  [55] = {.index = 107, .length = 2},
  [58] = {.index = 109, .length = 2},
  [59] = {.index = 111, .length = 2},
  [60] = {.index = 113, .length = 3},
  [61] = {.index = 116, .length = 2},
  [62] = {.index = 5, .length = 1},
  [63] = {.index = 118, .length = 1},
  [64] = {.index = 119, .length = 1},
  [65] = {.index = 120, .length = 3},
  [66] = {.index = 123, .length = 3},
  [67] = {.index = 126, .length = 2},
  [68] = {.index = 128, .length = 2},
  [69] = {.index = 130, .length = 3},
  [70] = {.index = 133, .length = 3},
  [71] = {.index = 136, .length = 3},
  [72] = {.index = 139, .length = 3},
  [73] = {.index = 142, .length = 3},
  [74] = {.index = 145, .length = 3},
  [75] = {.index = 148, .length = 2},
  [76] = {.index = 150, .length = 4},
  [77] = {.index = 154, .length = 2},
  [78] = {.index = 156, .length = 2},
  [79] = {.index = 158, .length = 2},
  [80] = {.index = 160, .length = 3},
  [81] = {.index = 163, .length = 3},
  [82] = {.index = 166, .length = 2},
  [83] = {.index = 168, .length = 3},
  [84] = {.index = 171, .length = 2},
  [85] = {.index = 173, .length = 3},
  [86] = {.index = 176, .length = 3},
  [87] = {.index = 179, .length = 3},
  [88] = {.index = 182, .length = 2},
  [89] = {.index = 184, .length = 3},
  [90] = {.index = 187, .length = 3},
  [91] = {.index = 190, .length = 1},
  [92] = {.index = 191, .length = 3},
  [93] = {.index = 194, .length = 2},
  [94] = {.index = 196, .length = 2},
  [95] = {.index = 196, .length = 2},
  [96] = {.index = 198, .length = 2},
  [97] = {.index = 200, .length = 4},
  [98] = {.index = 204, .length = 2},
  [99] = {.index = 206, .length = 1},
  [100] = {.index = 207, .length = 2},
  [101] = {.index = 209, .length = 3},
  [102] = {.index = 212, .length = 3},
  [103] = {.index = 215, .length = 2},
  [104] = {.index = 217, .length = 3},
  [105] = {.index = 220, .length = 2},
  [106] = {.index = 222, .length = 4},
  [107] = {.index = 226, .length = 3},
  [108] = {.index = 229, .length = 3},
  [110] = {.index = 232, .length = 4},
  [111] = {.index = 236, .length = 3},
  [112] = {.index = 239, .length = 3},
  [113] = {.index = 242, .length = 4},
  [114] = {.index = 246, .length = 4},
  [115] = {.index = 250, .length = 3},
  [116] = {.index = 253, .length = 1},
  [117] = {.index = 254, .length = 2},
  [118] = {.index = 256, .length = 3},
  [119] = {.index = 259, .length = 4},
  [120] = {.index = 263, .length = 3},
  [121] = {.index = 266, .length = 3},
  [122] = {.index = 269, .length = 3},
  [123] = {.index = 272, .length = 3},
  [124] = {.index = 275, .length = 4},
  [125] = {.index = 279, .length = 4},
  [126] = {.index = 283, .length = 3},
  [127] = {.index = 286, .length = 4},
  [128] = {.index = 290, .length = 3},
  [129] = {.index = 293, .length = 2},
  [130] = {.index = 295, .length = 4},
  [131] = {.index = 299, .length = 4},
  [132] = {.index = 303, .length = 3},
  [133] = {.index = 306, .length = 2},
  [134] = {.index = 308, .length = 1},
  [135] = {.index = 309, .length = 1},
  [136] = {.index = 310, .length = 2},
  [137] = {.index = 312, .length = 1},
  [138] = {.index = 313, .length = 1},
  [139] = {.index = 314, .length = 2},
  [142] = {.index = 316, .length = 3},
  [143] = {.index = 319, .length = 3},
  [144] = {.index = 322, .length = 3},
  [145] = {.index = 325, .length = 4},
  [146] = {.index = 329, .length = 4},
  [147] = {.index = 333, .length = 3},
  [148] = {.index = 333, .length = 3},
  [149] = {.index = 336, .length = 5},
  [150] = {.index = 341, .length = 4},
  [151] = {.index = 345, .length = 3},
  [152] = {.index = 348, .length = 2},
  [153] = {.index = 350, .length = 4},
  [154] = {.index = 354, .length = 4},
  [155] = {.index = 358, .length = 1},
  [156] = {.index = 359, .length = 1},
  [157] = {.index = 360, .length = 4},
  [158] = {.index = 364, .length = 4},
  [159] = {.index = 368, .length = 5},
  [160] = {.index = 373, .length = 4},
  [161] = {.index = 377, .length = 4},
  [162] = {.index = 381, .length = 4},
  [163] = {.index = 385, .length = 1},
  [164] = {.index = 386, .length = 5},
  [165] = {.index = 391, .length = 4},
  [166] = {.index = 395, .length = 2},
  [167] = {.index = 397, .length = 2},
  [168] = {.index = 399, .length = 1},
  [169] = {.index = 400, .length = 2},
  [170] = {.index = 402, .length = 1},
  [171] = {.index = 403, .length = 2},
  [172] = {.index = 405, .length = 1},
  [173] = {.index = 406, .length = 1},
  [174] = {.index = 407, .length = 2},
  [175] = {.index = 409, .length = 3},
  [176] = {.index = 412, .length = 3},
  [177] = {.index = 415, .length = 5},
  [178] = {.index = 420, .length = 3},
  [179] = {.index = 423, .length = 5},
  [180] = {.index = 428, .length = 2},
  [181] = {.index = 430, .length = 2},
  [182] = {.index = 432, .length = 2},
  [183] = {.index = 434, .length = 2},
  [184] = {.index = 436, .length = 5},
  [185] = {.index = 441, .length = 5},
  [186] = {.index = 446, .length = 5},
  [187] = {.index = 451, .length = 2},
  [188] = {.index = 453, .length = 2},
  [189] = {.index = 455, .length = 3},
  [190] = {.index = 458, .length = 3},
  [191] = {.index = 461, .length = 2},
  [192] = {.index = 463, .length = 3},
  [193] = {.index = 466, .length = 2},
  [194] = {.index = 468, .length = 3},
  [195] = {.index = 471, .length = 2},
  [196] = {.index = 473, .length = 2},
  [197] = {.index = 475, .length = 3},
  [198] = {.index = 478, .length = 3},
  [199] = {.index = 481, .length = 3},
  [200] = {.index = 484, .length = 3},
  [201] = {.index = 487, .length = 3},
  [202] = {.index = 490, .length = 3},
  [203] = {.index = 493, .length = 6},
  [204] = {.index = 499, .length = 3},
  [205] = {.index = 502, .length = 4},
  [206] = {.index = 506, .length = 3},
  [207] = {.index = 509, .length = 4},
  [208] = {.index = 513, .length = 4},
  [209] = {.index = 517, .length = 4},
  [210] = {.index = 521, .length = 4},
  [211] = {.index = 525, .length = 2},
  [212] = {.index = 527, .length = 2},
  [213] = {.index = 529, .length = 2},
  [214] = {.index = 531, .length = 5},
  [215] = {.index = 536, .length = 3},
  [216] = {.index = 539, .length = 3},
  [217] = {.index = 542, .length = 3},
  [218] = {.index = 545, .length = 4},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_type, 0, .inherited = true},
  [1] =
    {field_name, 0, .inherited = true},
    {field_object, 0, .inherited = true},
  [3] =
    {field_name, 0, .inherited = true},
    {field_scope, 0, .inherited = true},
  [5] =
    {field_name, 0},
  [6] =
    {field_body, 1},
  [7] =
    {field_parameters, 1},
  [8] =
    {field_prefix, 0},
  [9] =
    {field_argument, 1},
    {field_operator, 0},
  [11] =
    {field_arguments, 1},
    {field_function, 0},
  [13] =
    {field_body, 1},
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [17] =
    {field_attributes, 0, .inherited = true},
    {field_body, 1},
    {field_parameters, 0, .inherited = true},
    {field_reference_modifier, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
    {field_static_modifier, 0, .inherited = true},
  [23] =
    {field_argument, 0},
    {field_operator, 1},
  [25] =
    {field_prefix, 0},
    {field_prefix, 1},
  [27] =
    {field_body, 2},
    {field_name, 1},
  [29] =
    {field_name, 1},
  [30] =
    {field_type, 0},
  [31] =
    {field_body, 1, .inherited = true},
    {field_type, 1, .inherited = true},
  [33] =
    {field_parameters, 2},
    {field_reference_modifier, 1},
  [35] =
    {field_parameters, 1},
    {field_return_type, 2, .inherited = true},
  [37] =
    {field_name, 1},
    {field_parameters, 2},
  [39] =
    {field_body, 2},
    {field_condition, 1},
  [41] =
    {field_end_tag, 2},
    {field_identifier, 1},
  [43] =
    {field_name, 2},
    {field_scope, 0},
  [45] =
    {field_parameters, 2},
    {field_static_modifier, 0},
  [47] =
    {field_attributes, 0, .inherited = true},
    {field_body, 2},
    {field_parameters, 0, .inherited = true},
    {field_reference_modifier, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
    {field_static_modifier, 0, .inherited = true},
  [53] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [56] =
    {field_left, 0},
    {field_right, 2},
  [58] =
    {field_name, 2, .inherited = true},
    {field_object, 0},
  [60] =
    {field_attributes, 0},
    {field_parameters, 2},
  [62] =
    {field_attributes, 0},
    {field_body, 2},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [67] =
    {field_name, 0},
    {field_value, 2},
  [69] =
    {field_alias, 2},
  [70] =
    {field_body, 2},
  [71] =
    {field_name, 1},
    {field_reference_modifier, 0},
  [73] =
    {field_name, 1},
    {field_visibility, 0},
  [75] =
    {field_name, 1},
    {field_type, 0},
  [77] =
    {field_attributes, 0},
    {field_name, 1},
  [79] =
    {field_parameters, 2},
    {field_reference_modifier, 1},
    {field_return_type, 3, .inherited = true},
  [82] =
    {field_name, 2},
    {field_parameters, 3},
  [84] =
    {field_return_type, 1},
  [85] =
    {field_parameters, 1},
    {field_return_type, 3, .inherited = true},
  [87] =
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [90] =
    {field_type, 1},
  [91] =
    {field_prefix, 0},
    {field_prefix, 1},
    {field_prefix, 2},
  [94] =
    {field_attributes, 0, .inherited = true},
    {field_type, 0, .inherited = true},
  [96] =
    {field_body, 3},
    {field_name, 1},
  [98] =
    {field_type, 1},
    {field_value, 3},
  [100] =
    {field_alternative, 0},
  [101] =
    {field_alternative, 3},
    {field_body, 2},
    {field_condition, 1},
  [104] =
    {field_alternative, 3, .inherited = true},
    {field_body, 2},
    {field_condition, 1},
  [107] =
    {field_attributes, 0},
    {field_body, 2},
  [109] =
    {field_name, 2},
    {field_object, 0},
  [111] =
    {field_end_tag, 3},
    {field_identifier, 1},
  [113] =
    {field_end_tag, 3},
    {field_identifier, 1},
    {field_value, 2},
  [116] =
    {field_end_tag, 3},
    {field_identifier, 2},
  [118] =
    {field_reference_modifier, 0},
  [119] =
    {field_name, 0, .inherited = true},
  [120] =
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_static_modifier, 0},
  [123] =
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
    {field_static_modifier, 0},
  [126] =
    {field_alternative, 3},
    {field_condition, 0},
  [128] =
    {field_left, 0},
    {field_right, 3},
  [130] =
    {field_arguments, 3},
    {field_name, 2, .inherited = true},
    {field_scope, 0},
  [133] =
    {field_arguments, 3},
    {field_name, 2, .inherited = true},
    {field_object, 0},
  [136] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [139] =
    {field_attributes, 0},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [142] =
    {field_attributes, 0},
    {field_body, 3},
    {field_name, 2},
  [145] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_static_modifier, 1},
  [148] =
    {field_body, 3},
    {field_name, 2},
  [150] =
    {field_prefix, 0},
    {field_prefix, 1},
    {field_prefix, 2},
    {field_prefix, 3},
  [154] =
    {field_alias, 3},
    {field_type, 0},
  [156] =
    {field_body, 3},
    {field_type, 0},
  [158] =
    {field_name, 2},
    {field_reference_modifier, 0},
  [160] =
    {field_name, 2},
    {field_readonly, 1},
    {field_visibility, 0},
  [163] =
    {field_name, 2},
    {field_type, 1},
    {field_visibility, 0},
  [166] =
    {field_name, 2},
    {field_type, 0},
  [168] =
    {field_name, 2},
    {field_reference_modifier, 1},
    {field_type, 0},
  [171] =
    {field_attributes, 0},
    {field_name, 2},
  [173] =
    {field_attributes, 0},
    {field_name, 2},
    {field_reference_modifier, 1},
  [176] =
    {field_attributes, 0},
    {field_name, 2},
    {field_visibility, 1},
  [179] =
    {field_attributes, 0},
    {field_name, 2},
    {field_type, 1},
  [182] =
    {field_default_value, 2},
    {field_name, 0},
  [184] =
    {field_parameters, 2},
    {field_reference_modifier, 1},
    {field_return_type, 4, .inherited = true},
  [187] =
    {field_name, 2},
    {field_parameters, 3},
    {field_return_type, 4, .inherited = true},
  [190] =
    {field_type, 1, .inherited = true},
  [191] =
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [194] =
    {field_attributes, 0},
    {field_type, 1, .inherited = true},
  [196] =
    {field_body, 4},
    {field_name, 1},
  [198] =
    {field_body, 1},
    {field_condition, 3},
  [200] =
    {field_alternative, 3, .inherited = true},
    {field_alternative, 4},
    {field_body, 2},
    {field_condition, 1},
  [204] =
    {field_alternative, 0, .inherited = true},
    {field_alternative, 1, .inherited = true},
  [206] =
    {field_body, 3},
  [207] =
    {field_attributes, 0},
    {field_body, 3},
  [209] =
    {field_end_tag, 4},
    {field_identifier, 1},
    {field_value, 3},
  [212] =
    {field_end_tag, 4},
    {field_identifier, 1},
    {field_value, 2},
  [215] =
    {field_end_tag, 4},
    {field_identifier, 2},
  [217] =
    {field_end_tag, 4},
    {field_identifier, 2},
    {field_value, 3},
  [220] =
    {field_name, 0, .inherited = true},
    {field_reference_modifier, 1},
  [222] =
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
    {field_static_modifier, 0},
  [226] =
    {field_parameters, 2},
    {field_return_type, 4, .inherited = true},
    {field_static_modifier, 0},
  [229] =
    {field_alternative, 4},
    {field_body, 2},
    {field_condition, 0},
  [232] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
  [236] =
    {field_attributes, 0},
    {field_parameters, 2},
    {field_return_type, 4, .inherited = true},
  [239] =
    {field_attributes, 0},
    {field_body, 4},
    {field_name, 2},
  [242] =
    {field_attributes, 0},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_static_modifier, 1},
  [246] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_return_type, 4, .inherited = true},
    {field_static_modifier, 1},
  [250] =
    {field_attributes, 0},
    {field_body, 4},
    {field_name, 3},
  [253] =
    {field_type, 2},
  [254] =
    {field_body, 4},
    {field_name, 2},
  [256] =
    {field_default_value, 3},
    {field_name, 1},
    {field_reference_modifier, 0},
  [259] =
    {field_name, 3},
    {field_readonly, 1},
    {field_type, 2},
    {field_visibility, 0},
  [263] =
    {field_default_value, 3},
    {field_name, 1},
    {field_visibility, 0},
  [266] =
    {field_name, 3},
    {field_reference_modifier, 1},
    {field_type, 0},
  [269] =
    {field_default_value, 3},
    {field_name, 1},
    {field_type, 0},
  [272] =
    {field_attributes, 0},
    {field_name, 3},
    {field_reference_modifier, 1},
  [275] =
    {field_attributes, 0},
    {field_name, 3},
    {field_readonly, 2},
    {field_visibility, 1},
  [279] =
    {field_attributes, 0},
    {field_name, 3},
    {field_type, 2},
    {field_visibility, 1},
  [283] =
    {field_attributes, 0},
    {field_name, 3},
    {field_type, 1},
  [286] =
    {field_attributes, 0},
    {field_name, 3},
    {field_reference_modifier, 2},
    {field_type, 1},
  [290] =
    {field_attributes, 0},
    {field_default_value, 3},
    {field_name, 1},
  [293] =
    {field_attributes, 0},
    {field_type, 2, .inherited = true},
  [295] =
    {field_attributes, 0},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [299] =
    {field_body, 2},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [303] =
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [306] =
    {field_body, 5},
    {field_name, 1},
  [308] =
    {field_body, 5},
  [309] =
    {field_return_expression, 2},
  [310] =
    {field_conditional_expressions, 0},
    {field_return_expression, 2},
  [312] =
    {field_value, 1},
  [313] =
    {field_body, 4},
  [314] =
    {field_attributes, 0},
    {field_body, 4},
  [316] =
    {field_end_tag, 5},
    {field_identifier, 1},
    {field_value, 3},
  [319] =
    {field_end_tag, 5},
    {field_identifier, 2},
    {field_value, 4},
  [322] =
    {field_end_tag, 5},
    {field_identifier, 2},
    {field_value, 3},
  [325] =
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 5, .inherited = true},
    {field_static_modifier, 0},
  [329] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 5, .inherited = true},
  [333] =
    {field_attributes, 0},
    {field_body, 5},
    {field_name, 2},
  [336] =
    {field_attributes, 0},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_return_type, 5, .inherited = true},
    {field_static_modifier, 1},
  [341] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_return_type, 5, .inherited = true},
    {field_static_modifier, 1},
  [345] =
    {field_attributes, 0},
    {field_body, 5},
    {field_name, 3},
  [348] =
    {field_body, 5},
    {field_name, 2},
  [350] =
    {field_default_value, 4},
    {field_name, 2},
    {field_readonly, 1},
    {field_visibility, 0},
  [354] =
    {field_default_value, 4},
    {field_name, 2},
    {field_type, 1},
    {field_visibility, 0},
  [358] =
    {field_body, 1, .inherited = true},
  [359] =
    {field_body, 0},
  [360] =
    {field_default_value, 4},
    {field_name, 2},
    {field_reference_modifier, 1},
    {field_type, 0},
  [364] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_reference_modifier, 1},
  [368] =
    {field_attributes, 0},
    {field_name, 4},
    {field_readonly, 2},
    {field_type, 3},
    {field_visibility, 1},
  [373] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_visibility, 1},
  [377] =
    {field_attributes, 0},
    {field_name, 4},
    {field_reference_modifier, 2},
    {field_type, 1},
  [381] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_type, 1},
  [385] =
    {field_attributes, 0},
  [386] =
    {field_attributes, 0},
    {field_body, 3},
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
  [391] =
    {field_attributes, 0},
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
  [395] =
    {field_body, 4},
    {field_type, 2},
  [397] =
    {field_body, 6},
    {field_update, 4},
  [399] =
    {field_update, 4},
  [400] =
    {field_body, 6},
    {field_condition, 3},
  [402] =
    {field_condition, 3},
  [403] =
    {field_body, 6},
    {field_initialize, 2},
  [405] =
    {field_initialize, 2},
  [406] =
    {field_body, 6},
  [407] =
    {field_attributes, 0},
    {field_body, 5},
  [409] =
    {field_end_tag, 6},
    {field_identifier, 2},
    {field_value, 4},
  [412] =
    {field_attributes, 0},
    {field_body, 6},
    {field_name, 2},
  [415] =
    {field_attributes, 0},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_return_type, 6, .inherited = true},
    {field_static_modifier, 1},
  [420] =
    {field_attributes, 0},
    {field_body, 6},
    {field_name, 3},
  [423] =
    {field_default_value, 5},
    {field_name, 3},
    {field_readonly, 1},
    {field_type, 2},
    {field_visibility, 0},
  [428] =
    {field_body, 2, .inherited = true},
    {field_parameters, 1},
  [430] =
    {field_body, 2, .inherited = true},
    {field_reference_modifier, 0},
  [432] =
    {field_body, 2, .inherited = true},
    {field_final, 0},
  [434] =
    {field_attributes, 0},
    {field_body, 2, .inherited = true},
  [436] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_readonly, 2},
    {field_visibility, 1},
  [441] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_type, 2},
    {field_visibility, 1},
  [446] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_reference_modifier, 2},
    {field_type, 1},
  [451] =
    {field_attributes, 0},
    {field_type, 2},
  [453] =
    {field_name, 1},
    {field_value, 3},
  [455] =
    {field_body, 5},
    {field_name, 3},
    {field_type, 2},
  [458] =
    {field_body, 7},
    {field_condition, 3},
    {field_update, 5},
  [461] =
    {field_condition, 3},
    {field_update, 5},
  [463] =
    {field_body, 7},
    {field_initialize, 2},
    {field_update, 5},
  [466] =
    {field_initialize, 2},
    {field_update, 5},
  [468] =
    {field_body, 7},
    {field_condition, 4},
    {field_initialize, 2},
  [471] =
    {field_condition, 4},
    {field_initialize, 2},
  [473] =
    {field_attributes, 0},
    {field_body, 6},
  [475] =
    {field_body, 3, .inherited = true},
    {field_parameters, 2},
    {field_reference_modifier, 0},
  [478] =
    {field_body, 3, .inherited = true},
    {field_final, 0},
    {field_parameters, 2},
  [481] =
    {field_body, 3, .inherited = true},
    {field_final, 0},
    {field_reference_modifier, 1},
  [484] =
    {field_attributes, 0},
    {field_body, 3, .inherited = true},
    {field_parameters, 2},
  [487] =
    {field_attributes, 0},
    {field_body, 3, .inherited = true},
    {field_reference_modifier, 1},
  [490] =
    {field_attributes, 0},
    {field_body, 3, .inherited = true},
    {field_final, 1},
  [493] =
    {field_attributes, 0},
    {field_default_value, 6},
    {field_name, 4},
    {field_readonly, 2},
    {field_type, 3},
    {field_visibility, 1},
  [499] =
    {field_attributes, 0},
    {field_name, 2},
    {field_value, 4},
  [502] =
    {field_body, 8},
    {field_condition, 4},
    {field_initialize, 2},
    {field_update, 6},
  [506] =
    {field_condition, 4},
    {field_initialize, 2},
    {field_update, 6},
  [509] =
    {field_body, 4, .inherited = true},
    {field_final, 0},
    {field_parameters, 3},
    {field_reference_modifier, 1},
  [513] =
    {field_attributes, 0},
    {field_body, 4, .inherited = true},
    {field_parameters, 3},
    {field_reference_modifier, 1},
  [517] =
    {field_attributes, 0},
    {field_body, 4, .inherited = true},
    {field_final, 1},
    {field_parameters, 3},
  [521] =
    {field_attributes, 0},
    {field_body, 4, .inherited = true},
    {field_final, 1},
    {field_reference_modifier, 2},
  [525] =
    {field_body, 7},
    {field_update, 4},
  [527] =
    {field_body, 7},
    {field_condition, 3},
  [529] =
    {field_body, 7},
    {field_initialize, 2},
  [531] =
    {field_attributes, 0},
    {field_body, 5, .inherited = true},
    {field_final, 1},
    {field_parameters, 4},
    {field_reference_modifier, 2},
  [536] =
    {field_body, 8},
    {field_condition, 3},
    {field_update, 5},
  [539] =
    {field_body, 8},
    {field_initialize, 2},
    {field_update, 5},
  [542] =
    {field_body, 8},
    {field_condition, 4},
    {field_initialize, 2},
  [545] =
    {field_body, 9},
    {field_condition, 4},
    {field_initialize, 2},
    {field_update, 6},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [2] = {
    [0] = sym_object_creation_expression,
  },
  [10] = {
    [0] = sym_list_literal,
  },
  [23] = {
    [0] = anon_sym_array,
  },
  [50] = {
    [2] = alias_sym_operation,
  },
  [56] = {
    [1] = sym_list_literal,
  },
  [57] = {
    [2] = sym_list_literal,
  },
  [62] = {
    [0] = sym_name,
  },
  [94] = {
    [3] = sym_primitive_type,
  },
  [109] = {
    [3] = sym_name,
  },
  [133] = {
    [3] = sym_primitive_type,
  },
  [140] = {
    [3] = sym_list_literal,
  },
  [141] = {
    [4] = sym_list_literal,
  },
  [147] = {
    [4] = sym_primitive_type,
  },
  [176] = {
    [4] = sym_primitive_type,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_expression, 2,
    sym_expression,
    sym_name,
  sym__new_dereferencable_expression, 2,
    sym__new_dereferencable_expression,
    sym_object_creation_expression,
  sym__list_destructing, 2,
    sym__list_destructing,
    sym_list_literal,
  sym__array_destructing, 2,
    sym__array_destructing,
    sym_list_literal,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 8,
  [9] = 8,
  [10] = 10,
  [11] = 8,
  [12] = 2,
  [13] = 10,
  [14] = 7,
  [15] = 8,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 18,
  [23] = 23,
  [24] = 24,
  [25] = 23,
  [26] = 26,
  [27] = 16,
  [28] = 17,
  [29] = 19,
  [30] = 30,
  [31] = 24,
  [32] = 32,
  [33] = 20,
  [34] = 21,
  [35] = 21,
  [36] = 18,
  [37] = 23,
  [38] = 24,
  [39] = 20,
  [40] = 26,
  [41] = 26,
  [42] = 17,
  [43] = 19,
  [44] = 20,
  [45] = 21,
  [46] = 18,
  [47] = 23,
  [48] = 24,
  [49] = 16,
  [50] = 26,
  [51] = 16,
  [52] = 17,
  [53] = 19,
  [54] = 54,
  [55] = 55,
  [56] = 56,
  [57] = 57,
  [58] = 58,
  [59] = 59,
  [60] = 55,
  [61] = 57,
  [62] = 62,
  [63] = 63,
  [64] = 64,
  [65] = 65,
  [66] = 56,
  [67] = 67,
  [68] = 59,
  [69] = 67,
  [70] = 70,
  [71] = 71,
  [72] = 72,
  [73] = 73,
  [74] = 74,
  [75] = 75,
  [76] = 76,
  [77] = 77,
  [78] = 78,
  [79] = 79,
  [80] = 80,
  [81] = 81,
  [82] = 63,
  [83] = 57,
  [84] = 62,
  [85] = 57,
  [86] = 62,
  [87] = 57,
  [88] = 62,
  [89] = 58,
  [90] = 70,
  [91] = 64,
  [92] = 63,
  [93] = 71,
  [94] = 72,
  [95] = 73,
  [96] = 74,
  [97] = 75,
  [98] = 76,
  [99] = 77,
  [100] = 58,
  [101] = 78,
  [102] = 79,
  [103] = 80,
  [104] = 81,
  [105] = 58,
  [106] = 63,
  [107] = 65,
  [108] = 62,
  [109] = 109,
  [110] = 110,
  [111] = 111,
  [112] = 109,
  [113] = 109,
  [114] = 109,
  [115] = 111,
  [116] = 110,
  [117] = 117,
  [118] = 117,
  [119] = 117,
  [120] = 117,
  [121] = 121,
  [122] = 121,
  [123] = 123,
  [124] = 123,
  [125] = 121,
  [126] = 123,
  [127] = 121,
  [128] = 121,
  [129] = 123,
  [130] = 123,
  [131] = 123,
  [132] = 132,
  [133] = 132,
  [134] = 132,
  [135] = 132,
  [136] = 132,
  [137] = 137,
  [138] = 137,
  [139] = 137,
  [140] = 137,
  [141] = 137,
  [142] = 137,
  [143] = 143,
  [144] = 144,
  [145] = 144,
  [146] = 146,
  [147] = 143,
  [148] = 146,
  [149] = 149,
  [150] = 149,
  [151] = 144,
  [152] = 144,
  [153] = 149,
  [154] = 149,
  [155] = 144,
  [156] = 149,
  [157] = 144,
  [158] = 149,
  [159] = 159,
  [160] = 160,
  [161] = 161,
  [162] = 162,
  [163] = 163,
  [164] = 162,
  [165] = 165,
  [166] = 159,
  [167] = 165,
  [168] = 160,
  [169] = 161,
  [170] = 170,
  [171] = 171,
  [172] = 170,
  [173] = 171,
  [174] = 174,
  [175] = 175,
  [176] = 174,
  [177] = 177,
  [178] = 178,
  [179] = 178,
  [180] = 180,
  [181] = 181,
  [182] = 182,
  [183] = 181,
  [184] = 181,
  [185] = 185,
  [186] = 181,
  [187] = 187,
  [188] = 188,
  [189] = 189,
  [190] = 190,
  [191] = 191,
  [192] = 192,
  [193] = 193,
  [194] = 194,
  [195] = 192,
  [196] = 196,
  [197] = 187,
  [198] = 191,
  [199] = 199,
  [200] = 193,
  [201] = 196,
  [202] = 190,
  [203] = 196,
  [204] = 189,
  [205] = 205,
  [206] = 187,
  [207] = 190,
  [208] = 191,
  [209] = 189,
  [210] = 205,
  [211] = 188,
  [212] = 196,
  [213] = 189,
  [214] = 205,
  [215] = 187,
  [216] = 188,
  [217] = 194,
  [218] = 190,
  [219] = 191,
  [220] = 188,
  [221] = 205,
  [222] = 222,
  [223] = 223,
  [224] = 224,
  [225] = 224,
  [226] = 223,
  [227] = 223,
  [228] = 223,
  [229] = 223,
  [230] = 230,
  [231] = 223,
  [232] = 232,
  [233] = 233,
  [234] = 234,
  [235] = 235,
  [236] = 236,
  [237] = 237,
  [238] = 234,
  [239] = 239,
  [240] = 240,
  [241] = 234,
  [242] = 239,
  [243] = 243,
  [244] = 243,
  [245] = 245,
  [246] = 239,
  [247] = 237,
  [248] = 233,
  [249] = 243,
  [250] = 250,
  [251] = 239,
  [252] = 234,
  [253] = 243,
  [254] = 243,
  [255] = 243,
  [256] = 240,
  [257] = 240,
  [258] = 237,
  [259] = 259,
  [260] = 260,
  [261] = 261,
  [262] = 262,
  [263] = 263,
  [264] = 264,
  [265] = 265,
  [266] = 266,
  [267] = 267,
  [268] = 268,
  [269] = 269,
  [270] = 270,
  [271] = 271,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 276,
  [277] = 277,
  [278] = 278,
  [279] = 279,
  [280] = 280,
  [281] = 281,
  [282] = 282,
  [283] = 283,
  [284] = 284,
  [285] = 285,
  [286] = 286,
  [287] = 287,
  [288] = 288,
  [289] = 289,
  [290] = 290,
  [291] = 291,
  [292] = 262,
  [293] = 293,
  [294] = 294,
  [295] = 295,
  [296] = 266,
  [297] = 267,
  [298] = 276,
  [299] = 283,
  [300] = 300,
  [301] = 301,
  [302] = 284,
  [303] = 289,
  [304] = 290,
  [305] = 291,
  [306] = 300,
  [307] = 301,
  [308] = 308,
  [309] = 309,
  [310] = 310,
  [311] = 311,
  [312] = 312,
  [313] = 313,
  [314] = 314,
  [315] = 315,
  [316] = 316,
  [317] = 317,
  [318] = 318,
  [319] = 319,
  [320] = 259,
  [321] = 308,
  [322] = 322,
  [323] = 309,
  [324] = 310,
  [325] = 325,
  [326] = 326,
  [327] = 311,
  [328] = 312,
  [329] = 329,
  [330] = 313,
  [331] = 314,
  [332] = 315,
  [333] = 316,
  [334] = 317,
  [335] = 318,
  [336] = 319,
  [337] = 322,
  [338] = 338,
  [339] = 261,
  [340] = 340,
  [341] = 293,
  [342] = 294,
  [343] = 325,
  [344] = 326,
  [345] = 345,
  [346] = 346,
  [347] = 261,
  [348] = 284,
  [349] = 286,
  [350] = 288,
  [351] = 351,
  [352] = 345,
  [353] = 346,
  [354] = 262,
  [355] = 293,
  [356] = 294,
  [357] = 295,
  [358] = 266,
  [359] = 267,
  [360] = 276,
  [361] = 283,
  [362] = 289,
  [363] = 290,
  [364] = 291,
  [365] = 300,
  [366] = 301,
  [367] = 308,
  [368] = 309,
  [369] = 310,
  [370] = 311,
  [371] = 312,
  [372] = 313,
  [373] = 314,
  [374] = 315,
  [375] = 316,
  [376] = 317,
  [377] = 318,
  [378] = 319,
  [379] = 259,
  [380] = 322,
  [381] = 325,
  [382] = 326,
  [383] = 329,
  [384] = 295,
  [385] = 385,
  [386] = 261,
  [387] = 284,
  [388] = 286,
  [389] = 288,
  [390] = 346,
  [391] = 262,
  [392] = 293,
  [393] = 294,
  [394] = 295,
  [395] = 266,
  [396] = 267,
  [397] = 276,
  [398] = 283,
  [399] = 289,
  [400] = 290,
  [401] = 291,
  [402] = 300,
  [403] = 301,
  [404] = 308,
  [405] = 309,
  [406] = 310,
  [407] = 311,
  [408] = 312,
  [409] = 313,
  [410] = 314,
  [411] = 315,
  [412] = 316,
  [413] = 317,
  [414] = 318,
  [415] = 319,
  [416] = 259,
  [417] = 322,
  [418] = 325,
  [419] = 326,
  [420] = 329,
  [421] = 261,
  [422] = 288,
  [423] = 346,
  [424] = 288,
  [425] = 346,
  [426] = 288,
  [427] = 346,
  [428] = 288,
  [429] = 288,
  [430] = 288,
  [431] = 329,
  [432] = 265,
  [433] = 433,
  [434] = 265,
  [435] = 435,
  [436] = 265,
  [437] = 437,
  [438] = 438,
  [439] = 438,
  [440] = 438,
  [441] = 438,
  [442] = 438,
  [443] = 443,
  [444] = 444,
  [445] = 445,
  [446] = 446,
  [447] = 445,
  [448] = 446,
  [449] = 449,
  [450] = 450,
  [451] = 451,
  [452] = 452,
  [453] = 453,
  [454] = 454,
  [455] = 455,
  [456] = 456,
  [457] = 457,
  [458] = 458,
  [459] = 459,
  [460] = 460,
  [461] = 461,
  [462] = 462,
  [463] = 463,
  [464] = 464,
  [465] = 465,
  [466] = 466,
  [467] = 467,
  [468] = 468,
  [469] = 469,
  [470] = 470,
  [471] = 471,
  [472] = 472,
  [473] = 473,
  [474] = 474,
  [475] = 475,
  [476] = 476,
  [477] = 477,
  [478] = 452,
  [479] = 479,
  [480] = 480,
  [481] = 481,
  [482] = 482,
  [483] = 483,
  [484] = 484,
  [485] = 485,
  [486] = 486,
  [487] = 487,
  [488] = 488,
  [489] = 489,
  [490] = 490,
  [491] = 491,
  [492] = 492,
  [493] = 493,
  [494] = 494,
  [495] = 495,
  [496] = 496,
  [497] = 497,
  [498] = 498,
  [499] = 499,
  [500] = 500,
  [501] = 501,
  [502] = 502,
  [503] = 503,
  [504] = 504,
  [505] = 505,
  [506] = 506,
  [507] = 507,
  [508] = 508,
  [509] = 509,
  [510] = 510,
  [511] = 511,
  [512] = 512,
  [513] = 513,
  [514] = 514,
  [515] = 515,
  [516] = 516,
  [517] = 517,
  [518] = 518,
  [519] = 519,
  [520] = 520,
  [521] = 521,
  [522] = 522,
  [523] = 523,
  [524] = 524,
  [525] = 525,
  [526] = 526,
  [527] = 527,
  [528] = 528,
  [529] = 529,
  [530] = 530,
  [531] = 531,
  [532] = 532,
  [533] = 533,
  [534] = 534,
  [535] = 451,
  [536] = 536,
  [537] = 537,
  [538] = 538,
  [539] = 539,
  [540] = 540,
  [541] = 541,
  [542] = 542,
  [543] = 543,
  [544] = 544,
  [545] = 545,
  [546] = 546,
  [547] = 547,
  [548] = 548,
  [549] = 549,
  [550] = 550,
  [551] = 551,
  [552] = 552,
  [553] = 553,
  [554] = 554,
  [555] = 555,
  [556] = 556,
  [557] = 557,
  [558] = 558,
  [559] = 559,
  [560] = 560,
  [561] = 561,
  [562] = 562,
  [563] = 563,
  [564] = 564,
  [565] = 565,
  [566] = 566,
  [567] = 567,
  [568] = 568,
  [569] = 569,
  [570] = 570,
  [571] = 571,
  [572] = 572,
  [573] = 573,
  [574] = 574,
  [575] = 575,
  [576] = 576,
  [577] = 577,
  [578] = 578,
  [579] = 579,
  [580] = 579,
  [581] = 579,
  [582] = 579,
  [583] = 583,
  [584] = 584,
  [585] = 585,
  [586] = 586,
  [587] = 587,
  [588] = 588,
  [589] = 589,
  [590] = 590,
  [591] = 591,
  [592] = 592,
  [593] = 593,
  [594] = 594,
  [595] = 595,
  [596] = 596,
  [597] = 597,
  [598] = 598,
  [599] = 599,
  [600] = 600,
  [601] = 601,
  [602] = 602,
  [603] = 603,
  [604] = 604,
  [605] = 605,
  [606] = 606,
  [607] = 607,
  [608] = 608,
  [609] = 609,
  [610] = 610,
  [611] = 611,
  [612] = 612,
  [613] = 613,
  [614] = 614,
  [615] = 615,
  [616] = 616,
  [617] = 617,
  [618] = 618,
  [619] = 619,
  [620] = 589,
  [621] = 588,
  [622] = 622,
  [623] = 623,
  [624] = 622,
  [625] = 608,
  [626] = 587,
  [627] = 607,
  [628] = 628,
  [629] = 629,
  [630] = 602,
  [631] = 591,
  [632] = 609,
  [633] = 611,
  [634] = 585,
  [635] = 586,
  [636] = 622,
  [637] = 596,
  [638] = 593,
  [639] = 610,
  [640] = 592,
  [641] = 594,
  [642] = 590,
  [643] = 598,
  [644] = 604,
  [645] = 584,
  [646] = 605,
  [647] = 603,
  [648] = 613,
  [649] = 614,
  [650] = 606,
  [651] = 628,
  [652] = 652,
  [653] = 652,
  [654] = 654,
  [655] = 596,
  [656] = 595,
  [657] = 629,
  [658] = 654,
  [659] = 622,
  [660] = 600,
  [661] = 628,
  [662] = 629,
  [663] = 601,
  [664] = 599,
  [665] = 597,
  [666] = 666,
  [667] = 612,
  [668] = 668,
  [669] = 669,
  [670] = 670,
  [671] = 671,
  [672] = 672,
  [673] = 669,
  [674] = 674,
  [675] = 675,
  [676] = 613,
  [677] = 614,
  [678] = 672,
  [679] = 669,
  [680] = 680,
  [681] = 675,
  [682] = 628,
  [683] = 629,
  [684] = 680,
  [685] = 675,
  [686] = 669,
  [687] = 669,
  [688] = 668,
  [689] = 689,
  [690] = 690,
  [691] = 691,
  [692] = 692,
  [693] = 693,
  [694] = 691,
  [695] = 695,
  [696] = 695,
  [697] = 697,
  [698] = 698,
  [699] = 699,
  [700] = 700,
  [701] = 701,
  [702] = 702,
  [703] = 703,
  [704] = 704,
  [705] = 705,
  [706] = 706,
  [707] = 589,
  [708] = 588,
  [709] = 709,
  [710] = 509,
  [711] = 466,
  [712] = 602,
  [713] = 608,
  [714] = 591,
  [715] = 715,
  [716] = 611,
  [717] = 586,
  [718] = 593,
  [719] = 585,
  [720] = 592,
  [721] = 594,
  [722] = 590,
  [723] = 598,
  [724] = 587,
  [725] = 610,
  [726] = 607,
  [727] = 604,
  [728] = 609,
  [729] = 584,
  [730] = 730,
  [731] = 605,
  [732] = 730,
  [733] = 733,
  [734] = 701,
  [735] = 607,
  [736] = 736,
  [737] = 737,
  [738] = 738,
  [739] = 600,
  [740] = 589,
  [741] = 588,
  [742] = 601,
  [743] = 612,
  [744] = 603,
  [745] = 599,
  [746] = 746,
  [747] = 747,
  [748] = 748,
  [749] = 746,
  [750] = 595,
  [751] = 751,
  [752] = 597,
  [753] = 747,
  [754] = 606,
  [755] = 755,
  [756] = 756,
  [757] = 757,
  [758] = 611,
  [759] = 591,
  [760] = 593,
  [761] = 604,
  [762] = 605,
  [763] = 609,
  [764] = 764,
  [765] = 765,
  [766] = 766,
  [767] = 595,
  [768] = 597,
  [769] = 769,
  [770] = 606,
  [771] = 771,
  [772] = 452,
  [773] = 773,
  [774] = 774,
  [775] = 585,
  [776] = 583,
  [777] = 777,
  [778] = 778,
  [779] = 779,
  [780] = 780,
  [781] = 781,
  [782] = 782,
  [783] = 783,
  [784] = 784,
  [785] = 592,
  [786] = 594,
  [787] = 590,
  [788] = 788,
  [789] = 789,
  [790] = 790,
  [791] = 598,
  [792] = 792,
  [793] = 709,
  [794] = 794,
  [795] = 795,
  [796] = 796,
  [797] = 797,
  [798] = 798,
  [799] = 799,
  [800] = 800,
  [801] = 603,
  [802] = 451,
  [803] = 803,
  [804] = 587,
  [805] = 805,
  [806] = 806,
  [807] = 807,
  [808] = 808,
  [809] = 809,
  [810] = 810,
  [811] = 811,
  [812] = 812,
  [813] = 600,
  [814] = 610,
  [815] = 815,
  [816] = 584,
  [817] = 601,
  [818] = 764,
  [819] = 819,
  [820] = 820,
  [821] = 821,
  [822] = 822,
  [823] = 823,
  [824] = 824,
  [825] = 612,
  [826] = 826,
  [827] = 827,
  [828] = 828,
  [829] = 829,
  [830] = 830,
  [831] = 831,
  [832] = 602,
  [833] = 833,
  [834] = 834,
  [835] = 835,
  [836] = 608,
  [837] = 586,
  [838] = 599,
  [839] = 700,
  [840] = 840,
  [841] = 698,
  [842] = 607,
  [843] = 843,
  [844] = 737,
  [845] = 715,
  [846] = 700,
  [847] = 847,
  [848] = 848,
  [849] = 589,
  [850] = 588,
  [851] = 851,
  [852] = 584,
  [853] = 610,
  [854] = 736,
  [855] = 855,
  [856] = 733,
  [857] = 698,
  [858] = 602,
  [859] = 835,
  [860] = 604,
  [861] = 607,
  [862] = 608,
  [863] = 586,
  [864] = 591,
  [865] = 611,
  [866] = 593,
  [867] = 709,
  [868] = 609,
  [869] = 585,
  [870] = 592,
  [871] = 594,
  [872] = 590,
  [873] = 598,
  [874] = 587,
  [875] = 605,
  [876] = 589,
  [877] = 702,
  [878] = 603,
  [879] = 879,
  [880] = 737,
  [881] = 600,
  [882] = 702,
  [883] = 601,
  [884] = 595,
  [885] = 597,
  [886] = 606,
  [887] = 704,
  [888] = 612,
  [889] = 588,
  [890] = 715,
  [891] = 738,
  [892] = 756,
  [893] = 703,
  [894] = 704,
  [895] = 599,
  [896] = 896,
  [897] = 835,
  [898] = 824,
  [899] = 830,
  [900] = 597,
  [901] = 822,
  [902] = 765,
  [903] = 606,
  [904] = 766,
  [905] = 609,
  [906] = 585,
  [907] = 792,
  [908] = 780,
  [909] = 835,
  [910] = 811,
  [911] = 592,
  [912] = 509,
  [913] = 812,
  [914] = 805,
  [915] = 815,
  [916] = 594,
  [917] = 806,
  [918] = 590,
  [919] = 598,
  [920] = 599,
  [921] = 823,
  [922] = 586,
  [923] = 831,
  [924] = 789,
  [925] = 603,
  [926] = 781,
  [927] = 826,
  [928] = 807,
  [929] = 757,
  [930] = 466,
  [931] = 800,
  [932] = 604,
  [933] = 803,
  [934] = 587,
  [935] = 709,
  [936] = 610,
  [937] = 937,
  [938] = 584,
  [939] = 937,
  [940] = 794,
  [941] = 795,
  [942] = 827,
  [943] = 833,
  [944] = 808,
  [945] = 796,
  [946] = 797,
  [947] = 782,
  [948] = 809,
  [949] = 605,
  [950] = 798,
  [951] = 810,
  [952] = 828,
  [953] = 788,
  [954] = 608,
  [955] = 783,
  [956] = 784,
  [957] = 583,
  [958] = 607,
  [959] = 591,
  [960] = 960,
  [961] = 799,
  [962] = 748,
  [963] = 583,
  [964] = 611,
  [965] = 829,
  [966] = 593,
  [967] = 595,
  [968] = 751,
  [969] = 755,
  [970] = 834,
  [971] = 777,
  [972] = 778,
  [973] = 790,
  [974] = 819,
  [975] = 820,
  [976] = 821,
  [977] = 600,
  [978] = 703,
  [979] = 601,
  [980] = 612,
  [981] = 602,
  [982] = 779,
  [983] = 983,
  [984] = 984,
  [985] = 985,
  [986] = 986,
  [987] = 987,
  [988] = 988,
  [989] = 847,
  [990] = 990,
  [991] = 851,
  [992] = 840,
  [993] = 993,
  [994] = 994,
  [995] = 995,
  [996] = 996,
  [997] = 737,
  [998] = 700,
  [999] = 715,
  [1000] = 1000,
  [1001] = 1001,
  [1002] = 773,
  [1003] = 774,
  [1004] = 698,
  [1005] = 835,
  [1006] = 1006,
  [1007] = 1007,
  [1008] = 1008,
  [1009] = 1009,
  [1010] = 843,
  [1011] = 1011,
  [1012] = 1012,
  [1013] = 1013,
  [1014] = 1014,
  [1015] = 1015,
  [1016] = 1016,
  [1017] = 1017,
  [1018] = 607,
  [1019] = 879,
  [1020] = 896,
  [1021] = 702,
  [1022] = 703,
  [1023] = 704,
  [1024] = 1024,
  [1025] = 1025,
  [1026] = 1026,
  [1027] = 1027,
  [1028] = 1028,
  [1029] = 1029,
  [1030] = 1030,
  [1031] = 1031,
  [1032] = 1032,
  [1033] = 1033,
  [1034] = 1034,
  [1035] = 583,
  [1036] = 1036,
  [1037] = 1037,
  [1038] = 1038,
  [1039] = 1039,
  [1040] = 1040,
  [1041] = 1041,
  [1042] = 1042,
  [1043] = 1043,
  [1044] = 1044,
  [1045] = 1045,
  [1046] = 1046,
  [1047] = 1047,
  [1048] = 1048,
  [1049] = 1049,
  [1050] = 1050,
  [1051] = 1051,
  [1052] = 1052,
  [1053] = 1053,
  [1054] = 1054,
  [1055] = 1055,
  [1056] = 1056,
  [1057] = 1057,
  [1058] = 1058,
  [1059] = 1031,
  [1060] = 990,
  [1061] = 996,
  [1062] = 995,
  [1063] = 1011,
  [1064] = 1034,
  [1065] = 983,
  [1066] = 1054,
  [1067] = 1046,
  [1068] = 1028,
  [1069] = 1032,
  [1070] = 1025,
  [1071] = 993,
  [1072] = 1038,
  [1073] = 1039,
  [1074] = 1040,
  [1075] = 1058,
  [1076] = 1042,
  [1077] = 1043,
  [1078] = 1049,
  [1079] = 1050,
  [1080] = 1051,
  [1081] = 1044,
  [1082] = 1055,
  [1083] = 1056,
  [1084] = 1045,
  [1085] = 1026,
  [1086] = 1006,
  [1087] = 1027,
  [1088] = 1052,
  [1089] = 1014,
  [1090] = 1015,
  [1091] = 1016,
  [1092] = 1041,
  [1093] = 1034,
  [1094] = 1036,
  [1095] = 1017,
  [1096] = 985,
  [1097] = 987,
  [1098] = 1008,
  [1099] = 1000,
  [1100] = 1001,
  [1101] = 451,
  [1102] = 988,
  [1103] = 452,
  [1104] = 1007,
  [1105] = 1036,
  [1106] = 1031,
  [1107] = 1037,
  [1108] = 1047,
  [1109] = 1053,
  [1110] = 1057,
  [1111] = 1009,
  [1112] = 1037,
  [1113] = 1048,
  [1114] = 1030,
  [1115] = 986,
  [1116] = 1012,
  [1117] = 994,
  [1118] = 1033,
  [1119] = 1054,
  [1120] = 1028,
  [1121] = 1032,
  [1122] = 1025,
  [1123] = 1038,
  [1124] = 1039,
  [1125] = 1040,
  [1126] = 1058,
  [1127] = 1042,
  [1128] = 1043,
  [1129] = 1049,
  [1130] = 1050,
  [1131] = 1051,
  [1132] = 1044,
  [1133] = 1055,
  [1134] = 1056,
  [1135] = 1045,
  [1136] = 1026,
  [1137] = 1027,
  [1138] = 1052,
  [1139] = 1048,
  [1140] = 1030,
  [1141] = 1033,
  [1142] = 984,
  [1143] = 1046,
  [1144] = 1041,
  [1145] = 1047,
  [1146] = 1053,
  [1147] = 1057,
  [1148] = 1013,
  [1149] = 1033,
  [1150] = 1057,
  [1151] = 1151,
  [1152] = 1151,
  [1153] = 1153,
  [1154] = 1154,
  [1155] = 1153,
  [1156] = 1156,
  [1157] = 1054,
  [1158] = 1028,
  [1159] = 1032,
  [1160] = 1025,
  [1161] = 1038,
  [1162] = 1039,
  [1163] = 1040,
  [1164] = 1058,
  [1165] = 1042,
  [1166] = 1037,
  [1167] = 1049,
  [1168] = 1050,
  [1169] = 1051,
  [1170] = 1044,
  [1171] = 1055,
  [1172] = 1056,
  [1173] = 1045,
  [1174] = 1026,
  [1175] = 1027,
  [1176] = 1052,
  [1177] = 1048,
  [1178] = 1030,
  [1179] = 1034,
  [1180] = 1036,
  [1181] = 1046,
  [1182] = 1041,
  [1183] = 1031,
  [1184] = 1047,
  [1185] = 1053,
  [1186] = 1043,
  [1187] = 1187,
  [1188] = 1188,
  [1189] = 1189,
  [1190] = 1190,
  [1191] = 1191,
  [1192] = 1192,
  [1193] = 1193,
  [1194] = 1194,
  [1195] = 1195,
  [1196] = 1196,
  [1197] = 1197,
  [1198] = 1031,
  [1199] = 1199,
  [1200] = 1200,
  [1201] = 1031,
  [1202] = 1202,
  [1203] = 1203,
  [1204] = 1204,
  [1205] = 1202,
  [1206] = 1206,
  [1207] = 1200,
  [1208] = 1208,
  [1209] = 1209,
  [1210] = 1210,
  [1211] = 1211,
  [1212] = 1212,
  [1213] = 1210,
  [1214] = 1214,
  [1215] = 1203,
  [1216] = 1216,
  [1217] = 1217,
  [1218] = 1218,
  [1219] = 1219,
  [1220] = 1220,
  [1221] = 1221,
  [1222] = 1211,
  [1223] = 1223,
  [1224] = 1216,
  [1225] = 1225,
  [1226] = 1220,
  [1227] = 1227,
  [1228] = 1228,
  [1229] = 1228,
  [1230] = 1211,
  [1231] = 1231,
  [1232] = 1232,
  [1233] = 1233,
  [1234] = 1234,
  [1235] = 1235,
  [1236] = 1236,
  [1237] = 1237,
  [1238] = 1238,
  [1239] = 1228,
  [1240] = 1240,
  [1241] = 1241,
  [1242] = 1220,
  [1243] = 1216,
  [1244] = 1244,
  [1245] = 1245,
  [1246] = 1246,
  [1247] = 1247,
  [1248] = 1248,
  [1249] = 1249,
  [1250] = 1250,
  [1251] = 1251,
  [1252] = 1252,
  [1253] = 1253,
  [1254] = 1254,
  [1255] = 1255,
  [1256] = 1256,
  [1257] = 1248,
  [1258] = 1258,
  [1259] = 1254,
  [1260] = 1260,
  [1261] = 1261,
  [1262] = 1262,
  [1263] = 1263,
  [1264] = 1255,
  [1265] = 1256,
  [1266] = 1260,
  [1267] = 1267,
  [1268] = 1248,
  [1269] = 1254,
  [1270] = 1260,
  [1271] = 1262,
  [1272] = 1263,
  [1273] = 1256,
  [1274] = 1248,
  [1275] = 1260,
  [1276] = 1249,
  [1277] = 1263,
  [1278] = 1256,
  [1279] = 1248,
  [1280] = 1260,
  [1281] = 1262,
  [1282] = 1263,
  [1283] = 1256,
  [1284] = 1260,
  [1285] = 1262,
  [1286] = 1263,
  [1287] = 1256,
  [1288] = 1260,
  [1289] = 1260,
  [1290] = 1260,
  [1291] = 1291,
  [1292] = 1292,
  [1293] = 1258,
  [1294] = 1261,
  [1295] = 1295,
  [1296] = 1249,
  [1297] = 1261,
  [1298] = 1262,
  [1299] = 1261,
  [1300] = 1249,
  [1301] = 1263,
  [1302] = 1262,
  [1303] = 1303,
  [1304] = 1303,
  [1305] = 1305,
  [1306] = 1306,
  [1307] = 1307,
  [1308] = 1307,
  [1309] = 1309,
  [1310] = 1309,
  [1311] = 1311,
  [1312] = 1312,
  [1313] = 1313,
  [1314] = 1314,
  [1315] = 1315,
  [1316] = 1316,
  [1317] = 1317,
  [1318] = 1314,
  [1319] = 1319,
  [1320] = 1320,
  [1321] = 1315,
  [1322] = 1319,
  [1323] = 1314,
  [1324] = 1319,
  [1325] = 1325,
  [1326] = 1317,
  [1327] = 1320,
  [1328] = 1320,
  [1329] = 1329,
  [1330] = 1329,
  [1331] = 1331,
  [1332] = 1329,
  [1333] = 1331,
  [1334] = 1331,
  [1335] = 1335,
  [1336] = 1335,
  [1337] = 1312,
  [1338] = 1311,
  [1339] = 1339,
  [1340] = 1340,
  [1341] = 1339,
  [1342] = 1339,
  [1343] = 1340,
  [1344] = 1313,
  [1345] = 1325,
  [1346] = 1346,
  [1347] = 1316,
  [1348] = 1348,
  [1349] = 1349,
  [1350] = 1350,
  [1351] = 1351,
  [1352] = 1352,
  [1353] = 1353,
  [1354] = 1351,
  [1355] = 1355,
  [1356] = 1356,
  [1357] = 1355,
  [1358] = 1358,
  [1359] = 1358,
  [1360] = 1356,
  [1361] = 1361,
  [1362] = 1362,
  [1363] = 1363,
  [1364] = 1364,
  [1365] = 1364,
  [1366] = 1366,
  [1367] = 1367,
  [1368] = 1368,
  [1369] = 1369,
  [1370] = 1370,
  [1371] = 1371,
  [1372] = 1372,
  [1373] = 1373,
  [1374] = 1374,
  [1375] = 1375,
  [1376] = 1376,
  [1377] = 1377,
  [1378] = 1378,
  [1379] = 1379,
  [1380] = 1380,
  [1381] = 1381,
  [1382] = 1382,
  [1383] = 1383,
  [1384] = 1373,
  [1385] = 1385,
  [1386] = 1386,
  [1387] = 1386,
  [1388] = 1372,
  [1389] = 1389,
  [1390] = 1370,
  [1391] = 1389,
  [1392] = 1392,
  [1393] = 1393,
  [1394] = 1379,
  [1395] = 1395,
  [1396] = 1396,
  [1397] = 1397,
  [1398] = 1397,
  [1399] = 1399,
  [1400] = 1400,
  [1401] = 1401,
  [1402] = 1402,
  [1403] = 1403,
  [1404] = 1404,
  [1405] = 1405,
  [1406] = 1406,
  [1407] = 1407,
  [1408] = 1408,
  [1409] = 1409,
  [1410] = 1410,
  [1411] = 1411,
  [1412] = 1412,
  [1413] = 1413,
  [1414] = 1414,
  [1415] = 1415,
  [1416] = 1416,
  [1417] = 1417,
  [1418] = 1418,
  [1419] = 1419,
  [1420] = 1420,
  [1421] = 1420,
  [1422] = 1422,
  [1423] = 1423,
  [1424] = 1424,
  [1425] = 1425,
  [1426] = 1426,
  [1427] = 1427,
  [1428] = 1420,
  [1429] = 1429,
  [1430] = 1427,
  [1431] = 1429,
  [1432] = 1429,
  [1433] = 1420,
  [1434] = 1422,
  [1435] = 1427,
  [1436] = 1429,
  [1437] = 1427,
  [1438] = 1429,
  [1439] = 1422,
  [1440] = 1425,
  [1441] = 1441,
  [1442] = 1420,
  [1443] = 1441,
  [1444] = 1444,
  [1445] = 1444,
  [1446] = 1427,
  [1447] = 1447,
  [1448] = 1426,
  [1449] = 1429,
  [1450] = 1420,
  [1451] = 1451,
  [1452] = 1425,
  [1453] = 1427,
  [1454] = 1454,
  [1455] = 1455,
  [1456] = 1429,
  [1457] = 1427,
  [1458] = 1420,
  [1459] = 847,
  [1460] = 1460,
  [1461] = 1461,
  [1462] = 1462,
  [1463] = 1463,
  [1464] = 1464,
  [1465] = 1465,
  [1466] = 1466,
  [1467] = 1467,
  [1468] = 604,
  [1469] = 1469,
  [1470] = 1470,
  [1471] = 1471,
  [1472] = 1472,
  [1473] = 1473,
  [1474] = 1474,
  [1475] = 1475,
  [1476] = 1476,
  [1477] = 1477,
  [1478] = 1478,
  [1479] = 1479,
  [1480] = 1480,
  [1481] = 1481,
  [1482] = 1482,
  [1483] = 1483,
  [1484] = 1484,
  [1485] = 1485,
  [1486] = 1486,
  [1487] = 1487,
  [1488] = 1488,
  [1489] = 604,
  [1490] = 604,
  [1491] = 1491,
  [1492] = 1492,
  [1493] = 1493,
  [1494] = 1494,
  [1495] = 1495,
  [1496] = 1496,
  [1497] = 1497,
  [1498] = 1498,
  [1499] = 1499,
  [1500] = 1500,
  [1501] = 1498,
  [1502] = 1502,
  [1503] = 1500,
  [1504] = 1504,
  [1505] = 1505,
  [1506] = 1506,
  [1507] = 1507,
  [1508] = 1508,
  [1509] = 1424,
  [1510] = 1502,
  [1511] = 1499,
  [1512] = 444,
  [1513] = 1507,
  [1514] = 1514,
  [1515] = 1515,
  [1516] = 1514,
  [1517] = 443,
  [1518] = 1518,
  [1519] = 1515,
  [1520] = 1520,
  [1521] = 1521,
  [1522] = 1522,
  [1523] = 1523,
  [1524] = 1524,
  [1525] = 1525,
  [1526] = 1526,
  [1527] = 1527,
  [1528] = 1520,
  [1529] = 1529,
  [1530] = 1530,
  [1531] = 1531,
  [1532] = 1532,
  [1533] = 1533,
  [1534] = 1534,
  [1535] = 1535,
  [1536] = 1521,
  [1537] = 1537,
  [1538] = 1521,
  [1539] = 1539,
  [1540] = 1540,
  [1541] = 1541,
  [1542] = 1542,
  [1543] = 605,
  [1544] = 1544,
  [1545] = 609,
  [1546] = 604,
  [1547] = 1527,
  [1548] = 1548,
  [1549] = 1549,
  [1550] = 1550,
  [1551] = 1409,
  [1552] = 1552,
  [1553] = 1548,
  [1554] = 1554,
  [1555] = 1555,
  [1556] = 1556,
  [1557] = 1557,
  [1558] = 1558,
  [1559] = 1424,
  [1560] = 1560,
  [1561] = 1561,
  [1562] = 1562,
  [1563] = 1563,
  [1564] = 1564,
  [1565] = 1529,
  [1566] = 1566,
  [1567] = 1567,
  [1568] = 855,
  [1569] = 1569,
  [1570] = 1570,
  [1571] = 1571,
  [1572] = 1572,
  [1573] = 1550,
  [1574] = 1574,
  [1575] = 1575,
  [1576] = 1554,
  [1577] = 1530,
  [1578] = 1569,
  [1579] = 1579,
  [1580] = 1580,
  [1581] = 1580,
  [1582] = 1582,
  [1583] = 609,
  [1584] = 1584,
  [1585] = 1579,
  [1586] = 1424,
  [1587] = 605,
  [1588] = 1588,
  [1589] = 1588,
  [1590] = 1590,
  [1591] = 609,
  [1592] = 1592,
  [1593] = 1590,
  [1594] = 1580,
  [1595] = 1595,
  [1596] = 604,
  [1597] = 1597,
  [1598] = 1598,
  [1599] = 1556,
  [1600] = 604,
  [1601] = 1601,
  [1602] = 1598,
  [1603] = 1603,
  [1604] = 1604,
  [1605] = 1605,
  [1606] = 1606,
  [1607] = 1607,
  [1608] = 1601,
  [1609] = 1606,
  [1610] = 1580,
  [1611] = 1580,
  [1612] = 1595,
  [1613] = 1613,
  [1614] = 1595,
  [1615] = 1582,
  [1616] = 1580,
  [1617] = 1617,
  [1618] = 446,
  [1619] = 1619,
  [1620] = 1554,
  [1621] = 1580,
  [1622] = 1584,
  [1623] = 1623,
  [1624] = 1569,
  [1625] = 1580,
  [1626] = 1580,
  [1627] = 1607,
  [1628] = 446,
  [1629] = 1629,
  [1630] = 605,
  [1631] = 1631,
  [1632] = 1619,
  [1633] = 1580,
  [1634] = 445,
  [1635] = 1595,
  [1636] = 1636,
  [1637] = 1637,
  [1638] = 1638,
  [1639] = 1603,
  [1640] = 1595,
  [1641] = 1592,
  [1642] = 1642,
  [1643] = 1530,
  [1644] = 1644,
  [1645] = 1645,
  [1646] = 700,
  [1647] = 1623,
  [1648] = 1629,
  [1649] = 1636,
  [1650] = 1650,
  [1651] = 1651,
  [1652] = 1652,
  [1653] = 698,
  [1654] = 1580,
  [1655] = 1595,
  [1656] = 1637,
  [1657] = 1556,
  [1658] = 445,
  [1659] = 1580,
  [1660] = 1660,
  [1661] = 450,
  [1662] = 1662,
  [1663] = 1663,
  [1664] = 1664,
  [1665] = 1665,
  [1666] = 1666,
  [1667] = 1667,
  [1668] = 1668,
  [1669] = 449,
  [1670] = 1670,
  [1671] = 1671,
  [1672] = 453,
  [1673] = 1673,
  [1674] = 1475,
  [1675] = 1675,
  [1676] = 1676,
  [1677] = 1677,
  [1678] = 451,
  [1679] = 452,
  [1680] = 1680,
  [1681] = 1681,
  [1682] = 1682,
  [1683] = 1644,
  [1684] = 1684,
  [1685] = 1685,
  [1686] = 1686,
  [1687] = 1462,
  [1688] = 1688,
  [1689] = 1689,
  [1690] = 1461,
  [1691] = 1691,
  [1692] = 1692,
  [1693] = 1665,
  [1694] = 1694,
  [1695] = 1691,
  [1696] = 1696,
  [1697] = 1697,
  [1698] = 1698,
  [1699] = 1692,
  [1700] = 1673,
  [1701] = 1696,
  [1702] = 1702,
  [1703] = 1703,
  [1704] = 1704,
  [1705] = 1705,
  [1706] = 1706,
  [1707] = 1707,
  [1708] = 1708,
  [1709] = 1709,
  [1710] = 1710,
  [1711] = 1711,
  [1712] = 1660,
  [1713] = 1713,
  [1714] = 1714,
  [1715] = 1715,
  [1716] = 1716,
  [1717] = 1697,
  [1718] = 1710,
  [1719] = 1698,
  [1720] = 1720,
  [1721] = 1721,
  [1722] = 1722,
  [1723] = 1597,
  [1724] = 1724,
  [1725] = 1725,
  [1726] = 1726,
  [1727] = 1727,
  [1728] = 1728,
  [1729] = 1729,
  [1730] = 1474,
  [1731] = 1464,
  [1732] = 1728,
  [1733] = 1733,
  [1734] = 1734,
  [1735] = 1735,
  [1736] = 1721,
  [1737] = 1737,
  [1738] = 1479,
  [1739] = 1739,
  [1740] = 1465,
  [1741] = 1472,
  [1742] = 1742,
  [1743] = 1722,
  [1744] = 1734,
  [1745] = 833,
  [1746] = 1746,
  [1747] = 1747,
  [1748] = 1477,
  [1749] = 1749,
  [1750] = 1479,
  [1751] = 1466,
  [1752] = 1752,
  [1753] = 1465,
  [1754] = 1749,
  [1755] = 1755,
  [1756] = 1724,
  [1757] = 1662,
  [1758] = 1758,
  [1759] = 1759,
  [1760] = 1760,
  [1761] = 1761,
  [1762] = 1762,
  [1763] = 454,
  [1764] = 1764,
  [1765] = 1765,
  [1766] = 1766,
  [1767] = 1767,
  [1768] = 1768,
  [1769] = 1769,
  [1770] = 1770,
  [1771] = 1771,
  [1772] = 1772,
  [1773] = 1773,
  [1774] = 1774,
  [1775] = 1685,
  [1776] = 1686,
  [1777] = 1777,
  [1778] = 1778,
  [1779] = 1472,
  [1780] = 1474,
  [1781] = 1464,
  [1782] = 1477,
  [1783] = 1729,
  [1784] = 1460,
  [1785] = 1785,
  [1786] = 1786,
  [1787] = 1787,
  [1788] = 1788,
  [1789] = 1789,
  [1790] = 1790,
  [1791] = 1791,
  [1792] = 1475,
  [1793] = 1793,
  [1794] = 1794,
  [1795] = 1795,
  [1796] = 1796,
  [1797] = 1797,
  [1798] = 1798,
  [1799] = 1799,
  [1800] = 1800,
  [1801] = 1794,
  [1802] = 1802,
  [1803] = 1803,
  [1804] = 1804,
  [1805] = 1805,
  [1806] = 1794,
  [1807] = 1807,
  [1808] = 1808,
  [1809] = 1809,
  [1810] = 1810,
  [1811] = 1811,
  [1812] = 1746,
  [1813] = 1788,
  [1814] = 1814,
  [1815] = 1815,
  [1816] = 1816,
  [1817] = 1817,
  [1818] = 1786,
  [1819] = 1819,
  [1820] = 1466,
  [1821] = 1810,
  [1822] = 1822,
  [1823] = 1823,
  [1824] = 1824,
  [1825] = 1825,
  [1826] = 1826,
  [1827] = 1800,
  [1828] = 1828,
  [1829] = 1829,
  [1830] = 1807,
  [1831] = 1831,
  [1832] = 1832,
  [1833] = 1227,
  [1834] = 1834,
  [1835] = 1835,
  [1836] = 1836,
  [1837] = 1473,
  [1838] = 1478,
  [1839] = 1811,
  [1840] = 1840,
  [1841] = 1480,
  [1842] = 704,
  [1843] = 1843,
  [1844] = 1822,
  [1845] = 1845,
  [1846] = 1826,
  [1847] = 1847,
  [1848] = 1848,
  [1849] = 1808,
  [1850] = 1725,
  [1851] = 1811,
  [1852] = 1788,
  [1853] = 1823,
  [1854] = 1836,
  [1855] = 1663,
  [1856] = 1778,
  [1857] = 1857,
  [1858] = 1858,
  [1859] = 1859,
  [1860] = 1835,
  [1861] = 702,
  [1862] = 1829,
  [1863] = 1814,
  [1864] = 1816,
  [1865] = 1832,
  [1866] = 1845,
  [1867] = 1867,
  [1868] = 1868,
  [1869] = 1869,
  [1870] = 1870,
  [1871] = 1870,
  [1872] = 1789,
  [1873] = 1873,
  [1874] = 1874,
  [1875] = 1798,
  [1876] = 1811,
  [1877] = 1664,
  [1878] = 1878,
  [1879] = 1811,
  [1880] = 1880,
  [1881] = 1881,
  [1882] = 1882,
  [1883] = 703,
  [1884] = 1884,
  [1885] = 1885,
  [1886] = 1886,
  [1887] = 1481,
  [1888] = 1476,
  [1889] = 1811,
  [1890] = 1890,
  [1891] = 1811,
  [1892] = 1788,
  [1893] = 1893,
  [1894] = 1890,
  [1895] = 1895,
  [1896] = 548,
  [1897] = 1897,
  [1898] = 1898,
  [1899] = 493,
  [1900] = 1900,
  [1901] = 1901,
  [1902] = 1902,
  [1903] = 1903,
  [1904] = 1904,
  [1905] = 1878,
  [1906] = 577,
  [1907] = 519,
  [1908] = 508,
  [1909] = 457,
  [1910] = 1910,
  [1911] = 465,
  [1912] = 1912,
  [1913] = 1913,
  [1914] = 549,
  [1915] = 459,
  [1916] = 460,
  [1917] = 1917,
  [1918] = 550,
  [1919] = 1919,
  [1920] = 1920,
  [1921] = 1921,
  [1922] = 1922,
  [1923] = 1485,
  [1924] = 462,
  [1925] = 1925,
  [1926] = 467,
  [1927] = 1897,
  [1928] = 563,
  [1929] = 471,
  [1930] = 477,
  [1931] = 1931,
  [1932] = 1932,
  [1933] = 1933,
  [1934] = 492,
  [1935] = 1935,
  [1936] = 503,
  [1937] = 557,
  [1938] = 561,
  [1939] = 494,
  [1940] = 551,
  [1941] = 495,
  [1942] = 496,
  [1943] = 1943,
  [1944] = 1944,
  [1945] = 500,
  [1946] = 1946,
  [1947] = 1947,
  [1948] = 1948,
  [1949] = 553,
  [1950] = 1950,
  [1951] = 1951,
  [1952] = 1952,
  [1953] = 1953,
  [1954] = 1900,
  [1955] = 1946,
  [1956] = 504,
  [1957] = 506,
  [1958] = 1958,
  [1959] = 1959,
  [1960] = 1960,
  [1961] = 1961,
  [1962] = 515,
  [1963] = 1963,
  [1964] = 554,
  [1965] = 516,
  [1966] = 1966,
  [1967] = 1967,
  [1968] = 1968,
  [1969] = 1969,
  [1970] = 517,
  [1971] = 1971,
  [1972] = 518,
  [1973] = 1973,
  [1974] = 1974,
  [1975] = 1953,
  [1976] = 578,
  [1977] = 520,
  [1978] = 522,
  [1979] = 523,
  [1980] = 524,
  [1981] = 1981,
  [1982] = 529,
  [1983] = 1983,
  [1984] = 1950,
  [1985] = 1985,
  [1986] = 1986,
  [1987] = 525,
  [1988] = 1988,
  [1989] = 1989,
  [1990] = 1990,
  [1991] = 1991,
  [1992] = 526,
  [1993] = 1993,
  [1994] = 527,
  [1995] = 1995,
  [1996] = 1996,
  [1997] = 1997,
  [1998] = 1998,
  [1999] = 528,
  [2000] = 2000,
  [2001] = 2001,
  [2002] = 2002,
  [2003] = 2003,
  [2004] = 2004,
  [2005] = 530,
  [2006] = 531,
  [2007] = 532,
  [2008] = 533,
  [2009] = 534,
  [2010] = 2010,
  [2011] = 536,
  [2012] = 463,
  [2013] = 2013,
  [2014] = 537,
  [2015] = 538,
  [2016] = 2016,
  [2017] = 2017,
  [2018] = 539,
  [2019] = 2019,
  [2020] = 2020,
  [2021] = 2021,
  [2022] = 543,
  [2023] = 544,
  [2024] = 2024,
  [2025] = 2025,
  [2026] = 545,
  [2027] = 2027,
  [2028] = 2028,
  [2029] = 468,
  [2030] = 546,
  [2031] = 470,
  [2032] = 2032,
  [2033] = 547,
  [2034] = 1943,
  [2035] = 1897,
  [2036] = 472,
  [2037] = 473,
  [2038] = 1831,
  [2039] = 2039,
  [2040] = 474,
  [2041] = 2041,
  [2042] = 475,
  [2043] = 555,
  [2044] = 1953,
  [2045] = 2000,
  [2046] = 1897,
  [2047] = 2013,
  [2048] = 1990,
  [2049] = 476,
  [2050] = 1935,
  [2051] = 2051,
  [2052] = 2017,
  [2053] = 2053,
  [2054] = 479,
  [2055] = 1953,
  [2056] = 480,
  [2057] = 481,
  [2058] = 2000,
  [2059] = 482,
  [2060] = 1897,
  [2061] = 484,
  [2062] = 2062,
  [2063] = 2010,
  [2064] = 486,
  [2065] = 487,
  [2066] = 488,
  [2067] = 489,
  [2068] = 1953,
  [2069] = 490,
  [2070] = 2070,
  [2071] = 2071,
  [2072] = 1966,
  [2073] = 2000,
  [2074] = 491,
  [2075] = 1967,
  [2076] = 2076,
  [2077] = 2019,
  [2078] = 1968,
  [2079] = 2079,
  [2080] = 2080,
  [2081] = 1953,
  [2082] = 2000,
  [2083] = 2003,
  [2084] = 2084,
  [2085] = 2085,
  [2086] = 2086,
  [2087] = 2087,
  [2088] = 2088,
  [2089] = 2089,
  [2090] = 564,
  [2091] = 2091,
  [2092] = 1910,
  [2093] = 2093,
  [2094] = 2094,
  [2095] = 2095,
  [2096] = 1974,
  [2097] = 1969,
  [2098] = 2098,
  [2099] = 2099,
  [2100] = 1983,
  [2101] = 2101,
  [2102] = 2004,
  [2103] = 2103,
  [2104] = 2104,
  [2105] = 2105,
  [2106] = 2032,
  [2107] = 502,
  [2108] = 2108,
  [2109] = 2109,
  [2110] = 2110,
  [2111] = 2111,
  [2112] = 2112,
  [2113] = 2027,
  [2114] = 2114,
  [2115] = 2115,
  [2116] = 1747,
  [2117] = 2117,
  [2118] = 2118,
  [2119] = 497,
  [2120] = 2120,
  [2121] = 2121,
  [2122] = 565,
  [2123] = 2123,
  [2124] = 498,
  [2125] = 499,
  [2126] = 2126,
  [2127] = 2127,
  [2128] = 501,
  [2129] = 2129,
  [2130] = 2130,
  [2131] = 1475,
  [2132] = 1809,
  [2133] = 2133,
  [2134] = 2134,
  [2135] = 505,
  [2136] = 2136,
  [2137] = 2137,
  [2138] = 2138,
  [2139] = 1971,
  [2140] = 2140,
  [2141] = 455,
  [2142] = 2142,
  [2143] = 510,
  [2144] = 511,
  [2145] = 512,
  [2146] = 513,
  [2147] = 1250,
  [2148] = 1917,
  [2149] = 2149,
  [2150] = 1981,
  [2151] = 2151,
  [2152] = 2152,
  [2153] = 2153,
  [2154] = 2154,
  [2155] = 566,
  [2156] = 2156,
  [2157] = 567,
  [2158] = 514,
  [2159] = 2159,
  [2160] = 2160,
  [2161] = 2161,
  [2162] = 2159,
  [2163] = 1921,
  [2164] = 2164,
  [2165] = 552,
  [2166] = 1973,
  [2167] = 464,
  [2168] = 1963,
  [2169] = 1960,
  [2170] = 1902,
  [2171] = 2171,
  [2172] = 1904,
  [2173] = 2173,
  [2174] = 540,
  [2175] = 541,
  [2176] = 1997,
  [2177] = 1985,
  [2178] = 542,
  [2179] = 2080,
  [2180] = 1998,
  [2181] = 2181,
  [2182] = 2182,
  [2183] = 2183,
  [2184] = 2184,
  [2185] = 2161,
  [2186] = 1988,
  [2187] = 568,
  [2188] = 2188,
  [2189] = 2062,
  [2190] = 571,
  [2191] = 572,
  [2192] = 573,
  [2193] = 574,
  [2194] = 2194,
  [2195] = 569,
  [2196] = 576,
  [2197] = 2197,
  [2198] = 2000,
  [2199] = 1828,
  [2200] = 570,
  [2201] = 2201,
  [2202] = 2136,
  [2203] = 2203,
  [2204] = 2137,
  [2205] = 2205,
  [2206] = 2206,
  [2207] = 1986,
  [2208] = 562,
  [2209] = 2209,
  [2210] = 2140,
  [2211] = 1727,
  [2212] = 2212,
  [2213] = 1993,
  [2214] = 458,
  [2215] = 461,
  [2216] = 469,
  [2217] = 1948,
  [2218] = 521,
  [2219] = 1895,
  [2220] = 556,
  [2221] = 558,
  [2222] = 559,
  [2223] = 560,
  [2224] = 1995,
  [2225] = 483,
  [2226] = 485,
  [2227] = 575,
  [2228] = 456,
  [2229] = 2051,
  [2230] = 2053,
  [2231] = 2231,
  [2232] = 507,
  [2233] = 2233,
  [2234] = 2079,
  [2235] = 1996,
  [2236] = 2201,
  [2237] = 2002,
  [2238] = 2021,
  [2239] = 2239,
  [2240] = 2240,
  [2241] = 2241,
  [2242] = 2242,
  [2243] = 2243,
  [2244] = 2244,
  [2245] = 2245,
  [2246] = 2246,
  [2247] = 2247,
  [2248] = 2248,
  [2249] = 2249,
  [2250] = 2250,
  [2251] = 2251,
  [2252] = 2252,
  [2253] = 2253,
  [2254] = 2254,
  [2255] = 2255,
  [2256] = 2256,
  [2257] = 2257,
  [2258] = 2258,
  [2259] = 2243,
  [2260] = 2244,
  [2261] = 2261,
  [2262] = 2262,
  [2263] = 2263,
  [2264] = 2264,
  [2265] = 2265,
  [2266] = 2266,
  [2267] = 2251,
  [2268] = 2268,
  [2269] = 2269,
  [2270] = 2270,
  [2271] = 2271,
  [2272] = 2272,
  [2273] = 2273,
  [2274] = 2243,
  [2275] = 2275,
  [2276] = 2251,
  [2277] = 2277,
  [2278] = 2251,
  [2279] = 2279,
  [2280] = 2280,
  [2281] = 2281,
  [2282] = 2282,
  [2283] = 2283,
  [2284] = 2243,
  [2285] = 2244,
  [2286] = 2286,
  [2287] = 2265,
  [2288] = 2288,
  [2289] = 2271,
  [2290] = 2290,
  [2291] = 2291,
  [2292] = 2292,
  [2293] = 2293,
  [2294] = 2294,
  [2295] = 2295,
  [2296] = 2296,
  [2297] = 2297,
  [2298] = 2298,
  [2299] = 2299,
  [2300] = 2244,
  [2301] = 2301,
  [2302] = 2302,
  [2303] = 2303,
  [2304] = 2304,
  [2305] = 2305,
  [2306] = 2263,
  [2307] = 2288,
  [2308] = 2308,
  [2309] = 2309,
  [2310] = 2251,
  [2311] = 2311,
  [2312] = 2282,
  [2313] = 2313,
  [2314] = 2314,
  [2315] = 2290,
  [2316] = 2316,
  [2317] = 2317,
  [2318] = 2318,
  [2319] = 2319,
  [2320] = 2133,
  [2321] = 2321,
  [2322] = 2311,
  [2323] = 2323,
  [2324] = 879,
  [2325] = 2325,
  [2326] = 2326,
  [2327] = 2327,
  [2328] = 2328,
  [2329] = 2329,
  [2330] = 2330,
  [2331] = 2086,
  [2332] = 2332,
  [2333] = 2333,
  [2334] = 2088,
  [2335] = 2280,
  [2336] = 2336,
  [2337] = 2337,
  [2338] = 2243,
  [2339] = 2339,
  [2340] = 2340,
  [2341] = 2341,
  [2342] = 2342,
  [2343] = 2343,
  [2344] = 2314,
  [2345] = 2279,
  [2346] = 2346,
  [2347] = 2347,
  [2348] = 2348,
  [2349] = 2349,
  [2350] = 2304,
  [2351] = 2351,
  [2352] = 2352,
  [2353] = 2353,
  [2354] = 2296,
  [2355] = 2297,
  [2356] = 2250,
  [2357] = 2357,
  [2358] = 2336,
  [2359] = 2359,
  [2360] = 2261,
  [2361] = 2361,
  [2362] = 2362,
  [2363] = 2323,
  [2364] = 2351,
  [2365] = 2365,
  [2366] = 2366,
  [2367] = 2367,
  [2368] = 2368,
  [2369] = 1419,
  [2370] = 2328,
  [2371] = 2321,
  [2372] = 2341,
  [2373] = 2373,
  [2374] = 2357,
  [2375] = 2375,
  [2376] = 2361,
  [2377] = 1400,
  [2378] = 2378,
  [2379] = 2347,
  [2380] = 2380,
  [2381] = 2381,
  [2382] = 2382,
  [2383] = 2383,
  [2384] = 2384,
  [2385] = 2286,
  [2386] = 2386,
  [2387] = 2270,
  [2388] = 2388,
  [2389] = 2257,
  [2390] = 2265,
  [2391] = 2391,
  [2392] = 2325,
  [2393] = 2393,
  [2394] = 2394,
  [2395] = 2368,
  [2396] = 2396,
  [2397] = 2397,
  [2398] = 2275,
  [2399] = 2327,
  [2400] = 2400,
  [2401] = 2401,
  [2402] = 2402,
  [2403] = 2403,
  [2404] = 2404,
  [2405] = 2405,
  [2406] = 2406,
  [2407] = 2407,
  [2408] = 2277,
  [2409] = 2302,
  [2410] = 2401,
  [2411] = 2411,
  [2412] = 2343,
  [2413] = 2413,
  [2414] = 1711,
  [2415] = 2337,
  [2416] = 1912,
  [2417] = 2417,
  [2418] = 2394,
  [2419] = 2419,
  [2420] = 2252,
  [2421] = 2258,
  [2422] = 2352,
  [2423] = 2261,
  [2424] = 2424,
  [2425] = 2265,
  [2426] = 2380,
  [2427] = 2419,
  [2428] = 2428,
  [2429] = 1735,
  [2430] = 2391,
  [2431] = 2243,
  [2432] = 2432,
  [2433] = 2244,
  [2434] = 2273,
  [2435] = 2261,
  [2436] = 2436,
  [2437] = 2242,
  [2438] = 2251,
  [2439] = 2393,
  [2440] = 2240,
  [2441] = 2441,
  [2442] = 2298,
  [2443] = 2443,
  [2444] = 2444,
  [2445] = 2445,
  [2446] = 2446,
  [2447] = 2447,
  [2448] = 2448,
  [2449] = 2449,
  [2450] = 2450,
  [2451] = 2451,
  [2452] = 2452,
  [2453] = 2453,
  [2454] = 2454,
  [2455] = 2455,
  [2456] = 2456,
  [2457] = 2457,
  [2458] = 2458,
  [2459] = 2459,
  [2460] = 2460,
  [2461] = 2461,
  [2462] = 2462,
  [2463] = 2463,
  [2464] = 2464,
  [2465] = 2465,
  [2466] = 2466,
  [2467] = 2467,
  [2468] = 2468,
  [2469] = 2469,
  [2470] = 2470,
  [2471] = 2471,
  [2472] = 2472,
  [2473] = 2473,
  [2474] = 2474,
  [2475] = 2475,
  [2476] = 2476,
  [2477] = 2477,
  [2478] = 2478,
  [2479] = 2479,
  [2480] = 2480,
  [2481] = 2466,
  [2482] = 2458,
  [2483] = 2483,
  [2484] = 2484,
  [2485] = 2485,
  [2486] = 2474,
  [2487] = 2487,
  [2488] = 2488,
  [2489] = 2489,
  [2490] = 2490,
  [2491] = 2491,
  [2492] = 2492,
  [2493] = 2493,
  [2494] = 2494,
  [2495] = 2495,
  [2496] = 2496,
  [2497] = 2497,
  [2498] = 2498,
  [2499] = 2454,
  [2500] = 2492,
  [2501] = 2501,
  [2502] = 2469,
  [2503] = 2503,
  [2504] = 2459,
  [2505] = 2475,
  [2506] = 2506,
  [2507] = 2507,
  [2508] = 2479,
  [2509] = 2509,
  [2510] = 2510,
  [2511] = 2511,
  [2512] = 2512,
  [2513] = 2472,
  [2514] = 2514,
  [2515] = 2478,
  [2516] = 2516,
  [2517] = 2490,
  [2518] = 2494,
  [2519] = 2519,
  [2520] = 2469,
  [2521] = 2521,
  [2522] = 2522,
  [2523] = 2522,
  [2524] = 2524,
  [2525] = 2525,
  [2526] = 2526,
  [2527] = 2527,
  [2528] = 2492,
  [2529] = 2514,
  [2530] = 2458,
  [2531] = 2531,
  [2532] = 2532,
  [2533] = 2468,
  [2534] = 2476,
  [2535] = 2535,
  [2536] = 2536,
  [2537] = 2537,
  [2538] = 2524,
  [2539] = 2448,
  [2540] = 2461,
  [2541] = 2541,
  [2542] = 2493,
  [2543] = 2509,
  [2544] = 2510,
  [2545] = 2545,
  [2546] = 2483,
  [2547] = 2526,
  [2548] = 2465,
  [2549] = 2549,
  [2550] = 2550,
  [2551] = 2551,
  [2552] = 2552,
  [2553] = 2448,
  [2554] = 2554,
  [2555] = 2555,
  [2556] = 2556,
  [2557] = 2487,
  [2558] = 2558,
  [2559] = 2480,
  [2560] = 2465,
  [2561] = 2474,
  [2562] = 2447,
  [2563] = 2458,
  [2564] = 2564,
  [2565] = 2565,
  [2566] = 2537,
  [2567] = 2567,
  [2568] = 2512,
  [2569] = 2551,
  [2570] = 2514,
  [2571] = 2492,
  [2572] = 2545,
  [2573] = 2490,
  [2574] = 2496,
  [2575] = 2575,
  [2576] = 2576,
  [2577] = 2555,
  [2578] = 2492,
  [2579] = 2532,
  [2580] = 2558,
  [2581] = 2498,
  [2582] = 2519,
  [2583] = 2506,
  [2584] = 2497,
  [2585] = 2585,
  [2586] = 2586,
  [2587] = 2512,
  [2588] = 2588,
  [2589] = 2589,
  [2590] = 2585,
  [2591] = 2591,
  [2592] = 2497,
  [2593] = 2498,
  [2594] = 2454,
  [2595] = 2595,
  [2596] = 2596,
  [2597] = 2526,
  [2598] = 2478,
  [2599] = 2599,
  [2600] = 2490,
  [2601] = 2494,
  [2602] = 2454,
  [2603] = 2465,
  [2604] = 2524,
  [2605] = 2526,
  [2606] = 2606,
  [2607] = 2607,
  [2608] = 2478,
  [2609] = 2463,
  [2610] = 2494,
  [2611] = 2503,
  [2612] = 2524,
  [2613] = 2526,
  [2614] = 2519,
  [2615] = 2615,
  [2616] = 2616,
  [2617] = 2134,
  [2618] = 2618,
  [2619] = 2457,
  [2620] = 2620,
  [2621] = 2450,
  [2622] = 2541,
  [2623] = 2623,
  [2624] = 2453,
  [2625] = 2536,
  [2626] = 2475,
  [2627] = 2627,
  [2628] = 2495,
  [2629] = 2469,
  [2630] = 2630,
  [2631] = 2535,
  [2632] = 2497,
  [2633] = 2460,
  [2634] = 1805,
  [2635] = 2524,
  [2636] = 2636,
  [2637] = 2507,
  [2638] = 2475,
  [2639] = 2205,
  [2640] = 2640,
  [2641] = 2479,
  [2642] = 2509,
  [2643] = 2510,
  [2644] = 2640,
  [2645] = 2512,
  [2646] = 2646,
  [2647] = 2490,
  [2648] = 2509,
  [2649] = 2471,
  [2650] = 2478,
  [2651] = 2458,
  [2652] = 2607,
  [2653] = 2448,
  [2654] = 2465,
  [2655] = 2532,
  [2656] = 2454,
  [2657] = 2510,
  [2658] = 2450,
  [2659] = 2474,
  [2660] = 2630,
  [2661] = 2479,
  [2662] = 2549,
  [2663] = 2456,
  [2664] = 2664,
  [2665] = 2498,
  [2666] = 2666,
  [2667] = 2474,
  [2668] = 2550,
  [2669] = 2620,
  [2670] = 2493,
  [2671] = 2494,
  [2672] = 2492,
  [2673] = 2673,
  [2674] = 2674,
  [2675] = 2630,
  [2676] = 2674,
  [2677] = 2458,
  [2678] = 2556,
  [2679] = 2640,
  [2680] = 2491,
  [2681] = 2448,
  [2682] = 2514,
  [2683] = 2458,
  [2684] = 2684,
  [2685] = 2532,
  [2686] = 2674,
  [2687] = 2687,
  [2688] = 2450,
  [2689] = 2489,
  [2690] = 2690,
  [2691] = 2691,
  [2692] = 2630,
  [2693] = 2531,
  [2694] = 2489,
  [2695] = 2674,
  [2696] = 2696,
  [2697] = 2489,
  [2698] = 2636,
};

static TSCharacterRange sym_escape_sequence_character_set_1[] = {
  {'"', '"'}, {'$', '$'}, {'0', '7'}, {'\\', '\\'}, {'`', '`'}, {'e', 'f'}, {'n', 'n'}, {'r', 'r'},
  {'t', 'v'}, {'x', 'x'},
};

static TSCharacterRange sym_name_character_set_1[] = {
  {'0', '9'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0x80, 0x9f}, {0xa1, 0x200a}, {0x200c, 0x205f}, {0x2061, 0xfefe},
  {0xff00, 0xffff},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(66);
      ADVANCE_MAP(
        '!', 123,
        '"', 171,
        '#', 252,
        '$', 175,
        '%', 212,
        '&', 73,
        '\'', 173,
        '(', 82,
        ')', 83,
        '*', 207,
        '+', 115,
        ',', 74,
        '-', 118,
        '.', 205,
        '/', 210,
        '0', 105,
        ':', 80,
        ';', 70,
        '<', 189,
        '=', 75,
        '>', 193,
        '?', 88,
        '@', 124,
        '[', 143,
        '\\', 76,
        ']', 144,
        '^', 183,
        '_', 247,
        '`', 174,
        '{', 77,
        '|', 93,
        '}', 78,
        '~', 121,
        'A', 237,
        'a', 237,
        'B', 213,
        'b', 213,
        'E', 216,
        'e', 216,
        'F', 217,
        'f', 217,
        'I', 231,
        'i', 231,
        'N', 245,
        'n', 245,
        'S', 243,
        's', 243,
        'T', 236,
        't', 236,
        'U', 229,
        'u', 229,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(107);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(63);
      if (('C' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(249);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(250);
      END_STATE();
    case 2:
      if (lookahead == '\n') ADVANCE(250);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead != 0 &&
          lookahead != '>') ADVANCE(251);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '\n', 172,
        '\r', 172,
        '"', 171,
        '#', 253,
        '$', 175,
        '-', 32,
        '/', 21,
        '[', 143,
        '\\', 36,
        '{', 77,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(4);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        '\n', 172,
        '\r', 172,
        '#', 253,
        '$', 175,
        '-', 32,
        '/', 21,
        '[', 143,
        '\\', 37,
        '{', 77,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(4);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        '!', 123,
        '"', 157,
        '#', 252,
        '$', 175,
        '%', 211,
        '&', 72,
        '\'', 159,
        '(', 84,
        ')', 85,
        '*', 208,
        '+', 114,
        ',', 74,
        '-', 117,
        '.', 205,
        '/', 209,
        '0', 105,
        ':', 79,
        ';', 70,
        '<', 190,
        '=', 31,
        '>', 194,
        '?', 91,
        '@', 124,
        '[', 143,
        '\\', 76,
        ']', 144,
        '^', 182,
        '_', 247,
        '`', 174,
        '{', 77,
        '|', 94,
        '}', 78,
        '~', 121,
        'A', 237,
        'a', 237,
        'B', 214,
        'b', 214,
        'E', 216,
        'e', 216,
        'F', 218,
        'f', 218,
        'N', 245,
        'n', 245,
        'T', 236,
        't', 236,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(107);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(5);
      if (('C' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(249);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '!', 122,
        '"', 157,
        '#', 252,
        '$', 175,
        '&', 71,
        '\'', 159,
        '(', 84,
        ')', 85,
        '+', 114,
        ',', 74,
        '-', 117,
        '.', 101,
        '/', 21,
        '0', 105,
        '<', 28,
        '@', 124,
        '[', 143,
        '\\', 76,
        ']', 144,
        '_', 247,
        '`', 174,
        '~', 121,
        'A', 237,
        'a', 237,
        'B', 214,
        'b', 214,
        'E', 216,
        'e', 216,
        'F', 218,
        'f', 218,
        'N', 245,
        'n', 245,
        'T', 236,
        't', 236,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(107);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(6);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(249);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '!', 122,
        '"', 157,
        '#', 252,
        '$', 175,
        '\'', 159,
        '(', 84,
        '+', 114,
        '-', 117,
        '.', 102,
        '/', 21,
        '0', 105,
        '<', 28,
        '@', 124,
        '[', 143,
        '\\', 76,
        '_', 247,
        '`', 174,
        '~', 121,
        'A', 237,
        'a', 237,
        'B', 213,
        'b', 213,
        'E', 216,
        'e', 216,
        'F', 217,
        'f', 217,
        'I', 231,
        'i', 231,
        'N', 245,
        'n', 245,
        'S', 243,
        's', 243,
        'T', 236,
        't', 236,
        'U', 229,
        'u', 229,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(107);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(7);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(249);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '!', 30,
        '"', 157,
        '#', 253,
        '$', 175,
        '%', 211,
        '&', 72,
        '(', 84,
        ')', 85,
        '*', 208,
        '+', 114,
        ',', 74,
        '-', 119,
        '.', 204,
        '/', 209,
        ':', 80,
        ';', 70,
        '<', 192,
        '=', 75,
        '>', 194,
        '?', 90,
        '[', 143,
        '\\', 36,
        ']', 144,
        '^', 182,
        '`', 174,
        '{', 77,
        '|', 94,
        '}', 78,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(9);
      if (('A' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(249);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        '!', 30,
        '"', 157,
        '#', 253,
        '$', 175,
        '%', 211,
        '&', 72,
        '(', 84,
        ')', 85,
        '*', 208,
        '+', 114,
        ',', 74,
        '-', 119,
        '.', 204,
        '/', 209,
        ':', 80,
        ';', 70,
        '<', 192,
        '=', 75,
        '>', 194,
        '?', 90,
        '[', 143,
        '\\', 37,
        ']', 144,
        '^', 182,
        '`', 174,
        '{', 77,
        '|', 94,
        '}', 78,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(9);
      if (('A' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(249);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        '!', 30,
        '#', 253,
        '$', 175,
        '%', 211,
        '&', 72,
        '\'', 173,
        '(', 84,
        ')', 85,
        '*', 208,
        '+', 113,
        ',', 74,
        '-', 120,
        '.', 204,
        '/', 209,
        '0', 110,
        ':', 80,
        ';', 70,
        '<', 192,
        '=', 75,
        '>', 194,
        '?', 90,
        '[', 143,
        '\\', 76,
        ']', 144,
        '^', 182,
        '{', 77,
        '|', 94,
        '}', 78,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(112);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(11);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(249);
      END_STATE();
    case 11:
      ADVANCE_MAP(
        '!', 30,
        '#', 253,
        '$', 175,
        '%', 211,
        '&', 72,
        '(', 84,
        ')', 85,
        '*', 208,
        '+', 113,
        ',', 74,
        '-', 120,
        '.', 204,
        '/', 209,
        '0', 110,
        ':', 80,
        ';', 70,
        '<', 192,
        '=', 75,
        '>', 194,
        '?', 90,
        '[', 143,
        '\\', 76,
        ']', 144,
        '^', 182,
        '{', 77,
        '|', 94,
        '}', 78,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(112);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(11);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(249);
      END_STATE();
    case 12:
      ADVANCE_MAP(
        '!', 30,
        '#', 253,
        '$', 175,
        '%', 211,
        '&', 72,
        '(', 84,
        ')', 85,
        '*', 208,
        '+', 113,
        ',', 74,
        '-', 116,
        '.', 204,
        '/', 209,
        ':', 80,
        ';', 70,
        '<', 192,
        '=', 75,
        '>', 194,
        '?', 91,
        '\\', 76,
        ']', 144,
        '^', 182,
        '{', 77,
        '|', 94,
        '}', 78,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(12);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(249);
      END_STATE();
    case 13:
      if (lookahead == '"') ADVANCE(156);
      if (lookahead == '\'') ADVANCE(158);
      END_STATE();
    case 14:
      ADVANCE_MAP(
        '"', 157,
        '#', 253,
        '$', 175,
        '&', 71,
        '\'', 159,
        '(', 84,
        ')', 85,
        '.', 24,
        '/', 21,
        '<', 28,
        '[', 143,
        '\\', 76,
        '|', 92,
        '}', 78,
        'A', 237,
        'a', 237,
        'B', 214,
        'b', 214,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(14);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(249);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        '"', 157,
        '#', 253,
        '\'', 159,
        '.', 102,
        '/', 21,
        '0', 105,
        '<', 28,
        '_', 57,
        'B', 13,
        'b', 13,
        'E', 40,
        'e', 40,
        'F', 41,
        'f', 41,
        'N', 51,
        'n', 51,
        'T', 48,
        't', 48,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(107);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(15);
      END_STATE();
    case 16:
      ADVANCE_MAP(
        '#', 252,
        '$', 175,
        '&', 71,
        '(', 84,
        ')', 85,
        ',', 74,
        '.', 24,
        '/', 21,
        '?', 87,
        '\\', 76,
        '}', 78,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(16);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(249);
      END_STATE();
    case 17:
      ADVANCE_MAP(
        '#', 253,
        '$', 175,
        '&', 71,
        '(', 82,
        ')', 83,
        '/', 21,
        ';', 70,
        '?', 87,
        '\\', 76,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(19);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(249);
      END_STATE();
    case 18:
      ADVANCE_MAP(
        '#', 253,
        '$', 175,
        '&', 71,
        '(', 84,
        ')', 85,
        '.', 24,
        '/', 21,
        '=', 33,
        '?', 87,
        '\\', 76,
        '{', 77,
        '|', 92,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(18);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(249);
      END_STATE();
    case 19:
      ADVANCE_MAP(
        '#', 253,
        '$', 175,
        '&', 71,
        '(', 84,
        '/', 21,
        ';', 70,
        '?', 87,
        '\\', 76,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(19);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(249);
      END_STATE();
    case 20:
      if (lookahead == '#') ADVANCE(168);
      if (lookahead == '\'') ADVANCE(159);
      if (lookahead == '/') ADVANCE(164);
      if (lookahead == '\\') ADVANCE(39);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(163);
      if (lookahead != 0) ADVANCE(169);
      END_STATE();
    case 21:
      if (lookahead == '*') ADVANCE(23);
      if (lookahead == '/') ADVANCE(251);
      END_STATE();
    case 22:
      if (lookahead == '*') ADVANCE(22);
      if (lookahead == '/') ADVANCE(250);
      if (lookahead != 0) ADVANCE(23);
      END_STATE();
    case 23:
      if (lookahead == '*') ADVANCE(22);
      if (lookahead != 0) ADVANCE(23);
      END_STATE();
    case 24:
      if (lookahead == '.') ADVANCE(26);
      END_STATE();
    case 25:
      if (lookahead == '.') ADVANCE(102);
      if (lookahead == '_') ADVANCE(57);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(25);
      END_STATE();
    case 26:
      if (lookahead == '.') ADVANCE(86);
      END_STATE();
    case 27:
      if (lookahead == '<') ADVANCE(170);
      END_STATE();
    case 28:
      if (lookahead == '<') ADVANCE(27);
      END_STATE();
    case 29:
      if (lookahead == '<') ADVANCE(27);
      if (lookahead == '?') ADVANCE(69);
      END_STATE();
    case 30:
      if (lookahead == '=') ADVANCE(185);
      END_STATE();
    case 31:
      if (lookahead == '=') ADVANCE(184);
      if (lookahead == '>') ADVANCE(81);
      END_STATE();
    case 32:
      if (lookahead == '>') ADVANCE(141);
      END_STATE();
    case 33:
      if (lookahead == '>') ADVANCE(81);
      END_STATE();
    case 34:
      if (lookahead == '>') ADVANCE(67);
      END_STATE();
    case 35:
      if (lookahead == '>') ADVANCE(142);
      END_STATE();
    case 36:
      if (lookahead == 'u') ADVANCE(155);
      if (lookahead == 'x') ADVANCE(61);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(152);
      if (set_contains(sym_escape_sequence_character_set_1, 10, lookahead)) ADVANCE(150);
      END_STATE();
    case 37:
      if (lookahead == 'u') ADVANCE(154);
      END_STATE();
    case 38:
      if (lookahead == '}') ADVANCE(150);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(38);
      END_STATE();
    case 39:
      if (lookahead == '\'' ||
          lookahead == '\\') ADVANCE(160);
      if (lookahead != 0) ADVANCE(169);
      END_STATE();
    case 40:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(58);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(104);
      END_STATE();
    case 41:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(44);
      END_STATE();
    case 42:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(147);
      END_STATE();
    case 43:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(47);
      END_STATE();
    case 44:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(49);
      END_STATE();
    case 45:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(145);
      END_STATE();
    case 46:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(45);
      END_STATE();
    case 47:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(68);
      END_STATE();
    case 48:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(50);
      END_STATE();
    case 49:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(42);
      END_STATE();
    case 50:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(42);
      END_STATE();
    case 51:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(46);
      END_STATE();
    case 52:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(108);
      END_STATE();
    case 53:
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(25);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(106);
      END_STATE();
    case 54:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(111);
      END_STATE();
    case 55:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(107);
      END_STATE();
    case 56:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(102);
      END_STATE();
    case 57:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(25);
      END_STATE();
    case 58:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(104);
      END_STATE();
    case 59:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(112);
      END_STATE();
    case 60:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(109);
      END_STATE();
    case 61:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(153);
      END_STATE();
    case 62:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(38);
      END_STATE();
    case 63:
      if (eof) ADVANCE(66);
      ADVANCE_MAP(
        '!', 123,
        '"', 157,
        '#', 252,
        '$', 175,
        '%', 212,
        '&', 73,
        '\'', 159,
        '(', 84,
        ')', 85,
        '*', 207,
        '+', 115,
        ',', 74,
        '-', 118,
        '.', 205,
        '/', 210,
        '0', 105,
        ':', 80,
        ';', 70,
        '<', 189,
        '=', 75,
        '>', 193,
        '?', 88,
        '@', 124,
        '[', 143,
        '\\', 76,
        ']', 144,
        '^', 183,
        '_', 247,
        '`', 174,
        '{', 77,
        '|', 93,
        '}', 78,
        '~', 121,
        'A', 237,
        'a', 237,
        'B', 213,
        'b', 213,
        'E', 216,
        'e', 216,
        'F', 217,
        'f', 217,
        'I', 231,
        'i', 231,
        'N', 245,
        'n', 245,
        'S', 243,
        's', 243,
        'T', 236,
        't', 236,
        'U', 229,
        'u', 229,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(107);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(63);
      if (('C' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(249);
      END_STATE();
    case 64:
      if (eof) ADVANCE(66);
      ADVANCE_MAP(
        '!', 122,
        '"', 157,
        '#', 252,
        '$', 175,
        '&', 71,
        '\'', 159,
        '(', 84,
        ')', 85,
        '+', 114,
        ',', 74,
        '-', 117,
        '.', 102,
        '/', 21,
        '0', 105,
        ':', 79,
        ';', 70,
        '<', 29,
        '=', 33,
        '?', 34,
        '@', 124,
        '[', 143,
        '\\', 76,
        ']', 144,
        '_', 247,
        '`', 174,
        '{', 77,
        '}', 78,
        '~', 121,
        'A', 237,
        'a', 237,
        'B', 214,
        'b', 214,
        'E', 216,
        'e', 216,
        'F', 218,
        'f', 218,
        'N', 245,
        'n', 245,
        'T', 236,
        't', 236,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(107);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(64);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(249);
      END_STATE();
    case 65:
      if (eof) ADVANCE(66);
      ADVANCE_MAP(
        '!', 30,
        '"', 157,
        '#', 253,
        '$', 175,
        '%', 212,
        '&', 73,
        '\'', 159,
        '(', 84,
        ')', 85,
        '*', 207,
        '+', 115,
        ',', 74,
        '-', 118,
        '.', 206,
        '/', 210,
        '0', 110,
        ':', 80,
        ';', 70,
        '<', 191,
        '=', 75,
        '>', 193,
        '?', 89,
        '[', 143,
        '\\', 76,
        ']', 144,
        '^', 183,
        '{', 77,
        '|', 93,
        '}', 78,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(112);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(65);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(249);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_QMARK_GT);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(sym_php_tag);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(sym_php_tag);
      if (lookahead == '=') ADVANCE(68);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(43);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(181);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(181);
      if (lookahead == '=') ADVANCE(137);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(184);
      if (lookahead == '>') ADVANCE(81);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(125);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_LPAREN2);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_RPAREN2);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '-') ADVANCE(35);
      if (lookahead == '>') ADVANCE(67);
      if (lookahead == '?') ADVANCE(177);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '-') ADVANCE(35);
      if (lookahead == '?') ADVANCE(177);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '-') ADVANCE(35);
      if (lookahead == '?') ADVANCE(176);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '?') ADVANCE(176);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(139);
      if (lookahead == '|') ADVANCE(180);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(180);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(aux_sym_cast_type_token1);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(249);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(aux_sym_cast_type_token3);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(249);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(aux_sym_cast_type_token6);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(249);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(aux_sym_cast_type_token8);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(249);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(aux_sym_cast_type_token11);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(249);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(aux_sym_cast_type_token12);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(249);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '.') ADVANCE(26);
      if (lookahead == '_') ADVANCE(56);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(102);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(56);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(102);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(248);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(103);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0x9f) ||
          (0xa1 <= lookahead && lookahead <= 0x200a) ||
          (0x200c <= lookahead && lookahead <= 0x205f) ||
          (0x2061 <= lookahead && lookahead <= 0xfefe) ||
          (0xff00 <= lookahead && lookahead <= 0xffff)) ADVANCE(249);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(58);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(104);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(sym_integer);
      ADVANCE_MAP(
        '.', 102,
        '_', 53,
        'B', 52,
        'b', 52,
        'E', 40,
        'e', 40,
        'O', 111,
        'o', 111,
        'X', 60,
        'x', 60,
        '8', 25,
        '9', 25,
      );
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(106);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(102);
      if (lookahead == '_') ADVANCE(53);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(40);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(25);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(106);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(102);
      if (lookahead == '_') ADVANCE(55);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(107);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(52);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(108);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(60);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(109);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(54);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(52);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(111);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(60);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(111);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(54);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(111);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(59);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(112);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(127);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(127);
      if (lookahead == '=') ADVANCE(132);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(126);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(126);
      if (lookahead == '=') ADVANCE(133);
      if (lookahead == '>') ADVANCE(141);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(126);
      if (lookahead == '>') ADVANCE(141);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '>') ADVANCE(141);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(185);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_DOT_EQ);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK_EQ);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_QMARK_DASH_GT);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(aux_sym__argument_name_token1);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(aux_sym__argument_name_token1);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(249);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(aux_sym__argument_name_token2);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(aux_sym__argument_name_token2);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(249);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_POUND_LBRACK);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(150);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(151);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(150);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_BSLASHu);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_BSLASHu);
      if (lookahead == '{') ADVANCE(62);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(aux_sym_encapsed_string_token1);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(aux_sym_string_token1);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(aux_sym_string_token2);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '\n') ADVANCE(169);
      if (lookahead == '\r') ADVANCE(162);
      if (lookahead == '>') ADVANCE(169);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(167);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '\n') ADVANCE(169);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(169);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '#') ADVANCE(168);
      if (lookahead == '/') ADVANCE(164);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(163);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(169);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '*') ADVANCE(166);
      if (lookahead == '/') ADVANCE(167);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(169);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '*') ADVANCE(165);
      if (lookahead == '/') ADVANCE(169);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(166);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '*') ADVANCE(165);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(166);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '?') ADVANCE(161);
      if (lookahead == '\n' ||
          lookahead == '\r') ADVANCE(169);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(167);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == '?' ||
          lookahead == '[') ADVANCE(169);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '[' &&
          lookahead != '\\') ADVANCE(167);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(169);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_LT_LT_LT);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_DQUOTE2);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(sym__new_line);
      if (lookahead == '\n') ADVANCE(172);
      if (lookahead == '\r') ADVANCE(172);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_SQUOTE2);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      if (lookahead == '=') ADVANCE(140);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(128);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(138);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(187);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(188);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_LT_GT);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(200);
      if (lookahead == '=') ADVANCE(195);
      if (lookahead == '>') ADVANCE(186);
      if (lookahead == '?') ADVANCE(69);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(199);
      if (lookahead == '=') ADVANCE(195);
      if (lookahead == '>') ADVANCE(186);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(201);
      if (lookahead == '=') ADVANCE(195);
      if (lookahead == '>') ADVANCE(186);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(198);
      if (lookahead == '=') ADVANCE(195);
      if (lookahead == '>') ADVANCE(186);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(196);
      if (lookahead == '>') ADVANCE(203);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(196);
      if (lookahead == '>') ADVANCE(202);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      if (lookahead == '>') ADVANCE(197);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_LT_EQ_GT);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '<') ADVANCE(170);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '<') ADVANCE(170);
      if (lookahead == '=') ADVANCE(135);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(135);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(136);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(26);
      if (lookahead == '_') ADVANCE(56);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(102);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '=') ADVANCE(134);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(179);
      if (lookahead == '=') ADVANCE(129);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(178);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(23);
      if (lookahead == '/') ADVANCE(251);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(23);
      if (lookahead == '/') ADVANCE(251);
      if (lookahead == '=') ADVANCE(130);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(131);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '"') ADVANCE(156);
      if (lookahead == '\'') ADVANCE(158);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(233);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(249);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '"') ADVANCE(156);
      if (lookahead == '\'') ADVANCE(158);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(249);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '.') ADVANCE(102);
      if (lookahead == '_') ADVANCE(247);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(216);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(215);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0x9f) ||
          (0xa1 <= lookahead && lookahead <= 0x200a) ||
          (0x200c <= lookahead && lookahead <= 0x205f) ||
          (0x2061 <= lookahead && lookahead <= 0xfefe) ||
          (0xff00 <= lookahead && lookahead <= 0xffff)) ADVANCE(249);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(58);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(103);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(249);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(228);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(232);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(249);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(228);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(249);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(246);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(249);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(241);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(249);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(148);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(249);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(242);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(249);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(99);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(249);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(230);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(249);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(96);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(249);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(146);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(249);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(226);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(249);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(238);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(249);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(239);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(249);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(223);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(249);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(240);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(249);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(220);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(249);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(225);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(249);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(219);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(249);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(224);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(249);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(244);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(249);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(234);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(249);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(221);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(249);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(222);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(249);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(97);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(249);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(98);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(249);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(100);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(249);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(235);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(249);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(221);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(249);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(227);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(249);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(95);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(249);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(sym_name);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(215);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(249);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(sym_name);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(103);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(249);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(sym_name);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(249);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '?') ADVANCE(2);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(251);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '[') ADVANCE(149);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '?') ADVANCE(251);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '?' &&
          lookahead != '[') ADVANCE(251);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        'A', 1,
        'B', 2,
        'E', 3,
        'F', 4,
        'I', 5,
        'M', 6,
        'N', 7,
        'P', 8,
        'S', 9,
        'T', 10,
        'U', 11,
        'V', 12,
        'a', 13,
        'b', 14,
        'e', 15,
        'f', 16,
        'i', 17,
        'm', 18,
        'n', 19,
        'p', 20,
        's', 21,
        't', 22,
        'u', 23,
        'v', 24,
        'C', 25,
        'c', 25,
        'D', 26,
        'd', 26,
        'G', 27,
        'g', 27,
        'L', 28,
        'l', 28,
        'O', 29,
        'o', 29,
        'R', 30,
        'r', 30,
        'W', 31,
        'w', 31,
        'X', 32,
        'x', 32,
        'Y', 33,
        'y', 33,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(34);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(35);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(36);
      END_STATE();
    case 2:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(37);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(38);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(39);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        'C', 40,
        'c', 40,
        'L', 41,
        'l', 41,
        'N', 42,
        'n', 42,
        'X', 43,
        'x', 43,
      );
      END_STATE();
    case 4:
      ADVANCE_MAP(
        'I', 44,
        'i', 44,
        'N', 45,
        'n', 45,
        'O', 46,
        'o', 46,
        'R', 47,
        'r', 47,
        'U', 48,
        'u', 48,
      );
      END_STATE();
    case 5:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(49);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(50);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(51);
      END_STATE();
    case 6:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(52);
      END_STATE();
    case 7:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(53);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(54);
      END_STATE();
    case 8:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(55);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(56);
      END_STATE();
    case 9:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(57);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(58);
      END_STATE();
    case 10:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(59);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(60);
      END_STATE();
    case 11:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(61);
      END_STATE();
    case 12:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(62);
      END_STATE();
    case 13:
      if (lookahead == 'r') ADVANCE(63);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(34);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(35);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(36);
      END_STATE();
    case 14:
      if (lookahead == 'O') ADVANCE(38);
      if (lookahead == 'o') ADVANCE(64);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(37);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(39);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        'N', 42,
        'n', 65,
        'C', 40,
        'c', 40,
        'L', 41,
        'l', 41,
        'X', 43,
        'x', 43,
      );
      END_STATE();
    case 16:
      ADVANCE_MAP(
        'a', 66,
        'l', 67,
        'I', 44,
        'i', 44,
        'N', 45,
        'n', 45,
        'O', 46,
        'o', 46,
        'R', 47,
        'r', 47,
        'U', 48,
        'u', 48,
      );
      END_STATE();
    case 17:
      if (lookahead == 'N') ADVANCE(51);
      if (lookahead == 'n') ADVANCE(68);
      if (lookahead == 't') ADVANCE(69);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(49);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(50);
      END_STATE();
    case 18:
      if (lookahead == 'i') ADVANCE(70);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(52);
      END_STATE();
    case 19:
      if (lookahead == 'E') ADVANCE(54);
      if (lookahead == 'e') ADVANCE(71);
      if (lookahead == 'u') ADVANCE(72);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(53);
      END_STATE();
    case 20:
      if (lookahead == 'a') ADVANCE(73);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(55);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(56);
      END_STATE();
    case 21:
      if (lookahead == 'T') ADVANCE(57);
      if (lookahead == 'e') ADVANCE(74);
      if (lookahead == 't') ADVANCE(75);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(58);
      END_STATE();
    case 22:
      if (lookahead == 'R') ADVANCE(60);
      if (lookahead == 'i') ADVANCE(76);
      if (lookahead == 'r') ADVANCE(77);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(59);
      END_STATE();
    case 23:
      if (lookahead == 'n') ADVANCE(78);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(61);
      END_STATE();
    case 24:
      if (lookahead == 'o') ADVANCE(79);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(62);
      END_STATE();
    case 25:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(80);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(81);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(82);
      END_STATE();
    case 26:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(83);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(84);
      END_STATE();
    case 27:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(85);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(86);
      END_STATE();
    case 28:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(87);
      END_STATE();
    case 29:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(88);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(89);
      END_STATE();
    case 30:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(90);
      END_STATE();
    case 31:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(91);
      END_STATE();
    case 32:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(92);
      END_STATE();
    case 33:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(93);
      END_STATE();
    case 34:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(94);
      END_STATE();
    case 35:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(95);
      END_STATE();
    case 36:
      ACCEPT_TOKEN(aux_sym_namespace_use_clause_token1);
      END_STATE();
    case 37:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(96);
      END_STATE();
    case 38:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(97);
      END_STATE();
    case 39:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(98);
      END_STATE();
    case 40:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(99);
      END_STATE();
    case 41:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(100);
      END_STATE();
    case 42:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(101);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(102);
      END_STATE();
    case 43:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(103);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(104);
      END_STATE();
    case 44:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(105);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(aux_sym__arrow_function_header_token1);
      END_STATE();
    case 46:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(106);
      END_STATE();
    case 47:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(107);
      END_STATE();
    case 48:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(108);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(aux_sym_if_statement_token1);
      END_STATE();
    case 50:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(109);
      END_STATE();
    case 51:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(110);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(111);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(112);
      END_STATE();
    case 52:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(113);
      END_STATE();
    case 53:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(114);
      END_STATE();
    case 54:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(115);
      END_STATE();
    case 55:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(116);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(117);
      END_STATE();
    case 56:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(118);
      END_STATE();
    case 57:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(119);
      END_STATE();
    case 58:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(120);
      END_STATE();
    case 59:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(121);
      END_STATE();
    case 60:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(122);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(123);
      END_STATE();
    case 61:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(124);
      END_STATE();
    case 62:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(125);
      END_STATE();
    case 63:
      if (lookahead == 'r') ADVANCE(126);
      END_STATE();
    case 64:
      if (lookahead == 'O') ADVANCE(97);
      if (lookahead == 'o') ADVANCE(127);
      END_STATE();
    case 65:
      if (lookahead == 'c') ADVANCE(128);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(101);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(102);
      END_STATE();
    case 66:
      if (lookahead == 'l') ADVANCE(129);
      END_STATE();
    case 67:
      if (lookahead == 'o') ADVANCE(130);
      END_STATE();
    case 68:
      if (lookahead == 'T') ADVANCE(112);
      if (lookahead == 't') ADVANCE(131);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(110);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(111);
      END_STATE();
    case 69:
      if (lookahead == 'e') ADVANCE(132);
      END_STATE();
    case 70:
      if (lookahead == 'x') ADVANCE(133);
      END_STATE();
    case 71:
      if (lookahead == 'v') ADVANCE(134);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(115);
      END_STATE();
    case 72:
      if (lookahead == 'l') ADVANCE(135);
      END_STATE();
    case 73:
      if (lookahead == 'r') ADVANCE(136);
      END_STATE();
    case 74:
      if (lookahead == 'l') ADVANCE(137);
      END_STATE();
    case 75:
      if (lookahead == 'r') ADVANCE(138);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(119);
      END_STATE();
    case 76:
      if (lookahead == 'c') ADVANCE(139);
      END_STATE();
    case 77:
      if (lookahead == 'u') ADVANCE(140);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(122);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(123);
      END_STATE();
    case 78:
      if (lookahead == 's') ADVANCE(141);
      END_STATE();
    case 79:
      if (lookahead == 'i') ADVANCE(142);
      END_STATE();
    case 80:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(143);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(144);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(145);
      END_STATE();
    case 81:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(146);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(147);
      END_STATE();
    case 82:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(148);
      END_STATE();
    case 83:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(149);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(150);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(aux_sym_do_statement_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(151);
      END_STATE();
    case 85:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(152);
      END_STATE();
    case 86:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(153);
      END_STATE();
    case 87:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(154);
      END_STATE();
    case 88:
      if (lookahead == 'J' ||
          lookahead == 'j') ADVANCE(155);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(aux_sym_binary_expression_token3);
      END_STATE();
    case 90:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(156);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(157);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(158);
      END_STATE();
    case 91:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(159);
      END_STATE();
    case 92:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(160);
      END_STATE();
    case 93:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(161);
      END_STATE();
    case 94:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(162);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(aux_sym_binary_expression_token2);
      END_STATE();
    case 96:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(163);
      END_STATE();
    case 97:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(164);
      END_STATE();
    case 98:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(165);
      END_STATE();
    case 99:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(166);
      END_STATE();
    case 100:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(167);
      END_STATE();
    case 101:
      ADVANCE_MAP(
        'D', 168,
        'd', 168,
        'F', 169,
        'f', 169,
        'I', 170,
        'i', 170,
        'S', 171,
        's', 171,
        'W', 172,
        'w', 172,
      );
      END_STATE();
    case 102:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(173);
      END_STATE();
    case 103:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(174);
      END_STATE();
    case 104:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(175);
      END_STATE();
    case 105:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(176);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(aux_sym_for_statement_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(177);
      END_STATE();
    case 107:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(178);
      END_STATE();
    case 108:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(179);
      END_STATE();
    case 109:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(180);
      END_STATE();
    case 110:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(181);
      END_STATE();
    case 111:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(182);
      END_STATE();
    case 112:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(183);
      END_STATE();
    case 113:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(184);
      END_STATE();
    case 114:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(185);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(aux_sym__new_non_dereferencable_expression_token1);
      END_STATE();
    case 116:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(186);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(187);
      END_STATE();
    case 117:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(188);
      END_STATE();
    case 118:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(189);
      END_STATE();
    case 119:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(190);
      END_STATE();
    case 120:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(191);
      END_STATE();
    case 121:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(192);
      END_STATE();
    case 122:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(193);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(aux_sym_try_statement_token1);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(aux_sym_namespace_use_declaration_token1);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(sym_var_modifier);
      END_STATE();
    case 126:
      if (lookahead == 'a') ADVANCE(194);
      END_STATE();
    case 127:
      if (lookahead == 'L') ADVANCE(164);
      if (lookahead == 'l') ADVANCE(195);
      END_STATE();
    case 128:
      if (lookahead == 'o') ADVANCE(196);
      END_STATE();
    case 129:
      if (lookahead == 's') ADVANCE(197);
      END_STATE();
    case 130:
      if (lookahead == 'a') ADVANCE(198);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_int);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(183);
      END_STATE();
    case 132:
      if (lookahead == 'r') ADVANCE(199);
      END_STATE();
    case 133:
      if (lookahead == 'e') ADVANCE(200);
      END_STATE();
    case 134:
      if (lookahead == 'e') ADVANCE(201);
      END_STATE();
    case 135:
      if (lookahead == 'l') ADVANCE(202);
      END_STATE();
    case 136:
      if (lookahead == 'e') ADVANCE(203);
      END_STATE();
    case 137:
      if (lookahead == 'f') ADVANCE(204);
      END_STATE();
    case 138:
      if (lookahead == 'i') ADVANCE(205);
      END_STATE();
    case 139:
      if (lookahead == 'k') ADVANCE(206);
      END_STATE();
    case 140:
      if (lookahead == 'e') ADVANCE(207);
      END_STATE();
    case 141:
      if (lookahead == 'e') ADVANCE(208);
      END_STATE();
    case 142:
      if (lookahead == 'd') ADVANCE(209);
      END_STATE();
    case 143:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(210);
      END_STATE();
    case 144:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(211);
      END_STATE();
    case 145:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(212);
      END_STATE();
    case 146:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(213);
      END_STATE();
    case 147:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(214);
      END_STATE();
    case 148:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(215);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(216);
      END_STATE();
    case 149:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(217);
      END_STATE();
    case 150:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(218);
      END_STATE();
    case 151:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(219);
      END_STATE();
    case 152:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(220);
      END_STATE();
    case 153:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(221);
      END_STATE();
    case 154:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(222);
      END_STATE();
    case 155:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(223);
      END_STATE();
    case 156:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(224);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(225);
      END_STATE();
    case 157:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(226);
      END_STATE();
    case 158:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(227);
      END_STATE();
    case 159:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(228);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(aux_sym_binary_expression_token4);
      END_STATE();
    case 161:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(229);
      END_STATE();
    case 162:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(230);
      END_STATE();
    case 163:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(231);
      END_STATE();
    case 164:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(232);
      END_STATE();
    case 165:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(233);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(aux_sym_echo_statement_token1);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(aux_sym_else_clause_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(234);
      END_STATE();
    case 168:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(235);
      END_STATE();
    case 169:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(236);
      END_STATE();
    case 170:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(237);
      END_STATE();
    case 171:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(238);
      END_STATE();
    case 172:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(239);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(aux_sym_enum_declaration_token1);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(aux_sym_exit_statement_token1);
      END_STATE();
    case 175:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(240);
      END_STATE();
    case 176:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(241);
      END_STATE();
    case 177:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(242);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(aux_sym_yield_expression_token2);
      END_STATE();
    case 179:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(243);
      END_STATE();
    case 180:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(244);
      END_STATE();
    case 181:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(245);
      END_STATE();
    case 182:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(246);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(247);
      END_STATE();
    case 183:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(248);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(249);
      END_STATE();
    case 184:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(250);
      END_STATE();
    case 185:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(251);
      END_STATE();
    case 186:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(252);
      END_STATE();
    case 187:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(253);
      END_STATE();
    case 188:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(254);
      END_STATE();
    case 189:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(255);
      END_STATE();
    case 190:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(256);
      END_STATE();
    case 191:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(257);
      END_STATE();
    case 192:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(258);
      END_STATE();
    case 193:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(259);
      END_STATE();
    case 194:
      if (lookahead == 'y') ADVANCE(260);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_bool);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(232);
      END_STATE();
    case 196:
      if (lookahead == 'd') ADVANCE(261);
      END_STATE();
    case 197:
      if (lookahead == 'e') ADVANCE(262);
      END_STATE();
    case 198:
      if (lookahead == 't') ADVANCE(263);
      END_STATE();
    case 199:
      if (lookahead == 'a') ADVANCE(264);
      END_STATE();
    case 200:
      if (lookahead == 'd') ADVANCE(265);
      END_STATE();
    case 201:
      if (lookahead == 'r') ADVANCE(266);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_null);
      END_STATE();
    case 203:
      if (lookahead == 'n') ADVANCE(267);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_self);
      END_STATE();
    case 205:
      if (lookahead == 'c') ADVANCE(268);
      if (lookahead == 'n') ADVANCE(269);
      END_STATE();
    case 206:
      if (lookahead == 's') ADVANCE(270);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 208:
      if (lookahead == 't') ADVANCE(271);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 210:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(272);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(aux_sym_enum_case_token1);
      END_STATE();
    case 212:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(273);
      END_STATE();
    case 213:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(274);
      END_STATE();
    case 214:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(275);
      END_STATE();
    case 215:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(276);
      END_STATE();
    case 216:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(277);
      END_STATE();
    case 217:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(278);
      END_STATE();
    case 218:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(279);
      END_STATE();
    case 219:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(280);
      END_STATE();
    case 220:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(281);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(aux_sym_goto_statement_token1);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(aux_sym__list_destructing_token1);
      END_STATE();
    case 223:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(282);
      END_STATE();
    case 224:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(283);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(aux_sym_cast_type_token10);
      END_STATE();
    case 226:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(284);
      END_STATE();
    case 227:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(285);
      END_STATE();
    case 228:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(286);
      END_STATE();
    case 229:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(287);
      END_STATE();
    case 230:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(288);
      END_STATE();
    case 231:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(289);
      END_STATE();
    case 232:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(290);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(aux_sym_break_statement_token1);
      END_STATE();
    case 234:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(291);
      END_STATE();
    case 235:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(292);
      END_STATE();
    case 236:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(293);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(aux_sym_if_statement_token2);
      END_STATE();
    case 238:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(294);
      END_STATE();
    case 239:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(295);
      END_STATE();
    case 240:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(296);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(aux_sym_final_modifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(297);
      END_STATE();
    case 242:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(298);
      END_STATE();
    case 243:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(299);
      END_STATE();
    case 244:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(300);
      END_STATE();
    case 245:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(301);
      END_STATE();
    case 246:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(302);
      END_STATE();
    case 247:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(303);
      END_STATE();
    case 248:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(304);
      END_STATE();
    case 249:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(305);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(aux_sym_match_expression_token1);
      END_STATE();
    case 251:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(306);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(aux_sym_print_intrinsic_token1);
      END_STATE();
    case 253:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(307);
      END_STATE();
    case 254:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(308);
      END_STATE();
    case 255:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(309);
      END_STATE();
    case 256:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(310);
      END_STATE();
    case 257:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(311);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(aux_sym_throw_expression_token1);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(aux_sym_trait_declaration_token1);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym_array);
      END_STATE();
    case 261:
      if (lookahead == 'i') ADVANCE(312);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(anon_sym_float);
      END_STATE();
    case 264:
      if (lookahead == 'b') ADVANCE(313);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(anon_sym_mixed);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(sym_bottom_type);
      END_STATE();
    case 267:
      if (lookahead == 't') ADVANCE(314);
      END_STATE();
    case 268:
      if (lookahead == 't') ADVANCE(315);
      END_STATE();
    case 269:
      if (lookahead == 'g') ADVANCE(316);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(anon_sym_ticks);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(anon_sym_unset);
      END_STATE();
    case 272:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(317);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(aux_sym_catch_clause_token1);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(aux_sym_class_declaration_token1);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(aux_sym_clone_expression_token1);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(aux_sym__namespace_use_type_token2);
      END_STATE();
    case 277:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(318);
      END_STATE();
    case 278:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(319);
      END_STATE();
    case 279:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(320);
      END_STATE();
    case 280:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(321);
      END_STATE();
    case 281:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(322);
      END_STATE();
    case 282:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(323);
      END_STATE();
    case 283:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(324);
      END_STATE();
    case 284:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(325);
      END_STATE();
    case 285:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(326);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(aux_sym_while_statement_token1);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(aux_sym_yield_expression_token1);
      END_STATE();
    case 288:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(327);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(aux_sym_cast_type_token2);
      END_STATE();
    case 290:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(328);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(aux_sym_else_if_clause_token1);
      END_STATE();
    case 292:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(329);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(aux_sym_for_statement_token2);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(330);
      END_STATE();
    case 294:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(331);
      END_STATE();
    case 295:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(332);
      END_STATE();
    case 296:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(333);
      END_STATE();
    case 297:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(334);
      END_STATE();
    case 298:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(335);
      END_STATE();
    case 299:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(336);
      END_STATE();
    case 300:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(337);
      END_STATE();
    case 301:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(338);
      END_STATE();
    case 302:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(339);
      END_STATE();
    case 303:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(340);
      END_STATE();
    case 304:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(341);
      END_STATE();
    case 305:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(342);
      END_STATE();
    case 306:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(343);
      END_STATE();
    case 307:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(344);
      END_STATE();
    case 308:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(345);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token1);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(aux_sym_function_static_declaration_token1);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(aux_sym_switch_statement_token1);
      END_STATE();
    case 312:
      if (lookahead == 'n') ADVANCE(346);
      END_STATE();
    case 313:
      if (lookahead == 'l') ADVANCE(347);
      END_STATE();
    case 314:
      ACCEPT_TOKEN(anon_sym_parent);
      END_STATE();
    case 315:
      if (lookahead == '_') ADVANCE(348);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(anon_sym_string);
      END_STATE();
    case 317:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(349);
      END_STATE();
    case 318:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(350);
      END_STATE();
    case 319:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(351);
      END_STATE();
    case 320:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(352);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(aux_sym_cast_type_token5);
      END_STATE();
    case 322:
      ACCEPT_TOKEN(aux_sym_global_declaration_token1);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(aux_sym_cast_type_token9);
      END_STATE();
    case 324:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(353);
      END_STATE();
    case 325:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(354);
      END_STATE();
    case 326:
      ACCEPT_TOKEN(aux_sym_return_statement_token1);
      END_STATE();
    case 327:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(355);
      END_STATE();
    case 328:
      ACCEPT_TOKEN(aux_sym_cast_type_token4);
      END_STATE();
    case 329:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(356);
      END_STATE();
    case 330:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(357);
      END_STATE();
    case 331:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(358);
      END_STATE();
    case 332:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(359);
      END_STATE();
    case 333:
      ACCEPT_TOKEN(aux_sym_base_clause_token1);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(aux_sym_finally_clause_token1);
      END_STATE();
    case 335:
      ACCEPT_TOKEN(aux_sym_foreach_statement_token1);
      END_STATE();
    case 336:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(360);
      END_STATE();
    case 337:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(361);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(aux_sym_include_expression_token1);
      if (lookahead == '_') ADVANCE(362);
      END_STATE();
    case 339:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(363);
      END_STATE();
    case 340:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(364);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(aux_sym_cast_type_token7);
      END_STATE();
    case 342:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(365);
      END_STATE();
    case 343:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(366);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token3);
      END_STATE();
    case 345:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(367);
      END_STATE();
    case 346:
      if (lookahead == 'g') ADVANCE(368);
      END_STATE();
    case 347:
      if (lookahead == 'e') ADVANCE(369);
      END_STATE();
    case 348:
      if (lookahead == 't') ADVANCE(370);
      END_STATE();
    case 349:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(371);
      END_STATE();
    case 350:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(372);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(aux_sym_declare_statement_token1);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(aux_sym_match_default_expression_token1);
      END_STATE();
    case 353:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(373);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(aux_sym_require_expression_token1);
      if (lookahead == '_') ADVANCE(374);
      END_STATE();
    case 355:
      ACCEPT_TOKEN(aux_sym_abstract_modifier_token1);
      END_STATE();
    case 356:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(375);
      END_STATE();
    case 357:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(376);
      END_STATE();
    case 358:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(377);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(aux_sym_while_statement_token2);
      END_STATE();
    case 360:
      ACCEPT_TOKEN(aux_sym__namespace_use_type_token1);
      END_STATE();
    case 361:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(378);
      END_STATE();
    case 362:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(379);
      END_STATE();
    case 363:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(380);
      END_STATE();
    case 364:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(381);
      END_STATE();
    case 365:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(382);
      END_STATE();
    case 366:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(383);
      END_STATE();
    case 367:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(384);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(anon_sym_encoding);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(anon_sym_iterable);
      END_STATE();
    case 370:
      if (lookahead == 'y') ADVANCE(385);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(aux_sym_primitive_type_token1);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(aux_sym_continue_statement_token1);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(aux_sym_readonly_modifier_token1);
      END_STATE();
    case 374:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(386);
      END_STATE();
    case 375:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(387);
      END_STATE();
    case 376:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(388);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(aux_sym_switch_block_token1);
      END_STATE();
    case 378:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(389);
      END_STATE();
    case 379:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(390);
      END_STATE();
    case 380:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(391);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(aux_sym_use_instead_of_clause_token1);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(aux_sym_interface_declaration_token1);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(aux_sym_namespace_definition_token1);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token2);
      END_STATE();
    case 385:
      if (lookahead == 'p') ADVANCE(392);
      END_STATE();
    case 386:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(393);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(aux_sym_declare_statement_token2);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(aux_sym_foreach_statement_token2);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(aux_sym_class_interface_clause_token1);
      END_STATE();
    case 390:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(394);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(aux_sym_binary_expression_token1);
      END_STATE();
    case 392:
      if (lookahead == 'e') ADVANCE(395);
      END_STATE();
    case 393:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(396);
      END_STATE();
    case 394:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(397);
      END_STATE();
    case 395:
      if (lookahead == 's') ADVANCE(398);
      END_STATE();
    case 396:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(399);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(aux_sym_include_once_expression_token1);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(anon_sym_strict_types);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(aux_sym_require_once_expression_token1);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 64},
  [2] = {.lex_state = 64},
  [3] = {.lex_state = 64},
  [4] = {.lex_state = 64},
  [5] = {.lex_state = 64},
  [6] = {.lex_state = 64},
  [7] = {.lex_state = 64},
  [8] = {.lex_state = 64, .external_lex_state = 2},
  [9] = {.lex_state = 64, .external_lex_state = 2},
  [10] = {.lex_state = 64},
  [11] = {.lex_state = 64, .external_lex_state = 2},
  [12] = {.lex_state = 64},
  [13] = {.lex_state = 64},
  [14] = {.lex_state = 64},
  [15] = {.lex_state = 64, .external_lex_state = 2},
  [16] = {.lex_state = 64, .external_lex_state = 2},
  [17] = {.lex_state = 64, .external_lex_state = 2},
  [18] = {.lex_state = 64, .external_lex_state = 2},
  [19] = {.lex_state = 64, .external_lex_state = 2},
  [20] = {.lex_state = 64, .external_lex_state = 2},
  [21] = {.lex_state = 64, .external_lex_state = 2},
  [22] = {.lex_state = 64, .external_lex_state = 2},
  [23] = {.lex_state = 64, .external_lex_state = 2},
  [24] = {.lex_state = 64, .external_lex_state = 2},
  [25] = {.lex_state = 64, .external_lex_state = 2},
  [26] = {.lex_state = 64, .external_lex_state = 2},
  [27] = {.lex_state = 64, .external_lex_state = 2},
  [28] = {.lex_state = 64, .external_lex_state = 2},
  [29] = {.lex_state = 64, .external_lex_state = 2},
  [30] = {.lex_state = 64},
  [31] = {.lex_state = 64, .external_lex_state = 2},
  [32] = {.lex_state = 64},
  [33] = {.lex_state = 64, .external_lex_state = 2},
  [34] = {.lex_state = 64, .external_lex_state = 2},
  [35] = {.lex_state = 64, .external_lex_state = 2},
  [36] = {.lex_state = 64, .external_lex_state = 2},
  [37] = {.lex_state = 64, .external_lex_state = 2},
  [38] = {.lex_state = 64, .external_lex_state = 2},
  [39] = {.lex_state = 64, .external_lex_state = 2},
  [40] = {.lex_state = 64, .external_lex_state = 2},
  [41] = {.lex_state = 64, .external_lex_state = 2},
  [42] = {.lex_state = 64, .external_lex_state = 2},
  [43] = {.lex_state = 64, .external_lex_state = 2},
  [44] = {.lex_state = 64, .external_lex_state = 2},
  [45] = {.lex_state = 64, .external_lex_state = 2},
  [46] = {.lex_state = 64, .external_lex_state = 2},
  [47] = {.lex_state = 64, .external_lex_state = 2},
  [48] = {.lex_state = 64, .external_lex_state = 2},
  [49] = {.lex_state = 64, .external_lex_state = 2},
  [50] = {.lex_state = 64, .external_lex_state = 2},
  [51] = {.lex_state = 64, .external_lex_state = 2},
  [52] = {.lex_state = 64, .external_lex_state = 2},
  [53] = {.lex_state = 64, .external_lex_state = 2},
  [54] = {.lex_state = 64},
  [55] = {.lex_state = 64},
  [56] = {.lex_state = 64},
  [57] = {.lex_state = 64},
  [58] = {.lex_state = 64},
  [59] = {.lex_state = 64},
  [60] = {.lex_state = 64},
  [61] = {.lex_state = 64},
  [62] = {.lex_state = 64},
  [63] = {.lex_state = 64},
  [64] = {.lex_state = 64},
  [65] = {.lex_state = 64},
  [66] = {.lex_state = 64},
  [67] = {.lex_state = 64},
  [68] = {.lex_state = 64},
  [69] = {.lex_state = 64},
  [70] = {.lex_state = 64},
  [71] = {.lex_state = 64},
  [72] = {.lex_state = 64},
  [73] = {.lex_state = 64},
  [74] = {.lex_state = 64},
  [75] = {.lex_state = 64},
  [76] = {.lex_state = 64},
  [77] = {.lex_state = 64},
  [78] = {.lex_state = 64},
  [79] = {.lex_state = 64},
  [80] = {.lex_state = 64},
  [81] = {.lex_state = 64},
  [82] = {.lex_state = 64},
  [83] = {.lex_state = 64},
  [84] = {.lex_state = 64},
  [85] = {.lex_state = 64},
  [86] = {.lex_state = 64},
  [87] = {.lex_state = 64},
  [88] = {.lex_state = 64},
  [89] = {.lex_state = 64},
  [90] = {.lex_state = 64},
  [91] = {.lex_state = 64},
  [92] = {.lex_state = 64},
  [93] = {.lex_state = 64},
  [94] = {.lex_state = 64},
  [95] = {.lex_state = 64},
  [96] = {.lex_state = 64},
  [97] = {.lex_state = 64},
  [98] = {.lex_state = 64},
  [99] = {.lex_state = 64},
  [100] = {.lex_state = 64},
  [101] = {.lex_state = 64},
  [102] = {.lex_state = 64},
  [103] = {.lex_state = 64},
  [104] = {.lex_state = 64},
  [105] = {.lex_state = 64},
  [106] = {.lex_state = 64},
  [107] = {.lex_state = 64},
  [108] = {.lex_state = 64},
  [109] = {.lex_state = 64},
  [110] = {.lex_state = 64},
  [111] = {.lex_state = 64},
  [112] = {.lex_state = 64},
  [113] = {.lex_state = 64},
  [114] = {.lex_state = 64},
  [115] = {.lex_state = 64},
  [116] = {.lex_state = 64},
  [117] = {.lex_state = 5},
  [118] = {.lex_state = 5},
  [119] = {.lex_state = 5, .external_lex_state = 2},
  [120] = {.lex_state = 5},
  [121] = {.lex_state = 7},
  [122] = {.lex_state = 7},
  [123] = {.lex_state = 7},
  [124] = {.lex_state = 7},
  [125] = {.lex_state = 7},
  [126] = {.lex_state = 7},
  [127] = {.lex_state = 7},
  [128] = {.lex_state = 7},
  [129] = {.lex_state = 7},
  [130] = {.lex_state = 7},
  [131] = {.lex_state = 7},
  [132] = {.lex_state = 6},
  [133] = {.lex_state = 6},
  [134] = {.lex_state = 6},
  [135] = {.lex_state = 6},
  [136] = {.lex_state = 6},
  [137] = {.lex_state = 6},
  [138] = {.lex_state = 6},
  [139] = {.lex_state = 6},
  [140] = {.lex_state = 6},
  [141] = {.lex_state = 6},
  [142] = {.lex_state = 6},
  [143] = {.lex_state = 6},
  [144] = {.lex_state = 6},
  [145] = {.lex_state = 6},
  [146] = {.lex_state = 6},
  [147] = {.lex_state = 6},
  [148] = {.lex_state = 6},
  [149] = {.lex_state = 6},
  [150] = {.lex_state = 6},
  [151] = {.lex_state = 6},
  [152] = {.lex_state = 6},
  [153] = {.lex_state = 6},
  [154] = {.lex_state = 6},
  [155] = {.lex_state = 6},
  [156] = {.lex_state = 6},
  [157] = {.lex_state = 6},
  [158] = {.lex_state = 6},
  [159] = {.lex_state = 6},
  [160] = {.lex_state = 6},
  [161] = {.lex_state = 6},
  [162] = {.lex_state = 64},
  [163] = {.lex_state = 6},
  [164] = {.lex_state = 64},
  [165] = {.lex_state = 6},
  [166] = {.lex_state = 6},
  [167] = {.lex_state = 6},
  [168] = {.lex_state = 6},
  [169] = {.lex_state = 6},
  [170] = {.lex_state = 64},
  [171] = {.lex_state = 64},
  [172] = {.lex_state = 64},
  [173] = {.lex_state = 64},
  [174] = {.lex_state = 64},
  [175] = {.lex_state = 64},
  [176] = {.lex_state = 64},
  [177] = {.lex_state = 64},
  [178] = {.lex_state = 6},
  [179] = {.lex_state = 6},
  [180] = {.lex_state = 64},
  [181] = {.lex_state = 64},
  [182] = {.lex_state = 64},
  [183] = {.lex_state = 64},
  [184] = {.lex_state = 64},
  [185] = {.lex_state = 6},
  [186] = {.lex_state = 64},
  [187] = {.lex_state = 64},
  [188] = {.lex_state = 64},
  [189] = {.lex_state = 64},
  [190] = {.lex_state = 64},
  [191] = {.lex_state = 64},
  [192] = {.lex_state = 64, .external_lex_state = 2},
  [193] = {.lex_state = 64, .external_lex_state = 2},
  [194] = {.lex_state = 64, .external_lex_state = 2},
  [195] = {.lex_state = 64, .external_lex_state = 2},
  [196] = {.lex_state = 64},
  [197] = {.lex_state = 64},
  [198] = {.lex_state = 64},
  [199] = {.lex_state = 64},
  [200] = {.lex_state = 64, .external_lex_state = 2},
  [201] = {.lex_state = 64},
  [202] = {.lex_state = 64},
  [203] = {.lex_state = 64},
  [204] = {.lex_state = 64},
  [205] = {.lex_state = 64},
  [206] = {.lex_state = 64},
  [207] = {.lex_state = 64},
  [208] = {.lex_state = 64},
  [209] = {.lex_state = 64},
  [210] = {.lex_state = 64},
  [211] = {.lex_state = 64},
  [212] = {.lex_state = 64},
  [213] = {.lex_state = 64},
  [214] = {.lex_state = 64},
  [215] = {.lex_state = 64},
  [216] = {.lex_state = 64},
  [217] = {.lex_state = 64, .external_lex_state = 2},
  [218] = {.lex_state = 64},
  [219] = {.lex_state = 64},
  [220] = {.lex_state = 64},
  [221] = {.lex_state = 64},
  [222] = {.lex_state = 6},
  [223] = {.lex_state = 64},
  [224] = {.lex_state = 64},
  [225] = {.lex_state = 64},
  [226] = {.lex_state = 64},
  [227] = {.lex_state = 64},
  [228] = {.lex_state = 64},
  [229] = {.lex_state = 64},
  [230] = {.lex_state = 64},
  [231] = {.lex_state = 64},
  [232] = {.lex_state = 6},
  [233] = {.lex_state = 64},
  [234] = {.lex_state = 64},
  [235] = {.lex_state = 64},
  [236] = {.lex_state = 64},
  [237] = {.lex_state = 64},
  [238] = {.lex_state = 64},
  [239] = {.lex_state = 64},
  [240] = {.lex_state = 64},
  [241] = {.lex_state = 64},
  [242] = {.lex_state = 64},
  [243] = {.lex_state = 64},
  [244] = {.lex_state = 64},
  [245] = {.lex_state = 64},
  [246] = {.lex_state = 64},
  [247] = {.lex_state = 64},
  [248] = {.lex_state = 64},
  [249] = {.lex_state = 64},
  [250] = {.lex_state = 64},
  [251] = {.lex_state = 64},
  [252] = {.lex_state = 64},
  [253] = {.lex_state = 64},
  [254] = {.lex_state = 64},
  [255] = {.lex_state = 64},
  [256] = {.lex_state = 64},
  [257] = {.lex_state = 64},
  [258] = {.lex_state = 64},
  [259] = {.lex_state = 64},
  [260] = {.lex_state = 64},
  [261] = {.lex_state = 64},
  [262] = {.lex_state = 64},
  [263] = {.lex_state = 64},
  [264] = {.lex_state = 64},
  [265] = {.lex_state = 64},
  [266] = {.lex_state = 64},
  [267] = {.lex_state = 64},
  [268] = {.lex_state = 64},
  [269] = {.lex_state = 64},
  [270] = {.lex_state = 64},
  [271] = {.lex_state = 64},
  [272] = {.lex_state = 64},
  [273] = {.lex_state = 64},
  [274] = {.lex_state = 64},
  [275] = {.lex_state = 64},
  [276] = {.lex_state = 64},
  [277] = {.lex_state = 64},
  [278] = {.lex_state = 64},
  [279] = {.lex_state = 64},
  [280] = {.lex_state = 64},
  [281] = {.lex_state = 64},
  [282] = {.lex_state = 64},
  [283] = {.lex_state = 64},
  [284] = {.lex_state = 64},
  [285] = {.lex_state = 64},
  [286] = {.lex_state = 64},
  [287] = {.lex_state = 64},
  [288] = {.lex_state = 64},
  [289] = {.lex_state = 64},
  [290] = {.lex_state = 64},
  [291] = {.lex_state = 64},
  [292] = {.lex_state = 64},
  [293] = {.lex_state = 64},
  [294] = {.lex_state = 64},
  [295] = {.lex_state = 64},
  [296] = {.lex_state = 64},
  [297] = {.lex_state = 64},
  [298] = {.lex_state = 64},
  [299] = {.lex_state = 64},
  [300] = {.lex_state = 64},
  [301] = {.lex_state = 64},
  [302] = {.lex_state = 64},
  [303] = {.lex_state = 64},
  [304] = {.lex_state = 64},
  [305] = {.lex_state = 64},
  [306] = {.lex_state = 64},
  [307] = {.lex_state = 64},
  [308] = {.lex_state = 64},
  [309] = {.lex_state = 64},
  [310] = {.lex_state = 64},
  [311] = {.lex_state = 64},
  [312] = {.lex_state = 64},
  [313] = {.lex_state = 64},
  [314] = {.lex_state = 64},
  [315] = {.lex_state = 64},
  [316] = {.lex_state = 64},
  [317] = {.lex_state = 64},
  [318] = {.lex_state = 64},
  [319] = {.lex_state = 64},
  [320] = {.lex_state = 64},
  [321] = {.lex_state = 64},
  [322] = {.lex_state = 64},
  [323] = {.lex_state = 64},
  [324] = {.lex_state = 64},
  [325] = {.lex_state = 64},
  [326] = {.lex_state = 64},
  [327] = {.lex_state = 64},
  [328] = {.lex_state = 64},
  [329] = {.lex_state = 64},
  [330] = {.lex_state = 64},
  [331] = {.lex_state = 64},
  [332] = {.lex_state = 64},
  [333] = {.lex_state = 64},
  [334] = {.lex_state = 64},
  [335] = {.lex_state = 64},
  [336] = {.lex_state = 64},
  [337] = {.lex_state = 64},
  [338] = {.lex_state = 64},
  [339] = {.lex_state = 64},
  [340] = {.lex_state = 64},
  [341] = {.lex_state = 64},
  [342] = {.lex_state = 64},
  [343] = {.lex_state = 64},
  [344] = {.lex_state = 64},
  [345] = {.lex_state = 64},
  [346] = {.lex_state = 64},
  [347] = {.lex_state = 64},
  [348] = {.lex_state = 64},
  [349] = {.lex_state = 64},
  [350] = {.lex_state = 64},
  [351] = {.lex_state = 64},
  [352] = {.lex_state = 64},
  [353] = {.lex_state = 64},
  [354] = {.lex_state = 64},
  [355] = {.lex_state = 64},
  [356] = {.lex_state = 64},
  [357] = {.lex_state = 64},
  [358] = {.lex_state = 64},
  [359] = {.lex_state = 64},
  [360] = {.lex_state = 64},
  [361] = {.lex_state = 64},
  [362] = {.lex_state = 64},
  [363] = {.lex_state = 64},
  [364] = {.lex_state = 64},
  [365] = {.lex_state = 64},
  [366] = {.lex_state = 64},
  [367] = {.lex_state = 64},
  [368] = {.lex_state = 64},
  [369] = {.lex_state = 64},
  [370] = {.lex_state = 64},
  [371] = {.lex_state = 64},
  [372] = {.lex_state = 64},
  [373] = {.lex_state = 64},
  [374] = {.lex_state = 64},
  [375] = {.lex_state = 64},
  [376] = {.lex_state = 64},
  [377] = {.lex_state = 64},
  [378] = {.lex_state = 64},
  [379] = {.lex_state = 64},
  [380] = {.lex_state = 64},
  [381] = {.lex_state = 64},
  [382] = {.lex_state = 64},
  [383] = {.lex_state = 64},
  [384] = {.lex_state = 64},
  [385] = {.lex_state = 64},
  [386] = {.lex_state = 64},
  [387] = {.lex_state = 64},
  [388] = {.lex_state = 64},
  [389] = {.lex_state = 64},
  [390] = {.lex_state = 64},
  [391] = {.lex_state = 64},
  [392] = {.lex_state = 64},
  [393] = {.lex_state = 64},
  [394] = {.lex_state = 64},
  [395] = {.lex_state = 64},
  [396] = {.lex_state = 64},
  [397] = {.lex_state = 64},
  [398] = {.lex_state = 64},
  [399] = {.lex_state = 64},
  [400] = {.lex_state = 64},
  [401] = {.lex_state = 64},
  [402] = {.lex_state = 64},
  [403] = {.lex_state = 64},
  [404] = {.lex_state = 64},
  [405] = {.lex_state = 64},
  [406] = {.lex_state = 64},
  [407] = {.lex_state = 64},
  [408] = {.lex_state = 64},
  [409] = {.lex_state = 64},
  [410] = {.lex_state = 64},
  [411] = {.lex_state = 64},
  [412] = {.lex_state = 64},
  [413] = {.lex_state = 64},
  [414] = {.lex_state = 64},
  [415] = {.lex_state = 64},
  [416] = {.lex_state = 64},
  [417] = {.lex_state = 64},
  [418] = {.lex_state = 64},
  [419] = {.lex_state = 64},
  [420] = {.lex_state = 64},
  [421] = {.lex_state = 64},
  [422] = {.lex_state = 64},
  [423] = {.lex_state = 64},
  [424] = {.lex_state = 64},
  [425] = {.lex_state = 64},
  [426] = {.lex_state = 64},
  [427] = {.lex_state = 64},
  [428] = {.lex_state = 64},
  [429] = {.lex_state = 64},
  [430] = {.lex_state = 64},
  [431] = {.lex_state = 64},
  [432] = {.lex_state = 64},
  [433] = {.lex_state = 64},
  [434] = {.lex_state = 64},
  [435] = {.lex_state = 64},
  [436] = {.lex_state = 64},
  [437] = {.lex_state = 64},
  [438] = {.lex_state = 64},
  [439] = {.lex_state = 64},
  [440] = {.lex_state = 64},
  [441] = {.lex_state = 64},
  [442] = {.lex_state = 64},
  [443] = {.lex_state = 64},
  [444] = {.lex_state = 64},
  [445] = {.lex_state = 64},
  [446] = {.lex_state = 64},
  [447] = {.lex_state = 64},
  [448] = {.lex_state = 64},
  [449] = {.lex_state = 64},
  [450] = {.lex_state = 64},
  [451] = {.lex_state = 64},
  [452] = {.lex_state = 64},
  [453] = {.lex_state = 64},
  [454] = {.lex_state = 64},
  [455] = {.lex_state = 64},
  [456] = {.lex_state = 64},
  [457] = {.lex_state = 64},
  [458] = {.lex_state = 64},
  [459] = {.lex_state = 64},
  [460] = {.lex_state = 64},
  [461] = {.lex_state = 64},
  [462] = {.lex_state = 64},
  [463] = {.lex_state = 64},
  [464] = {.lex_state = 64},
  [465] = {.lex_state = 64},
  [466] = {.lex_state = 64},
  [467] = {.lex_state = 64},
  [468] = {.lex_state = 64},
  [469] = {.lex_state = 64},
  [470] = {.lex_state = 64},
  [471] = {.lex_state = 64},
  [472] = {.lex_state = 64},
  [473] = {.lex_state = 64},
  [474] = {.lex_state = 64},
  [475] = {.lex_state = 64},
  [476] = {.lex_state = 64},
  [477] = {.lex_state = 64},
  [478] = {.lex_state = 64},
  [479] = {.lex_state = 64},
  [480] = {.lex_state = 64},
  [481] = {.lex_state = 64},
  [482] = {.lex_state = 64},
  [483] = {.lex_state = 64},
  [484] = {.lex_state = 64},
  [485] = {.lex_state = 64},
  [486] = {.lex_state = 64},
  [487] = {.lex_state = 64},
  [488] = {.lex_state = 64},
  [489] = {.lex_state = 64},
  [490] = {.lex_state = 64},
  [491] = {.lex_state = 64},
  [492] = {.lex_state = 64},
  [493] = {.lex_state = 64},
  [494] = {.lex_state = 64},
  [495] = {.lex_state = 64},
  [496] = {.lex_state = 64},
  [497] = {.lex_state = 64},
  [498] = {.lex_state = 64},
  [499] = {.lex_state = 64},
  [500] = {.lex_state = 64},
  [501] = {.lex_state = 64},
  [502] = {.lex_state = 64},
  [503] = {.lex_state = 64},
  [504] = {.lex_state = 64},
  [505] = {.lex_state = 64},
  [506] = {.lex_state = 64},
  [507] = {.lex_state = 64},
  [508] = {.lex_state = 64},
  [509] = {.lex_state = 64},
  [510] = {.lex_state = 64},
  [511] = {.lex_state = 64},
  [512] = {.lex_state = 64},
  [513] = {.lex_state = 64},
  [514] = {.lex_state = 64},
  [515] = {.lex_state = 64},
  [516] = {.lex_state = 64},
  [517] = {.lex_state = 64},
  [518] = {.lex_state = 64},
  [519] = {.lex_state = 64},
  [520] = {.lex_state = 64},
  [521] = {.lex_state = 64},
  [522] = {.lex_state = 64},
  [523] = {.lex_state = 64},
  [524] = {.lex_state = 64},
  [525] = {.lex_state = 64},
  [526] = {.lex_state = 64},
  [527] = {.lex_state = 64},
  [528] = {.lex_state = 64},
  [529] = {.lex_state = 64},
  [530] = {.lex_state = 64},
  [531] = {.lex_state = 64},
  [532] = {.lex_state = 64},
  [533] = {.lex_state = 64},
  [534] = {.lex_state = 64},
  [535] = {.lex_state = 64},
  [536] = {.lex_state = 64},
  [537] = {.lex_state = 64},
  [538] = {.lex_state = 64},
  [539] = {.lex_state = 64},
  [540] = {.lex_state = 64},
  [541] = {.lex_state = 64},
  [542] = {.lex_state = 64},
  [543] = {.lex_state = 64},
  [544] = {.lex_state = 64},
  [545] = {.lex_state = 64},
  [546] = {.lex_state = 64},
  [547] = {.lex_state = 64},
  [548] = {.lex_state = 64},
  [549] = {.lex_state = 64},
  [550] = {.lex_state = 64},
  [551] = {.lex_state = 64},
  [552] = {.lex_state = 64},
  [553] = {.lex_state = 64},
  [554] = {.lex_state = 64},
  [555] = {.lex_state = 64},
  [556] = {.lex_state = 64},
  [557] = {.lex_state = 64},
  [558] = {.lex_state = 64},
  [559] = {.lex_state = 64},
  [560] = {.lex_state = 64},
  [561] = {.lex_state = 64},
  [562] = {.lex_state = 64},
  [563] = {.lex_state = 64},
  [564] = {.lex_state = 64},
  [565] = {.lex_state = 64},
  [566] = {.lex_state = 64},
  [567] = {.lex_state = 64},
  [568] = {.lex_state = 64},
  [569] = {.lex_state = 64},
  [570] = {.lex_state = 64},
  [571] = {.lex_state = 64},
  [572] = {.lex_state = 64},
  [573] = {.lex_state = 64},
  [574] = {.lex_state = 64},
  [575] = {.lex_state = 64},
  [576] = {.lex_state = 64},
  [577] = {.lex_state = 64},
  [578] = {.lex_state = 64},
  [579] = {.lex_state = 64},
  [580] = {.lex_state = 64},
  [581] = {.lex_state = 64},
  [582] = {.lex_state = 64},
  [583] = {.lex_state = 64},
  [584] = {.lex_state = 65},
  [585] = {.lex_state = 65},
  [586] = {.lex_state = 65},
  [587] = {.lex_state = 65},
  [588] = {.lex_state = 65},
  [589] = {.lex_state = 65},
  [590] = {.lex_state = 65},
  [591] = {.lex_state = 65},
  [592] = {.lex_state = 65},
  [593] = {.lex_state = 65},
  [594] = {.lex_state = 65},
  [595] = {.lex_state = 65},
  [596] = {.lex_state = 65},
  [597] = {.lex_state = 65},
  [598] = {.lex_state = 65},
  [599] = {.lex_state = 65},
  [600] = {.lex_state = 65},
  [601] = {.lex_state = 65},
  [602] = {.lex_state = 65},
  [603] = {.lex_state = 65},
  [604] = {.lex_state = 65},
  [605] = {.lex_state = 65},
  [606] = {.lex_state = 65},
  [607] = {.lex_state = 65},
  [608] = {.lex_state = 65},
  [609] = {.lex_state = 65},
  [610] = {.lex_state = 65},
  [611] = {.lex_state = 65},
  [612] = {.lex_state = 65},
  [613] = {.lex_state = 65},
  [614] = {.lex_state = 65},
  [615] = {.lex_state = 14},
  [616] = {.lex_state = 14},
  [617] = {.lex_state = 14},
  [618] = {.lex_state = 14},
  [619] = {.lex_state = 14},
  [620] = {.lex_state = 65, .external_lex_state = 2},
  [621] = {.lex_state = 65, .external_lex_state = 2},
  [622] = {.lex_state = 65},
  [623] = {.lex_state = 14},
  [624] = {.lex_state = 65},
  [625] = {.lex_state = 65, .external_lex_state = 2},
  [626] = {.lex_state = 65, .external_lex_state = 2},
  [627] = {.lex_state = 65, .external_lex_state = 2},
  [628] = {.lex_state = 65},
  [629] = {.lex_state = 65},
  [630] = {.lex_state = 65, .external_lex_state = 2},
  [631] = {.lex_state = 65, .external_lex_state = 2},
  [632] = {.lex_state = 65, .external_lex_state = 2},
  [633] = {.lex_state = 65, .external_lex_state = 2},
  [634] = {.lex_state = 65, .external_lex_state = 2},
  [635] = {.lex_state = 65, .external_lex_state = 2},
  [636] = {.lex_state = 65, .external_lex_state = 2},
  [637] = {.lex_state = 65, .external_lex_state = 2},
  [638] = {.lex_state = 65, .external_lex_state = 2},
  [639] = {.lex_state = 65, .external_lex_state = 2},
  [640] = {.lex_state = 65, .external_lex_state = 2},
  [641] = {.lex_state = 65, .external_lex_state = 2},
  [642] = {.lex_state = 65, .external_lex_state = 2},
  [643] = {.lex_state = 65, .external_lex_state = 2},
  [644] = {.lex_state = 65, .external_lex_state = 2},
  [645] = {.lex_state = 65, .external_lex_state = 2},
  [646] = {.lex_state = 65, .external_lex_state = 2},
  [647] = {.lex_state = 65, .external_lex_state = 2},
  [648] = {.lex_state = 65, .external_lex_state = 2},
  [649] = {.lex_state = 65, .external_lex_state = 2},
  [650] = {.lex_state = 65, .external_lex_state = 2},
  [651] = {.lex_state = 65, .external_lex_state = 2},
  [652] = {.lex_state = 14},
  [653] = {.lex_state = 14},
  [654] = {.lex_state = 14},
  [655] = {.lex_state = 65},
  [656] = {.lex_state = 65, .external_lex_state = 2},
  [657] = {.lex_state = 65, .external_lex_state = 2},
  [658] = {.lex_state = 14},
  [659] = {.lex_state = 65},
  [660] = {.lex_state = 65, .external_lex_state = 2},
  [661] = {.lex_state = 65},
  [662] = {.lex_state = 65},
  [663] = {.lex_state = 65, .external_lex_state = 2},
  [664] = {.lex_state = 65, .external_lex_state = 2},
  [665] = {.lex_state = 65, .external_lex_state = 2},
  [666] = {.lex_state = 65},
  [667] = {.lex_state = 65, .external_lex_state = 2},
  [668] = {.lex_state = 14},
  [669] = {.lex_state = 14},
  [670] = {.lex_state = 65},
  [671] = {.lex_state = 65},
  [672] = {.lex_state = 14},
  [673] = {.lex_state = 14},
  [674] = {.lex_state = 14},
  [675] = {.lex_state = 14},
  [676] = {.lex_state = 65},
  [677] = {.lex_state = 65},
  [678] = {.lex_state = 14},
  [679] = {.lex_state = 14},
  [680] = {.lex_state = 65},
  [681] = {.lex_state = 14},
  [682] = {.lex_state = 65},
  [683] = {.lex_state = 65},
  [684] = {.lex_state = 65},
  [685] = {.lex_state = 14},
  [686] = {.lex_state = 14},
  [687] = {.lex_state = 14},
  [688] = {.lex_state = 14},
  [689] = {.lex_state = 65},
  [690] = {.lex_state = 65},
  [691] = {.lex_state = 65},
  [692] = {.lex_state = 65},
  [693] = {.lex_state = 65},
  [694] = {.lex_state = 65},
  [695] = {.lex_state = 65},
  [696] = {.lex_state = 65},
  [697] = {.lex_state = 65},
  [698] = {.lex_state = 10},
  [699] = {.lex_state = 65},
  [700] = {.lex_state = 10},
  [701] = {.lex_state = 12},
  [702] = {.lex_state = 10},
  [703] = {.lex_state = 10},
  [704] = {.lex_state = 10},
  [705] = {.lex_state = 12},
  [706] = {.lex_state = 12},
  [707] = {.lex_state = 8},
  [708] = {.lex_state = 8},
  [709] = {.lex_state = 8},
  [710] = {.lex_state = 10},
  [711] = {.lex_state = 10},
  [712] = {.lex_state = 8},
  [713] = {.lex_state = 8},
  [714] = {.lex_state = 8},
  [715] = {.lex_state = 8},
  [716] = {.lex_state = 8},
  [717] = {.lex_state = 8},
  [718] = {.lex_state = 8},
  [719] = {.lex_state = 8},
  [720] = {.lex_state = 8},
  [721] = {.lex_state = 8},
  [722] = {.lex_state = 8},
  [723] = {.lex_state = 8},
  [724] = {.lex_state = 8},
  [725] = {.lex_state = 8},
  [726] = {.lex_state = 10},
  [727] = {.lex_state = 8},
  [728] = {.lex_state = 8},
  [729] = {.lex_state = 8},
  [730] = {.lex_state = 16},
  [731] = {.lex_state = 8},
  [732] = {.lex_state = 16},
  [733] = {.lex_state = 10},
  [734] = {.lex_state = 12, .external_lex_state = 2},
  [735] = {.lex_state = 8},
  [736] = {.lex_state = 8},
  [737] = {.lex_state = 8},
  [738] = {.lex_state = 8},
  [739] = {.lex_state = 8},
  [740] = {.lex_state = 10},
  [741] = {.lex_state = 10},
  [742] = {.lex_state = 8},
  [743] = {.lex_state = 8},
  [744] = {.lex_state = 8},
  [745] = {.lex_state = 8},
  [746] = {.lex_state = 16},
  [747] = {.lex_state = 16},
  [748] = {.lex_state = 10},
  [749] = {.lex_state = 16},
  [750] = {.lex_state = 8},
  [751] = {.lex_state = 10},
  [752] = {.lex_state = 8},
  [753] = {.lex_state = 16},
  [754] = {.lex_state = 8},
  [755] = {.lex_state = 10},
  [756] = {.lex_state = 8},
  [757] = {.lex_state = 10},
  [758] = {.lex_state = 10},
  [759] = {.lex_state = 10},
  [760] = {.lex_state = 10},
  [761] = {.lex_state = 10},
  [762] = {.lex_state = 10},
  [763] = {.lex_state = 10},
  [764] = {.lex_state = 16},
  [765] = {.lex_state = 10},
  [766] = {.lex_state = 10},
  [767] = {.lex_state = 10},
  [768] = {.lex_state = 10},
  [769] = {.lex_state = 16},
  [770] = {.lex_state = 10},
  [771] = {.lex_state = 16},
  [772] = {.lex_state = 12},
  [773] = {.lex_state = 10},
  [774] = {.lex_state = 10},
  [775] = {.lex_state = 10},
  [776] = {.lex_state = 10},
  [777] = {.lex_state = 10},
  [778] = {.lex_state = 10},
  [779] = {.lex_state = 10},
  [780] = {.lex_state = 10},
  [781] = {.lex_state = 10},
  [782] = {.lex_state = 10},
  [783] = {.lex_state = 10},
  [784] = {.lex_state = 10},
  [785] = {.lex_state = 10},
  [786] = {.lex_state = 10},
  [787] = {.lex_state = 10},
  [788] = {.lex_state = 10},
  [789] = {.lex_state = 10},
  [790] = {.lex_state = 10},
  [791] = {.lex_state = 10},
  [792] = {.lex_state = 10},
  [793] = {.lex_state = 10},
  [794] = {.lex_state = 10},
  [795] = {.lex_state = 10},
  [796] = {.lex_state = 10},
  [797] = {.lex_state = 10},
  [798] = {.lex_state = 10},
  [799] = {.lex_state = 10},
  [800] = {.lex_state = 10},
  [801] = {.lex_state = 10},
  [802] = {.lex_state = 12},
  [803] = {.lex_state = 10},
  [804] = {.lex_state = 10},
  [805] = {.lex_state = 10},
  [806] = {.lex_state = 10},
  [807] = {.lex_state = 10},
  [808] = {.lex_state = 10},
  [809] = {.lex_state = 10},
  [810] = {.lex_state = 10},
  [811] = {.lex_state = 10},
  [812] = {.lex_state = 10},
  [813] = {.lex_state = 10},
  [814] = {.lex_state = 10},
  [815] = {.lex_state = 10},
  [816] = {.lex_state = 10},
  [817] = {.lex_state = 10},
  [818] = {.lex_state = 16},
  [819] = {.lex_state = 10},
  [820] = {.lex_state = 10},
  [821] = {.lex_state = 10},
  [822] = {.lex_state = 10},
  [823] = {.lex_state = 10},
  [824] = {.lex_state = 10},
  [825] = {.lex_state = 10},
  [826] = {.lex_state = 10},
  [827] = {.lex_state = 10},
  [828] = {.lex_state = 10},
  [829] = {.lex_state = 10},
  [830] = {.lex_state = 10},
  [831] = {.lex_state = 10},
  [832] = {.lex_state = 10},
  [833] = {.lex_state = 10},
  [834] = {.lex_state = 10},
  [835] = {.lex_state = 10},
  [836] = {.lex_state = 10},
  [837] = {.lex_state = 10},
  [838] = {.lex_state = 10},
  [839] = {.lex_state = 12},
  [840] = {.lex_state = 10},
  [841] = {.lex_state = 12},
  [842] = {.lex_state = 12},
  [843] = {.lex_state = 10},
  [844] = {.lex_state = 10},
  [845] = {.lex_state = 10},
  [846] = {.lex_state = 10, .external_lex_state = 2},
  [847] = {.lex_state = 12},
  [848] = {.lex_state = 6},
  [849] = {.lex_state = 8, .external_lex_state = 2},
  [850] = {.lex_state = 8, .external_lex_state = 2},
  [851] = {.lex_state = 10},
  [852] = {.lex_state = 8, .external_lex_state = 2},
  [853] = {.lex_state = 8, .external_lex_state = 2},
  [854] = {.lex_state = 8, .external_lex_state = 2},
  [855] = {.lex_state = 6},
  [856] = {.lex_state = 10, .external_lex_state = 2},
  [857] = {.lex_state = 10, .external_lex_state = 2},
  [858] = {.lex_state = 8, .external_lex_state = 2},
  [859] = {.lex_state = 10},
  [860] = {.lex_state = 8, .external_lex_state = 2},
  [861] = {.lex_state = 8, .external_lex_state = 2},
  [862] = {.lex_state = 8, .external_lex_state = 2},
  [863] = {.lex_state = 8, .external_lex_state = 2},
  [864] = {.lex_state = 8, .external_lex_state = 2},
  [865] = {.lex_state = 8, .external_lex_state = 2},
  [866] = {.lex_state = 8, .external_lex_state = 2},
  [867] = {.lex_state = 8, .external_lex_state = 2},
  [868] = {.lex_state = 8, .external_lex_state = 2},
  [869] = {.lex_state = 8, .external_lex_state = 2},
  [870] = {.lex_state = 8, .external_lex_state = 2},
  [871] = {.lex_state = 8, .external_lex_state = 2},
  [872] = {.lex_state = 8, .external_lex_state = 2},
  [873] = {.lex_state = 8, .external_lex_state = 2},
  [874] = {.lex_state = 8, .external_lex_state = 2},
  [875] = {.lex_state = 8, .external_lex_state = 2},
  [876] = {.lex_state = 10, .external_lex_state = 2},
  [877] = {.lex_state = 10, .external_lex_state = 2},
  [878] = {.lex_state = 8, .external_lex_state = 2},
  [879] = {.lex_state = 12},
  [880] = {.lex_state = 8, .external_lex_state = 2},
  [881] = {.lex_state = 8, .external_lex_state = 2},
  [882] = {.lex_state = 12},
  [883] = {.lex_state = 8, .external_lex_state = 2},
  [884] = {.lex_state = 8, .external_lex_state = 2},
  [885] = {.lex_state = 8, .external_lex_state = 2},
  [886] = {.lex_state = 8, .external_lex_state = 2},
  [887] = {.lex_state = 12},
  [888] = {.lex_state = 8, .external_lex_state = 2},
  [889] = {.lex_state = 10, .external_lex_state = 2},
  [890] = {.lex_state = 8, .external_lex_state = 2},
  [891] = {.lex_state = 8, .external_lex_state = 2},
  [892] = {.lex_state = 8, .external_lex_state = 2},
  [893] = {.lex_state = 12},
  [894] = {.lex_state = 10, .external_lex_state = 2},
  [895] = {.lex_state = 8, .external_lex_state = 2},
  [896] = {.lex_state = 12},
  [897] = {.lex_state = 10, .external_lex_state = 2},
  [898] = {.lex_state = 10, .external_lex_state = 2},
  [899] = {.lex_state = 10, .external_lex_state = 2},
  [900] = {.lex_state = 10, .external_lex_state = 2},
  [901] = {.lex_state = 10, .external_lex_state = 2},
  [902] = {.lex_state = 10, .external_lex_state = 2},
  [903] = {.lex_state = 10, .external_lex_state = 2},
  [904] = {.lex_state = 10, .external_lex_state = 2},
  [905] = {.lex_state = 10, .external_lex_state = 2},
  [906] = {.lex_state = 10, .external_lex_state = 2},
  [907] = {.lex_state = 10, .external_lex_state = 2},
  [908] = {.lex_state = 10, .external_lex_state = 2},
  [909] = {.lex_state = 10},
  [910] = {.lex_state = 10, .external_lex_state = 2},
  [911] = {.lex_state = 10, .external_lex_state = 2},
  [912] = {.lex_state = 10, .external_lex_state = 2},
  [913] = {.lex_state = 10, .external_lex_state = 2},
  [914] = {.lex_state = 10, .external_lex_state = 2},
  [915] = {.lex_state = 10, .external_lex_state = 2},
  [916] = {.lex_state = 10, .external_lex_state = 2},
  [917] = {.lex_state = 10, .external_lex_state = 2},
  [918] = {.lex_state = 10, .external_lex_state = 2},
  [919] = {.lex_state = 10, .external_lex_state = 2},
  [920] = {.lex_state = 10, .external_lex_state = 2},
  [921] = {.lex_state = 10, .external_lex_state = 2},
  [922] = {.lex_state = 10, .external_lex_state = 2},
  [923] = {.lex_state = 10, .external_lex_state = 2},
  [924] = {.lex_state = 10, .external_lex_state = 2},
  [925] = {.lex_state = 10, .external_lex_state = 2},
  [926] = {.lex_state = 10, .external_lex_state = 2},
  [927] = {.lex_state = 10, .external_lex_state = 2},
  [928] = {.lex_state = 10, .external_lex_state = 2},
  [929] = {.lex_state = 10, .external_lex_state = 2},
  [930] = {.lex_state = 10, .external_lex_state = 2},
  [931] = {.lex_state = 10, .external_lex_state = 2},
  [932] = {.lex_state = 10, .external_lex_state = 2},
  [933] = {.lex_state = 10, .external_lex_state = 2},
  [934] = {.lex_state = 10, .external_lex_state = 2},
  [935] = {.lex_state = 10, .external_lex_state = 2},
  [936] = {.lex_state = 10, .external_lex_state = 2},
  [937] = {.lex_state = 10, .external_lex_state = 2},
  [938] = {.lex_state = 10, .external_lex_state = 2},
  [939] = {.lex_state = 10, .external_lex_state = 2},
  [940] = {.lex_state = 10, .external_lex_state = 2},
  [941] = {.lex_state = 10, .external_lex_state = 2},
  [942] = {.lex_state = 10, .external_lex_state = 2},
  [943] = {.lex_state = 10, .external_lex_state = 2},
  [944] = {.lex_state = 10, .external_lex_state = 2},
  [945] = {.lex_state = 10, .external_lex_state = 2},
  [946] = {.lex_state = 10, .external_lex_state = 2},
  [947] = {.lex_state = 10, .external_lex_state = 2},
  [948] = {.lex_state = 10, .external_lex_state = 2},
  [949] = {.lex_state = 10, .external_lex_state = 2},
  [950] = {.lex_state = 10, .external_lex_state = 2},
  [951] = {.lex_state = 10, .external_lex_state = 2},
  [952] = {.lex_state = 10, .external_lex_state = 2},
  [953] = {.lex_state = 10, .external_lex_state = 2},
  [954] = {.lex_state = 10, .external_lex_state = 2},
  [955] = {.lex_state = 10, .external_lex_state = 2},
  [956] = {.lex_state = 10, .external_lex_state = 2},
  [957] = {.lex_state = 12},
  [958] = {.lex_state = 10, .external_lex_state = 2},
  [959] = {.lex_state = 10, .external_lex_state = 2},
  [960] = {.lex_state = 10},
  [961] = {.lex_state = 10, .external_lex_state = 2},
  [962] = {.lex_state = 10, .external_lex_state = 2},
  [963] = {.lex_state = 10, .external_lex_state = 2},
  [964] = {.lex_state = 10, .external_lex_state = 2},
  [965] = {.lex_state = 10, .external_lex_state = 2},
  [966] = {.lex_state = 10, .external_lex_state = 2},
  [967] = {.lex_state = 10, .external_lex_state = 2},
  [968] = {.lex_state = 10, .external_lex_state = 2},
  [969] = {.lex_state = 10, .external_lex_state = 2},
  [970] = {.lex_state = 10, .external_lex_state = 2},
  [971] = {.lex_state = 10, .external_lex_state = 2},
  [972] = {.lex_state = 10, .external_lex_state = 2},
  [973] = {.lex_state = 10, .external_lex_state = 2},
  [974] = {.lex_state = 10, .external_lex_state = 2},
  [975] = {.lex_state = 10, .external_lex_state = 2},
  [976] = {.lex_state = 10, .external_lex_state = 2},
  [977] = {.lex_state = 10, .external_lex_state = 2},
  [978] = {.lex_state = 10, .external_lex_state = 2},
  [979] = {.lex_state = 10, .external_lex_state = 2},
  [980] = {.lex_state = 10, .external_lex_state = 2},
  [981] = {.lex_state = 10, .external_lex_state = 2},
  [982] = {.lex_state = 10, .external_lex_state = 2},
  [983] = {.lex_state = 12},
  [984] = {.lex_state = 12},
  [985] = {.lex_state = 12},
  [986] = {.lex_state = 12},
  [987] = {.lex_state = 12},
  [988] = {.lex_state = 12},
  [989] = {.lex_state = 12, .external_lex_state = 2},
  [990] = {.lex_state = 12},
  [991] = {.lex_state = 10, .external_lex_state = 2},
  [992] = {.lex_state = 10, .external_lex_state = 2},
  [993] = {.lex_state = 12},
  [994] = {.lex_state = 12},
  [995] = {.lex_state = 12},
  [996] = {.lex_state = 12},
  [997] = {.lex_state = 10, .external_lex_state = 2},
  [998] = {.lex_state = 12, .external_lex_state = 2},
  [999] = {.lex_state = 10, .external_lex_state = 2},
  [1000] = {.lex_state = 12},
  [1001] = {.lex_state = 12},
  [1002] = {.lex_state = 10, .external_lex_state = 2},
  [1003] = {.lex_state = 10, .external_lex_state = 2},
  [1004] = {.lex_state = 12, .external_lex_state = 2},
  [1005] = {.lex_state = 10},
  [1006] = {.lex_state = 12},
  [1007] = {.lex_state = 12},
  [1008] = {.lex_state = 12},
  [1009] = {.lex_state = 12},
  [1010] = {.lex_state = 10, .external_lex_state = 2},
  [1011] = {.lex_state = 12},
  [1012] = {.lex_state = 12},
  [1013] = {.lex_state = 12},
  [1014] = {.lex_state = 12},
  [1015] = {.lex_state = 12},
  [1016] = {.lex_state = 12},
  [1017] = {.lex_state = 12},
  [1018] = {.lex_state = 12, .external_lex_state = 2},
  [1019] = {.lex_state = 12, .external_lex_state = 2},
  [1020] = {.lex_state = 12, .external_lex_state = 2},
  [1021] = {.lex_state = 12, .external_lex_state = 2},
  [1022] = {.lex_state = 12, .external_lex_state = 2},
  [1023] = {.lex_state = 12, .external_lex_state = 2},
  [1024] = {.lex_state = 18},
  [1025] = {.lex_state = 12},
  [1026] = {.lex_state = 12},
  [1027] = {.lex_state = 12},
  [1028] = {.lex_state = 12},
  [1029] = {.lex_state = 12},
  [1030] = {.lex_state = 12},
  [1031] = {.lex_state = 12},
  [1032] = {.lex_state = 12},
  [1033] = {.lex_state = 12},
  [1034] = {.lex_state = 12},
  [1035] = {.lex_state = 12, .external_lex_state = 2},
  [1036] = {.lex_state = 12},
  [1037] = {.lex_state = 12},
  [1038] = {.lex_state = 12},
  [1039] = {.lex_state = 12},
  [1040] = {.lex_state = 12},
  [1041] = {.lex_state = 12},
  [1042] = {.lex_state = 12},
  [1043] = {.lex_state = 12},
  [1044] = {.lex_state = 12},
  [1045] = {.lex_state = 12},
  [1046] = {.lex_state = 12},
  [1047] = {.lex_state = 12},
  [1048] = {.lex_state = 12},
  [1049] = {.lex_state = 12},
  [1050] = {.lex_state = 12},
  [1051] = {.lex_state = 12},
  [1052] = {.lex_state = 12},
  [1053] = {.lex_state = 12},
  [1054] = {.lex_state = 12},
  [1055] = {.lex_state = 12},
  [1056] = {.lex_state = 12},
  [1057] = {.lex_state = 12},
  [1058] = {.lex_state = 12},
  [1059] = {.lex_state = 12},
  [1060] = {.lex_state = 12, .external_lex_state = 2},
  [1061] = {.lex_state = 12, .external_lex_state = 2},
  [1062] = {.lex_state = 12, .external_lex_state = 2},
  [1063] = {.lex_state = 12, .external_lex_state = 2},
  [1064] = {.lex_state = 12},
  [1065] = {.lex_state = 12, .external_lex_state = 2},
  [1066] = {.lex_state = 12, .external_lex_state = 2},
  [1067] = {.lex_state = 12, .external_lex_state = 2},
  [1068] = {.lex_state = 12, .external_lex_state = 2},
  [1069] = {.lex_state = 12, .external_lex_state = 2},
  [1070] = {.lex_state = 12, .external_lex_state = 2},
  [1071] = {.lex_state = 12, .external_lex_state = 2},
  [1072] = {.lex_state = 12, .external_lex_state = 2},
  [1073] = {.lex_state = 12, .external_lex_state = 2},
  [1074] = {.lex_state = 12, .external_lex_state = 2},
  [1075] = {.lex_state = 12, .external_lex_state = 2},
  [1076] = {.lex_state = 12, .external_lex_state = 2},
  [1077] = {.lex_state = 12, .external_lex_state = 2},
  [1078] = {.lex_state = 12, .external_lex_state = 2},
  [1079] = {.lex_state = 12, .external_lex_state = 2},
  [1080] = {.lex_state = 12, .external_lex_state = 2},
  [1081] = {.lex_state = 12, .external_lex_state = 2},
  [1082] = {.lex_state = 12, .external_lex_state = 2},
  [1083] = {.lex_state = 12, .external_lex_state = 2},
  [1084] = {.lex_state = 12, .external_lex_state = 2},
  [1085] = {.lex_state = 12, .external_lex_state = 2},
  [1086] = {.lex_state = 12, .external_lex_state = 2},
  [1087] = {.lex_state = 12, .external_lex_state = 2},
  [1088] = {.lex_state = 12, .external_lex_state = 2},
  [1089] = {.lex_state = 12, .external_lex_state = 2},
  [1090] = {.lex_state = 12, .external_lex_state = 2},
  [1091] = {.lex_state = 12, .external_lex_state = 2},
  [1092] = {.lex_state = 12, .external_lex_state = 2},
  [1093] = {.lex_state = 12, .external_lex_state = 2},
  [1094] = {.lex_state = 12, .external_lex_state = 2},
  [1095] = {.lex_state = 12, .external_lex_state = 2},
  [1096] = {.lex_state = 12, .external_lex_state = 2},
  [1097] = {.lex_state = 12, .external_lex_state = 2},
  [1098] = {.lex_state = 12, .external_lex_state = 2},
  [1099] = {.lex_state = 12, .external_lex_state = 2},
  [1100] = {.lex_state = 12, .external_lex_state = 2},
  [1101] = {.lex_state = 12, .external_lex_state = 2},
  [1102] = {.lex_state = 12, .external_lex_state = 2},
  [1103] = {.lex_state = 12, .external_lex_state = 2},
  [1104] = {.lex_state = 12, .external_lex_state = 2},
  [1105] = {.lex_state = 12},
  [1106] = {.lex_state = 12, .external_lex_state = 2},
  [1107] = {.lex_state = 12},
  [1108] = {.lex_state = 12, .external_lex_state = 2},
  [1109] = {.lex_state = 12, .external_lex_state = 2},
  [1110] = {.lex_state = 12, .external_lex_state = 2},
  [1111] = {.lex_state = 12, .external_lex_state = 2},
  [1112] = {.lex_state = 12, .external_lex_state = 2},
  [1113] = {.lex_state = 12, .external_lex_state = 2},
  [1114] = {.lex_state = 12, .external_lex_state = 2},
  [1115] = {.lex_state = 12, .external_lex_state = 2},
  [1116] = {.lex_state = 12, .external_lex_state = 2},
  [1117] = {.lex_state = 12, .external_lex_state = 2},
  [1118] = {.lex_state = 12, .external_lex_state = 2},
  [1119] = {.lex_state = 12},
  [1120] = {.lex_state = 12},
  [1121] = {.lex_state = 12},
  [1122] = {.lex_state = 12},
  [1123] = {.lex_state = 12},
  [1124] = {.lex_state = 12},
  [1125] = {.lex_state = 12},
  [1126] = {.lex_state = 12},
  [1127] = {.lex_state = 12},
  [1128] = {.lex_state = 12},
  [1129] = {.lex_state = 12},
  [1130] = {.lex_state = 12},
  [1131] = {.lex_state = 12},
  [1132] = {.lex_state = 12},
  [1133] = {.lex_state = 12},
  [1134] = {.lex_state = 12},
  [1135] = {.lex_state = 12},
  [1136] = {.lex_state = 12},
  [1137] = {.lex_state = 12},
  [1138] = {.lex_state = 12},
  [1139] = {.lex_state = 12},
  [1140] = {.lex_state = 12},
  [1141] = {.lex_state = 12},
  [1142] = {.lex_state = 12, .external_lex_state = 2},
  [1143] = {.lex_state = 12},
  [1144] = {.lex_state = 12},
  [1145] = {.lex_state = 12},
  [1146] = {.lex_state = 12},
  [1147] = {.lex_state = 12},
  [1148] = {.lex_state = 12, .external_lex_state = 2},
  [1149] = {.lex_state = 12},
  [1150] = {.lex_state = 12},
  [1151] = {.lex_state = 12},
  [1152] = {.lex_state = 12},
  [1153] = {.lex_state = 12},
  [1154] = {.lex_state = 12},
  [1155] = {.lex_state = 12},
  [1156] = {.lex_state = 12},
  [1157] = {.lex_state = 12},
  [1158] = {.lex_state = 12},
  [1159] = {.lex_state = 12},
  [1160] = {.lex_state = 12},
  [1161] = {.lex_state = 12},
  [1162] = {.lex_state = 12},
  [1163] = {.lex_state = 12},
  [1164] = {.lex_state = 12},
  [1165] = {.lex_state = 12},
  [1166] = {.lex_state = 12},
  [1167] = {.lex_state = 12},
  [1168] = {.lex_state = 12},
  [1169] = {.lex_state = 12},
  [1170] = {.lex_state = 12},
  [1171] = {.lex_state = 12},
  [1172] = {.lex_state = 12},
  [1173] = {.lex_state = 12},
  [1174] = {.lex_state = 12},
  [1175] = {.lex_state = 12},
  [1176] = {.lex_state = 12},
  [1177] = {.lex_state = 12},
  [1178] = {.lex_state = 12},
  [1179] = {.lex_state = 12},
  [1180] = {.lex_state = 12},
  [1181] = {.lex_state = 12},
  [1182] = {.lex_state = 12},
  [1183] = {.lex_state = 12},
  [1184] = {.lex_state = 12},
  [1185] = {.lex_state = 12},
  [1186] = {.lex_state = 12},
  [1187] = {.lex_state = 12, .external_lex_state = 2},
  [1188] = {.lex_state = 12},
  [1189] = {.lex_state = 12},
  [1190] = {.lex_state = 12},
  [1191] = {.lex_state = 12},
  [1192] = {.lex_state = 12},
  [1193] = {.lex_state = 12},
  [1194] = {.lex_state = 12},
  [1195] = {.lex_state = 12},
  [1196] = {.lex_state = 12},
  [1197] = {.lex_state = 12},
  [1198] = {.lex_state = 12},
  [1199] = {.lex_state = 12},
  [1200] = {.lex_state = 12, .external_lex_state = 2},
  [1201] = {.lex_state = 12},
  [1202] = {.lex_state = 12, .external_lex_state = 2},
  [1203] = {.lex_state = 12, .external_lex_state = 2},
  [1204] = {.lex_state = 12, .external_lex_state = 2},
  [1205] = {.lex_state = 12, .external_lex_state = 2},
  [1206] = {.lex_state = 12},
  [1207] = {.lex_state = 12, .external_lex_state = 2},
  [1208] = {.lex_state = 12, .external_lex_state = 2},
  [1209] = {.lex_state = 12},
  [1210] = {.lex_state = 12, .external_lex_state = 2},
  [1211] = {.lex_state = 12, .external_lex_state = 2},
  [1212] = {.lex_state = 12, .external_lex_state = 2},
  [1213] = {.lex_state = 12, .external_lex_state = 2},
  [1214] = {.lex_state = 12},
  [1215] = {.lex_state = 12, .external_lex_state = 2},
  [1216] = {.lex_state = 12, .external_lex_state = 2},
  [1217] = {.lex_state = 12, .external_lex_state = 2},
  [1218] = {.lex_state = 12, .external_lex_state = 2},
  [1219] = {.lex_state = 12},
  [1220] = {.lex_state = 16},
  [1221] = {.lex_state = 12},
  [1222] = {.lex_state = 12},
  [1223] = {.lex_state = 12},
  [1224] = {.lex_state = 12},
  [1225] = {.lex_state = 12},
  [1226] = {.lex_state = 16},
  [1227] = {.lex_state = 17},
  [1228] = {.lex_state = 16},
  [1229] = {.lex_state = 16},
  [1230] = {.lex_state = 12},
  [1231] = {.lex_state = 12},
  [1232] = {.lex_state = 12},
  [1233] = {.lex_state = 12},
  [1234] = {.lex_state = 12},
  [1235] = {.lex_state = 12},
  [1236] = {.lex_state = 12},
  [1237] = {.lex_state = 12},
  [1238] = {.lex_state = 12},
  [1239] = {.lex_state = 16},
  [1240] = {.lex_state = 12},
  [1241] = {.lex_state = 12},
  [1242] = {.lex_state = 16},
  [1243] = {.lex_state = 12},
  [1244] = {.lex_state = 12},
  [1245] = {.lex_state = 16},
  [1246] = {.lex_state = 12},
  [1247] = {.lex_state = 12},
  [1248] = {.lex_state = 12},
  [1249] = {.lex_state = 12},
  [1250] = {.lex_state = 12},
  [1251] = {.lex_state = 12},
  [1252] = {.lex_state = 12},
  [1253] = {.lex_state = 12},
  [1254] = {.lex_state = 12},
  [1255] = {.lex_state = 12},
  [1256] = {.lex_state = 12},
  [1257] = {.lex_state = 12},
  [1258] = {.lex_state = 12},
  [1259] = {.lex_state = 12},
  [1260] = {.lex_state = 12},
  [1261] = {.lex_state = 12},
  [1262] = {.lex_state = 12},
  [1263] = {.lex_state = 12},
  [1264] = {.lex_state = 12},
  [1265] = {.lex_state = 12},
  [1266] = {.lex_state = 12},
  [1267] = {.lex_state = 12},
  [1268] = {.lex_state = 12},
  [1269] = {.lex_state = 12},
  [1270] = {.lex_state = 12},
  [1271] = {.lex_state = 12},
  [1272] = {.lex_state = 12},
  [1273] = {.lex_state = 12},
  [1274] = {.lex_state = 12},
  [1275] = {.lex_state = 12},
  [1276] = {.lex_state = 12},
  [1277] = {.lex_state = 12},
  [1278] = {.lex_state = 12},
  [1279] = {.lex_state = 12},
  [1280] = {.lex_state = 12},
  [1281] = {.lex_state = 12},
  [1282] = {.lex_state = 12},
  [1283] = {.lex_state = 12},
  [1284] = {.lex_state = 12},
  [1285] = {.lex_state = 12},
  [1286] = {.lex_state = 12},
  [1287] = {.lex_state = 12},
  [1288] = {.lex_state = 12},
  [1289] = {.lex_state = 12},
  [1290] = {.lex_state = 12},
  [1291] = {.lex_state = 12},
  [1292] = {.lex_state = 12},
  [1293] = {.lex_state = 12},
  [1294] = {.lex_state = 12},
  [1295] = {.lex_state = 12},
  [1296] = {.lex_state = 12},
  [1297] = {.lex_state = 12},
  [1298] = {.lex_state = 12},
  [1299] = {.lex_state = 12},
  [1300] = {.lex_state = 12},
  [1301] = {.lex_state = 12},
  [1302] = {.lex_state = 12},
  [1303] = {.lex_state = 16},
  [1304] = {.lex_state = 16},
  [1305] = {.lex_state = 12},
  [1306] = {.lex_state = 16},
  [1307] = {.lex_state = 12},
  [1308] = {.lex_state = 12},
  [1309] = {.lex_state = 16},
  [1310] = {.lex_state = 16},
  [1311] = {.lex_state = 16},
  [1312] = {.lex_state = 16},
  [1313] = {.lex_state = 16},
  [1314] = {.lex_state = 12},
  [1315] = {.lex_state = 12},
  [1316] = {.lex_state = 16},
  [1317] = {.lex_state = 65},
  [1318] = {.lex_state = 12},
  [1319] = {.lex_state = 12},
  [1320] = {.lex_state = 12},
  [1321] = {.lex_state = 12},
  [1322] = {.lex_state = 12},
  [1323] = {.lex_state = 12},
  [1324] = {.lex_state = 12},
  [1325] = {.lex_state = 16},
  [1326] = {.lex_state = 65},
  [1327] = {.lex_state = 12},
  [1328] = {.lex_state = 12},
  [1329] = {.lex_state = 12},
  [1330] = {.lex_state = 12},
  [1331] = {.lex_state = 12},
  [1332] = {.lex_state = 12},
  [1333] = {.lex_state = 12},
  [1334] = {.lex_state = 12},
  [1335] = {.lex_state = 65},
  [1336] = {.lex_state = 65},
  [1337] = {.lex_state = 16},
  [1338] = {.lex_state = 16},
  [1339] = {.lex_state = 65},
  [1340] = {.lex_state = 65},
  [1341] = {.lex_state = 65},
  [1342] = {.lex_state = 65},
  [1343] = {.lex_state = 65},
  [1344] = {.lex_state = 16},
  [1345] = {.lex_state = 16},
  [1346] = {.lex_state = 65},
  [1347] = {.lex_state = 16},
  [1348] = {.lex_state = 65},
  [1349] = {.lex_state = 15},
  [1350] = {.lex_state = 65},
  [1351] = {.lex_state = 65},
  [1352] = {.lex_state = 65},
  [1353] = {.lex_state = 14},
  [1354] = {.lex_state = 65},
  [1355] = {.lex_state = 65},
  [1356] = {.lex_state = 65},
  [1357] = {.lex_state = 65},
  [1358] = {.lex_state = 65},
  [1359] = {.lex_state = 65},
  [1360] = {.lex_state = 65},
  [1361] = {.lex_state = 3, .external_lex_state = 3},
  [1362] = {.lex_state = 3, .external_lex_state = 3},
  [1363] = {.lex_state = 65},
  [1364] = {.lex_state = 65},
  [1365] = {.lex_state = 65},
  [1366] = {.lex_state = 3, .external_lex_state = 3},
  [1367] = {.lex_state = 3, .external_lex_state = 4},
  [1368] = {.lex_state = 3, .external_lex_state = 3},
  [1369] = {.lex_state = 3, .external_lex_state = 3},
  [1370] = {.lex_state = 65},
  [1371] = {.lex_state = 16},
  [1372] = {.lex_state = 8, .external_lex_state = 5},
  [1373] = {.lex_state = 65},
  [1374] = {.lex_state = 16},
  [1375] = {.lex_state = 16},
  [1376] = {.lex_state = 16},
  [1377] = {.lex_state = 16},
  [1378] = {.lex_state = 16},
  [1379] = {.lex_state = 8, .external_lex_state = 6},
  [1380] = {.lex_state = 16},
  [1381] = {.lex_state = 16},
  [1382] = {.lex_state = 16},
  [1383] = {.lex_state = 16},
  [1384] = {.lex_state = 65},
  [1385] = {.lex_state = 8, .external_lex_state = 6},
  [1386] = {.lex_state = 8, .external_lex_state = 5},
  [1387] = {.lex_state = 8, .external_lex_state = 5},
  [1388] = {.lex_state = 8, .external_lex_state = 5},
  [1389] = {.lex_state = 8, .external_lex_state = 6},
  [1390] = {.lex_state = 65},
  [1391] = {.lex_state = 8, .external_lex_state = 6},
  [1392] = {.lex_state = 16},
  [1393] = {.lex_state = 8, .external_lex_state = 5},
  [1394] = {.lex_state = 8, .external_lex_state = 6},
  [1395] = {.lex_state = 16},
  [1396] = {.lex_state = 16},
  [1397] = {.lex_state = 65},
  [1398] = {.lex_state = 65},
  [1399] = {.lex_state = 16},
  [1400] = {.lex_state = 16},
  [1401] = {.lex_state = 16},
  [1402] = {.lex_state = 16},
  [1403] = {.lex_state = 65},
  [1404] = {.lex_state = 16},
  [1405] = {.lex_state = 16},
  [1406] = {.lex_state = 16},
  [1407] = {.lex_state = 16},
  [1408] = {.lex_state = 16},
  [1409] = {.lex_state = 18},
  [1410] = {.lex_state = 16},
  [1411] = {.lex_state = 16},
  [1412] = {.lex_state = 16},
  [1413] = {.lex_state = 16},
  [1414] = {.lex_state = 8, .external_lex_state = 4},
  [1415] = {.lex_state = 16},
  [1416] = {.lex_state = 16},
  [1417] = {.lex_state = 16},
  [1418] = {.lex_state = 16},
  [1419] = {.lex_state = 16},
  [1420] = {.lex_state = 65},
  [1421] = {.lex_state = 65},
  [1422] = {.lex_state = 65},
  [1423] = {.lex_state = 65},
  [1424] = {.lex_state = 65},
  [1425] = {.lex_state = 65},
  [1426] = {.lex_state = 16},
  [1427] = {.lex_state = 65},
  [1428] = {.lex_state = 65},
  [1429] = {.lex_state = 65},
  [1430] = {.lex_state = 65},
  [1431] = {.lex_state = 65},
  [1432] = {.lex_state = 65},
  [1433] = {.lex_state = 65},
  [1434] = {.lex_state = 65},
  [1435] = {.lex_state = 65},
  [1436] = {.lex_state = 65},
  [1437] = {.lex_state = 65},
  [1438] = {.lex_state = 65},
  [1439] = {.lex_state = 65},
  [1440] = {.lex_state = 65},
  [1441] = {.lex_state = 16},
  [1442] = {.lex_state = 65},
  [1443] = {.lex_state = 16},
  [1444] = {.lex_state = 65},
  [1445] = {.lex_state = 65},
  [1446] = {.lex_state = 65},
  [1447] = {.lex_state = 65},
  [1448] = {.lex_state = 16},
  [1449] = {.lex_state = 65},
  [1450] = {.lex_state = 65},
  [1451] = {.lex_state = 65},
  [1452] = {.lex_state = 65},
  [1453] = {.lex_state = 65},
  [1454] = {.lex_state = 16},
  [1455] = {.lex_state = 65},
  [1456] = {.lex_state = 65},
  [1457] = {.lex_state = 65},
  [1458] = {.lex_state = 65},
  [1459] = {.lex_state = 65},
  [1460] = {.lex_state = 18},
  [1461] = {.lex_state = 18},
  [1462] = {.lex_state = 18},
  [1463] = {.lex_state = 65},
  [1464] = {.lex_state = 65},
  [1465] = {.lex_state = 65},
  [1466] = {.lex_state = 65},
  [1467] = {.lex_state = 65},
  [1468] = {.lex_state = 3, .external_lex_state = 7},
  [1469] = {.lex_state = 65},
  [1470] = {.lex_state = 3, .external_lex_state = 7},
  [1471] = {.lex_state = 65},
  [1472] = {.lex_state = 65},
  [1473] = {.lex_state = 18},
  [1474] = {.lex_state = 65},
  [1475] = {.lex_state = 65},
  [1476] = {.lex_state = 18},
  [1477] = {.lex_state = 65},
  [1478] = {.lex_state = 18},
  [1479] = {.lex_state = 65},
  [1480] = {.lex_state = 18},
  [1481] = {.lex_state = 18},
  [1482] = {.lex_state = 65},
  [1483] = {.lex_state = 65},
  [1484] = {.lex_state = 65, .external_lex_state = 2},
  [1485] = {.lex_state = 18},
  [1486] = {.lex_state = 65, .external_lex_state = 2},
  [1487] = {.lex_state = 65, .external_lex_state = 2},
  [1488] = {.lex_state = 65, .external_lex_state = 2},
  [1489] = {.lex_state = 8, .external_lex_state = 8},
  [1490] = {.lex_state = 8, .external_lex_state = 9},
  [1491] = {.lex_state = 65, .external_lex_state = 2},
  [1492] = {.lex_state = 8, .external_lex_state = 8},
  [1493] = {.lex_state = 65, .external_lex_state = 2},
  [1494] = {.lex_state = 8, .external_lex_state = 9},
  [1495] = {.lex_state = 65, .external_lex_state = 2},
  [1496] = {.lex_state = 65, .external_lex_state = 2},
  [1497] = {.lex_state = 65},
  [1498] = {.lex_state = 65},
  [1499] = {.lex_state = 65},
  [1500] = {.lex_state = 65},
  [1501] = {.lex_state = 65},
  [1502] = {.lex_state = 65},
  [1503] = {.lex_state = 65},
  [1504] = {.lex_state = 65},
  [1505] = {.lex_state = 65},
  [1506] = {.lex_state = 65},
  [1507] = {.lex_state = 65},
  [1508] = {.lex_state = 65},
  [1509] = {.lex_state = 65, .external_lex_state = 2},
  [1510] = {.lex_state = 65},
  [1511] = {.lex_state = 65},
  [1512] = {.lex_state = 65},
  [1513] = {.lex_state = 65},
  [1514] = {.lex_state = 65},
  [1515] = {.lex_state = 65},
  [1516] = {.lex_state = 65},
  [1517] = {.lex_state = 65},
  [1518] = {.lex_state = 65},
  [1519] = {.lex_state = 65},
  [1520] = {.lex_state = 65},
  [1521] = {.lex_state = 10},
  [1522] = {.lex_state = 65},
  [1523] = {.lex_state = 65},
  [1524] = {.lex_state = 65},
  [1525] = {.lex_state = 65},
  [1526] = {.lex_state = 65},
  [1527] = {.lex_state = 65},
  [1528] = {.lex_state = 65},
  [1529] = {.lex_state = 65},
  [1530] = {.lex_state = 3, .external_lex_state = 3},
  [1531] = {.lex_state = 65, .external_lex_state = 2},
  [1532] = {.lex_state = 65, .external_lex_state = 2},
  [1533] = {.lex_state = 65, .external_lex_state = 2},
  [1534] = {.lex_state = 65},
  [1535] = {.lex_state = 65},
  [1536] = {.lex_state = 10},
  [1537] = {.lex_state = 65, .external_lex_state = 2},
  [1538] = {.lex_state = 10},
  [1539] = {.lex_state = 65, .external_lex_state = 2},
  [1540] = {.lex_state = 65},
  [1541] = {.lex_state = 65, .external_lex_state = 2},
  [1542] = {.lex_state = 65, .external_lex_state = 2},
  [1543] = {.lex_state = 3, .external_lex_state = 3},
  [1544] = {.lex_state = 65, .external_lex_state = 2},
  [1545] = {.lex_state = 3, .external_lex_state = 3},
  [1546] = {.lex_state = 3, .external_lex_state = 3},
  [1547] = {.lex_state = 65},
  [1548] = {.lex_state = 65},
  [1549] = {.lex_state = 65, .external_lex_state = 2},
  [1550] = {.lex_state = 65},
  [1551] = {.lex_state = 65, .external_lex_state = 2},
  [1552] = {.lex_state = 65, .external_lex_state = 2},
  [1553] = {.lex_state = 65},
  [1554] = {.lex_state = 3, .external_lex_state = 3},
  [1555] = {.lex_state = 65, .external_lex_state = 2},
  [1556] = {.lex_state = 3, .external_lex_state = 3},
  [1557] = {.lex_state = 65},
  [1558] = {.lex_state = 65, .external_lex_state = 2},
  [1559] = {.lex_state = 14},
  [1560] = {.lex_state = 65, .external_lex_state = 2},
  [1561] = {.lex_state = 65, .external_lex_state = 2},
  [1562] = {.lex_state = 65, .external_lex_state = 2},
  [1563] = {.lex_state = 3, .external_lex_state = 3},
  [1564] = {.lex_state = 65},
  [1565] = {.lex_state = 65},
  [1566] = {.lex_state = 65, .external_lex_state = 2},
  [1567] = {.lex_state = 65},
  [1568] = {.lex_state = 18},
  [1569] = {.lex_state = 3, .external_lex_state = 3},
  [1570] = {.lex_state = 65, .external_lex_state = 2},
  [1571] = {.lex_state = 65},
  [1572] = {.lex_state = 65},
  [1573] = {.lex_state = 65},
  [1574] = {.lex_state = 65},
  [1575] = {.lex_state = 65, .external_lex_state = 2},
  [1576] = {.lex_state = 8, .external_lex_state = 5},
  [1577] = {.lex_state = 8, .external_lex_state = 5},
  [1578] = {.lex_state = 8, .external_lex_state = 5},
  [1579] = {.lex_state = 65},
  [1580] = {.lex_state = 65},
  [1581] = {.lex_state = 65},
  [1582] = {.lex_state = 65},
  [1583] = {.lex_state = 8, .external_lex_state = 5},
  [1584] = {.lex_state = 65},
  [1585] = {.lex_state = 65},
  [1586] = {.lex_state = 65},
  [1587] = {.lex_state = 8, .external_lex_state = 6},
  [1588] = {.lex_state = 65},
  [1589] = {.lex_state = 65},
  [1590] = {.lex_state = 65},
  [1591] = {.lex_state = 8, .external_lex_state = 6},
  [1592] = {.lex_state = 20},
  [1593] = {.lex_state = 65},
  [1594] = {.lex_state = 65},
  [1595] = {.lex_state = 65},
  [1596] = {.lex_state = 8, .external_lex_state = 5},
  [1597] = {.lex_state = 65, .external_lex_state = 2},
  [1598] = {.lex_state = 65},
  [1599] = {.lex_state = 8, .external_lex_state = 6},
  [1600] = {.lex_state = 8, .external_lex_state = 6},
  [1601] = {.lex_state = 20},
  [1602] = {.lex_state = 65},
  [1603] = {.lex_state = 65},
  [1604] = {.lex_state = 65},
  [1605] = {.lex_state = 65},
  [1606] = {.lex_state = 65},
  [1607] = {.lex_state = 65},
  [1608] = {.lex_state = 20},
  [1609] = {.lex_state = 65},
  [1610] = {.lex_state = 65},
  [1611] = {.lex_state = 65},
  [1612] = {.lex_state = 65},
  [1613] = {.lex_state = 20},
  [1614] = {.lex_state = 65},
  [1615] = {.lex_state = 65},
  [1616] = {.lex_state = 65},
  [1617] = {.lex_state = 8, .external_lex_state = 6},
  [1618] = {.lex_state = 65},
  [1619] = {.lex_state = 65},
  [1620] = {.lex_state = 8, .external_lex_state = 6},
  [1621] = {.lex_state = 65},
  [1622] = {.lex_state = 65},
  [1623] = {.lex_state = 65},
  [1624] = {.lex_state = 8, .external_lex_state = 6},
  [1625] = {.lex_state = 65},
  [1626] = {.lex_state = 65},
  [1627] = {.lex_state = 65},
  [1628] = {.lex_state = 65},
  [1629] = {.lex_state = 65},
  [1630] = {.lex_state = 8, .external_lex_state = 5},
  [1631] = {.lex_state = 65},
  [1632] = {.lex_state = 65},
  [1633] = {.lex_state = 65},
  [1634] = {.lex_state = 65},
  [1635] = {.lex_state = 65},
  [1636] = {.lex_state = 65},
  [1637] = {.lex_state = 65},
  [1638] = {.lex_state = 65},
  [1639] = {.lex_state = 65},
  [1640] = {.lex_state = 65},
  [1641] = {.lex_state = 20},
  [1642] = {.lex_state = 8, .external_lex_state = 5},
  [1643] = {.lex_state = 8, .external_lex_state = 6},
  [1644] = {.lex_state = 65, .external_lex_state = 2},
  [1645] = {.lex_state = 65},
  [1646] = {.lex_state = 14},
  [1647] = {.lex_state = 65},
  [1648] = {.lex_state = 65},
  [1649] = {.lex_state = 65},
  [1650] = {.lex_state = 65},
  [1651] = {.lex_state = 65},
  [1652] = {.lex_state = 65},
  [1653] = {.lex_state = 14},
  [1654] = {.lex_state = 65},
  [1655] = {.lex_state = 65},
  [1656] = {.lex_state = 65},
  [1657] = {.lex_state = 8, .external_lex_state = 5},
  [1658] = {.lex_state = 65},
  [1659] = {.lex_state = 65},
  [1660] = {.lex_state = 65, .external_lex_state = 2},
  [1661] = {.lex_state = 65},
  [1662] = {.lex_state = 65, .external_lex_state = 2},
  [1663] = {.lex_state = 65, .external_lex_state = 2},
  [1664] = {.lex_state = 65, .external_lex_state = 2},
  [1665] = {.lex_state = 65},
  [1666] = {.lex_state = 16},
  [1667] = {.lex_state = 16},
  [1668] = {.lex_state = 16},
  [1669] = {.lex_state = 65},
  [1670] = {.lex_state = 16},
  [1671] = {.lex_state = 65, .external_lex_state = 2},
  [1672] = {.lex_state = 65},
  [1673] = {.lex_state = 65},
  [1674] = {.lex_state = 65, .external_lex_state = 2},
  [1675] = {.lex_state = 16},
  [1676] = {.lex_state = 65},
  [1677] = {.lex_state = 65},
  [1678] = {.lex_state = 16},
  [1679] = {.lex_state = 16},
  [1680] = {.lex_state = 65},
  [1681] = {.lex_state = 65},
  [1682] = {.lex_state = 65},
  [1683] = {.lex_state = 65},
  [1684] = {.lex_state = 65},
  [1685] = {.lex_state = 65, .external_lex_state = 2},
  [1686] = {.lex_state = 65, .external_lex_state = 2},
  [1687] = {.lex_state = 65, .external_lex_state = 2},
  [1688] = {.lex_state = 65},
  [1689] = {.lex_state = 65},
  [1690] = {.lex_state = 65, .external_lex_state = 2},
  [1691] = {.lex_state = 65, .external_lex_state = 2},
  [1692] = {.lex_state = 65},
  [1693] = {.lex_state = 65},
  [1694] = {.lex_state = 65},
  [1695] = {.lex_state = 65, .external_lex_state = 2},
  [1696] = {.lex_state = 65, .external_lex_state = 2},
  [1697] = {.lex_state = 65, .external_lex_state = 2},
  [1698] = {.lex_state = 65, .external_lex_state = 2},
  [1699] = {.lex_state = 65},
  [1700] = {.lex_state = 65},
  [1701] = {.lex_state = 65, .external_lex_state = 2},
  [1702] = {.lex_state = 65},
  [1703] = {.lex_state = 16},
  [1704] = {.lex_state = 16},
  [1705] = {.lex_state = 65, .external_lex_state = 2},
  [1706] = {.lex_state = 16},
  [1707] = {.lex_state = 16},
  [1708] = {.lex_state = 16},
  [1709] = {.lex_state = 16},
  [1710] = {.lex_state = 65},
  [1711] = {.lex_state = 65, .external_lex_state = 2},
  [1712] = {.lex_state = 65, .external_lex_state = 2},
  [1713] = {.lex_state = 65, .external_lex_state = 2},
  [1714] = {.lex_state = 65, .external_lex_state = 2},
  [1715] = {.lex_state = 65, .external_lex_state = 2},
  [1716] = {.lex_state = 65},
  [1717] = {.lex_state = 65, .external_lex_state = 2},
  [1718] = {.lex_state = 65},
  [1719] = {.lex_state = 65, .external_lex_state = 2},
  [1720] = {.lex_state = 65},
  [1721] = {.lex_state = 65, .external_lex_state = 2},
  [1722] = {.lex_state = 65, .external_lex_state = 2},
  [1723] = {.lex_state = 65},
  [1724] = {.lex_state = 65, .external_lex_state = 2},
  [1725] = {.lex_state = 65, .external_lex_state = 2},
  [1726] = {.lex_state = 65},
  [1727] = {.lex_state = 65, .external_lex_state = 2},
  [1728] = {.lex_state = 65, .external_lex_state = 2},
  [1729] = {.lex_state = 65, .external_lex_state = 2},
  [1730] = {.lex_state = 65, .external_lex_state = 2},
  [1731] = {.lex_state = 65, .external_lex_state = 2},
  [1732] = {.lex_state = 65, .external_lex_state = 2},
  [1733] = {.lex_state = 65},
  [1734] = {.lex_state = 65, .external_lex_state = 2},
  [1735] = {.lex_state = 65, .external_lex_state = 2},
  [1736] = {.lex_state = 65, .external_lex_state = 2},
  [1737] = {.lex_state = 65},
  [1738] = {.lex_state = 14},
  [1739] = {.lex_state = 14},
  [1740] = {.lex_state = 14},
  [1741] = {.lex_state = 14},
  [1742] = {.lex_state = 65},
  [1743] = {.lex_state = 65, .external_lex_state = 2},
  [1744] = {.lex_state = 65, .external_lex_state = 2},
  [1745] = {.lex_state = 65},
  [1746] = {.lex_state = 65, .external_lex_state = 2},
  [1747] = {.lex_state = 65, .external_lex_state = 2},
  [1748] = {.lex_state = 65, .external_lex_state = 2},
  [1749] = {.lex_state = 65, .external_lex_state = 2},
  [1750] = {.lex_state = 65, .external_lex_state = 2},
  [1751] = {.lex_state = 65, .external_lex_state = 2},
  [1752] = {.lex_state = 65},
  [1753] = {.lex_state = 65, .external_lex_state = 2},
  [1754] = {.lex_state = 65, .external_lex_state = 2},
  [1755] = {.lex_state = 65},
  [1756] = {.lex_state = 65, .external_lex_state = 2},
  [1757] = {.lex_state = 65, .external_lex_state = 2},
  [1758] = {.lex_state = 16},
  [1759] = {.lex_state = 65},
  [1760] = {.lex_state = 16},
  [1761] = {.lex_state = 65},
  [1762] = {.lex_state = 16},
  [1763] = {.lex_state = 65},
  [1764] = {.lex_state = 16},
  [1765] = {.lex_state = 65},
  [1766] = {.lex_state = 65},
  [1767] = {.lex_state = 14},
  [1768] = {.lex_state = 65},
  [1769] = {.lex_state = 16},
  [1770] = {.lex_state = 16},
  [1771] = {.lex_state = 65, .external_lex_state = 2},
  [1772] = {.lex_state = 16},
  [1773] = {.lex_state = 65},
  [1774] = {.lex_state = 65, .external_lex_state = 2},
  [1775] = {.lex_state = 65, .external_lex_state = 2},
  [1776] = {.lex_state = 65, .external_lex_state = 2},
  [1777] = {.lex_state = 65},
  [1778] = {.lex_state = 65, .external_lex_state = 2},
  [1779] = {.lex_state = 65, .external_lex_state = 2},
  [1780] = {.lex_state = 14},
  [1781] = {.lex_state = 14},
  [1782] = {.lex_state = 14},
  [1783] = {.lex_state = 65, .external_lex_state = 2},
  [1784] = {.lex_state = 65, .external_lex_state = 2},
  [1785] = {.lex_state = 65},
  [1786] = {.lex_state = 65},
  [1787] = {.lex_state = 65},
  [1788] = {.lex_state = 65},
  [1789] = {.lex_state = 65},
  [1790] = {.lex_state = 65},
  [1791] = {.lex_state = 65},
  [1792] = {.lex_state = 14},
  [1793] = {.lex_state = 20},
  [1794] = {.lex_state = 65},
  [1795] = {.lex_state = 65},
  [1796] = {.lex_state = 65},
  [1797] = {.lex_state = 65},
  [1798] = {.lex_state = 65, .external_lex_state = 2},
  [1799] = {.lex_state = 65},
  [1800] = {.lex_state = 3, .external_lex_state = 10},
  [1801] = {.lex_state = 65},
  [1802] = {.lex_state = 65, .external_lex_state = 2},
  [1803] = {.lex_state = 65},
  [1804] = {.lex_state = 65, .external_lex_state = 2},
  [1805] = {.lex_state = 65, .external_lex_state = 2},
  [1806] = {.lex_state = 65},
  [1807] = {.lex_state = 65},
  [1808] = {.lex_state = 65},
  [1809] = {.lex_state = 65, .external_lex_state = 2},
  [1810] = {.lex_state = 65},
  [1811] = {.lex_state = 65},
  [1812] = {.lex_state = 65},
  [1813] = {.lex_state = 65},
  [1814] = {.lex_state = 65},
  [1815] = {.lex_state = 65},
  [1816] = {.lex_state = 65},
  [1817] = {.lex_state = 65},
  [1818] = {.lex_state = 65},
  [1819] = {.lex_state = 3, .external_lex_state = 11},
  [1820] = {.lex_state = 14},
  [1821] = {.lex_state = 65},
  [1822] = {.lex_state = 65},
  [1823] = {.lex_state = 65},
  [1824] = {.lex_state = 65},
  [1825] = {.lex_state = 65},
  [1826] = {.lex_state = 65},
  [1827] = {.lex_state = 3, .external_lex_state = 10},
  [1828] = {.lex_state = 65, .external_lex_state = 2},
  [1829] = {.lex_state = 3, .external_lex_state = 10},
  [1830] = {.lex_state = 65},
  [1831] = {.lex_state = 65, .external_lex_state = 2},
  [1832] = {.lex_state = 65},
  [1833] = {.lex_state = 17, .external_lex_state = 2},
  [1834] = {.lex_state = 65},
  [1835] = {.lex_state = 65},
  [1836] = {.lex_state = 65},
  [1837] = {.lex_state = 65, .external_lex_state = 2},
  [1838] = {.lex_state = 65, .external_lex_state = 2},
  [1839] = {.lex_state = 65},
  [1840] = {.lex_state = 65, .external_lex_state = 2},
  [1841] = {.lex_state = 65, .external_lex_state = 2},
  [1842] = {.lex_state = 14},
  [1843] = {.lex_state = 65},
  [1844] = {.lex_state = 65},
  [1845] = {.lex_state = 65},
  [1846] = {.lex_state = 65},
  [1847] = {.lex_state = 65},
  [1848] = {.lex_state = 20},
  [1849] = {.lex_state = 65},
  [1850] = {.lex_state = 65},
  [1851] = {.lex_state = 65},
  [1852] = {.lex_state = 65},
  [1853] = {.lex_state = 65},
  [1854] = {.lex_state = 65},
  [1855] = {.lex_state = 65},
  [1856] = {.lex_state = 65},
  [1857] = {.lex_state = 65},
  [1858] = {.lex_state = 65, .external_lex_state = 2},
  [1859] = {.lex_state = 65},
  [1860] = {.lex_state = 65},
  [1861] = {.lex_state = 14},
  [1862] = {.lex_state = 3, .external_lex_state = 10},
  [1863] = {.lex_state = 65},
  [1864] = {.lex_state = 65},
  [1865] = {.lex_state = 65},
  [1866] = {.lex_state = 65},
  [1867] = {.lex_state = 65, .external_lex_state = 2},
  [1868] = {.lex_state = 65},
  [1869] = {.lex_state = 3, .external_lex_state = 11},
  [1870] = {.lex_state = 65},
  [1871] = {.lex_state = 65},
  [1872] = {.lex_state = 65},
  [1873] = {.lex_state = 65},
  [1874] = {.lex_state = 65},
  [1875] = {.lex_state = 65, .external_lex_state = 2},
  [1876] = {.lex_state = 65},
  [1877] = {.lex_state = 65},
  [1878] = {.lex_state = 65, .external_lex_state = 2},
  [1879] = {.lex_state = 65},
  [1880] = {.lex_state = 65, .external_lex_state = 2},
  [1881] = {.lex_state = 65},
  [1882] = {.lex_state = 65},
  [1883] = {.lex_state = 14},
  [1884] = {.lex_state = 65},
  [1885] = {.lex_state = 65},
  [1886] = {.lex_state = 65, .external_lex_state = 2},
  [1887] = {.lex_state = 65, .external_lex_state = 2},
  [1888] = {.lex_state = 65, .external_lex_state = 2},
  [1889] = {.lex_state = 65},
  [1890] = {.lex_state = 65},
  [1891] = {.lex_state = 65},
  [1892] = {.lex_state = 65},
  [1893] = {.lex_state = 65},
  [1894] = {.lex_state = 65},
  [1895] = {.lex_state = 65, .external_lex_state = 2},
  [1896] = {.lex_state = 65},
  [1897] = {.lex_state = 65},
  [1898] = {.lex_state = 65},
  [1899] = {.lex_state = 65},
  [1900] = {.lex_state = 65},
  [1901] = {.lex_state = 65},
  [1902] = {.lex_state = 65, .external_lex_state = 2},
  [1903] = {.lex_state = 65},
  [1904] = {.lex_state = 65, .external_lex_state = 2},
  [1905] = {.lex_state = 65},
  [1906] = {.lex_state = 65},
  [1907] = {.lex_state = 65},
  [1908] = {.lex_state = 65},
  [1909] = {.lex_state = 65},
  [1910] = {.lex_state = 65, .external_lex_state = 12},
  [1911] = {.lex_state = 65},
  [1912] = {.lex_state = 65, .external_lex_state = 2},
  [1913] = {.lex_state = 65},
  [1914] = {.lex_state = 65},
  [1915] = {.lex_state = 65},
  [1916] = {.lex_state = 65},
  [1917] = {.lex_state = 65, .external_lex_state = 2},
  [1918] = {.lex_state = 65},
  [1919] = {.lex_state = 65},
  [1920] = {.lex_state = 65},
  [1921] = {.lex_state = 65, .external_lex_state = 2},
  [1922] = {.lex_state = 65},
  [1923] = {.lex_state = 65, .external_lex_state = 2},
  [1924] = {.lex_state = 65},
  [1925] = {.lex_state = 65},
  [1926] = {.lex_state = 65},
  [1927] = {.lex_state = 65},
  [1928] = {.lex_state = 65},
  [1929] = {.lex_state = 65},
  [1930] = {.lex_state = 65},
  [1931] = {.lex_state = 65},
  [1932] = {.lex_state = 14},
  [1933] = {.lex_state = 65},
  [1934] = {.lex_state = 65},
  [1935] = {.lex_state = 65, .external_lex_state = 2},
  [1936] = {.lex_state = 65},
  [1937] = {.lex_state = 65},
  [1938] = {.lex_state = 65},
  [1939] = {.lex_state = 65},
  [1940] = {.lex_state = 65},
  [1941] = {.lex_state = 65},
  [1942] = {.lex_state = 65},
  [1943] = {.lex_state = 65, .external_lex_state = 2},
  [1944] = {.lex_state = 65},
  [1945] = {.lex_state = 65},
  [1946] = {.lex_state = 65},
  [1947] = {.lex_state = 65},
  [1948] = {.lex_state = 65, .external_lex_state = 2},
  [1949] = {.lex_state = 65},
  [1950] = {.lex_state = 65},
  [1951] = {.lex_state = 65},
  [1952] = {.lex_state = 65},
  [1953] = {.lex_state = 65},
  [1954] = {.lex_state = 65},
  [1955] = {.lex_state = 65},
  [1956] = {.lex_state = 65},
  [1957] = {.lex_state = 65},
  [1958] = {.lex_state = 65},
  [1959] = {.lex_state = 65},
  [1960] = {.lex_state = 65},
  [1961] = {.lex_state = 65},
  [1962] = {.lex_state = 65},
  [1963] = {.lex_state = 65},
  [1964] = {.lex_state = 65},
  [1965] = {.lex_state = 65},
  [1966] = {.lex_state = 65, .external_lex_state = 2},
  [1967] = {.lex_state = 65, .external_lex_state = 2},
  [1968] = {.lex_state = 65, .external_lex_state = 2},
  [1969] = {.lex_state = 65},
  [1970] = {.lex_state = 65},
  [1971] = {.lex_state = 65},
  [1972] = {.lex_state = 65},
  [1973] = {.lex_state = 3, .external_lex_state = 10},
  [1974] = {.lex_state = 65, .external_lex_state = 2},
  [1975] = {.lex_state = 65},
  [1976] = {.lex_state = 65},
  [1977] = {.lex_state = 65},
  [1978] = {.lex_state = 65},
  [1979] = {.lex_state = 65},
  [1980] = {.lex_state = 65},
  [1981] = {.lex_state = 65, .external_lex_state = 2},
  [1982] = {.lex_state = 65},
  [1983] = {.lex_state = 65},
  [1984] = {.lex_state = 65},
  [1985] = {.lex_state = 65, .external_lex_state = 2},
  [1986] = {.lex_state = 65},
  [1987] = {.lex_state = 65},
  [1988] = {.lex_state = 65},
  [1989] = {.lex_state = 65},
  [1990] = {.lex_state = 65},
  [1991] = {.lex_state = 65},
  [1992] = {.lex_state = 65},
  [1993] = {.lex_state = 65, .external_lex_state = 2},
  [1994] = {.lex_state = 65},
  [1995] = {.lex_state = 65, .external_lex_state = 2},
  [1996] = {.lex_state = 65, .external_lex_state = 2},
  [1997] = {.lex_state = 3, .external_lex_state = 10},
  [1998] = {.lex_state = 3, .external_lex_state = 10},
  [1999] = {.lex_state = 65},
  [2000] = {.lex_state = 65},
  [2001] = {.lex_state = 65},
  [2002] = {.lex_state = 65, .external_lex_state = 2},
  [2003] = {.lex_state = 65, .external_lex_state = 2},
  [2004] = {.lex_state = 65, .external_lex_state = 2},
  [2005] = {.lex_state = 65},
  [2006] = {.lex_state = 65},
  [2007] = {.lex_state = 65},
  [2008] = {.lex_state = 65},
  [2009] = {.lex_state = 65},
  [2010] = {.lex_state = 65},
  [2011] = {.lex_state = 65},
  [2012] = {.lex_state = 65},
  [2013] = {.lex_state = 65, .external_lex_state = 2},
  [2014] = {.lex_state = 65},
  [2015] = {.lex_state = 65},
  [2016] = {.lex_state = 65},
  [2017] = {.lex_state = 65, .external_lex_state = 2},
  [2018] = {.lex_state = 65},
  [2019] = {.lex_state = 65, .external_lex_state = 2},
  [2020] = {.lex_state = 65},
  [2021] = {.lex_state = 65, .external_lex_state = 2},
  [2022] = {.lex_state = 65},
  [2023] = {.lex_state = 65},
  [2024] = {.lex_state = 65},
  [2025] = {.lex_state = 65},
  [2026] = {.lex_state = 65},
  [2027] = {.lex_state = 65},
  [2028] = {.lex_state = 65},
  [2029] = {.lex_state = 65},
  [2030] = {.lex_state = 65},
  [2031] = {.lex_state = 65},
  [2032] = {.lex_state = 65, .external_lex_state = 2},
  [2033] = {.lex_state = 65},
  [2034] = {.lex_state = 65, .external_lex_state = 2},
  [2035] = {.lex_state = 65},
  [2036] = {.lex_state = 65},
  [2037] = {.lex_state = 65},
  [2038] = {.lex_state = 65},
  [2039] = {.lex_state = 65},
  [2040] = {.lex_state = 65},
  [2041] = {.lex_state = 65},
  [2042] = {.lex_state = 65},
  [2043] = {.lex_state = 65},
  [2044] = {.lex_state = 65},
  [2045] = {.lex_state = 65},
  [2046] = {.lex_state = 65},
  [2047] = {.lex_state = 65, .external_lex_state = 2},
  [2048] = {.lex_state = 65},
  [2049] = {.lex_state = 65},
  [2050] = {.lex_state = 65, .external_lex_state = 2},
  [2051] = {.lex_state = 65, .external_lex_state = 2},
  [2052] = {.lex_state = 65, .external_lex_state = 2},
  [2053] = {.lex_state = 65, .external_lex_state = 2},
  [2054] = {.lex_state = 65},
  [2055] = {.lex_state = 65},
  [2056] = {.lex_state = 65},
  [2057] = {.lex_state = 65},
  [2058] = {.lex_state = 65},
  [2059] = {.lex_state = 65},
  [2060] = {.lex_state = 65},
  [2061] = {.lex_state = 65},
  [2062] = {.lex_state = 65, .external_lex_state = 2},
  [2063] = {.lex_state = 65},
  [2064] = {.lex_state = 65},
  [2065] = {.lex_state = 65},
  [2066] = {.lex_state = 65},
  [2067] = {.lex_state = 65},
  [2068] = {.lex_state = 65},
  [2069] = {.lex_state = 65},
  [2070] = {.lex_state = 65},
  [2071] = {.lex_state = 65},
  [2072] = {.lex_state = 65, .external_lex_state = 2},
  [2073] = {.lex_state = 65},
  [2074] = {.lex_state = 65},
  [2075] = {.lex_state = 65, .external_lex_state = 2},
  [2076] = {.lex_state = 65, .external_lex_state = 2},
  [2077] = {.lex_state = 65, .external_lex_state = 2},
  [2078] = {.lex_state = 65, .external_lex_state = 2},
  [2079] = {.lex_state = 65, .external_lex_state = 2},
  [2080] = {.lex_state = 65, .external_lex_state = 2},
  [2081] = {.lex_state = 65},
  [2082] = {.lex_state = 65},
  [2083] = {.lex_state = 65, .external_lex_state = 2},
  [2084] = {.lex_state = 65, .external_lex_state = 2},
  [2085] = {.lex_state = 65},
  [2086] = {.lex_state = 65, .external_lex_state = 2},
  [2087] = {.lex_state = 65},
  [2088] = {.lex_state = 65, .external_lex_state = 2},
  [2089] = {.lex_state = 65},
  [2090] = {.lex_state = 65},
  [2091] = {.lex_state = 65},
  [2092] = {.lex_state = 65, .external_lex_state = 12},
  [2093] = {.lex_state = 65},
  [2094] = {.lex_state = 65},
  [2095] = {.lex_state = 65},
  [2096] = {.lex_state = 65, .external_lex_state = 2},
  [2097] = {.lex_state = 65},
  [2098] = {.lex_state = 65},
  [2099] = {.lex_state = 65},
  [2100] = {.lex_state = 65},
  [2101] = {.lex_state = 65},
  [2102] = {.lex_state = 65, .external_lex_state = 2},
  [2103] = {.lex_state = 14},
  [2104] = {.lex_state = 65},
  [2105] = {.lex_state = 14},
  [2106] = {.lex_state = 65, .external_lex_state = 2},
  [2107] = {.lex_state = 65},
  [2108] = {.lex_state = 65},
  [2109] = {.lex_state = 65},
  [2110] = {.lex_state = 65},
  [2111] = {.lex_state = 65},
  [2112] = {.lex_state = 65},
  [2113] = {.lex_state = 65},
  [2114] = {.lex_state = 65},
  [2115] = {.lex_state = 65},
  [2116] = {.lex_state = 65},
  [2117] = {.lex_state = 65},
  [2118] = {.lex_state = 65},
  [2119] = {.lex_state = 65},
  [2120] = {.lex_state = 65},
  [2121] = {.lex_state = 65},
  [2122] = {.lex_state = 65},
  [2123] = {.lex_state = 65},
  [2124] = {.lex_state = 65},
  [2125] = {.lex_state = 65},
  [2126] = {.lex_state = 65},
  [2127] = {.lex_state = 65},
  [2128] = {.lex_state = 65},
  [2129] = {.lex_state = 65},
  [2130] = {.lex_state = 65},
  [2131] = {.lex_state = 65},
  [2132] = {.lex_state = 65},
  [2133] = {.lex_state = 65, .external_lex_state = 2},
  [2134] = {.lex_state = 65, .external_lex_state = 2},
  [2135] = {.lex_state = 65},
  [2136] = {.lex_state = 65, .external_lex_state = 2},
  [2137] = {.lex_state = 65, .external_lex_state = 2},
  [2138] = {.lex_state = 65},
  [2139] = {.lex_state = 65},
  [2140] = {.lex_state = 65},
  [2141] = {.lex_state = 65},
  [2142] = {.lex_state = 65},
  [2143] = {.lex_state = 65},
  [2144] = {.lex_state = 65},
  [2145] = {.lex_state = 65},
  [2146] = {.lex_state = 65},
  [2147] = {.lex_state = 65, .external_lex_state = 2},
  [2148] = {.lex_state = 65, .external_lex_state = 2},
  [2149] = {.lex_state = 65},
  [2150] = {.lex_state = 65, .external_lex_state = 2},
  [2151] = {.lex_state = 65},
  [2152] = {.lex_state = 65},
  [2153] = {.lex_state = 65},
  [2154] = {.lex_state = 65},
  [2155] = {.lex_state = 65},
  [2156] = {.lex_state = 65},
  [2157] = {.lex_state = 65},
  [2158] = {.lex_state = 65},
  [2159] = {.lex_state = 65, .external_lex_state = 2},
  [2160] = {.lex_state = 65},
  [2161] = {.lex_state = 65, .external_lex_state = 2},
  [2162] = {.lex_state = 65, .external_lex_state = 2},
  [2163] = {.lex_state = 65, .external_lex_state = 2},
  [2164] = {.lex_state = 14},
  [2165] = {.lex_state = 65},
  [2166] = {.lex_state = 3, .external_lex_state = 10},
  [2167] = {.lex_state = 65},
  [2168] = {.lex_state = 65},
  [2169] = {.lex_state = 65},
  [2170] = {.lex_state = 65, .external_lex_state = 2},
  [2171] = {.lex_state = 65},
  [2172] = {.lex_state = 65, .external_lex_state = 2},
  [2173] = {.lex_state = 65},
  [2174] = {.lex_state = 65},
  [2175] = {.lex_state = 65},
  [2176] = {.lex_state = 3, .external_lex_state = 10},
  [2177] = {.lex_state = 65, .external_lex_state = 2},
  [2178] = {.lex_state = 65},
  [2179] = {.lex_state = 65, .external_lex_state = 2},
  [2180] = {.lex_state = 3, .external_lex_state = 10},
  [2181] = {.lex_state = 65},
  [2182] = {.lex_state = 65},
  [2183] = {.lex_state = 65, .external_lex_state = 2},
  [2184] = {.lex_state = 65, .external_lex_state = 2},
  [2185] = {.lex_state = 65, .external_lex_state = 2},
  [2186] = {.lex_state = 65},
  [2187] = {.lex_state = 65},
  [2188] = {.lex_state = 65, .external_lex_state = 2},
  [2189] = {.lex_state = 65, .external_lex_state = 2},
  [2190] = {.lex_state = 65},
  [2191] = {.lex_state = 65},
  [2192] = {.lex_state = 65},
  [2193] = {.lex_state = 65},
  [2194] = {.lex_state = 65},
  [2195] = {.lex_state = 65},
  [2196] = {.lex_state = 65},
  [2197] = {.lex_state = 65},
  [2198] = {.lex_state = 65},
  [2199] = {.lex_state = 65},
  [2200] = {.lex_state = 65},
  [2201] = {.lex_state = 65, .external_lex_state = 2},
  [2202] = {.lex_state = 65, .external_lex_state = 2},
  [2203] = {.lex_state = 65},
  [2204] = {.lex_state = 65, .external_lex_state = 2},
  [2205] = {.lex_state = 65, .external_lex_state = 2},
  [2206] = {.lex_state = 65},
  [2207] = {.lex_state = 65},
  [2208] = {.lex_state = 65},
  [2209] = {.lex_state = 65},
  [2210] = {.lex_state = 65},
  [2211] = {.lex_state = 65},
  [2212] = {.lex_state = 65},
  [2213] = {.lex_state = 65, .external_lex_state = 2},
  [2214] = {.lex_state = 65},
  [2215] = {.lex_state = 65},
  [2216] = {.lex_state = 65},
  [2217] = {.lex_state = 65, .external_lex_state = 2},
  [2218] = {.lex_state = 65},
  [2219] = {.lex_state = 65, .external_lex_state = 2},
  [2220] = {.lex_state = 65},
  [2221] = {.lex_state = 65},
  [2222] = {.lex_state = 65},
  [2223] = {.lex_state = 65},
  [2224] = {.lex_state = 65, .external_lex_state = 2},
  [2225] = {.lex_state = 65},
  [2226] = {.lex_state = 65},
  [2227] = {.lex_state = 65},
  [2228] = {.lex_state = 65},
  [2229] = {.lex_state = 65, .external_lex_state = 2},
  [2230] = {.lex_state = 65, .external_lex_state = 2},
  [2231] = {.lex_state = 65},
  [2232] = {.lex_state = 65},
  [2233] = {.lex_state = 65},
  [2234] = {.lex_state = 65, .external_lex_state = 2},
  [2235] = {.lex_state = 65, .external_lex_state = 2},
  [2236] = {.lex_state = 65, .external_lex_state = 2},
  [2237] = {.lex_state = 65, .external_lex_state = 2},
  [2238] = {.lex_state = 65, .external_lex_state = 2},
  [2239] = {.lex_state = 65},
  [2240] = {.lex_state = 65},
  [2241] = {.lex_state = 65},
  [2242] = {.lex_state = 65},
  [2243] = {.lex_state = 65},
  [2244] = {.lex_state = 65},
  [2245] = {.lex_state = 65},
  [2246] = {.lex_state = 65},
  [2247] = {.lex_state = 65},
  [2248] = {.lex_state = 65},
  [2249] = {.lex_state = 65},
  [2250] = {.lex_state = 65},
  [2251] = {.lex_state = 65},
  [2252] = {.lex_state = 65},
  [2253] = {.lex_state = 65},
  [2254] = {.lex_state = 65},
  [2255] = {.lex_state = 65},
  [2256] = {.lex_state = 65},
  [2257] = {.lex_state = 65},
  [2258] = {.lex_state = 65},
  [2259] = {.lex_state = 65},
  [2260] = {.lex_state = 65},
  [2261] = {.lex_state = 65},
  [2262] = {.lex_state = 65},
  [2263] = {.lex_state = 65},
  [2264] = {.lex_state = 65},
  [2265] = {.lex_state = 65},
  [2266] = {.lex_state = 65},
  [2267] = {.lex_state = 65},
  [2268] = {.lex_state = 65, .external_lex_state = 2},
  [2269] = {.lex_state = 65},
  [2270] = {.lex_state = 3, .external_lex_state = 10},
  [2271] = {.lex_state = 65},
  [2272] = {.lex_state = 65},
  [2273] = {.lex_state = 65},
  [2274] = {.lex_state = 65},
  [2275] = {.lex_state = 65},
  [2276] = {.lex_state = 65},
  [2277] = {.lex_state = 65},
  [2278] = {.lex_state = 65},
  [2279] = {.lex_state = 65},
  [2280] = {.lex_state = 65},
  [2281] = {.lex_state = 65},
  [2282] = {.lex_state = 65},
  [2283] = {.lex_state = 65, .external_lex_state = 2},
  [2284] = {.lex_state = 65},
  [2285] = {.lex_state = 65},
  [2286] = {.lex_state = 65},
  [2287] = {.lex_state = 65},
  [2288] = {.lex_state = 65},
  [2289] = {.lex_state = 65},
  [2290] = {.lex_state = 65},
  [2291] = {.lex_state = 65},
  [2292] = {.lex_state = 65, .external_lex_state = 2},
  [2293] = {.lex_state = 65},
  [2294] = {.lex_state = 65},
  [2295] = {.lex_state = 65},
  [2296] = {.lex_state = 65},
  [2297] = {.lex_state = 65},
  [2298] = {.lex_state = 65},
  [2299] = {.lex_state = 65},
  [2300] = {.lex_state = 65},
  [2301] = {.lex_state = 65},
  [2302] = {.lex_state = 65},
  [2303] = {.lex_state = 65},
  [2304] = {.lex_state = 65},
  [2305] = {.lex_state = 65},
  [2306] = {.lex_state = 65},
  [2307] = {.lex_state = 65},
  [2308] = {.lex_state = 65},
  [2309] = {.lex_state = 65},
  [2310] = {.lex_state = 65},
  [2311] = {.lex_state = 65},
  [2312] = {.lex_state = 65},
  [2313] = {.lex_state = 65},
  [2314] = {.lex_state = 65},
  [2315] = {.lex_state = 65},
  [2316] = {.lex_state = 65},
  [2317] = {.lex_state = 65},
  [2318] = {.lex_state = 65},
  [2319] = {.lex_state = 65},
  [2320] = {.lex_state = 65},
  [2321] = {.lex_state = 3, .external_lex_state = 10},
  [2322] = {.lex_state = 65},
  [2323] = {.lex_state = 3, .external_lex_state = 10},
  [2324] = {.lex_state = 65},
  [2325] = {.lex_state = 3, .external_lex_state = 10},
  [2326] = {.lex_state = 65, .external_lex_state = 13},
  [2327] = {.lex_state = 65},
  [2328] = {.lex_state = 3, .external_lex_state = 10},
  [2329] = {.lex_state = 65},
  [2330] = {.lex_state = 65},
  [2331] = {.lex_state = 65},
  [2332] = {.lex_state = 65},
  [2333] = {.lex_state = 65},
  [2334] = {.lex_state = 65},
  [2335] = {.lex_state = 65},
  [2336] = {.lex_state = 65},
  [2337] = {.lex_state = 65},
  [2338] = {.lex_state = 65},
  [2339] = {.lex_state = 65},
  [2340] = {.lex_state = 65},
  [2341] = {.lex_state = 65},
  [2342] = {.lex_state = 65},
  [2343] = {.lex_state = 65},
  [2344] = {.lex_state = 65},
  [2345] = {.lex_state = 65},
  [2346] = {.lex_state = 65},
  [2347] = {.lex_state = 65},
  [2348] = {.lex_state = 65},
  [2349] = {.lex_state = 65},
  [2350] = {.lex_state = 65},
  [2351] = {.lex_state = 65, .external_lex_state = 2},
  [2352] = {.lex_state = 65},
  [2353] = {.lex_state = 65},
  [2354] = {.lex_state = 65},
  [2355] = {.lex_state = 65},
  [2356] = {.lex_state = 65},
  [2357] = {.lex_state = 65},
  [2358] = {.lex_state = 65},
  [2359] = {.lex_state = 65},
  [2360] = {.lex_state = 65},
  [2361] = {.lex_state = 65},
  [2362] = {.lex_state = 65, .external_lex_state = 2},
  [2363] = {.lex_state = 3, .external_lex_state = 10},
  [2364] = {.lex_state = 65},
  [2365] = {.lex_state = 65},
  [2366] = {.lex_state = 65},
  [2367] = {.lex_state = 65},
  [2368] = {.lex_state = 65},
  [2369] = {.lex_state = 65},
  [2370] = {.lex_state = 3, .external_lex_state = 10},
  [2371] = {.lex_state = 3, .external_lex_state = 10},
  [2372] = {.lex_state = 65},
  [2373] = {.lex_state = 65},
  [2374] = {.lex_state = 65},
  [2375] = {.lex_state = 65},
  [2376] = {.lex_state = 65},
  [2377] = {.lex_state = 65},
  [2378] = {.lex_state = 65},
  [2379] = {.lex_state = 65},
  [2380] = {.lex_state = 65},
  [2381] = {.lex_state = 65},
  [2382] = {.lex_state = 65},
  [2383] = {.lex_state = 65},
  [2384] = {.lex_state = 65},
  [2385] = {.lex_state = 65},
  [2386] = {.lex_state = 65},
  [2387] = {.lex_state = 3, .external_lex_state = 10},
  [2388] = {.lex_state = 65},
  [2389] = {.lex_state = 65},
  [2390] = {.lex_state = 65},
  [2391] = {.lex_state = 65},
  [2392] = {.lex_state = 3, .external_lex_state = 10},
  [2393] = {.lex_state = 65},
  [2394] = {.lex_state = 65},
  [2395] = {.lex_state = 65},
  [2396] = {.lex_state = 65},
  [2397] = {.lex_state = 65},
  [2398] = {.lex_state = 65},
  [2399] = {.lex_state = 65},
  [2400] = {.lex_state = 65},
  [2401] = {.lex_state = 65},
  [2402] = {.lex_state = 65},
  [2403] = {.lex_state = 65},
  [2404] = {.lex_state = 65, .external_lex_state = 2},
  [2405] = {.lex_state = 65},
  [2406] = {.lex_state = 65, .external_lex_state = 2},
  [2407] = {.lex_state = 65},
  [2408] = {.lex_state = 65},
  [2409] = {.lex_state = 65},
  [2410] = {.lex_state = 65},
  [2411] = {.lex_state = 65},
  [2412] = {.lex_state = 65},
  [2413] = {.lex_state = 65},
  [2414] = {.lex_state = 65},
  [2415] = {.lex_state = 65},
  [2416] = {.lex_state = 65},
  [2417] = {.lex_state = 65},
  [2418] = {.lex_state = 65},
  [2419] = {.lex_state = 65},
  [2420] = {.lex_state = 65},
  [2421] = {.lex_state = 65},
  [2422] = {.lex_state = 65},
  [2423] = {.lex_state = 65},
  [2424] = {.lex_state = 65, .external_lex_state = 2},
  [2425] = {.lex_state = 65},
  [2426] = {.lex_state = 65},
  [2427] = {.lex_state = 65},
  [2428] = {.lex_state = 65},
  [2429] = {.lex_state = 65},
  [2430] = {.lex_state = 65},
  [2431] = {.lex_state = 65},
  [2432] = {.lex_state = 65},
  [2433] = {.lex_state = 65},
  [2434] = {.lex_state = 65},
  [2435] = {.lex_state = 65},
  [2436] = {.lex_state = 65},
  [2437] = {.lex_state = 65},
  [2438] = {.lex_state = 65},
  [2439] = {.lex_state = 65},
  [2440] = {.lex_state = 65},
  [2441] = {.lex_state = 65},
  [2442] = {.lex_state = 65},
  [2443] = {.lex_state = 65},
  [2444] = {.lex_state = 65},
  [2445] = {.lex_state = 65},
  [2446] = {.lex_state = 65},
  [2447] = {.lex_state = 17},
  [2448] = {.lex_state = 65},
  [2449] = {.lex_state = 65},
  [2450] = {.lex_state = 65},
  [2451] = {.lex_state = 65},
  [2452] = {.lex_state = 65},
  [2453] = {.lex_state = 65},
  [2454] = {.lex_state = 65},
  [2455] = {.lex_state = 65},
  [2456] = {.lex_state = 65},
  [2457] = {.lex_state = 65},
  [2458] = {.lex_state = 65},
  [2459] = {.lex_state = 65},
  [2460] = {.lex_state = 65},
  [2461] = {.lex_state = 65},
  [2462] = {.lex_state = 65},
  [2463] = {.lex_state = 65},
  [2464] = {.lex_state = 65},
  [2465] = {.lex_state = 65},
  [2466] = {.lex_state = 65},
  [2467] = {.lex_state = 65},
  [2468] = {.lex_state = 65},
  [2469] = {.lex_state = 65},
  [2470] = {.lex_state = 65},
  [2471] = {.lex_state = 65},
  [2472] = {.lex_state = 65},
  [2473] = {.lex_state = 65},
  [2474] = {.lex_state = 65},
  [2475] = {.lex_state = 65},
  [2476] = {.lex_state = 65},
  [2477] = {.lex_state = 65},
  [2478] = {.lex_state = 65},
  [2479] = {.lex_state = 65},
  [2480] = {.lex_state = 65},
  [2481] = {.lex_state = 65},
  [2482] = {.lex_state = 65},
  [2483] = {.lex_state = 65},
  [2484] = {.lex_state = 65},
  [2485] = {.lex_state = 65},
  [2486] = {.lex_state = 65},
  [2487] = {.lex_state = 65, .external_lex_state = 10},
  [2488] = {.lex_state = 65},
  [2489] = {.lex_state = 65},
  [2490] = {.lex_state = 65},
  [2491] = {.lex_state = 65},
  [2492] = {.lex_state = 65},
  [2493] = {.lex_state = 65},
  [2494] = {.lex_state = 65},
  [2495] = {.lex_state = 65},
  [2496] = {.lex_state = 65},
  [2497] = {.lex_state = 65},
  [2498] = {.lex_state = 65},
  [2499] = {.lex_state = 65},
  [2500] = {.lex_state = 65},
  [2501] = {.lex_state = 65},
  [2502] = {.lex_state = 65},
  [2503] = {.lex_state = 65, .external_lex_state = 10},
  [2504] = {.lex_state = 65},
  [2505] = {.lex_state = 65},
  [2506] = {.lex_state = 65},
  [2507] = {.lex_state = 65, .external_lex_state = 10},
  [2508] = {.lex_state = 65},
  [2509] = {.lex_state = 65},
  [2510] = {.lex_state = 65},
  [2511] = {.lex_state = 65},
  [2512] = {.lex_state = 65},
  [2513] = {.lex_state = 65},
  [2514] = {.lex_state = 65},
  [2515] = {.lex_state = 65},
  [2516] = {.lex_state = 65},
  [2517] = {.lex_state = 65},
  [2518] = {.lex_state = 65},
  [2519] = {.lex_state = 65},
  [2520] = {.lex_state = 65},
  [2521] = {.lex_state = 65},
  [2522] = {.lex_state = 65, .external_lex_state = 12},
  [2523] = {.lex_state = 65, .external_lex_state = 12},
  [2524] = {.lex_state = 65},
  [2525] = {.lex_state = 65},
  [2526] = {.lex_state = 65},
  [2527] = {.lex_state = 65},
  [2528] = {.lex_state = 65},
  [2529] = {.lex_state = 65},
  [2530] = {.lex_state = 65},
  [2531] = {.lex_state = 65},
  [2532] = {.lex_state = 65},
  [2533] = {.lex_state = 65},
  [2534] = {.lex_state = 65},
  [2535] = {.lex_state = 65},
  [2536] = {.lex_state = 65, .external_lex_state = 12},
  [2537] = {.lex_state = 65},
  [2538] = {.lex_state = 65},
  [2539] = {.lex_state = 65},
  [2540] = {.lex_state = 65},
  [2541] = {.lex_state = 65, .external_lex_state = 10},
  [2542] = {.lex_state = 65},
  [2543] = {.lex_state = 65},
  [2544] = {.lex_state = 65},
  [2545] = {.lex_state = 65},
  [2546] = {.lex_state = 65},
  [2547] = {.lex_state = 65},
  [2548] = {.lex_state = 65},
  [2549] = {.lex_state = 65},
  [2550] = {.lex_state = 65},
  [2551] = {.lex_state = 10},
  [2552] = {.lex_state = 65},
  [2553] = {.lex_state = 65},
  [2554] = {.lex_state = 65},
  [2555] = {.lex_state = 65},
  [2556] = {.lex_state = 65},
  [2557] = {.lex_state = 65, .external_lex_state = 10},
  [2558] = {.lex_state = 65, .external_lex_state = 10},
  [2559] = {.lex_state = 65},
  [2560] = {.lex_state = 65},
  [2561] = {.lex_state = 65},
  [2562] = {.lex_state = 17},
  [2563] = {.lex_state = 65},
  [2564] = {.lex_state = 65},
  [2565] = {.lex_state = 65},
  [2566] = {.lex_state = 65},
  [2567] = {.lex_state = 65},
  [2568] = {.lex_state = 65},
  [2569] = {.lex_state = 10},
  [2570] = {.lex_state = 65},
  [2571] = {.lex_state = 65},
  [2572] = {.lex_state = 65},
  [2573] = {.lex_state = 65},
  [2574] = {.lex_state = 65},
  [2575] = {.lex_state = 65},
  [2576] = {.lex_state = 65},
  [2577] = {.lex_state = 65},
  [2578] = {.lex_state = 65},
  [2579] = {.lex_state = 65},
  [2580] = {.lex_state = 65, .external_lex_state = 10},
  [2581] = {.lex_state = 65},
  [2582] = {.lex_state = 65},
  [2583] = {.lex_state = 65},
  [2584] = {.lex_state = 65},
  [2585] = {.lex_state = 65},
  [2586] = {.lex_state = 65},
  [2587] = {.lex_state = 65},
  [2588] = {.lex_state = 65},
  [2589] = {.lex_state = 65},
  [2590] = {.lex_state = 65},
  [2591] = {.lex_state = 65},
  [2592] = {.lex_state = 65},
  [2593] = {.lex_state = 65},
  [2594] = {.lex_state = 65},
  [2595] = {.lex_state = 65},
  [2596] = {.lex_state = 65},
  [2597] = {.lex_state = 65},
  [2598] = {.lex_state = 65},
  [2599] = {.lex_state = 65},
  [2600] = {.lex_state = 65},
  [2601] = {.lex_state = 65},
  [2602] = {.lex_state = 65},
  [2603] = {.lex_state = 65},
  [2604] = {.lex_state = 65},
  [2605] = {.lex_state = 65},
  [2606] = {.lex_state = 65},
  [2607] = {.lex_state = 65},
  [2608] = {.lex_state = 65},
  [2609] = {.lex_state = 65},
  [2610] = {.lex_state = 65},
  [2611] = {.lex_state = 65, .external_lex_state = 10},
  [2612] = {.lex_state = 65},
  [2613] = {.lex_state = 65},
  [2614] = {.lex_state = 65},
  [2615] = {.lex_state = 65},
  [2616] = {.lex_state = 65},
  [2617] = {.lex_state = 65},
  [2618] = {.lex_state = 65},
  [2619] = {.lex_state = 65},
  [2620] = {.lex_state = 65},
  [2621] = {.lex_state = 65},
  [2622] = {.lex_state = 65, .external_lex_state = 10},
  [2623] = {.lex_state = 65},
  [2624] = {.lex_state = 65},
  [2625] = {.lex_state = 65, .external_lex_state = 12},
  [2626] = {.lex_state = 65},
  [2627] = {.lex_state = 65},
  [2628] = {.lex_state = 65},
  [2629] = {.lex_state = 65},
  [2630] = {.lex_state = 65},
  [2631] = {.lex_state = 65},
  [2632] = {.lex_state = 65},
  [2633] = {.lex_state = 65},
  [2634] = {.lex_state = 65},
  [2635] = {.lex_state = 65},
  [2636] = {.lex_state = 65},
  [2637] = {.lex_state = 65, .external_lex_state = 10},
  [2638] = {.lex_state = 65},
  [2639] = {.lex_state = 65},
  [2640] = {.lex_state = 65},
  [2641] = {.lex_state = 65},
  [2642] = {.lex_state = 65},
  [2643] = {.lex_state = 65},
  [2644] = {.lex_state = 65},
  [2645] = {.lex_state = 65},
  [2646] = {.lex_state = 65},
  [2647] = {.lex_state = 65},
  [2648] = {.lex_state = 65},
  [2649] = {.lex_state = 65},
  [2650] = {.lex_state = 65},
  [2651] = {.lex_state = 65},
  [2652] = {.lex_state = 65},
  [2653] = {.lex_state = 65},
  [2654] = {.lex_state = 65},
  [2655] = {.lex_state = 65},
  [2656] = {.lex_state = 65},
  [2657] = {.lex_state = 65},
  [2658] = {.lex_state = 65},
  [2659] = {.lex_state = 65},
  [2660] = {.lex_state = 65},
  [2661] = {.lex_state = 65},
  [2662] = {.lex_state = 65},
  [2663] = {.lex_state = 65},
  [2664] = {.lex_state = 65},
  [2665] = {.lex_state = 65},
  [2666] = {.lex_state = 65},
  [2667] = {.lex_state = 65},
  [2668] = {.lex_state = 65},
  [2669] = {.lex_state = 65},
  [2670] = {.lex_state = 65},
  [2671] = {.lex_state = 65},
  [2672] = {.lex_state = 65},
  [2673] = {.lex_state = 65},
  [2674] = {.lex_state = 65},
  [2675] = {.lex_state = 65},
  [2676] = {.lex_state = 65},
  [2677] = {.lex_state = 65},
  [2678] = {.lex_state = 65},
  [2679] = {.lex_state = 65},
  [2680] = {.lex_state = 65},
  [2681] = {.lex_state = 65},
  [2682] = {.lex_state = 65},
  [2683] = {.lex_state = 65},
  [2684] = {.lex_state = 65},
  [2685] = {.lex_state = 65},
  [2686] = {.lex_state = 65},
  [2687] = {.lex_state = 65},
  [2688] = {.lex_state = 65},
  [2689] = {.lex_state = 65},
  [2690] = {.lex_state = 65},
  [2691] = {.lex_state = 65},
  [2692] = {.lex_state = 65},
  [2693] = {.lex_state = 65},
  [2694] = {.lex_state = 65},
  [2695] = {.lex_state = 65},
  [2696] = {.lex_state = 65},
  [2697] = {.lex_state = 65},
  [2698] = {.lex_state = 65},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_name] = ACTIONS(1),
    [anon_sym_QMARK_GT] = ACTIONS(1),
    [sym_php_tag] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [aux_sym_global_declaration_token1] = ACTIONS(1),
    [aux_sym_namespace_definition_token1] = ACTIONS(1),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1),
    [aux_sym_namespace_use_clause_token1] = ACTIONS(1),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1),
    [anon_sym_BSLASH] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [aux_sym_trait_declaration_token1] = ACTIONS(1),
    [aux_sym_interface_declaration_token1] = ACTIONS(1),
    [aux_sym_base_clause_token1] = ACTIONS(1),
    [aux_sym_enum_declaration_token1] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_string] = ACTIONS(1),
    [anon_sym_int] = ACTIONS(1),
    [aux_sym_enum_case_token1] = ACTIONS(1),
    [aux_sym_class_declaration_token1] = ACTIONS(1),
    [aux_sym_final_modifier_token1] = ACTIONS(1),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [sym_var_modifier] = ACTIONS(1),
    [aux_sym_use_instead_of_clause_token1] = ACTIONS(1),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_LPAREN2] = ACTIONS(1),
    [anon_sym_RPAREN2] = ACTIONS(1),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [sym_bottom_type] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_array] = ACTIONS(1),
    [aux_sym_primitive_type_token1] = ACTIONS(1),
    [anon_sym_iterable] = ACTIONS(1),
    [anon_sym_bool] = ACTIONS(1),
    [anon_sym_float] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [anon_sym_mixed] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [anon_sym_null] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [aux_sym_cast_type_token1] = ACTIONS(1),
    [aux_sym_cast_type_token2] = ACTIONS(1),
    [aux_sym_cast_type_token3] = ACTIONS(1),
    [aux_sym_cast_type_token4] = ACTIONS(1),
    [aux_sym_cast_type_token5] = ACTIONS(1),
    [aux_sym_cast_type_token6] = ACTIONS(1),
    [aux_sym_cast_type_token7] = ACTIONS(1),
    [aux_sym_cast_type_token8] = ACTIONS(1),
    [aux_sym_cast_type_token9] = ACTIONS(1),
    [aux_sym_cast_type_token10] = ACTIONS(1),
    [aux_sym_cast_type_token11] = ACTIONS(1),
    [aux_sym_cast_type_token12] = ACTIONS(1),
    [aux_sym_echo_statement_token1] = ACTIONS(1),
    [aux_sym_exit_statement_token1] = ACTIONS(1),
    [anon_sym_unset] = ACTIONS(1),
    [aux_sym_declare_statement_token1] = ACTIONS(1),
    [aux_sym_declare_statement_token2] = ACTIONS(1),
    [anon_sym_ticks] = ACTIONS(1),
    [anon_sym_encoding] = ACTIONS(1),
    [anon_sym_strict_types] = ACTIONS(1),
    [sym_float] = ACTIONS(1),
    [aux_sym_try_statement_token1] = ACTIONS(1),
    [aux_sym_catch_clause_token1] = ACTIONS(1),
    [aux_sym_finally_clause_token1] = ACTIONS(1),
    [aux_sym_goto_statement_token1] = ACTIONS(1),
    [aux_sym_continue_statement_token1] = ACTIONS(1),
    [aux_sym_break_statement_token1] = ACTIONS(1),
    [sym_integer] = ACTIONS(1),
    [aux_sym_return_statement_token1] = ACTIONS(1),
    [aux_sym_throw_expression_token1] = ACTIONS(1),
    [aux_sym_while_statement_token1] = ACTIONS(1),
    [aux_sym_while_statement_token2] = ACTIONS(1),
    [aux_sym_do_statement_token1] = ACTIONS(1),
    [aux_sym_for_statement_token1] = ACTIONS(1),
    [aux_sym_for_statement_token2] = ACTIONS(1),
    [aux_sym_foreach_statement_token1] = ACTIONS(1),
    [aux_sym_foreach_statement_token2] = ACTIONS(1),
    [aux_sym_if_statement_token1] = ACTIONS(1),
    [aux_sym_if_statement_token2] = ACTIONS(1),
    [aux_sym_else_if_clause_token1] = ACTIONS(1),
    [aux_sym_else_clause_token1] = ACTIONS(1),
    [aux_sym_match_expression_token1] = ACTIONS(1),
    [aux_sym_match_default_expression_token1] = ACTIONS(1),
    [aux_sym_switch_statement_token1] = ACTIONS(1),
    [aux_sym_switch_block_token1] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [aux_sym_clone_expression_token1] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1),
    [aux_sym__list_destructing_token1] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_self] = ACTIONS(1),
    [anon_sym_parent] = ACTIONS(1),
    [aux_sym__argument_name_token1] = ACTIONS(1),
    [aux_sym__argument_name_token2] = ACTIONS(1),
    [anon_sym_POUND_LBRACK] = ACTIONS(1),
    [aux_sym_encapsed_string_token1] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [aux_sym_string_token1] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_LT_LT_LT] = ACTIONS(1),
    [anon_sym_DQUOTE2] = ACTIONS(1),
    [anon_sym_SQUOTE2] = ACTIONS(1),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [aux_sym_yield_expression_token1] = ACTIONS(1),
    [aux_sym_yield_expression_token2] = ACTIONS(1),
    [aux_sym_binary_expression_token1] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [aux_sym_binary_expression_token2] = ACTIONS(1),
    [aux_sym_binary_expression_token3] = ACTIONS(1),
    [aux_sym_binary_expression_token4] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_LT_GT] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ_GT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [aux_sym_include_expression_token1] = ACTIONS(1),
    [aux_sym_include_once_expression_token1] = ACTIONS(1),
    [aux_sym_require_expression_token1] = ACTIONS(1),
    [aux_sym_require_once_expression_token1] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym_encapsed_string_chars] = ACTIONS(1),
    [sym_encapsed_string_chars_after_variable] = ACTIONS(1),
    [sym_execution_string_chars] = ACTIONS(1),
    [sym_execution_string_chars_after_variable] = ACTIONS(1),
    [sym_encapsed_string_chars_heredoc] = ACTIONS(1),
    [sym_encapsed_string_chars_after_variable_heredoc] = ACTIONS(1),
    [sym__eof] = ACTIONS(1),
    [sym_heredoc_start] = ACTIONS(1),
    [sym_heredoc_end] = ACTIONS(1),
    [sym_nowdoc_string] = ACTIONS(1),
    [sym_sentinel_error] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(2684),
    [sym_statement] = STATE(32),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_program_repeat1] = STATE(32),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_name] = ACTIONS(7),
    [anon_sym_QMARK_GT] = ACTIONS(9),
    [sym_php_tag] = ACTIONS(11),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [2] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [ts_builtin_sym_end] = ACTIONS(137),
    [sym_name] = ACTIONS(139),
    [anon_sym_QMARK_GT] = ACTIONS(137),
    [anon_sym_SEMI] = ACTIONS(142),
    [aux_sym_function_static_declaration_token1] = ACTIONS(145),
    [aux_sym_global_declaration_token1] = ACTIONS(148),
    [aux_sym_namespace_definition_token1] = ACTIONS(151),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(154),
    [aux_sym__namespace_use_type_token1] = ACTIONS(157),
    [aux_sym__namespace_use_type_token2] = ACTIONS(160),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(166),
    [anon_sym_RBRACE] = ACTIONS(137),
    [aux_sym_trait_declaration_token1] = ACTIONS(169),
    [aux_sym_interface_declaration_token1] = ACTIONS(172),
    [aux_sym_enum_declaration_token1] = ACTIONS(175),
    [aux_sym_enum_case_token1] = ACTIONS(178),
    [aux_sym_class_declaration_token1] = ACTIONS(180),
    [aux_sym_final_modifier_token1] = ACTIONS(183),
    [aux_sym_abstract_modifier_token1] = ACTIONS(186),
    [aux_sym_readonly_modifier_token1] = ACTIONS(189),
    [sym_var_modifier] = ACTIONS(192),
    [aux_sym_visibility_modifier_token1] = ACTIONS(195),
    [aux_sym_visibility_modifier_token2] = ACTIONS(195),
    [aux_sym_visibility_modifier_token3] = ACTIONS(195),
    [anon_sym_LPAREN2] = ACTIONS(198),
    [aux_sym__arrow_function_header_token1] = ACTIONS(201),
    [aux_sym_cast_type_token1] = ACTIONS(204),
    [aux_sym_echo_statement_token1] = ACTIONS(207),
    [aux_sym_exit_statement_token1] = ACTIONS(210),
    [anon_sym_unset] = ACTIONS(213),
    [aux_sym_declare_statement_token1] = ACTIONS(216),
    [aux_sym_declare_statement_token2] = ACTIONS(178),
    [sym_float] = ACTIONS(219),
    [aux_sym_try_statement_token1] = ACTIONS(222),
    [aux_sym_goto_statement_token1] = ACTIONS(225),
    [aux_sym_continue_statement_token1] = ACTIONS(228),
    [aux_sym_break_statement_token1] = ACTIONS(231),
    [sym_integer] = ACTIONS(219),
    [aux_sym_return_statement_token1] = ACTIONS(234),
    [aux_sym_throw_expression_token1] = ACTIONS(237),
    [aux_sym_while_statement_token1] = ACTIONS(240),
    [aux_sym_while_statement_token2] = ACTIONS(178),
    [aux_sym_do_statement_token1] = ACTIONS(243),
    [aux_sym_for_statement_token1] = ACTIONS(246),
    [aux_sym_for_statement_token2] = ACTIONS(178),
    [aux_sym_foreach_statement_token1] = ACTIONS(249),
    [aux_sym_foreach_statement_token2] = ACTIONS(178),
    [aux_sym_if_statement_token1] = ACTIONS(252),
    [aux_sym_if_statement_token2] = ACTIONS(178),
    [aux_sym_match_expression_token1] = ACTIONS(255),
    [aux_sym_match_default_expression_token1] = ACTIONS(178),
    [aux_sym_switch_statement_token1] = ACTIONS(258),
    [aux_sym_switch_block_token1] = ACTIONS(178),
    [anon_sym_PLUS] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(261),
    [anon_sym_TILDE] = ACTIONS(264),
    [anon_sym_BANG] = ACTIONS(264),
    [anon_sym_AT] = ACTIONS(267),
    [aux_sym_clone_expression_token1] = ACTIONS(270),
    [aux_sym_print_intrinsic_token1] = ACTIONS(273),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(276),
    [anon_sym_DASH_DASH] = ACTIONS(279),
    [anon_sym_PLUS_PLUS] = ACTIONS(279),
    [aux_sym__list_destructing_token1] = ACTIONS(282),
    [anon_sym_LBRACK] = ACTIONS(285),
    [anon_sym_self] = ACTIONS(288),
    [anon_sym_parent] = ACTIONS(288),
    [aux_sym__argument_name_token1] = ACTIONS(291),
    [aux_sym__argument_name_token2] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(297),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(303),
    [anon_sym_SQUOTE] = ACTIONS(303),
    [anon_sym_LT_LT_LT] = ACTIONS(306),
    [anon_sym_BQUOTE] = ACTIONS(309),
    [anon_sym_DOLLAR] = ACTIONS(312),
    [aux_sym_yield_expression_token1] = ACTIONS(315),
    [aux_sym_include_expression_token1] = ACTIONS(318),
    [aux_sym_include_once_expression_token1] = ACTIONS(321),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(327),
    [sym_comment] = ACTIONS(3),
  },
  [3] = {
    [sym_statement] = STATE(5),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_program_repeat1] = STATE(5),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(330),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_enum_case_token1] = ACTIONS(332),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_match_default_expression_token1] = ACTIONS(332),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [aux_sym_switch_block_token1] = ACTIONS(332),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [4] = {
    [sym_statement] = STATE(6),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_program_repeat1] = STATE(6),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(334),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_enum_case_token1] = ACTIONS(336),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_match_default_expression_token1] = ACTIONS(336),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [aux_sym_switch_block_token1] = ACTIONS(336),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [5] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(338),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_enum_case_token1] = ACTIONS(340),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_match_default_expression_token1] = ACTIONS(340),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [aux_sym_switch_block_token1] = ACTIONS(340),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [6] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(342),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_enum_case_token1] = ACTIONS(344),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_match_default_expression_token1] = ACTIONS(344),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [aux_sym_switch_block_token1] = ACTIONS(344),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [7] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_while_statement_token2] = ACTIONS(346),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_foreach_statement_token2] = ACTIONS(346),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_if_statement_token2] = ACTIONS(346),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [8] = {
    [sym_statement] = STATE(1941),
    [sym_empty_statement] = STATE(2165),
    [sym_function_static_declaration] = STATE(2165),
    [sym_global_declaration] = STATE(2165),
    [sym_namespace_definition] = STATE(2165),
    [sym_namespace_use_declaration] = STATE(2165),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(2165),
    [sym_interface_declaration] = STATE(2165),
    [sym_enum_declaration] = STATE(2165),
    [sym_class_declaration] = STATE(2165),
    [sym_final_modifier] = STATE(1351),
    [sym_abstract_modifier] = STATE(1351),
    [sym_readonly_modifier] = STATE(1351),
    [sym_const_declaration] = STATE(2165),
    [sym__const_declaration] = STATE(2167),
    [sym__modifier] = STATE(1351),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1351),
    [sym_function_definition] = STATE(2165),
    [sym__function_definition_header] = STATE(2275),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(2165),
    [sym_exit_statement] = STATE(2165),
    [sym_unset_statement] = STATE(2165),
    [sym_declare_statement] = STATE(2165),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(2165),
    [sym_goto_statement] = STATE(2165),
    [sym_continue_statement] = STATE(2165),
    [sym_break_statement] = STATE(2165),
    [sym_return_statement] = STATE(2165),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(2165),
    [sym_do_statement] = STATE(2165),
    [sym_for_statement] = STATE(2165),
    [sym_foreach_statement] = STATE(2165),
    [sym_if_statement] = STATE(2165),
    [sym_colon_block] = STATE(2572),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(2165),
    [sym_compound_statement] = STATE(2165),
    [sym_named_label_statement] = STATE(2165),
    [sym_expression_statement] = STATE(2165),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1335),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [sym__semicolon] = STATE(1942),
    [aux_sym_class_declaration_repeat1] = STATE(1351),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(348),
    [anon_sym_SEMI] = ACTIONS(350),
    [aux_sym_function_static_declaration_token1] = ACTIONS(352),
    [aux_sym_global_declaration_token1] = ACTIONS(354),
    [aux_sym_namespace_definition_token1] = ACTIONS(356),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(358),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(360),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(362),
    [aux_sym_trait_declaration_token1] = ACTIONS(364),
    [aux_sym_interface_declaration_token1] = ACTIONS(366),
    [aux_sym_enum_declaration_token1] = ACTIONS(368),
    [anon_sym_COLON] = ACTIONS(370),
    [aux_sym_class_declaration_token1] = ACTIONS(372),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(374),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(376),
    [aux_sym_exit_statement_token1] = ACTIONS(378),
    [anon_sym_unset] = ACTIONS(380),
    [aux_sym_declare_statement_token1] = ACTIONS(382),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(384),
    [aux_sym_goto_statement_token1] = ACTIONS(386),
    [aux_sym_continue_statement_token1] = ACTIONS(388),
    [aux_sym_break_statement_token1] = ACTIONS(390),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(392),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(394),
    [aux_sym_do_statement_token1] = ACTIONS(396),
    [aux_sym_for_statement_token1] = ACTIONS(398),
    [aux_sym_foreach_statement_token1] = ACTIONS(400),
    [aux_sym_if_statement_token1] = ACTIONS(402),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(404),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(350),
  },
  [9] = {
    [sym_statement] = STATE(495),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_colon_block] = STATE(2545),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [sym__semicolon] = STATE(496),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(406),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(370),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(406),
  },
  [10] = {
    [sym_statement] = STATE(7),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_while_statement_token2] = ACTIONS(408),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_foreach_statement_token2] = ACTIONS(408),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_if_statement_token2] = ACTIONS(408),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [11] = {
    [sym_statement] = STATE(1941),
    [sym_empty_statement] = STATE(2165),
    [sym_function_static_declaration] = STATE(2165),
    [sym_global_declaration] = STATE(2165),
    [sym_namespace_definition] = STATE(2165),
    [sym_namespace_use_declaration] = STATE(2165),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(2165),
    [sym_interface_declaration] = STATE(2165),
    [sym_enum_declaration] = STATE(2165),
    [sym_class_declaration] = STATE(2165),
    [sym_final_modifier] = STATE(1351),
    [sym_abstract_modifier] = STATE(1351),
    [sym_readonly_modifier] = STATE(1351),
    [sym_const_declaration] = STATE(2165),
    [sym__const_declaration] = STATE(2167),
    [sym__modifier] = STATE(1351),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1351),
    [sym_function_definition] = STATE(2165),
    [sym__function_definition_header] = STATE(2275),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(2165),
    [sym_exit_statement] = STATE(2165),
    [sym_unset_statement] = STATE(2165),
    [sym_declare_statement] = STATE(2165),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(2165),
    [sym_goto_statement] = STATE(2165),
    [sym_continue_statement] = STATE(2165),
    [sym_break_statement] = STATE(2165),
    [sym_return_statement] = STATE(2165),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(2165),
    [sym_do_statement] = STATE(2165),
    [sym_for_statement] = STATE(2165),
    [sym_foreach_statement] = STATE(2165),
    [sym_if_statement] = STATE(2165),
    [sym_colon_block] = STATE(2572),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(2165),
    [sym_compound_statement] = STATE(2165),
    [sym_named_label_statement] = STATE(2165),
    [sym_expression_statement] = STATE(2165),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1335),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [sym__semicolon] = STATE(1942),
    [aux_sym_class_declaration_repeat1] = STATE(1351),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(348),
    [anon_sym_SEMI] = ACTIONS(350),
    [aux_sym_function_static_declaration_token1] = ACTIONS(352),
    [aux_sym_global_declaration_token1] = ACTIONS(354),
    [aux_sym_namespace_definition_token1] = ACTIONS(356),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(358),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(360),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(362),
    [aux_sym_trait_declaration_token1] = ACTIONS(364),
    [aux_sym_interface_declaration_token1] = ACTIONS(366),
    [aux_sym_enum_declaration_token1] = ACTIONS(368),
    [anon_sym_COLON] = ACTIONS(370),
    [aux_sym_class_declaration_token1] = ACTIONS(372),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(374),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(376),
    [aux_sym_exit_statement_token1] = ACTIONS(378),
    [anon_sym_unset] = ACTIONS(380),
    [aux_sym_declare_statement_token1] = ACTIONS(410),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(384),
    [aux_sym_goto_statement_token1] = ACTIONS(386),
    [aux_sym_continue_statement_token1] = ACTIONS(388),
    [aux_sym_break_statement_token1] = ACTIONS(390),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(392),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(412),
    [aux_sym_do_statement_token1] = ACTIONS(396),
    [aux_sym_for_statement_token1] = ACTIONS(414),
    [aux_sym_foreach_statement_token1] = ACTIONS(416),
    [aux_sym_if_statement_token1] = ACTIONS(418),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(404),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(350),
  },
  [12] = {
    [sym_statement] = STATE(12),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_program_repeat1] = STATE(12),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(139),
    [anon_sym_SEMI] = ACTIONS(142),
    [aux_sym_function_static_declaration_token1] = ACTIONS(145),
    [aux_sym_global_declaration_token1] = ACTIONS(148),
    [aux_sym_namespace_definition_token1] = ACTIONS(151),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(154),
    [aux_sym__namespace_use_type_token1] = ACTIONS(157),
    [aux_sym__namespace_use_type_token2] = ACTIONS(160),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(166),
    [aux_sym_trait_declaration_token1] = ACTIONS(169),
    [aux_sym_interface_declaration_token1] = ACTIONS(172),
    [aux_sym_enum_declaration_token1] = ACTIONS(175),
    [aux_sym_class_declaration_token1] = ACTIONS(180),
    [aux_sym_final_modifier_token1] = ACTIONS(183),
    [aux_sym_abstract_modifier_token1] = ACTIONS(186),
    [aux_sym_readonly_modifier_token1] = ACTIONS(189),
    [sym_var_modifier] = ACTIONS(192),
    [aux_sym_visibility_modifier_token1] = ACTIONS(195),
    [aux_sym_visibility_modifier_token2] = ACTIONS(195),
    [aux_sym_visibility_modifier_token3] = ACTIONS(195),
    [anon_sym_LPAREN2] = ACTIONS(198),
    [aux_sym__arrow_function_header_token1] = ACTIONS(201),
    [aux_sym_cast_type_token1] = ACTIONS(204),
    [aux_sym_echo_statement_token1] = ACTIONS(207),
    [aux_sym_exit_statement_token1] = ACTIONS(210),
    [anon_sym_unset] = ACTIONS(213),
    [aux_sym_declare_statement_token1] = ACTIONS(420),
    [sym_float] = ACTIONS(219),
    [aux_sym_try_statement_token1] = ACTIONS(222),
    [aux_sym_goto_statement_token1] = ACTIONS(225),
    [aux_sym_continue_statement_token1] = ACTIONS(228),
    [aux_sym_break_statement_token1] = ACTIONS(231),
    [sym_integer] = ACTIONS(219),
    [aux_sym_return_statement_token1] = ACTIONS(234),
    [aux_sym_throw_expression_token1] = ACTIONS(237),
    [aux_sym_while_statement_token1] = ACTIONS(423),
    [aux_sym_do_statement_token1] = ACTIONS(243),
    [aux_sym_for_statement_token1] = ACTIONS(426),
    [aux_sym_foreach_statement_token1] = ACTIONS(429),
    [aux_sym_if_statement_token1] = ACTIONS(432),
    [aux_sym_if_statement_token2] = ACTIONS(178),
    [aux_sym_else_if_clause_token1] = ACTIONS(178),
    [aux_sym_else_clause_token1] = ACTIONS(178),
    [aux_sym_match_expression_token1] = ACTIONS(255),
    [aux_sym_switch_statement_token1] = ACTIONS(258),
    [anon_sym_PLUS] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(261),
    [anon_sym_TILDE] = ACTIONS(264),
    [anon_sym_BANG] = ACTIONS(264),
    [anon_sym_AT] = ACTIONS(267),
    [aux_sym_clone_expression_token1] = ACTIONS(270),
    [aux_sym_print_intrinsic_token1] = ACTIONS(273),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(276),
    [anon_sym_DASH_DASH] = ACTIONS(279),
    [anon_sym_PLUS_PLUS] = ACTIONS(279),
    [aux_sym__list_destructing_token1] = ACTIONS(282),
    [anon_sym_LBRACK] = ACTIONS(285),
    [anon_sym_self] = ACTIONS(288),
    [anon_sym_parent] = ACTIONS(288),
    [aux_sym__argument_name_token1] = ACTIONS(291),
    [aux_sym__argument_name_token2] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(297),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(303),
    [anon_sym_SQUOTE] = ACTIONS(303),
    [anon_sym_LT_LT_LT] = ACTIONS(306),
    [anon_sym_BQUOTE] = ACTIONS(309),
    [anon_sym_DOLLAR] = ACTIONS(312),
    [aux_sym_yield_expression_token1] = ACTIONS(315),
    [aux_sym_include_expression_token1] = ACTIONS(318),
    [aux_sym_include_once_expression_token1] = ACTIONS(321),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(327),
    [sym_comment] = ACTIONS(3),
  },
  [13] = {
    [sym_statement] = STATE(14),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_program_repeat1] = STATE(14),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_if_statement_token2] = ACTIONS(408),
    [aux_sym_else_if_clause_token1] = ACTIONS(408),
    [aux_sym_else_clause_token1] = ACTIONS(408),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [14] = {
    [sym_statement] = STATE(12),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_program_repeat1] = STATE(12),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_if_statement_token2] = ACTIONS(346),
    [aux_sym_else_if_clause_token1] = ACTIONS(346),
    [aux_sym_else_clause_token1] = ACTIONS(346),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [15] = {
    [sym_statement] = STATE(495),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_colon_block] = STATE(2545),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [sym__semicolon] = STATE(496),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(406),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(370),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(406),
  },
  [16] = {
    [sym_statement] = STATE(578),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [sym__semicolon] = STATE(520),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(445),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(447),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(445),
  },
  [17] = {
    [sym_statement] = STATE(522),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [sym__semicolon] = STATE(523),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(449),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(451),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(449),
  },
  [18] = {
    [sym_statement] = STATE(462),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [sym__semicolon] = STATE(467),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(453),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(455),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(453),
  },
  [19] = {
    [sym_statement] = STATE(530),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [sym__semicolon] = STATE(531),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(457),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(459),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(457),
  },
  [20] = {
    [sym_statement] = STATE(2221),
    [sym_empty_statement] = STATE(2165),
    [sym_function_static_declaration] = STATE(2165),
    [sym_global_declaration] = STATE(2165),
    [sym_namespace_definition] = STATE(2165),
    [sym_namespace_use_declaration] = STATE(2165),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(2165),
    [sym_interface_declaration] = STATE(2165),
    [sym_enum_declaration] = STATE(2165),
    [sym_class_declaration] = STATE(2165),
    [sym_final_modifier] = STATE(1351),
    [sym_abstract_modifier] = STATE(1351),
    [sym_readonly_modifier] = STATE(1351),
    [sym_const_declaration] = STATE(2165),
    [sym__const_declaration] = STATE(2167),
    [sym__modifier] = STATE(1351),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1351),
    [sym_function_definition] = STATE(2165),
    [sym__function_definition_header] = STATE(2275),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(2165),
    [sym_exit_statement] = STATE(2165),
    [sym_unset_statement] = STATE(2165),
    [sym_declare_statement] = STATE(2165),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(2165),
    [sym_goto_statement] = STATE(2165),
    [sym_continue_statement] = STATE(2165),
    [sym_break_statement] = STATE(2165),
    [sym_return_statement] = STATE(2165),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(2165),
    [sym_do_statement] = STATE(2165),
    [sym_for_statement] = STATE(2165),
    [sym_foreach_statement] = STATE(2165),
    [sym_if_statement] = STATE(2165),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(2165),
    [sym_compound_statement] = STATE(2165),
    [sym_named_label_statement] = STATE(2165),
    [sym_expression_statement] = STATE(2165),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1335),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [sym__semicolon] = STATE(2221),
    [aux_sym_class_declaration_repeat1] = STATE(1351),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(348),
    [anon_sym_SEMI] = ACTIONS(461),
    [aux_sym_function_static_declaration_token1] = ACTIONS(352),
    [aux_sym_global_declaration_token1] = ACTIONS(354),
    [aux_sym_namespace_definition_token1] = ACTIONS(356),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(358),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(360),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(362),
    [aux_sym_trait_declaration_token1] = ACTIONS(364),
    [aux_sym_interface_declaration_token1] = ACTIONS(366),
    [aux_sym_enum_declaration_token1] = ACTIONS(368),
    [anon_sym_COLON] = ACTIONS(463),
    [aux_sym_class_declaration_token1] = ACTIONS(372),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(374),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(376),
    [aux_sym_exit_statement_token1] = ACTIONS(378),
    [anon_sym_unset] = ACTIONS(380),
    [aux_sym_declare_statement_token1] = ACTIONS(410),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(384),
    [aux_sym_goto_statement_token1] = ACTIONS(386),
    [aux_sym_continue_statement_token1] = ACTIONS(388),
    [aux_sym_break_statement_token1] = ACTIONS(390),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(392),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(412),
    [aux_sym_do_statement_token1] = ACTIONS(396),
    [aux_sym_for_statement_token1] = ACTIONS(414),
    [aux_sym_foreach_statement_token1] = ACTIONS(416),
    [aux_sym_if_statement_token1] = ACTIONS(418),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(404),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(461),
  },
  [21] = {
    [sym_statement] = STATE(2155),
    [sym_empty_statement] = STATE(2165),
    [sym_function_static_declaration] = STATE(2165),
    [sym_global_declaration] = STATE(2165),
    [sym_namespace_definition] = STATE(2165),
    [sym_namespace_use_declaration] = STATE(2165),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(2165),
    [sym_interface_declaration] = STATE(2165),
    [sym_enum_declaration] = STATE(2165),
    [sym_class_declaration] = STATE(2165),
    [sym_final_modifier] = STATE(1351),
    [sym_abstract_modifier] = STATE(1351),
    [sym_readonly_modifier] = STATE(1351),
    [sym_const_declaration] = STATE(2165),
    [sym__const_declaration] = STATE(2167),
    [sym__modifier] = STATE(1351),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1351),
    [sym_function_definition] = STATE(2165),
    [sym__function_definition_header] = STATE(2275),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(2165),
    [sym_exit_statement] = STATE(2165),
    [sym_unset_statement] = STATE(2165),
    [sym_declare_statement] = STATE(2165),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(2165),
    [sym_goto_statement] = STATE(2165),
    [sym_continue_statement] = STATE(2165),
    [sym_break_statement] = STATE(2165),
    [sym_return_statement] = STATE(2165),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(2165),
    [sym_do_statement] = STATE(2165),
    [sym_for_statement] = STATE(2165),
    [sym_foreach_statement] = STATE(2165),
    [sym_if_statement] = STATE(2165),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(2165),
    [sym_compound_statement] = STATE(2165),
    [sym_named_label_statement] = STATE(2165),
    [sym_expression_statement] = STATE(2165),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1335),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [sym__semicolon] = STATE(2157),
    [aux_sym_class_declaration_repeat1] = STATE(1351),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(348),
    [anon_sym_SEMI] = ACTIONS(465),
    [aux_sym_function_static_declaration_token1] = ACTIONS(352),
    [aux_sym_global_declaration_token1] = ACTIONS(354),
    [aux_sym_namespace_definition_token1] = ACTIONS(356),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(358),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(360),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(362),
    [aux_sym_trait_declaration_token1] = ACTIONS(364),
    [aux_sym_interface_declaration_token1] = ACTIONS(366),
    [aux_sym_enum_declaration_token1] = ACTIONS(368),
    [anon_sym_COLON] = ACTIONS(467),
    [aux_sym_class_declaration_token1] = ACTIONS(372),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(374),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(376),
    [aux_sym_exit_statement_token1] = ACTIONS(378),
    [anon_sym_unset] = ACTIONS(380),
    [aux_sym_declare_statement_token1] = ACTIONS(410),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(384),
    [aux_sym_goto_statement_token1] = ACTIONS(386),
    [aux_sym_continue_statement_token1] = ACTIONS(388),
    [aux_sym_break_statement_token1] = ACTIONS(390),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(392),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(412),
    [aux_sym_do_statement_token1] = ACTIONS(396),
    [aux_sym_for_statement_token1] = ACTIONS(414),
    [aux_sym_foreach_statement_token1] = ACTIONS(416),
    [aux_sym_if_statement_token1] = ACTIONS(418),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(404),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(465),
  },
  [22] = {
    [sym_statement] = STATE(1924),
    [sym_empty_statement] = STATE(2165),
    [sym_function_static_declaration] = STATE(2165),
    [sym_global_declaration] = STATE(2165),
    [sym_namespace_definition] = STATE(2165),
    [sym_namespace_use_declaration] = STATE(2165),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(2165),
    [sym_interface_declaration] = STATE(2165),
    [sym_enum_declaration] = STATE(2165),
    [sym_class_declaration] = STATE(2165),
    [sym_final_modifier] = STATE(1351),
    [sym_abstract_modifier] = STATE(1351),
    [sym_readonly_modifier] = STATE(1351),
    [sym_const_declaration] = STATE(2165),
    [sym__const_declaration] = STATE(2167),
    [sym__modifier] = STATE(1351),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1351),
    [sym_function_definition] = STATE(2165),
    [sym__function_definition_header] = STATE(2275),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(2165),
    [sym_exit_statement] = STATE(2165),
    [sym_unset_statement] = STATE(2165),
    [sym_declare_statement] = STATE(2165),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(2165),
    [sym_goto_statement] = STATE(2165),
    [sym_continue_statement] = STATE(2165),
    [sym_break_statement] = STATE(2165),
    [sym_return_statement] = STATE(2165),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(2165),
    [sym_do_statement] = STATE(2165),
    [sym_for_statement] = STATE(2165),
    [sym_foreach_statement] = STATE(2165),
    [sym_if_statement] = STATE(2165),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(2165),
    [sym_compound_statement] = STATE(2165),
    [sym_named_label_statement] = STATE(2165),
    [sym_expression_statement] = STATE(2165),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1335),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [sym__semicolon] = STATE(1926),
    [aux_sym_class_declaration_repeat1] = STATE(1351),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(348),
    [anon_sym_SEMI] = ACTIONS(469),
    [aux_sym_function_static_declaration_token1] = ACTIONS(352),
    [aux_sym_global_declaration_token1] = ACTIONS(354),
    [aux_sym_namespace_definition_token1] = ACTIONS(356),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(358),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(360),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(362),
    [aux_sym_trait_declaration_token1] = ACTIONS(364),
    [aux_sym_interface_declaration_token1] = ACTIONS(366),
    [aux_sym_enum_declaration_token1] = ACTIONS(368),
    [anon_sym_COLON] = ACTIONS(471),
    [aux_sym_class_declaration_token1] = ACTIONS(372),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(374),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(376),
    [aux_sym_exit_statement_token1] = ACTIONS(378),
    [anon_sym_unset] = ACTIONS(380),
    [aux_sym_declare_statement_token1] = ACTIONS(410),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(384),
    [aux_sym_goto_statement_token1] = ACTIONS(386),
    [aux_sym_continue_statement_token1] = ACTIONS(388),
    [aux_sym_break_statement_token1] = ACTIONS(390),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(392),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(412),
    [aux_sym_do_statement_token1] = ACTIONS(396),
    [aux_sym_for_statement_token1] = ACTIONS(414),
    [aux_sym_foreach_statement_token1] = ACTIONS(416),
    [aux_sym_if_statement_token1] = ACTIONS(418),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(404),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(469),
  },
  [23] = {
    [sym_statement] = STATE(1929),
    [sym_empty_statement] = STATE(2165),
    [sym_function_static_declaration] = STATE(2165),
    [sym_global_declaration] = STATE(2165),
    [sym_namespace_definition] = STATE(2165),
    [sym_namespace_use_declaration] = STATE(2165),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(2165),
    [sym_interface_declaration] = STATE(2165),
    [sym_enum_declaration] = STATE(2165),
    [sym_class_declaration] = STATE(2165),
    [sym_final_modifier] = STATE(1351),
    [sym_abstract_modifier] = STATE(1351),
    [sym_readonly_modifier] = STATE(1351),
    [sym_const_declaration] = STATE(2165),
    [sym__const_declaration] = STATE(2167),
    [sym__modifier] = STATE(1351),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1351),
    [sym_function_definition] = STATE(2165),
    [sym__function_definition_header] = STATE(2275),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(2165),
    [sym_exit_statement] = STATE(2165),
    [sym_unset_statement] = STATE(2165),
    [sym_declare_statement] = STATE(2165),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(2165),
    [sym_goto_statement] = STATE(2165),
    [sym_continue_statement] = STATE(2165),
    [sym_break_statement] = STATE(2165),
    [sym_return_statement] = STATE(2165),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(2165),
    [sym_do_statement] = STATE(2165),
    [sym_for_statement] = STATE(2165),
    [sym_foreach_statement] = STATE(2165),
    [sym_if_statement] = STATE(2165),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(2165),
    [sym_compound_statement] = STATE(2165),
    [sym_named_label_statement] = STATE(2165),
    [sym_expression_statement] = STATE(2165),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1335),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [sym__semicolon] = STATE(1930),
    [aux_sym_class_declaration_repeat1] = STATE(1351),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(348),
    [anon_sym_SEMI] = ACTIONS(473),
    [aux_sym_function_static_declaration_token1] = ACTIONS(352),
    [aux_sym_global_declaration_token1] = ACTIONS(354),
    [aux_sym_namespace_definition_token1] = ACTIONS(356),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(358),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(360),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(362),
    [aux_sym_trait_declaration_token1] = ACTIONS(364),
    [aux_sym_interface_declaration_token1] = ACTIONS(366),
    [aux_sym_enum_declaration_token1] = ACTIONS(368),
    [anon_sym_COLON] = ACTIONS(475),
    [aux_sym_class_declaration_token1] = ACTIONS(372),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(374),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(376),
    [aux_sym_exit_statement_token1] = ACTIONS(378),
    [anon_sym_unset] = ACTIONS(380),
    [aux_sym_declare_statement_token1] = ACTIONS(410),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(384),
    [aux_sym_goto_statement_token1] = ACTIONS(386),
    [aux_sym_continue_statement_token1] = ACTIONS(388),
    [aux_sym_break_statement_token1] = ACTIONS(390),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(392),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(412),
    [aux_sym_do_statement_token1] = ACTIONS(396),
    [aux_sym_for_statement_token1] = ACTIONS(414),
    [aux_sym_foreach_statement_token1] = ACTIONS(416),
    [aux_sym_if_statement_token1] = ACTIONS(418),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(404),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(473),
  },
  [24] = {
    [sym_statement] = STATE(1934),
    [sym_empty_statement] = STATE(2165),
    [sym_function_static_declaration] = STATE(2165),
    [sym_global_declaration] = STATE(2165),
    [sym_namespace_definition] = STATE(2165),
    [sym_namespace_use_declaration] = STATE(2165),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(2165),
    [sym_interface_declaration] = STATE(2165),
    [sym_enum_declaration] = STATE(2165),
    [sym_class_declaration] = STATE(2165),
    [sym_final_modifier] = STATE(1351),
    [sym_abstract_modifier] = STATE(1351),
    [sym_readonly_modifier] = STATE(1351),
    [sym_const_declaration] = STATE(2165),
    [sym__const_declaration] = STATE(2167),
    [sym__modifier] = STATE(1351),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1351),
    [sym_function_definition] = STATE(2165),
    [sym__function_definition_header] = STATE(2275),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(2165),
    [sym_exit_statement] = STATE(2165),
    [sym_unset_statement] = STATE(2165),
    [sym_declare_statement] = STATE(2165),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(2165),
    [sym_goto_statement] = STATE(2165),
    [sym_continue_statement] = STATE(2165),
    [sym_break_statement] = STATE(2165),
    [sym_return_statement] = STATE(2165),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(2165),
    [sym_do_statement] = STATE(2165),
    [sym_for_statement] = STATE(2165),
    [sym_foreach_statement] = STATE(2165),
    [sym_if_statement] = STATE(2165),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(2165),
    [sym_compound_statement] = STATE(2165),
    [sym_named_label_statement] = STATE(2165),
    [sym_expression_statement] = STATE(2165),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1335),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [sym__semicolon] = STATE(1939),
    [aux_sym_class_declaration_repeat1] = STATE(1351),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(348),
    [anon_sym_SEMI] = ACTIONS(477),
    [aux_sym_function_static_declaration_token1] = ACTIONS(352),
    [aux_sym_global_declaration_token1] = ACTIONS(354),
    [aux_sym_namespace_definition_token1] = ACTIONS(356),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(358),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(360),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(362),
    [aux_sym_trait_declaration_token1] = ACTIONS(364),
    [aux_sym_interface_declaration_token1] = ACTIONS(366),
    [aux_sym_enum_declaration_token1] = ACTIONS(368),
    [anon_sym_COLON] = ACTIONS(479),
    [aux_sym_class_declaration_token1] = ACTIONS(372),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(374),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(376),
    [aux_sym_exit_statement_token1] = ACTIONS(378),
    [anon_sym_unset] = ACTIONS(380),
    [aux_sym_declare_statement_token1] = ACTIONS(410),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(384),
    [aux_sym_goto_statement_token1] = ACTIONS(386),
    [aux_sym_continue_statement_token1] = ACTIONS(388),
    [aux_sym_break_statement_token1] = ACTIONS(390),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(392),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(412),
    [aux_sym_do_statement_token1] = ACTIONS(396),
    [aux_sym_for_statement_token1] = ACTIONS(414),
    [aux_sym_foreach_statement_token1] = ACTIONS(416),
    [aux_sym_if_statement_token1] = ACTIONS(418),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(404),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(477),
  },
  [25] = {
    [sym_statement] = STATE(471),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [sym__semicolon] = STATE(477),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(481),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(483),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(481),
  },
  [26] = {
    [sym_statement] = STATE(1970),
    [sym_empty_statement] = STATE(2165),
    [sym_function_static_declaration] = STATE(2165),
    [sym_global_declaration] = STATE(2165),
    [sym_namespace_definition] = STATE(2165),
    [sym_namespace_use_declaration] = STATE(2165),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(2165),
    [sym_interface_declaration] = STATE(2165),
    [sym_enum_declaration] = STATE(2165),
    [sym_class_declaration] = STATE(2165),
    [sym_final_modifier] = STATE(1351),
    [sym_abstract_modifier] = STATE(1351),
    [sym_readonly_modifier] = STATE(1351),
    [sym_const_declaration] = STATE(2165),
    [sym__const_declaration] = STATE(2167),
    [sym__modifier] = STATE(1351),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1351),
    [sym_function_definition] = STATE(2165),
    [sym__function_definition_header] = STATE(2275),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(2165),
    [sym_exit_statement] = STATE(2165),
    [sym_unset_statement] = STATE(2165),
    [sym_declare_statement] = STATE(2165),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(2165),
    [sym_goto_statement] = STATE(2165),
    [sym_continue_statement] = STATE(2165),
    [sym_break_statement] = STATE(2165),
    [sym_return_statement] = STATE(2165),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(2165),
    [sym_do_statement] = STATE(2165),
    [sym_for_statement] = STATE(2165),
    [sym_foreach_statement] = STATE(2165),
    [sym_if_statement] = STATE(2165),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(2165),
    [sym_compound_statement] = STATE(2165),
    [sym_named_label_statement] = STATE(2165),
    [sym_expression_statement] = STATE(2165),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1335),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [sym__semicolon] = STATE(1972),
    [aux_sym_class_declaration_repeat1] = STATE(1351),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(348),
    [anon_sym_SEMI] = ACTIONS(485),
    [aux_sym_function_static_declaration_token1] = ACTIONS(352),
    [aux_sym_global_declaration_token1] = ACTIONS(354),
    [aux_sym_namespace_definition_token1] = ACTIONS(356),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(358),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(360),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(362),
    [aux_sym_trait_declaration_token1] = ACTIONS(364),
    [aux_sym_interface_declaration_token1] = ACTIONS(366),
    [aux_sym_enum_declaration_token1] = ACTIONS(368),
    [anon_sym_COLON] = ACTIONS(487),
    [aux_sym_class_declaration_token1] = ACTIONS(372),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(374),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(376),
    [aux_sym_exit_statement_token1] = ACTIONS(378),
    [anon_sym_unset] = ACTIONS(380),
    [aux_sym_declare_statement_token1] = ACTIONS(410),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(384),
    [aux_sym_goto_statement_token1] = ACTIONS(386),
    [aux_sym_continue_statement_token1] = ACTIONS(388),
    [aux_sym_break_statement_token1] = ACTIONS(390),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(392),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(412),
    [aux_sym_do_statement_token1] = ACTIONS(396),
    [aux_sym_for_statement_token1] = ACTIONS(414),
    [aux_sym_foreach_statement_token1] = ACTIONS(416),
    [aux_sym_if_statement_token1] = ACTIONS(418),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(404),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(485),
  },
  [27] = {
    [sym_statement] = STATE(1976),
    [sym_empty_statement] = STATE(2165),
    [sym_function_static_declaration] = STATE(2165),
    [sym_global_declaration] = STATE(2165),
    [sym_namespace_definition] = STATE(2165),
    [sym_namespace_use_declaration] = STATE(2165),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(2165),
    [sym_interface_declaration] = STATE(2165),
    [sym_enum_declaration] = STATE(2165),
    [sym_class_declaration] = STATE(2165),
    [sym_final_modifier] = STATE(1351),
    [sym_abstract_modifier] = STATE(1351),
    [sym_readonly_modifier] = STATE(1351),
    [sym_const_declaration] = STATE(2165),
    [sym__const_declaration] = STATE(2167),
    [sym__modifier] = STATE(1351),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1351),
    [sym_function_definition] = STATE(2165),
    [sym__function_definition_header] = STATE(2275),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(2165),
    [sym_exit_statement] = STATE(2165),
    [sym_unset_statement] = STATE(2165),
    [sym_declare_statement] = STATE(2165),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(2165),
    [sym_goto_statement] = STATE(2165),
    [sym_continue_statement] = STATE(2165),
    [sym_break_statement] = STATE(2165),
    [sym_return_statement] = STATE(2165),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(2165),
    [sym_do_statement] = STATE(2165),
    [sym_for_statement] = STATE(2165),
    [sym_foreach_statement] = STATE(2165),
    [sym_if_statement] = STATE(2165),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(2165),
    [sym_compound_statement] = STATE(2165),
    [sym_named_label_statement] = STATE(2165),
    [sym_expression_statement] = STATE(2165),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1335),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [sym__semicolon] = STATE(1977),
    [aux_sym_class_declaration_repeat1] = STATE(1351),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(348),
    [anon_sym_SEMI] = ACTIONS(489),
    [aux_sym_function_static_declaration_token1] = ACTIONS(352),
    [aux_sym_global_declaration_token1] = ACTIONS(354),
    [aux_sym_namespace_definition_token1] = ACTIONS(356),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(358),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(360),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(362),
    [aux_sym_trait_declaration_token1] = ACTIONS(364),
    [aux_sym_interface_declaration_token1] = ACTIONS(366),
    [aux_sym_enum_declaration_token1] = ACTIONS(368),
    [anon_sym_COLON] = ACTIONS(491),
    [aux_sym_class_declaration_token1] = ACTIONS(372),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(374),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(376),
    [aux_sym_exit_statement_token1] = ACTIONS(378),
    [anon_sym_unset] = ACTIONS(380),
    [aux_sym_declare_statement_token1] = ACTIONS(410),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(384),
    [aux_sym_goto_statement_token1] = ACTIONS(386),
    [aux_sym_continue_statement_token1] = ACTIONS(388),
    [aux_sym_break_statement_token1] = ACTIONS(390),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(392),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(412),
    [aux_sym_do_statement_token1] = ACTIONS(396),
    [aux_sym_for_statement_token1] = ACTIONS(414),
    [aux_sym_foreach_statement_token1] = ACTIONS(416),
    [aux_sym_if_statement_token1] = ACTIONS(418),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(404),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(489),
  },
  [28] = {
    [sym_statement] = STATE(1978),
    [sym_empty_statement] = STATE(2165),
    [sym_function_static_declaration] = STATE(2165),
    [sym_global_declaration] = STATE(2165),
    [sym_namespace_definition] = STATE(2165),
    [sym_namespace_use_declaration] = STATE(2165),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(2165),
    [sym_interface_declaration] = STATE(2165),
    [sym_enum_declaration] = STATE(2165),
    [sym_class_declaration] = STATE(2165),
    [sym_final_modifier] = STATE(1351),
    [sym_abstract_modifier] = STATE(1351),
    [sym_readonly_modifier] = STATE(1351),
    [sym_const_declaration] = STATE(2165),
    [sym__const_declaration] = STATE(2167),
    [sym__modifier] = STATE(1351),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1351),
    [sym_function_definition] = STATE(2165),
    [sym__function_definition_header] = STATE(2275),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(2165),
    [sym_exit_statement] = STATE(2165),
    [sym_unset_statement] = STATE(2165),
    [sym_declare_statement] = STATE(2165),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(2165),
    [sym_goto_statement] = STATE(2165),
    [sym_continue_statement] = STATE(2165),
    [sym_break_statement] = STATE(2165),
    [sym_return_statement] = STATE(2165),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(2165),
    [sym_do_statement] = STATE(2165),
    [sym_for_statement] = STATE(2165),
    [sym_foreach_statement] = STATE(2165),
    [sym_if_statement] = STATE(2165),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(2165),
    [sym_compound_statement] = STATE(2165),
    [sym_named_label_statement] = STATE(2165),
    [sym_expression_statement] = STATE(2165),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1335),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [sym__semicolon] = STATE(1979),
    [aux_sym_class_declaration_repeat1] = STATE(1351),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(348),
    [anon_sym_SEMI] = ACTIONS(493),
    [aux_sym_function_static_declaration_token1] = ACTIONS(352),
    [aux_sym_global_declaration_token1] = ACTIONS(354),
    [aux_sym_namespace_definition_token1] = ACTIONS(356),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(358),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(360),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(362),
    [aux_sym_trait_declaration_token1] = ACTIONS(364),
    [aux_sym_interface_declaration_token1] = ACTIONS(366),
    [aux_sym_enum_declaration_token1] = ACTIONS(368),
    [anon_sym_COLON] = ACTIONS(495),
    [aux_sym_class_declaration_token1] = ACTIONS(372),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(374),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(376),
    [aux_sym_exit_statement_token1] = ACTIONS(378),
    [anon_sym_unset] = ACTIONS(380),
    [aux_sym_declare_statement_token1] = ACTIONS(410),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(384),
    [aux_sym_goto_statement_token1] = ACTIONS(386),
    [aux_sym_continue_statement_token1] = ACTIONS(388),
    [aux_sym_break_statement_token1] = ACTIONS(390),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(392),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(412),
    [aux_sym_do_statement_token1] = ACTIONS(396),
    [aux_sym_for_statement_token1] = ACTIONS(414),
    [aux_sym_foreach_statement_token1] = ACTIONS(416),
    [aux_sym_if_statement_token1] = ACTIONS(418),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(404),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(493),
  },
  [29] = {
    [sym_statement] = STATE(2005),
    [sym_empty_statement] = STATE(2165),
    [sym_function_static_declaration] = STATE(2165),
    [sym_global_declaration] = STATE(2165),
    [sym_namespace_definition] = STATE(2165),
    [sym_namespace_use_declaration] = STATE(2165),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(2165),
    [sym_interface_declaration] = STATE(2165),
    [sym_enum_declaration] = STATE(2165),
    [sym_class_declaration] = STATE(2165),
    [sym_final_modifier] = STATE(1351),
    [sym_abstract_modifier] = STATE(1351),
    [sym_readonly_modifier] = STATE(1351),
    [sym_const_declaration] = STATE(2165),
    [sym__const_declaration] = STATE(2167),
    [sym__modifier] = STATE(1351),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1351),
    [sym_function_definition] = STATE(2165),
    [sym__function_definition_header] = STATE(2275),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(2165),
    [sym_exit_statement] = STATE(2165),
    [sym_unset_statement] = STATE(2165),
    [sym_declare_statement] = STATE(2165),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(2165),
    [sym_goto_statement] = STATE(2165),
    [sym_continue_statement] = STATE(2165),
    [sym_break_statement] = STATE(2165),
    [sym_return_statement] = STATE(2165),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(2165),
    [sym_do_statement] = STATE(2165),
    [sym_for_statement] = STATE(2165),
    [sym_foreach_statement] = STATE(2165),
    [sym_if_statement] = STATE(2165),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(2165),
    [sym_compound_statement] = STATE(2165),
    [sym_named_label_statement] = STATE(2165),
    [sym_expression_statement] = STATE(2165),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1335),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [sym__semicolon] = STATE(2006),
    [aux_sym_class_declaration_repeat1] = STATE(1351),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(348),
    [anon_sym_SEMI] = ACTIONS(497),
    [aux_sym_function_static_declaration_token1] = ACTIONS(352),
    [aux_sym_global_declaration_token1] = ACTIONS(354),
    [aux_sym_namespace_definition_token1] = ACTIONS(356),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(358),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(360),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(362),
    [aux_sym_trait_declaration_token1] = ACTIONS(364),
    [aux_sym_interface_declaration_token1] = ACTIONS(366),
    [aux_sym_enum_declaration_token1] = ACTIONS(368),
    [anon_sym_COLON] = ACTIONS(499),
    [aux_sym_class_declaration_token1] = ACTIONS(372),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(374),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(376),
    [aux_sym_exit_statement_token1] = ACTIONS(378),
    [anon_sym_unset] = ACTIONS(380),
    [aux_sym_declare_statement_token1] = ACTIONS(410),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(384),
    [aux_sym_goto_statement_token1] = ACTIONS(386),
    [aux_sym_continue_statement_token1] = ACTIONS(388),
    [aux_sym_break_statement_token1] = ACTIONS(390),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(392),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(412),
    [aux_sym_do_statement_token1] = ACTIONS(396),
    [aux_sym_for_statement_token1] = ACTIONS(414),
    [aux_sym_foreach_statement_token1] = ACTIONS(416),
    [aux_sym_if_statement_token1] = ACTIONS(418),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(404),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(497),
  },
  [30] = {
    [sym_statement] = STATE(54),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_program_repeat1] = STATE(54),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [ts_builtin_sym_end] = ACTIONS(501),
    [sym_name] = ACTIONS(7),
    [anon_sym_QMARK_GT] = ACTIONS(503),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [31] = {
    [sym_statement] = STATE(492),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [sym__semicolon] = STATE(494),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(505),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(507),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(505),
  },
  [32] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [ts_builtin_sym_end] = ACTIONS(501),
    [sym_name] = ACTIONS(7),
    [anon_sym_QMARK_GT] = ACTIONS(503),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [33] = {
    [sym_statement] = STATE(558),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [sym__semicolon] = STATE(558),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(509),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(511),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(509),
  },
  [34] = {
    [sym_statement] = STATE(566),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [sym__semicolon] = STATE(567),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(513),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(515),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(513),
  },
  [35] = {
    [sym_statement] = STATE(566),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [sym__semicolon] = STATE(567),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(513),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(515),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(513),
  },
  [36] = {
    [sym_statement] = STATE(462),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [sym__semicolon] = STATE(467),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(453),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(455),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(453),
  },
  [37] = {
    [sym_statement] = STATE(471),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [sym__semicolon] = STATE(477),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(481),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(483),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(481),
  },
  [38] = {
    [sym_statement] = STATE(492),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [sym__semicolon] = STATE(494),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(505),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(507),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(505),
  },
  [39] = {
    [sym_statement] = STATE(558),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [sym__semicolon] = STATE(558),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(509),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(511),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(509),
  },
  [40] = {
    [sym_statement] = STATE(517),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [sym__semicolon] = STATE(518),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(517),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(519),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(517),
  },
  [41] = {
    [sym_statement] = STATE(517),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [sym__semicolon] = STATE(518),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(517),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(519),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(517),
  },
  [42] = {
    [sym_statement] = STATE(522),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [sym__semicolon] = STATE(523),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(449),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(451),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(449),
  },
  [43] = {
    [sym_statement] = STATE(530),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [sym__semicolon] = STATE(531),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(457),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(459),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(457),
  },
  [44] = {
    [sym_statement] = STATE(2221),
    [sym_empty_statement] = STATE(2165),
    [sym_function_static_declaration] = STATE(2165),
    [sym_global_declaration] = STATE(2165),
    [sym_namespace_definition] = STATE(2165),
    [sym_namespace_use_declaration] = STATE(2165),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(2165),
    [sym_interface_declaration] = STATE(2165),
    [sym_enum_declaration] = STATE(2165),
    [sym_class_declaration] = STATE(2165),
    [sym_final_modifier] = STATE(1351),
    [sym_abstract_modifier] = STATE(1351),
    [sym_readonly_modifier] = STATE(1351),
    [sym_const_declaration] = STATE(2165),
    [sym__const_declaration] = STATE(2167),
    [sym__modifier] = STATE(1351),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1351),
    [sym_function_definition] = STATE(2165),
    [sym__function_definition_header] = STATE(2275),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(2165),
    [sym_exit_statement] = STATE(2165),
    [sym_unset_statement] = STATE(2165),
    [sym_declare_statement] = STATE(2165),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(2165),
    [sym_goto_statement] = STATE(2165),
    [sym_continue_statement] = STATE(2165),
    [sym_break_statement] = STATE(2165),
    [sym_return_statement] = STATE(2165),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(2165),
    [sym_do_statement] = STATE(2165),
    [sym_for_statement] = STATE(2165),
    [sym_foreach_statement] = STATE(2165),
    [sym_if_statement] = STATE(2165),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(2165),
    [sym_compound_statement] = STATE(2165),
    [sym_named_label_statement] = STATE(2165),
    [sym_expression_statement] = STATE(2165),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1335),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [sym__semicolon] = STATE(2221),
    [aux_sym_class_declaration_repeat1] = STATE(1351),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(348),
    [anon_sym_SEMI] = ACTIONS(461),
    [aux_sym_function_static_declaration_token1] = ACTIONS(352),
    [aux_sym_global_declaration_token1] = ACTIONS(354),
    [aux_sym_namespace_definition_token1] = ACTIONS(356),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(358),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(360),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(362),
    [aux_sym_trait_declaration_token1] = ACTIONS(364),
    [aux_sym_interface_declaration_token1] = ACTIONS(366),
    [aux_sym_enum_declaration_token1] = ACTIONS(368),
    [anon_sym_COLON] = ACTIONS(463),
    [aux_sym_class_declaration_token1] = ACTIONS(372),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(374),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(376),
    [aux_sym_exit_statement_token1] = ACTIONS(378),
    [anon_sym_unset] = ACTIONS(380),
    [aux_sym_declare_statement_token1] = ACTIONS(382),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(384),
    [aux_sym_goto_statement_token1] = ACTIONS(386),
    [aux_sym_continue_statement_token1] = ACTIONS(388),
    [aux_sym_break_statement_token1] = ACTIONS(390),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(392),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(394),
    [aux_sym_do_statement_token1] = ACTIONS(396),
    [aux_sym_for_statement_token1] = ACTIONS(398),
    [aux_sym_foreach_statement_token1] = ACTIONS(400),
    [aux_sym_if_statement_token1] = ACTIONS(402),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(404),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(461),
  },
  [45] = {
    [sym_statement] = STATE(2155),
    [sym_empty_statement] = STATE(2165),
    [sym_function_static_declaration] = STATE(2165),
    [sym_global_declaration] = STATE(2165),
    [sym_namespace_definition] = STATE(2165),
    [sym_namespace_use_declaration] = STATE(2165),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(2165),
    [sym_interface_declaration] = STATE(2165),
    [sym_enum_declaration] = STATE(2165),
    [sym_class_declaration] = STATE(2165),
    [sym_final_modifier] = STATE(1351),
    [sym_abstract_modifier] = STATE(1351),
    [sym_readonly_modifier] = STATE(1351),
    [sym_const_declaration] = STATE(2165),
    [sym__const_declaration] = STATE(2167),
    [sym__modifier] = STATE(1351),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1351),
    [sym_function_definition] = STATE(2165),
    [sym__function_definition_header] = STATE(2275),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(2165),
    [sym_exit_statement] = STATE(2165),
    [sym_unset_statement] = STATE(2165),
    [sym_declare_statement] = STATE(2165),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(2165),
    [sym_goto_statement] = STATE(2165),
    [sym_continue_statement] = STATE(2165),
    [sym_break_statement] = STATE(2165),
    [sym_return_statement] = STATE(2165),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(2165),
    [sym_do_statement] = STATE(2165),
    [sym_for_statement] = STATE(2165),
    [sym_foreach_statement] = STATE(2165),
    [sym_if_statement] = STATE(2165),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(2165),
    [sym_compound_statement] = STATE(2165),
    [sym_named_label_statement] = STATE(2165),
    [sym_expression_statement] = STATE(2165),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1335),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [sym__semicolon] = STATE(2157),
    [aux_sym_class_declaration_repeat1] = STATE(1351),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(348),
    [anon_sym_SEMI] = ACTIONS(465),
    [aux_sym_function_static_declaration_token1] = ACTIONS(352),
    [aux_sym_global_declaration_token1] = ACTIONS(354),
    [aux_sym_namespace_definition_token1] = ACTIONS(356),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(358),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(360),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(362),
    [aux_sym_trait_declaration_token1] = ACTIONS(364),
    [aux_sym_interface_declaration_token1] = ACTIONS(366),
    [aux_sym_enum_declaration_token1] = ACTIONS(368),
    [anon_sym_COLON] = ACTIONS(467),
    [aux_sym_class_declaration_token1] = ACTIONS(372),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(374),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(376),
    [aux_sym_exit_statement_token1] = ACTIONS(378),
    [anon_sym_unset] = ACTIONS(380),
    [aux_sym_declare_statement_token1] = ACTIONS(382),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(384),
    [aux_sym_goto_statement_token1] = ACTIONS(386),
    [aux_sym_continue_statement_token1] = ACTIONS(388),
    [aux_sym_break_statement_token1] = ACTIONS(390),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(392),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(394),
    [aux_sym_do_statement_token1] = ACTIONS(396),
    [aux_sym_for_statement_token1] = ACTIONS(398),
    [aux_sym_foreach_statement_token1] = ACTIONS(400),
    [aux_sym_if_statement_token1] = ACTIONS(402),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(404),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(465),
  },
  [46] = {
    [sym_statement] = STATE(1924),
    [sym_empty_statement] = STATE(2165),
    [sym_function_static_declaration] = STATE(2165),
    [sym_global_declaration] = STATE(2165),
    [sym_namespace_definition] = STATE(2165),
    [sym_namespace_use_declaration] = STATE(2165),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(2165),
    [sym_interface_declaration] = STATE(2165),
    [sym_enum_declaration] = STATE(2165),
    [sym_class_declaration] = STATE(2165),
    [sym_final_modifier] = STATE(1351),
    [sym_abstract_modifier] = STATE(1351),
    [sym_readonly_modifier] = STATE(1351),
    [sym_const_declaration] = STATE(2165),
    [sym__const_declaration] = STATE(2167),
    [sym__modifier] = STATE(1351),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1351),
    [sym_function_definition] = STATE(2165),
    [sym__function_definition_header] = STATE(2275),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(2165),
    [sym_exit_statement] = STATE(2165),
    [sym_unset_statement] = STATE(2165),
    [sym_declare_statement] = STATE(2165),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(2165),
    [sym_goto_statement] = STATE(2165),
    [sym_continue_statement] = STATE(2165),
    [sym_break_statement] = STATE(2165),
    [sym_return_statement] = STATE(2165),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(2165),
    [sym_do_statement] = STATE(2165),
    [sym_for_statement] = STATE(2165),
    [sym_foreach_statement] = STATE(2165),
    [sym_if_statement] = STATE(2165),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(2165),
    [sym_compound_statement] = STATE(2165),
    [sym_named_label_statement] = STATE(2165),
    [sym_expression_statement] = STATE(2165),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1335),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [sym__semicolon] = STATE(1926),
    [aux_sym_class_declaration_repeat1] = STATE(1351),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(348),
    [anon_sym_SEMI] = ACTIONS(469),
    [aux_sym_function_static_declaration_token1] = ACTIONS(352),
    [aux_sym_global_declaration_token1] = ACTIONS(354),
    [aux_sym_namespace_definition_token1] = ACTIONS(356),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(358),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(360),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(362),
    [aux_sym_trait_declaration_token1] = ACTIONS(364),
    [aux_sym_interface_declaration_token1] = ACTIONS(366),
    [aux_sym_enum_declaration_token1] = ACTIONS(368),
    [anon_sym_COLON] = ACTIONS(471),
    [aux_sym_class_declaration_token1] = ACTIONS(372),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(374),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(376),
    [aux_sym_exit_statement_token1] = ACTIONS(378),
    [anon_sym_unset] = ACTIONS(380),
    [aux_sym_declare_statement_token1] = ACTIONS(382),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(384),
    [aux_sym_goto_statement_token1] = ACTIONS(386),
    [aux_sym_continue_statement_token1] = ACTIONS(388),
    [aux_sym_break_statement_token1] = ACTIONS(390),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(392),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(394),
    [aux_sym_do_statement_token1] = ACTIONS(396),
    [aux_sym_for_statement_token1] = ACTIONS(398),
    [aux_sym_foreach_statement_token1] = ACTIONS(400),
    [aux_sym_if_statement_token1] = ACTIONS(402),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(404),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(469),
  },
  [47] = {
    [sym_statement] = STATE(1929),
    [sym_empty_statement] = STATE(2165),
    [sym_function_static_declaration] = STATE(2165),
    [sym_global_declaration] = STATE(2165),
    [sym_namespace_definition] = STATE(2165),
    [sym_namespace_use_declaration] = STATE(2165),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(2165),
    [sym_interface_declaration] = STATE(2165),
    [sym_enum_declaration] = STATE(2165),
    [sym_class_declaration] = STATE(2165),
    [sym_final_modifier] = STATE(1351),
    [sym_abstract_modifier] = STATE(1351),
    [sym_readonly_modifier] = STATE(1351),
    [sym_const_declaration] = STATE(2165),
    [sym__const_declaration] = STATE(2167),
    [sym__modifier] = STATE(1351),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1351),
    [sym_function_definition] = STATE(2165),
    [sym__function_definition_header] = STATE(2275),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(2165),
    [sym_exit_statement] = STATE(2165),
    [sym_unset_statement] = STATE(2165),
    [sym_declare_statement] = STATE(2165),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(2165),
    [sym_goto_statement] = STATE(2165),
    [sym_continue_statement] = STATE(2165),
    [sym_break_statement] = STATE(2165),
    [sym_return_statement] = STATE(2165),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(2165),
    [sym_do_statement] = STATE(2165),
    [sym_for_statement] = STATE(2165),
    [sym_foreach_statement] = STATE(2165),
    [sym_if_statement] = STATE(2165),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(2165),
    [sym_compound_statement] = STATE(2165),
    [sym_named_label_statement] = STATE(2165),
    [sym_expression_statement] = STATE(2165),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1335),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [sym__semicolon] = STATE(1930),
    [aux_sym_class_declaration_repeat1] = STATE(1351),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(348),
    [anon_sym_SEMI] = ACTIONS(473),
    [aux_sym_function_static_declaration_token1] = ACTIONS(352),
    [aux_sym_global_declaration_token1] = ACTIONS(354),
    [aux_sym_namespace_definition_token1] = ACTIONS(356),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(358),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(360),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(362),
    [aux_sym_trait_declaration_token1] = ACTIONS(364),
    [aux_sym_interface_declaration_token1] = ACTIONS(366),
    [aux_sym_enum_declaration_token1] = ACTIONS(368),
    [anon_sym_COLON] = ACTIONS(475),
    [aux_sym_class_declaration_token1] = ACTIONS(372),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(374),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(376),
    [aux_sym_exit_statement_token1] = ACTIONS(378),
    [anon_sym_unset] = ACTIONS(380),
    [aux_sym_declare_statement_token1] = ACTIONS(382),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(384),
    [aux_sym_goto_statement_token1] = ACTIONS(386),
    [aux_sym_continue_statement_token1] = ACTIONS(388),
    [aux_sym_break_statement_token1] = ACTIONS(390),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(392),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(394),
    [aux_sym_do_statement_token1] = ACTIONS(396),
    [aux_sym_for_statement_token1] = ACTIONS(398),
    [aux_sym_foreach_statement_token1] = ACTIONS(400),
    [aux_sym_if_statement_token1] = ACTIONS(402),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(404),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(473),
  },
  [48] = {
    [sym_statement] = STATE(1934),
    [sym_empty_statement] = STATE(2165),
    [sym_function_static_declaration] = STATE(2165),
    [sym_global_declaration] = STATE(2165),
    [sym_namespace_definition] = STATE(2165),
    [sym_namespace_use_declaration] = STATE(2165),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(2165),
    [sym_interface_declaration] = STATE(2165),
    [sym_enum_declaration] = STATE(2165),
    [sym_class_declaration] = STATE(2165),
    [sym_final_modifier] = STATE(1351),
    [sym_abstract_modifier] = STATE(1351),
    [sym_readonly_modifier] = STATE(1351),
    [sym_const_declaration] = STATE(2165),
    [sym__const_declaration] = STATE(2167),
    [sym__modifier] = STATE(1351),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1351),
    [sym_function_definition] = STATE(2165),
    [sym__function_definition_header] = STATE(2275),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(2165),
    [sym_exit_statement] = STATE(2165),
    [sym_unset_statement] = STATE(2165),
    [sym_declare_statement] = STATE(2165),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(2165),
    [sym_goto_statement] = STATE(2165),
    [sym_continue_statement] = STATE(2165),
    [sym_break_statement] = STATE(2165),
    [sym_return_statement] = STATE(2165),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(2165),
    [sym_do_statement] = STATE(2165),
    [sym_for_statement] = STATE(2165),
    [sym_foreach_statement] = STATE(2165),
    [sym_if_statement] = STATE(2165),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(2165),
    [sym_compound_statement] = STATE(2165),
    [sym_named_label_statement] = STATE(2165),
    [sym_expression_statement] = STATE(2165),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1335),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [sym__semicolon] = STATE(1939),
    [aux_sym_class_declaration_repeat1] = STATE(1351),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(348),
    [anon_sym_SEMI] = ACTIONS(477),
    [aux_sym_function_static_declaration_token1] = ACTIONS(352),
    [aux_sym_global_declaration_token1] = ACTIONS(354),
    [aux_sym_namespace_definition_token1] = ACTIONS(356),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(358),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(360),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(362),
    [aux_sym_trait_declaration_token1] = ACTIONS(364),
    [aux_sym_interface_declaration_token1] = ACTIONS(366),
    [aux_sym_enum_declaration_token1] = ACTIONS(368),
    [anon_sym_COLON] = ACTIONS(479),
    [aux_sym_class_declaration_token1] = ACTIONS(372),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(374),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(376),
    [aux_sym_exit_statement_token1] = ACTIONS(378),
    [anon_sym_unset] = ACTIONS(380),
    [aux_sym_declare_statement_token1] = ACTIONS(382),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(384),
    [aux_sym_goto_statement_token1] = ACTIONS(386),
    [aux_sym_continue_statement_token1] = ACTIONS(388),
    [aux_sym_break_statement_token1] = ACTIONS(390),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(392),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(394),
    [aux_sym_do_statement_token1] = ACTIONS(396),
    [aux_sym_for_statement_token1] = ACTIONS(398),
    [aux_sym_foreach_statement_token1] = ACTIONS(400),
    [aux_sym_if_statement_token1] = ACTIONS(402),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(404),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(477),
  },
  [49] = {
    [sym_statement] = STATE(578),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [sym__semicolon] = STATE(520),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(445),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(447),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(445),
  },
  [50] = {
    [sym_statement] = STATE(1970),
    [sym_empty_statement] = STATE(2165),
    [sym_function_static_declaration] = STATE(2165),
    [sym_global_declaration] = STATE(2165),
    [sym_namespace_definition] = STATE(2165),
    [sym_namespace_use_declaration] = STATE(2165),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(2165),
    [sym_interface_declaration] = STATE(2165),
    [sym_enum_declaration] = STATE(2165),
    [sym_class_declaration] = STATE(2165),
    [sym_final_modifier] = STATE(1351),
    [sym_abstract_modifier] = STATE(1351),
    [sym_readonly_modifier] = STATE(1351),
    [sym_const_declaration] = STATE(2165),
    [sym__const_declaration] = STATE(2167),
    [sym__modifier] = STATE(1351),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1351),
    [sym_function_definition] = STATE(2165),
    [sym__function_definition_header] = STATE(2275),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(2165),
    [sym_exit_statement] = STATE(2165),
    [sym_unset_statement] = STATE(2165),
    [sym_declare_statement] = STATE(2165),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(2165),
    [sym_goto_statement] = STATE(2165),
    [sym_continue_statement] = STATE(2165),
    [sym_break_statement] = STATE(2165),
    [sym_return_statement] = STATE(2165),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(2165),
    [sym_do_statement] = STATE(2165),
    [sym_for_statement] = STATE(2165),
    [sym_foreach_statement] = STATE(2165),
    [sym_if_statement] = STATE(2165),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(2165),
    [sym_compound_statement] = STATE(2165),
    [sym_named_label_statement] = STATE(2165),
    [sym_expression_statement] = STATE(2165),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1335),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [sym__semicolon] = STATE(1972),
    [aux_sym_class_declaration_repeat1] = STATE(1351),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(348),
    [anon_sym_SEMI] = ACTIONS(485),
    [aux_sym_function_static_declaration_token1] = ACTIONS(352),
    [aux_sym_global_declaration_token1] = ACTIONS(354),
    [aux_sym_namespace_definition_token1] = ACTIONS(356),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(358),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(360),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(362),
    [aux_sym_trait_declaration_token1] = ACTIONS(364),
    [aux_sym_interface_declaration_token1] = ACTIONS(366),
    [aux_sym_enum_declaration_token1] = ACTIONS(368),
    [anon_sym_COLON] = ACTIONS(487),
    [aux_sym_class_declaration_token1] = ACTIONS(372),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(374),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(376),
    [aux_sym_exit_statement_token1] = ACTIONS(378),
    [anon_sym_unset] = ACTIONS(380),
    [aux_sym_declare_statement_token1] = ACTIONS(382),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(384),
    [aux_sym_goto_statement_token1] = ACTIONS(386),
    [aux_sym_continue_statement_token1] = ACTIONS(388),
    [aux_sym_break_statement_token1] = ACTIONS(390),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(392),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(394),
    [aux_sym_do_statement_token1] = ACTIONS(396),
    [aux_sym_for_statement_token1] = ACTIONS(398),
    [aux_sym_foreach_statement_token1] = ACTIONS(400),
    [aux_sym_if_statement_token1] = ACTIONS(402),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(404),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(485),
  },
  [51] = {
    [sym_statement] = STATE(1976),
    [sym_empty_statement] = STATE(2165),
    [sym_function_static_declaration] = STATE(2165),
    [sym_global_declaration] = STATE(2165),
    [sym_namespace_definition] = STATE(2165),
    [sym_namespace_use_declaration] = STATE(2165),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(2165),
    [sym_interface_declaration] = STATE(2165),
    [sym_enum_declaration] = STATE(2165),
    [sym_class_declaration] = STATE(2165),
    [sym_final_modifier] = STATE(1351),
    [sym_abstract_modifier] = STATE(1351),
    [sym_readonly_modifier] = STATE(1351),
    [sym_const_declaration] = STATE(2165),
    [sym__const_declaration] = STATE(2167),
    [sym__modifier] = STATE(1351),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1351),
    [sym_function_definition] = STATE(2165),
    [sym__function_definition_header] = STATE(2275),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(2165),
    [sym_exit_statement] = STATE(2165),
    [sym_unset_statement] = STATE(2165),
    [sym_declare_statement] = STATE(2165),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(2165),
    [sym_goto_statement] = STATE(2165),
    [sym_continue_statement] = STATE(2165),
    [sym_break_statement] = STATE(2165),
    [sym_return_statement] = STATE(2165),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(2165),
    [sym_do_statement] = STATE(2165),
    [sym_for_statement] = STATE(2165),
    [sym_foreach_statement] = STATE(2165),
    [sym_if_statement] = STATE(2165),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(2165),
    [sym_compound_statement] = STATE(2165),
    [sym_named_label_statement] = STATE(2165),
    [sym_expression_statement] = STATE(2165),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1335),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [sym__semicolon] = STATE(1977),
    [aux_sym_class_declaration_repeat1] = STATE(1351),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(348),
    [anon_sym_SEMI] = ACTIONS(489),
    [aux_sym_function_static_declaration_token1] = ACTIONS(352),
    [aux_sym_global_declaration_token1] = ACTIONS(354),
    [aux_sym_namespace_definition_token1] = ACTIONS(356),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(358),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(360),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(362),
    [aux_sym_trait_declaration_token1] = ACTIONS(364),
    [aux_sym_interface_declaration_token1] = ACTIONS(366),
    [aux_sym_enum_declaration_token1] = ACTIONS(368),
    [anon_sym_COLON] = ACTIONS(491),
    [aux_sym_class_declaration_token1] = ACTIONS(372),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(374),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(376),
    [aux_sym_exit_statement_token1] = ACTIONS(378),
    [anon_sym_unset] = ACTIONS(380),
    [aux_sym_declare_statement_token1] = ACTIONS(382),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(384),
    [aux_sym_goto_statement_token1] = ACTIONS(386),
    [aux_sym_continue_statement_token1] = ACTIONS(388),
    [aux_sym_break_statement_token1] = ACTIONS(390),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(392),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(394),
    [aux_sym_do_statement_token1] = ACTIONS(396),
    [aux_sym_for_statement_token1] = ACTIONS(398),
    [aux_sym_foreach_statement_token1] = ACTIONS(400),
    [aux_sym_if_statement_token1] = ACTIONS(402),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(404),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(489),
  },
  [52] = {
    [sym_statement] = STATE(1978),
    [sym_empty_statement] = STATE(2165),
    [sym_function_static_declaration] = STATE(2165),
    [sym_global_declaration] = STATE(2165),
    [sym_namespace_definition] = STATE(2165),
    [sym_namespace_use_declaration] = STATE(2165),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(2165),
    [sym_interface_declaration] = STATE(2165),
    [sym_enum_declaration] = STATE(2165),
    [sym_class_declaration] = STATE(2165),
    [sym_final_modifier] = STATE(1351),
    [sym_abstract_modifier] = STATE(1351),
    [sym_readonly_modifier] = STATE(1351),
    [sym_const_declaration] = STATE(2165),
    [sym__const_declaration] = STATE(2167),
    [sym__modifier] = STATE(1351),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1351),
    [sym_function_definition] = STATE(2165),
    [sym__function_definition_header] = STATE(2275),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(2165),
    [sym_exit_statement] = STATE(2165),
    [sym_unset_statement] = STATE(2165),
    [sym_declare_statement] = STATE(2165),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(2165),
    [sym_goto_statement] = STATE(2165),
    [sym_continue_statement] = STATE(2165),
    [sym_break_statement] = STATE(2165),
    [sym_return_statement] = STATE(2165),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(2165),
    [sym_do_statement] = STATE(2165),
    [sym_for_statement] = STATE(2165),
    [sym_foreach_statement] = STATE(2165),
    [sym_if_statement] = STATE(2165),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(2165),
    [sym_compound_statement] = STATE(2165),
    [sym_named_label_statement] = STATE(2165),
    [sym_expression_statement] = STATE(2165),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1335),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [sym__semicolon] = STATE(1979),
    [aux_sym_class_declaration_repeat1] = STATE(1351),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(348),
    [anon_sym_SEMI] = ACTIONS(493),
    [aux_sym_function_static_declaration_token1] = ACTIONS(352),
    [aux_sym_global_declaration_token1] = ACTIONS(354),
    [aux_sym_namespace_definition_token1] = ACTIONS(356),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(358),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(360),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(362),
    [aux_sym_trait_declaration_token1] = ACTIONS(364),
    [aux_sym_interface_declaration_token1] = ACTIONS(366),
    [aux_sym_enum_declaration_token1] = ACTIONS(368),
    [anon_sym_COLON] = ACTIONS(495),
    [aux_sym_class_declaration_token1] = ACTIONS(372),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(374),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(376),
    [aux_sym_exit_statement_token1] = ACTIONS(378),
    [anon_sym_unset] = ACTIONS(380),
    [aux_sym_declare_statement_token1] = ACTIONS(382),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(384),
    [aux_sym_goto_statement_token1] = ACTIONS(386),
    [aux_sym_continue_statement_token1] = ACTIONS(388),
    [aux_sym_break_statement_token1] = ACTIONS(390),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(392),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(394),
    [aux_sym_do_statement_token1] = ACTIONS(396),
    [aux_sym_for_statement_token1] = ACTIONS(398),
    [aux_sym_foreach_statement_token1] = ACTIONS(400),
    [aux_sym_if_statement_token1] = ACTIONS(402),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(404),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(493),
  },
  [53] = {
    [sym_statement] = STATE(2005),
    [sym_empty_statement] = STATE(2165),
    [sym_function_static_declaration] = STATE(2165),
    [sym_global_declaration] = STATE(2165),
    [sym_namespace_definition] = STATE(2165),
    [sym_namespace_use_declaration] = STATE(2165),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(2165),
    [sym_interface_declaration] = STATE(2165),
    [sym_enum_declaration] = STATE(2165),
    [sym_class_declaration] = STATE(2165),
    [sym_final_modifier] = STATE(1351),
    [sym_abstract_modifier] = STATE(1351),
    [sym_readonly_modifier] = STATE(1351),
    [sym_const_declaration] = STATE(2165),
    [sym__const_declaration] = STATE(2167),
    [sym__modifier] = STATE(1351),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1351),
    [sym_function_definition] = STATE(2165),
    [sym__function_definition_header] = STATE(2275),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(2165),
    [sym_exit_statement] = STATE(2165),
    [sym_unset_statement] = STATE(2165),
    [sym_declare_statement] = STATE(2165),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(2165),
    [sym_goto_statement] = STATE(2165),
    [sym_continue_statement] = STATE(2165),
    [sym_break_statement] = STATE(2165),
    [sym_return_statement] = STATE(2165),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(2165),
    [sym_do_statement] = STATE(2165),
    [sym_for_statement] = STATE(2165),
    [sym_foreach_statement] = STATE(2165),
    [sym_if_statement] = STATE(2165),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(2165),
    [sym_compound_statement] = STATE(2165),
    [sym_named_label_statement] = STATE(2165),
    [sym_expression_statement] = STATE(2165),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1335),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [sym__semicolon] = STATE(2006),
    [aux_sym_class_declaration_repeat1] = STATE(1351),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(348),
    [anon_sym_SEMI] = ACTIONS(497),
    [aux_sym_function_static_declaration_token1] = ACTIONS(352),
    [aux_sym_global_declaration_token1] = ACTIONS(354),
    [aux_sym_namespace_definition_token1] = ACTIONS(356),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(358),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(360),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(362),
    [aux_sym_trait_declaration_token1] = ACTIONS(364),
    [aux_sym_interface_declaration_token1] = ACTIONS(366),
    [aux_sym_enum_declaration_token1] = ACTIONS(368),
    [anon_sym_COLON] = ACTIONS(499),
    [aux_sym_class_declaration_token1] = ACTIONS(372),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(374),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(376),
    [aux_sym_exit_statement_token1] = ACTIONS(378),
    [anon_sym_unset] = ACTIONS(380),
    [aux_sym_declare_statement_token1] = ACTIONS(382),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(384),
    [aux_sym_goto_statement_token1] = ACTIONS(386),
    [aux_sym_continue_statement_token1] = ACTIONS(388),
    [aux_sym_break_statement_token1] = ACTIONS(390),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(392),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(394),
    [aux_sym_do_statement_token1] = ACTIONS(396),
    [aux_sym_for_statement_token1] = ACTIONS(398),
    [aux_sym_foreach_statement_token1] = ACTIONS(400),
    [aux_sym_if_statement_token1] = ACTIONS(402),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(404),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(497),
  },
  [54] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [ts_builtin_sym_end] = ACTIONS(521),
    [sym_name] = ACTIONS(7),
    [anon_sym_QMARK_GT] = ACTIONS(523),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [55] = {
    [sym_statement] = STATE(71),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_program_repeat1] = STATE(71),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(525),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [56] = {
    [sym_statement] = STATE(59),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_program_repeat1] = STATE(59),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(527),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [57] = {
    [sym_statement] = STATE(108),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_program_repeat1] = STATE(108),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(529),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [58] = {
    [sym_statement] = STATE(490),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_colon_block] = STATE(2583),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(370),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [59] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(531),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [60] = {
    [sym_statement] = STATE(93),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_program_repeat1] = STATE(93),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(533),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [61] = {
    [sym_statement] = STATE(62),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_program_repeat1] = STATE(62),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(535),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [62] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(537),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [63] = {
    [sym_statement] = STATE(445),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_colon_block] = STATE(1585),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(539),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [64] = {
    [sym_statement] = STATE(65),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_program_repeat1] = STATE(65),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [aux_sym_declare_statement_token2] = ACTIONS(541),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [65] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [aux_sym_declare_statement_token2] = ACTIONS(543),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [66] = {
    [sym_statement] = STATE(68),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_program_repeat1] = STATE(68),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(545),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [67] = {
    [sym_statement] = STATE(94),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_program_repeat1] = STATE(94),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(547),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [68] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(549),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [69] = {
    [sym_statement] = STATE(72),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_program_repeat1] = STATE(72),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(551),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [70] = {
    [sym_statement] = STATE(74),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_program_repeat1] = STATE(74),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(553),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [71] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(555),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [72] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(557),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [73] = {
    [sym_statement] = STATE(77),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_program_repeat1] = STATE(77),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(559),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [74] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(561),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [75] = {
    [sym_statement] = STATE(78),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_program_repeat1] = STATE(78),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(563),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [76] = {
    [sym_statement] = STATE(79),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_program_repeat1] = STATE(79),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(565),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [77] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(567),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [78] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(569),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [79] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(571),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [80] = {
    [sym_statement] = STATE(81),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_program_repeat1] = STATE(81),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(573),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [81] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(575),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [82] = {
    [sym_statement] = STATE(1658),
    [sym_empty_statement] = STATE(2165),
    [sym_function_static_declaration] = STATE(2165),
    [sym_global_declaration] = STATE(2165),
    [sym_namespace_definition] = STATE(2165),
    [sym_namespace_use_declaration] = STATE(2165),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(2165),
    [sym_interface_declaration] = STATE(2165),
    [sym_enum_declaration] = STATE(2165),
    [sym_class_declaration] = STATE(2165),
    [sym_final_modifier] = STATE(1351),
    [sym_abstract_modifier] = STATE(1351),
    [sym_readonly_modifier] = STATE(1351),
    [sym_const_declaration] = STATE(2165),
    [sym__const_declaration] = STATE(2167),
    [sym__modifier] = STATE(1351),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1351),
    [sym_function_definition] = STATE(2165),
    [sym__function_definition_header] = STATE(2275),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(2165),
    [sym_exit_statement] = STATE(2165),
    [sym_unset_statement] = STATE(2165),
    [sym_declare_statement] = STATE(2165),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(2165),
    [sym_goto_statement] = STATE(2165),
    [sym_continue_statement] = STATE(2165),
    [sym_break_statement] = STATE(2165),
    [sym_return_statement] = STATE(2165),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(2165),
    [sym_do_statement] = STATE(2165),
    [sym_for_statement] = STATE(2165),
    [sym_foreach_statement] = STATE(2165),
    [sym_if_statement] = STATE(2165),
    [sym_colon_block] = STATE(1579),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(2165),
    [sym_compound_statement] = STATE(2165),
    [sym_named_label_statement] = STATE(2165),
    [sym_expression_statement] = STATE(2165),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1335),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_class_declaration_repeat1] = STATE(1351),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(348),
    [anon_sym_SEMI] = ACTIONS(577),
    [aux_sym_function_static_declaration_token1] = ACTIONS(352),
    [aux_sym_global_declaration_token1] = ACTIONS(354),
    [aux_sym_namespace_definition_token1] = ACTIONS(356),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(358),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(360),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(362),
    [aux_sym_trait_declaration_token1] = ACTIONS(364),
    [aux_sym_interface_declaration_token1] = ACTIONS(366),
    [aux_sym_enum_declaration_token1] = ACTIONS(368),
    [anon_sym_COLON] = ACTIONS(539),
    [aux_sym_class_declaration_token1] = ACTIONS(372),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(374),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(376),
    [aux_sym_exit_statement_token1] = ACTIONS(378),
    [anon_sym_unset] = ACTIONS(380),
    [aux_sym_declare_statement_token1] = ACTIONS(382),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(384),
    [aux_sym_goto_statement_token1] = ACTIONS(386),
    [aux_sym_continue_statement_token1] = ACTIONS(388),
    [aux_sym_break_statement_token1] = ACTIONS(390),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(392),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(394),
    [aux_sym_do_statement_token1] = ACTIONS(396),
    [aux_sym_for_statement_token1] = ACTIONS(398),
    [aux_sym_foreach_statement_token1] = ACTIONS(400),
    [aux_sym_if_statement_token1] = ACTIONS(402),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(404),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [83] = {
    [sym_statement] = STATE(84),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_program_repeat1] = STATE(84),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(579),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [84] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(581),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [85] = {
    [sym_statement] = STATE(86),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_program_repeat1] = STATE(86),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(583),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [86] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(585),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [87] = {
    [sym_statement] = STATE(88),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_program_repeat1] = STATE(88),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(587),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [88] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(589),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [89] = {
    [sym_statement] = STATE(490),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_colon_block] = STATE(2583),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(370),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [90] = {
    [sym_statement] = STATE(96),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_program_repeat1] = STATE(96),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(591),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [91] = {
    [sym_statement] = STATE(107),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_program_repeat1] = STATE(107),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [aux_sym_declare_statement_token2] = ACTIONS(593),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [92] = {
    [sym_statement] = STATE(447),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_colon_block] = STATE(1585),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(539),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [93] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(595),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [94] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(597),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [95] = {
    [sym_statement] = STATE(99),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_program_repeat1] = STATE(99),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(599),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [96] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(601),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [97] = {
    [sym_statement] = STATE(101),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_program_repeat1] = STATE(101),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(603),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [98] = {
    [sym_statement] = STATE(102),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_program_repeat1] = STATE(102),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(605),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [99] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(607),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [100] = {
    [sym_statement] = STATE(2069),
    [sym_empty_statement] = STATE(2165),
    [sym_function_static_declaration] = STATE(2165),
    [sym_global_declaration] = STATE(2165),
    [sym_namespace_definition] = STATE(2165),
    [sym_namespace_use_declaration] = STATE(2165),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(2165),
    [sym_interface_declaration] = STATE(2165),
    [sym_enum_declaration] = STATE(2165),
    [sym_class_declaration] = STATE(2165),
    [sym_final_modifier] = STATE(1351),
    [sym_abstract_modifier] = STATE(1351),
    [sym_readonly_modifier] = STATE(1351),
    [sym_const_declaration] = STATE(2165),
    [sym__const_declaration] = STATE(2167),
    [sym__modifier] = STATE(1351),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1351),
    [sym_function_definition] = STATE(2165),
    [sym__function_definition_header] = STATE(2275),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(2165),
    [sym_exit_statement] = STATE(2165),
    [sym_unset_statement] = STATE(2165),
    [sym_declare_statement] = STATE(2165),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(2165),
    [sym_goto_statement] = STATE(2165),
    [sym_continue_statement] = STATE(2165),
    [sym_break_statement] = STATE(2165),
    [sym_return_statement] = STATE(2165),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(2165),
    [sym_do_statement] = STATE(2165),
    [sym_for_statement] = STATE(2165),
    [sym_foreach_statement] = STATE(2165),
    [sym_if_statement] = STATE(2165),
    [sym_colon_block] = STATE(2506),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(2165),
    [sym_compound_statement] = STATE(2165),
    [sym_named_label_statement] = STATE(2165),
    [sym_expression_statement] = STATE(2165),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1335),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_class_declaration_repeat1] = STATE(1351),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(348),
    [anon_sym_SEMI] = ACTIONS(577),
    [aux_sym_function_static_declaration_token1] = ACTIONS(352),
    [aux_sym_global_declaration_token1] = ACTIONS(354),
    [aux_sym_namespace_definition_token1] = ACTIONS(356),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(358),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(360),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(362),
    [aux_sym_trait_declaration_token1] = ACTIONS(364),
    [aux_sym_interface_declaration_token1] = ACTIONS(366),
    [aux_sym_enum_declaration_token1] = ACTIONS(368),
    [anon_sym_COLON] = ACTIONS(370),
    [aux_sym_class_declaration_token1] = ACTIONS(372),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(374),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(376),
    [aux_sym_exit_statement_token1] = ACTIONS(378),
    [anon_sym_unset] = ACTIONS(380),
    [aux_sym_declare_statement_token1] = ACTIONS(382),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(384),
    [aux_sym_goto_statement_token1] = ACTIONS(386),
    [aux_sym_continue_statement_token1] = ACTIONS(388),
    [aux_sym_break_statement_token1] = ACTIONS(390),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(392),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(394),
    [aux_sym_do_statement_token1] = ACTIONS(396),
    [aux_sym_for_statement_token1] = ACTIONS(398),
    [aux_sym_foreach_statement_token1] = ACTIONS(400),
    [aux_sym_if_statement_token1] = ACTIONS(402),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(404),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [101] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(609),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [102] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(611),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [103] = {
    [sym_statement] = STATE(104),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_program_repeat1] = STATE(104),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(613),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [104] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(615),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [105] = {
    [sym_statement] = STATE(2069),
    [sym_empty_statement] = STATE(2165),
    [sym_function_static_declaration] = STATE(2165),
    [sym_global_declaration] = STATE(2165),
    [sym_namespace_definition] = STATE(2165),
    [sym_namespace_use_declaration] = STATE(2165),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(2165),
    [sym_interface_declaration] = STATE(2165),
    [sym_enum_declaration] = STATE(2165),
    [sym_class_declaration] = STATE(2165),
    [sym_final_modifier] = STATE(1351),
    [sym_abstract_modifier] = STATE(1351),
    [sym_readonly_modifier] = STATE(1351),
    [sym_const_declaration] = STATE(2165),
    [sym__const_declaration] = STATE(2167),
    [sym__modifier] = STATE(1351),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1351),
    [sym_function_definition] = STATE(2165),
    [sym__function_definition_header] = STATE(2275),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(2165),
    [sym_exit_statement] = STATE(2165),
    [sym_unset_statement] = STATE(2165),
    [sym_declare_statement] = STATE(2165),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(2165),
    [sym_goto_statement] = STATE(2165),
    [sym_continue_statement] = STATE(2165),
    [sym_break_statement] = STATE(2165),
    [sym_return_statement] = STATE(2165),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(2165),
    [sym_do_statement] = STATE(2165),
    [sym_for_statement] = STATE(2165),
    [sym_foreach_statement] = STATE(2165),
    [sym_if_statement] = STATE(2165),
    [sym_colon_block] = STATE(2506),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(2165),
    [sym_compound_statement] = STATE(2165),
    [sym_named_label_statement] = STATE(2165),
    [sym_expression_statement] = STATE(2165),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1335),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_class_declaration_repeat1] = STATE(1351),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(348),
    [anon_sym_SEMI] = ACTIONS(577),
    [aux_sym_function_static_declaration_token1] = ACTIONS(352),
    [aux_sym_global_declaration_token1] = ACTIONS(354),
    [aux_sym_namespace_definition_token1] = ACTIONS(356),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(358),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(360),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(362),
    [aux_sym_trait_declaration_token1] = ACTIONS(364),
    [aux_sym_interface_declaration_token1] = ACTIONS(366),
    [aux_sym_enum_declaration_token1] = ACTIONS(368),
    [anon_sym_COLON] = ACTIONS(370),
    [aux_sym_class_declaration_token1] = ACTIONS(372),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(374),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(376),
    [aux_sym_exit_statement_token1] = ACTIONS(378),
    [anon_sym_unset] = ACTIONS(380),
    [aux_sym_declare_statement_token1] = ACTIONS(410),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(384),
    [aux_sym_goto_statement_token1] = ACTIONS(386),
    [aux_sym_continue_statement_token1] = ACTIONS(388),
    [aux_sym_break_statement_token1] = ACTIONS(390),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(392),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(412),
    [aux_sym_do_statement_token1] = ACTIONS(396),
    [aux_sym_for_statement_token1] = ACTIONS(414),
    [aux_sym_foreach_statement_token1] = ACTIONS(416),
    [aux_sym_if_statement_token1] = ACTIONS(418),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(404),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [106] = {
    [sym_statement] = STATE(1634),
    [sym_empty_statement] = STATE(2165),
    [sym_function_static_declaration] = STATE(2165),
    [sym_global_declaration] = STATE(2165),
    [sym_namespace_definition] = STATE(2165),
    [sym_namespace_use_declaration] = STATE(2165),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(2165),
    [sym_interface_declaration] = STATE(2165),
    [sym_enum_declaration] = STATE(2165),
    [sym_class_declaration] = STATE(2165),
    [sym_final_modifier] = STATE(1351),
    [sym_abstract_modifier] = STATE(1351),
    [sym_readonly_modifier] = STATE(1351),
    [sym_const_declaration] = STATE(2165),
    [sym__const_declaration] = STATE(2167),
    [sym__modifier] = STATE(1351),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1351),
    [sym_function_definition] = STATE(2165),
    [sym__function_definition_header] = STATE(2275),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(2165),
    [sym_exit_statement] = STATE(2165),
    [sym_unset_statement] = STATE(2165),
    [sym_declare_statement] = STATE(2165),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(2165),
    [sym_goto_statement] = STATE(2165),
    [sym_continue_statement] = STATE(2165),
    [sym_break_statement] = STATE(2165),
    [sym_return_statement] = STATE(2165),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(2165),
    [sym_do_statement] = STATE(2165),
    [sym_for_statement] = STATE(2165),
    [sym_foreach_statement] = STATE(2165),
    [sym_if_statement] = STATE(2165),
    [sym_colon_block] = STATE(1579),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(2165),
    [sym_compound_statement] = STATE(2165),
    [sym_named_label_statement] = STATE(2165),
    [sym_expression_statement] = STATE(2165),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1335),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_class_declaration_repeat1] = STATE(1351),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(348),
    [anon_sym_SEMI] = ACTIONS(577),
    [aux_sym_function_static_declaration_token1] = ACTIONS(352),
    [aux_sym_global_declaration_token1] = ACTIONS(354),
    [aux_sym_namespace_definition_token1] = ACTIONS(356),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(358),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(360),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(362),
    [aux_sym_trait_declaration_token1] = ACTIONS(364),
    [aux_sym_interface_declaration_token1] = ACTIONS(366),
    [aux_sym_enum_declaration_token1] = ACTIONS(368),
    [anon_sym_COLON] = ACTIONS(539),
    [aux_sym_class_declaration_token1] = ACTIONS(372),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(374),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(376),
    [aux_sym_exit_statement_token1] = ACTIONS(378),
    [anon_sym_unset] = ACTIONS(380),
    [aux_sym_declare_statement_token1] = ACTIONS(382),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(384),
    [aux_sym_goto_statement_token1] = ACTIONS(386),
    [aux_sym_continue_statement_token1] = ACTIONS(388),
    [aux_sym_break_statement_token1] = ACTIONS(390),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(392),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(394),
    [aux_sym_do_statement_token1] = ACTIONS(396),
    [aux_sym_for_statement_token1] = ACTIONS(398),
    [aux_sym_foreach_statement_token1] = ACTIONS(400),
    [aux_sym_if_statement_token1] = ACTIONS(402),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(404),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [107] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [aux_sym_declare_statement_token2] = ACTIONS(617),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [108] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(619),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [109] = {
    [sym_statement] = STATE(483),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [110] = {
    [sym_statement] = STATE(568),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [111] = {
    [sym_statement] = STATE(2472),
    [sym_empty_statement] = STATE(2165),
    [sym_function_static_declaration] = STATE(2165),
    [sym_global_declaration] = STATE(2165),
    [sym_namespace_definition] = STATE(2165),
    [sym_namespace_use_declaration] = STATE(2165),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(2165),
    [sym_interface_declaration] = STATE(2165),
    [sym_enum_declaration] = STATE(2165),
    [sym_class_declaration] = STATE(2165),
    [sym_final_modifier] = STATE(1351),
    [sym_abstract_modifier] = STATE(1351),
    [sym_readonly_modifier] = STATE(1351),
    [sym_const_declaration] = STATE(2165),
    [sym__const_declaration] = STATE(2167),
    [sym__modifier] = STATE(1351),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1351),
    [sym_function_definition] = STATE(2165),
    [sym__function_definition_header] = STATE(2275),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(2165),
    [sym_exit_statement] = STATE(2165),
    [sym_unset_statement] = STATE(2165),
    [sym_declare_statement] = STATE(2165),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(2165),
    [sym_goto_statement] = STATE(2165),
    [sym_continue_statement] = STATE(2165),
    [sym_break_statement] = STATE(2165),
    [sym_return_statement] = STATE(2165),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(2165),
    [sym_do_statement] = STATE(2165),
    [sym_for_statement] = STATE(2165),
    [sym_foreach_statement] = STATE(2165),
    [sym_if_statement] = STATE(2165),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(2165),
    [sym_compound_statement] = STATE(2165),
    [sym_named_label_statement] = STATE(2165),
    [sym_expression_statement] = STATE(2165),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1335),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_class_declaration_repeat1] = STATE(1351),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(348),
    [anon_sym_SEMI] = ACTIONS(577),
    [aux_sym_function_static_declaration_token1] = ACTIONS(352),
    [aux_sym_global_declaration_token1] = ACTIONS(354),
    [aux_sym_namespace_definition_token1] = ACTIONS(356),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(358),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(360),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(362),
    [aux_sym_trait_declaration_token1] = ACTIONS(364),
    [aux_sym_interface_declaration_token1] = ACTIONS(366),
    [aux_sym_enum_declaration_token1] = ACTIONS(368),
    [aux_sym_class_declaration_token1] = ACTIONS(372),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(374),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(376),
    [aux_sym_exit_statement_token1] = ACTIONS(378),
    [anon_sym_unset] = ACTIONS(380),
    [aux_sym_declare_statement_token1] = ACTIONS(410),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(384),
    [aux_sym_goto_statement_token1] = ACTIONS(386),
    [aux_sym_continue_statement_token1] = ACTIONS(388),
    [aux_sym_break_statement_token1] = ACTIONS(390),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(392),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(412),
    [aux_sym_do_statement_token1] = ACTIONS(396),
    [aux_sym_for_statement_token1] = ACTIONS(414),
    [aux_sym_foreach_statement_token1] = ACTIONS(416),
    [aux_sym_if_statement_token1] = ACTIONS(418),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(404),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [112] = {
    [sym_statement] = STATE(483),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1354),
    [sym_abstract_modifier] = STATE(1354),
    [sym_readonly_modifier] = STATE(1354),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(464),
    [sym__modifier] = STATE(1354),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1354),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2398),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(552),
    [sym_exit_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1336),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_class_declaration_repeat1] = STATE(1354),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [113] = {
    [sym_statement] = STATE(2225),
    [sym_empty_statement] = STATE(2165),
    [sym_function_static_declaration] = STATE(2165),
    [sym_global_declaration] = STATE(2165),
    [sym_namespace_definition] = STATE(2165),
    [sym_namespace_use_declaration] = STATE(2165),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(2165),
    [sym_interface_declaration] = STATE(2165),
    [sym_enum_declaration] = STATE(2165),
    [sym_class_declaration] = STATE(2165),
    [sym_final_modifier] = STATE(1351),
    [sym_abstract_modifier] = STATE(1351),
    [sym_readonly_modifier] = STATE(1351),
    [sym_const_declaration] = STATE(2165),
    [sym__const_declaration] = STATE(2167),
    [sym__modifier] = STATE(1351),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1351),
    [sym_function_definition] = STATE(2165),
    [sym__function_definition_header] = STATE(2275),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(2165),
    [sym_exit_statement] = STATE(2165),
    [sym_unset_statement] = STATE(2165),
    [sym_declare_statement] = STATE(2165),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(2165),
    [sym_goto_statement] = STATE(2165),
    [sym_continue_statement] = STATE(2165),
    [sym_break_statement] = STATE(2165),
    [sym_return_statement] = STATE(2165),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(2165),
    [sym_do_statement] = STATE(2165),
    [sym_for_statement] = STATE(2165),
    [sym_foreach_statement] = STATE(2165),
    [sym_if_statement] = STATE(2165),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(2165),
    [sym_compound_statement] = STATE(2165),
    [sym_named_label_statement] = STATE(2165),
    [sym_expression_statement] = STATE(2165),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1335),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_class_declaration_repeat1] = STATE(1351),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(348),
    [anon_sym_SEMI] = ACTIONS(577),
    [aux_sym_function_static_declaration_token1] = ACTIONS(352),
    [aux_sym_global_declaration_token1] = ACTIONS(354),
    [aux_sym_namespace_definition_token1] = ACTIONS(356),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(358),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(360),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(362),
    [aux_sym_trait_declaration_token1] = ACTIONS(364),
    [aux_sym_interface_declaration_token1] = ACTIONS(366),
    [aux_sym_enum_declaration_token1] = ACTIONS(368),
    [aux_sym_class_declaration_token1] = ACTIONS(372),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(374),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(376),
    [aux_sym_exit_statement_token1] = ACTIONS(378),
    [anon_sym_unset] = ACTIONS(380),
    [aux_sym_declare_statement_token1] = ACTIONS(382),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(384),
    [aux_sym_goto_statement_token1] = ACTIONS(386),
    [aux_sym_continue_statement_token1] = ACTIONS(388),
    [aux_sym_break_statement_token1] = ACTIONS(390),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(392),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(394),
    [aux_sym_do_statement_token1] = ACTIONS(396),
    [aux_sym_for_statement_token1] = ACTIONS(398),
    [aux_sym_foreach_statement_token1] = ACTIONS(400),
    [aux_sym_if_statement_token1] = ACTIONS(402),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(404),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [114] = {
    [sym_statement] = STATE(2225),
    [sym_empty_statement] = STATE(2165),
    [sym_function_static_declaration] = STATE(2165),
    [sym_global_declaration] = STATE(2165),
    [sym_namespace_definition] = STATE(2165),
    [sym_namespace_use_declaration] = STATE(2165),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(2165),
    [sym_interface_declaration] = STATE(2165),
    [sym_enum_declaration] = STATE(2165),
    [sym_class_declaration] = STATE(2165),
    [sym_final_modifier] = STATE(1351),
    [sym_abstract_modifier] = STATE(1351),
    [sym_readonly_modifier] = STATE(1351),
    [sym_const_declaration] = STATE(2165),
    [sym__const_declaration] = STATE(2167),
    [sym__modifier] = STATE(1351),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1351),
    [sym_function_definition] = STATE(2165),
    [sym__function_definition_header] = STATE(2275),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(2165),
    [sym_exit_statement] = STATE(2165),
    [sym_unset_statement] = STATE(2165),
    [sym_declare_statement] = STATE(2165),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(2165),
    [sym_goto_statement] = STATE(2165),
    [sym_continue_statement] = STATE(2165),
    [sym_break_statement] = STATE(2165),
    [sym_return_statement] = STATE(2165),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(2165),
    [sym_do_statement] = STATE(2165),
    [sym_for_statement] = STATE(2165),
    [sym_foreach_statement] = STATE(2165),
    [sym_if_statement] = STATE(2165),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(2165),
    [sym_compound_statement] = STATE(2165),
    [sym_named_label_statement] = STATE(2165),
    [sym_expression_statement] = STATE(2165),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1335),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_class_declaration_repeat1] = STATE(1351),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(348),
    [anon_sym_SEMI] = ACTIONS(577),
    [aux_sym_function_static_declaration_token1] = ACTIONS(352),
    [aux_sym_global_declaration_token1] = ACTIONS(354),
    [aux_sym_namespace_definition_token1] = ACTIONS(356),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(358),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(360),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(362),
    [aux_sym_trait_declaration_token1] = ACTIONS(364),
    [aux_sym_interface_declaration_token1] = ACTIONS(366),
    [aux_sym_enum_declaration_token1] = ACTIONS(368),
    [aux_sym_class_declaration_token1] = ACTIONS(372),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(374),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(376),
    [aux_sym_exit_statement_token1] = ACTIONS(378),
    [anon_sym_unset] = ACTIONS(380),
    [aux_sym_declare_statement_token1] = ACTIONS(410),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(384),
    [aux_sym_goto_statement_token1] = ACTIONS(386),
    [aux_sym_continue_statement_token1] = ACTIONS(388),
    [aux_sym_break_statement_token1] = ACTIONS(390),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(392),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(412),
    [aux_sym_do_statement_token1] = ACTIONS(396),
    [aux_sym_for_statement_token1] = ACTIONS(414),
    [aux_sym_foreach_statement_token1] = ACTIONS(416),
    [aux_sym_if_statement_token1] = ACTIONS(418),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(404),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [115] = {
    [sym_statement] = STATE(2513),
    [sym_empty_statement] = STATE(2165),
    [sym_function_static_declaration] = STATE(2165),
    [sym_global_declaration] = STATE(2165),
    [sym_namespace_definition] = STATE(2165),
    [sym_namespace_use_declaration] = STATE(2165),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(2165),
    [sym_interface_declaration] = STATE(2165),
    [sym_enum_declaration] = STATE(2165),
    [sym_class_declaration] = STATE(2165),
    [sym_final_modifier] = STATE(1351),
    [sym_abstract_modifier] = STATE(1351),
    [sym_readonly_modifier] = STATE(1351),
    [sym_const_declaration] = STATE(2165),
    [sym__const_declaration] = STATE(2167),
    [sym__modifier] = STATE(1351),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1351),
    [sym_function_definition] = STATE(2165),
    [sym__function_definition_header] = STATE(2275),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(2165),
    [sym_exit_statement] = STATE(2165),
    [sym_unset_statement] = STATE(2165),
    [sym_declare_statement] = STATE(2165),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(2165),
    [sym_goto_statement] = STATE(2165),
    [sym_continue_statement] = STATE(2165),
    [sym_break_statement] = STATE(2165),
    [sym_return_statement] = STATE(2165),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(2165),
    [sym_do_statement] = STATE(2165),
    [sym_for_statement] = STATE(2165),
    [sym_foreach_statement] = STATE(2165),
    [sym_if_statement] = STATE(2165),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(2165),
    [sym_compound_statement] = STATE(2165),
    [sym_named_label_statement] = STATE(2165),
    [sym_expression_statement] = STATE(2165),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1335),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_class_declaration_repeat1] = STATE(1351),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(348),
    [anon_sym_SEMI] = ACTIONS(577),
    [aux_sym_function_static_declaration_token1] = ACTIONS(352),
    [aux_sym_global_declaration_token1] = ACTIONS(354),
    [aux_sym_namespace_definition_token1] = ACTIONS(356),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(358),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(360),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(362),
    [aux_sym_trait_declaration_token1] = ACTIONS(364),
    [aux_sym_interface_declaration_token1] = ACTIONS(366),
    [aux_sym_enum_declaration_token1] = ACTIONS(368),
    [aux_sym_class_declaration_token1] = ACTIONS(372),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(374),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(376),
    [aux_sym_exit_statement_token1] = ACTIONS(378),
    [anon_sym_unset] = ACTIONS(380),
    [aux_sym_declare_statement_token1] = ACTIONS(410),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(384),
    [aux_sym_goto_statement_token1] = ACTIONS(386),
    [aux_sym_continue_statement_token1] = ACTIONS(388),
    [aux_sym_break_statement_token1] = ACTIONS(390),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(392),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(412),
    [aux_sym_do_statement_token1] = ACTIONS(396),
    [aux_sym_for_statement_token1] = ACTIONS(414),
    [aux_sym_foreach_statement_token1] = ACTIONS(416),
    [aux_sym_if_statement_token1] = ACTIONS(418),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(404),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [116] = {
    [sym_statement] = STATE(2187),
    [sym_empty_statement] = STATE(2165),
    [sym_function_static_declaration] = STATE(2165),
    [sym_global_declaration] = STATE(2165),
    [sym_namespace_definition] = STATE(2165),
    [sym_namespace_use_declaration] = STATE(2165),
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_trait_declaration] = STATE(2165),
    [sym_interface_declaration] = STATE(2165),
    [sym_enum_declaration] = STATE(2165),
    [sym_class_declaration] = STATE(2165),
    [sym_final_modifier] = STATE(1351),
    [sym_abstract_modifier] = STATE(1351),
    [sym_readonly_modifier] = STATE(1351),
    [sym_const_declaration] = STATE(2165),
    [sym__const_declaration] = STATE(2167),
    [sym__modifier] = STATE(1351),
    [sym_static_modifier] = STATE(1455),
    [sym_visibility_modifier] = STATE(1351),
    [sym_function_definition] = STATE(2165),
    [sym__function_definition_header] = STATE(2275),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(2165),
    [sym_exit_statement] = STATE(2165),
    [sym_unset_statement] = STATE(2165),
    [sym_declare_statement] = STATE(2165),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(2165),
    [sym_goto_statement] = STATE(2165),
    [sym_continue_statement] = STATE(2165),
    [sym_break_statement] = STATE(2165),
    [sym_return_statement] = STATE(2165),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(2165),
    [sym_do_statement] = STATE(2165),
    [sym_for_statement] = STATE(2165),
    [sym_foreach_statement] = STATE(2165),
    [sym_if_statement] = STATE(2165),
    [sym_match_expression] = STATE(1096),
    [sym_switch_statement] = STATE(2165),
    [sym_compound_statement] = STATE(2165),
    [sym_named_label_statement] = STATE(2165),
    [sym_expression_statement] = STATE(2165),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1335),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_class_declaration_repeat1] = STATE(1351),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(348),
    [anon_sym_SEMI] = ACTIONS(577),
    [aux_sym_function_static_declaration_token1] = ACTIONS(352),
    [aux_sym_global_declaration_token1] = ACTIONS(354),
    [aux_sym_namespace_definition_token1] = ACTIONS(356),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(358),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(360),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(362),
    [aux_sym_trait_declaration_token1] = ACTIONS(364),
    [aux_sym_interface_declaration_token1] = ACTIONS(366),
    [aux_sym_enum_declaration_token1] = ACTIONS(368),
    [aux_sym_class_declaration_token1] = ACTIONS(372),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(374),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(376),
    [aux_sym_exit_statement_token1] = ACTIONS(378),
    [anon_sym_unset] = ACTIONS(380),
    [aux_sym_declare_statement_token1] = ACTIONS(382),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(384),
    [aux_sym_goto_statement_token1] = ACTIONS(386),
    [aux_sym_continue_statement_token1] = ACTIONS(388),
    [aux_sym_break_statement_token1] = ACTIONS(390),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(392),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(394),
    [aux_sym_do_statement_token1] = ACTIONS(396),
    [aux_sym_for_statement_token1] = ACTIONS(398),
    [aux_sym_foreach_statement_token1] = ACTIONS(400),
    [aux_sym_if_statement_token1] = ACTIONS(402),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(404),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [117] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1031),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_variadic_unpacking] = STATE(993),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_by_ref] = STATE(993),
    [sym_yield_expression] = STATE(985),
    [sym_array_element_initializer] = STATE(1013),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(623),
    [anon_sym_AMP] = ACTIONS(625),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym_namespace_use_clause_token1] = ACTIONS(631),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(623),
    [anon_sym_COLON] = ACTIONS(623),
    [anon_sym_EQ_GT] = ACTIONS(623),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [anon_sym_RPAREN2] = ACTIONS(623),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(631),
    [anon_sym_PIPE] = ACTIONS(631),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_yield_expression_token2] = ACTIONS(681),
    [aux_sym_binary_expression_token1] = ACTIONS(631),
    [anon_sym_QMARK_QMARK] = ACTIONS(623),
    [anon_sym_STAR_STAR] = ACTIONS(623),
    [aux_sym_binary_expression_token2] = ACTIONS(631),
    [aux_sym_binary_expression_token3] = ACTIONS(631),
    [aux_sym_binary_expression_token4] = ACTIONS(631),
    [anon_sym_PIPE_PIPE] = ACTIONS(623),
    [anon_sym_AMP_AMP] = ACTIONS(623),
    [anon_sym_CARET] = ACTIONS(623),
    [anon_sym_EQ_EQ] = ACTIONS(631),
    [anon_sym_BANG_EQ] = ACTIONS(631),
    [anon_sym_LT_GT] = ACTIONS(623),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(623),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(623),
    [anon_sym_LT] = ACTIONS(631),
    [anon_sym_GT] = ACTIONS(631),
    [anon_sym_LT_EQ] = ACTIONS(631),
    [anon_sym_GT_EQ] = ACTIONS(623),
    [anon_sym_LT_EQ_GT] = ACTIONS(623),
    [anon_sym_LT_LT] = ACTIONS(631),
    [anon_sym_GT_GT] = ACTIONS(623),
    [anon_sym_DOT] = ACTIONS(631),
    [anon_sym_STAR] = ACTIONS(631),
    [anon_sym_SLASH] = ACTIONS(631),
    [anon_sym_PERCENT] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [118] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1059),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_variadic_unpacking] = STATE(993),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_by_ref] = STATE(993),
    [sym_yield_expression] = STATE(985),
    [sym_array_element_initializer] = STATE(1013),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(623),
    [anon_sym_AMP] = ACTIONS(625),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(623),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(623),
    [anon_sym_EQ_GT] = ACTIONS(623),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(693),
    [anon_sym_QMARK] = ACTIONS(631),
    [anon_sym_PIPE] = ACTIONS(631),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_RBRACK] = ACTIONS(623),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_yield_expression_token2] = ACTIONS(711),
    [aux_sym_binary_expression_token1] = ACTIONS(631),
    [anon_sym_QMARK_QMARK] = ACTIONS(623),
    [anon_sym_STAR_STAR] = ACTIONS(623),
    [aux_sym_binary_expression_token2] = ACTIONS(631),
    [aux_sym_binary_expression_token3] = ACTIONS(631),
    [aux_sym_binary_expression_token4] = ACTIONS(631),
    [anon_sym_PIPE_PIPE] = ACTIONS(623),
    [anon_sym_AMP_AMP] = ACTIONS(623),
    [anon_sym_CARET] = ACTIONS(623),
    [anon_sym_EQ_EQ] = ACTIONS(631),
    [anon_sym_BANG_EQ] = ACTIONS(631),
    [anon_sym_LT_GT] = ACTIONS(623),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(623),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(623),
    [anon_sym_LT] = ACTIONS(631),
    [anon_sym_GT] = ACTIONS(631),
    [anon_sym_LT_EQ] = ACTIONS(631),
    [anon_sym_GT_EQ] = ACTIONS(623),
    [anon_sym_LT_EQ_GT] = ACTIONS(623),
    [anon_sym_LT_LT] = ACTIONS(631),
    [anon_sym_GT_GT] = ACTIONS(623),
    [anon_sym_DOT] = ACTIONS(631),
    [anon_sym_STAR] = ACTIONS(631),
    [anon_sym_SLASH] = ACTIONS(631),
    [anon_sym_PERCENT] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [119] = {
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1096),
    [sym_expression] = STATE(1106),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym_variadic_unpacking] = STATE(1071),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_by_ref] = STATE(1071),
    [sym_yield_expression] = STATE(1096),
    [sym_array_element_initializer] = STATE(1148),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(721),
    [anon_sym_SEMI] = ACTIONS(623),
    [anon_sym_AMP] = ACTIONS(723),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(623),
    [aux_sym_namespace_definition_token1] = ACTIONS(725),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(623),
    [anon_sym_EQ_GT] = ACTIONS(623),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(727),
    [anon_sym_QMARK] = ACTIONS(631),
    [anon_sym_PIPE] = ACTIONS(631),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_yield_expression_token2] = ACTIONS(729),
    [aux_sym_binary_expression_token1] = ACTIONS(631),
    [anon_sym_QMARK_QMARK] = ACTIONS(623),
    [anon_sym_STAR_STAR] = ACTIONS(623),
    [aux_sym_binary_expression_token2] = ACTIONS(631),
    [aux_sym_binary_expression_token3] = ACTIONS(631),
    [aux_sym_binary_expression_token4] = ACTIONS(631),
    [anon_sym_PIPE_PIPE] = ACTIONS(623),
    [anon_sym_AMP_AMP] = ACTIONS(623),
    [anon_sym_CARET] = ACTIONS(623),
    [anon_sym_EQ_EQ] = ACTIONS(631),
    [anon_sym_BANG_EQ] = ACTIONS(631),
    [anon_sym_LT_GT] = ACTIONS(623),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(623),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(623),
    [anon_sym_LT] = ACTIONS(631),
    [anon_sym_GT] = ACTIONS(631),
    [anon_sym_LT_EQ] = ACTIONS(631),
    [anon_sym_GT_EQ] = ACTIONS(623),
    [anon_sym_LT_EQ_GT] = ACTIONS(623),
    [anon_sym_LT_LT] = ACTIONS(631),
    [anon_sym_GT_GT] = ACTIONS(623),
    [anon_sym_DOT] = ACTIONS(631),
    [anon_sym_STAR] = ACTIONS(631),
    [anon_sym_SLASH] = ACTIONS(631),
    [anon_sym_PERCENT] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(623),
  },
  [120] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1183),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_variadic_unpacking] = STATE(993),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_by_ref] = STATE(993),
    [sym_yield_expression] = STATE(985),
    [sym_array_element_initializer] = STATE(1013),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(625),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(623),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LBRACE] = ACTIONS(623),
    [anon_sym_EQ_GT] = ACTIONS(623),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [anon_sym_RPAREN2] = ACTIONS(623),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(733),
    [anon_sym_QMARK] = ACTIONS(631),
    [anon_sym_PIPE] = ACTIONS(631),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_yield_expression_token2] = ACTIONS(751),
    [aux_sym_binary_expression_token1] = ACTIONS(631),
    [anon_sym_QMARK_QMARK] = ACTIONS(623),
    [anon_sym_STAR_STAR] = ACTIONS(623),
    [aux_sym_binary_expression_token2] = ACTIONS(631),
    [aux_sym_binary_expression_token3] = ACTIONS(631),
    [aux_sym_binary_expression_token4] = ACTIONS(631),
    [anon_sym_PIPE_PIPE] = ACTIONS(623),
    [anon_sym_AMP_AMP] = ACTIONS(623),
    [anon_sym_CARET] = ACTIONS(623),
    [anon_sym_EQ_EQ] = ACTIONS(631),
    [anon_sym_BANG_EQ] = ACTIONS(631),
    [anon_sym_LT_GT] = ACTIONS(623),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(623),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(623),
    [anon_sym_LT] = ACTIONS(631),
    [anon_sym_GT] = ACTIONS(631),
    [anon_sym_LT_EQ] = ACTIONS(631),
    [anon_sym_GT_EQ] = ACTIONS(623),
    [anon_sym_LT_EQ_GT] = ACTIONS(623),
    [anon_sym_LT_LT] = ACTIONS(631),
    [anon_sym_GT_GT] = ACTIONS(623),
    [anon_sym_DOT] = ACTIONS(631),
    [anon_sym_STAR] = ACTIONS(631),
    [anon_sym_SLASH] = ACTIONS(631),
    [anon_sym_PERCENT] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [121] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_cast_type] = STATE(2454),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1257),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(761),
    [aux_sym_cast_type_token2] = ACTIONS(763),
    [aux_sym_cast_type_token3] = ACTIONS(763),
    [aux_sym_cast_type_token4] = ACTIONS(763),
    [aux_sym_cast_type_token5] = ACTIONS(763),
    [aux_sym_cast_type_token6] = ACTIONS(763),
    [aux_sym_cast_type_token7] = ACTIONS(763),
    [aux_sym_cast_type_token8] = ACTIONS(763),
    [aux_sym_cast_type_token9] = ACTIONS(763),
    [aux_sym_cast_type_token10] = ACTIONS(763),
    [aux_sym_cast_type_token11] = ACTIONS(763),
    [aux_sym_cast_type_token12] = ACTIONS(763),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [122] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_cast_type] = STATE(2602),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1248),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(761),
    [aux_sym_cast_type_token2] = ACTIONS(763),
    [aux_sym_cast_type_token3] = ACTIONS(763),
    [aux_sym_cast_type_token4] = ACTIONS(763),
    [aux_sym_cast_type_token5] = ACTIONS(763),
    [aux_sym_cast_type_token6] = ACTIONS(763),
    [aux_sym_cast_type_token7] = ACTIONS(763),
    [aux_sym_cast_type_token8] = ACTIONS(763),
    [aux_sym_cast_type_token9] = ACTIONS(763),
    [aux_sym_cast_type_token10] = ACTIONS(763),
    [aux_sym_cast_type_token11] = ACTIONS(763),
    [aux_sym_cast_type_token12] = ACTIONS(763),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [123] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_cast_type] = STATE(2597),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1248),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(761),
    [aux_sym_cast_type_token2] = ACTIONS(763),
    [aux_sym_cast_type_token3] = ACTIONS(763),
    [aux_sym_cast_type_token4] = ACTIONS(763),
    [aux_sym_cast_type_token5] = ACTIONS(763),
    [aux_sym_cast_type_token6] = ACTIONS(763),
    [aux_sym_cast_type_token7] = ACTIONS(763),
    [aux_sym_cast_type_token8] = ACTIONS(763),
    [aux_sym_cast_type_token9] = ACTIONS(763),
    [aux_sym_cast_type_token10] = ACTIONS(763),
    [aux_sym_cast_type_token11] = ACTIONS(763),
    [aux_sym_cast_type_token12] = ACTIONS(763),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [124] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_cast_type] = STATE(2597),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1257),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(761),
    [aux_sym_cast_type_token2] = ACTIONS(763),
    [aux_sym_cast_type_token3] = ACTIONS(763),
    [aux_sym_cast_type_token4] = ACTIONS(763),
    [aux_sym_cast_type_token5] = ACTIONS(763),
    [aux_sym_cast_type_token6] = ACTIONS(763),
    [aux_sym_cast_type_token7] = ACTIONS(763),
    [aux_sym_cast_type_token8] = ACTIONS(763),
    [aux_sym_cast_type_token9] = ACTIONS(763),
    [aux_sym_cast_type_token10] = ACTIONS(763),
    [aux_sym_cast_type_token11] = ACTIONS(763),
    [aux_sym_cast_type_token12] = ACTIONS(763),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [125] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_cast_type] = STATE(2499),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1257),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(761),
    [aux_sym_cast_type_token2] = ACTIONS(763),
    [aux_sym_cast_type_token3] = ACTIONS(763),
    [aux_sym_cast_type_token4] = ACTIONS(763),
    [aux_sym_cast_type_token5] = ACTIONS(763),
    [aux_sym_cast_type_token6] = ACTIONS(763),
    [aux_sym_cast_type_token7] = ACTIONS(763),
    [aux_sym_cast_type_token8] = ACTIONS(763),
    [aux_sym_cast_type_token9] = ACTIONS(763),
    [aux_sym_cast_type_token10] = ACTIONS(763),
    [aux_sym_cast_type_token11] = ACTIONS(763),
    [aux_sym_cast_type_token12] = ACTIONS(763),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [126] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_cast_type] = STATE(2526),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1257),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(761),
    [aux_sym_cast_type_token2] = ACTIONS(763),
    [aux_sym_cast_type_token3] = ACTIONS(763),
    [aux_sym_cast_type_token4] = ACTIONS(763),
    [aux_sym_cast_type_token5] = ACTIONS(763),
    [aux_sym_cast_type_token6] = ACTIONS(763),
    [aux_sym_cast_type_token7] = ACTIONS(763),
    [aux_sym_cast_type_token8] = ACTIONS(763),
    [aux_sym_cast_type_token9] = ACTIONS(763),
    [aux_sym_cast_type_token10] = ACTIONS(763),
    [aux_sym_cast_type_token11] = ACTIONS(763),
    [aux_sym_cast_type_token12] = ACTIONS(763),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [127] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_cast_type] = STATE(2594),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1257),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(761),
    [aux_sym_cast_type_token2] = ACTIONS(763),
    [aux_sym_cast_type_token3] = ACTIONS(763),
    [aux_sym_cast_type_token4] = ACTIONS(763),
    [aux_sym_cast_type_token5] = ACTIONS(763),
    [aux_sym_cast_type_token6] = ACTIONS(763),
    [aux_sym_cast_type_token7] = ACTIONS(763),
    [aux_sym_cast_type_token8] = ACTIONS(763),
    [aux_sym_cast_type_token9] = ACTIONS(763),
    [aux_sym_cast_type_token10] = ACTIONS(763),
    [aux_sym_cast_type_token11] = ACTIONS(763),
    [aux_sym_cast_type_token12] = ACTIONS(763),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [128] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_cast_type] = STATE(2656),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1257),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(761),
    [aux_sym_cast_type_token2] = ACTIONS(763),
    [aux_sym_cast_type_token3] = ACTIONS(763),
    [aux_sym_cast_type_token4] = ACTIONS(763),
    [aux_sym_cast_type_token5] = ACTIONS(763),
    [aux_sym_cast_type_token6] = ACTIONS(763),
    [aux_sym_cast_type_token7] = ACTIONS(763),
    [aux_sym_cast_type_token8] = ACTIONS(763),
    [aux_sym_cast_type_token9] = ACTIONS(763),
    [aux_sym_cast_type_token10] = ACTIONS(763),
    [aux_sym_cast_type_token11] = ACTIONS(763),
    [aux_sym_cast_type_token12] = ACTIONS(763),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [129] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_cast_type] = STATE(2547),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1257),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(761),
    [aux_sym_cast_type_token2] = ACTIONS(763),
    [aux_sym_cast_type_token3] = ACTIONS(763),
    [aux_sym_cast_type_token4] = ACTIONS(763),
    [aux_sym_cast_type_token5] = ACTIONS(763),
    [aux_sym_cast_type_token6] = ACTIONS(763),
    [aux_sym_cast_type_token7] = ACTIONS(763),
    [aux_sym_cast_type_token8] = ACTIONS(763),
    [aux_sym_cast_type_token9] = ACTIONS(763),
    [aux_sym_cast_type_token10] = ACTIONS(763),
    [aux_sym_cast_type_token11] = ACTIONS(763),
    [aux_sym_cast_type_token12] = ACTIONS(763),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [130] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_cast_type] = STATE(2605),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1257),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(761),
    [aux_sym_cast_type_token2] = ACTIONS(763),
    [aux_sym_cast_type_token3] = ACTIONS(763),
    [aux_sym_cast_type_token4] = ACTIONS(763),
    [aux_sym_cast_type_token5] = ACTIONS(763),
    [aux_sym_cast_type_token6] = ACTIONS(763),
    [aux_sym_cast_type_token7] = ACTIONS(763),
    [aux_sym_cast_type_token8] = ACTIONS(763),
    [aux_sym_cast_type_token9] = ACTIONS(763),
    [aux_sym_cast_type_token10] = ACTIONS(763),
    [aux_sym_cast_type_token11] = ACTIONS(763),
    [aux_sym_cast_type_token12] = ACTIONS(763),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [131] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_cast_type] = STATE(2613),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1257),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(761),
    [aux_sym_cast_type_token2] = ACTIONS(763),
    [aux_sym_cast_type_token3] = ACTIONS(763),
    [aux_sym_cast_type_token4] = ACTIONS(763),
    [aux_sym_cast_type_token5] = ACTIONS(763),
    [aux_sym_cast_type_token6] = ACTIONS(763),
    [aux_sym_cast_type_token7] = ACTIONS(763),
    [aux_sym_cast_type_token8] = ACTIONS(763),
    [aux_sym_cast_type_token9] = ACTIONS(763),
    [aux_sym_cast_type_token10] = ACTIONS(763),
    [aux_sym_cast_type_token11] = ACTIONS(763),
    [aux_sym_cast_type_token12] = ACTIONS(763),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [132] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1214),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(695),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(695),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(695),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(695),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2089),
    [sym__array_destructing_element] = STATE(2093),
    [sym_function_call_expression] = STATE(680),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(680),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(680),
    [sym_nullsafe_member_call_expression] = STATE(680),
    [sym_variadic_unpacking] = STATE(993),
    [sym__variable_subscript_expression] = STATE(694),
    [sym__dereferencable_subscript_expression] = STATE(680),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(694),
    [sym__callable_variable] = STATE(680),
    [sym_variable_name] = STATE(602),
    [sym_by_ref] = STATE(2299),
    [sym_yield_expression] = STATE(985),
    [sym_array_element_initializer] = STATE(1954),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym__array_destructing_repeat1] = STATE(1931),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(765),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(767),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(693),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_RBRACK] = ACTIONS(769),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [133] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1214),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(695),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(695),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(695),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(695),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2089),
    [sym__array_destructing_element] = STATE(2093),
    [sym_function_call_expression] = STATE(680),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(680),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(680),
    [sym_nullsafe_member_call_expression] = STATE(680),
    [sym_variadic_unpacking] = STATE(993),
    [sym__variable_subscript_expression] = STATE(694),
    [sym__dereferencable_subscript_expression] = STATE(680),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(694),
    [sym__callable_variable] = STATE(680),
    [sym_variable_name] = STATE(602),
    [sym_by_ref] = STATE(2299),
    [sym_yield_expression] = STATE(985),
    [sym_array_element_initializer] = STATE(1954),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym__array_destructing_repeat1] = STATE(1931),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(765),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(767),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(693),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_RBRACK] = ACTIONS(771),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [134] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1214),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(695),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(695),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(695),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(695),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2089),
    [sym__array_destructing_element] = STATE(2093),
    [sym_function_call_expression] = STATE(680),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(680),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(680),
    [sym_nullsafe_member_call_expression] = STATE(680),
    [sym_variadic_unpacking] = STATE(993),
    [sym__variable_subscript_expression] = STATE(694),
    [sym__dereferencable_subscript_expression] = STATE(680),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(694),
    [sym__callable_variable] = STATE(680),
    [sym_variable_name] = STATE(602),
    [sym_by_ref] = STATE(2299),
    [sym_yield_expression] = STATE(985),
    [sym_array_element_initializer] = STATE(1900),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym__array_destructing_repeat1] = STATE(1931),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(765),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(773),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(693),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_RBRACK] = ACTIONS(775),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [135] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1214),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(695),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(695),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(695),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(695),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2089),
    [sym__array_destructing_element] = STATE(2093),
    [sym_function_call_expression] = STATE(680),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(680),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(680),
    [sym_nullsafe_member_call_expression] = STATE(680),
    [sym_variadic_unpacking] = STATE(993),
    [sym__variable_subscript_expression] = STATE(694),
    [sym__dereferencable_subscript_expression] = STATE(680),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(694),
    [sym__callable_variable] = STATE(680),
    [sym_variable_name] = STATE(602),
    [sym_by_ref] = STATE(2299),
    [sym_yield_expression] = STATE(985),
    [sym_array_element_initializer] = STATE(1954),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym__array_destructing_repeat1] = STATE(1931),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(765),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(767),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(693),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_RBRACK] = ACTIONS(777),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [136] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1214),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(695),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(695),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(695),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(695),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2089),
    [sym__array_destructing_element] = STATE(2093),
    [sym_function_call_expression] = STATE(680),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(680),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(680),
    [sym_nullsafe_member_call_expression] = STATE(680),
    [sym_variadic_unpacking] = STATE(993),
    [sym__variable_subscript_expression] = STATE(694),
    [sym__dereferencable_subscript_expression] = STATE(680),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(694),
    [sym__callable_variable] = STATE(680),
    [sym_variable_name] = STATE(602),
    [sym_by_ref] = STATE(2299),
    [sym_yield_expression] = STATE(985),
    [sym_array_element_initializer] = STATE(1954),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym__array_destructing_repeat1] = STATE(1931),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(765),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(767),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(693),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_RBRACK] = ACTIONS(779),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [137] = {
    [sym_reference_modifier] = STATE(232),
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1225),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_variadic_placeholder] = STATE(2492),
    [sym_argument] = STATE(2068),
    [sym__argument_name] = STATE(185),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_variadic_unpacking] = STATE(2396),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1524),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(781),
    [anon_sym_AMP] = ACTIONS(783),
    [aux_sym_function_static_declaration_token1] = ACTIONS(785),
    [aux_sym_namespace_definition_token1] = ACTIONS(787),
    [aux_sym__namespace_use_type_token1] = ACTIONS(789),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [anon_sym_RPAREN2] = ACTIONS(791),
    [aux_sym__arrow_function_header_token1] = ACTIONS(793),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(795),
    [aux_sym_cast_type_token1] = ACTIONS(797),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(799),
    [aux_sym_match_expression_token1] = ACTIONS(801),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(803),
    [anon_sym_parent] = ACTIONS(803),
    [aux_sym__argument_name_token1] = ACTIONS(805),
    [aux_sym__argument_name_token2] = ACTIONS(807),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [138] = {
    [sym_reference_modifier] = STATE(232),
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1225),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_variadic_placeholder] = STATE(2578),
    [sym_argument] = STATE(2081),
    [sym__argument_name] = STATE(185),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_variadic_unpacking] = STATE(2396),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1524),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(781),
    [anon_sym_AMP] = ACTIONS(783),
    [aux_sym_function_static_declaration_token1] = ACTIONS(785),
    [aux_sym_namespace_definition_token1] = ACTIONS(787),
    [aux_sym__namespace_use_type_token1] = ACTIONS(789),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [anon_sym_RPAREN2] = ACTIONS(809),
    [aux_sym__arrow_function_header_token1] = ACTIONS(793),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(795),
    [aux_sym_cast_type_token1] = ACTIONS(797),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(799),
    [aux_sym_match_expression_token1] = ACTIONS(801),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(803),
    [anon_sym_parent] = ACTIONS(803),
    [aux_sym__argument_name_token1] = ACTIONS(805),
    [aux_sym__argument_name_token2] = ACTIONS(807),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [139] = {
    [sym_reference_modifier] = STATE(232),
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1225),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_variadic_placeholder] = STATE(2672),
    [sym_argument] = STATE(2044),
    [sym__argument_name] = STATE(185),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_variadic_unpacking] = STATE(2396),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1524),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(781),
    [anon_sym_AMP] = ACTIONS(783),
    [aux_sym_function_static_declaration_token1] = ACTIONS(785),
    [aux_sym_namespace_definition_token1] = ACTIONS(787),
    [aux_sym__namespace_use_type_token1] = ACTIONS(789),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [anon_sym_RPAREN2] = ACTIONS(811),
    [aux_sym__arrow_function_header_token1] = ACTIONS(793),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(795),
    [aux_sym_cast_type_token1] = ACTIONS(797),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(799),
    [aux_sym_match_expression_token1] = ACTIONS(801),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(803),
    [anon_sym_parent] = ACTIONS(803),
    [aux_sym__argument_name_token1] = ACTIONS(805),
    [aux_sym__argument_name_token2] = ACTIONS(807),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [140] = {
    [sym_reference_modifier] = STATE(232),
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1225),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_variadic_placeholder] = STATE(2500),
    [sym_argument] = STATE(2055),
    [sym__argument_name] = STATE(185),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_variadic_unpacking] = STATE(2396),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1524),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(781),
    [anon_sym_AMP] = ACTIONS(783),
    [aux_sym_function_static_declaration_token1] = ACTIONS(785),
    [aux_sym_namespace_definition_token1] = ACTIONS(787),
    [aux_sym__namespace_use_type_token1] = ACTIONS(789),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [anon_sym_RPAREN2] = ACTIONS(813),
    [aux_sym__arrow_function_header_token1] = ACTIONS(793),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(795),
    [aux_sym_cast_type_token1] = ACTIONS(797),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(799),
    [aux_sym_match_expression_token1] = ACTIONS(801),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(803),
    [anon_sym_parent] = ACTIONS(803),
    [aux_sym__argument_name_token1] = ACTIONS(805),
    [aux_sym__argument_name_token2] = ACTIONS(807),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [141] = {
    [sym_reference_modifier] = STATE(232),
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1225),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_variadic_placeholder] = STATE(2571),
    [sym_argument] = STATE(1975),
    [sym__argument_name] = STATE(185),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_variadic_unpacking] = STATE(2396),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1524),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(781),
    [anon_sym_AMP] = ACTIONS(783),
    [aux_sym_function_static_declaration_token1] = ACTIONS(785),
    [aux_sym_namespace_definition_token1] = ACTIONS(787),
    [aux_sym__namespace_use_type_token1] = ACTIONS(789),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [anon_sym_RPAREN2] = ACTIONS(815),
    [aux_sym__arrow_function_header_token1] = ACTIONS(793),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(795),
    [aux_sym_cast_type_token1] = ACTIONS(797),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(799),
    [aux_sym_match_expression_token1] = ACTIONS(801),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(803),
    [anon_sym_parent] = ACTIONS(803),
    [aux_sym__argument_name_token1] = ACTIONS(805),
    [aux_sym__argument_name_token2] = ACTIONS(807),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [142] = {
    [sym_reference_modifier] = STATE(232),
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1225),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_variadic_placeholder] = STATE(2528),
    [sym_argument] = STATE(1953),
    [sym__argument_name] = STATE(185),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_variadic_unpacking] = STATE(2396),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1524),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(781),
    [anon_sym_AMP] = ACTIONS(783),
    [aux_sym_function_static_declaration_token1] = ACTIONS(785),
    [aux_sym_namespace_definition_token1] = ACTIONS(787),
    [aux_sym__namespace_use_type_token1] = ACTIONS(789),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [anon_sym_RPAREN2] = ACTIONS(817),
    [aux_sym__arrow_function_header_token1] = ACTIONS(793),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(795),
    [aux_sym_cast_type_token1] = ACTIONS(797),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(799),
    [aux_sym_match_expression_token1] = ACTIONS(801),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(803),
    [anon_sym_parent] = ACTIONS(803),
    [aux_sym__argument_name_token1] = ACTIONS(805),
    [aux_sym__argument_name_token2] = ACTIONS(807),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [143] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1201),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_variadic_unpacking] = STATE(993),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_by_ref] = STATE(993),
    [sym_yield_expression] = STATE(985),
    [sym_array_element_initializer] = STATE(2168),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(765),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(819),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [anon_sym_RPAREN2] = ACTIONS(821),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(733),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [144] = {
    [sym_reference_modifier] = STATE(232),
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1225),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_argument] = STATE(2330),
    [sym__argument_name] = STATE(185),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_variadic_unpacking] = STATE(2396),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1524),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(781),
    [anon_sym_AMP] = ACTIONS(783),
    [aux_sym_function_static_declaration_token1] = ACTIONS(785),
    [aux_sym_namespace_definition_token1] = ACTIONS(787),
    [aux_sym__namespace_use_type_token1] = ACTIONS(789),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [anon_sym_RPAREN2] = ACTIONS(823),
    [aux_sym__arrow_function_header_token1] = ACTIONS(793),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(733),
    [aux_sym_cast_type_token1] = ACTIONS(797),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(799),
    [aux_sym_match_expression_token1] = ACTIONS(801),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(803),
    [anon_sym_parent] = ACTIONS(803),
    [aux_sym__argument_name_token1] = ACTIONS(805),
    [aux_sym__argument_name_token2] = ACTIONS(807),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [145] = {
    [sym_reference_modifier] = STATE(232),
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1225),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_argument] = STATE(2330),
    [sym__argument_name] = STATE(185),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_variadic_unpacking] = STATE(2396),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1524),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(781),
    [anon_sym_AMP] = ACTIONS(783),
    [aux_sym_function_static_declaration_token1] = ACTIONS(785),
    [aux_sym_namespace_definition_token1] = ACTIONS(787),
    [aux_sym__namespace_use_type_token1] = ACTIONS(789),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [anon_sym_RPAREN2] = ACTIONS(825),
    [aux_sym__arrow_function_header_token1] = ACTIONS(793),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(733),
    [aux_sym_cast_type_token1] = ACTIONS(797),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(799),
    [aux_sym_match_expression_token1] = ACTIONS(801),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(803),
    [anon_sym_parent] = ACTIONS(803),
    [aux_sym__argument_name_token1] = ACTIONS(805),
    [aux_sym__argument_name_token2] = ACTIONS(807),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [146] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1198),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_variadic_unpacking] = STATE(993),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_by_ref] = STATE(993),
    [sym_yield_expression] = STATE(985),
    [sym_array_element_initializer] = STATE(1900),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(765),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(827),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(693),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_RBRACK] = ACTIONS(829),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [147] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1201),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_variadic_unpacking] = STATE(993),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_by_ref] = STATE(993),
    [sym_yield_expression] = STATE(985),
    [sym_array_element_initializer] = STATE(1963),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(765),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(831),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [anon_sym_RPAREN2] = ACTIONS(833),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(733),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [148] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1198),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_variadic_unpacking] = STATE(993),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_by_ref] = STATE(993),
    [sym_yield_expression] = STATE(985),
    [sym_array_element_initializer] = STATE(1954),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(765),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(835),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(693),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_RBRACK] = ACTIONS(837),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [149] = {
    [sym_reference_modifier] = STATE(232),
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1225),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_argument] = STATE(2330),
    [sym__argument_name] = STATE(185),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_variadic_unpacking] = STATE(2396),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1524),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(781),
    [anon_sym_AMP] = ACTIONS(783),
    [aux_sym_function_static_declaration_token1] = ACTIONS(785),
    [aux_sym_namespace_definition_token1] = ACTIONS(787),
    [aux_sym__namespace_use_type_token1] = ACTIONS(789),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [anon_sym_RPAREN2] = ACTIONS(839),
    [aux_sym__arrow_function_header_token1] = ACTIONS(793),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(733),
    [aux_sym_cast_type_token1] = ACTIONS(797),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(799),
    [aux_sym_match_expression_token1] = ACTIONS(801),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(803),
    [anon_sym_parent] = ACTIONS(803),
    [aux_sym__argument_name_token1] = ACTIONS(805),
    [aux_sym__argument_name_token2] = ACTIONS(807),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [150] = {
    [sym_reference_modifier] = STATE(232),
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1225),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_argument] = STATE(2330),
    [sym__argument_name] = STATE(185),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_variadic_unpacking] = STATE(2396),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1524),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(781),
    [anon_sym_AMP] = ACTIONS(783),
    [aux_sym_function_static_declaration_token1] = ACTIONS(785),
    [aux_sym_namespace_definition_token1] = ACTIONS(787),
    [aux_sym__namespace_use_type_token1] = ACTIONS(789),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [anon_sym_RPAREN2] = ACTIONS(841),
    [aux_sym__arrow_function_header_token1] = ACTIONS(793),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(733),
    [aux_sym_cast_type_token1] = ACTIONS(797),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(799),
    [aux_sym_match_expression_token1] = ACTIONS(801),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(803),
    [anon_sym_parent] = ACTIONS(803),
    [aux_sym__argument_name_token1] = ACTIONS(805),
    [aux_sym__argument_name_token2] = ACTIONS(807),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [151] = {
    [sym_reference_modifier] = STATE(232),
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1225),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_argument] = STATE(2330),
    [sym__argument_name] = STATE(185),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_variadic_unpacking] = STATE(2396),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1524),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(781),
    [anon_sym_AMP] = ACTIONS(783),
    [aux_sym_function_static_declaration_token1] = ACTIONS(785),
    [aux_sym_namespace_definition_token1] = ACTIONS(787),
    [aux_sym__namespace_use_type_token1] = ACTIONS(789),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [anon_sym_RPAREN2] = ACTIONS(843),
    [aux_sym__arrow_function_header_token1] = ACTIONS(793),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(733),
    [aux_sym_cast_type_token1] = ACTIONS(797),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(799),
    [aux_sym_match_expression_token1] = ACTIONS(801),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(803),
    [anon_sym_parent] = ACTIONS(803),
    [aux_sym__argument_name_token1] = ACTIONS(805),
    [aux_sym__argument_name_token2] = ACTIONS(807),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [152] = {
    [sym_reference_modifier] = STATE(232),
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1225),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_argument] = STATE(2330),
    [sym__argument_name] = STATE(185),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_variadic_unpacking] = STATE(2396),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1524),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(781),
    [anon_sym_AMP] = ACTIONS(783),
    [aux_sym_function_static_declaration_token1] = ACTIONS(785),
    [aux_sym_namespace_definition_token1] = ACTIONS(787),
    [aux_sym__namespace_use_type_token1] = ACTIONS(789),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [anon_sym_RPAREN2] = ACTIONS(845),
    [aux_sym__arrow_function_header_token1] = ACTIONS(793),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(733),
    [aux_sym_cast_type_token1] = ACTIONS(797),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(799),
    [aux_sym_match_expression_token1] = ACTIONS(801),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(803),
    [anon_sym_parent] = ACTIONS(803),
    [aux_sym__argument_name_token1] = ACTIONS(805),
    [aux_sym__argument_name_token2] = ACTIONS(807),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [153] = {
    [sym_reference_modifier] = STATE(232),
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1225),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_argument] = STATE(2330),
    [sym__argument_name] = STATE(185),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_variadic_unpacking] = STATE(2396),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1524),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(781),
    [anon_sym_AMP] = ACTIONS(783),
    [aux_sym_function_static_declaration_token1] = ACTIONS(785),
    [aux_sym_namespace_definition_token1] = ACTIONS(787),
    [aux_sym__namespace_use_type_token1] = ACTIONS(789),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [anon_sym_RPAREN2] = ACTIONS(847),
    [aux_sym__arrow_function_header_token1] = ACTIONS(793),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(733),
    [aux_sym_cast_type_token1] = ACTIONS(797),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(799),
    [aux_sym_match_expression_token1] = ACTIONS(801),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(803),
    [anon_sym_parent] = ACTIONS(803),
    [aux_sym__argument_name_token1] = ACTIONS(805),
    [aux_sym__argument_name_token2] = ACTIONS(807),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [154] = {
    [sym_reference_modifier] = STATE(232),
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1225),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_argument] = STATE(2330),
    [sym__argument_name] = STATE(185),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_variadic_unpacking] = STATE(2396),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1524),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(781),
    [anon_sym_AMP] = ACTIONS(783),
    [aux_sym_function_static_declaration_token1] = ACTIONS(785),
    [aux_sym_namespace_definition_token1] = ACTIONS(787),
    [aux_sym__namespace_use_type_token1] = ACTIONS(789),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [anon_sym_RPAREN2] = ACTIONS(849),
    [aux_sym__arrow_function_header_token1] = ACTIONS(793),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(733),
    [aux_sym_cast_type_token1] = ACTIONS(797),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(799),
    [aux_sym_match_expression_token1] = ACTIONS(801),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(803),
    [anon_sym_parent] = ACTIONS(803),
    [aux_sym__argument_name_token1] = ACTIONS(805),
    [aux_sym__argument_name_token2] = ACTIONS(807),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [155] = {
    [sym_reference_modifier] = STATE(232),
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1225),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_argument] = STATE(2330),
    [sym__argument_name] = STATE(185),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_variadic_unpacking] = STATE(2396),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1524),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(781),
    [anon_sym_AMP] = ACTIONS(783),
    [aux_sym_function_static_declaration_token1] = ACTIONS(785),
    [aux_sym_namespace_definition_token1] = ACTIONS(787),
    [aux_sym__namespace_use_type_token1] = ACTIONS(789),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [anon_sym_RPAREN2] = ACTIONS(851),
    [aux_sym__arrow_function_header_token1] = ACTIONS(793),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(733),
    [aux_sym_cast_type_token1] = ACTIONS(797),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(799),
    [aux_sym_match_expression_token1] = ACTIONS(801),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(803),
    [anon_sym_parent] = ACTIONS(803),
    [aux_sym__argument_name_token1] = ACTIONS(805),
    [aux_sym__argument_name_token2] = ACTIONS(807),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [156] = {
    [sym_reference_modifier] = STATE(232),
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1225),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_argument] = STATE(2330),
    [sym__argument_name] = STATE(185),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_variadic_unpacking] = STATE(2396),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1524),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(781),
    [anon_sym_AMP] = ACTIONS(783),
    [aux_sym_function_static_declaration_token1] = ACTIONS(785),
    [aux_sym_namespace_definition_token1] = ACTIONS(787),
    [aux_sym__namespace_use_type_token1] = ACTIONS(789),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [anon_sym_RPAREN2] = ACTIONS(853),
    [aux_sym__arrow_function_header_token1] = ACTIONS(793),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(733),
    [aux_sym_cast_type_token1] = ACTIONS(797),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(799),
    [aux_sym_match_expression_token1] = ACTIONS(801),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(803),
    [anon_sym_parent] = ACTIONS(803),
    [aux_sym__argument_name_token1] = ACTIONS(805),
    [aux_sym__argument_name_token2] = ACTIONS(807),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [157] = {
    [sym_reference_modifier] = STATE(232),
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1225),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_argument] = STATE(2330),
    [sym__argument_name] = STATE(185),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_variadic_unpacking] = STATE(2396),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1524),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(781),
    [anon_sym_AMP] = ACTIONS(783),
    [aux_sym_function_static_declaration_token1] = ACTIONS(785),
    [aux_sym_namespace_definition_token1] = ACTIONS(787),
    [aux_sym__namespace_use_type_token1] = ACTIONS(789),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [anon_sym_RPAREN2] = ACTIONS(855),
    [aux_sym__arrow_function_header_token1] = ACTIONS(793),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(733),
    [aux_sym_cast_type_token1] = ACTIONS(797),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(799),
    [aux_sym_match_expression_token1] = ACTIONS(801),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(803),
    [anon_sym_parent] = ACTIONS(803),
    [aux_sym__argument_name_token1] = ACTIONS(805),
    [aux_sym__argument_name_token2] = ACTIONS(807),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [158] = {
    [sym_reference_modifier] = STATE(232),
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1225),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_argument] = STATE(2330),
    [sym__argument_name] = STATE(185),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_variadic_unpacking] = STATE(2396),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1524),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(781),
    [anon_sym_AMP] = ACTIONS(783),
    [aux_sym_function_static_declaration_token1] = ACTIONS(785),
    [aux_sym_namespace_definition_token1] = ACTIONS(787),
    [aux_sym__namespace_use_type_token1] = ACTIONS(789),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [anon_sym_RPAREN2] = ACTIONS(857),
    [aux_sym__arrow_function_header_token1] = ACTIONS(793),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(733),
    [aux_sym_cast_type_token1] = ACTIONS(797),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(799),
    [aux_sym_match_expression_token1] = ACTIONS(801),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(803),
    [anon_sym_parent] = ACTIONS(803),
    [aux_sym__argument_name_token1] = ACTIONS(805),
    [aux_sym__argument_name_token2] = ACTIONS(807),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [159] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1201),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_variadic_unpacking] = STATE(993),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_by_ref] = STATE(993),
    [sym_yield_expression] = STATE(985),
    [sym_array_element_initializer] = STATE(2138),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(765),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [anon_sym_RPAREN2] = ACTIONS(859),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(733),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [160] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1198),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_variadic_unpacking] = STATE(993),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_by_ref] = STATE(993),
    [sym_yield_expression] = STATE(985),
    [sym_array_element_initializer] = STATE(2138),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(765),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(693),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_RBRACK] = ACTIONS(861),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [161] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1201),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_variadic_unpacking] = STATE(993),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_by_ref] = STATE(993),
    [sym_yield_expression] = STATE(985),
    [sym_array_element_initializer] = STATE(2138),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(765),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [anon_sym_RPAREN2] = ACTIONS(863),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(733),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [162] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_match_condition_list] = STATE(2575),
    [sym_match_conditional_expression] = STATE(2048),
    [sym_match_default_expression] = STATE(2048),
    [sym_expression] = STATE(1199),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(865),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(867),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [aux_sym_match_default_expression_token1] = ACTIONS(869),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [163] = {
    [sym_reference_modifier] = STATE(232),
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1225),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_argument] = STATE(2330),
    [sym__argument_name] = STATE(185),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_variadic_unpacking] = STATE(2396),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1524),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(781),
    [anon_sym_AMP] = ACTIONS(783),
    [aux_sym_function_static_declaration_token1] = ACTIONS(785),
    [aux_sym_namespace_definition_token1] = ACTIONS(787),
    [aux_sym__namespace_use_type_token1] = ACTIONS(789),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [aux_sym__arrow_function_header_token1] = ACTIONS(793),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(733),
    [aux_sym_cast_type_token1] = ACTIONS(797),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(799),
    [aux_sym_match_expression_token1] = ACTIONS(801),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(803),
    [anon_sym_parent] = ACTIONS(803),
    [aux_sym__argument_name_token1] = ACTIONS(805),
    [aux_sym__argument_name_token2] = ACTIONS(807),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [164] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_match_condition_list] = STATE(2575),
    [sym_match_conditional_expression] = STATE(1990),
    [sym_match_default_expression] = STATE(1990),
    [sym_expression] = STATE(1199),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(871),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(873),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [aux_sym_match_default_expression_token1] = ACTIONS(869),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [165] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1198),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_variadic_unpacking] = STATE(993),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_by_ref] = STATE(993),
    [sym_yield_expression] = STATE(985),
    [sym_array_element_initializer] = STATE(2138),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(765),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(693),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_RBRACK] = ACTIONS(875),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [166] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1201),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_variadic_unpacking] = STATE(993),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_by_ref] = STATE(993),
    [sym_yield_expression] = STATE(985),
    [sym_array_element_initializer] = STATE(2138),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(765),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [anon_sym_RPAREN2] = ACTIONS(877),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(733),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [167] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1198),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_variadic_unpacking] = STATE(993),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_by_ref] = STATE(993),
    [sym_yield_expression] = STATE(985),
    [sym_array_element_initializer] = STATE(2138),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(765),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(693),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_RBRACK] = ACTIONS(879),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [168] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1198),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_variadic_unpacking] = STATE(993),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_by_ref] = STATE(993),
    [sym_yield_expression] = STATE(985),
    [sym_array_element_initializer] = STATE(2138),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(765),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(693),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_RBRACK] = ACTIONS(881),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [169] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1201),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_variadic_unpacking] = STATE(993),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_by_ref] = STATE(993),
    [sym_yield_expression] = STATE(985),
    [sym_array_element_initializer] = STATE(2138),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(765),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [anon_sym_RPAREN2] = ACTIONS(883),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(733),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [170] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1253),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(696),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2089),
    [sym__array_destructing_element] = STATE(2443),
    [sym_function_call_expression] = STATE(684),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym__variable_subscript_expression] = STATE(691),
    [sym__dereferencable_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(691),
    [sym__callable_variable] = STATE(684),
    [sym_variable_name] = STATE(602),
    [sym_by_ref] = STATE(2443),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(765),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(885),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(887),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(889),
    [anon_sym_RBRACK] = ACTIONS(891),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [171] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_match_condition_list] = STATE(2575),
    [sym_match_conditional_expression] = STATE(2444),
    [sym_match_default_expression] = STATE(2444),
    [sym_expression] = STATE(1199),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(894),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [aux_sym_match_default_expression_token1] = ACTIONS(869),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [172] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1253),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(696),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2089),
    [sym__array_destructing_element] = STATE(2443),
    [sym_function_call_expression] = STATE(684),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym__variable_subscript_expression] = STATE(691),
    [sym__dereferencable_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(691),
    [sym__callable_variable] = STATE(684),
    [sym_variable_name] = STATE(602),
    [sym_by_ref] = STATE(2443),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(765),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(885),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(887),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(889),
    [anon_sym_RBRACK] = ACTIONS(896),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [173] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_match_condition_list] = STATE(2575),
    [sym_match_conditional_expression] = STATE(2444),
    [sym_match_default_expression] = STATE(2444),
    [sym_expression] = STATE(1199),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(899),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [aux_sym_match_default_expression_token1] = ACTIONS(869),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [174] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_match_condition_list] = STATE(2575),
    [sym_match_conditional_expression] = STATE(2444),
    [sym_match_default_expression] = STATE(2444),
    [sym_expression] = STATE(1199),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(901),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [aux_sym_match_default_expression_token1] = ACTIONS(869),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [175] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1253),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(696),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2089),
    [sym__array_destructing_element] = STATE(2443),
    [sym_function_call_expression] = STATE(684),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym__variable_subscript_expression] = STATE(691),
    [sym__dereferencable_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(691),
    [sym__callable_variable] = STATE(684),
    [sym_variable_name] = STATE(602),
    [sym_by_ref] = STATE(2443),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(765),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(885),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(887),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(889),
    [anon_sym_RBRACK] = ACTIONS(885),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [176] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_match_condition_list] = STATE(2575),
    [sym_match_conditional_expression] = STATE(2444),
    [sym_match_default_expression] = STATE(2444),
    [sym_expression] = STATE(1199),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(903),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [aux_sym_match_default_expression_token1] = ACTIONS(869),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [177] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1251),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(670),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(1893),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(666),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(666),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(666),
    [sym_nullsafe_member_call_expression] = STATE(666),
    [sym__variable_subscript_expression] = STATE(671),
    [sym__dereferencable_subscript_expression] = STATE(666),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(671),
    [sym__callable_variable] = STATE(666),
    [sym_variable_name] = STATE(602),
    [sym_by_ref] = STATE(1952),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym__list_destructing_repeat1] = STATE(2087),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(765),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(905),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(887),
    [anon_sym_RPAREN2] = ACTIONS(907),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [178] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1198),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_variadic_unpacking] = STATE(993),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_by_ref] = STATE(993),
    [sym_yield_expression] = STATE(985),
    [sym_array_element_initializer] = STATE(2138),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(765),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(693),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [179] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1201),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_variadic_unpacking] = STATE(993),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_by_ref] = STATE(993),
    [sym_yield_expression] = STATE(985),
    [sym_array_element_initializer] = STATE(2138),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(765),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(733),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [180] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_match_condition_list] = STATE(2575),
    [sym_match_conditional_expression] = STATE(2444),
    [sym_match_default_expression] = STATE(2444),
    [sym_expression] = STATE(1199),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [aux_sym_match_default_expression_token1] = ACTIONS(869),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [181] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_foreach_pair] = STATE(2479),
    [sym__foreach_value] = STATE(2479),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1223),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2436),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_by_ref] = STATE(2479),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(765),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [182] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1252),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(692),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(692),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(692),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(692),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2098),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(689),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(689),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(689),
    [sym_nullsafe_member_call_expression] = STATE(689),
    [sym__variable_subscript_expression] = STATE(693),
    [sym__dereferencable_subscript_expression] = STATE(689),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(693),
    [sym__callable_variable] = STATE(689),
    [sym_variable_name] = STATE(602),
    [sym_by_ref] = STATE(2309),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(765),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(909),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(887),
    [anon_sym_RPAREN2] = ACTIONS(909),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [183] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_foreach_pair] = STATE(2508),
    [sym__foreach_value] = STATE(2508),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1223),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2436),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_by_ref] = STATE(2508),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(765),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [184] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_foreach_pair] = STATE(2661),
    [sym__foreach_value] = STATE(2661),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1223),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2436),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_by_ref] = STATE(2661),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(765),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [185] = {
    [sym_reference_modifier] = STATE(222),
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1238),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_variadic_unpacking] = STATE(2417),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1525),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(783),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(733),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [186] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_foreach_pair] = STATE(2641),
    [sym__foreach_value] = STATE(2641),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1223),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2436),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_by_ref] = STATE(2641),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(765),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [187] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym__expressions] = STATE(2568),
    [sym_sequence_expression] = STATE(2568),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1230),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [anon_sym_RPAREN2] = ACTIONS(911),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [188] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym__expressions] = STATE(2675),
    [sym_sequence_expression] = STATE(2675),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1222),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(913),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [189] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym__expressions] = STATE(2648),
    [sym_sequence_expression] = STATE(2648),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1230),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [anon_sym_RPAREN2] = ACTIONS(915),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [190] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym__expressions] = STATE(2570),
    [sym_sequence_expression] = STATE(2570),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1222),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [191] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym__expressions] = STATE(2579),
    [sym_sequence_expression] = STATE(2579),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1222),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(919),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [192] = {
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1096),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [sym__semicolon] = STATE(1936),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(721),
    [anon_sym_SEMI] = ACTIONS(921),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(725),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(921),
  },
  [193] = {
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1096),
    [sym_expression] = STATE(1202),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [sym__semicolon] = STATE(1937),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(721),
    [anon_sym_SEMI] = ACTIONS(923),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(725),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(923),
  },
  [194] = {
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1096),
    [sym_expression] = STATE(1203),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [sym__semicolon] = STATE(1938),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(721),
    [anon_sym_SEMI] = ACTIONS(925),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(725),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(925),
  },
  [195] = {
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1096),
    [sym_expression] = STATE(1207),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [sym__semicolon] = STATE(503),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(721),
    [anon_sym_SEMI] = ACTIONS(927),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(725),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(927),
  },
  [196] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym__expressions] = STATE(2626),
    [sym_sequence_expression] = STATE(2626),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1230),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [anon_sym_RPAREN2] = ACTIONS(929),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [197] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym__expressions] = STATE(2587),
    [sym_sequence_expression] = STATE(2587),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1230),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [anon_sym_RPAREN2] = ACTIONS(931),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [198] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym__expressions] = STATE(2655),
    [sym_sequence_expression] = STATE(2655),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1222),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(933),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [199] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym__foreach_value] = STATE(2576),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2436),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_by_ref] = STATE(2576),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(765),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [200] = {
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1096),
    [sym_expression] = STATE(1205),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [sym__semicolon] = STATE(557),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(721),
    [anon_sym_SEMI] = ACTIONS(935),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(725),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(935),
  },
  [201] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym__expressions] = STATE(2475),
    [sym_sequence_expression] = STATE(2475),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1230),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [anon_sym_RPAREN2] = ACTIONS(937),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [202] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym__expressions] = STATE(2514),
    [sym_sequence_expression] = STATE(2514),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1222),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(939),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [203] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym__expressions] = STATE(2505),
    [sym_sequence_expression] = STATE(2505),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1230),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [anon_sym_RPAREN2] = ACTIONS(941),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [204] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym__expressions] = STATE(2509),
    [sym_sequence_expression] = STATE(2509),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1230),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [anon_sym_RPAREN2] = ACTIONS(943),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [205] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym__expressions] = STATE(2510),
    [sym_sequence_expression] = STATE(2510),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1230),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [anon_sym_RPAREN2] = ACTIONS(945),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [206] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym__expressions] = STATE(2512),
    [sym_sequence_expression] = STATE(2512),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1230),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [anon_sym_RPAREN2] = ACTIONS(947),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [207] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym__expressions] = STATE(2529),
    [sym_sequence_expression] = STATE(2529),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1222),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(949),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [208] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym__expressions] = STATE(2532),
    [sym_sequence_expression] = STATE(2532),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1222),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(951),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [209] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym__expressions] = STATE(2543),
    [sym_sequence_expression] = STATE(2543),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1230),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [anon_sym_RPAREN2] = ACTIONS(953),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [210] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym__expressions] = STATE(2544),
    [sym_sequence_expression] = STATE(2544),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1230),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [anon_sym_RPAREN2] = ACTIONS(955),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [211] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym__expressions] = STATE(2630),
    [sym_sequence_expression] = STATE(2630),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1222),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(957),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [212] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym__expressions] = STATE(2638),
    [sym_sequence_expression] = STATE(2638),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1230),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [anon_sym_RPAREN2] = ACTIONS(959),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [213] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym__expressions] = STATE(2642),
    [sym_sequence_expression] = STATE(2642),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1230),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [anon_sym_RPAREN2] = ACTIONS(961),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [214] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym__expressions] = STATE(2643),
    [sym_sequence_expression] = STATE(2643),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1230),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [anon_sym_RPAREN2] = ACTIONS(963),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [215] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym__expressions] = STATE(2645),
    [sym_sequence_expression] = STATE(2645),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1230),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [anon_sym_RPAREN2] = ACTIONS(965),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [216] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym__expressions] = STATE(2660),
    [sym_sequence_expression] = STATE(2660),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1222),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(967),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [217] = {
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1096),
    [sym_expression] = STATE(1215),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [sym__semicolon] = STATE(561),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(721),
    [anon_sym_SEMI] = ACTIONS(969),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(725),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(969),
  },
  [218] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym__expressions] = STATE(2682),
    [sym_sequence_expression] = STATE(2682),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1222),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(971),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [219] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym__expressions] = STATE(2685),
    [sym_sequence_expression] = STATE(2685),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1222),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(973),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [220] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym__expressions] = STATE(2692),
    [sym_sequence_expression] = STATE(2692),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1222),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(975),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [221] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym__expressions] = STATE(2657),
    [sym_sequence_expression] = STATE(2657),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1230),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [anon_sym_RPAREN2] = ACTIONS(977),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [222] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1240),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_variadic_unpacking] = STATE(2333),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1564),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(733),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [223] = {
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1096),
    [sym_expression] = STATE(1094),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_by_ref] = STATE(1111),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(721),
    [anon_sym_AMP] = ACTIONS(979),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(725),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [224] = {
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym__expressions] = STATE(1948),
    [sym_sequence_expression] = STATE(1948),
    [sym_match_expression] = STATE(1096),
    [sym_expression] = STATE(1211),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(721),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(725),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [225] = {
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym__expressions] = STATE(2217),
    [sym_sequence_expression] = STATE(2217),
    [sym_match_expression] = STATE(1096),
    [sym_expression] = STATE(1211),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(721),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(725),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [226] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1105),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_by_ref] = STATE(1009),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(765),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [227] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1036),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_by_ref] = STATE(1009),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(981),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [228] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_by_ref] = STATE(1009),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(981),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [229] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_by_ref] = STATE(1009),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(765),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [230] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1105),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(699),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2129),
    [sym_function_call_expression] = STATE(690),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(690),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(690),
    [sym_nullsafe_member_call_expression] = STATE(690),
    [sym__variable_subscript_expression] = STATE(697),
    [sym__dereferencable_subscript_expression] = STATE(690),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(697),
    [sym__callable_variable] = STATE(690),
    [sym_variable_name] = STATE(602),
    [sym_by_ref] = STATE(2342),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(765),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [231] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1105),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_by_ref] = STATE(1009),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(981),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [232] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1237),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_variadic_unpacking] = STATE(2407),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1522),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(733),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [233] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1293),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [anon_sym_RPAREN2] = ACTIONS(983),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [234] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1294),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_COLON] = ACTIONS(985),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [235] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1231),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_EQ_GT] = ACTIONS(987),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [236] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1179),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [anon_sym_RPAREN2] = ACTIONS(989),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [237] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_sequence_expression] = STATE(2364),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1224),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [238] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1297),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_COLON] = ACTIONS(991),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [239] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1175),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(993),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [240] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1277),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_RBRACK] = ACTIONS(995),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [241] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1299),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_COLON] = ACTIONS(997),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [242] = {
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1096),
    [sym_expression] = STATE(1087),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(721),
    [anon_sym_AMP] = ACTIONS(999),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(725),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [243] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1298),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_RBRACK] = ACTIONS(1001),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [244] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1281),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_RBRACK] = ACTIONS(1003),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [245] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1181),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_COLON] = ACTIONS(1005),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [246] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1137),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(1007),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [247] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_sequence_expression] = STATE(2364),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1243),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [248] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1258),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [anon_sym_RPAREN2] = ACTIONS(1009),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [249] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1302),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_RBRACK] = ACTIONS(1011),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [250] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1231),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_EQ_GT] = ACTIONS(1013),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [251] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1027),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(1015),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [252] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1261),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_COLON] = ACTIONS(1017),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [253] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1271),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_RBRACK] = ACTIONS(1019),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [254] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1285),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_RBRACK] = ACTIONS(1021),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [255] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1262),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_RBRACK] = ACTIONS(1023),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [256] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1263),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_RBRACK] = ACTIONS(1025),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [257] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1286),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_RBRACK] = ACTIONS(1027),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [258] = {
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_sequence_expression] = STATE(2351),
    [sym_match_expression] = STATE(1096),
    [sym_expression] = STATE(1216),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(721),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(725),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [259] = {
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1096),
    [sym_expression] = STATE(1085),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(721),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(725),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [260] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [261] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1268),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [262] = {
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1096),
    [sym_expression] = STATE(1067),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(721),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(725),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [263] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1246),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [264] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [265] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1296),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [266] = {
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1096),
    [sym_expression] = STATE(1108),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(721),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(725),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [267] = {
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1096),
    [sym_expression] = STATE(1109),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(721),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(725),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [268] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1196),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [269] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1197),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [270] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1234),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [271] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1235),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [272] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1189),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [273] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [274] = {
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1096),
    [sym_expression] = STATE(1187),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(721),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(725),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [275] = {
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1096),
    [sym_expression] = STATE(1218),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(721),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(725),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [276] = {
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1096),
    [sym_expression] = STATE(1110),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(721),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(725),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [277] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1190),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [278] = {
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1096),
    [sym_expression] = STATE(1212),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(721),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(725),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [279] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1191),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [280] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1192),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [281] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1244),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [282] = {
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1096),
    [sym_expression] = STATE(1217),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(721),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(725),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [283] = {
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1096),
    [sym_expression] = STATE(1112),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(721),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(725),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [284] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1064),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [285] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1231),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [286] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1254),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [287] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1188),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [288] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1266),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [289] = {
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1096),
    [sym_expression] = STATE(1066),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(721),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(725),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [290] = {
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1096),
    [sym_expression] = STATE(1068),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(721),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(725),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [291] = {
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1096),
    [sym_expression] = STATE(1069),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(721),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(725),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [292] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1046),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [293] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1014),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [294] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1015),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [295] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1041),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [296] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1047),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [297] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1053),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [298] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1057),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [299] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1037),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [300] = {
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1096),
    [sym_expression] = STATE(1070),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(721),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(725),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [301] = {
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1096),
    [sym_expression] = STATE(1072),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(721),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(725),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [302] = {
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1096),
    [sym_expression] = STATE(1093),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(721),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(725),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [303] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1054),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [304] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1028),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [305] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1032),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [306] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1025),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [307] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1038),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [308] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1039),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [309] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1040),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [310] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1058),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [311] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1042),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [312] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1043),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [313] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1049),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [314] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1050),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [315] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1051),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [316] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1044),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [317] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1055),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [318] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1056),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [319] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1045),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [320] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1026),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [321] = {
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1096),
    [sym_expression] = STATE(1073),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(721),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(725),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [322] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1052),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [323] = {
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1096),
    [sym_expression] = STATE(1074),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(721),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(725),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [324] = {
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1096),
    [sym_expression] = STATE(1075),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(721),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(725),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [325] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1048),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [326] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1030),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [327] = {
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1096),
    [sym_expression] = STATE(1076),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(721),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(725),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [328] = {
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1096),
    [sym_expression] = STATE(1077),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(721),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(725),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [329] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1033),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [330] = {
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1096),
    [sym_expression] = STATE(1078),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(721),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(725),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [331] = {
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1096),
    [sym_expression] = STATE(1079),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(721),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(725),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [332] = {
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1096),
    [sym_expression] = STATE(1080),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(721),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(725),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [333] = {
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1096),
    [sym_expression] = STATE(1081),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(721),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(725),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [334] = {
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1096),
    [sym_expression] = STATE(1082),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(721),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(725),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [335] = {
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1096),
    [sym_expression] = STATE(1083),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(721),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(725),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [336] = {
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1096),
    [sym_expression] = STATE(1084),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(721),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(725),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [337] = {
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1096),
    [sym_expression] = STATE(1088),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(721),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(725),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [338] = {
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1096),
    [sym_expression] = STATE(1204),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(721),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(725),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [339] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1248),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [340] = {
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1096),
    [sym_expression] = STATE(1208),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(721),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(725),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [341] = {
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1096),
    [sym_expression] = STATE(1089),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(721),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(725),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [342] = {
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1096),
    [sym_expression] = STATE(1090),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(721),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(725),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [343] = {
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1096),
    [sym_expression] = STATE(1113),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(721),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(725),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [344] = {
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1096),
    [sym_expression] = STATE(1114),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(721),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(725),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [345] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1255),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [346] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [347] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1257),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [348] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1034),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [349] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1259),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [350] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1260),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [351] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1236),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [352] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1264),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [353] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1265),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [354] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1143),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [355] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1014),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [356] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1015),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [357] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1144),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [358] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1145),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [359] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1146),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [360] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1147),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [361] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1107),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [362] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1119),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [363] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1120),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [364] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1121),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [365] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1122),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [366] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1123),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [367] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1124),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [368] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1125),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [369] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1126),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [370] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1127),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [371] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1128),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [372] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1129),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [373] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1130),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [374] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1131),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [375] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1132),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [376] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1133),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [377] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1134),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [378] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1135),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [379] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1136),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [380] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1138),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [381] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1139),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [382] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1140),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [383] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1141),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [384] = {
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1096),
    [sym_expression] = STATE(1092),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(721),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(725),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [385] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1233),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [386] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1274),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [387] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1179),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [388] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1269),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [389] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1270),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [390] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1273),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [391] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1181),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [392] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1014),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [393] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1015),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [394] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [395] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1184),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [396] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1185),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [397] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1150),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [398] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1166),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [399] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1157),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [400] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1158),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [401] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1159),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [402] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1160),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [403] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1161),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [404] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1162),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [405] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1163),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [406] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1164),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [407] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1165),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [408] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1186),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [409] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1167),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [410] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1168),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [411] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1169),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [412] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1170),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [413] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1171),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [414] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1172),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [415] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1173),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [416] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1174),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [417] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1176),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [418] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1177),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [419] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1178),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [420] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1149),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [421] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1279),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [422] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1275),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [423] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1278),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [424] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1280),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [425] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1283),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [426] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1284),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [427] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1287),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [428] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1288),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [429] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1289),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [430] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [431] = {
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1096),
    [sym_expression] = STATE(1118),
    [sym__unary_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_error_suppression_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym_primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1097),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(1096),
    [sym_reference_assignment_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(651),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(636),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym__variable_subscript_expression] = STATE(657),
    [sym__dereferencable_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(657),
    [sym__callable_variable] = STATE(636),
    [sym_variable_name] = STATE(630),
    [sym_yield_expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_include_expression] = STATE(1096),
    [sym_include_once_expression] = STATE(1096),
    [sym_require_expression] = STATE(1096),
    [sym_require_once_expression] = STATE(1096),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(721),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(725),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [432] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1300),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [433] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [434] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1249),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [435] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1194),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(683),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(749),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [aux_sym_require_expression_token1] = ACTIONS(757),
    [aux_sym_require_once_expression_token1] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [436] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1276),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2665),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(629),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(629),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(679),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [aux_sym_require_expression_token1] = ACTIONS(687),
    [aux_sym_require_once_expression_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [437] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_match_expression] = STATE(985),
    [sym_expression] = STATE(1247),
    [sym__unary_expression] = STATE(987),
    [sym_unary_op_expression] = STATE(987),
    [sym_error_suppression_expression] = STATE(985),
    [sym_clone_expression] = STATE(987),
    [sym_primary_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(987),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(985),
    [sym_reference_assignment_expression] = STATE(985),
    [sym_conditional_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2498),
    [sym__list_destructing] = STATE(2332),
    [sym__array_destructing] = STATE(2332),
    [sym_function_call_expression] = STATE(624),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_include_expression] = STATE(985),
    [sym_include_once_expression] = STATE(985),
    [sym_require_expression] = STATE(985),
    [sym_require_once_expression] = STATE(985),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_match_expression_token1] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_yield_expression_token1] = ACTIONS(709),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [aux_sym_require_expression_token1] = ACTIONS(717),
    [aux_sym_require_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [438] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym__unary_expression] = STATE(1008),
    [sym_unary_op_expression] = STATE(1008),
    [sym_error_suppression_expression] = STATE(1008),
    [sym_clone_expression] = STATE(1008),
    [sym_primary_expression] = STATE(1008),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(1008),
    [sym_cast_variable] = STATE(613),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(613),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(613),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(613),
    [sym_function_call_expression] = STATE(596),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(596),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(596),
    [sym_nullsafe_member_call_expression] = STATE(596),
    [sym__variable_subscript_expression] = STATE(614),
    [sym__dereferencable_subscript_expression] = STATE(596),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(614),
    [sym__callable_variable] = STATE(596),
    [sym_variable_name] = STATE(602),
    [sym_include_expression] = STATE(1008),
    [sym_include_once_expression] = STATE(1008),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(731),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_AT] = ACTIONS(741),
    [aux_sym_clone_expression_token1] = ACTIONS(743),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(753),
    [aux_sym_include_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [439] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym__unary_expression] = STATE(1008),
    [sym_unary_op_expression] = STATE(1008),
    [sym_error_suppression_expression] = STATE(1008),
    [sym_clone_expression] = STATE(1008),
    [sym_primary_expression] = STATE(1008),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(1008),
    [sym_cast_variable] = STATE(613),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(613),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(613),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(613),
    [sym_function_call_expression] = STATE(596),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(596),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(596),
    [sym_nullsafe_member_call_expression] = STATE(596),
    [sym__variable_subscript_expression] = STATE(614),
    [sym__dereferencable_subscript_expression] = STATE(596),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(614),
    [sym__callable_variable] = STATE(596),
    [sym_variable_name] = STATE(602),
    [sym_include_expression] = STATE(1008),
    [sym_include_once_expression] = STATE(1008),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(637),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [sym_comment] = ACTIONS(3),
  },
  [440] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym__unary_expression] = STATE(1008),
    [sym_unary_op_expression] = STATE(1008),
    [sym_error_suppression_expression] = STATE(1008),
    [sym_clone_expression] = STATE(1008),
    [sym_primary_expression] = STATE(1008),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(1008),
    [sym_cast_variable] = STATE(676),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_function_call_expression] = STATE(655),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym__variable_subscript_expression] = STATE(677),
    [sym__dereferencable_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(655),
    [sym_variable_name] = STATE(602),
    [sym_include_expression] = STATE(1008),
    [sym_include_once_expression] = STATE(1008),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(887),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_TILDE] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(651),
    [anon_sym_AT] = ACTIONS(653),
    [aux_sym_clone_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(683),
    [aux_sym_include_once_expression_token1] = ACTIONS(685),
    [sym_comment] = ACTIONS(3),
  },
  [441] = {
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2650),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym__unary_expression] = STATE(1098),
    [sym_unary_op_expression] = STATE(1098),
    [sym_error_suppression_expression] = STATE(1098),
    [sym_clone_expression] = STATE(1098),
    [sym_primary_expression] = STATE(1098),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1098),
    [sym_cast_variable] = STATE(648),
    [sym__variable_member_access_expression] = STATE(660),
    [sym_member_access_expression] = STATE(648),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(648),
    [sym__variable_scoped_property_access_expression] = STATE(667),
    [sym_scoped_property_access_expression] = STATE(648),
    [sym_function_call_expression] = STATE(637),
    [sym__callable_expression] = STATE(2338),
    [sym_scoped_call_expression] = STATE(637),
    [sym__scope_resolution_qualifier] = STATE(2458),
    [sym_relative_scope] = STATE(2458),
    [sym_member_call_expression] = STATE(637),
    [sym_nullsafe_member_call_expression] = STATE(637),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(637),
    [sym__dereferencable_expression] = STATE(1839),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(630),
    [sym__simple_variable] = STATE(630),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(637),
    [sym_variable_name] = STATE(630),
    [sym_include_expression] = STATE(1098),
    [sym_include_once_expression] = STATE(1098),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(721),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(725),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [sym_comment] = ACTIONS(3),
  },
  [442] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1614),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym__unary_expression] = STATE(1008),
    [sym_unary_op_expression] = STATE(1008),
    [sym_error_suppression_expression] = STATE(1008),
    [sym_clone_expression] = STATE(1008),
    [sym_primary_expression] = STATE(1008),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_expression] = STATE(1008),
    [sym_cast_variable] = STATE(613),
    [sym__variable_member_access_expression] = STATE(600),
    [sym_member_access_expression] = STATE(613),
    [sym__variable_nullsafe_member_access_expression] = STATE(601),
    [sym_nullsafe_member_access_expression] = STATE(613),
    [sym__variable_scoped_property_access_expression] = STATE(612),
    [sym_scoped_property_access_expression] = STATE(613),
    [sym_function_call_expression] = STATE(596),
    [sym__callable_expression] = STATE(2284),
    [sym_scoped_call_expression] = STATE(596),
    [sym__scope_resolution_qualifier] = STATE(2683),
    [sym_relative_scope] = STATE(2683),
    [sym_member_call_expression] = STATE(596),
    [sym_nullsafe_member_call_expression] = STATE(596),
    [sym__variable_subscript_expression] = STATE(614),
    [sym__dereferencable_subscript_expression] = STATE(596),
    [sym__dereferencable_expression] = STATE(1811),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(602),
    [sym__simple_variable] = STATE(602),
    [sym__new_variable] = STATE(614),
    [sym__callable_variable] = STATE(596),
    [sym_variable_name] = STATE(602),
    [sym_include_expression] = STATE(1008),
    [sym_include_once_expression] = STATE(1008),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(691),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(701),
    [aux_sym_clone_expression_token1] = ACTIONS(703),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(713),
    [aux_sym_include_once_expression_token1] = ACTIONS(715),
    [sym_comment] = ACTIONS(3),
  },
  [443] = {
    [sym_catch_clause] = STATE(444),
    [sym_finally_clause] = STATE(444),
    [aux_sym_try_statement_repeat1] = STATE(444),
    [ts_builtin_sym_end] = ACTIONS(1033),
    [sym_name] = ACTIONS(1035),
    [anon_sym_QMARK_GT] = ACTIONS(1033),
    [anon_sym_SEMI] = ACTIONS(1033),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1035),
    [aux_sym_global_declaration_token1] = ACTIONS(1035),
    [aux_sym_namespace_definition_token1] = ACTIONS(1035),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1035),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1035),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1035),
    [anon_sym_BSLASH] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1033),
    [anon_sym_RBRACE] = ACTIONS(1033),
    [aux_sym_trait_declaration_token1] = ACTIONS(1035),
    [aux_sym_interface_declaration_token1] = ACTIONS(1035),
    [aux_sym_enum_declaration_token1] = ACTIONS(1035),
    [aux_sym_enum_case_token1] = ACTIONS(1035),
    [aux_sym_class_declaration_token1] = ACTIONS(1035),
    [aux_sym_final_modifier_token1] = ACTIONS(1035),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1035),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1035),
    [sym_var_modifier] = ACTIONS(1035),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1035),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1035),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1035),
    [anon_sym_LPAREN2] = ACTIONS(1033),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1035),
    [aux_sym_cast_type_token1] = ACTIONS(1035),
    [aux_sym_echo_statement_token1] = ACTIONS(1035),
    [aux_sym_exit_statement_token1] = ACTIONS(1035),
    [anon_sym_unset] = ACTIONS(1035),
    [aux_sym_declare_statement_token1] = ACTIONS(1035),
    [aux_sym_declare_statement_token2] = ACTIONS(1035),
    [sym_float] = ACTIONS(1035),
    [aux_sym_try_statement_token1] = ACTIONS(1035),
    [aux_sym_catch_clause_token1] = ACTIONS(1037),
    [aux_sym_finally_clause_token1] = ACTIONS(1039),
    [aux_sym_goto_statement_token1] = ACTIONS(1035),
    [aux_sym_continue_statement_token1] = ACTIONS(1035),
    [aux_sym_break_statement_token1] = ACTIONS(1035),
    [sym_integer] = ACTIONS(1035),
    [aux_sym_return_statement_token1] = ACTIONS(1035),
    [aux_sym_throw_expression_token1] = ACTIONS(1035),
    [aux_sym_while_statement_token1] = ACTIONS(1035),
    [aux_sym_while_statement_token2] = ACTIONS(1035),
    [aux_sym_do_statement_token1] = ACTIONS(1035),
    [aux_sym_for_statement_token1] = ACTIONS(1035),
    [aux_sym_for_statement_token2] = ACTIONS(1035),
    [aux_sym_foreach_statement_token1] = ACTIONS(1035),
    [aux_sym_foreach_statement_token2] = ACTIONS(1035),
    [aux_sym_if_statement_token1] = ACTIONS(1035),
    [aux_sym_if_statement_token2] = ACTIONS(1035),
    [aux_sym_else_if_clause_token1] = ACTIONS(1035),
    [aux_sym_else_clause_token1] = ACTIONS(1035),
    [aux_sym_match_expression_token1] = ACTIONS(1035),
    [aux_sym_match_default_expression_token1] = ACTIONS(1035),
    [aux_sym_switch_statement_token1] = ACTIONS(1035),
    [aux_sym_switch_block_token1] = ACTIONS(1035),
    [anon_sym_PLUS] = ACTIONS(1035),
    [anon_sym_DASH] = ACTIONS(1035),
    [anon_sym_TILDE] = ACTIONS(1033),
    [anon_sym_BANG] = ACTIONS(1033),
    [anon_sym_AT] = ACTIONS(1033),
    [aux_sym_clone_expression_token1] = ACTIONS(1035),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1035),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1035),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [aux_sym__list_destructing_token1] = ACTIONS(1035),
    [anon_sym_LBRACK] = ACTIONS(1033),
    [anon_sym_self] = ACTIONS(1035),
    [anon_sym_parent] = ACTIONS(1035),
    [aux_sym__argument_name_token1] = ACTIONS(1035),
    [aux_sym__argument_name_token2] = ACTIONS(1035),
    [anon_sym_POUND_LBRACK] = ACTIONS(1033),
    [aux_sym_encapsed_string_token1] = ACTIONS(1033),
    [anon_sym_DQUOTE] = ACTIONS(1033),
    [aux_sym_string_token1] = ACTIONS(1033),
    [anon_sym_SQUOTE] = ACTIONS(1033),
    [anon_sym_LT_LT_LT] = ACTIONS(1033),
    [anon_sym_BQUOTE] = ACTIONS(1033),
    [anon_sym_DOLLAR] = ACTIONS(1033),
    [aux_sym_yield_expression_token1] = ACTIONS(1035),
    [aux_sym_include_expression_token1] = ACTIONS(1035),
    [aux_sym_include_once_expression_token1] = ACTIONS(1035),
    [aux_sym_require_expression_token1] = ACTIONS(1035),
    [aux_sym_require_once_expression_token1] = ACTIONS(1035),
    [sym_comment] = ACTIONS(3),
  },
  [444] = {
    [sym_catch_clause] = STATE(444),
    [sym_finally_clause] = STATE(444),
    [aux_sym_try_statement_repeat1] = STATE(444),
    [ts_builtin_sym_end] = ACTIONS(1041),
    [sym_name] = ACTIONS(1043),
    [anon_sym_QMARK_GT] = ACTIONS(1041),
    [anon_sym_SEMI] = ACTIONS(1041),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1043),
    [aux_sym_global_declaration_token1] = ACTIONS(1043),
    [aux_sym_namespace_definition_token1] = ACTIONS(1043),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1043),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1043),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1043),
    [anon_sym_BSLASH] = ACTIONS(1041),
    [anon_sym_LBRACE] = ACTIONS(1041),
    [anon_sym_RBRACE] = ACTIONS(1041),
    [aux_sym_trait_declaration_token1] = ACTIONS(1043),
    [aux_sym_interface_declaration_token1] = ACTIONS(1043),
    [aux_sym_enum_declaration_token1] = ACTIONS(1043),
    [aux_sym_enum_case_token1] = ACTIONS(1043),
    [aux_sym_class_declaration_token1] = ACTIONS(1043),
    [aux_sym_final_modifier_token1] = ACTIONS(1043),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1043),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1043),
    [sym_var_modifier] = ACTIONS(1043),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1043),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1043),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1043),
    [anon_sym_LPAREN2] = ACTIONS(1041),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1043),
    [aux_sym_cast_type_token1] = ACTIONS(1043),
    [aux_sym_echo_statement_token1] = ACTIONS(1043),
    [aux_sym_exit_statement_token1] = ACTIONS(1043),
    [anon_sym_unset] = ACTIONS(1043),
    [aux_sym_declare_statement_token1] = ACTIONS(1043),
    [aux_sym_declare_statement_token2] = ACTIONS(1043),
    [sym_float] = ACTIONS(1043),
    [aux_sym_try_statement_token1] = ACTIONS(1043),
    [aux_sym_catch_clause_token1] = ACTIONS(1045),
    [aux_sym_finally_clause_token1] = ACTIONS(1048),
    [aux_sym_goto_statement_token1] = ACTIONS(1043),
    [aux_sym_continue_statement_token1] = ACTIONS(1043),
    [aux_sym_break_statement_token1] = ACTIONS(1043),
    [sym_integer] = ACTIONS(1043),
    [aux_sym_return_statement_token1] = ACTIONS(1043),
    [aux_sym_throw_expression_token1] = ACTIONS(1043),
    [aux_sym_while_statement_token1] = ACTIONS(1043),
    [aux_sym_while_statement_token2] = ACTIONS(1043),
    [aux_sym_do_statement_token1] = ACTIONS(1043),
    [aux_sym_for_statement_token1] = ACTIONS(1043),
    [aux_sym_for_statement_token2] = ACTIONS(1043),
    [aux_sym_foreach_statement_token1] = ACTIONS(1043),
    [aux_sym_foreach_statement_token2] = ACTIONS(1043),
    [aux_sym_if_statement_token1] = ACTIONS(1043),
    [aux_sym_if_statement_token2] = ACTIONS(1043),
    [aux_sym_else_if_clause_token1] = ACTIONS(1043),
    [aux_sym_else_clause_token1] = ACTIONS(1043),
    [aux_sym_match_expression_token1] = ACTIONS(1043),
    [aux_sym_match_default_expression_token1] = ACTIONS(1043),
    [aux_sym_switch_statement_token1] = ACTIONS(1043),
    [aux_sym_switch_block_token1] = ACTIONS(1043),
    [anon_sym_PLUS] = ACTIONS(1043),
    [anon_sym_DASH] = ACTIONS(1043),
    [anon_sym_TILDE] = ACTIONS(1041),
    [anon_sym_BANG] = ACTIONS(1041),
    [anon_sym_AT] = ACTIONS(1041),
    [aux_sym_clone_expression_token1] = ACTIONS(1043),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1043),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1043),
    [anon_sym_DASH_DASH] = ACTIONS(1041),
    [anon_sym_PLUS_PLUS] = ACTIONS(1041),
    [aux_sym__list_destructing_token1] = ACTIONS(1043),
    [anon_sym_LBRACK] = ACTIONS(1041),
    [anon_sym_self] = ACTIONS(1043),
    [anon_sym_parent] = ACTIONS(1043),
    [aux_sym__argument_name_token1] = ACTIONS(1043),
    [aux_sym__argument_name_token2] = ACTIONS(1043),
    [anon_sym_POUND_LBRACK] = ACTIONS(1041),
    [aux_sym_encapsed_string_token1] = ACTIONS(1041),
    [anon_sym_DQUOTE] = ACTIONS(1041),
    [aux_sym_string_token1] = ACTIONS(1041),
    [anon_sym_SQUOTE] = ACTIONS(1041),
    [anon_sym_LT_LT_LT] = ACTIONS(1041),
    [anon_sym_BQUOTE] = ACTIONS(1041),
    [anon_sym_DOLLAR] = ACTIONS(1041),
    [aux_sym_yield_expression_token1] = ACTIONS(1043),
    [aux_sym_include_expression_token1] = ACTIONS(1043),
    [aux_sym_include_once_expression_token1] = ACTIONS(1043),
    [aux_sym_require_expression_token1] = ACTIONS(1043),
    [aux_sym_require_once_expression_token1] = ACTIONS(1043),
    [sym_comment] = ACTIONS(3),
  },
  [445] = {
    [sym_else_if_clause] = STATE(540),
    [sym_else_clause] = STATE(541),
    [aux_sym_if_statement_repeat1] = STATE(446),
    [ts_builtin_sym_end] = ACTIONS(1051),
    [sym_name] = ACTIONS(1053),
    [anon_sym_QMARK_GT] = ACTIONS(1051),
    [anon_sym_SEMI] = ACTIONS(1051),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1053),
    [aux_sym_global_declaration_token1] = ACTIONS(1053),
    [aux_sym_namespace_definition_token1] = ACTIONS(1053),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1053),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1053),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1053),
    [anon_sym_BSLASH] = ACTIONS(1051),
    [anon_sym_LBRACE] = ACTIONS(1051),
    [anon_sym_RBRACE] = ACTIONS(1051),
    [aux_sym_trait_declaration_token1] = ACTIONS(1053),
    [aux_sym_interface_declaration_token1] = ACTIONS(1053),
    [aux_sym_enum_declaration_token1] = ACTIONS(1053),
    [aux_sym_enum_case_token1] = ACTIONS(1053),
    [aux_sym_class_declaration_token1] = ACTIONS(1053),
    [aux_sym_final_modifier_token1] = ACTIONS(1053),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1053),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1053),
    [sym_var_modifier] = ACTIONS(1053),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1053),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1053),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1053),
    [anon_sym_LPAREN2] = ACTIONS(1051),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1053),
    [aux_sym_cast_type_token1] = ACTIONS(1053),
    [aux_sym_echo_statement_token1] = ACTIONS(1053),
    [aux_sym_exit_statement_token1] = ACTIONS(1053),
    [anon_sym_unset] = ACTIONS(1053),
    [aux_sym_declare_statement_token1] = ACTIONS(1053),
    [aux_sym_declare_statement_token2] = ACTIONS(1053),
    [sym_float] = ACTIONS(1053),
    [aux_sym_try_statement_token1] = ACTIONS(1053),
    [aux_sym_goto_statement_token1] = ACTIONS(1053),
    [aux_sym_continue_statement_token1] = ACTIONS(1053),
    [aux_sym_break_statement_token1] = ACTIONS(1053),
    [sym_integer] = ACTIONS(1053),
    [aux_sym_return_statement_token1] = ACTIONS(1053),
    [aux_sym_throw_expression_token1] = ACTIONS(1053),
    [aux_sym_while_statement_token1] = ACTIONS(1053),
    [aux_sym_while_statement_token2] = ACTIONS(1053),
    [aux_sym_do_statement_token1] = ACTIONS(1053),
    [aux_sym_for_statement_token1] = ACTIONS(1053),
    [aux_sym_for_statement_token2] = ACTIONS(1053),
    [aux_sym_foreach_statement_token1] = ACTIONS(1053),
    [aux_sym_foreach_statement_token2] = ACTIONS(1053),
    [aux_sym_if_statement_token1] = ACTIONS(1053),
    [aux_sym_if_statement_token2] = ACTIONS(1053),
    [aux_sym_else_if_clause_token1] = ACTIONS(1055),
    [aux_sym_else_clause_token1] = ACTIONS(1058),
    [aux_sym_match_expression_token1] = ACTIONS(1053),
    [aux_sym_match_default_expression_token1] = ACTIONS(1053),
    [aux_sym_switch_statement_token1] = ACTIONS(1053),
    [aux_sym_switch_block_token1] = ACTIONS(1053),
    [anon_sym_PLUS] = ACTIONS(1053),
    [anon_sym_DASH] = ACTIONS(1053),
    [anon_sym_TILDE] = ACTIONS(1051),
    [anon_sym_BANG] = ACTIONS(1051),
    [anon_sym_AT] = ACTIONS(1051),
    [aux_sym_clone_expression_token1] = ACTIONS(1053),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1053),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1053),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [aux_sym__list_destructing_token1] = ACTIONS(1053),
    [anon_sym_LBRACK] = ACTIONS(1051),
    [anon_sym_self] = ACTIONS(1053),
    [anon_sym_parent] = ACTIONS(1053),
    [aux_sym__argument_name_token1] = ACTIONS(1053),
    [aux_sym__argument_name_token2] = ACTIONS(1053),
    [anon_sym_POUND_LBRACK] = ACTIONS(1051),
    [aux_sym_encapsed_string_token1] = ACTIONS(1051),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [aux_sym_string_token1] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1051),
    [anon_sym_LT_LT_LT] = ACTIONS(1051),
    [anon_sym_BQUOTE] = ACTIONS(1051),
    [anon_sym_DOLLAR] = ACTIONS(1051),
    [aux_sym_yield_expression_token1] = ACTIONS(1053),
    [aux_sym_include_expression_token1] = ACTIONS(1053),
    [aux_sym_include_once_expression_token1] = ACTIONS(1053),
    [aux_sym_require_expression_token1] = ACTIONS(1053),
    [aux_sym_require_once_expression_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(3),
  },
  [446] = {
    [sym_else_if_clause] = STATE(540),
    [sym_else_clause] = STATE(485),
    [aux_sym_if_statement_repeat1] = STATE(450),
    [ts_builtin_sym_end] = ACTIONS(1061),
    [sym_name] = ACTIONS(1063),
    [anon_sym_QMARK_GT] = ACTIONS(1061),
    [anon_sym_SEMI] = ACTIONS(1061),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1063),
    [aux_sym_global_declaration_token1] = ACTIONS(1063),
    [aux_sym_namespace_definition_token1] = ACTIONS(1063),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1063),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1063),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1063),
    [anon_sym_BSLASH] = ACTIONS(1061),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_RBRACE] = ACTIONS(1061),
    [aux_sym_trait_declaration_token1] = ACTIONS(1063),
    [aux_sym_interface_declaration_token1] = ACTIONS(1063),
    [aux_sym_enum_declaration_token1] = ACTIONS(1063),
    [aux_sym_enum_case_token1] = ACTIONS(1063),
    [aux_sym_class_declaration_token1] = ACTIONS(1063),
    [aux_sym_final_modifier_token1] = ACTIONS(1063),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1063),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1063),
    [sym_var_modifier] = ACTIONS(1063),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1063),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1063),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1063),
    [anon_sym_LPAREN2] = ACTIONS(1061),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1063),
    [aux_sym_cast_type_token1] = ACTIONS(1063),
    [aux_sym_echo_statement_token1] = ACTIONS(1063),
    [aux_sym_exit_statement_token1] = ACTIONS(1063),
    [anon_sym_unset] = ACTIONS(1063),
    [aux_sym_declare_statement_token1] = ACTIONS(1063),
    [aux_sym_declare_statement_token2] = ACTIONS(1063),
    [sym_float] = ACTIONS(1063),
    [aux_sym_try_statement_token1] = ACTIONS(1063),
    [aux_sym_goto_statement_token1] = ACTIONS(1063),
    [aux_sym_continue_statement_token1] = ACTIONS(1063),
    [aux_sym_break_statement_token1] = ACTIONS(1063),
    [sym_integer] = ACTIONS(1063),
    [aux_sym_return_statement_token1] = ACTIONS(1063),
    [aux_sym_throw_expression_token1] = ACTIONS(1063),
    [aux_sym_while_statement_token1] = ACTIONS(1063),
    [aux_sym_while_statement_token2] = ACTIONS(1063),
    [aux_sym_do_statement_token1] = ACTIONS(1063),
    [aux_sym_for_statement_token1] = ACTIONS(1063),
    [aux_sym_for_statement_token2] = ACTIONS(1063),
    [aux_sym_foreach_statement_token1] = ACTIONS(1063),
    [aux_sym_foreach_statement_token2] = ACTIONS(1063),
    [aux_sym_if_statement_token1] = ACTIONS(1063),
    [aux_sym_if_statement_token2] = ACTIONS(1063),
    [aux_sym_else_if_clause_token1] = ACTIONS(1065),
    [aux_sym_else_clause_token1] = ACTIONS(1068),
    [aux_sym_match_expression_token1] = ACTIONS(1063),
    [aux_sym_match_default_expression_token1] = ACTIONS(1063),
    [aux_sym_switch_statement_token1] = ACTIONS(1063),
    [aux_sym_switch_block_token1] = ACTIONS(1063),
    [anon_sym_PLUS] = ACTIONS(1063),
    [anon_sym_DASH] = ACTIONS(1063),
    [anon_sym_TILDE] = ACTIONS(1061),
    [anon_sym_BANG] = ACTIONS(1061),
    [anon_sym_AT] = ACTIONS(1061),
    [aux_sym_clone_expression_token1] = ACTIONS(1063),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1063),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1063),
    [anon_sym_DASH_DASH] = ACTIONS(1061),
    [anon_sym_PLUS_PLUS] = ACTIONS(1061),
    [aux_sym__list_destructing_token1] = ACTIONS(1063),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_self] = ACTIONS(1063),
    [anon_sym_parent] = ACTIONS(1063),
    [aux_sym__argument_name_token1] = ACTIONS(1063),
    [aux_sym__argument_name_token2] = ACTIONS(1063),
    [anon_sym_POUND_LBRACK] = ACTIONS(1061),
    [aux_sym_encapsed_string_token1] = ACTIONS(1061),
    [anon_sym_DQUOTE] = ACTIONS(1061),
    [aux_sym_string_token1] = ACTIONS(1061),
    [anon_sym_SQUOTE] = ACTIONS(1061),
    [anon_sym_LT_LT_LT] = ACTIONS(1061),
    [anon_sym_BQUOTE] = ACTIONS(1061),
    [anon_sym_DOLLAR] = ACTIONS(1061),
    [aux_sym_yield_expression_token1] = ACTIONS(1063),
    [aux_sym_include_expression_token1] = ACTIONS(1063),
    [aux_sym_include_once_expression_token1] = ACTIONS(1063),
    [aux_sym_require_expression_token1] = ACTIONS(1063),
    [aux_sym_require_once_expression_token1] = ACTIONS(1063),
    [sym_comment] = ACTIONS(3),
  },
  [447] = {
    [sym_else_if_clause] = STATE(540),
    [sym_else_clause] = STATE(541),
    [aux_sym_if_statement_repeat1] = STATE(448),
    [ts_builtin_sym_end] = ACTIONS(1051),
    [sym_name] = ACTIONS(1053),
    [anon_sym_QMARK_GT] = ACTIONS(1051),
    [anon_sym_SEMI] = ACTIONS(1051),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1053),
    [aux_sym_global_declaration_token1] = ACTIONS(1053),
    [aux_sym_namespace_definition_token1] = ACTIONS(1053),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1053),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1053),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1053),
    [anon_sym_BSLASH] = ACTIONS(1051),
    [anon_sym_LBRACE] = ACTIONS(1051),
    [anon_sym_RBRACE] = ACTIONS(1051),
    [aux_sym_trait_declaration_token1] = ACTIONS(1053),
    [aux_sym_interface_declaration_token1] = ACTIONS(1053),
    [aux_sym_enum_declaration_token1] = ACTIONS(1053),
    [aux_sym_enum_case_token1] = ACTIONS(1053),
    [aux_sym_class_declaration_token1] = ACTIONS(1053),
    [aux_sym_final_modifier_token1] = ACTIONS(1053),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1053),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1053),
    [sym_var_modifier] = ACTIONS(1053),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1053),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1053),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1053),
    [anon_sym_LPAREN2] = ACTIONS(1051),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1053),
    [aux_sym_cast_type_token1] = ACTIONS(1053),
    [aux_sym_echo_statement_token1] = ACTIONS(1053),
    [aux_sym_exit_statement_token1] = ACTIONS(1053),
    [anon_sym_unset] = ACTIONS(1053),
    [aux_sym_declare_statement_token1] = ACTIONS(1053),
    [aux_sym_declare_statement_token2] = ACTIONS(1053),
    [sym_float] = ACTIONS(1053),
    [aux_sym_try_statement_token1] = ACTIONS(1053),
    [aux_sym_goto_statement_token1] = ACTIONS(1053),
    [aux_sym_continue_statement_token1] = ACTIONS(1053),
    [aux_sym_break_statement_token1] = ACTIONS(1053),
    [sym_integer] = ACTIONS(1053),
    [aux_sym_return_statement_token1] = ACTIONS(1053),
    [aux_sym_throw_expression_token1] = ACTIONS(1053),
    [aux_sym_while_statement_token1] = ACTIONS(1053),
    [aux_sym_while_statement_token2] = ACTIONS(1053),
    [aux_sym_do_statement_token1] = ACTIONS(1053),
    [aux_sym_for_statement_token1] = ACTIONS(1053),
    [aux_sym_for_statement_token2] = ACTIONS(1053),
    [aux_sym_foreach_statement_token1] = ACTIONS(1053),
    [aux_sym_foreach_statement_token2] = ACTIONS(1053),
    [aux_sym_if_statement_token1] = ACTIONS(1053),
    [aux_sym_if_statement_token2] = ACTIONS(1053),
    [aux_sym_else_if_clause_token1] = ACTIONS(1071),
    [aux_sym_else_clause_token1] = ACTIONS(1073),
    [aux_sym_match_expression_token1] = ACTIONS(1053),
    [aux_sym_match_default_expression_token1] = ACTIONS(1053),
    [aux_sym_switch_statement_token1] = ACTIONS(1053),
    [aux_sym_switch_block_token1] = ACTIONS(1053),
    [anon_sym_PLUS] = ACTIONS(1053),
    [anon_sym_DASH] = ACTIONS(1053),
    [anon_sym_TILDE] = ACTIONS(1051),
    [anon_sym_BANG] = ACTIONS(1051),
    [anon_sym_AT] = ACTIONS(1051),
    [aux_sym_clone_expression_token1] = ACTIONS(1053),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1053),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1053),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [aux_sym__list_destructing_token1] = ACTIONS(1053),
    [anon_sym_LBRACK] = ACTIONS(1051),
    [anon_sym_self] = ACTIONS(1053),
    [anon_sym_parent] = ACTIONS(1053),
    [aux_sym__argument_name_token1] = ACTIONS(1053),
    [aux_sym__argument_name_token2] = ACTIONS(1053),
    [anon_sym_POUND_LBRACK] = ACTIONS(1051),
    [aux_sym_encapsed_string_token1] = ACTIONS(1051),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [aux_sym_string_token1] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1051),
    [anon_sym_LT_LT_LT] = ACTIONS(1051),
    [anon_sym_BQUOTE] = ACTIONS(1051),
    [anon_sym_DOLLAR] = ACTIONS(1051),
    [aux_sym_yield_expression_token1] = ACTIONS(1053),
    [aux_sym_include_expression_token1] = ACTIONS(1053),
    [aux_sym_include_once_expression_token1] = ACTIONS(1053),
    [aux_sym_require_expression_token1] = ACTIONS(1053),
    [aux_sym_require_once_expression_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(3),
  },
  [448] = {
    [sym_else_if_clause] = STATE(540),
    [sym_else_clause] = STATE(485),
    [aux_sym_if_statement_repeat1] = STATE(450),
    [ts_builtin_sym_end] = ACTIONS(1061),
    [sym_name] = ACTIONS(1063),
    [anon_sym_QMARK_GT] = ACTIONS(1061),
    [anon_sym_SEMI] = ACTIONS(1061),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1063),
    [aux_sym_global_declaration_token1] = ACTIONS(1063),
    [aux_sym_namespace_definition_token1] = ACTIONS(1063),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1063),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1063),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1063),
    [anon_sym_BSLASH] = ACTIONS(1061),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_RBRACE] = ACTIONS(1061),
    [aux_sym_trait_declaration_token1] = ACTIONS(1063),
    [aux_sym_interface_declaration_token1] = ACTIONS(1063),
    [aux_sym_enum_declaration_token1] = ACTIONS(1063),
    [aux_sym_enum_case_token1] = ACTIONS(1063),
    [aux_sym_class_declaration_token1] = ACTIONS(1063),
    [aux_sym_final_modifier_token1] = ACTIONS(1063),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1063),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1063),
    [sym_var_modifier] = ACTIONS(1063),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1063),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1063),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1063),
    [anon_sym_LPAREN2] = ACTIONS(1061),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1063),
    [aux_sym_cast_type_token1] = ACTIONS(1063),
    [aux_sym_echo_statement_token1] = ACTIONS(1063),
    [aux_sym_exit_statement_token1] = ACTIONS(1063),
    [anon_sym_unset] = ACTIONS(1063),
    [aux_sym_declare_statement_token1] = ACTIONS(1063),
    [aux_sym_declare_statement_token2] = ACTIONS(1063),
    [sym_float] = ACTIONS(1063),
    [aux_sym_try_statement_token1] = ACTIONS(1063),
    [aux_sym_goto_statement_token1] = ACTIONS(1063),
    [aux_sym_continue_statement_token1] = ACTIONS(1063),
    [aux_sym_break_statement_token1] = ACTIONS(1063),
    [sym_integer] = ACTIONS(1063),
    [aux_sym_return_statement_token1] = ACTIONS(1063),
    [aux_sym_throw_expression_token1] = ACTIONS(1063),
    [aux_sym_while_statement_token1] = ACTIONS(1063),
    [aux_sym_while_statement_token2] = ACTIONS(1063),
    [aux_sym_do_statement_token1] = ACTIONS(1063),
    [aux_sym_for_statement_token1] = ACTIONS(1063),
    [aux_sym_for_statement_token2] = ACTIONS(1063),
    [aux_sym_foreach_statement_token1] = ACTIONS(1063),
    [aux_sym_foreach_statement_token2] = ACTIONS(1063),
    [aux_sym_if_statement_token1] = ACTIONS(1063),
    [aux_sym_if_statement_token2] = ACTIONS(1063),
    [aux_sym_else_if_clause_token1] = ACTIONS(1071),
    [aux_sym_else_clause_token1] = ACTIONS(1073),
    [aux_sym_match_expression_token1] = ACTIONS(1063),
    [aux_sym_match_default_expression_token1] = ACTIONS(1063),
    [aux_sym_switch_statement_token1] = ACTIONS(1063),
    [aux_sym_switch_block_token1] = ACTIONS(1063),
    [anon_sym_PLUS] = ACTIONS(1063),
    [anon_sym_DASH] = ACTIONS(1063),
    [anon_sym_TILDE] = ACTIONS(1061),
    [anon_sym_BANG] = ACTIONS(1061),
    [anon_sym_AT] = ACTIONS(1061),
    [aux_sym_clone_expression_token1] = ACTIONS(1063),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1063),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1063),
    [anon_sym_DASH_DASH] = ACTIONS(1061),
    [anon_sym_PLUS_PLUS] = ACTIONS(1061),
    [aux_sym__list_destructing_token1] = ACTIONS(1063),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_self] = ACTIONS(1063),
    [anon_sym_parent] = ACTIONS(1063),
    [aux_sym__argument_name_token1] = ACTIONS(1063),
    [aux_sym__argument_name_token2] = ACTIONS(1063),
    [anon_sym_POUND_LBRACK] = ACTIONS(1061),
    [aux_sym_encapsed_string_token1] = ACTIONS(1061),
    [anon_sym_DQUOTE] = ACTIONS(1061),
    [aux_sym_string_token1] = ACTIONS(1061),
    [anon_sym_SQUOTE] = ACTIONS(1061),
    [anon_sym_LT_LT_LT] = ACTIONS(1061),
    [anon_sym_BQUOTE] = ACTIONS(1061),
    [anon_sym_DOLLAR] = ACTIONS(1061),
    [aux_sym_yield_expression_token1] = ACTIONS(1063),
    [aux_sym_include_expression_token1] = ACTIONS(1063),
    [aux_sym_include_once_expression_token1] = ACTIONS(1063),
    [aux_sym_require_expression_token1] = ACTIONS(1063),
    [aux_sym_require_once_expression_token1] = ACTIONS(1063),
    [sym_comment] = ACTIONS(3),
  },
  [449] = {
    [ts_builtin_sym_end] = ACTIONS(1075),
    [sym_name] = ACTIONS(1077),
    [anon_sym_QMARK_GT] = ACTIONS(1075),
    [anon_sym_SEMI] = ACTIONS(1075),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1077),
    [aux_sym_global_declaration_token1] = ACTIONS(1077),
    [aux_sym_namespace_definition_token1] = ACTIONS(1077),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1077),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1077),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1077),
    [anon_sym_BSLASH] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1075),
    [anon_sym_RBRACE] = ACTIONS(1075),
    [aux_sym_trait_declaration_token1] = ACTIONS(1077),
    [aux_sym_interface_declaration_token1] = ACTIONS(1077),
    [aux_sym_enum_declaration_token1] = ACTIONS(1077),
    [aux_sym_enum_case_token1] = ACTIONS(1077),
    [aux_sym_class_declaration_token1] = ACTIONS(1077),
    [aux_sym_final_modifier_token1] = ACTIONS(1077),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1077),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1077),
    [sym_var_modifier] = ACTIONS(1077),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1077),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1077),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1077),
    [anon_sym_LPAREN2] = ACTIONS(1075),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1077),
    [aux_sym_cast_type_token1] = ACTIONS(1077),
    [aux_sym_echo_statement_token1] = ACTIONS(1077),
    [aux_sym_exit_statement_token1] = ACTIONS(1077),
    [anon_sym_unset] = ACTIONS(1077),
    [aux_sym_declare_statement_token1] = ACTIONS(1077),
    [aux_sym_declare_statement_token2] = ACTIONS(1077),
    [sym_float] = ACTIONS(1077),
    [aux_sym_try_statement_token1] = ACTIONS(1077),
    [aux_sym_catch_clause_token1] = ACTIONS(1077),
    [aux_sym_finally_clause_token1] = ACTIONS(1077),
    [aux_sym_goto_statement_token1] = ACTIONS(1077),
    [aux_sym_continue_statement_token1] = ACTIONS(1077),
    [aux_sym_break_statement_token1] = ACTIONS(1077),
    [sym_integer] = ACTIONS(1077),
    [aux_sym_return_statement_token1] = ACTIONS(1077),
    [aux_sym_throw_expression_token1] = ACTIONS(1077),
    [aux_sym_while_statement_token1] = ACTIONS(1077),
    [aux_sym_while_statement_token2] = ACTIONS(1077),
    [aux_sym_do_statement_token1] = ACTIONS(1077),
    [aux_sym_for_statement_token1] = ACTIONS(1077),
    [aux_sym_for_statement_token2] = ACTIONS(1077),
    [aux_sym_foreach_statement_token1] = ACTIONS(1077),
    [aux_sym_foreach_statement_token2] = ACTIONS(1077),
    [aux_sym_if_statement_token1] = ACTIONS(1077),
    [aux_sym_if_statement_token2] = ACTIONS(1077),
    [aux_sym_else_if_clause_token1] = ACTIONS(1077),
    [aux_sym_else_clause_token1] = ACTIONS(1077),
    [aux_sym_match_expression_token1] = ACTIONS(1077),
    [aux_sym_match_default_expression_token1] = ACTIONS(1077),
    [aux_sym_switch_statement_token1] = ACTIONS(1077),
    [aux_sym_switch_block_token1] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_TILDE] = ACTIONS(1075),
    [anon_sym_BANG] = ACTIONS(1075),
    [anon_sym_AT] = ACTIONS(1075),
    [aux_sym_clone_expression_token1] = ACTIONS(1077),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1077),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1077),
    [anon_sym_DASH_DASH] = ACTIONS(1075),
    [anon_sym_PLUS_PLUS] = ACTIONS(1075),
    [aux_sym__list_destructing_token1] = ACTIONS(1077),
    [anon_sym_LBRACK] = ACTIONS(1075),
    [anon_sym_self] = ACTIONS(1077),
    [anon_sym_parent] = ACTIONS(1077),
    [aux_sym__argument_name_token1] = ACTIONS(1077),
    [aux_sym__argument_name_token2] = ACTIONS(1077),
    [anon_sym_POUND_LBRACK] = ACTIONS(1075),
    [aux_sym_encapsed_string_token1] = ACTIONS(1075),
    [anon_sym_DQUOTE] = ACTIONS(1075),
    [aux_sym_string_token1] = ACTIONS(1075),
    [anon_sym_SQUOTE] = ACTIONS(1075),
    [anon_sym_LT_LT_LT] = ACTIONS(1075),
    [anon_sym_BQUOTE] = ACTIONS(1075),
    [anon_sym_DOLLAR] = ACTIONS(1075),
    [aux_sym_yield_expression_token1] = ACTIONS(1077),
    [aux_sym_include_expression_token1] = ACTIONS(1077),
    [aux_sym_include_once_expression_token1] = ACTIONS(1077),
    [aux_sym_require_expression_token1] = ACTIONS(1077),
    [aux_sym_require_once_expression_token1] = ACTIONS(1077),
    [sym_comment] = ACTIONS(3),
  },
  [450] = {
    [sym_else_if_clause] = STATE(540),
    [aux_sym_if_statement_repeat1] = STATE(450),
    [ts_builtin_sym_end] = ACTIONS(1079),
    [sym_name] = ACTIONS(1081),
    [anon_sym_QMARK_GT] = ACTIONS(1079),
    [anon_sym_SEMI] = ACTIONS(1079),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1081),
    [aux_sym_global_declaration_token1] = ACTIONS(1081),
    [aux_sym_namespace_definition_token1] = ACTIONS(1081),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1081),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1081),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1081),
    [anon_sym_BSLASH] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym_RBRACE] = ACTIONS(1079),
    [aux_sym_trait_declaration_token1] = ACTIONS(1081),
    [aux_sym_interface_declaration_token1] = ACTIONS(1081),
    [aux_sym_enum_declaration_token1] = ACTIONS(1081),
    [aux_sym_enum_case_token1] = ACTIONS(1081),
    [aux_sym_class_declaration_token1] = ACTIONS(1081),
    [aux_sym_final_modifier_token1] = ACTIONS(1081),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1081),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1081),
    [sym_var_modifier] = ACTIONS(1081),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1081),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1081),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1081),
    [anon_sym_LPAREN2] = ACTIONS(1079),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1081),
    [aux_sym_cast_type_token1] = ACTIONS(1081),
    [aux_sym_echo_statement_token1] = ACTIONS(1081),
    [aux_sym_exit_statement_token1] = ACTIONS(1081),
    [anon_sym_unset] = ACTIONS(1081),
    [aux_sym_declare_statement_token1] = ACTIONS(1081),
    [aux_sym_declare_statement_token2] = ACTIONS(1081),
    [sym_float] = ACTIONS(1081),
    [aux_sym_try_statement_token1] = ACTIONS(1081),
    [aux_sym_goto_statement_token1] = ACTIONS(1081),
    [aux_sym_continue_statement_token1] = ACTIONS(1081),
    [aux_sym_break_statement_token1] = ACTIONS(1081),
    [sym_integer] = ACTIONS(1081),
    [aux_sym_return_statement_token1] = ACTIONS(1081),
    [aux_sym_throw_expression_token1] = ACTIONS(1081),
    [aux_sym_while_statement_token1] = ACTIONS(1081),
    [aux_sym_while_statement_token2] = ACTIONS(1081),
    [aux_sym_do_statement_token1] = ACTIONS(1081),
    [aux_sym_for_statement_token1] = ACTIONS(1081),
    [aux_sym_for_statement_token2] = ACTIONS(1081),
    [aux_sym_foreach_statement_token1] = ACTIONS(1081),
    [aux_sym_foreach_statement_token2] = ACTIONS(1081),
    [aux_sym_if_statement_token1] = ACTIONS(1081),
    [aux_sym_if_statement_token2] = ACTIONS(1081),
    [aux_sym_else_if_clause_token1] = ACTIONS(1083),
    [aux_sym_else_clause_token1] = ACTIONS(1081),
    [aux_sym_match_expression_token1] = ACTIONS(1081),
    [aux_sym_match_default_expression_token1] = ACTIONS(1081),
    [aux_sym_switch_statement_token1] = ACTIONS(1081),
    [aux_sym_switch_block_token1] = ACTIONS(1081),
    [anon_sym_PLUS] = ACTIONS(1081),
    [anon_sym_DASH] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(1079),
    [aux_sym_clone_expression_token1] = ACTIONS(1081),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1081),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1081),
    [anon_sym_DASH_DASH] = ACTIONS(1079),
    [anon_sym_PLUS_PLUS] = ACTIONS(1079),
    [aux_sym__list_destructing_token1] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1079),
    [anon_sym_self] = ACTIONS(1081),
    [anon_sym_parent] = ACTIONS(1081),
    [aux_sym__argument_name_token1] = ACTIONS(1081),
    [aux_sym__argument_name_token2] = ACTIONS(1081),
    [anon_sym_POUND_LBRACK] = ACTIONS(1079),
    [aux_sym_encapsed_string_token1] = ACTIONS(1079),
    [anon_sym_DQUOTE] = ACTIONS(1079),
    [aux_sym_string_token1] = ACTIONS(1079),
    [anon_sym_SQUOTE] = ACTIONS(1079),
    [anon_sym_LT_LT_LT] = ACTIONS(1079),
    [anon_sym_BQUOTE] = ACTIONS(1079),
    [anon_sym_DOLLAR] = ACTIONS(1079),
    [aux_sym_yield_expression_token1] = ACTIONS(1081),
    [aux_sym_include_expression_token1] = ACTIONS(1081),
    [aux_sym_include_once_expression_token1] = ACTIONS(1081),
    [aux_sym_require_expression_token1] = ACTIONS(1081),
    [aux_sym_require_once_expression_token1] = ACTIONS(1081),
    [sym_comment] = ACTIONS(3),
  },
  [451] = {
    [ts_builtin_sym_end] = ACTIONS(1086),
    [sym_name] = ACTIONS(1088),
    [anon_sym_QMARK_GT] = ACTIONS(1086),
    [anon_sym_SEMI] = ACTIONS(1086),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1088),
    [aux_sym_global_declaration_token1] = ACTIONS(1088),
    [aux_sym_namespace_definition_token1] = ACTIONS(1088),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1088),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1088),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1088),
    [anon_sym_BSLASH] = ACTIONS(1086),
    [anon_sym_LBRACE] = ACTIONS(1086),
    [anon_sym_RBRACE] = ACTIONS(1086),
    [aux_sym_trait_declaration_token1] = ACTIONS(1088),
    [aux_sym_interface_declaration_token1] = ACTIONS(1088),
    [aux_sym_enum_declaration_token1] = ACTIONS(1088),
    [aux_sym_enum_case_token1] = ACTIONS(1088),
    [aux_sym_class_declaration_token1] = ACTIONS(1088),
    [aux_sym_final_modifier_token1] = ACTIONS(1088),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1088),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1088),
    [sym_var_modifier] = ACTIONS(1088),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1088),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1088),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1088),
    [anon_sym_LPAREN2] = ACTIONS(1086),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1088),
    [aux_sym_cast_type_token1] = ACTIONS(1088),
    [aux_sym_echo_statement_token1] = ACTIONS(1088),
    [aux_sym_exit_statement_token1] = ACTIONS(1088),
    [anon_sym_unset] = ACTIONS(1088),
    [aux_sym_declare_statement_token1] = ACTIONS(1088),
    [aux_sym_declare_statement_token2] = ACTIONS(1088),
    [sym_float] = ACTIONS(1088),
    [aux_sym_try_statement_token1] = ACTIONS(1088),
    [aux_sym_catch_clause_token1] = ACTIONS(1088),
    [aux_sym_finally_clause_token1] = ACTIONS(1088),
    [aux_sym_goto_statement_token1] = ACTIONS(1088),
    [aux_sym_continue_statement_token1] = ACTIONS(1088),
    [aux_sym_break_statement_token1] = ACTIONS(1088),
    [sym_integer] = ACTIONS(1088),
    [aux_sym_return_statement_token1] = ACTIONS(1088),
    [aux_sym_throw_expression_token1] = ACTIONS(1088),
    [aux_sym_while_statement_token1] = ACTIONS(1088),
    [aux_sym_while_statement_token2] = ACTIONS(1088),
    [aux_sym_do_statement_token1] = ACTIONS(1088),
    [aux_sym_for_statement_token1] = ACTIONS(1088),
    [aux_sym_for_statement_token2] = ACTIONS(1088),
    [aux_sym_foreach_statement_token1] = ACTIONS(1088),
    [aux_sym_foreach_statement_token2] = ACTIONS(1088),
    [aux_sym_if_statement_token1] = ACTIONS(1088),
    [aux_sym_if_statement_token2] = ACTIONS(1088),
    [aux_sym_else_if_clause_token1] = ACTIONS(1088),
    [aux_sym_else_clause_token1] = ACTIONS(1088),
    [aux_sym_match_expression_token1] = ACTIONS(1088),
    [aux_sym_match_default_expression_token1] = ACTIONS(1088),
    [aux_sym_switch_statement_token1] = ACTIONS(1088),
    [aux_sym_switch_block_token1] = ACTIONS(1088),
    [anon_sym_PLUS] = ACTIONS(1088),
    [anon_sym_DASH] = ACTIONS(1088),
    [anon_sym_TILDE] = ACTIONS(1086),
    [anon_sym_BANG] = ACTIONS(1086),
    [anon_sym_AT] = ACTIONS(1086),
    [aux_sym_clone_expression_token1] = ACTIONS(1088),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1088),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1088),
    [anon_sym_DASH_DASH] = ACTIONS(1086),
    [anon_sym_PLUS_PLUS] = ACTIONS(1086),
    [aux_sym__list_destructing_token1] = ACTIONS(1088),
    [anon_sym_LBRACK] = ACTIONS(1086),
    [anon_sym_self] = ACTIONS(1088),
    [anon_sym_parent] = ACTIONS(1088),
    [aux_sym__argument_name_token1] = ACTIONS(1088),
    [aux_sym__argument_name_token2] = ACTIONS(1088),
    [anon_sym_POUND_LBRACK] = ACTIONS(1086),
    [aux_sym_encapsed_string_token1] = ACTIONS(1086),
    [anon_sym_DQUOTE] = ACTIONS(1086),
    [aux_sym_string_token1] = ACTIONS(1086),
    [anon_sym_SQUOTE] = ACTIONS(1086),
    [anon_sym_LT_LT_LT] = ACTIONS(1086),
    [anon_sym_BQUOTE] = ACTIONS(1086),
    [anon_sym_DOLLAR] = ACTIONS(1086),
    [aux_sym_yield_expression_token1] = ACTIONS(1088),
    [aux_sym_include_expression_token1] = ACTIONS(1088),
    [aux_sym_include_once_expression_token1] = ACTIONS(1088),
    [aux_sym_require_expression_token1] = ACTIONS(1088),
    [aux_sym_require_once_expression_token1] = ACTIONS(1088),
    [sym_comment] = ACTIONS(3),
  },
  [452] = {
    [ts_builtin_sym_end] = ACTIONS(1090),
    [sym_name] = ACTIONS(1092),
    [anon_sym_QMARK_GT] = ACTIONS(1090),
    [anon_sym_SEMI] = ACTIONS(1090),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1092),
    [aux_sym_global_declaration_token1] = ACTIONS(1092),
    [aux_sym_namespace_definition_token1] = ACTIONS(1092),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1092),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1092),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1092),
    [anon_sym_BSLASH] = ACTIONS(1090),
    [anon_sym_LBRACE] = ACTIONS(1090),
    [anon_sym_RBRACE] = ACTIONS(1090),
    [aux_sym_trait_declaration_token1] = ACTIONS(1092),
    [aux_sym_interface_declaration_token1] = ACTIONS(1092),
    [aux_sym_enum_declaration_token1] = ACTIONS(1092),
    [aux_sym_enum_case_token1] = ACTIONS(1092),
    [aux_sym_class_declaration_token1] = ACTIONS(1092),
    [aux_sym_final_modifier_token1] = ACTIONS(1092),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1092),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1092),
    [sym_var_modifier] = ACTIONS(1092),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1092),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1092),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1092),
    [anon_sym_LPAREN2] = ACTIONS(1090),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1092),
    [aux_sym_cast_type_token1] = ACTIONS(1092),
    [aux_sym_echo_statement_token1] = ACTIONS(1092),
    [aux_sym_exit_statement_token1] = ACTIONS(1092),
    [anon_sym_unset] = ACTIONS(1092),
    [aux_sym_declare_statement_token1] = ACTIONS(1092),
    [aux_sym_declare_statement_token2] = ACTIONS(1092),
    [sym_float] = ACTIONS(1092),
    [aux_sym_try_statement_token1] = ACTIONS(1092),
    [aux_sym_catch_clause_token1] = ACTIONS(1092),
    [aux_sym_finally_clause_token1] = ACTIONS(1092),
    [aux_sym_goto_statement_token1] = ACTIONS(1092),
    [aux_sym_continue_statement_token1] = ACTIONS(1092),
    [aux_sym_break_statement_token1] = ACTIONS(1092),
    [sym_integer] = ACTIONS(1092),
    [aux_sym_return_statement_token1] = ACTIONS(1092),
    [aux_sym_throw_expression_token1] = ACTIONS(1092),
    [aux_sym_while_statement_token1] = ACTIONS(1092),
    [aux_sym_while_statement_token2] = ACTIONS(1092),
    [aux_sym_do_statement_token1] = ACTIONS(1092),
    [aux_sym_for_statement_token1] = ACTIONS(1092),
    [aux_sym_for_statement_token2] = ACTIONS(1092),
    [aux_sym_foreach_statement_token1] = ACTIONS(1092),
    [aux_sym_foreach_statement_token2] = ACTIONS(1092),
    [aux_sym_if_statement_token1] = ACTIONS(1092),
    [aux_sym_if_statement_token2] = ACTIONS(1092),
    [aux_sym_else_if_clause_token1] = ACTIONS(1092),
    [aux_sym_else_clause_token1] = ACTIONS(1092),
    [aux_sym_match_expression_token1] = ACTIONS(1092),
    [aux_sym_match_default_expression_token1] = ACTIONS(1092),
    [aux_sym_switch_statement_token1] = ACTIONS(1092),
    [aux_sym_switch_block_token1] = ACTIONS(1092),
    [anon_sym_PLUS] = ACTIONS(1092),
    [anon_sym_DASH] = ACTIONS(1092),
    [anon_sym_TILDE] = ACTIONS(1090),
    [anon_sym_BANG] = ACTIONS(1090),
    [anon_sym_AT] = ACTIONS(1090),
    [aux_sym_clone_expression_token1] = ACTIONS(1092),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1092),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1092),
    [anon_sym_DASH_DASH] = ACTIONS(1090),
    [anon_sym_PLUS_PLUS] = ACTIONS(1090),
    [aux_sym__list_destructing_token1] = ACTIONS(1092),
    [anon_sym_LBRACK] = ACTIONS(1090),
    [anon_sym_self] = ACTIONS(1092),
    [anon_sym_parent] = ACTIONS(1092),
    [aux_sym__argument_name_token1] = ACTIONS(1092),
    [aux_sym__argument_name_token2] = ACTIONS(1092),
    [anon_sym_POUND_LBRACK] = ACTIONS(1090),
    [aux_sym_encapsed_string_token1] = ACTIONS(1090),
    [anon_sym_DQUOTE] = ACTIONS(1090),
    [aux_sym_string_token1] = ACTIONS(1090),
    [anon_sym_SQUOTE] = ACTIONS(1090),
    [anon_sym_LT_LT_LT] = ACTIONS(1090),
    [anon_sym_BQUOTE] = ACTIONS(1090),
    [anon_sym_DOLLAR] = ACTIONS(1090),
    [aux_sym_yield_expression_token1] = ACTIONS(1092),
    [aux_sym_include_expression_token1] = ACTIONS(1092),
    [aux_sym_include_once_expression_token1] = ACTIONS(1092),
    [aux_sym_require_expression_token1] = ACTIONS(1092),
    [aux_sym_require_once_expression_token1] = ACTIONS(1092),
    [sym_comment] = ACTIONS(3),
  },
  [453] = {
    [ts_builtin_sym_end] = ACTIONS(1094),
    [sym_name] = ACTIONS(1096),
    [anon_sym_QMARK_GT] = ACTIONS(1094),
    [anon_sym_SEMI] = ACTIONS(1094),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1096),
    [aux_sym_global_declaration_token1] = ACTIONS(1096),
    [aux_sym_namespace_definition_token1] = ACTIONS(1096),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1096),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1096),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1096),
    [anon_sym_BSLASH] = ACTIONS(1094),
    [anon_sym_LBRACE] = ACTIONS(1094),
    [anon_sym_RBRACE] = ACTIONS(1094),
    [aux_sym_trait_declaration_token1] = ACTIONS(1096),
    [aux_sym_interface_declaration_token1] = ACTIONS(1096),
    [aux_sym_enum_declaration_token1] = ACTIONS(1096),
    [aux_sym_enum_case_token1] = ACTIONS(1096),
    [aux_sym_class_declaration_token1] = ACTIONS(1096),
    [aux_sym_final_modifier_token1] = ACTIONS(1096),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1096),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1096),
    [sym_var_modifier] = ACTIONS(1096),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1096),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1096),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1096),
    [anon_sym_LPAREN2] = ACTIONS(1094),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1096),
    [aux_sym_cast_type_token1] = ACTIONS(1096),
    [aux_sym_echo_statement_token1] = ACTIONS(1096),
    [aux_sym_exit_statement_token1] = ACTIONS(1096),
    [anon_sym_unset] = ACTIONS(1096),
    [aux_sym_declare_statement_token1] = ACTIONS(1096),
    [aux_sym_declare_statement_token2] = ACTIONS(1096),
    [sym_float] = ACTIONS(1096),
    [aux_sym_try_statement_token1] = ACTIONS(1096),
    [aux_sym_catch_clause_token1] = ACTIONS(1096),
    [aux_sym_finally_clause_token1] = ACTIONS(1096),
    [aux_sym_goto_statement_token1] = ACTIONS(1096),
    [aux_sym_continue_statement_token1] = ACTIONS(1096),
    [aux_sym_break_statement_token1] = ACTIONS(1096),
    [sym_integer] = ACTIONS(1096),
    [aux_sym_return_statement_token1] = ACTIONS(1096),
    [aux_sym_throw_expression_token1] = ACTIONS(1096),
    [aux_sym_while_statement_token1] = ACTIONS(1096),
    [aux_sym_while_statement_token2] = ACTIONS(1096),
    [aux_sym_do_statement_token1] = ACTIONS(1096),
    [aux_sym_for_statement_token1] = ACTIONS(1096),
    [aux_sym_for_statement_token2] = ACTIONS(1096),
    [aux_sym_foreach_statement_token1] = ACTIONS(1096),
    [aux_sym_foreach_statement_token2] = ACTIONS(1096),
    [aux_sym_if_statement_token1] = ACTIONS(1096),
    [aux_sym_if_statement_token2] = ACTIONS(1096),
    [aux_sym_else_if_clause_token1] = ACTIONS(1096),
    [aux_sym_else_clause_token1] = ACTIONS(1096),
    [aux_sym_match_expression_token1] = ACTIONS(1096),
    [aux_sym_match_default_expression_token1] = ACTIONS(1096),
    [aux_sym_switch_statement_token1] = ACTIONS(1096),
    [aux_sym_switch_block_token1] = ACTIONS(1096),
    [anon_sym_PLUS] = ACTIONS(1096),
    [anon_sym_DASH] = ACTIONS(1096),
    [anon_sym_TILDE] = ACTIONS(1094),
    [anon_sym_BANG] = ACTIONS(1094),
    [anon_sym_AT] = ACTIONS(1094),
    [aux_sym_clone_expression_token1] = ACTIONS(1096),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1096),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1096),
    [anon_sym_DASH_DASH] = ACTIONS(1094),
    [anon_sym_PLUS_PLUS] = ACTIONS(1094),
    [aux_sym__list_destructing_token1] = ACTIONS(1096),
    [anon_sym_LBRACK] = ACTIONS(1094),
    [anon_sym_self] = ACTIONS(1096),
    [anon_sym_parent] = ACTIONS(1096),
    [aux_sym__argument_name_token1] = ACTIONS(1096),
    [aux_sym__argument_name_token2] = ACTIONS(1096),
    [anon_sym_POUND_LBRACK] = ACTIONS(1094),
    [aux_sym_encapsed_string_token1] = ACTIONS(1094),
    [anon_sym_DQUOTE] = ACTIONS(1094),
    [aux_sym_string_token1] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1094),
    [anon_sym_LT_LT_LT] = ACTIONS(1094),
    [anon_sym_BQUOTE] = ACTIONS(1094),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [aux_sym_yield_expression_token1] = ACTIONS(1096),
    [aux_sym_include_expression_token1] = ACTIONS(1096),
    [aux_sym_include_once_expression_token1] = ACTIONS(1096),
    [aux_sym_require_expression_token1] = ACTIONS(1096),
    [aux_sym_require_once_expression_token1] = ACTIONS(1096),
    [sym_comment] = ACTIONS(3),
  },
  [454] = {
    [ts_builtin_sym_end] = ACTIONS(1098),
    [sym_name] = ACTIONS(1100),
    [anon_sym_QMARK_GT] = ACTIONS(1098),
    [anon_sym_SEMI] = ACTIONS(1098),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1100),
    [aux_sym_global_declaration_token1] = ACTIONS(1100),
    [aux_sym_namespace_definition_token1] = ACTIONS(1100),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1100),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1100),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1100),
    [anon_sym_BSLASH] = ACTIONS(1098),
    [anon_sym_LBRACE] = ACTIONS(1098),
    [anon_sym_RBRACE] = ACTIONS(1098),
    [aux_sym_trait_declaration_token1] = ACTIONS(1100),
    [aux_sym_interface_declaration_token1] = ACTIONS(1100),
    [aux_sym_enum_declaration_token1] = ACTIONS(1100),
    [aux_sym_enum_case_token1] = ACTIONS(1100),
    [aux_sym_class_declaration_token1] = ACTIONS(1100),
    [aux_sym_final_modifier_token1] = ACTIONS(1100),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1100),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1100),
    [sym_var_modifier] = ACTIONS(1100),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1100),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1100),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1100),
    [anon_sym_LPAREN2] = ACTIONS(1098),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1100),
    [aux_sym_cast_type_token1] = ACTIONS(1100),
    [aux_sym_echo_statement_token1] = ACTIONS(1100),
    [aux_sym_exit_statement_token1] = ACTIONS(1100),
    [anon_sym_unset] = ACTIONS(1100),
    [aux_sym_declare_statement_token1] = ACTIONS(1100),
    [aux_sym_declare_statement_token2] = ACTIONS(1100),
    [sym_float] = ACTIONS(1100),
    [aux_sym_try_statement_token1] = ACTIONS(1100),
    [aux_sym_catch_clause_token1] = ACTIONS(1100),
    [aux_sym_finally_clause_token1] = ACTIONS(1100),
    [aux_sym_goto_statement_token1] = ACTIONS(1100),
    [aux_sym_continue_statement_token1] = ACTIONS(1100),
    [aux_sym_break_statement_token1] = ACTIONS(1100),
    [sym_integer] = ACTIONS(1100),
    [aux_sym_return_statement_token1] = ACTIONS(1100),
    [aux_sym_throw_expression_token1] = ACTIONS(1100),
    [aux_sym_while_statement_token1] = ACTIONS(1100),
    [aux_sym_while_statement_token2] = ACTIONS(1100),
    [aux_sym_do_statement_token1] = ACTIONS(1100),
    [aux_sym_for_statement_token1] = ACTIONS(1100),
    [aux_sym_for_statement_token2] = ACTIONS(1100),
    [aux_sym_foreach_statement_token1] = ACTIONS(1100),
    [aux_sym_foreach_statement_token2] = ACTIONS(1100),
    [aux_sym_if_statement_token1] = ACTIONS(1100),
    [aux_sym_if_statement_token2] = ACTIONS(1100),
    [aux_sym_else_if_clause_token1] = ACTIONS(1100),
    [aux_sym_else_clause_token1] = ACTIONS(1100),
    [aux_sym_match_expression_token1] = ACTIONS(1100),
    [aux_sym_match_default_expression_token1] = ACTIONS(1100),
    [aux_sym_switch_statement_token1] = ACTIONS(1100),
    [aux_sym_switch_block_token1] = ACTIONS(1100),
    [anon_sym_PLUS] = ACTIONS(1100),
    [anon_sym_DASH] = ACTIONS(1100),
    [anon_sym_TILDE] = ACTIONS(1098),
    [anon_sym_BANG] = ACTIONS(1098),
    [anon_sym_AT] = ACTIONS(1098),
    [aux_sym_clone_expression_token1] = ACTIONS(1100),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1100),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1100),
    [anon_sym_DASH_DASH] = ACTIONS(1098),
    [anon_sym_PLUS_PLUS] = ACTIONS(1098),
    [aux_sym__list_destructing_token1] = ACTIONS(1100),
    [anon_sym_LBRACK] = ACTIONS(1098),
    [anon_sym_self] = ACTIONS(1100),
    [anon_sym_parent] = ACTIONS(1100),
    [aux_sym__argument_name_token1] = ACTIONS(1100),
    [aux_sym__argument_name_token2] = ACTIONS(1100),
    [anon_sym_POUND_LBRACK] = ACTIONS(1098),
    [aux_sym_encapsed_string_token1] = ACTIONS(1098),
    [anon_sym_DQUOTE] = ACTIONS(1098),
    [aux_sym_string_token1] = ACTIONS(1098),
    [anon_sym_SQUOTE] = ACTIONS(1098),
    [anon_sym_LT_LT_LT] = ACTIONS(1098),
    [anon_sym_BQUOTE] = ACTIONS(1098),
    [anon_sym_DOLLAR] = ACTIONS(1098),
    [aux_sym_yield_expression_token1] = ACTIONS(1100),
    [aux_sym_include_expression_token1] = ACTIONS(1100),
    [aux_sym_include_once_expression_token1] = ACTIONS(1100),
    [aux_sym_require_expression_token1] = ACTIONS(1100),
    [aux_sym_require_once_expression_token1] = ACTIONS(1100),
    [sym_comment] = ACTIONS(3),
  },
  [455] = {
    [ts_builtin_sym_end] = ACTIONS(1102),
    [sym_name] = ACTIONS(1104),
    [anon_sym_QMARK_GT] = ACTIONS(1102),
    [anon_sym_SEMI] = ACTIONS(1102),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1104),
    [aux_sym_global_declaration_token1] = ACTIONS(1104),
    [aux_sym_namespace_definition_token1] = ACTIONS(1104),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1104),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1104),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1104),
    [anon_sym_BSLASH] = ACTIONS(1102),
    [anon_sym_LBRACE] = ACTIONS(1102),
    [anon_sym_RBRACE] = ACTIONS(1102),
    [aux_sym_trait_declaration_token1] = ACTIONS(1104),
    [aux_sym_interface_declaration_token1] = ACTIONS(1104),
    [aux_sym_enum_declaration_token1] = ACTIONS(1104),
    [aux_sym_enum_case_token1] = ACTIONS(1104),
    [aux_sym_class_declaration_token1] = ACTIONS(1104),
    [aux_sym_final_modifier_token1] = ACTIONS(1104),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1104),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1104),
    [sym_var_modifier] = ACTIONS(1104),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1104),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1104),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1104),
    [anon_sym_LPAREN2] = ACTIONS(1102),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1104),
    [aux_sym_cast_type_token1] = ACTIONS(1104),
    [aux_sym_echo_statement_token1] = ACTIONS(1104),
    [aux_sym_exit_statement_token1] = ACTIONS(1104),
    [anon_sym_unset] = ACTIONS(1104),
    [aux_sym_declare_statement_token1] = ACTIONS(1104),
    [aux_sym_declare_statement_token2] = ACTIONS(1104),
    [sym_float] = ACTIONS(1104),
    [aux_sym_try_statement_token1] = ACTIONS(1104),
    [aux_sym_goto_statement_token1] = ACTIONS(1104),
    [aux_sym_continue_statement_token1] = ACTIONS(1104),
    [aux_sym_break_statement_token1] = ACTIONS(1104),
    [sym_integer] = ACTIONS(1104),
    [aux_sym_return_statement_token1] = ACTIONS(1104),
    [aux_sym_throw_expression_token1] = ACTIONS(1104),
    [aux_sym_while_statement_token1] = ACTIONS(1104),
    [aux_sym_while_statement_token2] = ACTIONS(1104),
    [aux_sym_do_statement_token1] = ACTIONS(1104),
    [aux_sym_for_statement_token1] = ACTIONS(1104),
    [aux_sym_for_statement_token2] = ACTIONS(1104),
    [aux_sym_foreach_statement_token1] = ACTIONS(1104),
    [aux_sym_foreach_statement_token2] = ACTIONS(1104),
    [aux_sym_if_statement_token1] = ACTIONS(1104),
    [aux_sym_if_statement_token2] = ACTIONS(1104),
    [aux_sym_else_if_clause_token1] = ACTIONS(1104),
    [aux_sym_else_clause_token1] = ACTIONS(1104),
    [aux_sym_match_expression_token1] = ACTIONS(1104),
    [aux_sym_match_default_expression_token1] = ACTIONS(1104),
    [aux_sym_switch_statement_token1] = ACTIONS(1104),
    [aux_sym_switch_block_token1] = ACTIONS(1104),
    [anon_sym_PLUS] = ACTIONS(1104),
    [anon_sym_DASH] = ACTIONS(1104),
    [anon_sym_TILDE] = ACTIONS(1102),
    [anon_sym_BANG] = ACTIONS(1102),
    [anon_sym_AT] = ACTIONS(1102),
    [aux_sym_clone_expression_token1] = ACTIONS(1104),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1104),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1104),
    [anon_sym_DASH_DASH] = ACTIONS(1102),
    [anon_sym_PLUS_PLUS] = ACTIONS(1102),
    [aux_sym__list_destructing_token1] = ACTIONS(1104),
    [anon_sym_LBRACK] = ACTIONS(1102),
    [anon_sym_self] = ACTIONS(1104),
    [anon_sym_parent] = ACTIONS(1104),
    [aux_sym__argument_name_token1] = ACTIONS(1104),
    [aux_sym__argument_name_token2] = ACTIONS(1104),
    [anon_sym_POUND_LBRACK] = ACTIONS(1102),
    [aux_sym_encapsed_string_token1] = ACTIONS(1102),
    [anon_sym_DQUOTE] = ACTIONS(1102),
    [aux_sym_string_token1] = ACTIONS(1102),
    [anon_sym_SQUOTE] = ACTIONS(1102),
    [anon_sym_LT_LT_LT] = ACTIONS(1102),
    [anon_sym_BQUOTE] = ACTIONS(1102),
    [anon_sym_DOLLAR] = ACTIONS(1102),
    [aux_sym_yield_expression_token1] = ACTIONS(1104),
    [aux_sym_include_expression_token1] = ACTIONS(1104),
    [aux_sym_include_once_expression_token1] = ACTIONS(1104),
    [aux_sym_require_expression_token1] = ACTIONS(1104),
    [aux_sym_require_once_expression_token1] = ACTIONS(1104),
    [sym_comment] = ACTIONS(3),
  },
  [456] = {
    [ts_builtin_sym_end] = ACTIONS(1106),
    [sym_name] = ACTIONS(1108),
    [anon_sym_QMARK_GT] = ACTIONS(1106),
    [anon_sym_SEMI] = ACTIONS(1106),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1108),
    [aux_sym_global_declaration_token1] = ACTIONS(1108),
    [aux_sym_namespace_definition_token1] = ACTIONS(1108),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1108),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1108),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1108),
    [anon_sym_BSLASH] = ACTIONS(1106),
    [anon_sym_LBRACE] = ACTIONS(1106),
    [anon_sym_RBRACE] = ACTIONS(1106),
    [aux_sym_trait_declaration_token1] = ACTIONS(1108),
    [aux_sym_interface_declaration_token1] = ACTIONS(1108),
    [aux_sym_enum_declaration_token1] = ACTIONS(1108),
    [aux_sym_enum_case_token1] = ACTIONS(1108),
    [aux_sym_class_declaration_token1] = ACTIONS(1108),
    [aux_sym_final_modifier_token1] = ACTIONS(1108),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1108),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1108),
    [sym_var_modifier] = ACTIONS(1108),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1108),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1108),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1108),
    [anon_sym_LPAREN2] = ACTIONS(1106),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1108),
    [aux_sym_cast_type_token1] = ACTIONS(1108),
    [aux_sym_echo_statement_token1] = ACTIONS(1108),
    [aux_sym_exit_statement_token1] = ACTIONS(1108),
    [anon_sym_unset] = ACTIONS(1108),
    [aux_sym_declare_statement_token1] = ACTIONS(1108),
    [aux_sym_declare_statement_token2] = ACTIONS(1108),
    [sym_float] = ACTIONS(1108),
    [aux_sym_try_statement_token1] = ACTIONS(1108),
    [aux_sym_goto_statement_token1] = ACTIONS(1108),
    [aux_sym_continue_statement_token1] = ACTIONS(1108),
    [aux_sym_break_statement_token1] = ACTIONS(1108),
    [sym_integer] = ACTIONS(1108),
    [aux_sym_return_statement_token1] = ACTIONS(1108),
    [aux_sym_throw_expression_token1] = ACTIONS(1108),
    [aux_sym_while_statement_token1] = ACTIONS(1108),
    [aux_sym_while_statement_token2] = ACTIONS(1108),
    [aux_sym_do_statement_token1] = ACTIONS(1108),
    [aux_sym_for_statement_token1] = ACTIONS(1108),
    [aux_sym_for_statement_token2] = ACTIONS(1108),
    [aux_sym_foreach_statement_token1] = ACTIONS(1108),
    [aux_sym_foreach_statement_token2] = ACTIONS(1108),
    [aux_sym_if_statement_token1] = ACTIONS(1108),
    [aux_sym_if_statement_token2] = ACTIONS(1108),
    [aux_sym_else_if_clause_token1] = ACTIONS(1108),
    [aux_sym_else_clause_token1] = ACTIONS(1108),
    [aux_sym_match_expression_token1] = ACTIONS(1108),
    [aux_sym_match_default_expression_token1] = ACTIONS(1108),
    [aux_sym_switch_statement_token1] = ACTIONS(1108),
    [aux_sym_switch_block_token1] = ACTIONS(1108),
    [anon_sym_PLUS] = ACTIONS(1108),
    [anon_sym_DASH] = ACTIONS(1108),
    [anon_sym_TILDE] = ACTIONS(1106),
    [anon_sym_BANG] = ACTIONS(1106),
    [anon_sym_AT] = ACTIONS(1106),
    [aux_sym_clone_expression_token1] = ACTIONS(1108),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1108),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1108),
    [anon_sym_DASH_DASH] = ACTIONS(1106),
    [anon_sym_PLUS_PLUS] = ACTIONS(1106),
    [aux_sym__list_destructing_token1] = ACTIONS(1108),
    [anon_sym_LBRACK] = ACTIONS(1106),
    [anon_sym_self] = ACTIONS(1108),
    [anon_sym_parent] = ACTIONS(1108),
    [aux_sym__argument_name_token1] = ACTIONS(1108),
    [aux_sym__argument_name_token2] = ACTIONS(1108),
    [anon_sym_POUND_LBRACK] = ACTIONS(1106),
    [aux_sym_encapsed_string_token1] = ACTIONS(1106),
    [anon_sym_DQUOTE] = ACTIONS(1106),
    [aux_sym_string_token1] = ACTIONS(1106),
    [anon_sym_SQUOTE] = ACTIONS(1106),
    [anon_sym_LT_LT_LT] = ACTIONS(1106),
    [anon_sym_BQUOTE] = ACTIONS(1106),
    [anon_sym_DOLLAR] = ACTIONS(1106),
    [aux_sym_yield_expression_token1] = ACTIONS(1108),
    [aux_sym_include_expression_token1] = ACTIONS(1108),
    [aux_sym_include_once_expression_token1] = ACTIONS(1108),
    [aux_sym_require_expression_token1] = ACTIONS(1108),
    [aux_sym_require_once_expression_token1] = ACTIONS(1108),
    [sym_comment] = ACTIONS(3),
  },
  [457] = {
    [ts_builtin_sym_end] = ACTIONS(1110),
    [sym_name] = ACTIONS(1112),
    [anon_sym_QMARK_GT] = ACTIONS(1110),
    [anon_sym_SEMI] = ACTIONS(1110),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1112),
    [aux_sym_global_declaration_token1] = ACTIONS(1112),
    [aux_sym_namespace_definition_token1] = ACTIONS(1112),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1112),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1112),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1110),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_RBRACE] = ACTIONS(1110),
    [aux_sym_trait_declaration_token1] = ACTIONS(1112),
    [aux_sym_interface_declaration_token1] = ACTIONS(1112),
    [aux_sym_enum_declaration_token1] = ACTIONS(1112),
    [aux_sym_enum_case_token1] = ACTIONS(1112),
    [aux_sym_class_declaration_token1] = ACTIONS(1112),
    [aux_sym_final_modifier_token1] = ACTIONS(1112),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1112),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1112),
    [sym_var_modifier] = ACTIONS(1112),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1112),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1112),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1110),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1112),
    [aux_sym_cast_type_token1] = ACTIONS(1112),
    [aux_sym_echo_statement_token1] = ACTIONS(1112),
    [aux_sym_exit_statement_token1] = ACTIONS(1112),
    [anon_sym_unset] = ACTIONS(1112),
    [aux_sym_declare_statement_token1] = ACTIONS(1112),
    [aux_sym_declare_statement_token2] = ACTIONS(1112),
    [sym_float] = ACTIONS(1112),
    [aux_sym_try_statement_token1] = ACTIONS(1112),
    [aux_sym_goto_statement_token1] = ACTIONS(1112),
    [aux_sym_continue_statement_token1] = ACTIONS(1112),
    [aux_sym_break_statement_token1] = ACTIONS(1112),
    [sym_integer] = ACTIONS(1112),
    [aux_sym_return_statement_token1] = ACTIONS(1112),
    [aux_sym_throw_expression_token1] = ACTIONS(1112),
    [aux_sym_while_statement_token1] = ACTIONS(1112),
    [aux_sym_while_statement_token2] = ACTIONS(1112),
    [aux_sym_do_statement_token1] = ACTIONS(1112),
    [aux_sym_for_statement_token1] = ACTIONS(1112),
    [aux_sym_for_statement_token2] = ACTIONS(1112),
    [aux_sym_foreach_statement_token1] = ACTIONS(1112),
    [aux_sym_foreach_statement_token2] = ACTIONS(1112),
    [aux_sym_if_statement_token1] = ACTIONS(1112),
    [aux_sym_if_statement_token2] = ACTIONS(1112),
    [aux_sym_else_if_clause_token1] = ACTIONS(1112),
    [aux_sym_else_clause_token1] = ACTIONS(1112),
    [aux_sym_match_expression_token1] = ACTIONS(1112),
    [aux_sym_match_default_expression_token1] = ACTIONS(1112),
    [aux_sym_switch_statement_token1] = ACTIONS(1112),
    [aux_sym_switch_block_token1] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1110),
    [anon_sym_BANG] = ACTIONS(1110),
    [anon_sym_AT] = ACTIONS(1110),
    [aux_sym_clone_expression_token1] = ACTIONS(1112),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1112),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1110),
    [anon_sym_PLUS_PLUS] = ACTIONS(1110),
    [aux_sym__list_destructing_token1] = ACTIONS(1112),
    [anon_sym_LBRACK] = ACTIONS(1110),
    [anon_sym_self] = ACTIONS(1112),
    [anon_sym_parent] = ACTIONS(1112),
    [aux_sym__argument_name_token1] = ACTIONS(1112),
    [aux_sym__argument_name_token2] = ACTIONS(1112),
    [anon_sym_POUND_LBRACK] = ACTIONS(1110),
    [aux_sym_encapsed_string_token1] = ACTIONS(1110),
    [anon_sym_DQUOTE] = ACTIONS(1110),
    [aux_sym_string_token1] = ACTIONS(1110),
    [anon_sym_SQUOTE] = ACTIONS(1110),
    [anon_sym_LT_LT_LT] = ACTIONS(1110),
    [anon_sym_BQUOTE] = ACTIONS(1110),
    [anon_sym_DOLLAR] = ACTIONS(1110),
    [aux_sym_yield_expression_token1] = ACTIONS(1112),
    [aux_sym_include_expression_token1] = ACTIONS(1112),
    [aux_sym_include_once_expression_token1] = ACTIONS(1112),
    [aux_sym_require_expression_token1] = ACTIONS(1112),
    [aux_sym_require_once_expression_token1] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [458] = {
    [ts_builtin_sym_end] = ACTIONS(1114),
    [sym_name] = ACTIONS(1116),
    [anon_sym_QMARK_GT] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1116),
    [aux_sym_global_declaration_token1] = ACTIONS(1116),
    [aux_sym_namespace_definition_token1] = ACTIONS(1116),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1116),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1116),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1116),
    [anon_sym_BSLASH] = ACTIONS(1114),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_RBRACE] = ACTIONS(1114),
    [aux_sym_trait_declaration_token1] = ACTIONS(1116),
    [aux_sym_interface_declaration_token1] = ACTIONS(1116),
    [aux_sym_enum_declaration_token1] = ACTIONS(1116),
    [aux_sym_enum_case_token1] = ACTIONS(1116),
    [aux_sym_class_declaration_token1] = ACTIONS(1116),
    [aux_sym_final_modifier_token1] = ACTIONS(1116),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1116),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1116),
    [sym_var_modifier] = ACTIONS(1116),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1116),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1116),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1116),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1116),
    [aux_sym_cast_type_token1] = ACTIONS(1116),
    [aux_sym_echo_statement_token1] = ACTIONS(1116),
    [aux_sym_exit_statement_token1] = ACTIONS(1116),
    [anon_sym_unset] = ACTIONS(1116),
    [aux_sym_declare_statement_token1] = ACTIONS(1116),
    [aux_sym_declare_statement_token2] = ACTIONS(1116),
    [sym_float] = ACTIONS(1116),
    [aux_sym_try_statement_token1] = ACTIONS(1116),
    [aux_sym_goto_statement_token1] = ACTIONS(1116),
    [aux_sym_continue_statement_token1] = ACTIONS(1116),
    [aux_sym_break_statement_token1] = ACTIONS(1116),
    [sym_integer] = ACTIONS(1116),
    [aux_sym_return_statement_token1] = ACTIONS(1116),
    [aux_sym_throw_expression_token1] = ACTIONS(1116),
    [aux_sym_while_statement_token1] = ACTIONS(1116),
    [aux_sym_while_statement_token2] = ACTIONS(1116),
    [aux_sym_do_statement_token1] = ACTIONS(1116),
    [aux_sym_for_statement_token1] = ACTIONS(1116),
    [aux_sym_for_statement_token2] = ACTIONS(1116),
    [aux_sym_foreach_statement_token1] = ACTIONS(1116),
    [aux_sym_foreach_statement_token2] = ACTIONS(1116),
    [aux_sym_if_statement_token1] = ACTIONS(1116),
    [aux_sym_if_statement_token2] = ACTIONS(1116),
    [aux_sym_else_if_clause_token1] = ACTIONS(1116),
    [aux_sym_else_clause_token1] = ACTIONS(1116),
    [aux_sym_match_expression_token1] = ACTIONS(1116),
    [aux_sym_match_default_expression_token1] = ACTIONS(1116),
    [aux_sym_switch_statement_token1] = ACTIONS(1116),
    [aux_sym_switch_block_token1] = ACTIONS(1116),
    [anon_sym_PLUS] = ACTIONS(1116),
    [anon_sym_DASH] = ACTIONS(1116),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_AT] = ACTIONS(1114),
    [aux_sym_clone_expression_token1] = ACTIONS(1116),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1116),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1116),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [aux_sym__list_destructing_token1] = ACTIONS(1116),
    [anon_sym_LBRACK] = ACTIONS(1114),
    [anon_sym_self] = ACTIONS(1116),
    [anon_sym_parent] = ACTIONS(1116),
    [aux_sym__argument_name_token1] = ACTIONS(1116),
    [aux_sym__argument_name_token2] = ACTIONS(1116),
    [anon_sym_POUND_LBRACK] = ACTIONS(1114),
    [aux_sym_encapsed_string_token1] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [aux_sym_string_token1] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_LT_LT_LT] = ACTIONS(1114),
    [anon_sym_BQUOTE] = ACTIONS(1114),
    [anon_sym_DOLLAR] = ACTIONS(1114),
    [aux_sym_yield_expression_token1] = ACTIONS(1116),
    [aux_sym_include_expression_token1] = ACTIONS(1116),
    [aux_sym_include_once_expression_token1] = ACTIONS(1116),
    [aux_sym_require_expression_token1] = ACTIONS(1116),
    [aux_sym_require_once_expression_token1] = ACTIONS(1116),
    [sym_comment] = ACTIONS(3),
  },
  [459] = {
    [ts_builtin_sym_end] = ACTIONS(1118),
    [sym_name] = ACTIONS(1120),
    [anon_sym_QMARK_GT] = ACTIONS(1118),
    [anon_sym_SEMI] = ACTIONS(1118),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1120),
    [aux_sym_global_declaration_token1] = ACTIONS(1120),
    [aux_sym_namespace_definition_token1] = ACTIONS(1120),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1120),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1120),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1120),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_LBRACE] = ACTIONS(1118),
    [anon_sym_RBRACE] = ACTIONS(1118),
    [aux_sym_trait_declaration_token1] = ACTIONS(1120),
    [aux_sym_interface_declaration_token1] = ACTIONS(1120),
    [aux_sym_enum_declaration_token1] = ACTIONS(1120),
    [aux_sym_enum_case_token1] = ACTIONS(1120),
    [aux_sym_class_declaration_token1] = ACTIONS(1120),
    [aux_sym_final_modifier_token1] = ACTIONS(1120),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1120),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1120),
    [sym_var_modifier] = ACTIONS(1120),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1120),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1120),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1120),
    [anon_sym_LPAREN2] = ACTIONS(1118),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1120),
    [aux_sym_cast_type_token1] = ACTIONS(1120),
    [aux_sym_echo_statement_token1] = ACTIONS(1120),
    [aux_sym_exit_statement_token1] = ACTIONS(1120),
    [anon_sym_unset] = ACTIONS(1120),
    [aux_sym_declare_statement_token1] = ACTIONS(1120),
    [aux_sym_declare_statement_token2] = ACTIONS(1120),
    [sym_float] = ACTIONS(1120),
    [aux_sym_try_statement_token1] = ACTIONS(1120),
    [aux_sym_goto_statement_token1] = ACTIONS(1120),
    [aux_sym_continue_statement_token1] = ACTIONS(1120),
    [aux_sym_break_statement_token1] = ACTIONS(1120),
    [sym_integer] = ACTIONS(1120),
    [aux_sym_return_statement_token1] = ACTIONS(1120),
    [aux_sym_throw_expression_token1] = ACTIONS(1120),
    [aux_sym_while_statement_token1] = ACTIONS(1120),
    [aux_sym_while_statement_token2] = ACTIONS(1120),
    [aux_sym_do_statement_token1] = ACTIONS(1120),
    [aux_sym_for_statement_token1] = ACTIONS(1120),
    [aux_sym_for_statement_token2] = ACTIONS(1120),
    [aux_sym_foreach_statement_token1] = ACTIONS(1120),
    [aux_sym_foreach_statement_token2] = ACTIONS(1120),
    [aux_sym_if_statement_token1] = ACTIONS(1120),
    [aux_sym_if_statement_token2] = ACTIONS(1120),
    [aux_sym_else_if_clause_token1] = ACTIONS(1120),
    [aux_sym_else_clause_token1] = ACTIONS(1120),
    [aux_sym_match_expression_token1] = ACTIONS(1120),
    [aux_sym_match_default_expression_token1] = ACTIONS(1120),
    [aux_sym_switch_statement_token1] = ACTIONS(1120),
    [aux_sym_switch_block_token1] = ACTIONS(1120),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1118),
    [anon_sym_BANG] = ACTIONS(1118),
    [anon_sym_AT] = ACTIONS(1118),
    [aux_sym_clone_expression_token1] = ACTIONS(1120),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1120),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1120),
    [anon_sym_DASH_DASH] = ACTIONS(1118),
    [anon_sym_PLUS_PLUS] = ACTIONS(1118),
    [aux_sym__list_destructing_token1] = ACTIONS(1120),
    [anon_sym_LBRACK] = ACTIONS(1118),
    [anon_sym_self] = ACTIONS(1120),
    [anon_sym_parent] = ACTIONS(1120),
    [aux_sym__argument_name_token1] = ACTIONS(1120),
    [aux_sym__argument_name_token2] = ACTIONS(1120),
    [anon_sym_POUND_LBRACK] = ACTIONS(1118),
    [aux_sym_encapsed_string_token1] = ACTIONS(1118),
    [anon_sym_DQUOTE] = ACTIONS(1118),
    [aux_sym_string_token1] = ACTIONS(1118),
    [anon_sym_SQUOTE] = ACTIONS(1118),
    [anon_sym_LT_LT_LT] = ACTIONS(1118),
    [anon_sym_BQUOTE] = ACTIONS(1118),
    [anon_sym_DOLLAR] = ACTIONS(1118),
    [aux_sym_yield_expression_token1] = ACTIONS(1120),
    [aux_sym_include_expression_token1] = ACTIONS(1120),
    [aux_sym_include_once_expression_token1] = ACTIONS(1120),
    [aux_sym_require_expression_token1] = ACTIONS(1120),
    [aux_sym_require_once_expression_token1] = ACTIONS(1120),
    [sym_comment] = ACTIONS(3),
  },
  [460] = {
    [ts_builtin_sym_end] = ACTIONS(1122),
    [sym_name] = ACTIONS(1124),
    [anon_sym_QMARK_GT] = ACTIONS(1122),
    [anon_sym_SEMI] = ACTIONS(1122),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1124),
    [aux_sym_global_declaration_token1] = ACTIONS(1124),
    [aux_sym_namespace_definition_token1] = ACTIONS(1124),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1124),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1124),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1124),
    [anon_sym_BSLASH] = ACTIONS(1122),
    [anon_sym_LBRACE] = ACTIONS(1122),
    [anon_sym_RBRACE] = ACTIONS(1122),
    [aux_sym_trait_declaration_token1] = ACTIONS(1124),
    [aux_sym_interface_declaration_token1] = ACTIONS(1124),
    [aux_sym_enum_declaration_token1] = ACTIONS(1124),
    [aux_sym_enum_case_token1] = ACTIONS(1124),
    [aux_sym_class_declaration_token1] = ACTIONS(1124),
    [aux_sym_final_modifier_token1] = ACTIONS(1124),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1124),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1124),
    [sym_var_modifier] = ACTIONS(1124),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1124),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1124),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1124),
    [anon_sym_LPAREN2] = ACTIONS(1122),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1124),
    [aux_sym_cast_type_token1] = ACTIONS(1124),
    [aux_sym_echo_statement_token1] = ACTIONS(1124),
    [aux_sym_exit_statement_token1] = ACTIONS(1124),
    [anon_sym_unset] = ACTIONS(1124),
    [aux_sym_declare_statement_token1] = ACTIONS(1124),
    [aux_sym_declare_statement_token2] = ACTIONS(1124),
    [sym_float] = ACTIONS(1124),
    [aux_sym_try_statement_token1] = ACTIONS(1124),
    [aux_sym_goto_statement_token1] = ACTIONS(1124),
    [aux_sym_continue_statement_token1] = ACTIONS(1124),
    [aux_sym_break_statement_token1] = ACTIONS(1124),
    [sym_integer] = ACTIONS(1124),
    [aux_sym_return_statement_token1] = ACTIONS(1124),
    [aux_sym_throw_expression_token1] = ACTIONS(1124),
    [aux_sym_while_statement_token1] = ACTIONS(1124),
    [aux_sym_while_statement_token2] = ACTIONS(1124),
    [aux_sym_do_statement_token1] = ACTIONS(1124),
    [aux_sym_for_statement_token1] = ACTIONS(1124),
    [aux_sym_for_statement_token2] = ACTIONS(1124),
    [aux_sym_foreach_statement_token1] = ACTIONS(1124),
    [aux_sym_foreach_statement_token2] = ACTIONS(1124),
    [aux_sym_if_statement_token1] = ACTIONS(1124),
    [aux_sym_if_statement_token2] = ACTIONS(1124),
    [aux_sym_else_if_clause_token1] = ACTIONS(1124),
    [aux_sym_else_clause_token1] = ACTIONS(1124),
    [aux_sym_match_expression_token1] = ACTIONS(1124),
    [aux_sym_match_default_expression_token1] = ACTIONS(1124),
    [aux_sym_switch_statement_token1] = ACTIONS(1124),
    [aux_sym_switch_block_token1] = ACTIONS(1124),
    [anon_sym_PLUS] = ACTIONS(1124),
    [anon_sym_DASH] = ACTIONS(1124),
    [anon_sym_TILDE] = ACTIONS(1122),
    [anon_sym_BANG] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(1122),
    [aux_sym_clone_expression_token1] = ACTIONS(1124),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1124),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1124),
    [anon_sym_DASH_DASH] = ACTIONS(1122),
    [anon_sym_PLUS_PLUS] = ACTIONS(1122),
    [aux_sym__list_destructing_token1] = ACTIONS(1124),
    [anon_sym_LBRACK] = ACTIONS(1122),
    [anon_sym_self] = ACTIONS(1124),
    [anon_sym_parent] = ACTIONS(1124),
    [aux_sym__argument_name_token1] = ACTIONS(1124),
    [aux_sym__argument_name_token2] = ACTIONS(1124),
    [anon_sym_POUND_LBRACK] = ACTIONS(1122),
    [aux_sym_encapsed_string_token1] = ACTIONS(1122),
    [anon_sym_DQUOTE] = ACTIONS(1122),
    [aux_sym_string_token1] = ACTIONS(1122),
    [anon_sym_SQUOTE] = ACTIONS(1122),
    [anon_sym_LT_LT_LT] = ACTIONS(1122),
    [anon_sym_BQUOTE] = ACTIONS(1122),
    [anon_sym_DOLLAR] = ACTIONS(1122),
    [aux_sym_yield_expression_token1] = ACTIONS(1124),
    [aux_sym_include_expression_token1] = ACTIONS(1124),
    [aux_sym_include_once_expression_token1] = ACTIONS(1124),
    [aux_sym_require_expression_token1] = ACTIONS(1124),
    [aux_sym_require_once_expression_token1] = ACTIONS(1124),
    [sym_comment] = ACTIONS(3),
  },
  [461] = {
    [ts_builtin_sym_end] = ACTIONS(1126),
    [sym_name] = ACTIONS(1128),
    [anon_sym_QMARK_GT] = ACTIONS(1126),
    [anon_sym_SEMI] = ACTIONS(1126),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1128),
    [aux_sym_global_declaration_token1] = ACTIONS(1128),
    [aux_sym_namespace_definition_token1] = ACTIONS(1128),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1128),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1128),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1128),
    [anon_sym_BSLASH] = ACTIONS(1126),
    [anon_sym_LBRACE] = ACTIONS(1126),
    [anon_sym_RBRACE] = ACTIONS(1126),
    [aux_sym_trait_declaration_token1] = ACTIONS(1128),
    [aux_sym_interface_declaration_token1] = ACTIONS(1128),
    [aux_sym_enum_declaration_token1] = ACTIONS(1128),
    [aux_sym_enum_case_token1] = ACTIONS(1128),
    [aux_sym_class_declaration_token1] = ACTIONS(1128),
    [aux_sym_final_modifier_token1] = ACTIONS(1128),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1128),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1128),
    [sym_var_modifier] = ACTIONS(1128),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1128),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1128),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1128),
    [anon_sym_LPAREN2] = ACTIONS(1126),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1128),
    [aux_sym_cast_type_token1] = ACTIONS(1128),
    [aux_sym_echo_statement_token1] = ACTIONS(1128),
    [aux_sym_exit_statement_token1] = ACTIONS(1128),
    [anon_sym_unset] = ACTIONS(1128),
    [aux_sym_declare_statement_token1] = ACTIONS(1128),
    [aux_sym_declare_statement_token2] = ACTIONS(1128),
    [sym_float] = ACTIONS(1128),
    [aux_sym_try_statement_token1] = ACTIONS(1128),
    [aux_sym_goto_statement_token1] = ACTIONS(1128),
    [aux_sym_continue_statement_token1] = ACTIONS(1128),
    [aux_sym_break_statement_token1] = ACTIONS(1128),
    [sym_integer] = ACTIONS(1128),
    [aux_sym_return_statement_token1] = ACTIONS(1128),
    [aux_sym_throw_expression_token1] = ACTIONS(1128),
    [aux_sym_while_statement_token1] = ACTIONS(1128),
    [aux_sym_while_statement_token2] = ACTIONS(1128),
    [aux_sym_do_statement_token1] = ACTIONS(1128),
    [aux_sym_for_statement_token1] = ACTIONS(1128),
    [aux_sym_for_statement_token2] = ACTIONS(1128),
    [aux_sym_foreach_statement_token1] = ACTIONS(1128),
    [aux_sym_foreach_statement_token2] = ACTIONS(1128),
    [aux_sym_if_statement_token1] = ACTIONS(1128),
    [aux_sym_if_statement_token2] = ACTIONS(1128),
    [aux_sym_else_if_clause_token1] = ACTIONS(1128),
    [aux_sym_else_clause_token1] = ACTIONS(1128),
    [aux_sym_match_expression_token1] = ACTIONS(1128),
    [aux_sym_match_default_expression_token1] = ACTIONS(1128),
    [aux_sym_switch_statement_token1] = ACTIONS(1128),
    [aux_sym_switch_block_token1] = ACTIONS(1128),
    [anon_sym_PLUS] = ACTIONS(1128),
    [anon_sym_DASH] = ACTIONS(1128),
    [anon_sym_TILDE] = ACTIONS(1126),
    [anon_sym_BANG] = ACTIONS(1126),
    [anon_sym_AT] = ACTIONS(1126),
    [aux_sym_clone_expression_token1] = ACTIONS(1128),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1128),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1128),
    [anon_sym_DASH_DASH] = ACTIONS(1126),
    [anon_sym_PLUS_PLUS] = ACTIONS(1126),
    [aux_sym__list_destructing_token1] = ACTIONS(1128),
    [anon_sym_LBRACK] = ACTIONS(1126),
    [anon_sym_self] = ACTIONS(1128),
    [anon_sym_parent] = ACTIONS(1128),
    [aux_sym__argument_name_token1] = ACTIONS(1128),
    [aux_sym__argument_name_token2] = ACTIONS(1128),
    [anon_sym_POUND_LBRACK] = ACTIONS(1126),
    [aux_sym_encapsed_string_token1] = ACTIONS(1126),
    [anon_sym_DQUOTE] = ACTIONS(1126),
    [aux_sym_string_token1] = ACTIONS(1126),
    [anon_sym_SQUOTE] = ACTIONS(1126),
    [anon_sym_LT_LT_LT] = ACTIONS(1126),
    [anon_sym_BQUOTE] = ACTIONS(1126),
    [anon_sym_DOLLAR] = ACTIONS(1126),
    [aux_sym_yield_expression_token1] = ACTIONS(1128),
    [aux_sym_include_expression_token1] = ACTIONS(1128),
    [aux_sym_include_once_expression_token1] = ACTIONS(1128),
    [aux_sym_require_expression_token1] = ACTIONS(1128),
    [aux_sym_require_once_expression_token1] = ACTIONS(1128),
    [sym_comment] = ACTIONS(3),
  },
  [462] = {
    [ts_builtin_sym_end] = ACTIONS(1130),
    [sym_name] = ACTIONS(1132),
    [anon_sym_QMARK_GT] = ACTIONS(1130),
    [anon_sym_SEMI] = ACTIONS(1130),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1132),
    [aux_sym_global_declaration_token1] = ACTIONS(1132),
    [aux_sym_namespace_definition_token1] = ACTIONS(1132),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1132),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1132),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1132),
    [anon_sym_BSLASH] = ACTIONS(1130),
    [anon_sym_LBRACE] = ACTIONS(1130),
    [anon_sym_RBRACE] = ACTIONS(1130),
    [aux_sym_trait_declaration_token1] = ACTIONS(1132),
    [aux_sym_interface_declaration_token1] = ACTIONS(1132),
    [aux_sym_enum_declaration_token1] = ACTIONS(1132),
    [aux_sym_enum_case_token1] = ACTIONS(1132),
    [aux_sym_class_declaration_token1] = ACTIONS(1132),
    [aux_sym_final_modifier_token1] = ACTIONS(1132),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1132),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1132),
    [sym_var_modifier] = ACTIONS(1132),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1132),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1132),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1132),
    [anon_sym_LPAREN2] = ACTIONS(1130),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1132),
    [aux_sym_cast_type_token1] = ACTIONS(1132),
    [aux_sym_echo_statement_token1] = ACTIONS(1132),
    [aux_sym_exit_statement_token1] = ACTIONS(1132),
    [anon_sym_unset] = ACTIONS(1132),
    [aux_sym_declare_statement_token1] = ACTIONS(1132),
    [aux_sym_declare_statement_token2] = ACTIONS(1132),
    [sym_float] = ACTIONS(1132),
    [aux_sym_try_statement_token1] = ACTIONS(1132),
    [aux_sym_goto_statement_token1] = ACTIONS(1132),
    [aux_sym_continue_statement_token1] = ACTIONS(1132),
    [aux_sym_break_statement_token1] = ACTIONS(1132),
    [sym_integer] = ACTIONS(1132),
    [aux_sym_return_statement_token1] = ACTIONS(1132),
    [aux_sym_throw_expression_token1] = ACTIONS(1132),
    [aux_sym_while_statement_token1] = ACTIONS(1132),
    [aux_sym_while_statement_token2] = ACTIONS(1132),
    [aux_sym_do_statement_token1] = ACTIONS(1132),
    [aux_sym_for_statement_token1] = ACTIONS(1132),
    [aux_sym_for_statement_token2] = ACTIONS(1132),
    [aux_sym_foreach_statement_token1] = ACTIONS(1132),
    [aux_sym_foreach_statement_token2] = ACTIONS(1132),
    [aux_sym_if_statement_token1] = ACTIONS(1132),
    [aux_sym_if_statement_token2] = ACTIONS(1132),
    [aux_sym_else_if_clause_token1] = ACTIONS(1132),
    [aux_sym_else_clause_token1] = ACTIONS(1132),
    [aux_sym_match_expression_token1] = ACTIONS(1132),
    [aux_sym_match_default_expression_token1] = ACTIONS(1132),
    [aux_sym_switch_statement_token1] = ACTIONS(1132),
    [aux_sym_switch_block_token1] = ACTIONS(1132),
    [anon_sym_PLUS] = ACTIONS(1132),
    [anon_sym_DASH] = ACTIONS(1132),
    [anon_sym_TILDE] = ACTIONS(1130),
    [anon_sym_BANG] = ACTIONS(1130),
    [anon_sym_AT] = ACTIONS(1130),
    [aux_sym_clone_expression_token1] = ACTIONS(1132),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1132),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1132),
    [anon_sym_DASH_DASH] = ACTIONS(1130),
    [anon_sym_PLUS_PLUS] = ACTIONS(1130),
    [aux_sym__list_destructing_token1] = ACTIONS(1132),
    [anon_sym_LBRACK] = ACTIONS(1130),
    [anon_sym_self] = ACTIONS(1132),
    [anon_sym_parent] = ACTIONS(1132),
    [aux_sym__argument_name_token1] = ACTIONS(1132),
    [aux_sym__argument_name_token2] = ACTIONS(1132),
    [anon_sym_POUND_LBRACK] = ACTIONS(1130),
    [aux_sym_encapsed_string_token1] = ACTIONS(1130),
    [anon_sym_DQUOTE] = ACTIONS(1130),
    [aux_sym_string_token1] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1130),
    [anon_sym_LT_LT_LT] = ACTIONS(1130),
    [anon_sym_BQUOTE] = ACTIONS(1130),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [aux_sym_yield_expression_token1] = ACTIONS(1132),
    [aux_sym_include_expression_token1] = ACTIONS(1132),
    [aux_sym_include_once_expression_token1] = ACTIONS(1132),
    [aux_sym_require_expression_token1] = ACTIONS(1132),
    [aux_sym_require_once_expression_token1] = ACTIONS(1132),
    [sym_comment] = ACTIONS(3),
  },
  [463] = {
    [ts_builtin_sym_end] = ACTIONS(1134),
    [sym_name] = ACTIONS(1136),
    [anon_sym_QMARK_GT] = ACTIONS(1134),
    [anon_sym_SEMI] = ACTIONS(1134),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1136),
    [aux_sym_global_declaration_token1] = ACTIONS(1136),
    [aux_sym_namespace_definition_token1] = ACTIONS(1136),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1136),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1136),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1136),
    [anon_sym_BSLASH] = ACTIONS(1134),
    [anon_sym_LBRACE] = ACTIONS(1134),
    [anon_sym_RBRACE] = ACTIONS(1134),
    [aux_sym_trait_declaration_token1] = ACTIONS(1136),
    [aux_sym_interface_declaration_token1] = ACTIONS(1136),
    [aux_sym_enum_declaration_token1] = ACTIONS(1136),
    [aux_sym_enum_case_token1] = ACTIONS(1136),
    [aux_sym_class_declaration_token1] = ACTIONS(1136),
    [aux_sym_final_modifier_token1] = ACTIONS(1136),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1136),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1136),
    [sym_var_modifier] = ACTIONS(1136),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1136),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1136),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1136),
    [anon_sym_LPAREN2] = ACTIONS(1134),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1136),
    [aux_sym_cast_type_token1] = ACTIONS(1136),
    [aux_sym_echo_statement_token1] = ACTIONS(1136),
    [aux_sym_exit_statement_token1] = ACTIONS(1136),
    [anon_sym_unset] = ACTIONS(1136),
    [aux_sym_declare_statement_token1] = ACTIONS(1136),
    [aux_sym_declare_statement_token2] = ACTIONS(1136),
    [sym_float] = ACTIONS(1136),
    [aux_sym_try_statement_token1] = ACTIONS(1136),
    [aux_sym_goto_statement_token1] = ACTIONS(1136),
    [aux_sym_continue_statement_token1] = ACTIONS(1136),
    [aux_sym_break_statement_token1] = ACTIONS(1136),
    [sym_integer] = ACTIONS(1136),
    [aux_sym_return_statement_token1] = ACTIONS(1136),
    [aux_sym_throw_expression_token1] = ACTIONS(1136),
    [aux_sym_while_statement_token1] = ACTIONS(1136),
    [aux_sym_while_statement_token2] = ACTIONS(1136),
    [aux_sym_do_statement_token1] = ACTIONS(1136),
    [aux_sym_for_statement_token1] = ACTIONS(1136),
    [aux_sym_for_statement_token2] = ACTIONS(1136),
    [aux_sym_foreach_statement_token1] = ACTIONS(1136),
    [aux_sym_foreach_statement_token2] = ACTIONS(1136),
    [aux_sym_if_statement_token1] = ACTIONS(1136),
    [aux_sym_if_statement_token2] = ACTIONS(1136),
    [aux_sym_else_if_clause_token1] = ACTIONS(1136),
    [aux_sym_else_clause_token1] = ACTIONS(1136),
    [aux_sym_match_expression_token1] = ACTIONS(1136),
    [aux_sym_match_default_expression_token1] = ACTIONS(1136),
    [aux_sym_switch_statement_token1] = ACTIONS(1136),
    [aux_sym_switch_block_token1] = ACTIONS(1136),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_BANG] = ACTIONS(1134),
    [anon_sym_AT] = ACTIONS(1134),
    [aux_sym_clone_expression_token1] = ACTIONS(1136),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1136),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1136),
    [anon_sym_DASH_DASH] = ACTIONS(1134),
    [anon_sym_PLUS_PLUS] = ACTIONS(1134),
    [aux_sym__list_destructing_token1] = ACTIONS(1136),
    [anon_sym_LBRACK] = ACTIONS(1134),
    [anon_sym_self] = ACTIONS(1136),
    [anon_sym_parent] = ACTIONS(1136),
    [aux_sym__argument_name_token1] = ACTIONS(1136),
    [aux_sym__argument_name_token2] = ACTIONS(1136),
    [anon_sym_POUND_LBRACK] = ACTIONS(1134),
    [aux_sym_encapsed_string_token1] = ACTIONS(1134),
    [anon_sym_DQUOTE] = ACTIONS(1134),
    [aux_sym_string_token1] = ACTIONS(1134),
    [anon_sym_SQUOTE] = ACTIONS(1134),
    [anon_sym_LT_LT_LT] = ACTIONS(1134),
    [anon_sym_BQUOTE] = ACTIONS(1134),
    [anon_sym_DOLLAR] = ACTIONS(1134),
    [aux_sym_yield_expression_token1] = ACTIONS(1136),
    [aux_sym_include_expression_token1] = ACTIONS(1136),
    [aux_sym_include_once_expression_token1] = ACTIONS(1136),
    [aux_sym_require_expression_token1] = ACTIONS(1136),
    [aux_sym_require_once_expression_token1] = ACTIONS(1136),
    [sym_comment] = ACTIONS(3),
  },
  [464] = {
    [ts_builtin_sym_end] = ACTIONS(1138),
    [sym_name] = ACTIONS(1140),
    [anon_sym_QMARK_GT] = ACTIONS(1138),
    [anon_sym_SEMI] = ACTIONS(1138),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1140),
    [aux_sym_global_declaration_token1] = ACTIONS(1140),
    [aux_sym_namespace_definition_token1] = ACTIONS(1140),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1140),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1140),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1140),
    [anon_sym_BSLASH] = ACTIONS(1138),
    [anon_sym_LBRACE] = ACTIONS(1138),
    [anon_sym_RBRACE] = ACTIONS(1138),
    [aux_sym_trait_declaration_token1] = ACTIONS(1140),
    [aux_sym_interface_declaration_token1] = ACTIONS(1140),
    [aux_sym_enum_declaration_token1] = ACTIONS(1140),
    [aux_sym_enum_case_token1] = ACTIONS(1140),
    [aux_sym_class_declaration_token1] = ACTIONS(1140),
    [aux_sym_final_modifier_token1] = ACTIONS(1140),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1140),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1140),
    [sym_var_modifier] = ACTIONS(1140),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1140),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1140),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1140),
    [anon_sym_LPAREN2] = ACTIONS(1138),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1140),
    [aux_sym_cast_type_token1] = ACTIONS(1140),
    [aux_sym_echo_statement_token1] = ACTIONS(1140),
    [aux_sym_exit_statement_token1] = ACTIONS(1140),
    [anon_sym_unset] = ACTIONS(1140),
    [aux_sym_declare_statement_token1] = ACTIONS(1140),
    [aux_sym_declare_statement_token2] = ACTIONS(1140),
    [sym_float] = ACTIONS(1140),
    [aux_sym_try_statement_token1] = ACTIONS(1140),
    [aux_sym_goto_statement_token1] = ACTIONS(1140),
    [aux_sym_continue_statement_token1] = ACTIONS(1140),
    [aux_sym_break_statement_token1] = ACTIONS(1140),
    [sym_integer] = ACTIONS(1140),
    [aux_sym_return_statement_token1] = ACTIONS(1140),
    [aux_sym_throw_expression_token1] = ACTIONS(1140),
    [aux_sym_while_statement_token1] = ACTIONS(1140),
    [aux_sym_while_statement_token2] = ACTIONS(1140),
    [aux_sym_do_statement_token1] = ACTIONS(1140),
    [aux_sym_for_statement_token1] = ACTIONS(1140),
    [aux_sym_for_statement_token2] = ACTIONS(1140),
    [aux_sym_foreach_statement_token1] = ACTIONS(1140),
    [aux_sym_foreach_statement_token2] = ACTIONS(1140),
    [aux_sym_if_statement_token1] = ACTIONS(1140),
    [aux_sym_if_statement_token2] = ACTIONS(1140),
    [aux_sym_else_if_clause_token1] = ACTIONS(1140),
    [aux_sym_else_clause_token1] = ACTIONS(1140),
    [aux_sym_match_expression_token1] = ACTIONS(1140),
    [aux_sym_match_default_expression_token1] = ACTIONS(1140),
    [aux_sym_switch_statement_token1] = ACTIONS(1140),
    [aux_sym_switch_block_token1] = ACTIONS(1140),
    [anon_sym_PLUS] = ACTIONS(1140),
    [anon_sym_DASH] = ACTIONS(1140),
    [anon_sym_TILDE] = ACTIONS(1138),
    [anon_sym_BANG] = ACTIONS(1138),
    [anon_sym_AT] = ACTIONS(1138),
    [aux_sym_clone_expression_token1] = ACTIONS(1140),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1140),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1140),
    [anon_sym_DASH_DASH] = ACTIONS(1138),
    [anon_sym_PLUS_PLUS] = ACTIONS(1138),
    [aux_sym__list_destructing_token1] = ACTIONS(1140),
    [anon_sym_LBRACK] = ACTIONS(1138),
    [anon_sym_self] = ACTIONS(1140),
    [anon_sym_parent] = ACTIONS(1140),
    [aux_sym__argument_name_token1] = ACTIONS(1140),
    [aux_sym__argument_name_token2] = ACTIONS(1140),
    [anon_sym_POUND_LBRACK] = ACTIONS(1138),
    [aux_sym_encapsed_string_token1] = ACTIONS(1138),
    [anon_sym_DQUOTE] = ACTIONS(1138),
    [aux_sym_string_token1] = ACTIONS(1138),
    [anon_sym_SQUOTE] = ACTIONS(1138),
    [anon_sym_LT_LT_LT] = ACTIONS(1138),
    [anon_sym_BQUOTE] = ACTIONS(1138),
    [anon_sym_DOLLAR] = ACTIONS(1138),
    [aux_sym_yield_expression_token1] = ACTIONS(1140),
    [aux_sym_include_expression_token1] = ACTIONS(1140),
    [aux_sym_include_once_expression_token1] = ACTIONS(1140),
    [aux_sym_require_expression_token1] = ACTIONS(1140),
    [aux_sym_require_once_expression_token1] = ACTIONS(1140),
    [sym_comment] = ACTIONS(3),
  },
  [465] = {
    [ts_builtin_sym_end] = ACTIONS(1142),
    [sym_name] = ACTIONS(1144),
    [anon_sym_QMARK_GT] = ACTIONS(1142),
    [anon_sym_SEMI] = ACTIONS(1142),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1144),
    [aux_sym_global_declaration_token1] = ACTIONS(1144),
    [aux_sym_namespace_definition_token1] = ACTIONS(1144),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1144),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1144),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1144),
    [anon_sym_BSLASH] = ACTIONS(1142),
    [anon_sym_LBRACE] = ACTIONS(1142),
    [anon_sym_RBRACE] = ACTIONS(1142),
    [aux_sym_trait_declaration_token1] = ACTIONS(1144),
    [aux_sym_interface_declaration_token1] = ACTIONS(1144),
    [aux_sym_enum_declaration_token1] = ACTIONS(1144),
    [aux_sym_enum_case_token1] = ACTIONS(1144),
    [aux_sym_class_declaration_token1] = ACTIONS(1144),
    [aux_sym_final_modifier_token1] = ACTIONS(1144),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1144),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1144),
    [sym_var_modifier] = ACTIONS(1144),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1144),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1144),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1144),
    [anon_sym_LPAREN2] = ACTIONS(1142),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1144),
    [aux_sym_cast_type_token1] = ACTIONS(1144),
    [aux_sym_echo_statement_token1] = ACTIONS(1144),
    [aux_sym_exit_statement_token1] = ACTIONS(1144),
    [anon_sym_unset] = ACTIONS(1144),
    [aux_sym_declare_statement_token1] = ACTIONS(1144),
    [aux_sym_declare_statement_token2] = ACTIONS(1144),
    [sym_float] = ACTIONS(1144),
    [aux_sym_try_statement_token1] = ACTIONS(1144),
    [aux_sym_goto_statement_token1] = ACTIONS(1144),
    [aux_sym_continue_statement_token1] = ACTIONS(1144),
    [aux_sym_break_statement_token1] = ACTIONS(1144),
    [sym_integer] = ACTIONS(1144),
    [aux_sym_return_statement_token1] = ACTIONS(1144),
    [aux_sym_throw_expression_token1] = ACTIONS(1144),
    [aux_sym_while_statement_token1] = ACTIONS(1144),
    [aux_sym_while_statement_token2] = ACTIONS(1144),
    [aux_sym_do_statement_token1] = ACTIONS(1144),
    [aux_sym_for_statement_token1] = ACTIONS(1144),
    [aux_sym_for_statement_token2] = ACTIONS(1144),
    [aux_sym_foreach_statement_token1] = ACTIONS(1144),
    [aux_sym_foreach_statement_token2] = ACTIONS(1144),
    [aux_sym_if_statement_token1] = ACTIONS(1144),
    [aux_sym_if_statement_token2] = ACTIONS(1144),
    [aux_sym_else_if_clause_token1] = ACTIONS(1144),
    [aux_sym_else_clause_token1] = ACTIONS(1144),
    [aux_sym_match_expression_token1] = ACTIONS(1144),
    [aux_sym_match_default_expression_token1] = ACTIONS(1144),
    [aux_sym_switch_statement_token1] = ACTIONS(1144),
    [aux_sym_switch_block_token1] = ACTIONS(1144),
    [anon_sym_PLUS] = ACTIONS(1144),
    [anon_sym_DASH] = ACTIONS(1144),
    [anon_sym_TILDE] = ACTIONS(1142),
    [anon_sym_BANG] = ACTIONS(1142),
    [anon_sym_AT] = ACTIONS(1142),
    [aux_sym_clone_expression_token1] = ACTIONS(1144),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1144),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1144),
    [anon_sym_DASH_DASH] = ACTIONS(1142),
    [anon_sym_PLUS_PLUS] = ACTIONS(1142),
    [aux_sym__list_destructing_token1] = ACTIONS(1144),
    [anon_sym_LBRACK] = ACTIONS(1142),
    [anon_sym_self] = ACTIONS(1144),
    [anon_sym_parent] = ACTIONS(1144),
    [aux_sym__argument_name_token1] = ACTIONS(1144),
    [aux_sym__argument_name_token2] = ACTIONS(1144),
    [anon_sym_POUND_LBRACK] = ACTIONS(1142),
    [aux_sym_encapsed_string_token1] = ACTIONS(1142),
    [anon_sym_DQUOTE] = ACTIONS(1142),
    [aux_sym_string_token1] = ACTIONS(1142),
    [anon_sym_SQUOTE] = ACTIONS(1142),
    [anon_sym_LT_LT_LT] = ACTIONS(1142),
    [anon_sym_BQUOTE] = ACTIONS(1142),
    [anon_sym_DOLLAR] = ACTIONS(1142),
    [aux_sym_yield_expression_token1] = ACTIONS(1144),
    [aux_sym_include_expression_token1] = ACTIONS(1144),
    [aux_sym_include_once_expression_token1] = ACTIONS(1144),
    [aux_sym_require_expression_token1] = ACTIONS(1144),
    [aux_sym_require_once_expression_token1] = ACTIONS(1144),
    [sym_comment] = ACTIONS(3),
  },
  [466] = {
    [ts_builtin_sym_end] = ACTIONS(1146),
    [sym_name] = ACTIONS(1148),
    [anon_sym_QMARK_GT] = ACTIONS(1146),
    [anon_sym_SEMI] = ACTIONS(1146),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1148),
    [aux_sym_global_declaration_token1] = ACTIONS(1148),
    [aux_sym_namespace_definition_token1] = ACTIONS(1148),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1148),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1148),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1148),
    [anon_sym_BSLASH] = ACTIONS(1146),
    [anon_sym_LBRACE] = ACTIONS(1146),
    [anon_sym_RBRACE] = ACTIONS(1146),
    [aux_sym_trait_declaration_token1] = ACTIONS(1148),
    [aux_sym_interface_declaration_token1] = ACTIONS(1148),
    [aux_sym_enum_declaration_token1] = ACTIONS(1148),
    [aux_sym_enum_case_token1] = ACTIONS(1148),
    [aux_sym_class_declaration_token1] = ACTIONS(1148),
    [aux_sym_final_modifier_token1] = ACTIONS(1148),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1148),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1148),
    [sym_var_modifier] = ACTIONS(1148),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1148),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1148),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1148),
    [anon_sym_LPAREN2] = ACTIONS(1146),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1148),
    [aux_sym_cast_type_token1] = ACTIONS(1148),
    [aux_sym_echo_statement_token1] = ACTIONS(1148),
    [aux_sym_exit_statement_token1] = ACTIONS(1148),
    [anon_sym_unset] = ACTIONS(1148),
    [aux_sym_declare_statement_token1] = ACTIONS(1148),
    [aux_sym_declare_statement_token2] = ACTIONS(1148),
    [sym_float] = ACTIONS(1148),
    [aux_sym_try_statement_token1] = ACTIONS(1148),
    [aux_sym_goto_statement_token1] = ACTIONS(1148),
    [aux_sym_continue_statement_token1] = ACTIONS(1148),
    [aux_sym_break_statement_token1] = ACTIONS(1148),
    [sym_integer] = ACTIONS(1148),
    [aux_sym_return_statement_token1] = ACTIONS(1148),
    [aux_sym_throw_expression_token1] = ACTIONS(1148),
    [aux_sym_while_statement_token1] = ACTIONS(1148),
    [aux_sym_while_statement_token2] = ACTIONS(1148),
    [aux_sym_do_statement_token1] = ACTIONS(1148),
    [aux_sym_for_statement_token1] = ACTIONS(1148),
    [aux_sym_for_statement_token2] = ACTIONS(1148),
    [aux_sym_foreach_statement_token1] = ACTIONS(1148),
    [aux_sym_foreach_statement_token2] = ACTIONS(1148),
    [aux_sym_if_statement_token1] = ACTIONS(1148),
    [aux_sym_if_statement_token2] = ACTIONS(1148),
    [aux_sym_else_if_clause_token1] = ACTIONS(1148),
    [aux_sym_else_clause_token1] = ACTIONS(1148),
    [aux_sym_match_expression_token1] = ACTIONS(1148),
    [aux_sym_match_default_expression_token1] = ACTIONS(1148),
    [aux_sym_switch_statement_token1] = ACTIONS(1148),
    [aux_sym_switch_block_token1] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1148),
    [anon_sym_DASH] = ACTIONS(1148),
    [anon_sym_TILDE] = ACTIONS(1146),
    [anon_sym_BANG] = ACTIONS(1146),
    [anon_sym_AT] = ACTIONS(1146),
    [aux_sym_clone_expression_token1] = ACTIONS(1148),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1148),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1148),
    [anon_sym_DASH_DASH] = ACTIONS(1146),
    [anon_sym_PLUS_PLUS] = ACTIONS(1146),
    [aux_sym__list_destructing_token1] = ACTIONS(1148),
    [anon_sym_LBRACK] = ACTIONS(1146),
    [anon_sym_self] = ACTIONS(1148),
    [anon_sym_parent] = ACTIONS(1148),
    [aux_sym__argument_name_token1] = ACTIONS(1148),
    [aux_sym__argument_name_token2] = ACTIONS(1148),
    [anon_sym_POUND_LBRACK] = ACTIONS(1146),
    [aux_sym_encapsed_string_token1] = ACTIONS(1146),
    [anon_sym_DQUOTE] = ACTIONS(1146),
    [aux_sym_string_token1] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1146),
    [anon_sym_LT_LT_LT] = ACTIONS(1146),
    [anon_sym_BQUOTE] = ACTIONS(1146),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [aux_sym_yield_expression_token1] = ACTIONS(1148),
    [aux_sym_include_expression_token1] = ACTIONS(1148),
    [aux_sym_include_once_expression_token1] = ACTIONS(1148),
    [aux_sym_require_expression_token1] = ACTIONS(1148),
    [aux_sym_require_once_expression_token1] = ACTIONS(1148),
    [sym_comment] = ACTIONS(3),
  },
  [467] = {
    [ts_builtin_sym_end] = ACTIONS(1150),
    [sym_name] = ACTIONS(1152),
    [anon_sym_QMARK_GT] = ACTIONS(1150),
    [anon_sym_SEMI] = ACTIONS(1150),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1152),
    [aux_sym_global_declaration_token1] = ACTIONS(1152),
    [aux_sym_namespace_definition_token1] = ACTIONS(1152),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1152),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1152),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1152),
    [anon_sym_BSLASH] = ACTIONS(1150),
    [anon_sym_LBRACE] = ACTIONS(1150),
    [anon_sym_RBRACE] = ACTIONS(1150),
    [aux_sym_trait_declaration_token1] = ACTIONS(1152),
    [aux_sym_interface_declaration_token1] = ACTIONS(1152),
    [aux_sym_enum_declaration_token1] = ACTIONS(1152),
    [aux_sym_enum_case_token1] = ACTIONS(1152),
    [aux_sym_class_declaration_token1] = ACTIONS(1152),
    [aux_sym_final_modifier_token1] = ACTIONS(1152),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1152),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1152),
    [sym_var_modifier] = ACTIONS(1152),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1152),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1152),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1152),
    [anon_sym_LPAREN2] = ACTIONS(1150),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1152),
    [aux_sym_cast_type_token1] = ACTIONS(1152),
    [aux_sym_echo_statement_token1] = ACTIONS(1152),
    [aux_sym_exit_statement_token1] = ACTIONS(1152),
    [anon_sym_unset] = ACTIONS(1152),
    [aux_sym_declare_statement_token1] = ACTIONS(1152),
    [aux_sym_declare_statement_token2] = ACTIONS(1152),
    [sym_float] = ACTIONS(1152),
    [aux_sym_try_statement_token1] = ACTIONS(1152),
    [aux_sym_goto_statement_token1] = ACTIONS(1152),
    [aux_sym_continue_statement_token1] = ACTIONS(1152),
    [aux_sym_break_statement_token1] = ACTIONS(1152),
    [sym_integer] = ACTIONS(1152),
    [aux_sym_return_statement_token1] = ACTIONS(1152),
    [aux_sym_throw_expression_token1] = ACTIONS(1152),
    [aux_sym_while_statement_token1] = ACTIONS(1152),
    [aux_sym_while_statement_token2] = ACTIONS(1152),
    [aux_sym_do_statement_token1] = ACTIONS(1152),
    [aux_sym_for_statement_token1] = ACTIONS(1152),
    [aux_sym_for_statement_token2] = ACTIONS(1152),
    [aux_sym_foreach_statement_token1] = ACTIONS(1152),
    [aux_sym_foreach_statement_token2] = ACTIONS(1152),
    [aux_sym_if_statement_token1] = ACTIONS(1152),
    [aux_sym_if_statement_token2] = ACTIONS(1152),
    [aux_sym_else_if_clause_token1] = ACTIONS(1152),
    [aux_sym_else_clause_token1] = ACTIONS(1152),
    [aux_sym_match_expression_token1] = ACTIONS(1152),
    [aux_sym_match_default_expression_token1] = ACTIONS(1152),
    [aux_sym_switch_statement_token1] = ACTIONS(1152),
    [aux_sym_switch_block_token1] = ACTIONS(1152),
    [anon_sym_PLUS] = ACTIONS(1152),
    [anon_sym_DASH] = ACTIONS(1152),
    [anon_sym_TILDE] = ACTIONS(1150),
    [anon_sym_BANG] = ACTIONS(1150),
    [anon_sym_AT] = ACTIONS(1150),
    [aux_sym_clone_expression_token1] = ACTIONS(1152),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1152),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1152),
    [anon_sym_DASH_DASH] = ACTIONS(1150),
    [anon_sym_PLUS_PLUS] = ACTIONS(1150),
    [aux_sym__list_destructing_token1] = ACTIONS(1152),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_self] = ACTIONS(1152),
    [anon_sym_parent] = ACTIONS(1152),
    [aux_sym__argument_name_token1] = ACTIONS(1152),
    [aux_sym__argument_name_token2] = ACTIONS(1152),
    [anon_sym_POUND_LBRACK] = ACTIONS(1150),
    [aux_sym_encapsed_string_token1] = ACTIONS(1150),
    [anon_sym_DQUOTE] = ACTIONS(1150),
    [aux_sym_string_token1] = ACTIONS(1150),
    [anon_sym_SQUOTE] = ACTIONS(1150),
    [anon_sym_LT_LT_LT] = ACTIONS(1150),
    [anon_sym_BQUOTE] = ACTIONS(1150),
    [anon_sym_DOLLAR] = ACTIONS(1150),
    [aux_sym_yield_expression_token1] = ACTIONS(1152),
    [aux_sym_include_expression_token1] = ACTIONS(1152),
    [aux_sym_include_once_expression_token1] = ACTIONS(1152),
    [aux_sym_require_expression_token1] = ACTIONS(1152),
    [aux_sym_require_once_expression_token1] = ACTIONS(1152),
    [sym_comment] = ACTIONS(3),
  },
  [468] = {
    [ts_builtin_sym_end] = ACTIONS(1154),
    [sym_name] = ACTIONS(1156),
    [anon_sym_QMARK_GT] = ACTIONS(1154),
    [anon_sym_SEMI] = ACTIONS(1154),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1156),
    [aux_sym_global_declaration_token1] = ACTIONS(1156),
    [aux_sym_namespace_definition_token1] = ACTIONS(1156),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1156),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1156),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1156),
    [anon_sym_BSLASH] = ACTIONS(1154),
    [anon_sym_LBRACE] = ACTIONS(1154),
    [anon_sym_RBRACE] = ACTIONS(1154),
    [aux_sym_trait_declaration_token1] = ACTIONS(1156),
    [aux_sym_interface_declaration_token1] = ACTIONS(1156),
    [aux_sym_enum_declaration_token1] = ACTIONS(1156),
    [aux_sym_enum_case_token1] = ACTIONS(1156),
    [aux_sym_class_declaration_token1] = ACTIONS(1156),
    [aux_sym_final_modifier_token1] = ACTIONS(1156),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1156),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1156),
    [sym_var_modifier] = ACTIONS(1156),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1156),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1156),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1156),
    [anon_sym_LPAREN2] = ACTIONS(1154),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1156),
    [aux_sym_cast_type_token1] = ACTIONS(1156),
    [aux_sym_echo_statement_token1] = ACTIONS(1156),
    [aux_sym_exit_statement_token1] = ACTIONS(1156),
    [anon_sym_unset] = ACTIONS(1156),
    [aux_sym_declare_statement_token1] = ACTIONS(1156),
    [aux_sym_declare_statement_token2] = ACTIONS(1156),
    [sym_float] = ACTIONS(1156),
    [aux_sym_try_statement_token1] = ACTIONS(1156),
    [aux_sym_goto_statement_token1] = ACTIONS(1156),
    [aux_sym_continue_statement_token1] = ACTIONS(1156),
    [aux_sym_break_statement_token1] = ACTIONS(1156),
    [sym_integer] = ACTIONS(1156),
    [aux_sym_return_statement_token1] = ACTIONS(1156),
    [aux_sym_throw_expression_token1] = ACTIONS(1156),
    [aux_sym_while_statement_token1] = ACTIONS(1156),
    [aux_sym_while_statement_token2] = ACTIONS(1156),
    [aux_sym_do_statement_token1] = ACTIONS(1156),
    [aux_sym_for_statement_token1] = ACTIONS(1156),
    [aux_sym_for_statement_token2] = ACTIONS(1156),
    [aux_sym_foreach_statement_token1] = ACTIONS(1156),
    [aux_sym_foreach_statement_token2] = ACTIONS(1156),
    [aux_sym_if_statement_token1] = ACTIONS(1156),
    [aux_sym_if_statement_token2] = ACTIONS(1156),
    [aux_sym_else_if_clause_token1] = ACTIONS(1156),
    [aux_sym_else_clause_token1] = ACTIONS(1156),
    [aux_sym_match_expression_token1] = ACTIONS(1156),
    [aux_sym_match_default_expression_token1] = ACTIONS(1156),
    [aux_sym_switch_statement_token1] = ACTIONS(1156),
    [aux_sym_switch_block_token1] = ACTIONS(1156),
    [anon_sym_PLUS] = ACTIONS(1156),
    [anon_sym_DASH] = ACTIONS(1156),
    [anon_sym_TILDE] = ACTIONS(1154),
    [anon_sym_BANG] = ACTIONS(1154),
    [anon_sym_AT] = ACTIONS(1154),
    [aux_sym_clone_expression_token1] = ACTIONS(1156),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1156),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1156),
    [anon_sym_DASH_DASH] = ACTIONS(1154),
    [anon_sym_PLUS_PLUS] = ACTIONS(1154),
    [aux_sym__list_destructing_token1] = ACTIONS(1156),
    [anon_sym_LBRACK] = ACTIONS(1154),
    [anon_sym_self] = ACTIONS(1156),
    [anon_sym_parent] = ACTIONS(1156),
    [aux_sym__argument_name_token1] = ACTIONS(1156),
    [aux_sym__argument_name_token2] = ACTIONS(1156),
    [anon_sym_POUND_LBRACK] = ACTIONS(1154),
    [aux_sym_encapsed_string_token1] = ACTIONS(1154),
    [anon_sym_DQUOTE] = ACTIONS(1154),
    [aux_sym_string_token1] = ACTIONS(1154),
    [anon_sym_SQUOTE] = ACTIONS(1154),
    [anon_sym_LT_LT_LT] = ACTIONS(1154),
    [anon_sym_BQUOTE] = ACTIONS(1154),
    [anon_sym_DOLLAR] = ACTIONS(1154),
    [aux_sym_yield_expression_token1] = ACTIONS(1156),
    [aux_sym_include_expression_token1] = ACTIONS(1156),
    [aux_sym_include_once_expression_token1] = ACTIONS(1156),
    [aux_sym_require_expression_token1] = ACTIONS(1156),
    [aux_sym_require_once_expression_token1] = ACTIONS(1156),
    [sym_comment] = ACTIONS(3),
  },
  [469] = {
    [ts_builtin_sym_end] = ACTIONS(1158),
    [sym_name] = ACTIONS(1160),
    [anon_sym_QMARK_GT] = ACTIONS(1158),
    [anon_sym_SEMI] = ACTIONS(1158),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1160),
    [aux_sym_global_declaration_token1] = ACTIONS(1160),
    [aux_sym_namespace_definition_token1] = ACTIONS(1160),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1160),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1160),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1160),
    [anon_sym_BSLASH] = ACTIONS(1158),
    [anon_sym_LBRACE] = ACTIONS(1158),
    [anon_sym_RBRACE] = ACTIONS(1158),
    [aux_sym_trait_declaration_token1] = ACTIONS(1160),
    [aux_sym_interface_declaration_token1] = ACTIONS(1160),
    [aux_sym_enum_declaration_token1] = ACTIONS(1160),
    [aux_sym_enum_case_token1] = ACTIONS(1160),
    [aux_sym_class_declaration_token1] = ACTIONS(1160),
    [aux_sym_final_modifier_token1] = ACTIONS(1160),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1160),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1160),
    [sym_var_modifier] = ACTIONS(1160),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1160),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1160),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1160),
    [anon_sym_LPAREN2] = ACTIONS(1158),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1160),
    [aux_sym_cast_type_token1] = ACTIONS(1160),
    [aux_sym_echo_statement_token1] = ACTIONS(1160),
    [aux_sym_exit_statement_token1] = ACTIONS(1160),
    [anon_sym_unset] = ACTIONS(1160),
    [aux_sym_declare_statement_token1] = ACTIONS(1160),
    [aux_sym_declare_statement_token2] = ACTIONS(1160),
    [sym_float] = ACTIONS(1160),
    [aux_sym_try_statement_token1] = ACTIONS(1160),
    [aux_sym_goto_statement_token1] = ACTIONS(1160),
    [aux_sym_continue_statement_token1] = ACTIONS(1160),
    [aux_sym_break_statement_token1] = ACTIONS(1160),
    [sym_integer] = ACTIONS(1160),
    [aux_sym_return_statement_token1] = ACTIONS(1160),
    [aux_sym_throw_expression_token1] = ACTIONS(1160),
    [aux_sym_while_statement_token1] = ACTIONS(1160),
    [aux_sym_while_statement_token2] = ACTIONS(1160),
    [aux_sym_do_statement_token1] = ACTIONS(1160),
    [aux_sym_for_statement_token1] = ACTIONS(1160),
    [aux_sym_for_statement_token2] = ACTIONS(1160),
    [aux_sym_foreach_statement_token1] = ACTIONS(1160),
    [aux_sym_foreach_statement_token2] = ACTIONS(1160),
    [aux_sym_if_statement_token1] = ACTIONS(1160),
    [aux_sym_if_statement_token2] = ACTIONS(1160),
    [aux_sym_else_if_clause_token1] = ACTIONS(1160),
    [aux_sym_else_clause_token1] = ACTIONS(1160),
    [aux_sym_match_expression_token1] = ACTIONS(1160),
    [aux_sym_match_default_expression_token1] = ACTIONS(1160),
    [aux_sym_switch_statement_token1] = ACTIONS(1160),
    [aux_sym_switch_block_token1] = ACTIONS(1160),
    [anon_sym_PLUS] = ACTIONS(1160),
    [anon_sym_DASH] = ACTIONS(1160),
    [anon_sym_TILDE] = ACTIONS(1158),
    [anon_sym_BANG] = ACTIONS(1158),
    [anon_sym_AT] = ACTIONS(1158),
    [aux_sym_clone_expression_token1] = ACTIONS(1160),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1160),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1160),
    [anon_sym_DASH_DASH] = ACTIONS(1158),
    [anon_sym_PLUS_PLUS] = ACTIONS(1158),
    [aux_sym__list_destructing_token1] = ACTIONS(1160),
    [anon_sym_LBRACK] = ACTIONS(1158),
    [anon_sym_self] = ACTIONS(1160),
    [anon_sym_parent] = ACTIONS(1160),
    [aux_sym__argument_name_token1] = ACTIONS(1160),
    [aux_sym__argument_name_token2] = ACTIONS(1160),
    [anon_sym_POUND_LBRACK] = ACTIONS(1158),
    [aux_sym_encapsed_string_token1] = ACTIONS(1158),
    [anon_sym_DQUOTE] = ACTIONS(1158),
    [aux_sym_string_token1] = ACTIONS(1158),
    [anon_sym_SQUOTE] = ACTIONS(1158),
    [anon_sym_LT_LT_LT] = ACTIONS(1158),
    [anon_sym_BQUOTE] = ACTIONS(1158),
    [anon_sym_DOLLAR] = ACTIONS(1158),
    [aux_sym_yield_expression_token1] = ACTIONS(1160),
    [aux_sym_include_expression_token1] = ACTIONS(1160),
    [aux_sym_include_once_expression_token1] = ACTIONS(1160),
    [aux_sym_require_expression_token1] = ACTIONS(1160),
    [aux_sym_require_once_expression_token1] = ACTIONS(1160),
    [sym_comment] = ACTIONS(3),
  },
  [470] = {
    [ts_builtin_sym_end] = ACTIONS(1162),
    [sym_name] = ACTIONS(1164),
    [anon_sym_QMARK_GT] = ACTIONS(1162),
    [anon_sym_SEMI] = ACTIONS(1162),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1164),
    [aux_sym_global_declaration_token1] = ACTIONS(1164),
    [aux_sym_namespace_definition_token1] = ACTIONS(1164),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1164),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1164),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1164),
    [anon_sym_BSLASH] = ACTIONS(1162),
    [anon_sym_LBRACE] = ACTIONS(1162),
    [anon_sym_RBRACE] = ACTIONS(1162),
    [aux_sym_trait_declaration_token1] = ACTIONS(1164),
    [aux_sym_interface_declaration_token1] = ACTIONS(1164),
    [aux_sym_enum_declaration_token1] = ACTIONS(1164),
    [aux_sym_enum_case_token1] = ACTIONS(1164),
    [aux_sym_class_declaration_token1] = ACTIONS(1164),
    [aux_sym_final_modifier_token1] = ACTIONS(1164),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1164),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1164),
    [sym_var_modifier] = ACTIONS(1164),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1164),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1164),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1164),
    [anon_sym_LPAREN2] = ACTIONS(1162),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1164),
    [aux_sym_cast_type_token1] = ACTIONS(1164),
    [aux_sym_echo_statement_token1] = ACTIONS(1164),
    [aux_sym_exit_statement_token1] = ACTIONS(1164),
    [anon_sym_unset] = ACTIONS(1164),
    [aux_sym_declare_statement_token1] = ACTIONS(1164),
    [aux_sym_declare_statement_token2] = ACTIONS(1164),
    [sym_float] = ACTIONS(1164),
    [aux_sym_try_statement_token1] = ACTIONS(1164),
    [aux_sym_goto_statement_token1] = ACTIONS(1164),
    [aux_sym_continue_statement_token1] = ACTIONS(1164),
    [aux_sym_break_statement_token1] = ACTIONS(1164),
    [sym_integer] = ACTIONS(1164),
    [aux_sym_return_statement_token1] = ACTIONS(1164),
    [aux_sym_throw_expression_token1] = ACTIONS(1164),
    [aux_sym_while_statement_token1] = ACTIONS(1164),
    [aux_sym_while_statement_token2] = ACTIONS(1164),
    [aux_sym_do_statement_token1] = ACTIONS(1164),
    [aux_sym_for_statement_token1] = ACTIONS(1164),
    [aux_sym_for_statement_token2] = ACTIONS(1164),
    [aux_sym_foreach_statement_token1] = ACTIONS(1164),
    [aux_sym_foreach_statement_token2] = ACTIONS(1164),
    [aux_sym_if_statement_token1] = ACTIONS(1164),
    [aux_sym_if_statement_token2] = ACTIONS(1164),
    [aux_sym_else_if_clause_token1] = ACTIONS(1164),
    [aux_sym_else_clause_token1] = ACTIONS(1164),
    [aux_sym_match_expression_token1] = ACTIONS(1164),
    [aux_sym_match_default_expression_token1] = ACTIONS(1164),
    [aux_sym_switch_statement_token1] = ACTIONS(1164),
    [aux_sym_switch_block_token1] = ACTIONS(1164),
    [anon_sym_PLUS] = ACTIONS(1164),
    [anon_sym_DASH] = ACTIONS(1164),
    [anon_sym_TILDE] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(1162),
    [anon_sym_AT] = ACTIONS(1162),
    [aux_sym_clone_expression_token1] = ACTIONS(1164),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1164),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1164),
    [anon_sym_DASH_DASH] = ACTIONS(1162),
    [anon_sym_PLUS_PLUS] = ACTIONS(1162),
    [aux_sym__list_destructing_token1] = ACTIONS(1164),
    [anon_sym_LBRACK] = ACTIONS(1162),
    [anon_sym_self] = ACTIONS(1164),
    [anon_sym_parent] = ACTIONS(1164),
    [aux_sym__argument_name_token1] = ACTIONS(1164),
    [aux_sym__argument_name_token2] = ACTIONS(1164),
    [anon_sym_POUND_LBRACK] = ACTIONS(1162),
    [aux_sym_encapsed_string_token1] = ACTIONS(1162),
    [anon_sym_DQUOTE] = ACTIONS(1162),
    [aux_sym_string_token1] = ACTIONS(1162),
    [anon_sym_SQUOTE] = ACTIONS(1162),
    [anon_sym_LT_LT_LT] = ACTIONS(1162),
    [anon_sym_BQUOTE] = ACTIONS(1162),
    [anon_sym_DOLLAR] = ACTIONS(1162),
    [aux_sym_yield_expression_token1] = ACTIONS(1164),
    [aux_sym_include_expression_token1] = ACTIONS(1164),
    [aux_sym_include_once_expression_token1] = ACTIONS(1164),
    [aux_sym_require_expression_token1] = ACTIONS(1164),
    [aux_sym_require_once_expression_token1] = ACTIONS(1164),
    [sym_comment] = ACTIONS(3),
  },
  [471] = {
    [ts_builtin_sym_end] = ACTIONS(1166),
    [sym_name] = ACTIONS(1168),
    [anon_sym_QMARK_GT] = ACTIONS(1166),
    [anon_sym_SEMI] = ACTIONS(1166),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1168),
    [aux_sym_global_declaration_token1] = ACTIONS(1168),
    [aux_sym_namespace_definition_token1] = ACTIONS(1168),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1168),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1168),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1168),
    [anon_sym_BSLASH] = ACTIONS(1166),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_RBRACE] = ACTIONS(1166),
    [aux_sym_trait_declaration_token1] = ACTIONS(1168),
    [aux_sym_interface_declaration_token1] = ACTIONS(1168),
    [aux_sym_enum_declaration_token1] = ACTIONS(1168),
    [aux_sym_enum_case_token1] = ACTIONS(1168),
    [aux_sym_class_declaration_token1] = ACTIONS(1168),
    [aux_sym_final_modifier_token1] = ACTIONS(1168),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1168),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1168),
    [sym_var_modifier] = ACTIONS(1168),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1168),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1168),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1168),
    [anon_sym_LPAREN2] = ACTIONS(1166),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1168),
    [aux_sym_cast_type_token1] = ACTIONS(1168),
    [aux_sym_echo_statement_token1] = ACTIONS(1168),
    [aux_sym_exit_statement_token1] = ACTIONS(1168),
    [anon_sym_unset] = ACTIONS(1168),
    [aux_sym_declare_statement_token1] = ACTIONS(1168),
    [aux_sym_declare_statement_token2] = ACTIONS(1168),
    [sym_float] = ACTIONS(1168),
    [aux_sym_try_statement_token1] = ACTIONS(1168),
    [aux_sym_goto_statement_token1] = ACTIONS(1168),
    [aux_sym_continue_statement_token1] = ACTIONS(1168),
    [aux_sym_break_statement_token1] = ACTIONS(1168),
    [sym_integer] = ACTIONS(1168),
    [aux_sym_return_statement_token1] = ACTIONS(1168),
    [aux_sym_throw_expression_token1] = ACTIONS(1168),
    [aux_sym_while_statement_token1] = ACTIONS(1168),
    [aux_sym_while_statement_token2] = ACTIONS(1168),
    [aux_sym_do_statement_token1] = ACTIONS(1168),
    [aux_sym_for_statement_token1] = ACTIONS(1168),
    [aux_sym_for_statement_token2] = ACTIONS(1168),
    [aux_sym_foreach_statement_token1] = ACTIONS(1168),
    [aux_sym_foreach_statement_token2] = ACTIONS(1168),
    [aux_sym_if_statement_token1] = ACTIONS(1168),
    [aux_sym_if_statement_token2] = ACTIONS(1168),
    [aux_sym_else_if_clause_token1] = ACTIONS(1168),
    [aux_sym_else_clause_token1] = ACTIONS(1168),
    [aux_sym_match_expression_token1] = ACTIONS(1168),
    [aux_sym_match_default_expression_token1] = ACTIONS(1168),
    [aux_sym_switch_statement_token1] = ACTIONS(1168),
    [aux_sym_switch_block_token1] = ACTIONS(1168),
    [anon_sym_PLUS] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1168),
    [anon_sym_TILDE] = ACTIONS(1166),
    [anon_sym_BANG] = ACTIONS(1166),
    [anon_sym_AT] = ACTIONS(1166),
    [aux_sym_clone_expression_token1] = ACTIONS(1168),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1168),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1168),
    [anon_sym_DASH_DASH] = ACTIONS(1166),
    [anon_sym_PLUS_PLUS] = ACTIONS(1166),
    [aux_sym__list_destructing_token1] = ACTIONS(1168),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_self] = ACTIONS(1168),
    [anon_sym_parent] = ACTIONS(1168),
    [aux_sym__argument_name_token1] = ACTIONS(1168),
    [aux_sym__argument_name_token2] = ACTIONS(1168),
    [anon_sym_POUND_LBRACK] = ACTIONS(1166),
    [aux_sym_encapsed_string_token1] = ACTIONS(1166),
    [anon_sym_DQUOTE] = ACTIONS(1166),
    [aux_sym_string_token1] = ACTIONS(1166),
    [anon_sym_SQUOTE] = ACTIONS(1166),
    [anon_sym_LT_LT_LT] = ACTIONS(1166),
    [anon_sym_BQUOTE] = ACTIONS(1166),
    [anon_sym_DOLLAR] = ACTIONS(1166),
    [aux_sym_yield_expression_token1] = ACTIONS(1168),
    [aux_sym_include_expression_token1] = ACTIONS(1168),
    [aux_sym_include_once_expression_token1] = ACTIONS(1168),
    [aux_sym_require_expression_token1] = ACTIONS(1168),
    [aux_sym_require_once_expression_token1] = ACTIONS(1168),
    [sym_comment] = ACTIONS(3),
  },
  [472] = {
    [ts_builtin_sym_end] = ACTIONS(1170),
    [sym_name] = ACTIONS(1172),
    [anon_sym_QMARK_GT] = ACTIONS(1170),
    [anon_sym_SEMI] = ACTIONS(1170),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1172),
    [aux_sym_global_declaration_token1] = ACTIONS(1172),
    [aux_sym_namespace_definition_token1] = ACTIONS(1172),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1172),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1172),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1172),
    [anon_sym_BSLASH] = ACTIONS(1170),
    [anon_sym_LBRACE] = ACTIONS(1170),
    [anon_sym_RBRACE] = ACTIONS(1170),
    [aux_sym_trait_declaration_token1] = ACTIONS(1172),
    [aux_sym_interface_declaration_token1] = ACTIONS(1172),
    [aux_sym_enum_declaration_token1] = ACTIONS(1172),
    [aux_sym_enum_case_token1] = ACTIONS(1172),
    [aux_sym_class_declaration_token1] = ACTIONS(1172),
    [aux_sym_final_modifier_token1] = ACTIONS(1172),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1172),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1172),
    [sym_var_modifier] = ACTIONS(1172),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1172),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1172),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1172),
    [anon_sym_LPAREN2] = ACTIONS(1170),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1172),
    [aux_sym_cast_type_token1] = ACTIONS(1172),
    [aux_sym_echo_statement_token1] = ACTIONS(1172),
    [aux_sym_exit_statement_token1] = ACTIONS(1172),
    [anon_sym_unset] = ACTIONS(1172),
    [aux_sym_declare_statement_token1] = ACTIONS(1172),
    [aux_sym_declare_statement_token2] = ACTIONS(1172),
    [sym_float] = ACTIONS(1172),
    [aux_sym_try_statement_token1] = ACTIONS(1172),
    [aux_sym_goto_statement_token1] = ACTIONS(1172),
    [aux_sym_continue_statement_token1] = ACTIONS(1172),
    [aux_sym_break_statement_token1] = ACTIONS(1172),
    [sym_integer] = ACTIONS(1172),
    [aux_sym_return_statement_token1] = ACTIONS(1172),
    [aux_sym_throw_expression_token1] = ACTIONS(1172),
    [aux_sym_while_statement_token1] = ACTIONS(1172),
    [aux_sym_while_statement_token2] = ACTIONS(1172),
    [aux_sym_do_statement_token1] = ACTIONS(1172),
    [aux_sym_for_statement_token1] = ACTIONS(1172),
    [aux_sym_for_statement_token2] = ACTIONS(1172),
    [aux_sym_foreach_statement_token1] = ACTIONS(1172),
    [aux_sym_foreach_statement_token2] = ACTIONS(1172),
    [aux_sym_if_statement_token1] = ACTIONS(1172),
    [aux_sym_if_statement_token2] = ACTIONS(1172),
    [aux_sym_else_if_clause_token1] = ACTIONS(1172),
    [aux_sym_else_clause_token1] = ACTIONS(1172),
    [aux_sym_match_expression_token1] = ACTIONS(1172),
    [aux_sym_match_default_expression_token1] = ACTIONS(1172),
    [aux_sym_switch_statement_token1] = ACTIONS(1172),
    [aux_sym_switch_block_token1] = ACTIONS(1172),
    [anon_sym_PLUS] = ACTIONS(1172),
    [anon_sym_DASH] = ACTIONS(1172),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_AT] = ACTIONS(1170),
    [aux_sym_clone_expression_token1] = ACTIONS(1172),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1172),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1172),
    [anon_sym_DASH_DASH] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1170),
    [aux_sym__list_destructing_token1] = ACTIONS(1172),
    [anon_sym_LBRACK] = ACTIONS(1170),
    [anon_sym_self] = ACTIONS(1172),
    [anon_sym_parent] = ACTIONS(1172),
    [aux_sym__argument_name_token1] = ACTIONS(1172),
    [aux_sym__argument_name_token2] = ACTIONS(1172),
    [anon_sym_POUND_LBRACK] = ACTIONS(1170),
    [aux_sym_encapsed_string_token1] = ACTIONS(1170),
    [anon_sym_DQUOTE] = ACTIONS(1170),
    [aux_sym_string_token1] = ACTIONS(1170),
    [anon_sym_SQUOTE] = ACTIONS(1170),
    [anon_sym_LT_LT_LT] = ACTIONS(1170),
    [anon_sym_BQUOTE] = ACTIONS(1170),
    [anon_sym_DOLLAR] = ACTIONS(1170),
    [aux_sym_yield_expression_token1] = ACTIONS(1172),
    [aux_sym_include_expression_token1] = ACTIONS(1172),
    [aux_sym_include_once_expression_token1] = ACTIONS(1172),
    [aux_sym_require_expression_token1] = ACTIONS(1172),
    [aux_sym_require_once_expression_token1] = ACTIONS(1172),
    [sym_comment] = ACTIONS(3),
  },
  [473] = {
    [ts_builtin_sym_end] = ACTIONS(1174),
    [sym_name] = ACTIONS(1176),
    [anon_sym_QMARK_GT] = ACTIONS(1174),
    [anon_sym_SEMI] = ACTIONS(1174),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1176),
    [aux_sym_global_declaration_token1] = ACTIONS(1176),
    [aux_sym_namespace_definition_token1] = ACTIONS(1176),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1176),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1176),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1176),
    [anon_sym_BSLASH] = ACTIONS(1174),
    [anon_sym_LBRACE] = ACTIONS(1174),
    [anon_sym_RBRACE] = ACTIONS(1174),
    [aux_sym_trait_declaration_token1] = ACTIONS(1176),
    [aux_sym_interface_declaration_token1] = ACTIONS(1176),
    [aux_sym_enum_declaration_token1] = ACTIONS(1176),
    [aux_sym_enum_case_token1] = ACTIONS(1176),
    [aux_sym_class_declaration_token1] = ACTIONS(1176),
    [aux_sym_final_modifier_token1] = ACTIONS(1176),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1176),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1176),
    [sym_var_modifier] = ACTIONS(1176),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1176),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1176),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1176),
    [anon_sym_LPAREN2] = ACTIONS(1174),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1176),
    [aux_sym_cast_type_token1] = ACTIONS(1176),
    [aux_sym_echo_statement_token1] = ACTIONS(1176),
    [aux_sym_exit_statement_token1] = ACTIONS(1176),
    [anon_sym_unset] = ACTIONS(1176),
    [aux_sym_declare_statement_token1] = ACTIONS(1176),
    [aux_sym_declare_statement_token2] = ACTIONS(1176),
    [sym_float] = ACTIONS(1176),
    [aux_sym_try_statement_token1] = ACTIONS(1176),
    [aux_sym_goto_statement_token1] = ACTIONS(1176),
    [aux_sym_continue_statement_token1] = ACTIONS(1176),
    [aux_sym_break_statement_token1] = ACTIONS(1176),
    [sym_integer] = ACTIONS(1176),
    [aux_sym_return_statement_token1] = ACTIONS(1176),
    [aux_sym_throw_expression_token1] = ACTIONS(1176),
    [aux_sym_while_statement_token1] = ACTIONS(1176),
    [aux_sym_while_statement_token2] = ACTIONS(1176),
    [aux_sym_do_statement_token1] = ACTIONS(1176),
    [aux_sym_for_statement_token1] = ACTIONS(1176),
    [aux_sym_for_statement_token2] = ACTIONS(1176),
    [aux_sym_foreach_statement_token1] = ACTIONS(1176),
    [aux_sym_foreach_statement_token2] = ACTIONS(1176),
    [aux_sym_if_statement_token1] = ACTIONS(1176),
    [aux_sym_if_statement_token2] = ACTIONS(1176),
    [aux_sym_else_if_clause_token1] = ACTIONS(1176),
    [aux_sym_else_clause_token1] = ACTIONS(1176),
    [aux_sym_match_expression_token1] = ACTIONS(1176),
    [aux_sym_match_default_expression_token1] = ACTIONS(1176),
    [aux_sym_switch_statement_token1] = ACTIONS(1176),
    [aux_sym_switch_block_token1] = ACTIONS(1176),
    [anon_sym_PLUS] = ACTIONS(1176),
    [anon_sym_DASH] = ACTIONS(1176),
    [anon_sym_TILDE] = ACTIONS(1174),
    [anon_sym_BANG] = ACTIONS(1174),
    [anon_sym_AT] = ACTIONS(1174),
    [aux_sym_clone_expression_token1] = ACTIONS(1176),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1176),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1176),
    [anon_sym_DASH_DASH] = ACTIONS(1174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1174),
    [aux_sym__list_destructing_token1] = ACTIONS(1176),
    [anon_sym_LBRACK] = ACTIONS(1174),
    [anon_sym_self] = ACTIONS(1176),
    [anon_sym_parent] = ACTIONS(1176),
    [aux_sym__argument_name_token1] = ACTIONS(1176),
    [aux_sym__argument_name_token2] = ACTIONS(1176),
    [anon_sym_POUND_LBRACK] = ACTIONS(1174),
    [aux_sym_encapsed_string_token1] = ACTIONS(1174),
    [anon_sym_DQUOTE] = ACTIONS(1174),
    [aux_sym_string_token1] = ACTIONS(1174),
    [anon_sym_SQUOTE] = ACTIONS(1174),
    [anon_sym_LT_LT_LT] = ACTIONS(1174),
    [anon_sym_BQUOTE] = ACTIONS(1174),
    [anon_sym_DOLLAR] = ACTIONS(1174),
    [aux_sym_yield_expression_token1] = ACTIONS(1176),
    [aux_sym_include_expression_token1] = ACTIONS(1176),
    [aux_sym_include_once_expression_token1] = ACTIONS(1176),
    [aux_sym_require_expression_token1] = ACTIONS(1176),
    [aux_sym_require_once_expression_token1] = ACTIONS(1176),
    [sym_comment] = ACTIONS(3),
  },
  [474] = {
    [ts_builtin_sym_end] = ACTIONS(1178),
    [sym_name] = ACTIONS(1180),
    [anon_sym_QMARK_GT] = ACTIONS(1178),
    [anon_sym_SEMI] = ACTIONS(1178),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1180),
    [aux_sym_global_declaration_token1] = ACTIONS(1180),
    [aux_sym_namespace_definition_token1] = ACTIONS(1180),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1180),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1180),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1180),
    [anon_sym_BSLASH] = ACTIONS(1178),
    [anon_sym_LBRACE] = ACTIONS(1178),
    [anon_sym_RBRACE] = ACTIONS(1178),
    [aux_sym_trait_declaration_token1] = ACTIONS(1180),
    [aux_sym_interface_declaration_token1] = ACTIONS(1180),
    [aux_sym_enum_declaration_token1] = ACTIONS(1180),
    [aux_sym_enum_case_token1] = ACTIONS(1180),
    [aux_sym_class_declaration_token1] = ACTIONS(1180),
    [aux_sym_final_modifier_token1] = ACTIONS(1180),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1180),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1180),
    [sym_var_modifier] = ACTIONS(1180),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1180),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1180),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1180),
    [anon_sym_LPAREN2] = ACTIONS(1178),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1180),
    [aux_sym_cast_type_token1] = ACTIONS(1180),
    [aux_sym_echo_statement_token1] = ACTIONS(1180),
    [aux_sym_exit_statement_token1] = ACTIONS(1180),
    [anon_sym_unset] = ACTIONS(1180),
    [aux_sym_declare_statement_token1] = ACTIONS(1180),
    [aux_sym_declare_statement_token2] = ACTIONS(1180),
    [sym_float] = ACTIONS(1180),
    [aux_sym_try_statement_token1] = ACTIONS(1180),
    [aux_sym_goto_statement_token1] = ACTIONS(1180),
    [aux_sym_continue_statement_token1] = ACTIONS(1180),
    [aux_sym_break_statement_token1] = ACTIONS(1180),
    [sym_integer] = ACTIONS(1180),
    [aux_sym_return_statement_token1] = ACTIONS(1180),
    [aux_sym_throw_expression_token1] = ACTIONS(1180),
    [aux_sym_while_statement_token1] = ACTIONS(1180),
    [aux_sym_while_statement_token2] = ACTIONS(1180),
    [aux_sym_do_statement_token1] = ACTIONS(1180),
    [aux_sym_for_statement_token1] = ACTIONS(1180),
    [aux_sym_for_statement_token2] = ACTIONS(1180),
    [aux_sym_foreach_statement_token1] = ACTIONS(1180),
    [aux_sym_foreach_statement_token2] = ACTIONS(1180),
    [aux_sym_if_statement_token1] = ACTIONS(1180),
    [aux_sym_if_statement_token2] = ACTIONS(1180),
    [aux_sym_else_if_clause_token1] = ACTIONS(1180),
    [aux_sym_else_clause_token1] = ACTIONS(1180),
    [aux_sym_match_expression_token1] = ACTIONS(1180),
    [aux_sym_match_default_expression_token1] = ACTIONS(1180),
    [aux_sym_switch_statement_token1] = ACTIONS(1180),
    [aux_sym_switch_block_token1] = ACTIONS(1180),
    [anon_sym_PLUS] = ACTIONS(1180),
    [anon_sym_DASH] = ACTIONS(1180),
    [anon_sym_TILDE] = ACTIONS(1178),
    [anon_sym_BANG] = ACTIONS(1178),
    [anon_sym_AT] = ACTIONS(1178),
    [aux_sym_clone_expression_token1] = ACTIONS(1180),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1180),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1180),
    [anon_sym_DASH_DASH] = ACTIONS(1178),
    [anon_sym_PLUS_PLUS] = ACTIONS(1178),
    [aux_sym__list_destructing_token1] = ACTIONS(1180),
    [anon_sym_LBRACK] = ACTIONS(1178),
    [anon_sym_self] = ACTIONS(1180),
    [anon_sym_parent] = ACTIONS(1180),
    [aux_sym__argument_name_token1] = ACTIONS(1180),
    [aux_sym__argument_name_token2] = ACTIONS(1180),
    [anon_sym_POUND_LBRACK] = ACTIONS(1178),
    [aux_sym_encapsed_string_token1] = ACTIONS(1178),
    [anon_sym_DQUOTE] = ACTIONS(1178),
    [aux_sym_string_token1] = ACTIONS(1178),
    [anon_sym_SQUOTE] = ACTIONS(1178),
    [anon_sym_LT_LT_LT] = ACTIONS(1178),
    [anon_sym_BQUOTE] = ACTIONS(1178),
    [anon_sym_DOLLAR] = ACTIONS(1178),
    [aux_sym_yield_expression_token1] = ACTIONS(1180),
    [aux_sym_include_expression_token1] = ACTIONS(1180),
    [aux_sym_include_once_expression_token1] = ACTIONS(1180),
    [aux_sym_require_expression_token1] = ACTIONS(1180),
    [aux_sym_require_once_expression_token1] = ACTIONS(1180),
    [sym_comment] = ACTIONS(3),
  },
  [475] = {
    [ts_builtin_sym_end] = ACTIONS(1182),
    [sym_name] = ACTIONS(1184),
    [anon_sym_QMARK_GT] = ACTIONS(1182),
    [anon_sym_SEMI] = ACTIONS(1182),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1184),
    [aux_sym_global_declaration_token1] = ACTIONS(1184),
    [aux_sym_namespace_definition_token1] = ACTIONS(1184),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1184),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1184),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1184),
    [anon_sym_BSLASH] = ACTIONS(1182),
    [anon_sym_LBRACE] = ACTIONS(1182),
    [anon_sym_RBRACE] = ACTIONS(1182),
    [aux_sym_trait_declaration_token1] = ACTIONS(1184),
    [aux_sym_interface_declaration_token1] = ACTIONS(1184),
    [aux_sym_enum_declaration_token1] = ACTIONS(1184),
    [aux_sym_enum_case_token1] = ACTIONS(1184),
    [aux_sym_class_declaration_token1] = ACTIONS(1184),
    [aux_sym_final_modifier_token1] = ACTIONS(1184),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1184),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1184),
    [sym_var_modifier] = ACTIONS(1184),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1184),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1184),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1184),
    [anon_sym_LPAREN2] = ACTIONS(1182),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1184),
    [aux_sym_cast_type_token1] = ACTIONS(1184),
    [aux_sym_echo_statement_token1] = ACTIONS(1184),
    [aux_sym_exit_statement_token1] = ACTIONS(1184),
    [anon_sym_unset] = ACTIONS(1184),
    [aux_sym_declare_statement_token1] = ACTIONS(1184),
    [aux_sym_declare_statement_token2] = ACTIONS(1184),
    [sym_float] = ACTIONS(1184),
    [aux_sym_try_statement_token1] = ACTIONS(1184),
    [aux_sym_goto_statement_token1] = ACTIONS(1184),
    [aux_sym_continue_statement_token1] = ACTIONS(1184),
    [aux_sym_break_statement_token1] = ACTIONS(1184),
    [sym_integer] = ACTIONS(1184),
    [aux_sym_return_statement_token1] = ACTIONS(1184),
    [aux_sym_throw_expression_token1] = ACTIONS(1184),
    [aux_sym_while_statement_token1] = ACTIONS(1184),
    [aux_sym_while_statement_token2] = ACTIONS(1184),
    [aux_sym_do_statement_token1] = ACTIONS(1184),
    [aux_sym_for_statement_token1] = ACTIONS(1184),
    [aux_sym_for_statement_token2] = ACTIONS(1184),
    [aux_sym_foreach_statement_token1] = ACTIONS(1184),
    [aux_sym_foreach_statement_token2] = ACTIONS(1184),
    [aux_sym_if_statement_token1] = ACTIONS(1184),
    [aux_sym_if_statement_token2] = ACTIONS(1184),
    [aux_sym_else_if_clause_token1] = ACTIONS(1184),
    [aux_sym_else_clause_token1] = ACTIONS(1184),
    [aux_sym_match_expression_token1] = ACTIONS(1184),
    [aux_sym_match_default_expression_token1] = ACTIONS(1184),
    [aux_sym_switch_statement_token1] = ACTIONS(1184),
    [aux_sym_switch_block_token1] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1184),
    [anon_sym_DASH] = ACTIONS(1184),
    [anon_sym_TILDE] = ACTIONS(1182),
    [anon_sym_BANG] = ACTIONS(1182),
    [anon_sym_AT] = ACTIONS(1182),
    [aux_sym_clone_expression_token1] = ACTIONS(1184),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1184),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1184),
    [anon_sym_DASH_DASH] = ACTIONS(1182),
    [anon_sym_PLUS_PLUS] = ACTIONS(1182),
    [aux_sym__list_destructing_token1] = ACTIONS(1184),
    [anon_sym_LBRACK] = ACTIONS(1182),
    [anon_sym_self] = ACTIONS(1184),
    [anon_sym_parent] = ACTIONS(1184),
    [aux_sym__argument_name_token1] = ACTIONS(1184),
    [aux_sym__argument_name_token2] = ACTIONS(1184),
    [anon_sym_POUND_LBRACK] = ACTIONS(1182),
    [aux_sym_encapsed_string_token1] = ACTIONS(1182),
    [anon_sym_DQUOTE] = ACTIONS(1182),
    [aux_sym_string_token1] = ACTIONS(1182),
    [anon_sym_SQUOTE] = ACTIONS(1182),
    [anon_sym_LT_LT_LT] = ACTIONS(1182),
    [anon_sym_BQUOTE] = ACTIONS(1182),
    [anon_sym_DOLLAR] = ACTIONS(1182),
    [aux_sym_yield_expression_token1] = ACTIONS(1184),
    [aux_sym_include_expression_token1] = ACTIONS(1184),
    [aux_sym_include_once_expression_token1] = ACTIONS(1184),
    [aux_sym_require_expression_token1] = ACTIONS(1184),
    [aux_sym_require_once_expression_token1] = ACTIONS(1184),
    [sym_comment] = ACTIONS(3),
  },
  [476] = {
    [ts_builtin_sym_end] = ACTIONS(1186),
    [sym_name] = ACTIONS(1188),
    [anon_sym_QMARK_GT] = ACTIONS(1186),
    [anon_sym_SEMI] = ACTIONS(1186),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1188),
    [aux_sym_global_declaration_token1] = ACTIONS(1188),
    [aux_sym_namespace_definition_token1] = ACTIONS(1188),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1188),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1188),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1188),
    [anon_sym_BSLASH] = ACTIONS(1186),
    [anon_sym_LBRACE] = ACTIONS(1186),
    [anon_sym_RBRACE] = ACTIONS(1186),
    [aux_sym_trait_declaration_token1] = ACTIONS(1188),
    [aux_sym_interface_declaration_token1] = ACTIONS(1188),
    [aux_sym_enum_declaration_token1] = ACTIONS(1188),
    [aux_sym_enum_case_token1] = ACTIONS(1188),
    [aux_sym_class_declaration_token1] = ACTIONS(1188),
    [aux_sym_final_modifier_token1] = ACTIONS(1188),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1188),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1188),
    [sym_var_modifier] = ACTIONS(1188),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1188),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1188),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1188),
    [anon_sym_LPAREN2] = ACTIONS(1186),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1188),
    [aux_sym_cast_type_token1] = ACTIONS(1188),
    [aux_sym_echo_statement_token1] = ACTIONS(1188),
    [aux_sym_exit_statement_token1] = ACTIONS(1188),
    [anon_sym_unset] = ACTIONS(1188),
    [aux_sym_declare_statement_token1] = ACTIONS(1188),
    [aux_sym_declare_statement_token2] = ACTIONS(1188),
    [sym_float] = ACTIONS(1188),
    [aux_sym_try_statement_token1] = ACTIONS(1188),
    [aux_sym_goto_statement_token1] = ACTIONS(1188),
    [aux_sym_continue_statement_token1] = ACTIONS(1188),
    [aux_sym_break_statement_token1] = ACTIONS(1188),
    [sym_integer] = ACTIONS(1188),
    [aux_sym_return_statement_token1] = ACTIONS(1188),
    [aux_sym_throw_expression_token1] = ACTIONS(1188),
    [aux_sym_while_statement_token1] = ACTIONS(1188),
    [aux_sym_while_statement_token2] = ACTIONS(1188),
    [aux_sym_do_statement_token1] = ACTIONS(1188),
    [aux_sym_for_statement_token1] = ACTIONS(1188),
    [aux_sym_for_statement_token2] = ACTIONS(1188),
    [aux_sym_foreach_statement_token1] = ACTIONS(1188),
    [aux_sym_foreach_statement_token2] = ACTIONS(1188),
    [aux_sym_if_statement_token1] = ACTIONS(1188),
    [aux_sym_if_statement_token2] = ACTIONS(1188),
    [aux_sym_else_if_clause_token1] = ACTIONS(1188),
    [aux_sym_else_clause_token1] = ACTIONS(1188),
    [aux_sym_match_expression_token1] = ACTIONS(1188),
    [aux_sym_match_default_expression_token1] = ACTIONS(1188),
    [aux_sym_switch_statement_token1] = ACTIONS(1188),
    [aux_sym_switch_block_token1] = ACTIONS(1188),
    [anon_sym_PLUS] = ACTIONS(1188),
    [anon_sym_DASH] = ACTIONS(1188),
    [anon_sym_TILDE] = ACTIONS(1186),
    [anon_sym_BANG] = ACTIONS(1186),
    [anon_sym_AT] = ACTIONS(1186),
    [aux_sym_clone_expression_token1] = ACTIONS(1188),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1188),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1188),
    [anon_sym_DASH_DASH] = ACTIONS(1186),
    [anon_sym_PLUS_PLUS] = ACTIONS(1186),
    [aux_sym__list_destructing_token1] = ACTIONS(1188),
    [anon_sym_LBRACK] = ACTIONS(1186),
    [anon_sym_self] = ACTIONS(1188),
    [anon_sym_parent] = ACTIONS(1188),
    [aux_sym__argument_name_token1] = ACTIONS(1188),
    [aux_sym__argument_name_token2] = ACTIONS(1188),
    [anon_sym_POUND_LBRACK] = ACTIONS(1186),
    [aux_sym_encapsed_string_token1] = ACTIONS(1186),
    [anon_sym_DQUOTE] = ACTIONS(1186),
    [aux_sym_string_token1] = ACTIONS(1186),
    [anon_sym_SQUOTE] = ACTIONS(1186),
    [anon_sym_LT_LT_LT] = ACTIONS(1186),
    [anon_sym_BQUOTE] = ACTIONS(1186),
    [anon_sym_DOLLAR] = ACTIONS(1186),
    [aux_sym_yield_expression_token1] = ACTIONS(1188),
    [aux_sym_include_expression_token1] = ACTIONS(1188),
    [aux_sym_include_once_expression_token1] = ACTIONS(1188),
    [aux_sym_require_expression_token1] = ACTIONS(1188),
    [aux_sym_require_once_expression_token1] = ACTIONS(1188),
    [sym_comment] = ACTIONS(3),
  },
  [477] = {
    [ts_builtin_sym_end] = ACTIONS(1190),
    [sym_name] = ACTIONS(1192),
    [anon_sym_QMARK_GT] = ACTIONS(1190),
    [anon_sym_SEMI] = ACTIONS(1190),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1192),
    [aux_sym_global_declaration_token1] = ACTIONS(1192),
    [aux_sym_namespace_definition_token1] = ACTIONS(1192),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1192),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1192),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1192),
    [anon_sym_BSLASH] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1190),
    [anon_sym_RBRACE] = ACTIONS(1190),
    [aux_sym_trait_declaration_token1] = ACTIONS(1192),
    [aux_sym_interface_declaration_token1] = ACTIONS(1192),
    [aux_sym_enum_declaration_token1] = ACTIONS(1192),
    [aux_sym_enum_case_token1] = ACTIONS(1192),
    [aux_sym_class_declaration_token1] = ACTIONS(1192),
    [aux_sym_final_modifier_token1] = ACTIONS(1192),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1192),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1192),
    [sym_var_modifier] = ACTIONS(1192),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1192),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1192),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1192),
    [anon_sym_LPAREN2] = ACTIONS(1190),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1192),
    [aux_sym_cast_type_token1] = ACTIONS(1192),
    [aux_sym_echo_statement_token1] = ACTIONS(1192),
    [aux_sym_exit_statement_token1] = ACTIONS(1192),
    [anon_sym_unset] = ACTIONS(1192),
    [aux_sym_declare_statement_token1] = ACTIONS(1192),
    [aux_sym_declare_statement_token2] = ACTIONS(1192),
    [sym_float] = ACTIONS(1192),
    [aux_sym_try_statement_token1] = ACTIONS(1192),
    [aux_sym_goto_statement_token1] = ACTIONS(1192),
    [aux_sym_continue_statement_token1] = ACTIONS(1192),
    [aux_sym_break_statement_token1] = ACTIONS(1192),
    [sym_integer] = ACTIONS(1192),
    [aux_sym_return_statement_token1] = ACTIONS(1192),
    [aux_sym_throw_expression_token1] = ACTIONS(1192),
    [aux_sym_while_statement_token1] = ACTIONS(1192),
    [aux_sym_while_statement_token2] = ACTIONS(1192),
    [aux_sym_do_statement_token1] = ACTIONS(1192),
    [aux_sym_for_statement_token1] = ACTIONS(1192),
    [aux_sym_for_statement_token2] = ACTIONS(1192),
    [aux_sym_foreach_statement_token1] = ACTIONS(1192),
    [aux_sym_foreach_statement_token2] = ACTIONS(1192),
    [aux_sym_if_statement_token1] = ACTIONS(1192),
    [aux_sym_if_statement_token2] = ACTIONS(1192),
    [aux_sym_else_if_clause_token1] = ACTIONS(1192),
    [aux_sym_else_clause_token1] = ACTIONS(1192),
    [aux_sym_match_expression_token1] = ACTIONS(1192),
    [aux_sym_match_default_expression_token1] = ACTIONS(1192),
    [aux_sym_switch_statement_token1] = ACTIONS(1192),
    [aux_sym_switch_block_token1] = ACTIONS(1192),
    [anon_sym_PLUS] = ACTIONS(1192),
    [anon_sym_DASH] = ACTIONS(1192),
    [anon_sym_TILDE] = ACTIONS(1190),
    [anon_sym_BANG] = ACTIONS(1190),
    [anon_sym_AT] = ACTIONS(1190),
    [aux_sym_clone_expression_token1] = ACTIONS(1192),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1192),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1192),
    [anon_sym_DASH_DASH] = ACTIONS(1190),
    [anon_sym_PLUS_PLUS] = ACTIONS(1190),
    [aux_sym__list_destructing_token1] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(1190),
    [anon_sym_self] = ACTIONS(1192),
    [anon_sym_parent] = ACTIONS(1192),
    [aux_sym__argument_name_token1] = ACTIONS(1192),
    [aux_sym__argument_name_token2] = ACTIONS(1192),
    [anon_sym_POUND_LBRACK] = ACTIONS(1190),
    [aux_sym_encapsed_string_token1] = ACTIONS(1190),
    [anon_sym_DQUOTE] = ACTIONS(1190),
    [aux_sym_string_token1] = ACTIONS(1190),
    [anon_sym_SQUOTE] = ACTIONS(1190),
    [anon_sym_LT_LT_LT] = ACTIONS(1190),
    [anon_sym_BQUOTE] = ACTIONS(1190),
    [anon_sym_DOLLAR] = ACTIONS(1190),
    [aux_sym_yield_expression_token1] = ACTIONS(1192),
    [aux_sym_include_expression_token1] = ACTIONS(1192),
    [aux_sym_include_once_expression_token1] = ACTIONS(1192),
    [aux_sym_require_expression_token1] = ACTIONS(1192),
    [aux_sym_require_once_expression_token1] = ACTIONS(1192),
    [sym_comment] = ACTIONS(3),
  },
  [478] = {
    [ts_builtin_sym_end] = ACTIONS(1090),
    [sym_name] = ACTIONS(1092),
    [anon_sym_QMARK_GT] = ACTIONS(1090),
    [anon_sym_SEMI] = ACTIONS(1090),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1092),
    [aux_sym_global_declaration_token1] = ACTIONS(1092),
    [aux_sym_namespace_definition_token1] = ACTIONS(1092),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1092),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1092),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1092),
    [anon_sym_BSLASH] = ACTIONS(1090),
    [anon_sym_LBRACE] = ACTIONS(1090),
    [anon_sym_RBRACE] = ACTIONS(1090),
    [aux_sym_trait_declaration_token1] = ACTIONS(1092),
    [aux_sym_interface_declaration_token1] = ACTIONS(1092),
    [aux_sym_enum_declaration_token1] = ACTIONS(1092),
    [aux_sym_enum_case_token1] = ACTIONS(1092),
    [aux_sym_class_declaration_token1] = ACTIONS(1092),
    [aux_sym_final_modifier_token1] = ACTIONS(1092),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1092),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1092),
    [sym_var_modifier] = ACTIONS(1092),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1092),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1092),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1092),
    [anon_sym_LPAREN2] = ACTIONS(1090),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1092),
    [aux_sym_cast_type_token1] = ACTIONS(1092),
    [aux_sym_echo_statement_token1] = ACTIONS(1092),
    [aux_sym_exit_statement_token1] = ACTIONS(1092),
    [anon_sym_unset] = ACTIONS(1092),
    [aux_sym_declare_statement_token1] = ACTIONS(1092),
    [aux_sym_declare_statement_token2] = ACTIONS(1092),
    [sym_float] = ACTIONS(1092),
    [aux_sym_try_statement_token1] = ACTIONS(1092),
    [aux_sym_goto_statement_token1] = ACTIONS(1092),
    [aux_sym_continue_statement_token1] = ACTIONS(1092),
    [aux_sym_break_statement_token1] = ACTIONS(1092),
    [sym_integer] = ACTIONS(1092),
    [aux_sym_return_statement_token1] = ACTIONS(1092),
    [aux_sym_throw_expression_token1] = ACTIONS(1092),
    [aux_sym_while_statement_token1] = ACTIONS(1092),
    [aux_sym_while_statement_token2] = ACTIONS(1092),
    [aux_sym_do_statement_token1] = ACTIONS(1092),
    [aux_sym_for_statement_token1] = ACTIONS(1092),
    [aux_sym_for_statement_token2] = ACTIONS(1092),
    [aux_sym_foreach_statement_token1] = ACTIONS(1092),
    [aux_sym_foreach_statement_token2] = ACTIONS(1092),
    [aux_sym_if_statement_token1] = ACTIONS(1092),
    [aux_sym_if_statement_token2] = ACTIONS(1092),
    [aux_sym_else_if_clause_token1] = ACTIONS(1092),
    [aux_sym_else_clause_token1] = ACTIONS(1092),
    [aux_sym_match_expression_token1] = ACTIONS(1092),
    [aux_sym_match_default_expression_token1] = ACTIONS(1092),
    [aux_sym_switch_statement_token1] = ACTIONS(1092),
    [aux_sym_switch_block_token1] = ACTIONS(1092),
    [anon_sym_PLUS] = ACTIONS(1092),
    [anon_sym_DASH] = ACTIONS(1092),
    [anon_sym_TILDE] = ACTIONS(1090),
    [anon_sym_BANG] = ACTIONS(1090),
    [anon_sym_AT] = ACTIONS(1090),
    [aux_sym_clone_expression_token1] = ACTIONS(1092),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1092),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1092),
    [anon_sym_DASH_DASH] = ACTIONS(1090),
    [anon_sym_PLUS_PLUS] = ACTIONS(1090),
    [aux_sym__list_destructing_token1] = ACTIONS(1092),
    [anon_sym_LBRACK] = ACTIONS(1090),
    [anon_sym_self] = ACTIONS(1092),
    [anon_sym_parent] = ACTIONS(1092),
    [aux_sym__argument_name_token1] = ACTIONS(1092),
    [aux_sym__argument_name_token2] = ACTIONS(1092),
    [anon_sym_POUND_LBRACK] = ACTIONS(1090),
    [aux_sym_encapsed_string_token1] = ACTIONS(1090),
    [anon_sym_DQUOTE] = ACTIONS(1090),
    [aux_sym_string_token1] = ACTIONS(1090),
    [anon_sym_SQUOTE] = ACTIONS(1090),
    [anon_sym_LT_LT_LT] = ACTIONS(1090),
    [anon_sym_BQUOTE] = ACTIONS(1090),
    [anon_sym_DOLLAR] = ACTIONS(1090),
    [aux_sym_yield_expression_token1] = ACTIONS(1092),
    [aux_sym_include_expression_token1] = ACTIONS(1092),
    [aux_sym_include_once_expression_token1] = ACTIONS(1092),
    [aux_sym_require_expression_token1] = ACTIONS(1092),
    [aux_sym_require_once_expression_token1] = ACTIONS(1092),
    [sym_comment] = ACTIONS(3),
  },
  [479] = {
    [ts_builtin_sym_end] = ACTIONS(1194),
    [sym_name] = ACTIONS(1196),
    [anon_sym_QMARK_GT] = ACTIONS(1194),
    [anon_sym_SEMI] = ACTIONS(1194),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1196),
    [aux_sym_global_declaration_token1] = ACTIONS(1196),
    [aux_sym_namespace_definition_token1] = ACTIONS(1196),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1196),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1196),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1196),
    [anon_sym_BSLASH] = ACTIONS(1194),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym_RBRACE] = ACTIONS(1194),
    [aux_sym_trait_declaration_token1] = ACTIONS(1196),
    [aux_sym_interface_declaration_token1] = ACTIONS(1196),
    [aux_sym_enum_declaration_token1] = ACTIONS(1196),
    [aux_sym_enum_case_token1] = ACTIONS(1196),
    [aux_sym_class_declaration_token1] = ACTIONS(1196),
    [aux_sym_final_modifier_token1] = ACTIONS(1196),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1196),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1196),
    [sym_var_modifier] = ACTIONS(1196),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1196),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1196),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1196),
    [anon_sym_LPAREN2] = ACTIONS(1194),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1196),
    [aux_sym_cast_type_token1] = ACTIONS(1196),
    [aux_sym_echo_statement_token1] = ACTIONS(1196),
    [aux_sym_exit_statement_token1] = ACTIONS(1196),
    [anon_sym_unset] = ACTIONS(1196),
    [aux_sym_declare_statement_token1] = ACTIONS(1196),
    [aux_sym_declare_statement_token2] = ACTIONS(1196),
    [sym_float] = ACTIONS(1196),
    [aux_sym_try_statement_token1] = ACTIONS(1196),
    [aux_sym_goto_statement_token1] = ACTIONS(1196),
    [aux_sym_continue_statement_token1] = ACTIONS(1196),
    [aux_sym_break_statement_token1] = ACTIONS(1196),
    [sym_integer] = ACTIONS(1196),
    [aux_sym_return_statement_token1] = ACTIONS(1196),
    [aux_sym_throw_expression_token1] = ACTIONS(1196),
    [aux_sym_while_statement_token1] = ACTIONS(1196),
    [aux_sym_while_statement_token2] = ACTIONS(1196),
    [aux_sym_do_statement_token1] = ACTIONS(1196),
    [aux_sym_for_statement_token1] = ACTIONS(1196),
    [aux_sym_for_statement_token2] = ACTIONS(1196),
    [aux_sym_foreach_statement_token1] = ACTIONS(1196),
    [aux_sym_foreach_statement_token2] = ACTIONS(1196),
    [aux_sym_if_statement_token1] = ACTIONS(1196),
    [aux_sym_if_statement_token2] = ACTIONS(1196),
    [aux_sym_else_if_clause_token1] = ACTIONS(1196),
    [aux_sym_else_clause_token1] = ACTIONS(1196),
    [aux_sym_match_expression_token1] = ACTIONS(1196),
    [aux_sym_match_default_expression_token1] = ACTIONS(1196),
    [aux_sym_switch_statement_token1] = ACTIONS(1196),
    [aux_sym_switch_block_token1] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_AT] = ACTIONS(1194),
    [aux_sym_clone_expression_token1] = ACTIONS(1196),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1196),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1196),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [aux_sym__list_destructing_token1] = ACTIONS(1196),
    [anon_sym_LBRACK] = ACTIONS(1194),
    [anon_sym_self] = ACTIONS(1196),
    [anon_sym_parent] = ACTIONS(1196),
    [aux_sym__argument_name_token1] = ACTIONS(1196),
    [aux_sym__argument_name_token2] = ACTIONS(1196),
    [anon_sym_POUND_LBRACK] = ACTIONS(1194),
    [aux_sym_encapsed_string_token1] = ACTIONS(1194),
    [anon_sym_DQUOTE] = ACTIONS(1194),
    [aux_sym_string_token1] = ACTIONS(1194),
    [anon_sym_SQUOTE] = ACTIONS(1194),
    [anon_sym_LT_LT_LT] = ACTIONS(1194),
    [anon_sym_BQUOTE] = ACTIONS(1194),
    [anon_sym_DOLLAR] = ACTIONS(1194),
    [aux_sym_yield_expression_token1] = ACTIONS(1196),
    [aux_sym_include_expression_token1] = ACTIONS(1196),
    [aux_sym_include_once_expression_token1] = ACTIONS(1196),
    [aux_sym_require_expression_token1] = ACTIONS(1196),
    [aux_sym_require_once_expression_token1] = ACTIONS(1196),
    [sym_comment] = ACTIONS(3),
  },
  [480] = {
    [ts_builtin_sym_end] = ACTIONS(1198),
    [sym_name] = ACTIONS(1200),
    [anon_sym_QMARK_GT] = ACTIONS(1198),
    [anon_sym_SEMI] = ACTIONS(1198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1200),
    [aux_sym_global_declaration_token1] = ACTIONS(1200),
    [aux_sym_namespace_definition_token1] = ACTIONS(1200),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1200),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1200),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1200),
    [anon_sym_BSLASH] = ACTIONS(1198),
    [anon_sym_LBRACE] = ACTIONS(1198),
    [anon_sym_RBRACE] = ACTIONS(1198),
    [aux_sym_trait_declaration_token1] = ACTIONS(1200),
    [aux_sym_interface_declaration_token1] = ACTIONS(1200),
    [aux_sym_enum_declaration_token1] = ACTIONS(1200),
    [aux_sym_enum_case_token1] = ACTIONS(1200),
    [aux_sym_class_declaration_token1] = ACTIONS(1200),
    [aux_sym_final_modifier_token1] = ACTIONS(1200),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1200),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1200),
    [sym_var_modifier] = ACTIONS(1200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1200),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1200),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1200),
    [anon_sym_LPAREN2] = ACTIONS(1198),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1200),
    [aux_sym_cast_type_token1] = ACTIONS(1200),
    [aux_sym_echo_statement_token1] = ACTIONS(1200),
    [aux_sym_exit_statement_token1] = ACTIONS(1200),
    [anon_sym_unset] = ACTIONS(1200),
    [aux_sym_declare_statement_token1] = ACTIONS(1200),
    [aux_sym_declare_statement_token2] = ACTIONS(1200),
    [sym_float] = ACTIONS(1200),
    [aux_sym_try_statement_token1] = ACTIONS(1200),
    [aux_sym_goto_statement_token1] = ACTIONS(1200),
    [aux_sym_continue_statement_token1] = ACTIONS(1200),
    [aux_sym_break_statement_token1] = ACTIONS(1200),
    [sym_integer] = ACTIONS(1200),
    [aux_sym_return_statement_token1] = ACTIONS(1200),
    [aux_sym_throw_expression_token1] = ACTIONS(1200),
    [aux_sym_while_statement_token1] = ACTIONS(1200),
    [aux_sym_while_statement_token2] = ACTIONS(1200),
    [aux_sym_do_statement_token1] = ACTIONS(1200),
    [aux_sym_for_statement_token1] = ACTIONS(1200),
    [aux_sym_for_statement_token2] = ACTIONS(1200),
    [aux_sym_foreach_statement_token1] = ACTIONS(1200),
    [aux_sym_foreach_statement_token2] = ACTIONS(1200),
    [aux_sym_if_statement_token1] = ACTIONS(1200),
    [aux_sym_if_statement_token2] = ACTIONS(1200),
    [aux_sym_else_if_clause_token1] = ACTIONS(1200),
    [aux_sym_else_clause_token1] = ACTIONS(1200),
    [aux_sym_match_expression_token1] = ACTIONS(1200),
    [aux_sym_match_default_expression_token1] = ACTIONS(1200),
    [aux_sym_switch_statement_token1] = ACTIONS(1200),
    [aux_sym_switch_block_token1] = ACTIONS(1200),
    [anon_sym_PLUS] = ACTIONS(1200),
    [anon_sym_DASH] = ACTIONS(1200),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_AT] = ACTIONS(1198),
    [aux_sym_clone_expression_token1] = ACTIONS(1200),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1200),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1200),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [aux_sym__list_destructing_token1] = ACTIONS(1200),
    [anon_sym_LBRACK] = ACTIONS(1198),
    [anon_sym_self] = ACTIONS(1200),
    [anon_sym_parent] = ACTIONS(1200),
    [aux_sym__argument_name_token1] = ACTIONS(1200),
    [aux_sym__argument_name_token2] = ACTIONS(1200),
    [anon_sym_POUND_LBRACK] = ACTIONS(1198),
    [aux_sym_encapsed_string_token1] = ACTIONS(1198),
    [anon_sym_DQUOTE] = ACTIONS(1198),
    [aux_sym_string_token1] = ACTIONS(1198),
    [anon_sym_SQUOTE] = ACTIONS(1198),
    [anon_sym_LT_LT_LT] = ACTIONS(1198),
    [anon_sym_BQUOTE] = ACTIONS(1198),
    [anon_sym_DOLLAR] = ACTIONS(1198),
    [aux_sym_yield_expression_token1] = ACTIONS(1200),
    [aux_sym_include_expression_token1] = ACTIONS(1200),
    [aux_sym_include_once_expression_token1] = ACTIONS(1200),
    [aux_sym_require_expression_token1] = ACTIONS(1200),
    [aux_sym_require_once_expression_token1] = ACTIONS(1200),
    [sym_comment] = ACTIONS(3),
  },
  [481] = {
    [ts_builtin_sym_end] = ACTIONS(1202),
    [sym_name] = ACTIONS(1204),
    [anon_sym_QMARK_GT] = ACTIONS(1202),
    [anon_sym_SEMI] = ACTIONS(1202),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1204),
    [aux_sym_global_declaration_token1] = ACTIONS(1204),
    [aux_sym_namespace_definition_token1] = ACTIONS(1204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1204),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1204),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1204),
    [anon_sym_BSLASH] = ACTIONS(1202),
    [anon_sym_LBRACE] = ACTIONS(1202),
    [anon_sym_RBRACE] = ACTIONS(1202),
    [aux_sym_trait_declaration_token1] = ACTIONS(1204),
    [aux_sym_interface_declaration_token1] = ACTIONS(1204),
    [aux_sym_enum_declaration_token1] = ACTIONS(1204),
    [aux_sym_enum_case_token1] = ACTIONS(1204),
    [aux_sym_class_declaration_token1] = ACTIONS(1204),
    [aux_sym_final_modifier_token1] = ACTIONS(1204),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1204),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1204),
    [sym_var_modifier] = ACTIONS(1204),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1204),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1204),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1204),
    [anon_sym_LPAREN2] = ACTIONS(1202),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1204),
    [aux_sym_cast_type_token1] = ACTIONS(1204),
    [aux_sym_echo_statement_token1] = ACTIONS(1204),
    [aux_sym_exit_statement_token1] = ACTIONS(1204),
    [anon_sym_unset] = ACTIONS(1204),
    [aux_sym_declare_statement_token1] = ACTIONS(1204),
    [aux_sym_declare_statement_token2] = ACTIONS(1204),
    [sym_float] = ACTIONS(1204),
    [aux_sym_try_statement_token1] = ACTIONS(1204),
    [aux_sym_goto_statement_token1] = ACTIONS(1204),
    [aux_sym_continue_statement_token1] = ACTIONS(1204),
    [aux_sym_break_statement_token1] = ACTIONS(1204),
    [sym_integer] = ACTIONS(1204),
    [aux_sym_return_statement_token1] = ACTIONS(1204),
    [aux_sym_throw_expression_token1] = ACTIONS(1204),
    [aux_sym_while_statement_token1] = ACTIONS(1204),
    [aux_sym_while_statement_token2] = ACTIONS(1204),
    [aux_sym_do_statement_token1] = ACTIONS(1204),
    [aux_sym_for_statement_token1] = ACTIONS(1204),
    [aux_sym_for_statement_token2] = ACTIONS(1204),
    [aux_sym_foreach_statement_token1] = ACTIONS(1204),
    [aux_sym_foreach_statement_token2] = ACTIONS(1204),
    [aux_sym_if_statement_token1] = ACTIONS(1204),
    [aux_sym_if_statement_token2] = ACTIONS(1204),
    [aux_sym_else_if_clause_token1] = ACTIONS(1204),
    [aux_sym_else_clause_token1] = ACTIONS(1204),
    [aux_sym_match_expression_token1] = ACTIONS(1204),
    [aux_sym_match_default_expression_token1] = ACTIONS(1204),
    [aux_sym_switch_statement_token1] = ACTIONS(1204),
    [aux_sym_switch_block_token1] = ACTIONS(1204),
    [anon_sym_PLUS] = ACTIONS(1204),
    [anon_sym_DASH] = ACTIONS(1204),
    [anon_sym_TILDE] = ACTIONS(1202),
    [anon_sym_BANG] = ACTIONS(1202),
    [anon_sym_AT] = ACTIONS(1202),
    [aux_sym_clone_expression_token1] = ACTIONS(1204),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1204),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1204),
    [anon_sym_DASH_DASH] = ACTIONS(1202),
    [anon_sym_PLUS_PLUS] = ACTIONS(1202),
    [aux_sym__list_destructing_token1] = ACTIONS(1204),
    [anon_sym_LBRACK] = ACTIONS(1202),
    [anon_sym_self] = ACTIONS(1204),
    [anon_sym_parent] = ACTIONS(1204),
    [aux_sym__argument_name_token1] = ACTIONS(1204),
    [aux_sym__argument_name_token2] = ACTIONS(1204),
    [anon_sym_POUND_LBRACK] = ACTIONS(1202),
    [aux_sym_encapsed_string_token1] = ACTIONS(1202),
    [anon_sym_DQUOTE] = ACTIONS(1202),
    [aux_sym_string_token1] = ACTIONS(1202),
    [anon_sym_SQUOTE] = ACTIONS(1202),
    [anon_sym_LT_LT_LT] = ACTIONS(1202),
    [anon_sym_BQUOTE] = ACTIONS(1202),
    [anon_sym_DOLLAR] = ACTIONS(1202),
    [aux_sym_yield_expression_token1] = ACTIONS(1204),
    [aux_sym_include_expression_token1] = ACTIONS(1204),
    [aux_sym_include_once_expression_token1] = ACTIONS(1204),
    [aux_sym_require_expression_token1] = ACTIONS(1204),
    [aux_sym_require_once_expression_token1] = ACTIONS(1204),
    [sym_comment] = ACTIONS(3),
  },
  [482] = {
    [ts_builtin_sym_end] = ACTIONS(1206),
    [sym_name] = ACTIONS(1208),
    [anon_sym_QMARK_GT] = ACTIONS(1206),
    [anon_sym_SEMI] = ACTIONS(1206),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1208),
    [aux_sym_global_declaration_token1] = ACTIONS(1208),
    [aux_sym_namespace_definition_token1] = ACTIONS(1208),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1208),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1208),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1208),
    [anon_sym_BSLASH] = ACTIONS(1206),
    [anon_sym_LBRACE] = ACTIONS(1206),
    [anon_sym_RBRACE] = ACTIONS(1206),
    [aux_sym_trait_declaration_token1] = ACTIONS(1208),
    [aux_sym_interface_declaration_token1] = ACTIONS(1208),
    [aux_sym_enum_declaration_token1] = ACTIONS(1208),
    [aux_sym_enum_case_token1] = ACTIONS(1208),
    [aux_sym_class_declaration_token1] = ACTIONS(1208),
    [aux_sym_final_modifier_token1] = ACTIONS(1208),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1208),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1208),
    [sym_var_modifier] = ACTIONS(1208),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1208),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1208),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1208),
    [anon_sym_LPAREN2] = ACTIONS(1206),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1208),
    [aux_sym_cast_type_token1] = ACTIONS(1208),
    [aux_sym_echo_statement_token1] = ACTIONS(1208),
    [aux_sym_exit_statement_token1] = ACTIONS(1208),
    [anon_sym_unset] = ACTIONS(1208),
    [aux_sym_declare_statement_token1] = ACTIONS(1208),
    [aux_sym_declare_statement_token2] = ACTIONS(1208),
    [sym_float] = ACTIONS(1208),
    [aux_sym_try_statement_token1] = ACTIONS(1208),
    [aux_sym_goto_statement_token1] = ACTIONS(1208),
    [aux_sym_continue_statement_token1] = ACTIONS(1208),
    [aux_sym_break_statement_token1] = ACTIONS(1208),
    [sym_integer] = ACTIONS(1208),
    [aux_sym_return_statement_token1] = ACTIONS(1208),
    [aux_sym_throw_expression_token1] = ACTIONS(1208),
    [aux_sym_while_statement_token1] = ACTIONS(1208),
    [aux_sym_while_statement_token2] = ACTIONS(1208),
    [aux_sym_do_statement_token1] = ACTIONS(1208),
    [aux_sym_for_statement_token1] = ACTIONS(1208),
    [aux_sym_for_statement_token2] = ACTIONS(1208),
    [aux_sym_foreach_statement_token1] = ACTIONS(1208),
    [aux_sym_foreach_statement_token2] = ACTIONS(1208),
    [aux_sym_if_statement_token1] = ACTIONS(1208),
    [aux_sym_if_statement_token2] = ACTIONS(1208),
    [aux_sym_else_if_clause_token1] = ACTIONS(1208),
    [aux_sym_else_clause_token1] = ACTIONS(1208),
    [aux_sym_match_expression_token1] = ACTIONS(1208),
    [aux_sym_match_default_expression_token1] = ACTIONS(1208),
    [aux_sym_switch_statement_token1] = ACTIONS(1208),
    [aux_sym_switch_block_token1] = ACTIONS(1208),
    [anon_sym_PLUS] = ACTIONS(1208),
    [anon_sym_DASH] = ACTIONS(1208),
    [anon_sym_TILDE] = ACTIONS(1206),
    [anon_sym_BANG] = ACTIONS(1206),
    [anon_sym_AT] = ACTIONS(1206),
    [aux_sym_clone_expression_token1] = ACTIONS(1208),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1208),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1208),
    [anon_sym_DASH_DASH] = ACTIONS(1206),
    [anon_sym_PLUS_PLUS] = ACTIONS(1206),
    [aux_sym__list_destructing_token1] = ACTIONS(1208),
    [anon_sym_LBRACK] = ACTIONS(1206),
    [anon_sym_self] = ACTIONS(1208),
    [anon_sym_parent] = ACTIONS(1208),
    [aux_sym__argument_name_token1] = ACTIONS(1208),
    [aux_sym__argument_name_token2] = ACTIONS(1208),
    [anon_sym_POUND_LBRACK] = ACTIONS(1206),
    [aux_sym_encapsed_string_token1] = ACTIONS(1206),
    [anon_sym_DQUOTE] = ACTIONS(1206),
    [aux_sym_string_token1] = ACTIONS(1206),
    [anon_sym_SQUOTE] = ACTIONS(1206),
    [anon_sym_LT_LT_LT] = ACTIONS(1206),
    [anon_sym_BQUOTE] = ACTIONS(1206),
    [anon_sym_DOLLAR] = ACTIONS(1206),
    [aux_sym_yield_expression_token1] = ACTIONS(1208),
    [aux_sym_include_expression_token1] = ACTIONS(1208),
    [aux_sym_include_once_expression_token1] = ACTIONS(1208),
    [aux_sym_require_expression_token1] = ACTIONS(1208),
    [aux_sym_require_once_expression_token1] = ACTIONS(1208),
    [sym_comment] = ACTIONS(3),
  },
  [483] = {
    [ts_builtin_sym_end] = ACTIONS(1210),
    [sym_name] = ACTIONS(1212),
    [anon_sym_QMARK_GT] = ACTIONS(1210),
    [anon_sym_SEMI] = ACTIONS(1210),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1212),
    [aux_sym_global_declaration_token1] = ACTIONS(1212),
    [aux_sym_namespace_definition_token1] = ACTIONS(1212),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1212),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1212),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1212),
    [anon_sym_BSLASH] = ACTIONS(1210),
    [anon_sym_LBRACE] = ACTIONS(1210),
    [anon_sym_RBRACE] = ACTIONS(1210),
    [aux_sym_trait_declaration_token1] = ACTIONS(1212),
    [aux_sym_interface_declaration_token1] = ACTIONS(1212),
    [aux_sym_enum_declaration_token1] = ACTIONS(1212),
    [aux_sym_enum_case_token1] = ACTIONS(1212),
    [aux_sym_class_declaration_token1] = ACTIONS(1212),
    [aux_sym_final_modifier_token1] = ACTIONS(1212),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1212),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1212),
    [sym_var_modifier] = ACTIONS(1212),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1212),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1212),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1212),
    [anon_sym_LPAREN2] = ACTIONS(1210),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1212),
    [aux_sym_cast_type_token1] = ACTIONS(1212),
    [aux_sym_echo_statement_token1] = ACTIONS(1212),
    [aux_sym_exit_statement_token1] = ACTIONS(1212),
    [anon_sym_unset] = ACTIONS(1212),
    [aux_sym_declare_statement_token1] = ACTIONS(1212),
    [aux_sym_declare_statement_token2] = ACTIONS(1212),
    [sym_float] = ACTIONS(1212),
    [aux_sym_try_statement_token1] = ACTIONS(1212),
    [aux_sym_goto_statement_token1] = ACTIONS(1212),
    [aux_sym_continue_statement_token1] = ACTIONS(1212),
    [aux_sym_break_statement_token1] = ACTIONS(1212),
    [sym_integer] = ACTIONS(1212),
    [aux_sym_return_statement_token1] = ACTIONS(1212),
    [aux_sym_throw_expression_token1] = ACTIONS(1212),
    [aux_sym_while_statement_token1] = ACTIONS(1212),
    [aux_sym_while_statement_token2] = ACTIONS(1212),
    [aux_sym_do_statement_token1] = ACTIONS(1212),
    [aux_sym_for_statement_token1] = ACTIONS(1212),
    [aux_sym_for_statement_token2] = ACTIONS(1212),
    [aux_sym_foreach_statement_token1] = ACTIONS(1212),
    [aux_sym_foreach_statement_token2] = ACTIONS(1212),
    [aux_sym_if_statement_token1] = ACTIONS(1212),
    [aux_sym_if_statement_token2] = ACTIONS(1212),
    [aux_sym_else_if_clause_token1] = ACTIONS(1212),
    [aux_sym_else_clause_token1] = ACTIONS(1212),
    [aux_sym_match_expression_token1] = ACTIONS(1212),
    [aux_sym_match_default_expression_token1] = ACTIONS(1212),
    [aux_sym_switch_statement_token1] = ACTIONS(1212),
    [aux_sym_switch_block_token1] = ACTIONS(1212),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_TILDE] = ACTIONS(1210),
    [anon_sym_BANG] = ACTIONS(1210),
    [anon_sym_AT] = ACTIONS(1210),
    [aux_sym_clone_expression_token1] = ACTIONS(1212),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1212),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1212),
    [anon_sym_DASH_DASH] = ACTIONS(1210),
    [anon_sym_PLUS_PLUS] = ACTIONS(1210),
    [aux_sym__list_destructing_token1] = ACTIONS(1212),
    [anon_sym_LBRACK] = ACTIONS(1210),
    [anon_sym_self] = ACTIONS(1212),
    [anon_sym_parent] = ACTIONS(1212),
    [aux_sym__argument_name_token1] = ACTIONS(1212),
    [aux_sym__argument_name_token2] = ACTIONS(1212),
    [anon_sym_POUND_LBRACK] = ACTIONS(1210),
    [aux_sym_encapsed_string_token1] = ACTIONS(1210),
    [anon_sym_DQUOTE] = ACTIONS(1210),
    [aux_sym_string_token1] = ACTIONS(1210),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [anon_sym_LT_LT_LT] = ACTIONS(1210),
    [anon_sym_BQUOTE] = ACTIONS(1210),
    [anon_sym_DOLLAR] = ACTIONS(1210),
    [aux_sym_yield_expression_token1] = ACTIONS(1212),
    [aux_sym_include_expression_token1] = ACTIONS(1212),
    [aux_sym_include_once_expression_token1] = ACTIONS(1212),
    [aux_sym_require_expression_token1] = ACTIONS(1212),
    [aux_sym_require_once_expression_token1] = ACTIONS(1212),
    [sym_comment] = ACTIONS(3),
  },
  [484] = {
    [ts_builtin_sym_end] = ACTIONS(1214),
    [sym_name] = ACTIONS(1216),
    [anon_sym_QMARK_GT] = ACTIONS(1214),
    [anon_sym_SEMI] = ACTIONS(1214),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1216),
    [aux_sym_global_declaration_token1] = ACTIONS(1216),
    [aux_sym_namespace_definition_token1] = ACTIONS(1216),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1216),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1216),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1216),
    [anon_sym_BSLASH] = ACTIONS(1214),
    [anon_sym_LBRACE] = ACTIONS(1214),
    [anon_sym_RBRACE] = ACTIONS(1214),
    [aux_sym_trait_declaration_token1] = ACTIONS(1216),
    [aux_sym_interface_declaration_token1] = ACTIONS(1216),
    [aux_sym_enum_declaration_token1] = ACTIONS(1216),
    [aux_sym_enum_case_token1] = ACTIONS(1216),
    [aux_sym_class_declaration_token1] = ACTIONS(1216),
    [aux_sym_final_modifier_token1] = ACTIONS(1216),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1216),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1216),
    [sym_var_modifier] = ACTIONS(1216),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1216),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1216),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1216),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1216),
    [aux_sym_cast_type_token1] = ACTIONS(1216),
    [aux_sym_echo_statement_token1] = ACTIONS(1216),
    [aux_sym_exit_statement_token1] = ACTIONS(1216),
    [anon_sym_unset] = ACTIONS(1216),
    [aux_sym_declare_statement_token1] = ACTIONS(1216),
    [aux_sym_declare_statement_token2] = ACTIONS(1216),
    [sym_float] = ACTIONS(1216),
    [aux_sym_try_statement_token1] = ACTIONS(1216),
    [aux_sym_goto_statement_token1] = ACTIONS(1216),
    [aux_sym_continue_statement_token1] = ACTIONS(1216),
    [aux_sym_break_statement_token1] = ACTIONS(1216),
    [sym_integer] = ACTIONS(1216),
    [aux_sym_return_statement_token1] = ACTIONS(1216),
    [aux_sym_throw_expression_token1] = ACTIONS(1216),
    [aux_sym_while_statement_token1] = ACTIONS(1216),
    [aux_sym_while_statement_token2] = ACTIONS(1216),
    [aux_sym_do_statement_token1] = ACTIONS(1216),
    [aux_sym_for_statement_token1] = ACTIONS(1216),
    [aux_sym_for_statement_token2] = ACTIONS(1216),
    [aux_sym_foreach_statement_token1] = ACTIONS(1216),
    [aux_sym_foreach_statement_token2] = ACTIONS(1216),
    [aux_sym_if_statement_token1] = ACTIONS(1216),
    [aux_sym_if_statement_token2] = ACTIONS(1216),
    [aux_sym_else_if_clause_token1] = ACTIONS(1216),
    [aux_sym_else_clause_token1] = ACTIONS(1216),
    [aux_sym_match_expression_token1] = ACTIONS(1216),
    [aux_sym_match_default_expression_token1] = ACTIONS(1216),
    [aux_sym_switch_statement_token1] = ACTIONS(1216),
    [aux_sym_switch_block_token1] = ACTIONS(1216),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_TILDE] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(1214),
    [anon_sym_AT] = ACTIONS(1214),
    [aux_sym_clone_expression_token1] = ACTIONS(1216),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1216),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1216),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [aux_sym__list_destructing_token1] = ACTIONS(1216),
    [anon_sym_LBRACK] = ACTIONS(1214),
    [anon_sym_self] = ACTIONS(1216),
    [anon_sym_parent] = ACTIONS(1216),
    [aux_sym__argument_name_token1] = ACTIONS(1216),
    [aux_sym__argument_name_token2] = ACTIONS(1216),
    [anon_sym_POUND_LBRACK] = ACTIONS(1214),
    [aux_sym_encapsed_string_token1] = ACTIONS(1214),
    [anon_sym_DQUOTE] = ACTIONS(1214),
    [aux_sym_string_token1] = ACTIONS(1214),
    [anon_sym_SQUOTE] = ACTIONS(1214),
    [anon_sym_LT_LT_LT] = ACTIONS(1214),
    [anon_sym_BQUOTE] = ACTIONS(1214),
    [anon_sym_DOLLAR] = ACTIONS(1214),
    [aux_sym_yield_expression_token1] = ACTIONS(1216),
    [aux_sym_include_expression_token1] = ACTIONS(1216),
    [aux_sym_include_once_expression_token1] = ACTIONS(1216),
    [aux_sym_require_expression_token1] = ACTIONS(1216),
    [aux_sym_require_once_expression_token1] = ACTIONS(1216),
    [sym_comment] = ACTIONS(3),
  },
  [485] = {
    [ts_builtin_sym_end] = ACTIONS(1218),
    [sym_name] = ACTIONS(1220),
    [anon_sym_QMARK_GT] = ACTIONS(1218),
    [anon_sym_SEMI] = ACTIONS(1218),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1220),
    [aux_sym_global_declaration_token1] = ACTIONS(1220),
    [aux_sym_namespace_definition_token1] = ACTIONS(1220),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1220),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1220),
    [anon_sym_BSLASH] = ACTIONS(1218),
    [anon_sym_LBRACE] = ACTIONS(1218),
    [anon_sym_RBRACE] = ACTIONS(1218),
    [aux_sym_trait_declaration_token1] = ACTIONS(1220),
    [aux_sym_interface_declaration_token1] = ACTIONS(1220),
    [aux_sym_enum_declaration_token1] = ACTIONS(1220),
    [aux_sym_enum_case_token1] = ACTIONS(1220),
    [aux_sym_class_declaration_token1] = ACTIONS(1220),
    [aux_sym_final_modifier_token1] = ACTIONS(1220),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1220),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1220),
    [sym_var_modifier] = ACTIONS(1220),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1220),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1220),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1220),
    [anon_sym_LPAREN2] = ACTIONS(1218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1220),
    [aux_sym_cast_type_token1] = ACTIONS(1220),
    [aux_sym_echo_statement_token1] = ACTIONS(1220),
    [aux_sym_exit_statement_token1] = ACTIONS(1220),
    [anon_sym_unset] = ACTIONS(1220),
    [aux_sym_declare_statement_token1] = ACTIONS(1220),
    [aux_sym_declare_statement_token2] = ACTIONS(1220),
    [sym_float] = ACTIONS(1220),
    [aux_sym_try_statement_token1] = ACTIONS(1220),
    [aux_sym_goto_statement_token1] = ACTIONS(1220),
    [aux_sym_continue_statement_token1] = ACTIONS(1220),
    [aux_sym_break_statement_token1] = ACTIONS(1220),
    [sym_integer] = ACTIONS(1220),
    [aux_sym_return_statement_token1] = ACTIONS(1220),
    [aux_sym_throw_expression_token1] = ACTIONS(1220),
    [aux_sym_while_statement_token1] = ACTIONS(1220),
    [aux_sym_while_statement_token2] = ACTIONS(1220),
    [aux_sym_do_statement_token1] = ACTIONS(1220),
    [aux_sym_for_statement_token1] = ACTIONS(1220),
    [aux_sym_for_statement_token2] = ACTIONS(1220),
    [aux_sym_foreach_statement_token1] = ACTIONS(1220),
    [aux_sym_foreach_statement_token2] = ACTIONS(1220),
    [aux_sym_if_statement_token1] = ACTIONS(1220),
    [aux_sym_if_statement_token2] = ACTIONS(1220),
    [aux_sym_else_if_clause_token1] = ACTIONS(1220),
    [aux_sym_else_clause_token1] = ACTIONS(1220),
    [aux_sym_match_expression_token1] = ACTIONS(1220),
    [aux_sym_match_default_expression_token1] = ACTIONS(1220),
    [aux_sym_switch_statement_token1] = ACTIONS(1220),
    [aux_sym_switch_block_token1] = ACTIONS(1220),
    [anon_sym_PLUS] = ACTIONS(1220),
    [anon_sym_DASH] = ACTIONS(1220),
    [anon_sym_TILDE] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1218),
    [anon_sym_AT] = ACTIONS(1218),
    [aux_sym_clone_expression_token1] = ACTIONS(1220),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1220),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1220),
    [anon_sym_DASH_DASH] = ACTIONS(1218),
    [anon_sym_PLUS_PLUS] = ACTIONS(1218),
    [aux_sym__list_destructing_token1] = ACTIONS(1220),
    [anon_sym_LBRACK] = ACTIONS(1218),
    [anon_sym_self] = ACTIONS(1220),
    [anon_sym_parent] = ACTIONS(1220),
    [aux_sym__argument_name_token1] = ACTIONS(1220),
    [aux_sym__argument_name_token2] = ACTIONS(1220),
    [anon_sym_POUND_LBRACK] = ACTIONS(1218),
    [aux_sym_encapsed_string_token1] = ACTIONS(1218),
    [anon_sym_DQUOTE] = ACTIONS(1218),
    [aux_sym_string_token1] = ACTIONS(1218),
    [anon_sym_SQUOTE] = ACTIONS(1218),
    [anon_sym_LT_LT_LT] = ACTIONS(1218),
    [anon_sym_BQUOTE] = ACTIONS(1218),
    [anon_sym_DOLLAR] = ACTIONS(1218),
    [aux_sym_yield_expression_token1] = ACTIONS(1220),
    [aux_sym_include_expression_token1] = ACTIONS(1220),
    [aux_sym_include_once_expression_token1] = ACTIONS(1220),
    [aux_sym_require_expression_token1] = ACTIONS(1220),
    [aux_sym_require_once_expression_token1] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
  },
  [486] = {
    [ts_builtin_sym_end] = ACTIONS(1222),
    [sym_name] = ACTIONS(1224),
    [anon_sym_QMARK_GT] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1224),
    [aux_sym_global_declaration_token1] = ACTIONS(1224),
    [aux_sym_namespace_definition_token1] = ACTIONS(1224),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1224),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1224),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1224),
    [anon_sym_BSLASH] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1222),
    [aux_sym_trait_declaration_token1] = ACTIONS(1224),
    [aux_sym_interface_declaration_token1] = ACTIONS(1224),
    [aux_sym_enum_declaration_token1] = ACTIONS(1224),
    [aux_sym_enum_case_token1] = ACTIONS(1224),
    [aux_sym_class_declaration_token1] = ACTIONS(1224),
    [aux_sym_final_modifier_token1] = ACTIONS(1224),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1224),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1224),
    [sym_var_modifier] = ACTIONS(1224),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1224),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1224),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1224),
    [anon_sym_LPAREN2] = ACTIONS(1222),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1224),
    [aux_sym_cast_type_token1] = ACTIONS(1224),
    [aux_sym_echo_statement_token1] = ACTIONS(1224),
    [aux_sym_exit_statement_token1] = ACTIONS(1224),
    [anon_sym_unset] = ACTIONS(1224),
    [aux_sym_declare_statement_token1] = ACTIONS(1224),
    [aux_sym_declare_statement_token2] = ACTIONS(1224),
    [sym_float] = ACTIONS(1224),
    [aux_sym_try_statement_token1] = ACTIONS(1224),
    [aux_sym_goto_statement_token1] = ACTIONS(1224),
    [aux_sym_continue_statement_token1] = ACTIONS(1224),
    [aux_sym_break_statement_token1] = ACTIONS(1224),
    [sym_integer] = ACTIONS(1224),
    [aux_sym_return_statement_token1] = ACTIONS(1224),
    [aux_sym_throw_expression_token1] = ACTIONS(1224),
    [aux_sym_while_statement_token1] = ACTIONS(1224),
    [aux_sym_while_statement_token2] = ACTIONS(1224),
    [aux_sym_do_statement_token1] = ACTIONS(1224),
    [aux_sym_for_statement_token1] = ACTIONS(1224),
    [aux_sym_for_statement_token2] = ACTIONS(1224),
    [aux_sym_foreach_statement_token1] = ACTIONS(1224),
    [aux_sym_foreach_statement_token2] = ACTIONS(1224),
    [aux_sym_if_statement_token1] = ACTIONS(1224),
    [aux_sym_if_statement_token2] = ACTIONS(1224),
    [aux_sym_else_if_clause_token1] = ACTIONS(1224),
    [aux_sym_else_clause_token1] = ACTIONS(1224),
    [aux_sym_match_expression_token1] = ACTIONS(1224),
    [aux_sym_match_default_expression_token1] = ACTIONS(1224),
    [aux_sym_switch_statement_token1] = ACTIONS(1224),
    [aux_sym_switch_block_token1] = ACTIONS(1224),
    [anon_sym_PLUS] = ACTIONS(1224),
    [anon_sym_DASH] = ACTIONS(1224),
    [anon_sym_TILDE] = ACTIONS(1222),
    [anon_sym_BANG] = ACTIONS(1222),
    [anon_sym_AT] = ACTIONS(1222),
    [aux_sym_clone_expression_token1] = ACTIONS(1224),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1224),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1224),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [aux_sym__list_destructing_token1] = ACTIONS(1224),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_self] = ACTIONS(1224),
    [anon_sym_parent] = ACTIONS(1224),
    [aux_sym__argument_name_token1] = ACTIONS(1224),
    [aux_sym__argument_name_token2] = ACTIONS(1224),
    [anon_sym_POUND_LBRACK] = ACTIONS(1222),
    [aux_sym_encapsed_string_token1] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1222),
    [aux_sym_string_token1] = ACTIONS(1222),
    [anon_sym_SQUOTE] = ACTIONS(1222),
    [anon_sym_LT_LT_LT] = ACTIONS(1222),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_DOLLAR] = ACTIONS(1222),
    [aux_sym_yield_expression_token1] = ACTIONS(1224),
    [aux_sym_include_expression_token1] = ACTIONS(1224),
    [aux_sym_include_once_expression_token1] = ACTIONS(1224),
    [aux_sym_require_expression_token1] = ACTIONS(1224),
    [aux_sym_require_once_expression_token1] = ACTIONS(1224),
    [sym_comment] = ACTIONS(3),
  },
  [487] = {
    [ts_builtin_sym_end] = ACTIONS(1226),
    [sym_name] = ACTIONS(1228),
    [anon_sym_QMARK_GT] = ACTIONS(1226),
    [anon_sym_SEMI] = ACTIONS(1226),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1228),
    [aux_sym_global_declaration_token1] = ACTIONS(1228),
    [aux_sym_namespace_definition_token1] = ACTIONS(1228),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1228),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1228),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1228),
    [anon_sym_BSLASH] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(1226),
    [anon_sym_RBRACE] = ACTIONS(1226),
    [aux_sym_trait_declaration_token1] = ACTIONS(1228),
    [aux_sym_interface_declaration_token1] = ACTIONS(1228),
    [aux_sym_enum_declaration_token1] = ACTIONS(1228),
    [aux_sym_enum_case_token1] = ACTIONS(1228),
    [aux_sym_class_declaration_token1] = ACTIONS(1228),
    [aux_sym_final_modifier_token1] = ACTIONS(1228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1228),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1228),
    [sym_var_modifier] = ACTIONS(1228),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1228),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1228),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1228),
    [anon_sym_LPAREN2] = ACTIONS(1226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1228),
    [aux_sym_cast_type_token1] = ACTIONS(1228),
    [aux_sym_echo_statement_token1] = ACTIONS(1228),
    [aux_sym_exit_statement_token1] = ACTIONS(1228),
    [anon_sym_unset] = ACTIONS(1228),
    [aux_sym_declare_statement_token1] = ACTIONS(1228),
    [aux_sym_declare_statement_token2] = ACTIONS(1228),
    [sym_float] = ACTIONS(1228),
    [aux_sym_try_statement_token1] = ACTIONS(1228),
    [aux_sym_goto_statement_token1] = ACTIONS(1228),
    [aux_sym_continue_statement_token1] = ACTIONS(1228),
    [aux_sym_break_statement_token1] = ACTIONS(1228),
    [sym_integer] = ACTIONS(1228),
    [aux_sym_return_statement_token1] = ACTIONS(1228),
    [aux_sym_throw_expression_token1] = ACTIONS(1228),
    [aux_sym_while_statement_token1] = ACTIONS(1228),
    [aux_sym_while_statement_token2] = ACTIONS(1228),
    [aux_sym_do_statement_token1] = ACTIONS(1228),
    [aux_sym_for_statement_token1] = ACTIONS(1228),
    [aux_sym_for_statement_token2] = ACTIONS(1228),
    [aux_sym_foreach_statement_token1] = ACTIONS(1228),
    [aux_sym_foreach_statement_token2] = ACTIONS(1228),
    [aux_sym_if_statement_token1] = ACTIONS(1228),
    [aux_sym_if_statement_token2] = ACTIONS(1228),
    [aux_sym_else_if_clause_token1] = ACTIONS(1228),
    [aux_sym_else_clause_token1] = ACTIONS(1228),
    [aux_sym_match_expression_token1] = ACTIONS(1228),
    [aux_sym_match_default_expression_token1] = ACTIONS(1228),
    [aux_sym_switch_statement_token1] = ACTIONS(1228),
    [aux_sym_switch_block_token1] = ACTIONS(1228),
    [anon_sym_PLUS] = ACTIONS(1228),
    [anon_sym_DASH] = ACTIONS(1228),
    [anon_sym_TILDE] = ACTIONS(1226),
    [anon_sym_BANG] = ACTIONS(1226),
    [anon_sym_AT] = ACTIONS(1226),
    [aux_sym_clone_expression_token1] = ACTIONS(1228),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1228),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1228),
    [anon_sym_DASH_DASH] = ACTIONS(1226),
    [anon_sym_PLUS_PLUS] = ACTIONS(1226),
    [aux_sym__list_destructing_token1] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1226),
    [anon_sym_self] = ACTIONS(1228),
    [anon_sym_parent] = ACTIONS(1228),
    [aux_sym__argument_name_token1] = ACTIONS(1228),
    [aux_sym__argument_name_token2] = ACTIONS(1228),
    [anon_sym_POUND_LBRACK] = ACTIONS(1226),
    [aux_sym_encapsed_string_token1] = ACTIONS(1226),
    [anon_sym_DQUOTE] = ACTIONS(1226),
    [aux_sym_string_token1] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1226),
    [anon_sym_LT_LT_LT] = ACTIONS(1226),
    [anon_sym_BQUOTE] = ACTIONS(1226),
    [anon_sym_DOLLAR] = ACTIONS(1226),
    [aux_sym_yield_expression_token1] = ACTIONS(1228),
    [aux_sym_include_expression_token1] = ACTIONS(1228),
    [aux_sym_include_once_expression_token1] = ACTIONS(1228),
    [aux_sym_require_expression_token1] = ACTIONS(1228),
    [aux_sym_require_once_expression_token1] = ACTIONS(1228),
    [sym_comment] = ACTIONS(3),
  },
  [488] = {
    [ts_builtin_sym_end] = ACTIONS(1230),
    [sym_name] = ACTIONS(1232),
    [anon_sym_QMARK_GT] = ACTIONS(1230),
    [anon_sym_SEMI] = ACTIONS(1230),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1232),
    [aux_sym_global_declaration_token1] = ACTIONS(1232),
    [aux_sym_namespace_definition_token1] = ACTIONS(1232),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1232),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1232),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1232),
    [anon_sym_BSLASH] = ACTIONS(1230),
    [anon_sym_LBRACE] = ACTIONS(1230),
    [anon_sym_RBRACE] = ACTIONS(1230),
    [aux_sym_trait_declaration_token1] = ACTIONS(1232),
    [aux_sym_interface_declaration_token1] = ACTIONS(1232),
    [aux_sym_enum_declaration_token1] = ACTIONS(1232),
    [aux_sym_enum_case_token1] = ACTIONS(1232),
    [aux_sym_class_declaration_token1] = ACTIONS(1232),
    [aux_sym_final_modifier_token1] = ACTIONS(1232),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1232),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1232),
    [sym_var_modifier] = ACTIONS(1232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1232),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1232),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1232),
    [anon_sym_LPAREN2] = ACTIONS(1230),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1232),
    [aux_sym_cast_type_token1] = ACTIONS(1232),
    [aux_sym_echo_statement_token1] = ACTIONS(1232),
    [aux_sym_exit_statement_token1] = ACTIONS(1232),
    [anon_sym_unset] = ACTIONS(1232),
    [aux_sym_declare_statement_token1] = ACTIONS(1232),
    [aux_sym_declare_statement_token2] = ACTIONS(1232),
    [sym_float] = ACTIONS(1232),
    [aux_sym_try_statement_token1] = ACTIONS(1232),
    [aux_sym_goto_statement_token1] = ACTIONS(1232),
    [aux_sym_continue_statement_token1] = ACTIONS(1232),
    [aux_sym_break_statement_token1] = ACTIONS(1232),
    [sym_integer] = ACTIONS(1232),
    [aux_sym_return_statement_token1] = ACTIONS(1232),
    [aux_sym_throw_expression_token1] = ACTIONS(1232),
    [aux_sym_while_statement_token1] = ACTIONS(1232),
    [aux_sym_while_statement_token2] = ACTIONS(1232),
    [aux_sym_do_statement_token1] = ACTIONS(1232),
    [aux_sym_for_statement_token1] = ACTIONS(1232),
    [aux_sym_for_statement_token2] = ACTIONS(1232),
    [aux_sym_foreach_statement_token1] = ACTIONS(1232),
    [aux_sym_foreach_statement_token2] = ACTIONS(1232),
    [aux_sym_if_statement_token1] = ACTIONS(1232),
    [aux_sym_if_statement_token2] = ACTIONS(1232),
    [aux_sym_else_if_clause_token1] = ACTIONS(1232),
    [aux_sym_else_clause_token1] = ACTIONS(1232),
    [aux_sym_match_expression_token1] = ACTIONS(1232),
    [aux_sym_match_default_expression_token1] = ACTIONS(1232),
    [aux_sym_switch_statement_token1] = ACTIONS(1232),
    [aux_sym_switch_block_token1] = ACTIONS(1232),
    [anon_sym_PLUS] = ACTIONS(1232),
    [anon_sym_DASH] = ACTIONS(1232),
    [anon_sym_TILDE] = ACTIONS(1230),
    [anon_sym_BANG] = ACTIONS(1230),
    [anon_sym_AT] = ACTIONS(1230),
    [aux_sym_clone_expression_token1] = ACTIONS(1232),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1232),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1232),
    [anon_sym_DASH_DASH] = ACTIONS(1230),
    [anon_sym_PLUS_PLUS] = ACTIONS(1230),
    [aux_sym__list_destructing_token1] = ACTIONS(1232),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_self] = ACTIONS(1232),
    [anon_sym_parent] = ACTIONS(1232),
    [aux_sym__argument_name_token1] = ACTIONS(1232),
    [aux_sym__argument_name_token2] = ACTIONS(1232),
    [anon_sym_POUND_LBRACK] = ACTIONS(1230),
    [aux_sym_encapsed_string_token1] = ACTIONS(1230),
    [anon_sym_DQUOTE] = ACTIONS(1230),
    [aux_sym_string_token1] = ACTIONS(1230),
    [anon_sym_SQUOTE] = ACTIONS(1230),
    [anon_sym_LT_LT_LT] = ACTIONS(1230),
    [anon_sym_BQUOTE] = ACTIONS(1230),
    [anon_sym_DOLLAR] = ACTIONS(1230),
    [aux_sym_yield_expression_token1] = ACTIONS(1232),
    [aux_sym_include_expression_token1] = ACTIONS(1232),
    [aux_sym_include_once_expression_token1] = ACTIONS(1232),
    [aux_sym_require_expression_token1] = ACTIONS(1232),
    [aux_sym_require_once_expression_token1] = ACTIONS(1232),
    [sym_comment] = ACTIONS(3),
  },
  [489] = {
    [ts_builtin_sym_end] = ACTIONS(1234),
    [sym_name] = ACTIONS(1236),
    [anon_sym_QMARK_GT] = ACTIONS(1234),
    [anon_sym_SEMI] = ACTIONS(1234),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1236),
    [aux_sym_global_declaration_token1] = ACTIONS(1236),
    [aux_sym_namespace_definition_token1] = ACTIONS(1236),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1236),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1236),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1236),
    [anon_sym_BSLASH] = ACTIONS(1234),
    [anon_sym_LBRACE] = ACTIONS(1234),
    [anon_sym_RBRACE] = ACTIONS(1234),
    [aux_sym_trait_declaration_token1] = ACTIONS(1236),
    [aux_sym_interface_declaration_token1] = ACTIONS(1236),
    [aux_sym_enum_declaration_token1] = ACTIONS(1236),
    [aux_sym_enum_case_token1] = ACTIONS(1236),
    [aux_sym_class_declaration_token1] = ACTIONS(1236),
    [aux_sym_final_modifier_token1] = ACTIONS(1236),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1236),
    [sym_var_modifier] = ACTIONS(1236),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1236),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1236),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1236),
    [anon_sym_LPAREN2] = ACTIONS(1234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1236),
    [aux_sym_cast_type_token1] = ACTIONS(1236),
    [aux_sym_echo_statement_token1] = ACTIONS(1236),
    [aux_sym_exit_statement_token1] = ACTIONS(1236),
    [anon_sym_unset] = ACTIONS(1236),
    [aux_sym_declare_statement_token1] = ACTIONS(1236),
    [aux_sym_declare_statement_token2] = ACTIONS(1236),
    [sym_float] = ACTIONS(1236),
    [aux_sym_try_statement_token1] = ACTIONS(1236),
    [aux_sym_goto_statement_token1] = ACTIONS(1236),
    [aux_sym_continue_statement_token1] = ACTIONS(1236),
    [aux_sym_break_statement_token1] = ACTIONS(1236),
    [sym_integer] = ACTIONS(1236),
    [aux_sym_return_statement_token1] = ACTIONS(1236),
    [aux_sym_throw_expression_token1] = ACTIONS(1236),
    [aux_sym_while_statement_token1] = ACTIONS(1236),
    [aux_sym_while_statement_token2] = ACTIONS(1236),
    [aux_sym_do_statement_token1] = ACTIONS(1236),
    [aux_sym_for_statement_token1] = ACTIONS(1236),
    [aux_sym_for_statement_token2] = ACTIONS(1236),
    [aux_sym_foreach_statement_token1] = ACTIONS(1236),
    [aux_sym_foreach_statement_token2] = ACTIONS(1236),
    [aux_sym_if_statement_token1] = ACTIONS(1236),
    [aux_sym_if_statement_token2] = ACTIONS(1236),
    [aux_sym_else_if_clause_token1] = ACTIONS(1236),
    [aux_sym_else_clause_token1] = ACTIONS(1236),
    [aux_sym_match_expression_token1] = ACTIONS(1236),
    [aux_sym_match_default_expression_token1] = ACTIONS(1236),
    [aux_sym_switch_statement_token1] = ACTIONS(1236),
    [aux_sym_switch_block_token1] = ACTIONS(1236),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1234),
    [anon_sym_BANG] = ACTIONS(1234),
    [anon_sym_AT] = ACTIONS(1234),
    [aux_sym_clone_expression_token1] = ACTIONS(1236),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1236),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1236),
    [anon_sym_DASH_DASH] = ACTIONS(1234),
    [anon_sym_PLUS_PLUS] = ACTIONS(1234),
    [aux_sym__list_destructing_token1] = ACTIONS(1236),
    [anon_sym_LBRACK] = ACTIONS(1234),
    [anon_sym_self] = ACTIONS(1236),
    [anon_sym_parent] = ACTIONS(1236),
    [aux_sym__argument_name_token1] = ACTIONS(1236),
    [aux_sym__argument_name_token2] = ACTIONS(1236),
    [anon_sym_POUND_LBRACK] = ACTIONS(1234),
    [aux_sym_encapsed_string_token1] = ACTIONS(1234),
    [anon_sym_DQUOTE] = ACTIONS(1234),
    [aux_sym_string_token1] = ACTIONS(1234),
    [anon_sym_SQUOTE] = ACTIONS(1234),
    [anon_sym_LT_LT_LT] = ACTIONS(1234),
    [anon_sym_BQUOTE] = ACTIONS(1234),
    [anon_sym_DOLLAR] = ACTIONS(1234),
    [aux_sym_yield_expression_token1] = ACTIONS(1236),
    [aux_sym_include_expression_token1] = ACTIONS(1236),
    [aux_sym_include_once_expression_token1] = ACTIONS(1236),
    [aux_sym_require_expression_token1] = ACTIONS(1236),
    [aux_sym_require_once_expression_token1] = ACTIONS(1236),
    [sym_comment] = ACTIONS(3),
  },
  [490] = {
    [ts_builtin_sym_end] = ACTIONS(1238),
    [sym_name] = ACTIONS(1240),
    [anon_sym_QMARK_GT] = ACTIONS(1238),
    [anon_sym_SEMI] = ACTIONS(1238),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1240),
    [aux_sym_global_declaration_token1] = ACTIONS(1240),
    [aux_sym_namespace_definition_token1] = ACTIONS(1240),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1240),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1240),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1240),
    [anon_sym_BSLASH] = ACTIONS(1238),
    [anon_sym_LBRACE] = ACTIONS(1238),
    [anon_sym_RBRACE] = ACTIONS(1238),
    [aux_sym_trait_declaration_token1] = ACTIONS(1240),
    [aux_sym_interface_declaration_token1] = ACTIONS(1240),
    [aux_sym_enum_declaration_token1] = ACTIONS(1240),
    [aux_sym_enum_case_token1] = ACTIONS(1240),
    [aux_sym_class_declaration_token1] = ACTIONS(1240),
    [aux_sym_final_modifier_token1] = ACTIONS(1240),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1240),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1240),
    [sym_var_modifier] = ACTIONS(1240),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1240),
    [anon_sym_LPAREN2] = ACTIONS(1238),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1240),
    [aux_sym_cast_type_token1] = ACTIONS(1240),
    [aux_sym_echo_statement_token1] = ACTIONS(1240),
    [aux_sym_exit_statement_token1] = ACTIONS(1240),
    [anon_sym_unset] = ACTIONS(1240),
    [aux_sym_declare_statement_token1] = ACTIONS(1240),
    [aux_sym_declare_statement_token2] = ACTIONS(1240),
    [sym_float] = ACTIONS(1240),
    [aux_sym_try_statement_token1] = ACTIONS(1240),
    [aux_sym_goto_statement_token1] = ACTIONS(1240),
    [aux_sym_continue_statement_token1] = ACTIONS(1240),
    [aux_sym_break_statement_token1] = ACTIONS(1240),
    [sym_integer] = ACTIONS(1240),
    [aux_sym_return_statement_token1] = ACTIONS(1240),
    [aux_sym_throw_expression_token1] = ACTIONS(1240),
    [aux_sym_while_statement_token1] = ACTIONS(1240),
    [aux_sym_while_statement_token2] = ACTIONS(1240),
    [aux_sym_do_statement_token1] = ACTIONS(1240),
    [aux_sym_for_statement_token1] = ACTIONS(1240),
    [aux_sym_for_statement_token2] = ACTIONS(1240),
    [aux_sym_foreach_statement_token1] = ACTIONS(1240),
    [aux_sym_foreach_statement_token2] = ACTIONS(1240),
    [aux_sym_if_statement_token1] = ACTIONS(1240),
    [aux_sym_if_statement_token2] = ACTIONS(1240),
    [aux_sym_else_if_clause_token1] = ACTIONS(1240),
    [aux_sym_else_clause_token1] = ACTIONS(1240),
    [aux_sym_match_expression_token1] = ACTIONS(1240),
    [aux_sym_match_default_expression_token1] = ACTIONS(1240),
    [aux_sym_switch_statement_token1] = ACTIONS(1240),
    [aux_sym_switch_block_token1] = ACTIONS(1240),
    [anon_sym_PLUS] = ACTIONS(1240),
    [anon_sym_DASH] = ACTIONS(1240),
    [anon_sym_TILDE] = ACTIONS(1238),
    [anon_sym_BANG] = ACTIONS(1238),
    [anon_sym_AT] = ACTIONS(1238),
    [aux_sym_clone_expression_token1] = ACTIONS(1240),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1240),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1240),
    [anon_sym_DASH_DASH] = ACTIONS(1238),
    [anon_sym_PLUS_PLUS] = ACTIONS(1238),
    [aux_sym__list_destructing_token1] = ACTIONS(1240),
    [anon_sym_LBRACK] = ACTIONS(1238),
    [anon_sym_self] = ACTIONS(1240),
    [anon_sym_parent] = ACTIONS(1240),
    [aux_sym__argument_name_token1] = ACTIONS(1240),
    [aux_sym__argument_name_token2] = ACTIONS(1240),
    [anon_sym_POUND_LBRACK] = ACTIONS(1238),
    [aux_sym_encapsed_string_token1] = ACTIONS(1238),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [aux_sym_string_token1] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1238),
    [anon_sym_LT_LT_LT] = ACTIONS(1238),
    [anon_sym_BQUOTE] = ACTIONS(1238),
    [anon_sym_DOLLAR] = ACTIONS(1238),
    [aux_sym_yield_expression_token1] = ACTIONS(1240),
    [aux_sym_include_expression_token1] = ACTIONS(1240),
    [aux_sym_include_once_expression_token1] = ACTIONS(1240),
    [aux_sym_require_expression_token1] = ACTIONS(1240),
    [aux_sym_require_once_expression_token1] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
  },
  [491] = {
    [ts_builtin_sym_end] = ACTIONS(1242),
    [sym_name] = ACTIONS(1244),
    [anon_sym_QMARK_GT] = ACTIONS(1242),
    [anon_sym_SEMI] = ACTIONS(1242),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1244),
    [aux_sym_global_declaration_token1] = ACTIONS(1244),
    [aux_sym_namespace_definition_token1] = ACTIONS(1244),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1244),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1244),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1244),
    [anon_sym_BSLASH] = ACTIONS(1242),
    [anon_sym_LBRACE] = ACTIONS(1242),
    [anon_sym_RBRACE] = ACTIONS(1242),
    [aux_sym_trait_declaration_token1] = ACTIONS(1244),
    [aux_sym_interface_declaration_token1] = ACTIONS(1244),
    [aux_sym_enum_declaration_token1] = ACTIONS(1244),
    [aux_sym_enum_case_token1] = ACTIONS(1244),
    [aux_sym_class_declaration_token1] = ACTIONS(1244),
    [aux_sym_final_modifier_token1] = ACTIONS(1244),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1244),
    [sym_var_modifier] = ACTIONS(1244),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1244),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1244),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1244),
    [anon_sym_LPAREN2] = ACTIONS(1242),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1244),
    [aux_sym_cast_type_token1] = ACTIONS(1244),
    [aux_sym_echo_statement_token1] = ACTIONS(1244),
    [aux_sym_exit_statement_token1] = ACTIONS(1244),
    [anon_sym_unset] = ACTIONS(1244),
    [aux_sym_declare_statement_token1] = ACTIONS(1244),
    [aux_sym_declare_statement_token2] = ACTIONS(1244),
    [sym_float] = ACTIONS(1244),
    [aux_sym_try_statement_token1] = ACTIONS(1244),
    [aux_sym_goto_statement_token1] = ACTIONS(1244),
    [aux_sym_continue_statement_token1] = ACTIONS(1244),
    [aux_sym_break_statement_token1] = ACTIONS(1244),
    [sym_integer] = ACTIONS(1244),
    [aux_sym_return_statement_token1] = ACTIONS(1244),
    [aux_sym_throw_expression_token1] = ACTIONS(1244),
    [aux_sym_while_statement_token1] = ACTIONS(1244),
    [aux_sym_while_statement_token2] = ACTIONS(1244),
    [aux_sym_do_statement_token1] = ACTIONS(1244),
    [aux_sym_for_statement_token1] = ACTIONS(1244),
    [aux_sym_for_statement_token2] = ACTIONS(1244),
    [aux_sym_foreach_statement_token1] = ACTIONS(1244),
    [aux_sym_foreach_statement_token2] = ACTIONS(1244),
    [aux_sym_if_statement_token1] = ACTIONS(1244),
    [aux_sym_if_statement_token2] = ACTIONS(1244),
    [aux_sym_else_if_clause_token1] = ACTIONS(1244),
    [aux_sym_else_clause_token1] = ACTIONS(1244),
    [aux_sym_match_expression_token1] = ACTIONS(1244),
    [aux_sym_match_default_expression_token1] = ACTIONS(1244),
    [aux_sym_switch_statement_token1] = ACTIONS(1244),
    [aux_sym_switch_block_token1] = ACTIONS(1244),
    [anon_sym_PLUS] = ACTIONS(1244),
    [anon_sym_DASH] = ACTIONS(1244),
    [anon_sym_TILDE] = ACTIONS(1242),
    [anon_sym_BANG] = ACTIONS(1242),
    [anon_sym_AT] = ACTIONS(1242),
    [aux_sym_clone_expression_token1] = ACTIONS(1244),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1244),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1244),
    [anon_sym_DASH_DASH] = ACTIONS(1242),
    [anon_sym_PLUS_PLUS] = ACTIONS(1242),
    [aux_sym__list_destructing_token1] = ACTIONS(1244),
    [anon_sym_LBRACK] = ACTIONS(1242),
    [anon_sym_self] = ACTIONS(1244),
    [anon_sym_parent] = ACTIONS(1244),
    [aux_sym__argument_name_token1] = ACTIONS(1244),
    [aux_sym__argument_name_token2] = ACTIONS(1244),
    [anon_sym_POUND_LBRACK] = ACTIONS(1242),
    [aux_sym_encapsed_string_token1] = ACTIONS(1242),
    [anon_sym_DQUOTE] = ACTIONS(1242),
    [aux_sym_string_token1] = ACTIONS(1242),
    [anon_sym_SQUOTE] = ACTIONS(1242),
    [anon_sym_LT_LT_LT] = ACTIONS(1242),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [anon_sym_DOLLAR] = ACTIONS(1242),
    [aux_sym_yield_expression_token1] = ACTIONS(1244),
    [aux_sym_include_expression_token1] = ACTIONS(1244),
    [aux_sym_include_once_expression_token1] = ACTIONS(1244),
    [aux_sym_require_expression_token1] = ACTIONS(1244),
    [aux_sym_require_once_expression_token1] = ACTIONS(1244),
    [sym_comment] = ACTIONS(3),
  },
  [492] = {
    [ts_builtin_sym_end] = ACTIONS(1246),
    [sym_name] = ACTIONS(1248),
    [anon_sym_QMARK_GT] = ACTIONS(1246),
    [anon_sym_SEMI] = ACTIONS(1246),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1248),
    [aux_sym_global_declaration_token1] = ACTIONS(1248),
    [aux_sym_namespace_definition_token1] = ACTIONS(1248),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1248),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1248),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1248),
    [anon_sym_BSLASH] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym_RBRACE] = ACTIONS(1246),
    [aux_sym_trait_declaration_token1] = ACTIONS(1248),
    [aux_sym_interface_declaration_token1] = ACTIONS(1248),
    [aux_sym_enum_declaration_token1] = ACTIONS(1248),
    [aux_sym_enum_case_token1] = ACTIONS(1248),
    [aux_sym_class_declaration_token1] = ACTIONS(1248),
    [aux_sym_final_modifier_token1] = ACTIONS(1248),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1248),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1248),
    [sym_var_modifier] = ACTIONS(1248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1248),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1248),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1248),
    [anon_sym_LPAREN2] = ACTIONS(1246),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1248),
    [aux_sym_cast_type_token1] = ACTIONS(1248),
    [aux_sym_echo_statement_token1] = ACTIONS(1248),
    [aux_sym_exit_statement_token1] = ACTIONS(1248),
    [anon_sym_unset] = ACTIONS(1248),
    [aux_sym_declare_statement_token1] = ACTIONS(1248),
    [aux_sym_declare_statement_token2] = ACTIONS(1248),
    [sym_float] = ACTIONS(1248),
    [aux_sym_try_statement_token1] = ACTIONS(1248),
    [aux_sym_goto_statement_token1] = ACTIONS(1248),
    [aux_sym_continue_statement_token1] = ACTIONS(1248),
    [aux_sym_break_statement_token1] = ACTIONS(1248),
    [sym_integer] = ACTIONS(1248),
    [aux_sym_return_statement_token1] = ACTIONS(1248),
    [aux_sym_throw_expression_token1] = ACTIONS(1248),
    [aux_sym_while_statement_token1] = ACTIONS(1248),
    [aux_sym_while_statement_token2] = ACTIONS(1248),
    [aux_sym_do_statement_token1] = ACTIONS(1248),
    [aux_sym_for_statement_token1] = ACTIONS(1248),
    [aux_sym_for_statement_token2] = ACTIONS(1248),
    [aux_sym_foreach_statement_token1] = ACTIONS(1248),
    [aux_sym_foreach_statement_token2] = ACTIONS(1248),
    [aux_sym_if_statement_token1] = ACTIONS(1248),
    [aux_sym_if_statement_token2] = ACTIONS(1248),
    [aux_sym_else_if_clause_token1] = ACTIONS(1248),
    [aux_sym_else_clause_token1] = ACTIONS(1248),
    [aux_sym_match_expression_token1] = ACTIONS(1248),
    [aux_sym_match_default_expression_token1] = ACTIONS(1248),
    [aux_sym_switch_statement_token1] = ACTIONS(1248),
    [aux_sym_switch_block_token1] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1248),
    [anon_sym_DASH] = ACTIONS(1248),
    [anon_sym_TILDE] = ACTIONS(1246),
    [anon_sym_BANG] = ACTIONS(1246),
    [anon_sym_AT] = ACTIONS(1246),
    [aux_sym_clone_expression_token1] = ACTIONS(1248),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1248),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1248),
    [anon_sym_DASH_DASH] = ACTIONS(1246),
    [anon_sym_PLUS_PLUS] = ACTIONS(1246),
    [aux_sym__list_destructing_token1] = ACTIONS(1248),
    [anon_sym_LBRACK] = ACTIONS(1246),
    [anon_sym_self] = ACTIONS(1248),
    [anon_sym_parent] = ACTIONS(1248),
    [aux_sym__argument_name_token1] = ACTIONS(1248),
    [aux_sym__argument_name_token2] = ACTIONS(1248),
    [anon_sym_POUND_LBRACK] = ACTIONS(1246),
    [aux_sym_encapsed_string_token1] = ACTIONS(1246),
    [anon_sym_DQUOTE] = ACTIONS(1246),
    [aux_sym_string_token1] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1246),
    [anon_sym_LT_LT_LT] = ACTIONS(1246),
    [anon_sym_BQUOTE] = ACTIONS(1246),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [aux_sym_yield_expression_token1] = ACTIONS(1248),
    [aux_sym_include_expression_token1] = ACTIONS(1248),
    [aux_sym_include_once_expression_token1] = ACTIONS(1248),
    [aux_sym_require_expression_token1] = ACTIONS(1248),
    [aux_sym_require_once_expression_token1] = ACTIONS(1248),
    [sym_comment] = ACTIONS(3),
  },
  [493] = {
    [ts_builtin_sym_end] = ACTIONS(1250),
    [sym_name] = ACTIONS(1252),
    [anon_sym_QMARK_GT] = ACTIONS(1250),
    [anon_sym_SEMI] = ACTIONS(1250),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1252),
    [aux_sym_global_declaration_token1] = ACTIONS(1252),
    [aux_sym_namespace_definition_token1] = ACTIONS(1252),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1252),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1252),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1252),
    [anon_sym_BSLASH] = ACTIONS(1250),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym_RBRACE] = ACTIONS(1250),
    [aux_sym_trait_declaration_token1] = ACTIONS(1252),
    [aux_sym_interface_declaration_token1] = ACTIONS(1252),
    [aux_sym_enum_declaration_token1] = ACTIONS(1252),
    [aux_sym_enum_case_token1] = ACTIONS(1252),
    [aux_sym_class_declaration_token1] = ACTIONS(1252),
    [aux_sym_final_modifier_token1] = ACTIONS(1252),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1252),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1252),
    [sym_var_modifier] = ACTIONS(1252),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1252),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1252),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1252),
    [anon_sym_LPAREN2] = ACTIONS(1250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1252),
    [aux_sym_cast_type_token1] = ACTIONS(1252),
    [aux_sym_echo_statement_token1] = ACTIONS(1252),
    [aux_sym_exit_statement_token1] = ACTIONS(1252),
    [anon_sym_unset] = ACTIONS(1252),
    [aux_sym_declare_statement_token1] = ACTIONS(1252),
    [aux_sym_declare_statement_token2] = ACTIONS(1252),
    [sym_float] = ACTIONS(1252),
    [aux_sym_try_statement_token1] = ACTIONS(1252),
    [aux_sym_goto_statement_token1] = ACTIONS(1252),
    [aux_sym_continue_statement_token1] = ACTIONS(1252),
    [aux_sym_break_statement_token1] = ACTIONS(1252),
    [sym_integer] = ACTIONS(1252),
    [aux_sym_return_statement_token1] = ACTIONS(1252),
    [aux_sym_throw_expression_token1] = ACTIONS(1252),
    [aux_sym_while_statement_token1] = ACTIONS(1252),
    [aux_sym_while_statement_token2] = ACTIONS(1252),
    [aux_sym_do_statement_token1] = ACTIONS(1252),
    [aux_sym_for_statement_token1] = ACTIONS(1252),
    [aux_sym_for_statement_token2] = ACTIONS(1252),
    [aux_sym_foreach_statement_token1] = ACTIONS(1252),
    [aux_sym_foreach_statement_token2] = ACTIONS(1252),
    [aux_sym_if_statement_token1] = ACTIONS(1252),
    [aux_sym_if_statement_token2] = ACTIONS(1252),
    [aux_sym_else_if_clause_token1] = ACTIONS(1252),
    [aux_sym_else_clause_token1] = ACTIONS(1252),
    [aux_sym_match_expression_token1] = ACTIONS(1252),
    [aux_sym_match_default_expression_token1] = ACTIONS(1252),
    [aux_sym_switch_statement_token1] = ACTIONS(1252),
    [aux_sym_switch_block_token1] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1252),
    [anon_sym_DASH] = ACTIONS(1252),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_AT] = ACTIONS(1250),
    [aux_sym_clone_expression_token1] = ACTIONS(1252),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1252),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1252),
    [anon_sym_DASH_DASH] = ACTIONS(1250),
    [anon_sym_PLUS_PLUS] = ACTIONS(1250),
    [aux_sym__list_destructing_token1] = ACTIONS(1252),
    [anon_sym_LBRACK] = ACTIONS(1250),
    [anon_sym_self] = ACTIONS(1252),
    [anon_sym_parent] = ACTIONS(1252),
    [aux_sym__argument_name_token1] = ACTIONS(1252),
    [aux_sym__argument_name_token2] = ACTIONS(1252),
    [anon_sym_POUND_LBRACK] = ACTIONS(1250),
    [aux_sym_encapsed_string_token1] = ACTIONS(1250),
    [anon_sym_DQUOTE] = ACTIONS(1250),
    [aux_sym_string_token1] = ACTIONS(1250),
    [anon_sym_SQUOTE] = ACTIONS(1250),
    [anon_sym_LT_LT_LT] = ACTIONS(1250),
    [anon_sym_BQUOTE] = ACTIONS(1250),
    [anon_sym_DOLLAR] = ACTIONS(1250),
    [aux_sym_yield_expression_token1] = ACTIONS(1252),
    [aux_sym_include_expression_token1] = ACTIONS(1252),
    [aux_sym_include_once_expression_token1] = ACTIONS(1252),
    [aux_sym_require_expression_token1] = ACTIONS(1252),
    [aux_sym_require_once_expression_token1] = ACTIONS(1252),
    [sym_comment] = ACTIONS(3),
  },
  [494] = {
    [ts_builtin_sym_end] = ACTIONS(1254),
    [sym_name] = ACTIONS(1256),
    [anon_sym_QMARK_GT] = ACTIONS(1254),
    [anon_sym_SEMI] = ACTIONS(1254),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1256),
    [aux_sym_global_declaration_token1] = ACTIONS(1256),
    [aux_sym_namespace_definition_token1] = ACTIONS(1256),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1256),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1256),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1256),
    [anon_sym_BSLASH] = ACTIONS(1254),
    [anon_sym_LBRACE] = ACTIONS(1254),
    [anon_sym_RBRACE] = ACTIONS(1254),
    [aux_sym_trait_declaration_token1] = ACTIONS(1256),
    [aux_sym_interface_declaration_token1] = ACTIONS(1256),
    [aux_sym_enum_declaration_token1] = ACTIONS(1256),
    [aux_sym_enum_case_token1] = ACTIONS(1256),
    [aux_sym_class_declaration_token1] = ACTIONS(1256),
    [aux_sym_final_modifier_token1] = ACTIONS(1256),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1256),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1256),
    [sym_var_modifier] = ACTIONS(1256),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1256),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1256),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1256),
    [anon_sym_LPAREN2] = ACTIONS(1254),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1256),
    [aux_sym_cast_type_token1] = ACTIONS(1256),
    [aux_sym_echo_statement_token1] = ACTIONS(1256),
    [aux_sym_exit_statement_token1] = ACTIONS(1256),
    [anon_sym_unset] = ACTIONS(1256),
    [aux_sym_declare_statement_token1] = ACTIONS(1256),
    [aux_sym_declare_statement_token2] = ACTIONS(1256),
    [sym_float] = ACTIONS(1256),
    [aux_sym_try_statement_token1] = ACTIONS(1256),
    [aux_sym_goto_statement_token1] = ACTIONS(1256),
    [aux_sym_continue_statement_token1] = ACTIONS(1256),
    [aux_sym_break_statement_token1] = ACTIONS(1256),
    [sym_integer] = ACTIONS(1256),
    [aux_sym_return_statement_token1] = ACTIONS(1256),
    [aux_sym_throw_expression_token1] = ACTIONS(1256),
    [aux_sym_while_statement_token1] = ACTIONS(1256),
    [aux_sym_while_statement_token2] = ACTIONS(1256),
    [aux_sym_do_statement_token1] = ACTIONS(1256),
    [aux_sym_for_statement_token1] = ACTIONS(1256),
    [aux_sym_for_statement_token2] = ACTIONS(1256),
    [aux_sym_foreach_statement_token1] = ACTIONS(1256),
    [aux_sym_foreach_statement_token2] = ACTIONS(1256),
    [aux_sym_if_statement_token1] = ACTIONS(1256),
    [aux_sym_if_statement_token2] = ACTIONS(1256),
    [aux_sym_else_if_clause_token1] = ACTIONS(1256),
    [aux_sym_else_clause_token1] = ACTIONS(1256),
    [aux_sym_match_expression_token1] = ACTIONS(1256),
    [aux_sym_match_default_expression_token1] = ACTIONS(1256),
    [aux_sym_switch_statement_token1] = ACTIONS(1256),
    [aux_sym_switch_block_token1] = ACTIONS(1256),
    [anon_sym_PLUS] = ACTIONS(1256),
    [anon_sym_DASH] = ACTIONS(1256),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_AT] = ACTIONS(1254),
    [aux_sym_clone_expression_token1] = ACTIONS(1256),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1256),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1256),
    [anon_sym_DASH_DASH] = ACTIONS(1254),
    [anon_sym_PLUS_PLUS] = ACTIONS(1254),
    [aux_sym__list_destructing_token1] = ACTIONS(1256),
    [anon_sym_LBRACK] = ACTIONS(1254),
    [anon_sym_self] = ACTIONS(1256),
    [anon_sym_parent] = ACTIONS(1256),
    [aux_sym__argument_name_token1] = ACTIONS(1256),
    [aux_sym__argument_name_token2] = ACTIONS(1256),
    [anon_sym_POUND_LBRACK] = ACTIONS(1254),
    [aux_sym_encapsed_string_token1] = ACTIONS(1254),
    [anon_sym_DQUOTE] = ACTIONS(1254),
    [aux_sym_string_token1] = ACTIONS(1254),
    [anon_sym_SQUOTE] = ACTIONS(1254),
    [anon_sym_LT_LT_LT] = ACTIONS(1254),
    [anon_sym_BQUOTE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1254),
    [aux_sym_yield_expression_token1] = ACTIONS(1256),
    [aux_sym_include_expression_token1] = ACTIONS(1256),
    [aux_sym_include_once_expression_token1] = ACTIONS(1256),
    [aux_sym_require_expression_token1] = ACTIONS(1256),
    [aux_sym_require_once_expression_token1] = ACTIONS(1256),
    [sym_comment] = ACTIONS(3),
  },
  [495] = {
    [ts_builtin_sym_end] = ACTIONS(1258),
    [sym_name] = ACTIONS(1260),
    [anon_sym_QMARK_GT] = ACTIONS(1258),
    [anon_sym_SEMI] = ACTIONS(1258),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1260),
    [aux_sym_global_declaration_token1] = ACTIONS(1260),
    [aux_sym_namespace_definition_token1] = ACTIONS(1260),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1260),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1260),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1260),
    [anon_sym_BSLASH] = ACTIONS(1258),
    [anon_sym_LBRACE] = ACTIONS(1258),
    [anon_sym_RBRACE] = ACTIONS(1258),
    [aux_sym_trait_declaration_token1] = ACTIONS(1260),
    [aux_sym_interface_declaration_token1] = ACTIONS(1260),
    [aux_sym_enum_declaration_token1] = ACTIONS(1260),
    [aux_sym_enum_case_token1] = ACTIONS(1260),
    [aux_sym_class_declaration_token1] = ACTIONS(1260),
    [aux_sym_final_modifier_token1] = ACTIONS(1260),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1260),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1260),
    [sym_var_modifier] = ACTIONS(1260),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1260),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1260),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(1258),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1260),
    [aux_sym_cast_type_token1] = ACTIONS(1260),
    [aux_sym_echo_statement_token1] = ACTIONS(1260),
    [aux_sym_exit_statement_token1] = ACTIONS(1260),
    [anon_sym_unset] = ACTIONS(1260),
    [aux_sym_declare_statement_token1] = ACTIONS(1260),
    [aux_sym_declare_statement_token2] = ACTIONS(1260),
    [sym_float] = ACTIONS(1260),
    [aux_sym_try_statement_token1] = ACTIONS(1260),
    [aux_sym_goto_statement_token1] = ACTIONS(1260),
    [aux_sym_continue_statement_token1] = ACTIONS(1260),
    [aux_sym_break_statement_token1] = ACTIONS(1260),
    [sym_integer] = ACTIONS(1260),
    [aux_sym_return_statement_token1] = ACTIONS(1260),
    [aux_sym_throw_expression_token1] = ACTIONS(1260),
    [aux_sym_while_statement_token1] = ACTIONS(1260),
    [aux_sym_while_statement_token2] = ACTIONS(1260),
    [aux_sym_do_statement_token1] = ACTIONS(1260),
    [aux_sym_for_statement_token1] = ACTIONS(1260),
    [aux_sym_for_statement_token2] = ACTIONS(1260),
    [aux_sym_foreach_statement_token1] = ACTIONS(1260),
    [aux_sym_foreach_statement_token2] = ACTIONS(1260),
    [aux_sym_if_statement_token1] = ACTIONS(1260),
    [aux_sym_if_statement_token2] = ACTIONS(1260),
    [aux_sym_else_if_clause_token1] = ACTIONS(1260),
    [aux_sym_else_clause_token1] = ACTIONS(1260),
    [aux_sym_match_expression_token1] = ACTIONS(1260),
    [aux_sym_match_default_expression_token1] = ACTIONS(1260),
    [aux_sym_switch_statement_token1] = ACTIONS(1260),
    [aux_sym_switch_block_token1] = ACTIONS(1260),
    [anon_sym_PLUS] = ACTIONS(1260),
    [anon_sym_DASH] = ACTIONS(1260),
    [anon_sym_TILDE] = ACTIONS(1258),
    [anon_sym_BANG] = ACTIONS(1258),
    [anon_sym_AT] = ACTIONS(1258),
    [aux_sym_clone_expression_token1] = ACTIONS(1260),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1260),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1260),
    [anon_sym_DASH_DASH] = ACTIONS(1258),
    [anon_sym_PLUS_PLUS] = ACTIONS(1258),
    [aux_sym__list_destructing_token1] = ACTIONS(1260),
    [anon_sym_LBRACK] = ACTIONS(1258),
    [anon_sym_self] = ACTIONS(1260),
    [anon_sym_parent] = ACTIONS(1260),
    [aux_sym__argument_name_token1] = ACTIONS(1260),
    [aux_sym__argument_name_token2] = ACTIONS(1260),
    [anon_sym_POUND_LBRACK] = ACTIONS(1258),
    [aux_sym_encapsed_string_token1] = ACTIONS(1258),
    [anon_sym_DQUOTE] = ACTIONS(1258),
    [aux_sym_string_token1] = ACTIONS(1258),
    [anon_sym_SQUOTE] = ACTIONS(1258),
    [anon_sym_LT_LT_LT] = ACTIONS(1258),
    [anon_sym_BQUOTE] = ACTIONS(1258),
    [anon_sym_DOLLAR] = ACTIONS(1258),
    [aux_sym_yield_expression_token1] = ACTIONS(1260),
    [aux_sym_include_expression_token1] = ACTIONS(1260),
    [aux_sym_include_once_expression_token1] = ACTIONS(1260),
    [aux_sym_require_expression_token1] = ACTIONS(1260),
    [aux_sym_require_once_expression_token1] = ACTIONS(1260),
    [sym_comment] = ACTIONS(3),
  },
  [496] = {
    [ts_builtin_sym_end] = ACTIONS(1262),
    [sym_name] = ACTIONS(1264),
    [anon_sym_QMARK_GT] = ACTIONS(1262),
    [anon_sym_SEMI] = ACTIONS(1262),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1264),
    [aux_sym_global_declaration_token1] = ACTIONS(1264),
    [aux_sym_namespace_definition_token1] = ACTIONS(1264),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1264),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1264),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1264),
    [anon_sym_BSLASH] = ACTIONS(1262),
    [anon_sym_LBRACE] = ACTIONS(1262),
    [anon_sym_RBRACE] = ACTIONS(1262),
    [aux_sym_trait_declaration_token1] = ACTIONS(1264),
    [aux_sym_interface_declaration_token1] = ACTIONS(1264),
    [aux_sym_enum_declaration_token1] = ACTIONS(1264),
    [aux_sym_enum_case_token1] = ACTIONS(1264),
    [aux_sym_class_declaration_token1] = ACTIONS(1264),
    [aux_sym_final_modifier_token1] = ACTIONS(1264),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1264),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1264),
    [sym_var_modifier] = ACTIONS(1264),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1264),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1264),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1264),
    [anon_sym_LPAREN2] = ACTIONS(1262),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1264),
    [aux_sym_cast_type_token1] = ACTIONS(1264),
    [aux_sym_echo_statement_token1] = ACTIONS(1264),
    [aux_sym_exit_statement_token1] = ACTIONS(1264),
    [anon_sym_unset] = ACTIONS(1264),
    [aux_sym_declare_statement_token1] = ACTIONS(1264),
    [aux_sym_declare_statement_token2] = ACTIONS(1264),
    [sym_float] = ACTIONS(1264),
    [aux_sym_try_statement_token1] = ACTIONS(1264),
    [aux_sym_goto_statement_token1] = ACTIONS(1264),
    [aux_sym_continue_statement_token1] = ACTIONS(1264),
    [aux_sym_break_statement_token1] = ACTIONS(1264),
    [sym_integer] = ACTIONS(1264),
    [aux_sym_return_statement_token1] = ACTIONS(1264),
    [aux_sym_throw_expression_token1] = ACTIONS(1264),
    [aux_sym_while_statement_token1] = ACTIONS(1264),
    [aux_sym_while_statement_token2] = ACTIONS(1264),
    [aux_sym_do_statement_token1] = ACTIONS(1264),
    [aux_sym_for_statement_token1] = ACTIONS(1264),
    [aux_sym_for_statement_token2] = ACTIONS(1264),
    [aux_sym_foreach_statement_token1] = ACTIONS(1264),
    [aux_sym_foreach_statement_token2] = ACTIONS(1264),
    [aux_sym_if_statement_token1] = ACTIONS(1264),
    [aux_sym_if_statement_token2] = ACTIONS(1264),
    [aux_sym_else_if_clause_token1] = ACTIONS(1264),
    [aux_sym_else_clause_token1] = ACTIONS(1264),
    [aux_sym_match_expression_token1] = ACTIONS(1264),
    [aux_sym_match_default_expression_token1] = ACTIONS(1264),
    [aux_sym_switch_statement_token1] = ACTIONS(1264),
    [aux_sym_switch_block_token1] = ACTIONS(1264),
    [anon_sym_PLUS] = ACTIONS(1264),
    [anon_sym_DASH] = ACTIONS(1264),
    [anon_sym_TILDE] = ACTIONS(1262),
    [anon_sym_BANG] = ACTIONS(1262),
    [anon_sym_AT] = ACTIONS(1262),
    [aux_sym_clone_expression_token1] = ACTIONS(1264),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1264),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1264),
    [anon_sym_DASH_DASH] = ACTIONS(1262),
    [anon_sym_PLUS_PLUS] = ACTIONS(1262),
    [aux_sym__list_destructing_token1] = ACTIONS(1264),
    [anon_sym_LBRACK] = ACTIONS(1262),
    [anon_sym_self] = ACTIONS(1264),
    [anon_sym_parent] = ACTIONS(1264),
    [aux_sym__argument_name_token1] = ACTIONS(1264),
    [aux_sym__argument_name_token2] = ACTIONS(1264),
    [anon_sym_POUND_LBRACK] = ACTIONS(1262),
    [aux_sym_encapsed_string_token1] = ACTIONS(1262),
    [anon_sym_DQUOTE] = ACTIONS(1262),
    [aux_sym_string_token1] = ACTIONS(1262),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [anon_sym_LT_LT_LT] = ACTIONS(1262),
    [anon_sym_BQUOTE] = ACTIONS(1262),
    [anon_sym_DOLLAR] = ACTIONS(1262),
    [aux_sym_yield_expression_token1] = ACTIONS(1264),
    [aux_sym_include_expression_token1] = ACTIONS(1264),
    [aux_sym_include_once_expression_token1] = ACTIONS(1264),
    [aux_sym_require_expression_token1] = ACTIONS(1264),
    [aux_sym_require_once_expression_token1] = ACTIONS(1264),
    [sym_comment] = ACTIONS(3),
  },
  [497] = {
    [ts_builtin_sym_end] = ACTIONS(1266),
    [sym_name] = ACTIONS(1268),
    [anon_sym_QMARK_GT] = ACTIONS(1266),
    [anon_sym_SEMI] = ACTIONS(1266),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1268),
    [aux_sym_global_declaration_token1] = ACTIONS(1268),
    [aux_sym_namespace_definition_token1] = ACTIONS(1268),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1268),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1268),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1268),
    [anon_sym_BSLASH] = ACTIONS(1266),
    [anon_sym_LBRACE] = ACTIONS(1266),
    [anon_sym_RBRACE] = ACTIONS(1266),
    [aux_sym_trait_declaration_token1] = ACTIONS(1268),
    [aux_sym_interface_declaration_token1] = ACTIONS(1268),
    [aux_sym_enum_declaration_token1] = ACTIONS(1268),
    [aux_sym_enum_case_token1] = ACTIONS(1268),
    [aux_sym_class_declaration_token1] = ACTIONS(1268),
    [aux_sym_final_modifier_token1] = ACTIONS(1268),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1268),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1268),
    [sym_var_modifier] = ACTIONS(1268),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1268),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1268),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1268),
    [anon_sym_LPAREN2] = ACTIONS(1266),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1268),
    [aux_sym_cast_type_token1] = ACTIONS(1268),
    [aux_sym_echo_statement_token1] = ACTIONS(1268),
    [aux_sym_exit_statement_token1] = ACTIONS(1268),
    [anon_sym_unset] = ACTIONS(1268),
    [aux_sym_declare_statement_token1] = ACTIONS(1268),
    [aux_sym_declare_statement_token2] = ACTIONS(1268),
    [sym_float] = ACTIONS(1268),
    [aux_sym_try_statement_token1] = ACTIONS(1268),
    [aux_sym_goto_statement_token1] = ACTIONS(1268),
    [aux_sym_continue_statement_token1] = ACTIONS(1268),
    [aux_sym_break_statement_token1] = ACTIONS(1268),
    [sym_integer] = ACTIONS(1268),
    [aux_sym_return_statement_token1] = ACTIONS(1268),
    [aux_sym_throw_expression_token1] = ACTIONS(1268),
    [aux_sym_while_statement_token1] = ACTIONS(1268),
    [aux_sym_while_statement_token2] = ACTIONS(1268),
    [aux_sym_do_statement_token1] = ACTIONS(1268),
    [aux_sym_for_statement_token1] = ACTIONS(1268),
    [aux_sym_for_statement_token2] = ACTIONS(1268),
    [aux_sym_foreach_statement_token1] = ACTIONS(1268),
    [aux_sym_foreach_statement_token2] = ACTIONS(1268),
    [aux_sym_if_statement_token1] = ACTIONS(1268),
    [aux_sym_if_statement_token2] = ACTIONS(1268),
    [aux_sym_else_if_clause_token1] = ACTIONS(1268),
    [aux_sym_else_clause_token1] = ACTIONS(1268),
    [aux_sym_match_expression_token1] = ACTIONS(1268),
    [aux_sym_match_default_expression_token1] = ACTIONS(1268),
    [aux_sym_switch_statement_token1] = ACTIONS(1268),
    [aux_sym_switch_block_token1] = ACTIONS(1268),
    [anon_sym_PLUS] = ACTIONS(1268),
    [anon_sym_DASH] = ACTIONS(1268),
    [anon_sym_TILDE] = ACTIONS(1266),
    [anon_sym_BANG] = ACTIONS(1266),
    [anon_sym_AT] = ACTIONS(1266),
    [aux_sym_clone_expression_token1] = ACTIONS(1268),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1268),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1268),
    [anon_sym_DASH_DASH] = ACTIONS(1266),
    [anon_sym_PLUS_PLUS] = ACTIONS(1266),
    [aux_sym__list_destructing_token1] = ACTIONS(1268),
    [anon_sym_LBRACK] = ACTIONS(1266),
    [anon_sym_self] = ACTIONS(1268),
    [anon_sym_parent] = ACTIONS(1268),
    [aux_sym__argument_name_token1] = ACTIONS(1268),
    [aux_sym__argument_name_token2] = ACTIONS(1268),
    [anon_sym_POUND_LBRACK] = ACTIONS(1266),
    [aux_sym_encapsed_string_token1] = ACTIONS(1266),
    [anon_sym_DQUOTE] = ACTIONS(1266),
    [aux_sym_string_token1] = ACTIONS(1266),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [anon_sym_LT_LT_LT] = ACTIONS(1266),
    [anon_sym_BQUOTE] = ACTIONS(1266),
    [anon_sym_DOLLAR] = ACTIONS(1266),
    [aux_sym_yield_expression_token1] = ACTIONS(1268),
    [aux_sym_include_expression_token1] = ACTIONS(1268),
    [aux_sym_include_once_expression_token1] = ACTIONS(1268),
    [aux_sym_require_expression_token1] = ACTIONS(1268),
    [aux_sym_require_once_expression_token1] = ACTIONS(1268),
    [sym_comment] = ACTIONS(3),
  },
  [498] = {
    [ts_builtin_sym_end] = ACTIONS(1270),
    [sym_name] = ACTIONS(1272),
    [anon_sym_QMARK_GT] = ACTIONS(1270),
    [anon_sym_SEMI] = ACTIONS(1270),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1272),
    [aux_sym_global_declaration_token1] = ACTIONS(1272),
    [aux_sym_namespace_definition_token1] = ACTIONS(1272),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1272),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1272),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1272),
    [anon_sym_BSLASH] = ACTIONS(1270),
    [anon_sym_LBRACE] = ACTIONS(1270),
    [anon_sym_RBRACE] = ACTIONS(1270),
    [aux_sym_trait_declaration_token1] = ACTIONS(1272),
    [aux_sym_interface_declaration_token1] = ACTIONS(1272),
    [aux_sym_enum_declaration_token1] = ACTIONS(1272),
    [aux_sym_enum_case_token1] = ACTIONS(1272),
    [aux_sym_class_declaration_token1] = ACTIONS(1272),
    [aux_sym_final_modifier_token1] = ACTIONS(1272),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1272),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1272),
    [sym_var_modifier] = ACTIONS(1272),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1272),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1272),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1272),
    [anon_sym_LPAREN2] = ACTIONS(1270),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1272),
    [aux_sym_cast_type_token1] = ACTIONS(1272),
    [aux_sym_echo_statement_token1] = ACTIONS(1272),
    [aux_sym_exit_statement_token1] = ACTIONS(1272),
    [anon_sym_unset] = ACTIONS(1272),
    [aux_sym_declare_statement_token1] = ACTIONS(1272),
    [aux_sym_declare_statement_token2] = ACTIONS(1272),
    [sym_float] = ACTIONS(1272),
    [aux_sym_try_statement_token1] = ACTIONS(1272),
    [aux_sym_goto_statement_token1] = ACTIONS(1272),
    [aux_sym_continue_statement_token1] = ACTIONS(1272),
    [aux_sym_break_statement_token1] = ACTIONS(1272),
    [sym_integer] = ACTIONS(1272),
    [aux_sym_return_statement_token1] = ACTIONS(1272),
    [aux_sym_throw_expression_token1] = ACTIONS(1272),
    [aux_sym_while_statement_token1] = ACTIONS(1272),
    [aux_sym_while_statement_token2] = ACTIONS(1272),
    [aux_sym_do_statement_token1] = ACTIONS(1272),
    [aux_sym_for_statement_token1] = ACTIONS(1272),
    [aux_sym_for_statement_token2] = ACTIONS(1272),
    [aux_sym_foreach_statement_token1] = ACTIONS(1272),
    [aux_sym_foreach_statement_token2] = ACTIONS(1272),
    [aux_sym_if_statement_token1] = ACTIONS(1272),
    [aux_sym_if_statement_token2] = ACTIONS(1272),
    [aux_sym_else_if_clause_token1] = ACTIONS(1272),
    [aux_sym_else_clause_token1] = ACTIONS(1272),
    [aux_sym_match_expression_token1] = ACTIONS(1272),
    [aux_sym_match_default_expression_token1] = ACTIONS(1272),
    [aux_sym_switch_statement_token1] = ACTIONS(1272),
    [aux_sym_switch_block_token1] = ACTIONS(1272),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_TILDE] = ACTIONS(1270),
    [anon_sym_BANG] = ACTIONS(1270),
    [anon_sym_AT] = ACTIONS(1270),
    [aux_sym_clone_expression_token1] = ACTIONS(1272),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1272),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1272),
    [anon_sym_DASH_DASH] = ACTIONS(1270),
    [anon_sym_PLUS_PLUS] = ACTIONS(1270),
    [aux_sym__list_destructing_token1] = ACTIONS(1272),
    [anon_sym_LBRACK] = ACTIONS(1270),
    [anon_sym_self] = ACTIONS(1272),
    [anon_sym_parent] = ACTIONS(1272),
    [aux_sym__argument_name_token1] = ACTIONS(1272),
    [aux_sym__argument_name_token2] = ACTIONS(1272),
    [anon_sym_POUND_LBRACK] = ACTIONS(1270),
    [aux_sym_encapsed_string_token1] = ACTIONS(1270),
    [anon_sym_DQUOTE] = ACTIONS(1270),
    [aux_sym_string_token1] = ACTIONS(1270),
    [anon_sym_SQUOTE] = ACTIONS(1270),
    [anon_sym_LT_LT_LT] = ACTIONS(1270),
    [anon_sym_BQUOTE] = ACTIONS(1270),
    [anon_sym_DOLLAR] = ACTIONS(1270),
    [aux_sym_yield_expression_token1] = ACTIONS(1272),
    [aux_sym_include_expression_token1] = ACTIONS(1272),
    [aux_sym_include_once_expression_token1] = ACTIONS(1272),
    [aux_sym_require_expression_token1] = ACTIONS(1272),
    [aux_sym_require_once_expression_token1] = ACTIONS(1272),
    [sym_comment] = ACTIONS(3),
  },
  [499] = {
    [ts_builtin_sym_end] = ACTIONS(1274),
    [sym_name] = ACTIONS(1276),
    [anon_sym_QMARK_GT] = ACTIONS(1274),
    [anon_sym_SEMI] = ACTIONS(1274),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1276),
    [aux_sym_global_declaration_token1] = ACTIONS(1276),
    [aux_sym_namespace_definition_token1] = ACTIONS(1276),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1276),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1276),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1276),
    [anon_sym_BSLASH] = ACTIONS(1274),
    [anon_sym_LBRACE] = ACTIONS(1274),
    [anon_sym_RBRACE] = ACTIONS(1274),
    [aux_sym_trait_declaration_token1] = ACTIONS(1276),
    [aux_sym_interface_declaration_token1] = ACTIONS(1276),
    [aux_sym_enum_declaration_token1] = ACTIONS(1276),
    [aux_sym_enum_case_token1] = ACTIONS(1276),
    [aux_sym_class_declaration_token1] = ACTIONS(1276),
    [aux_sym_final_modifier_token1] = ACTIONS(1276),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1276),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1276),
    [sym_var_modifier] = ACTIONS(1276),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1276),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1276),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1276),
    [anon_sym_LPAREN2] = ACTIONS(1274),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1276),
    [aux_sym_cast_type_token1] = ACTIONS(1276),
    [aux_sym_echo_statement_token1] = ACTIONS(1276),
    [aux_sym_exit_statement_token1] = ACTIONS(1276),
    [anon_sym_unset] = ACTIONS(1276),
    [aux_sym_declare_statement_token1] = ACTIONS(1276),
    [aux_sym_declare_statement_token2] = ACTIONS(1276),
    [sym_float] = ACTIONS(1276),
    [aux_sym_try_statement_token1] = ACTIONS(1276),
    [aux_sym_goto_statement_token1] = ACTIONS(1276),
    [aux_sym_continue_statement_token1] = ACTIONS(1276),
    [aux_sym_break_statement_token1] = ACTIONS(1276),
    [sym_integer] = ACTIONS(1276),
    [aux_sym_return_statement_token1] = ACTIONS(1276),
    [aux_sym_throw_expression_token1] = ACTIONS(1276),
    [aux_sym_while_statement_token1] = ACTIONS(1276),
    [aux_sym_while_statement_token2] = ACTIONS(1276),
    [aux_sym_do_statement_token1] = ACTIONS(1276),
    [aux_sym_for_statement_token1] = ACTIONS(1276),
    [aux_sym_for_statement_token2] = ACTIONS(1276),
    [aux_sym_foreach_statement_token1] = ACTIONS(1276),
    [aux_sym_foreach_statement_token2] = ACTIONS(1276),
    [aux_sym_if_statement_token1] = ACTIONS(1276),
    [aux_sym_if_statement_token2] = ACTIONS(1276),
    [aux_sym_else_if_clause_token1] = ACTIONS(1276),
    [aux_sym_else_clause_token1] = ACTIONS(1276),
    [aux_sym_match_expression_token1] = ACTIONS(1276),
    [aux_sym_match_default_expression_token1] = ACTIONS(1276),
    [aux_sym_switch_statement_token1] = ACTIONS(1276),
    [aux_sym_switch_block_token1] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1276),
    [anon_sym_DASH] = ACTIONS(1276),
    [anon_sym_TILDE] = ACTIONS(1274),
    [anon_sym_BANG] = ACTIONS(1274),
    [anon_sym_AT] = ACTIONS(1274),
    [aux_sym_clone_expression_token1] = ACTIONS(1276),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1276),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1276),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [aux_sym__list_destructing_token1] = ACTIONS(1276),
    [anon_sym_LBRACK] = ACTIONS(1274),
    [anon_sym_self] = ACTIONS(1276),
    [anon_sym_parent] = ACTIONS(1276),
    [aux_sym__argument_name_token1] = ACTIONS(1276),
    [aux_sym__argument_name_token2] = ACTIONS(1276),
    [anon_sym_POUND_LBRACK] = ACTIONS(1274),
    [aux_sym_encapsed_string_token1] = ACTIONS(1274),
    [anon_sym_DQUOTE] = ACTIONS(1274),
    [aux_sym_string_token1] = ACTIONS(1274),
    [anon_sym_SQUOTE] = ACTIONS(1274),
    [anon_sym_LT_LT_LT] = ACTIONS(1274),
    [anon_sym_BQUOTE] = ACTIONS(1274),
    [anon_sym_DOLLAR] = ACTIONS(1274),
    [aux_sym_yield_expression_token1] = ACTIONS(1276),
    [aux_sym_include_expression_token1] = ACTIONS(1276),
    [aux_sym_include_once_expression_token1] = ACTIONS(1276),
    [aux_sym_require_expression_token1] = ACTIONS(1276),
    [aux_sym_require_once_expression_token1] = ACTIONS(1276),
    [sym_comment] = ACTIONS(3),
  },
  [500] = {
    [ts_builtin_sym_end] = ACTIONS(1278),
    [sym_name] = ACTIONS(1280),
    [anon_sym_QMARK_GT] = ACTIONS(1278),
    [anon_sym_SEMI] = ACTIONS(1278),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1280),
    [aux_sym_global_declaration_token1] = ACTIONS(1280),
    [aux_sym_namespace_definition_token1] = ACTIONS(1280),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1280),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1280),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1280),
    [anon_sym_BSLASH] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1278),
    [anon_sym_RBRACE] = ACTIONS(1278),
    [aux_sym_trait_declaration_token1] = ACTIONS(1280),
    [aux_sym_interface_declaration_token1] = ACTIONS(1280),
    [aux_sym_enum_declaration_token1] = ACTIONS(1280),
    [aux_sym_enum_case_token1] = ACTIONS(1280),
    [aux_sym_class_declaration_token1] = ACTIONS(1280),
    [aux_sym_final_modifier_token1] = ACTIONS(1280),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1280),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1280),
    [sym_var_modifier] = ACTIONS(1280),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1280),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1280),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1280),
    [anon_sym_LPAREN2] = ACTIONS(1278),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1280),
    [aux_sym_cast_type_token1] = ACTIONS(1280),
    [aux_sym_echo_statement_token1] = ACTIONS(1280),
    [aux_sym_exit_statement_token1] = ACTIONS(1280),
    [anon_sym_unset] = ACTIONS(1280),
    [aux_sym_declare_statement_token1] = ACTIONS(1280),
    [aux_sym_declare_statement_token2] = ACTIONS(1280),
    [sym_float] = ACTIONS(1280),
    [aux_sym_try_statement_token1] = ACTIONS(1280),
    [aux_sym_goto_statement_token1] = ACTIONS(1280),
    [aux_sym_continue_statement_token1] = ACTIONS(1280),
    [aux_sym_break_statement_token1] = ACTIONS(1280),
    [sym_integer] = ACTIONS(1280),
    [aux_sym_return_statement_token1] = ACTIONS(1280),
    [aux_sym_throw_expression_token1] = ACTIONS(1280),
    [aux_sym_while_statement_token1] = ACTIONS(1280),
    [aux_sym_while_statement_token2] = ACTIONS(1280),
    [aux_sym_do_statement_token1] = ACTIONS(1280),
    [aux_sym_for_statement_token1] = ACTIONS(1280),
    [aux_sym_for_statement_token2] = ACTIONS(1280),
    [aux_sym_foreach_statement_token1] = ACTIONS(1280),
    [aux_sym_foreach_statement_token2] = ACTIONS(1280),
    [aux_sym_if_statement_token1] = ACTIONS(1280),
    [aux_sym_if_statement_token2] = ACTIONS(1280),
    [aux_sym_else_if_clause_token1] = ACTIONS(1280),
    [aux_sym_else_clause_token1] = ACTIONS(1280),
    [aux_sym_match_expression_token1] = ACTIONS(1280),
    [aux_sym_match_default_expression_token1] = ACTIONS(1280),
    [aux_sym_switch_statement_token1] = ACTIONS(1280),
    [aux_sym_switch_block_token1] = ACTIONS(1280),
    [anon_sym_PLUS] = ACTIONS(1280),
    [anon_sym_DASH] = ACTIONS(1280),
    [anon_sym_TILDE] = ACTIONS(1278),
    [anon_sym_BANG] = ACTIONS(1278),
    [anon_sym_AT] = ACTIONS(1278),
    [aux_sym_clone_expression_token1] = ACTIONS(1280),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1280),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1280),
    [anon_sym_DASH_DASH] = ACTIONS(1278),
    [anon_sym_PLUS_PLUS] = ACTIONS(1278),
    [aux_sym__list_destructing_token1] = ACTIONS(1280),
    [anon_sym_LBRACK] = ACTIONS(1278),
    [anon_sym_self] = ACTIONS(1280),
    [anon_sym_parent] = ACTIONS(1280),
    [aux_sym__argument_name_token1] = ACTIONS(1280),
    [aux_sym__argument_name_token2] = ACTIONS(1280),
    [anon_sym_POUND_LBRACK] = ACTIONS(1278),
    [aux_sym_encapsed_string_token1] = ACTIONS(1278),
    [anon_sym_DQUOTE] = ACTIONS(1278),
    [aux_sym_string_token1] = ACTIONS(1278),
    [anon_sym_SQUOTE] = ACTIONS(1278),
    [anon_sym_LT_LT_LT] = ACTIONS(1278),
    [anon_sym_BQUOTE] = ACTIONS(1278),
    [anon_sym_DOLLAR] = ACTIONS(1278),
    [aux_sym_yield_expression_token1] = ACTIONS(1280),
    [aux_sym_include_expression_token1] = ACTIONS(1280),
    [aux_sym_include_once_expression_token1] = ACTIONS(1280),
    [aux_sym_require_expression_token1] = ACTIONS(1280),
    [aux_sym_require_once_expression_token1] = ACTIONS(1280),
    [sym_comment] = ACTIONS(3),
  },
  [501] = {
    [ts_builtin_sym_end] = ACTIONS(1282),
    [sym_name] = ACTIONS(1284),
    [anon_sym_QMARK_GT] = ACTIONS(1282),
    [anon_sym_SEMI] = ACTIONS(1282),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1284),
    [aux_sym_global_declaration_token1] = ACTIONS(1284),
    [aux_sym_namespace_definition_token1] = ACTIONS(1284),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1284),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1284),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1284),
    [anon_sym_BSLASH] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym_RBRACE] = ACTIONS(1282),
    [aux_sym_trait_declaration_token1] = ACTIONS(1284),
    [aux_sym_interface_declaration_token1] = ACTIONS(1284),
    [aux_sym_enum_declaration_token1] = ACTIONS(1284),
    [aux_sym_enum_case_token1] = ACTIONS(1284),
    [aux_sym_class_declaration_token1] = ACTIONS(1284),
    [aux_sym_final_modifier_token1] = ACTIONS(1284),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1284),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1284),
    [sym_var_modifier] = ACTIONS(1284),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1284),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1284),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1284),
    [anon_sym_LPAREN2] = ACTIONS(1282),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1284),
    [aux_sym_cast_type_token1] = ACTIONS(1284),
    [aux_sym_echo_statement_token1] = ACTIONS(1284),
    [aux_sym_exit_statement_token1] = ACTIONS(1284),
    [anon_sym_unset] = ACTIONS(1284),
    [aux_sym_declare_statement_token1] = ACTIONS(1284),
    [aux_sym_declare_statement_token2] = ACTIONS(1284),
    [sym_float] = ACTIONS(1284),
    [aux_sym_try_statement_token1] = ACTIONS(1284),
    [aux_sym_goto_statement_token1] = ACTIONS(1284),
    [aux_sym_continue_statement_token1] = ACTIONS(1284),
    [aux_sym_break_statement_token1] = ACTIONS(1284),
    [sym_integer] = ACTIONS(1284),
    [aux_sym_return_statement_token1] = ACTIONS(1284),
    [aux_sym_throw_expression_token1] = ACTIONS(1284),
    [aux_sym_while_statement_token1] = ACTIONS(1284),
    [aux_sym_while_statement_token2] = ACTIONS(1284),
    [aux_sym_do_statement_token1] = ACTIONS(1284),
    [aux_sym_for_statement_token1] = ACTIONS(1284),
    [aux_sym_for_statement_token2] = ACTIONS(1284),
    [aux_sym_foreach_statement_token1] = ACTIONS(1284),
    [aux_sym_foreach_statement_token2] = ACTIONS(1284),
    [aux_sym_if_statement_token1] = ACTIONS(1284),
    [aux_sym_if_statement_token2] = ACTIONS(1284),
    [aux_sym_else_if_clause_token1] = ACTIONS(1284),
    [aux_sym_else_clause_token1] = ACTIONS(1284),
    [aux_sym_match_expression_token1] = ACTIONS(1284),
    [aux_sym_match_default_expression_token1] = ACTIONS(1284),
    [aux_sym_switch_statement_token1] = ACTIONS(1284),
    [aux_sym_switch_block_token1] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1284),
    [anon_sym_DASH] = ACTIONS(1284),
    [anon_sym_TILDE] = ACTIONS(1282),
    [anon_sym_BANG] = ACTIONS(1282),
    [anon_sym_AT] = ACTIONS(1282),
    [aux_sym_clone_expression_token1] = ACTIONS(1284),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1284),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1282),
    [anon_sym_PLUS_PLUS] = ACTIONS(1282),
    [aux_sym__list_destructing_token1] = ACTIONS(1284),
    [anon_sym_LBRACK] = ACTIONS(1282),
    [anon_sym_self] = ACTIONS(1284),
    [anon_sym_parent] = ACTIONS(1284),
    [aux_sym__argument_name_token1] = ACTIONS(1284),
    [aux_sym__argument_name_token2] = ACTIONS(1284),
    [anon_sym_POUND_LBRACK] = ACTIONS(1282),
    [aux_sym_encapsed_string_token1] = ACTIONS(1282),
    [anon_sym_DQUOTE] = ACTIONS(1282),
    [aux_sym_string_token1] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1282),
    [anon_sym_LT_LT_LT] = ACTIONS(1282),
    [anon_sym_BQUOTE] = ACTIONS(1282),
    [anon_sym_DOLLAR] = ACTIONS(1282),
    [aux_sym_yield_expression_token1] = ACTIONS(1284),
    [aux_sym_include_expression_token1] = ACTIONS(1284),
    [aux_sym_include_once_expression_token1] = ACTIONS(1284),
    [aux_sym_require_expression_token1] = ACTIONS(1284),
    [aux_sym_require_once_expression_token1] = ACTIONS(1284),
    [sym_comment] = ACTIONS(3),
  },
  [502] = {
    [ts_builtin_sym_end] = ACTIONS(1286),
    [sym_name] = ACTIONS(1288),
    [anon_sym_QMARK_GT] = ACTIONS(1286),
    [anon_sym_SEMI] = ACTIONS(1286),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1288),
    [aux_sym_global_declaration_token1] = ACTIONS(1288),
    [aux_sym_namespace_definition_token1] = ACTIONS(1288),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1288),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1288),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1288),
    [anon_sym_BSLASH] = ACTIONS(1286),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym_RBRACE] = ACTIONS(1286),
    [aux_sym_trait_declaration_token1] = ACTIONS(1288),
    [aux_sym_interface_declaration_token1] = ACTIONS(1288),
    [aux_sym_enum_declaration_token1] = ACTIONS(1288),
    [aux_sym_enum_case_token1] = ACTIONS(1288),
    [aux_sym_class_declaration_token1] = ACTIONS(1288),
    [aux_sym_final_modifier_token1] = ACTIONS(1288),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1288),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1288),
    [sym_var_modifier] = ACTIONS(1288),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1288),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1288),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1288),
    [anon_sym_LPAREN2] = ACTIONS(1286),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1288),
    [aux_sym_cast_type_token1] = ACTIONS(1288),
    [aux_sym_echo_statement_token1] = ACTIONS(1288),
    [aux_sym_exit_statement_token1] = ACTIONS(1288),
    [anon_sym_unset] = ACTIONS(1288),
    [aux_sym_declare_statement_token1] = ACTIONS(1288),
    [aux_sym_declare_statement_token2] = ACTIONS(1288),
    [sym_float] = ACTIONS(1288),
    [aux_sym_try_statement_token1] = ACTIONS(1288),
    [aux_sym_goto_statement_token1] = ACTIONS(1288),
    [aux_sym_continue_statement_token1] = ACTIONS(1288),
    [aux_sym_break_statement_token1] = ACTIONS(1288),
    [sym_integer] = ACTIONS(1288),
    [aux_sym_return_statement_token1] = ACTIONS(1288),
    [aux_sym_throw_expression_token1] = ACTIONS(1288),
    [aux_sym_while_statement_token1] = ACTIONS(1288),
    [aux_sym_while_statement_token2] = ACTIONS(1288),
    [aux_sym_do_statement_token1] = ACTIONS(1288),
    [aux_sym_for_statement_token1] = ACTIONS(1288),
    [aux_sym_for_statement_token2] = ACTIONS(1288),
    [aux_sym_foreach_statement_token1] = ACTIONS(1288),
    [aux_sym_foreach_statement_token2] = ACTIONS(1288),
    [aux_sym_if_statement_token1] = ACTIONS(1288),
    [aux_sym_if_statement_token2] = ACTIONS(1288),
    [aux_sym_else_if_clause_token1] = ACTIONS(1288),
    [aux_sym_else_clause_token1] = ACTIONS(1288),
    [aux_sym_match_expression_token1] = ACTIONS(1288),
    [aux_sym_match_default_expression_token1] = ACTIONS(1288),
    [aux_sym_switch_statement_token1] = ACTIONS(1288),
    [aux_sym_switch_block_token1] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1288),
    [anon_sym_DASH] = ACTIONS(1288),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_AT] = ACTIONS(1286),
    [aux_sym_clone_expression_token1] = ACTIONS(1288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1288),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1288),
    [anon_sym_DASH_DASH] = ACTIONS(1286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1286),
    [aux_sym__list_destructing_token1] = ACTIONS(1288),
    [anon_sym_LBRACK] = ACTIONS(1286),
    [anon_sym_self] = ACTIONS(1288),
    [anon_sym_parent] = ACTIONS(1288),
    [aux_sym__argument_name_token1] = ACTIONS(1288),
    [aux_sym__argument_name_token2] = ACTIONS(1288),
    [anon_sym_POUND_LBRACK] = ACTIONS(1286),
    [aux_sym_encapsed_string_token1] = ACTIONS(1286),
    [anon_sym_DQUOTE] = ACTIONS(1286),
    [aux_sym_string_token1] = ACTIONS(1286),
    [anon_sym_SQUOTE] = ACTIONS(1286),
    [anon_sym_LT_LT_LT] = ACTIONS(1286),
    [anon_sym_BQUOTE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1286),
    [aux_sym_yield_expression_token1] = ACTIONS(1288),
    [aux_sym_include_expression_token1] = ACTIONS(1288),
    [aux_sym_include_once_expression_token1] = ACTIONS(1288),
    [aux_sym_require_expression_token1] = ACTIONS(1288),
    [aux_sym_require_once_expression_token1] = ACTIONS(1288),
    [sym_comment] = ACTIONS(3),
  },
  [503] = {
    [ts_builtin_sym_end] = ACTIONS(1290),
    [sym_name] = ACTIONS(1292),
    [anon_sym_QMARK_GT] = ACTIONS(1290),
    [anon_sym_SEMI] = ACTIONS(1290),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1292),
    [aux_sym_global_declaration_token1] = ACTIONS(1292),
    [aux_sym_namespace_definition_token1] = ACTIONS(1292),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1292),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1292),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1292),
    [anon_sym_BSLASH] = ACTIONS(1290),
    [anon_sym_LBRACE] = ACTIONS(1290),
    [anon_sym_RBRACE] = ACTIONS(1290),
    [aux_sym_trait_declaration_token1] = ACTIONS(1292),
    [aux_sym_interface_declaration_token1] = ACTIONS(1292),
    [aux_sym_enum_declaration_token1] = ACTIONS(1292),
    [aux_sym_enum_case_token1] = ACTIONS(1292),
    [aux_sym_class_declaration_token1] = ACTIONS(1292),
    [aux_sym_final_modifier_token1] = ACTIONS(1292),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1292),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1292),
    [sym_var_modifier] = ACTIONS(1292),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1292),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1292),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1292),
    [anon_sym_LPAREN2] = ACTIONS(1290),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1292),
    [aux_sym_cast_type_token1] = ACTIONS(1292),
    [aux_sym_echo_statement_token1] = ACTIONS(1292),
    [aux_sym_exit_statement_token1] = ACTIONS(1292),
    [anon_sym_unset] = ACTIONS(1292),
    [aux_sym_declare_statement_token1] = ACTIONS(1292),
    [aux_sym_declare_statement_token2] = ACTIONS(1292),
    [sym_float] = ACTIONS(1292),
    [aux_sym_try_statement_token1] = ACTIONS(1292),
    [aux_sym_goto_statement_token1] = ACTIONS(1292),
    [aux_sym_continue_statement_token1] = ACTIONS(1292),
    [aux_sym_break_statement_token1] = ACTIONS(1292),
    [sym_integer] = ACTIONS(1292),
    [aux_sym_return_statement_token1] = ACTIONS(1292),
    [aux_sym_throw_expression_token1] = ACTIONS(1292),
    [aux_sym_while_statement_token1] = ACTIONS(1292),
    [aux_sym_while_statement_token2] = ACTIONS(1292),
    [aux_sym_do_statement_token1] = ACTIONS(1292),
    [aux_sym_for_statement_token1] = ACTIONS(1292),
    [aux_sym_for_statement_token2] = ACTIONS(1292),
    [aux_sym_foreach_statement_token1] = ACTIONS(1292),
    [aux_sym_foreach_statement_token2] = ACTIONS(1292),
    [aux_sym_if_statement_token1] = ACTIONS(1292),
    [aux_sym_if_statement_token2] = ACTIONS(1292),
    [aux_sym_else_if_clause_token1] = ACTIONS(1292),
    [aux_sym_else_clause_token1] = ACTIONS(1292),
    [aux_sym_match_expression_token1] = ACTIONS(1292),
    [aux_sym_match_default_expression_token1] = ACTIONS(1292),
    [aux_sym_switch_statement_token1] = ACTIONS(1292),
    [aux_sym_switch_block_token1] = ACTIONS(1292),
    [anon_sym_PLUS] = ACTIONS(1292),
    [anon_sym_DASH] = ACTIONS(1292),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_AT] = ACTIONS(1290),
    [aux_sym_clone_expression_token1] = ACTIONS(1292),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1292),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1292),
    [anon_sym_DASH_DASH] = ACTIONS(1290),
    [anon_sym_PLUS_PLUS] = ACTIONS(1290),
    [aux_sym__list_destructing_token1] = ACTIONS(1292),
    [anon_sym_LBRACK] = ACTIONS(1290),
    [anon_sym_self] = ACTIONS(1292),
    [anon_sym_parent] = ACTIONS(1292),
    [aux_sym__argument_name_token1] = ACTIONS(1292),
    [aux_sym__argument_name_token2] = ACTIONS(1292),
    [anon_sym_POUND_LBRACK] = ACTIONS(1290),
    [aux_sym_encapsed_string_token1] = ACTIONS(1290),
    [anon_sym_DQUOTE] = ACTIONS(1290),
    [aux_sym_string_token1] = ACTIONS(1290),
    [anon_sym_SQUOTE] = ACTIONS(1290),
    [anon_sym_LT_LT_LT] = ACTIONS(1290),
    [anon_sym_BQUOTE] = ACTIONS(1290),
    [anon_sym_DOLLAR] = ACTIONS(1290),
    [aux_sym_yield_expression_token1] = ACTIONS(1292),
    [aux_sym_include_expression_token1] = ACTIONS(1292),
    [aux_sym_include_once_expression_token1] = ACTIONS(1292),
    [aux_sym_require_expression_token1] = ACTIONS(1292),
    [aux_sym_require_once_expression_token1] = ACTIONS(1292),
    [sym_comment] = ACTIONS(3),
  },
  [504] = {
    [ts_builtin_sym_end] = ACTIONS(1294),
    [sym_name] = ACTIONS(1296),
    [anon_sym_QMARK_GT] = ACTIONS(1294),
    [anon_sym_SEMI] = ACTIONS(1294),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1296),
    [aux_sym_global_declaration_token1] = ACTIONS(1296),
    [aux_sym_namespace_definition_token1] = ACTIONS(1296),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1296),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1296),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1296),
    [anon_sym_BSLASH] = ACTIONS(1294),
    [anon_sym_LBRACE] = ACTIONS(1294),
    [anon_sym_RBRACE] = ACTIONS(1294),
    [aux_sym_trait_declaration_token1] = ACTIONS(1296),
    [aux_sym_interface_declaration_token1] = ACTIONS(1296),
    [aux_sym_enum_declaration_token1] = ACTIONS(1296),
    [aux_sym_enum_case_token1] = ACTIONS(1296),
    [aux_sym_class_declaration_token1] = ACTIONS(1296),
    [aux_sym_final_modifier_token1] = ACTIONS(1296),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1296),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1296),
    [sym_var_modifier] = ACTIONS(1296),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1296),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1296),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1296),
    [anon_sym_LPAREN2] = ACTIONS(1294),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1296),
    [aux_sym_cast_type_token1] = ACTIONS(1296),
    [aux_sym_echo_statement_token1] = ACTIONS(1296),
    [aux_sym_exit_statement_token1] = ACTIONS(1296),
    [anon_sym_unset] = ACTIONS(1296),
    [aux_sym_declare_statement_token1] = ACTIONS(1296),
    [aux_sym_declare_statement_token2] = ACTIONS(1296),
    [sym_float] = ACTIONS(1296),
    [aux_sym_try_statement_token1] = ACTIONS(1296),
    [aux_sym_goto_statement_token1] = ACTIONS(1296),
    [aux_sym_continue_statement_token1] = ACTIONS(1296),
    [aux_sym_break_statement_token1] = ACTIONS(1296),
    [sym_integer] = ACTIONS(1296),
    [aux_sym_return_statement_token1] = ACTIONS(1296),
    [aux_sym_throw_expression_token1] = ACTIONS(1296),
    [aux_sym_while_statement_token1] = ACTIONS(1296),
    [aux_sym_while_statement_token2] = ACTIONS(1296),
    [aux_sym_do_statement_token1] = ACTIONS(1296),
    [aux_sym_for_statement_token1] = ACTIONS(1296),
    [aux_sym_for_statement_token2] = ACTIONS(1296),
    [aux_sym_foreach_statement_token1] = ACTIONS(1296),
    [aux_sym_foreach_statement_token2] = ACTIONS(1296),
    [aux_sym_if_statement_token1] = ACTIONS(1296),
    [aux_sym_if_statement_token2] = ACTIONS(1296),
    [aux_sym_else_if_clause_token1] = ACTIONS(1296),
    [aux_sym_else_clause_token1] = ACTIONS(1296),
    [aux_sym_match_expression_token1] = ACTIONS(1296),
    [aux_sym_match_default_expression_token1] = ACTIONS(1296),
    [aux_sym_switch_statement_token1] = ACTIONS(1296),
    [aux_sym_switch_block_token1] = ACTIONS(1296),
    [anon_sym_PLUS] = ACTIONS(1296),
    [anon_sym_DASH] = ACTIONS(1296),
    [anon_sym_TILDE] = ACTIONS(1294),
    [anon_sym_BANG] = ACTIONS(1294),
    [anon_sym_AT] = ACTIONS(1294),
    [aux_sym_clone_expression_token1] = ACTIONS(1296),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1296),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1296),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [aux_sym__list_destructing_token1] = ACTIONS(1296),
    [anon_sym_LBRACK] = ACTIONS(1294),
    [anon_sym_self] = ACTIONS(1296),
    [anon_sym_parent] = ACTIONS(1296),
    [aux_sym__argument_name_token1] = ACTIONS(1296),
    [aux_sym__argument_name_token2] = ACTIONS(1296),
    [anon_sym_POUND_LBRACK] = ACTIONS(1294),
    [aux_sym_encapsed_string_token1] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(1294),
    [aux_sym_string_token1] = ACTIONS(1294),
    [anon_sym_SQUOTE] = ACTIONS(1294),
    [anon_sym_LT_LT_LT] = ACTIONS(1294),
    [anon_sym_BQUOTE] = ACTIONS(1294),
    [anon_sym_DOLLAR] = ACTIONS(1294),
    [aux_sym_yield_expression_token1] = ACTIONS(1296),
    [aux_sym_include_expression_token1] = ACTIONS(1296),
    [aux_sym_include_once_expression_token1] = ACTIONS(1296),
    [aux_sym_require_expression_token1] = ACTIONS(1296),
    [aux_sym_require_once_expression_token1] = ACTIONS(1296),
    [sym_comment] = ACTIONS(3),
  },
  [505] = {
    [ts_builtin_sym_end] = ACTIONS(1298),
    [sym_name] = ACTIONS(1300),
    [anon_sym_QMARK_GT] = ACTIONS(1298),
    [anon_sym_SEMI] = ACTIONS(1298),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1300),
    [aux_sym_global_declaration_token1] = ACTIONS(1300),
    [aux_sym_namespace_definition_token1] = ACTIONS(1300),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1300),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1300),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1300),
    [anon_sym_BSLASH] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(1298),
    [anon_sym_RBRACE] = ACTIONS(1298),
    [aux_sym_trait_declaration_token1] = ACTIONS(1300),
    [aux_sym_interface_declaration_token1] = ACTIONS(1300),
    [aux_sym_enum_declaration_token1] = ACTIONS(1300),
    [aux_sym_enum_case_token1] = ACTIONS(1300),
    [aux_sym_class_declaration_token1] = ACTIONS(1300),
    [aux_sym_final_modifier_token1] = ACTIONS(1300),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1300),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1300),
    [sym_var_modifier] = ACTIONS(1300),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1300),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1300),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1300),
    [anon_sym_LPAREN2] = ACTIONS(1298),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1300),
    [aux_sym_cast_type_token1] = ACTIONS(1300),
    [aux_sym_echo_statement_token1] = ACTIONS(1300),
    [aux_sym_exit_statement_token1] = ACTIONS(1300),
    [anon_sym_unset] = ACTIONS(1300),
    [aux_sym_declare_statement_token1] = ACTIONS(1300),
    [aux_sym_declare_statement_token2] = ACTIONS(1300),
    [sym_float] = ACTIONS(1300),
    [aux_sym_try_statement_token1] = ACTIONS(1300),
    [aux_sym_goto_statement_token1] = ACTIONS(1300),
    [aux_sym_continue_statement_token1] = ACTIONS(1300),
    [aux_sym_break_statement_token1] = ACTIONS(1300),
    [sym_integer] = ACTIONS(1300),
    [aux_sym_return_statement_token1] = ACTIONS(1300),
    [aux_sym_throw_expression_token1] = ACTIONS(1300),
    [aux_sym_while_statement_token1] = ACTIONS(1300),
    [aux_sym_while_statement_token2] = ACTIONS(1300),
    [aux_sym_do_statement_token1] = ACTIONS(1300),
    [aux_sym_for_statement_token1] = ACTIONS(1300),
    [aux_sym_for_statement_token2] = ACTIONS(1300),
    [aux_sym_foreach_statement_token1] = ACTIONS(1300),
    [aux_sym_foreach_statement_token2] = ACTIONS(1300),
    [aux_sym_if_statement_token1] = ACTIONS(1300),
    [aux_sym_if_statement_token2] = ACTIONS(1300),
    [aux_sym_else_if_clause_token1] = ACTIONS(1300),
    [aux_sym_else_clause_token1] = ACTIONS(1300),
    [aux_sym_match_expression_token1] = ACTIONS(1300),
    [aux_sym_match_default_expression_token1] = ACTIONS(1300),
    [aux_sym_switch_statement_token1] = ACTIONS(1300),
    [aux_sym_switch_block_token1] = ACTIONS(1300),
    [anon_sym_PLUS] = ACTIONS(1300),
    [anon_sym_DASH] = ACTIONS(1300),
    [anon_sym_TILDE] = ACTIONS(1298),
    [anon_sym_BANG] = ACTIONS(1298),
    [anon_sym_AT] = ACTIONS(1298),
    [aux_sym_clone_expression_token1] = ACTIONS(1300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1300),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1300),
    [anon_sym_DASH_DASH] = ACTIONS(1298),
    [anon_sym_PLUS_PLUS] = ACTIONS(1298),
    [aux_sym__list_destructing_token1] = ACTIONS(1300),
    [anon_sym_LBRACK] = ACTIONS(1298),
    [anon_sym_self] = ACTIONS(1300),
    [anon_sym_parent] = ACTIONS(1300),
    [aux_sym__argument_name_token1] = ACTIONS(1300),
    [aux_sym__argument_name_token2] = ACTIONS(1300),
    [anon_sym_POUND_LBRACK] = ACTIONS(1298),
    [aux_sym_encapsed_string_token1] = ACTIONS(1298),
    [anon_sym_DQUOTE] = ACTIONS(1298),
    [aux_sym_string_token1] = ACTIONS(1298),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [anon_sym_LT_LT_LT] = ACTIONS(1298),
    [anon_sym_BQUOTE] = ACTIONS(1298),
    [anon_sym_DOLLAR] = ACTIONS(1298),
    [aux_sym_yield_expression_token1] = ACTIONS(1300),
    [aux_sym_include_expression_token1] = ACTIONS(1300),
    [aux_sym_include_once_expression_token1] = ACTIONS(1300),
    [aux_sym_require_expression_token1] = ACTIONS(1300),
    [aux_sym_require_once_expression_token1] = ACTIONS(1300),
    [sym_comment] = ACTIONS(3),
  },
  [506] = {
    [ts_builtin_sym_end] = ACTIONS(1302),
    [sym_name] = ACTIONS(1304),
    [anon_sym_QMARK_GT] = ACTIONS(1302),
    [anon_sym_SEMI] = ACTIONS(1302),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1304),
    [aux_sym_global_declaration_token1] = ACTIONS(1304),
    [aux_sym_namespace_definition_token1] = ACTIONS(1304),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1304),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1304),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1304),
    [anon_sym_BSLASH] = ACTIONS(1302),
    [anon_sym_LBRACE] = ACTIONS(1302),
    [anon_sym_RBRACE] = ACTIONS(1302),
    [aux_sym_trait_declaration_token1] = ACTIONS(1304),
    [aux_sym_interface_declaration_token1] = ACTIONS(1304),
    [aux_sym_enum_declaration_token1] = ACTIONS(1304),
    [aux_sym_enum_case_token1] = ACTIONS(1304),
    [aux_sym_class_declaration_token1] = ACTIONS(1304),
    [aux_sym_final_modifier_token1] = ACTIONS(1304),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1304),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1304),
    [sym_var_modifier] = ACTIONS(1304),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1304),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1304),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1304),
    [anon_sym_LPAREN2] = ACTIONS(1302),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1304),
    [aux_sym_cast_type_token1] = ACTIONS(1304),
    [aux_sym_echo_statement_token1] = ACTIONS(1304),
    [aux_sym_exit_statement_token1] = ACTIONS(1304),
    [anon_sym_unset] = ACTIONS(1304),
    [aux_sym_declare_statement_token1] = ACTIONS(1304),
    [aux_sym_declare_statement_token2] = ACTIONS(1304),
    [sym_float] = ACTIONS(1304),
    [aux_sym_try_statement_token1] = ACTIONS(1304),
    [aux_sym_goto_statement_token1] = ACTIONS(1304),
    [aux_sym_continue_statement_token1] = ACTIONS(1304),
    [aux_sym_break_statement_token1] = ACTIONS(1304),
    [sym_integer] = ACTIONS(1304),
    [aux_sym_return_statement_token1] = ACTIONS(1304),
    [aux_sym_throw_expression_token1] = ACTIONS(1304),
    [aux_sym_while_statement_token1] = ACTIONS(1304),
    [aux_sym_while_statement_token2] = ACTIONS(1304),
    [aux_sym_do_statement_token1] = ACTIONS(1304),
    [aux_sym_for_statement_token1] = ACTIONS(1304),
    [aux_sym_for_statement_token2] = ACTIONS(1304),
    [aux_sym_foreach_statement_token1] = ACTIONS(1304),
    [aux_sym_foreach_statement_token2] = ACTIONS(1304),
    [aux_sym_if_statement_token1] = ACTIONS(1304),
    [aux_sym_if_statement_token2] = ACTIONS(1304),
    [aux_sym_else_if_clause_token1] = ACTIONS(1304),
    [aux_sym_else_clause_token1] = ACTIONS(1304),
    [aux_sym_match_expression_token1] = ACTIONS(1304),
    [aux_sym_match_default_expression_token1] = ACTIONS(1304),
    [aux_sym_switch_statement_token1] = ACTIONS(1304),
    [aux_sym_switch_block_token1] = ACTIONS(1304),
    [anon_sym_PLUS] = ACTIONS(1304),
    [anon_sym_DASH] = ACTIONS(1304),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_AT] = ACTIONS(1302),
    [aux_sym_clone_expression_token1] = ACTIONS(1304),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1304),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1304),
    [anon_sym_DASH_DASH] = ACTIONS(1302),
    [anon_sym_PLUS_PLUS] = ACTIONS(1302),
    [aux_sym__list_destructing_token1] = ACTIONS(1304),
    [anon_sym_LBRACK] = ACTIONS(1302),
    [anon_sym_self] = ACTIONS(1304),
    [anon_sym_parent] = ACTIONS(1304),
    [aux_sym__argument_name_token1] = ACTIONS(1304),
    [aux_sym__argument_name_token2] = ACTIONS(1304),
    [anon_sym_POUND_LBRACK] = ACTIONS(1302),
    [aux_sym_encapsed_string_token1] = ACTIONS(1302),
    [anon_sym_DQUOTE] = ACTIONS(1302),
    [aux_sym_string_token1] = ACTIONS(1302),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [anon_sym_LT_LT_LT] = ACTIONS(1302),
    [anon_sym_BQUOTE] = ACTIONS(1302),
    [anon_sym_DOLLAR] = ACTIONS(1302),
    [aux_sym_yield_expression_token1] = ACTIONS(1304),
    [aux_sym_include_expression_token1] = ACTIONS(1304),
    [aux_sym_include_once_expression_token1] = ACTIONS(1304),
    [aux_sym_require_expression_token1] = ACTIONS(1304),
    [aux_sym_require_once_expression_token1] = ACTIONS(1304),
    [sym_comment] = ACTIONS(3),
  },
  [507] = {
    [ts_builtin_sym_end] = ACTIONS(1306),
    [sym_name] = ACTIONS(1308),
    [anon_sym_QMARK_GT] = ACTIONS(1306),
    [anon_sym_SEMI] = ACTIONS(1306),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1308),
    [aux_sym_global_declaration_token1] = ACTIONS(1308),
    [aux_sym_namespace_definition_token1] = ACTIONS(1308),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1308),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1308),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1308),
    [anon_sym_BSLASH] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1306),
    [anon_sym_RBRACE] = ACTIONS(1306),
    [aux_sym_trait_declaration_token1] = ACTIONS(1308),
    [aux_sym_interface_declaration_token1] = ACTIONS(1308),
    [aux_sym_enum_declaration_token1] = ACTIONS(1308),
    [aux_sym_enum_case_token1] = ACTIONS(1308),
    [aux_sym_class_declaration_token1] = ACTIONS(1308),
    [aux_sym_final_modifier_token1] = ACTIONS(1308),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1308),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1308),
    [sym_var_modifier] = ACTIONS(1308),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1308),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1308),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1308),
    [anon_sym_LPAREN2] = ACTIONS(1306),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1308),
    [aux_sym_cast_type_token1] = ACTIONS(1308),
    [aux_sym_echo_statement_token1] = ACTIONS(1308),
    [aux_sym_exit_statement_token1] = ACTIONS(1308),
    [anon_sym_unset] = ACTIONS(1308),
    [aux_sym_declare_statement_token1] = ACTIONS(1308),
    [aux_sym_declare_statement_token2] = ACTIONS(1308),
    [sym_float] = ACTIONS(1308),
    [aux_sym_try_statement_token1] = ACTIONS(1308),
    [aux_sym_goto_statement_token1] = ACTIONS(1308),
    [aux_sym_continue_statement_token1] = ACTIONS(1308),
    [aux_sym_break_statement_token1] = ACTIONS(1308),
    [sym_integer] = ACTIONS(1308),
    [aux_sym_return_statement_token1] = ACTIONS(1308),
    [aux_sym_throw_expression_token1] = ACTIONS(1308),
    [aux_sym_while_statement_token1] = ACTIONS(1308),
    [aux_sym_while_statement_token2] = ACTIONS(1308),
    [aux_sym_do_statement_token1] = ACTIONS(1308),
    [aux_sym_for_statement_token1] = ACTIONS(1308),
    [aux_sym_for_statement_token2] = ACTIONS(1308),
    [aux_sym_foreach_statement_token1] = ACTIONS(1308),
    [aux_sym_foreach_statement_token2] = ACTIONS(1308),
    [aux_sym_if_statement_token1] = ACTIONS(1308),
    [aux_sym_if_statement_token2] = ACTIONS(1308),
    [aux_sym_else_if_clause_token1] = ACTIONS(1308),
    [aux_sym_else_clause_token1] = ACTIONS(1308),
    [aux_sym_match_expression_token1] = ACTIONS(1308),
    [aux_sym_match_default_expression_token1] = ACTIONS(1308),
    [aux_sym_switch_statement_token1] = ACTIONS(1308),
    [aux_sym_switch_block_token1] = ACTIONS(1308),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1306),
    [anon_sym_BANG] = ACTIONS(1306),
    [anon_sym_AT] = ACTIONS(1306),
    [aux_sym_clone_expression_token1] = ACTIONS(1308),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1308),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1308),
    [anon_sym_DASH_DASH] = ACTIONS(1306),
    [anon_sym_PLUS_PLUS] = ACTIONS(1306),
    [aux_sym__list_destructing_token1] = ACTIONS(1308),
    [anon_sym_LBRACK] = ACTIONS(1306),
    [anon_sym_self] = ACTIONS(1308),
    [anon_sym_parent] = ACTIONS(1308),
    [aux_sym__argument_name_token1] = ACTIONS(1308),
    [aux_sym__argument_name_token2] = ACTIONS(1308),
    [anon_sym_POUND_LBRACK] = ACTIONS(1306),
    [aux_sym_encapsed_string_token1] = ACTIONS(1306),
    [anon_sym_DQUOTE] = ACTIONS(1306),
    [aux_sym_string_token1] = ACTIONS(1306),
    [anon_sym_SQUOTE] = ACTIONS(1306),
    [anon_sym_LT_LT_LT] = ACTIONS(1306),
    [anon_sym_BQUOTE] = ACTIONS(1306),
    [anon_sym_DOLLAR] = ACTIONS(1306),
    [aux_sym_yield_expression_token1] = ACTIONS(1308),
    [aux_sym_include_expression_token1] = ACTIONS(1308),
    [aux_sym_include_once_expression_token1] = ACTIONS(1308),
    [aux_sym_require_expression_token1] = ACTIONS(1308),
    [aux_sym_require_once_expression_token1] = ACTIONS(1308),
    [sym_comment] = ACTIONS(3),
  },
  [508] = {
    [ts_builtin_sym_end] = ACTIONS(1310),
    [sym_name] = ACTIONS(1312),
    [anon_sym_QMARK_GT] = ACTIONS(1310),
    [anon_sym_SEMI] = ACTIONS(1310),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1312),
    [aux_sym_global_declaration_token1] = ACTIONS(1312),
    [aux_sym_namespace_definition_token1] = ACTIONS(1312),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1312),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1312),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1312),
    [anon_sym_BSLASH] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1310),
    [anon_sym_RBRACE] = ACTIONS(1310),
    [aux_sym_trait_declaration_token1] = ACTIONS(1312),
    [aux_sym_interface_declaration_token1] = ACTIONS(1312),
    [aux_sym_enum_declaration_token1] = ACTIONS(1312),
    [aux_sym_enum_case_token1] = ACTIONS(1312),
    [aux_sym_class_declaration_token1] = ACTIONS(1312),
    [aux_sym_final_modifier_token1] = ACTIONS(1312),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1312),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1312),
    [sym_var_modifier] = ACTIONS(1312),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1312),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1312),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1312),
    [anon_sym_LPAREN2] = ACTIONS(1310),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1312),
    [aux_sym_cast_type_token1] = ACTIONS(1312),
    [aux_sym_echo_statement_token1] = ACTIONS(1312),
    [aux_sym_exit_statement_token1] = ACTIONS(1312),
    [anon_sym_unset] = ACTIONS(1312),
    [aux_sym_declare_statement_token1] = ACTIONS(1312),
    [aux_sym_declare_statement_token2] = ACTIONS(1312),
    [sym_float] = ACTIONS(1312),
    [aux_sym_try_statement_token1] = ACTIONS(1312),
    [aux_sym_goto_statement_token1] = ACTIONS(1312),
    [aux_sym_continue_statement_token1] = ACTIONS(1312),
    [aux_sym_break_statement_token1] = ACTIONS(1312),
    [sym_integer] = ACTIONS(1312),
    [aux_sym_return_statement_token1] = ACTIONS(1312),
    [aux_sym_throw_expression_token1] = ACTIONS(1312),
    [aux_sym_while_statement_token1] = ACTIONS(1312),
    [aux_sym_while_statement_token2] = ACTIONS(1312),
    [aux_sym_do_statement_token1] = ACTIONS(1312),
    [aux_sym_for_statement_token1] = ACTIONS(1312),
    [aux_sym_for_statement_token2] = ACTIONS(1312),
    [aux_sym_foreach_statement_token1] = ACTIONS(1312),
    [aux_sym_foreach_statement_token2] = ACTIONS(1312),
    [aux_sym_if_statement_token1] = ACTIONS(1312),
    [aux_sym_if_statement_token2] = ACTIONS(1312),
    [aux_sym_else_if_clause_token1] = ACTIONS(1312),
    [aux_sym_else_clause_token1] = ACTIONS(1312),
    [aux_sym_match_expression_token1] = ACTIONS(1312),
    [aux_sym_match_default_expression_token1] = ACTIONS(1312),
    [aux_sym_switch_statement_token1] = ACTIONS(1312),
    [aux_sym_switch_block_token1] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1310),
    [anon_sym_BANG] = ACTIONS(1310),
    [anon_sym_AT] = ACTIONS(1310),
    [aux_sym_clone_expression_token1] = ACTIONS(1312),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1312),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1312),
    [anon_sym_DASH_DASH] = ACTIONS(1310),
    [anon_sym_PLUS_PLUS] = ACTIONS(1310),
    [aux_sym__list_destructing_token1] = ACTIONS(1312),
    [anon_sym_LBRACK] = ACTIONS(1310),
    [anon_sym_self] = ACTIONS(1312),
    [anon_sym_parent] = ACTIONS(1312),
    [aux_sym__argument_name_token1] = ACTIONS(1312),
    [aux_sym__argument_name_token2] = ACTIONS(1312),
    [anon_sym_POUND_LBRACK] = ACTIONS(1310),
    [aux_sym_encapsed_string_token1] = ACTIONS(1310),
    [anon_sym_DQUOTE] = ACTIONS(1310),
    [aux_sym_string_token1] = ACTIONS(1310),
    [anon_sym_SQUOTE] = ACTIONS(1310),
    [anon_sym_LT_LT_LT] = ACTIONS(1310),
    [anon_sym_BQUOTE] = ACTIONS(1310),
    [anon_sym_DOLLAR] = ACTIONS(1310),
    [aux_sym_yield_expression_token1] = ACTIONS(1312),
    [aux_sym_include_expression_token1] = ACTIONS(1312),
    [aux_sym_include_once_expression_token1] = ACTIONS(1312),
    [aux_sym_require_expression_token1] = ACTIONS(1312),
    [aux_sym_require_once_expression_token1] = ACTIONS(1312),
    [sym_comment] = ACTIONS(3),
  },
  [509] = {
    [ts_builtin_sym_end] = ACTIONS(1314),
    [sym_name] = ACTIONS(1316),
    [anon_sym_QMARK_GT] = ACTIONS(1314),
    [anon_sym_SEMI] = ACTIONS(1314),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1316),
    [aux_sym_global_declaration_token1] = ACTIONS(1316),
    [aux_sym_namespace_definition_token1] = ACTIONS(1316),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1316),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1316),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1316),
    [anon_sym_BSLASH] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1314),
    [anon_sym_RBRACE] = ACTIONS(1314),
    [aux_sym_trait_declaration_token1] = ACTIONS(1316),
    [aux_sym_interface_declaration_token1] = ACTIONS(1316),
    [aux_sym_enum_declaration_token1] = ACTIONS(1316),
    [aux_sym_enum_case_token1] = ACTIONS(1316),
    [aux_sym_class_declaration_token1] = ACTIONS(1316),
    [aux_sym_final_modifier_token1] = ACTIONS(1316),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1316),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1316),
    [sym_var_modifier] = ACTIONS(1316),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1316),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1316),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1316),
    [anon_sym_LPAREN2] = ACTIONS(1314),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1316),
    [aux_sym_cast_type_token1] = ACTIONS(1316),
    [aux_sym_echo_statement_token1] = ACTIONS(1316),
    [aux_sym_exit_statement_token1] = ACTIONS(1316),
    [anon_sym_unset] = ACTIONS(1316),
    [aux_sym_declare_statement_token1] = ACTIONS(1316),
    [aux_sym_declare_statement_token2] = ACTIONS(1316),
    [sym_float] = ACTIONS(1316),
    [aux_sym_try_statement_token1] = ACTIONS(1316),
    [aux_sym_goto_statement_token1] = ACTIONS(1316),
    [aux_sym_continue_statement_token1] = ACTIONS(1316),
    [aux_sym_break_statement_token1] = ACTIONS(1316),
    [sym_integer] = ACTIONS(1316),
    [aux_sym_return_statement_token1] = ACTIONS(1316),
    [aux_sym_throw_expression_token1] = ACTIONS(1316),
    [aux_sym_while_statement_token1] = ACTIONS(1316),
    [aux_sym_while_statement_token2] = ACTIONS(1316),
    [aux_sym_do_statement_token1] = ACTIONS(1316),
    [aux_sym_for_statement_token1] = ACTIONS(1316),
    [aux_sym_for_statement_token2] = ACTIONS(1316),
    [aux_sym_foreach_statement_token1] = ACTIONS(1316),
    [aux_sym_foreach_statement_token2] = ACTIONS(1316),
    [aux_sym_if_statement_token1] = ACTIONS(1316),
    [aux_sym_if_statement_token2] = ACTIONS(1316),
    [aux_sym_else_if_clause_token1] = ACTIONS(1316),
    [aux_sym_else_clause_token1] = ACTIONS(1316),
    [aux_sym_match_expression_token1] = ACTIONS(1316),
    [aux_sym_match_default_expression_token1] = ACTIONS(1316),
    [aux_sym_switch_statement_token1] = ACTIONS(1316),
    [aux_sym_switch_block_token1] = ACTIONS(1316),
    [anon_sym_PLUS] = ACTIONS(1316),
    [anon_sym_DASH] = ACTIONS(1316),
    [anon_sym_TILDE] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1314),
    [anon_sym_AT] = ACTIONS(1314),
    [aux_sym_clone_expression_token1] = ACTIONS(1316),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1316),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1316),
    [anon_sym_DASH_DASH] = ACTIONS(1314),
    [anon_sym_PLUS_PLUS] = ACTIONS(1314),
    [aux_sym__list_destructing_token1] = ACTIONS(1316),
    [anon_sym_LBRACK] = ACTIONS(1314),
    [anon_sym_self] = ACTIONS(1316),
    [anon_sym_parent] = ACTIONS(1316),
    [aux_sym__argument_name_token1] = ACTIONS(1316),
    [aux_sym__argument_name_token2] = ACTIONS(1316),
    [anon_sym_POUND_LBRACK] = ACTIONS(1314),
    [aux_sym_encapsed_string_token1] = ACTIONS(1314),
    [anon_sym_DQUOTE] = ACTIONS(1314),
    [aux_sym_string_token1] = ACTIONS(1314),
    [anon_sym_SQUOTE] = ACTIONS(1314),
    [anon_sym_LT_LT_LT] = ACTIONS(1314),
    [anon_sym_BQUOTE] = ACTIONS(1314),
    [anon_sym_DOLLAR] = ACTIONS(1314),
    [aux_sym_yield_expression_token1] = ACTIONS(1316),
    [aux_sym_include_expression_token1] = ACTIONS(1316),
    [aux_sym_include_once_expression_token1] = ACTIONS(1316),
    [aux_sym_require_expression_token1] = ACTIONS(1316),
    [aux_sym_require_once_expression_token1] = ACTIONS(1316),
    [sym_comment] = ACTIONS(3),
  },
  [510] = {
    [ts_builtin_sym_end] = ACTIONS(1318),
    [sym_name] = ACTIONS(1320),
    [anon_sym_QMARK_GT] = ACTIONS(1318),
    [anon_sym_SEMI] = ACTIONS(1318),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1320),
    [aux_sym_global_declaration_token1] = ACTIONS(1320),
    [aux_sym_namespace_definition_token1] = ACTIONS(1320),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1320),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1320),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1320),
    [anon_sym_BSLASH] = ACTIONS(1318),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym_RBRACE] = ACTIONS(1318),
    [aux_sym_trait_declaration_token1] = ACTIONS(1320),
    [aux_sym_interface_declaration_token1] = ACTIONS(1320),
    [aux_sym_enum_declaration_token1] = ACTIONS(1320),
    [aux_sym_enum_case_token1] = ACTIONS(1320),
    [aux_sym_class_declaration_token1] = ACTIONS(1320),
    [aux_sym_final_modifier_token1] = ACTIONS(1320),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1320),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1320),
    [sym_var_modifier] = ACTIONS(1320),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1320),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1320),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1320),
    [anon_sym_LPAREN2] = ACTIONS(1318),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1320),
    [aux_sym_cast_type_token1] = ACTIONS(1320),
    [aux_sym_echo_statement_token1] = ACTIONS(1320),
    [aux_sym_exit_statement_token1] = ACTIONS(1320),
    [anon_sym_unset] = ACTIONS(1320),
    [aux_sym_declare_statement_token1] = ACTIONS(1320),
    [aux_sym_declare_statement_token2] = ACTIONS(1320),
    [sym_float] = ACTIONS(1320),
    [aux_sym_try_statement_token1] = ACTIONS(1320),
    [aux_sym_goto_statement_token1] = ACTIONS(1320),
    [aux_sym_continue_statement_token1] = ACTIONS(1320),
    [aux_sym_break_statement_token1] = ACTIONS(1320),
    [sym_integer] = ACTIONS(1320),
    [aux_sym_return_statement_token1] = ACTIONS(1320),
    [aux_sym_throw_expression_token1] = ACTIONS(1320),
    [aux_sym_while_statement_token1] = ACTIONS(1320),
    [aux_sym_while_statement_token2] = ACTIONS(1320),
    [aux_sym_do_statement_token1] = ACTIONS(1320),
    [aux_sym_for_statement_token1] = ACTIONS(1320),
    [aux_sym_for_statement_token2] = ACTIONS(1320),
    [aux_sym_foreach_statement_token1] = ACTIONS(1320),
    [aux_sym_foreach_statement_token2] = ACTIONS(1320),
    [aux_sym_if_statement_token1] = ACTIONS(1320),
    [aux_sym_if_statement_token2] = ACTIONS(1320),
    [aux_sym_else_if_clause_token1] = ACTIONS(1320),
    [aux_sym_else_clause_token1] = ACTIONS(1320),
    [aux_sym_match_expression_token1] = ACTIONS(1320),
    [aux_sym_match_default_expression_token1] = ACTIONS(1320),
    [aux_sym_switch_statement_token1] = ACTIONS(1320),
    [aux_sym_switch_block_token1] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1320),
    [anon_sym_DASH] = ACTIONS(1320),
    [anon_sym_TILDE] = ACTIONS(1318),
    [anon_sym_BANG] = ACTIONS(1318),
    [anon_sym_AT] = ACTIONS(1318),
    [aux_sym_clone_expression_token1] = ACTIONS(1320),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1320),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1318),
    [aux_sym__list_destructing_token1] = ACTIONS(1320),
    [anon_sym_LBRACK] = ACTIONS(1318),
    [anon_sym_self] = ACTIONS(1320),
    [anon_sym_parent] = ACTIONS(1320),
    [aux_sym__argument_name_token1] = ACTIONS(1320),
    [aux_sym__argument_name_token2] = ACTIONS(1320),
    [anon_sym_POUND_LBRACK] = ACTIONS(1318),
    [aux_sym_encapsed_string_token1] = ACTIONS(1318),
    [anon_sym_DQUOTE] = ACTIONS(1318),
    [aux_sym_string_token1] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1318),
    [anon_sym_LT_LT_LT] = ACTIONS(1318),
    [anon_sym_BQUOTE] = ACTIONS(1318),
    [anon_sym_DOLLAR] = ACTIONS(1318),
    [aux_sym_yield_expression_token1] = ACTIONS(1320),
    [aux_sym_include_expression_token1] = ACTIONS(1320),
    [aux_sym_include_once_expression_token1] = ACTIONS(1320),
    [aux_sym_require_expression_token1] = ACTIONS(1320),
    [aux_sym_require_once_expression_token1] = ACTIONS(1320),
    [sym_comment] = ACTIONS(3),
  },
  [511] = {
    [ts_builtin_sym_end] = ACTIONS(1322),
    [sym_name] = ACTIONS(1324),
    [anon_sym_QMARK_GT] = ACTIONS(1322),
    [anon_sym_SEMI] = ACTIONS(1322),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1324),
    [aux_sym_global_declaration_token1] = ACTIONS(1324),
    [aux_sym_namespace_definition_token1] = ACTIONS(1324),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1324),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1324),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1324),
    [anon_sym_BSLASH] = ACTIONS(1322),
    [anon_sym_LBRACE] = ACTIONS(1322),
    [anon_sym_RBRACE] = ACTIONS(1322),
    [aux_sym_trait_declaration_token1] = ACTIONS(1324),
    [aux_sym_interface_declaration_token1] = ACTIONS(1324),
    [aux_sym_enum_declaration_token1] = ACTIONS(1324),
    [aux_sym_enum_case_token1] = ACTIONS(1324),
    [aux_sym_class_declaration_token1] = ACTIONS(1324),
    [aux_sym_final_modifier_token1] = ACTIONS(1324),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1324),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1324),
    [sym_var_modifier] = ACTIONS(1324),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1324),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1324),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1324),
    [anon_sym_LPAREN2] = ACTIONS(1322),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1324),
    [aux_sym_cast_type_token1] = ACTIONS(1324),
    [aux_sym_echo_statement_token1] = ACTIONS(1324),
    [aux_sym_exit_statement_token1] = ACTIONS(1324),
    [anon_sym_unset] = ACTIONS(1324),
    [aux_sym_declare_statement_token1] = ACTIONS(1324),
    [aux_sym_declare_statement_token2] = ACTIONS(1324),
    [sym_float] = ACTIONS(1324),
    [aux_sym_try_statement_token1] = ACTIONS(1324),
    [aux_sym_goto_statement_token1] = ACTIONS(1324),
    [aux_sym_continue_statement_token1] = ACTIONS(1324),
    [aux_sym_break_statement_token1] = ACTIONS(1324),
    [sym_integer] = ACTIONS(1324),
    [aux_sym_return_statement_token1] = ACTIONS(1324),
    [aux_sym_throw_expression_token1] = ACTIONS(1324),
    [aux_sym_while_statement_token1] = ACTIONS(1324),
    [aux_sym_while_statement_token2] = ACTIONS(1324),
    [aux_sym_do_statement_token1] = ACTIONS(1324),
    [aux_sym_for_statement_token1] = ACTIONS(1324),
    [aux_sym_for_statement_token2] = ACTIONS(1324),
    [aux_sym_foreach_statement_token1] = ACTIONS(1324),
    [aux_sym_foreach_statement_token2] = ACTIONS(1324),
    [aux_sym_if_statement_token1] = ACTIONS(1324),
    [aux_sym_if_statement_token2] = ACTIONS(1324),
    [aux_sym_else_if_clause_token1] = ACTIONS(1324),
    [aux_sym_else_clause_token1] = ACTIONS(1324),
    [aux_sym_match_expression_token1] = ACTIONS(1324),
    [aux_sym_match_default_expression_token1] = ACTIONS(1324),
    [aux_sym_switch_statement_token1] = ACTIONS(1324),
    [aux_sym_switch_block_token1] = ACTIONS(1324),
    [anon_sym_PLUS] = ACTIONS(1324),
    [anon_sym_DASH] = ACTIONS(1324),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_AT] = ACTIONS(1322),
    [aux_sym_clone_expression_token1] = ACTIONS(1324),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1324),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1324),
    [anon_sym_DASH_DASH] = ACTIONS(1322),
    [anon_sym_PLUS_PLUS] = ACTIONS(1322),
    [aux_sym__list_destructing_token1] = ACTIONS(1324),
    [anon_sym_LBRACK] = ACTIONS(1322),
    [anon_sym_self] = ACTIONS(1324),
    [anon_sym_parent] = ACTIONS(1324),
    [aux_sym__argument_name_token1] = ACTIONS(1324),
    [aux_sym__argument_name_token2] = ACTIONS(1324),
    [anon_sym_POUND_LBRACK] = ACTIONS(1322),
    [aux_sym_encapsed_string_token1] = ACTIONS(1322),
    [anon_sym_DQUOTE] = ACTIONS(1322),
    [aux_sym_string_token1] = ACTIONS(1322),
    [anon_sym_SQUOTE] = ACTIONS(1322),
    [anon_sym_LT_LT_LT] = ACTIONS(1322),
    [anon_sym_BQUOTE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1322),
    [aux_sym_yield_expression_token1] = ACTIONS(1324),
    [aux_sym_include_expression_token1] = ACTIONS(1324),
    [aux_sym_include_once_expression_token1] = ACTIONS(1324),
    [aux_sym_require_expression_token1] = ACTIONS(1324),
    [aux_sym_require_once_expression_token1] = ACTIONS(1324),
    [sym_comment] = ACTIONS(3),
  },
  [512] = {
    [ts_builtin_sym_end] = ACTIONS(1326),
    [sym_name] = ACTIONS(1328),
    [anon_sym_QMARK_GT] = ACTIONS(1326),
    [anon_sym_SEMI] = ACTIONS(1326),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1328),
    [aux_sym_global_declaration_token1] = ACTIONS(1328),
    [aux_sym_namespace_definition_token1] = ACTIONS(1328),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1328),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1328),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1328),
    [anon_sym_BSLASH] = ACTIONS(1326),
    [anon_sym_LBRACE] = ACTIONS(1326),
    [anon_sym_RBRACE] = ACTIONS(1326),
    [aux_sym_trait_declaration_token1] = ACTIONS(1328),
    [aux_sym_interface_declaration_token1] = ACTIONS(1328),
    [aux_sym_enum_declaration_token1] = ACTIONS(1328),
    [aux_sym_enum_case_token1] = ACTIONS(1328),
    [aux_sym_class_declaration_token1] = ACTIONS(1328),
    [aux_sym_final_modifier_token1] = ACTIONS(1328),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1328),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1328),
    [sym_var_modifier] = ACTIONS(1328),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1328),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1328),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1328),
    [anon_sym_LPAREN2] = ACTIONS(1326),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1328),
    [aux_sym_cast_type_token1] = ACTIONS(1328),
    [aux_sym_echo_statement_token1] = ACTIONS(1328),
    [aux_sym_exit_statement_token1] = ACTIONS(1328),
    [anon_sym_unset] = ACTIONS(1328),
    [aux_sym_declare_statement_token1] = ACTIONS(1328),
    [aux_sym_declare_statement_token2] = ACTIONS(1328),
    [sym_float] = ACTIONS(1328),
    [aux_sym_try_statement_token1] = ACTIONS(1328),
    [aux_sym_goto_statement_token1] = ACTIONS(1328),
    [aux_sym_continue_statement_token1] = ACTIONS(1328),
    [aux_sym_break_statement_token1] = ACTIONS(1328),
    [sym_integer] = ACTIONS(1328),
    [aux_sym_return_statement_token1] = ACTIONS(1328),
    [aux_sym_throw_expression_token1] = ACTIONS(1328),
    [aux_sym_while_statement_token1] = ACTIONS(1328),
    [aux_sym_while_statement_token2] = ACTIONS(1328),
    [aux_sym_do_statement_token1] = ACTIONS(1328),
    [aux_sym_for_statement_token1] = ACTIONS(1328),
    [aux_sym_for_statement_token2] = ACTIONS(1328),
    [aux_sym_foreach_statement_token1] = ACTIONS(1328),
    [aux_sym_foreach_statement_token2] = ACTIONS(1328),
    [aux_sym_if_statement_token1] = ACTIONS(1328),
    [aux_sym_if_statement_token2] = ACTIONS(1328),
    [aux_sym_else_if_clause_token1] = ACTIONS(1328),
    [aux_sym_else_clause_token1] = ACTIONS(1328),
    [aux_sym_match_expression_token1] = ACTIONS(1328),
    [aux_sym_match_default_expression_token1] = ACTIONS(1328),
    [aux_sym_switch_statement_token1] = ACTIONS(1328),
    [aux_sym_switch_block_token1] = ACTIONS(1328),
    [anon_sym_PLUS] = ACTIONS(1328),
    [anon_sym_DASH] = ACTIONS(1328),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_BANG] = ACTIONS(1326),
    [anon_sym_AT] = ACTIONS(1326),
    [aux_sym_clone_expression_token1] = ACTIONS(1328),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1328),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1328),
    [anon_sym_DASH_DASH] = ACTIONS(1326),
    [anon_sym_PLUS_PLUS] = ACTIONS(1326),
    [aux_sym__list_destructing_token1] = ACTIONS(1328),
    [anon_sym_LBRACK] = ACTIONS(1326),
    [anon_sym_self] = ACTIONS(1328),
    [anon_sym_parent] = ACTIONS(1328),
    [aux_sym__argument_name_token1] = ACTIONS(1328),
    [aux_sym__argument_name_token2] = ACTIONS(1328),
    [anon_sym_POUND_LBRACK] = ACTIONS(1326),
    [aux_sym_encapsed_string_token1] = ACTIONS(1326),
    [anon_sym_DQUOTE] = ACTIONS(1326),
    [aux_sym_string_token1] = ACTIONS(1326),
    [anon_sym_SQUOTE] = ACTIONS(1326),
    [anon_sym_LT_LT_LT] = ACTIONS(1326),
    [anon_sym_BQUOTE] = ACTIONS(1326),
    [anon_sym_DOLLAR] = ACTIONS(1326),
    [aux_sym_yield_expression_token1] = ACTIONS(1328),
    [aux_sym_include_expression_token1] = ACTIONS(1328),
    [aux_sym_include_once_expression_token1] = ACTIONS(1328),
    [aux_sym_require_expression_token1] = ACTIONS(1328),
    [aux_sym_require_once_expression_token1] = ACTIONS(1328),
    [sym_comment] = ACTIONS(3),
  },
  [513] = {
    [ts_builtin_sym_end] = ACTIONS(1330),
    [sym_name] = ACTIONS(1332),
    [anon_sym_QMARK_GT] = ACTIONS(1330),
    [anon_sym_SEMI] = ACTIONS(1330),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1332),
    [aux_sym_global_declaration_token1] = ACTIONS(1332),
    [aux_sym_namespace_definition_token1] = ACTIONS(1332),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1332),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1332),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1332),
    [anon_sym_BSLASH] = ACTIONS(1330),
    [anon_sym_LBRACE] = ACTIONS(1330),
    [anon_sym_RBRACE] = ACTIONS(1330),
    [aux_sym_trait_declaration_token1] = ACTIONS(1332),
    [aux_sym_interface_declaration_token1] = ACTIONS(1332),
    [aux_sym_enum_declaration_token1] = ACTIONS(1332),
    [aux_sym_enum_case_token1] = ACTIONS(1332),
    [aux_sym_class_declaration_token1] = ACTIONS(1332),
    [aux_sym_final_modifier_token1] = ACTIONS(1332),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1332),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1332),
    [sym_var_modifier] = ACTIONS(1332),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1332),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1332),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1332),
    [anon_sym_LPAREN2] = ACTIONS(1330),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1332),
    [aux_sym_cast_type_token1] = ACTIONS(1332),
    [aux_sym_echo_statement_token1] = ACTIONS(1332),
    [aux_sym_exit_statement_token1] = ACTIONS(1332),
    [anon_sym_unset] = ACTIONS(1332),
    [aux_sym_declare_statement_token1] = ACTIONS(1332),
    [aux_sym_declare_statement_token2] = ACTIONS(1332),
    [sym_float] = ACTIONS(1332),
    [aux_sym_try_statement_token1] = ACTIONS(1332),
    [aux_sym_goto_statement_token1] = ACTIONS(1332),
    [aux_sym_continue_statement_token1] = ACTIONS(1332),
    [aux_sym_break_statement_token1] = ACTIONS(1332),
    [sym_integer] = ACTIONS(1332),
    [aux_sym_return_statement_token1] = ACTIONS(1332),
    [aux_sym_throw_expression_token1] = ACTIONS(1332),
    [aux_sym_while_statement_token1] = ACTIONS(1332),
    [aux_sym_while_statement_token2] = ACTIONS(1332),
    [aux_sym_do_statement_token1] = ACTIONS(1332),
    [aux_sym_for_statement_token1] = ACTIONS(1332),
    [aux_sym_for_statement_token2] = ACTIONS(1332),
    [aux_sym_foreach_statement_token1] = ACTIONS(1332),
    [aux_sym_foreach_statement_token2] = ACTIONS(1332),
    [aux_sym_if_statement_token1] = ACTIONS(1332),
    [aux_sym_if_statement_token2] = ACTIONS(1332),
    [aux_sym_else_if_clause_token1] = ACTIONS(1332),
    [aux_sym_else_clause_token1] = ACTIONS(1332),
    [aux_sym_match_expression_token1] = ACTIONS(1332),
    [aux_sym_match_default_expression_token1] = ACTIONS(1332),
    [aux_sym_switch_statement_token1] = ACTIONS(1332),
    [aux_sym_switch_block_token1] = ACTIONS(1332),
    [anon_sym_PLUS] = ACTIONS(1332),
    [anon_sym_DASH] = ACTIONS(1332),
    [anon_sym_TILDE] = ACTIONS(1330),
    [anon_sym_BANG] = ACTIONS(1330),
    [anon_sym_AT] = ACTIONS(1330),
    [aux_sym_clone_expression_token1] = ACTIONS(1332),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1332),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1332),
    [anon_sym_DASH_DASH] = ACTIONS(1330),
    [anon_sym_PLUS_PLUS] = ACTIONS(1330),
    [aux_sym__list_destructing_token1] = ACTIONS(1332),
    [anon_sym_LBRACK] = ACTIONS(1330),
    [anon_sym_self] = ACTIONS(1332),
    [anon_sym_parent] = ACTIONS(1332),
    [aux_sym__argument_name_token1] = ACTIONS(1332),
    [aux_sym__argument_name_token2] = ACTIONS(1332),
    [anon_sym_POUND_LBRACK] = ACTIONS(1330),
    [aux_sym_encapsed_string_token1] = ACTIONS(1330),
    [anon_sym_DQUOTE] = ACTIONS(1330),
    [aux_sym_string_token1] = ACTIONS(1330),
    [anon_sym_SQUOTE] = ACTIONS(1330),
    [anon_sym_LT_LT_LT] = ACTIONS(1330),
    [anon_sym_BQUOTE] = ACTIONS(1330),
    [anon_sym_DOLLAR] = ACTIONS(1330),
    [aux_sym_yield_expression_token1] = ACTIONS(1332),
    [aux_sym_include_expression_token1] = ACTIONS(1332),
    [aux_sym_include_once_expression_token1] = ACTIONS(1332),
    [aux_sym_require_expression_token1] = ACTIONS(1332),
    [aux_sym_require_once_expression_token1] = ACTIONS(1332),
    [sym_comment] = ACTIONS(3),
  },
  [514] = {
    [ts_builtin_sym_end] = ACTIONS(1334),
    [sym_name] = ACTIONS(1336),
    [anon_sym_QMARK_GT] = ACTIONS(1334),
    [anon_sym_SEMI] = ACTIONS(1334),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1336),
    [aux_sym_global_declaration_token1] = ACTIONS(1336),
    [aux_sym_namespace_definition_token1] = ACTIONS(1336),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1336),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1336),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1336),
    [anon_sym_BSLASH] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1334),
    [anon_sym_RBRACE] = ACTIONS(1334),
    [aux_sym_trait_declaration_token1] = ACTIONS(1336),
    [aux_sym_interface_declaration_token1] = ACTIONS(1336),
    [aux_sym_enum_declaration_token1] = ACTIONS(1336),
    [aux_sym_enum_case_token1] = ACTIONS(1336),
    [aux_sym_class_declaration_token1] = ACTIONS(1336),
    [aux_sym_final_modifier_token1] = ACTIONS(1336),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1336),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1336),
    [sym_var_modifier] = ACTIONS(1336),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1336),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1336),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1336),
    [anon_sym_LPAREN2] = ACTIONS(1334),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1336),
    [aux_sym_cast_type_token1] = ACTIONS(1336),
    [aux_sym_echo_statement_token1] = ACTIONS(1336),
    [aux_sym_exit_statement_token1] = ACTIONS(1336),
    [anon_sym_unset] = ACTIONS(1336),
    [aux_sym_declare_statement_token1] = ACTIONS(1336),
    [aux_sym_declare_statement_token2] = ACTIONS(1336),
    [sym_float] = ACTIONS(1336),
    [aux_sym_try_statement_token1] = ACTIONS(1336),
    [aux_sym_goto_statement_token1] = ACTIONS(1336),
    [aux_sym_continue_statement_token1] = ACTIONS(1336),
    [aux_sym_break_statement_token1] = ACTIONS(1336),
    [sym_integer] = ACTIONS(1336),
    [aux_sym_return_statement_token1] = ACTIONS(1336),
    [aux_sym_throw_expression_token1] = ACTIONS(1336),
    [aux_sym_while_statement_token1] = ACTIONS(1336),
    [aux_sym_while_statement_token2] = ACTIONS(1336),
    [aux_sym_do_statement_token1] = ACTIONS(1336),
    [aux_sym_for_statement_token1] = ACTIONS(1336),
    [aux_sym_for_statement_token2] = ACTIONS(1336),
    [aux_sym_foreach_statement_token1] = ACTIONS(1336),
    [aux_sym_foreach_statement_token2] = ACTIONS(1336),
    [aux_sym_if_statement_token1] = ACTIONS(1336),
    [aux_sym_if_statement_token2] = ACTIONS(1336),
    [aux_sym_else_if_clause_token1] = ACTIONS(1336),
    [aux_sym_else_clause_token1] = ACTIONS(1336),
    [aux_sym_match_expression_token1] = ACTIONS(1336),
    [aux_sym_match_default_expression_token1] = ACTIONS(1336),
    [aux_sym_switch_statement_token1] = ACTIONS(1336),
    [aux_sym_switch_block_token1] = ACTIONS(1336),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_TILDE] = ACTIONS(1334),
    [anon_sym_BANG] = ACTIONS(1334),
    [anon_sym_AT] = ACTIONS(1334),
    [aux_sym_clone_expression_token1] = ACTIONS(1336),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1336),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1336),
    [anon_sym_DASH_DASH] = ACTIONS(1334),
    [anon_sym_PLUS_PLUS] = ACTIONS(1334),
    [aux_sym__list_destructing_token1] = ACTIONS(1336),
    [anon_sym_LBRACK] = ACTIONS(1334),
    [anon_sym_self] = ACTIONS(1336),
    [anon_sym_parent] = ACTIONS(1336),
    [aux_sym__argument_name_token1] = ACTIONS(1336),
    [aux_sym__argument_name_token2] = ACTIONS(1336),
    [anon_sym_POUND_LBRACK] = ACTIONS(1334),
    [aux_sym_encapsed_string_token1] = ACTIONS(1334),
    [anon_sym_DQUOTE] = ACTIONS(1334),
    [aux_sym_string_token1] = ACTIONS(1334),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [anon_sym_LT_LT_LT] = ACTIONS(1334),
    [anon_sym_BQUOTE] = ACTIONS(1334),
    [anon_sym_DOLLAR] = ACTIONS(1334),
    [aux_sym_yield_expression_token1] = ACTIONS(1336),
    [aux_sym_include_expression_token1] = ACTIONS(1336),
    [aux_sym_include_once_expression_token1] = ACTIONS(1336),
    [aux_sym_require_expression_token1] = ACTIONS(1336),
    [aux_sym_require_once_expression_token1] = ACTIONS(1336),
    [sym_comment] = ACTIONS(3),
  },
  [515] = {
    [ts_builtin_sym_end] = ACTIONS(1338),
    [sym_name] = ACTIONS(1340),
    [anon_sym_QMARK_GT] = ACTIONS(1338),
    [anon_sym_SEMI] = ACTIONS(1338),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1340),
    [aux_sym_global_declaration_token1] = ACTIONS(1340),
    [aux_sym_namespace_definition_token1] = ACTIONS(1340),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1340),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1340),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1340),
    [anon_sym_BSLASH] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym_RBRACE] = ACTIONS(1338),
    [aux_sym_trait_declaration_token1] = ACTIONS(1340),
    [aux_sym_interface_declaration_token1] = ACTIONS(1340),
    [aux_sym_enum_declaration_token1] = ACTIONS(1340),
    [aux_sym_enum_case_token1] = ACTIONS(1340),
    [aux_sym_class_declaration_token1] = ACTIONS(1340),
    [aux_sym_final_modifier_token1] = ACTIONS(1340),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1340),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1340),
    [sym_var_modifier] = ACTIONS(1340),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1340),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1340),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1340),
    [anon_sym_LPAREN2] = ACTIONS(1338),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1340),
    [aux_sym_cast_type_token1] = ACTIONS(1340),
    [aux_sym_echo_statement_token1] = ACTIONS(1340),
    [aux_sym_exit_statement_token1] = ACTIONS(1340),
    [anon_sym_unset] = ACTIONS(1340),
    [aux_sym_declare_statement_token1] = ACTIONS(1340),
    [aux_sym_declare_statement_token2] = ACTIONS(1340),
    [sym_float] = ACTIONS(1340),
    [aux_sym_try_statement_token1] = ACTIONS(1340),
    [aux_sym_goto_statement_token1] = ACTIONS(1340),
    [aux_sym_continue_statement_token1] = ACTIONS(1340),
    [aux_sym_break_statement_token1] = ACTIONS(1340),
    [sym_integer] = ACTIONS(1340),
    [aux_sym_return_statement_token1] = ACTIONS(1340),
    [aux_sym_throw_expression_token1] = ACTIONS(1340),
    [aux_sym_while_statement_token1] = ACTIONS(1340),
    [aux_sym_while_statement_token2] = ACTIONS(1340),
    [aux_sym_do_statement_token1] = ACTIONS(1340),
    [aux_sym_for_statement_token1] = ACTIONS(1340),
    [aux_sym_for_statement_token2] = ACTIONS(1340),
    [aux_sym_foreach_statement_token1] = ACTIONS(1340),
    [aux_sym_foreach_statement_token2] = ACTIONS(1340),
    [aux_sym_if_statement_token1] = ACTIONS(1340),
    [aux_sym_if_statement_token2] = ACTIONS(1340),
    [aux_sym_else_if_clause_token1] = ACTIONS(1340),
    [aux_sym_else_clause_token1] = ACTIONS(1340),
    [aux_sym_match_expression_token1] = ACTIONS(1340),
    [aux_sym_match_default_expression_token1] = ACTIONS(1340),
    [aux_sym_switch_statement_token1] = ACTIONS(1340),
    [aux_sym_switch_block_token1] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1340),
    [anon_sym_DASH] = ACTIONS(1340),
    [anon_sym_TILDE] = ACTIONS(1338),
    [anon_sym_BANG] = ACTIONS(1338),
    [anon_sym_AT] = ACTIONS(1338),
    [aux_sym_clone_expression_token1] = ACTIONS(1340),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1340),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1340),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [aux_sym__list_destructing_token1] = ACTIONS(1340),
    [anon_sym_LBRACK] = ACTIONS(1338),
    [anon_sym_self] = ACTIONS(1340),
    [anon_sym_parent] = ACTIONS(1340),
    [aux_sym__argument_name_token1] = ACTIONS(1340),
    [aux_sym__argument_name_token2] = ACTIONS(1340),
    [anon_sym_POUND_LBRACK] = ACTIONS(1338),
    [aux_sym_encapsed_string_token1] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(1338),
    [aux_sym_string_token1] = ACTIONS(1338),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [anon_sym_LT_LT_LT] = ACTIONS(1338),
    [anon_sym_BQUOTE] = ACTIONS(1338),
    [anon_sym_DOLLAR] = ACTIONS(1338),
    [aux_sym_yield_expression_token1] = ACTIONS(1340),
    [aux_sym_include_expression_token1] = ACTIONS(1340),
    [aux_sym_include_once_expression_token1] = ACTIONS(1340),
    [aux_sym_require_expression_token1] = ACTIONS(1340),
    [aux_sym_require_once_expression_token1] = ACTIONS(1340),
    [sym_comment] = ACTIONS(3),
  },
  [516] = {
    [ts_builtin_sym_end] = ACTIONS(1342),
    [sym_name] = ACTIONS(1344),
    [anon_sym_QMARK_GT] = ACTIONS(1342),
    [anon_sym_SEMI] = ACTIONS(1342),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1344),
    [aux_sym_global_declaration_token1] = ACTIONS(1344),
    [aux_sym_namespace_definition_token1] = ACTIONS(1344),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1344),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1344),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1344),
    [anon_sym_BSLASH] = ACTIONS(1342),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_RBRACE] = ACTIONS(1342),
    [aux_sym_trait_declaration_token1] = ACTIONS(1344),
    [aux_sym_interface_declaration_token1] = ACTIONS(1344),
    [aux_sym_enum_declaration_token1] = ACTIONS(1344),
    [aux_sym_enum_case_token1] = ACTIONS(1344),
    [aux_sym_class_declaration_token1] = ACTIONS(1344),
    [aux_sym_final_modifier_token1] = ACTIONS(1344),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1344),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1344),
    [sym_var_modifier] = ACTIONS(1344),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1344),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1344),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1344),
    [anon_sym_LPAREN2] = ACTIONS(1342),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1344),
    [aux_sym_cast_type_token1] = ACTIONS(1344),
    [aux_sym_echo_statement_token1] = ACTIONS(1344),
    [aux_sym_exit_statement_token1] = ACTIONS(1344),
    [anon_sym_unset] = ACTIONS(1344),
    [aux_sym_declare_statement_token1] = ACTIONS(1344),
    [aux_sym_declare_statement_token2] = ACTIONS(1344),
    [sym_float] = ACTIONS(1344),
    [aux_sym_try_statement_token1] = ACTIONS(1344),
    [aux_sym_goto_statement_token1] = ACTIONS(1344),
    [aux_sym_continue_statement_token1] = ACTIONS(1344),
    [aux_sym_break_statement_token1] = ACTIONS(1344),
    [sym_integer] = ACTIONS(1344),
    [aux_sym_return_statement_token1] = ACTIONS(1344),
    [aux_sym_throw_expression_token1] = ACTIONS(1344),
    [aux_sym_while_statement_token1] = ACTIONS(1344),
    [aux_sym_while_statement_token2] = ACTIONS(1344),
    [aux_sym_do_statement_token1] = ACTIONS(1344),
    [aux_sym_for_statement_token1] = ACTIONS(1344),
    [aux_sym_for_statement_token2] = ACTIONS(1344),
    [aux_sym_foreach_statement_token1] = ACTIONS(1344),
    [aux_sym_foreach_statement_token2] = ACTIONS(1344),
    [aux_sym_if_statement_token1] = ACTIONS(1344),
    [aux_sym_if_statement_token2] = ACTIONS(1344),
    [aux_sym_else_if_clause_token1] = ACTIONS(1344),
    [aux_sym_else_clause_token1] = ACTIONS(1344),
    [aux_sym_match_expression_token1] = ACTIONS(1344),
    [aux_sym_match_default_expression_token1] = ACTIONS(1344),
    [aux_sym_switch_statement_token1] = ACTIONS(1344),
    [aux_sym_switch_block_token1] = ACTIONS(1344),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_AT] = ACTIONS(1342),
    [aux_sym_clone_expression_token1] = ACTIONS(1344),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1344),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1344),
    [anon_sym_DASH_DASH] = ACTIONS(1342),
    [anon_sym_PLUS_PLUS] = ACTIONS(1342),
    [aux_sym__list_destructing_token1] = ACTIONS(1344),
    [anon_sym_LBRACK] = ACTIONS(1342),
    [anon_sym_self] = ACTIONS(1344),
    [anon_sym_parent] = ACTIONS(1344),
    [aux_sym__argument_name_token1] = ACTIONS(1344),
    [aux_sym__argument_name_token2] = ACTIONS(1344),
    [anon_sym_POUND_LBRACK] = ACTIONS(1342),
    [aux_sym_encapsed_string_token1] = ACTIONS(1342),
    [anon_sym_DQUOTE] = ACTIONS(1342),
    [aux_sym_string_token1] = ACTIONS(1342),
    [anon_sym_SQUOTE] = ACTIONS(1342),
    [anon_sym_LT_LT_LT] = ACTIONS(1342),
    [anon_sym_BQUOTE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1342),
    [aux_sym_yield_expression_token1] = ACTIONS(1344),
    [aux_sym_include_expression_token1] = ACTIONS(1344),
    [aux_sym_include_once_expression_token1] = ACTIONS(1344),
    [aux_sym_require_expression_token1] = ACTIONS(1344),
    [aux_sym_require_once_expression_token1] = ACTIONS(1344),
    [sym_comment] = ACTIONS(3),
  },
  [517] = {
    [ts_builtin_sym_end] = ACTIONS(1346),
    [sym_name] = ACTIONS(1348),
    [anon_sym_QMARK_GT] = ACTIONS(1346),
    [anon_sym_SEMI] = ACTIONS(1346),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1348),
    [aux_sym_global_declaration_token1] = ACTIONS(1348),
    [aux_sym_namespace_definition_token1] = ACTIONS(1348),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1348),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1348),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1348),
    [anon_sym_BSLASH] = ACTIONS(1346),
    [anon_sym_LBRACE] = ACTIONS(1346),
    [anon_sym_RBRACE] = ACTIONS(1346),
    [aux_sym_trait_declaration_token1] = ACTIONS(1348),
    [aux_sym_interface_declaration_token1] = ACTIONS(1348),
    [aux_sym_enum_declaration_token1] = ACTIONS(1348),
    [aux_sym_enum_case_token1] = ACTIONS(1348),
    [aux_sym_class_declaration_token1] = ACTIONS(1348),
    [aux_sym_final_modifier_token1] = ACTIONS(1348),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1348),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1348),
    [sym_var_modifier] = ACTIONS(1348),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1348),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1348),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1348),
    [anon_sym_LPAREN2] = ACTIONS(1346),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1348),
    [aux_sym_cast_type_token1] = ACTIONS(1348),
    [aux_sym_echo_statement_token1] = ACTIONS(1348),
    [aux_sym_exit_statement_token1] = ACTIONS(1348),
    [anon_sym_unset] = ACTIONS(1348),
    [aux_sym_declare_statement_token1] = ACTIONS(1348),
    [aux_sym_declare_statement_token2] = ACTIONS(1348),
    [sym_float] = ACTIONS(1348),
    [aux_sym_try_statement_token1] = ACTIONS(1348),
    [aux_sym_goto_statement_token1] = ACTIONS(1348),
    [aux_sym_continue_statement_token1] = ACTIONS(1348),
    [aux_sym_break_statement_token1] = ACTIONS(1348),
    [sym_integer] = ACTIONS(1348),
    [aux_sym_return_statement_token1] = ACTIONS(1348),
    [aux_sym_throw_expression_token1] = ACTIONS(1348),
    [aux_sym_while_statement_token1] = ACTIONS(1348),
    [aux_sym_while_statement_token2] = ACTIONS(1348),
    [aux_sym_do_statement_token1] = ACTIONS(1348),
    [aux_sym_for_statement_token1] = ACTIONS(1348),
    [aux_sym_for_statement_token2] = ACTIONS(1348),
    [aux_sym_foreach_statement_token1] = ACTIONS(1348),
    [aux_sym_foreach_statement_token2] = ACTIONS(1348),
    [aux_sym_if_statement_token1] = ACTIONS(1348),
    [aux_sym_if_statement_token2] = ACTIONS(1348),
    [aux_sym_else_if_clause_token1] = ACTIONS(1348),
    [aux_sym_else_clause_token1] = ACTIONS(1348),
    [aux_sym_match_expression_token1] = ACTIONS(1348),
    [aux_sym_match_default_expression_token1] = ACTIONS(1348),
    [aux_sym_switch_statement_token1] = ACTIONS(1348),
    [aux_sym_switch_block_token1] = ACTIONS(1348),
    [anon_sym_PLUS] = ACTIONS(1348),
    [anon_sym_DASH] = ACTIONS(1348),
    [anon_sym_TILDE] = ACTIONS(1346),
    [anon_sym_BANG] = ACTIONS(1346),
    [anon_sym_AT] = ACTIONS(1346),
    [aux_sym_clone_expression_token1] = ACTIONS(1348),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1348),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1348),
    [anon_sym_DASH_DASH] = ACTIONS(1346),
    [anon_sym_PLUS_PLUS] = ACTIONS(1346),
    [aux_sym__list_destructing_token1] = ACTIONS(1348),
    [anon_sym_LBRACK] = ACTIONS(1346),
    [anon_sym_self] = ACTIONS(1348),
    [anon_sym_parent] = ACTIONS(1348),
    [aux_sym__argument_name_token1] = ACTIONS(1348),
    [aux_sym__argument_name_token2] = ACTIONS(1348),
    [anon_sym_POUND_LBRACK] = ACTIONS(1346),
    [aux_sym_encapsed_string_token1] = ACTIONS(1346),
    [anon_sym_DQUOTE] = ACTIONS(1346),
    [aux_sym_string_token1] = ACTIONS(1346),
    [anon_sym_SQUOTE] = ACTIONS(1346),
    [anon_sym_LT_LT_LT] = ACTIONS(1346),
    [anon_sym_BQUOTE] = ACTIONS(1346),
    [anon_sym_DOLLAR] = ACTIONS(1346),
    [aux_sym_yield_expression_token1] = ACTIONS(1348),
    [aux_sym_include_expression_token1] = ACTIONS(1348),
    [aux_sym_include_once_expression_token1] = ACTIONS(1348),
    [aux_sym_require_expression_token1] = ACTIONS(1348),
    [aux_sym_require_once_expression_token1] = ACTIONS(1348),
    [sym_comment] = ACTIONS(3),
  },
  [518] = {
    [ts_builtin_sym_end] = ACTIONS(1350),
    [sym_name] = ACTIONS(1352),
    [anon_sym_QMARK_GT] = ACTIONS(1350),
    [anon_sym_SEMI] = ACTIONS(1350),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1352),
    [aux_sym_global_declaration_token1] = ACTIONS(1352),
    [aux_sym_namespace_definition_token1] = ACTIONS(1352),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1352),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1352),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1352),
    [anon_sym_BSLASH] = ACTIONS(1350),
    [anon_sym_LBRACE] = ACTIONS(1350),
    [anon_sym_RBRACE] = ACTIONS(1350),
    [aux_sym_trait_declaration_token1] = ACTIONS(1352),
    [aux_sym_interface_declaration_token1] = ACTIONS(1352),
    [aux_sym_enum_declaration_token1] = ACTIONS(1352),
    [aux_sym_enum_case_token1] = ACTIONS(1352),
    [aux_sym_class_declaration_token1] = ACTIONS(1352),
    [aux_sym_final_modifier_token1] = ACTIONS(1352),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1352),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1352),
    [sym_var_modifier] = ACTIONS(1352),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1352),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1352),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1352),
    [anon_sym_LPAREN2] = ACTIONS(1350),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1352),
    [aux_sym_cast_type_token1] = ACTIONS(1352),
    [aux_sym_echo_statement_token1] = ACTIONS(1352),
    [aux_sym_exit_statement_token1] = ACTIONS(1352),
    [anon_sym_unset] = ACTIONS(1352),
    [aux_sym_declare_statement_token1] = ACTIONS(1352),
    [aux_sym_declare_statement_token2] = ACTIONS(1352),
    [sym_float] = ACTIONS(1352),
    [aux_sym_try_statement_token1] = ACTIONS(1352),
    [aux_sym_goto_statement_token1] = ACTIONS(1352),
    [aux_sym_continue_statement_token1] = ACTIONS(1352),
    [aux_sym_break_statement_token1] = ACTIONS(1352),
    [sym_integer] = ACTIONS(1352),
    [aux_sym_return_statement_token1] = ACTIONS(1352),
    [aux_sym_throw_expression_token1] = ACTIONS(1352),
    [aux_sym_while_statement_token1] = ACTIONS(1352),
    [aux_sym_while_statement_token2] = ACTIONS(1352),
    [aux_sym_do_statement_token1] = ACTIONS(1352),
    [aux_sym_for_statement_token1] = ACTIONS(1352),
    [aux_sym_for_statement_token2] = ACTIONS(1352),
    [aux_sym_foreach_statement_token1] = ACTIONS(1352),
    [aux_sym_foreach_statement_token2] = ACTIONS(1352),
    [aux_sym_if_statement_token1] = ACTIONS(1352),
    [aux_sym_if_statement_token2] = ACTIONS(1352),
    [aux_sym_else_if_clause_token1] = ACTIONS(1352),
    [aux_sym_else_clause_token1] = ACTIONS(1352),
    [aux_sym_match_expression_token1] = ACTIONS(1352),
    [aux_sym_match_default_expression_token1] = ACTIONS(1352),
    [aux_sym_switch_statement_token1] = ACTIONS(1352),
    [aux_sym_switch_block_token1] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1352),
    [anon_sym_DASH] = ACTIONS(1352),
    [anon_sym_TILDE] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1350),
    [anon_sym_AT] = ACTIONS(1350),
    [aux_sym_clone_expression_token1] = ACTIONS(1352),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1352),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1352),
    [anon_sym_DASH_DASH] = ACTIONS(1350),
    [anon_sym_PLUS_PLUS] = ACTIONS(1350),
    [aux_sym__list_destructing_token1] = ACTIONS(1352),
    [anon_sym_LBRACK] = ACTIONS(1350),
    [anon_sym_self] = ACTIONS(1352),
    [anon_sym_parent] = ACTIONS(1352),
    [aux_sym__argument_name_token1] = ACTIONS(1352),
    [aux_sym__argument_name_token2] = ACTIONS(1352),
    [anon_sym_POUND_LBRACK] = ACTIONS(1350),
    [aux_sym_encapsed_string_token1] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1350),
    [aux_sym_string_token1] = ACTIONS(1350),
    [anon_sym_SQUOTE] = ACTIONS(1350),
    [anon_sym_LT_LT_LT] = ACTIONS(1350),
    [anon_sym_BQUOTE] = ACTIONS(1350),
    [anon_sym_DOLLAR] = ACTIONS(1350),
    [aux_sym_yield_expression_token1] = ACTIONS(1352),
    [aux_sym_include_expression_token1] = ACTIONS(1352),
    [aux_sym_include_once_expression_token1] = ACTIONS(1352),
    [aux_sym_require_expression_token1] = ACTIONS(1352),
    [aux_sym_require_once_expression_token1] = ACTIONS(1352),
    [sym_comment] = ACTIONS(3),
  },
  [519] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym_name] = ACTIONS(1356),
    [anon_sym_QMARK_GT] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1356),
    [aux_sym_global_declaration_token1] = ACTIONS(1356),
    [aux_sym_namespace_definition_token1] = ACTIONS(1356),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1356),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1356),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1356),
    [anon_sym_BSLASH] = ACTIONS(1354),
    [anon_sym_LBRACE] = ACTIONS(1354),
    [anon_sym_RBRACE] = ACTIONS(1354),
    [aux_sym_trait_declaration_token1] = ACTIONS(1356),
    [aux_sym_interface_declaration_token1] = ACTIONS(1356),
    [aux_sym_enum_declaration_token1] = ACTIONS(1356),
    [aux_sym_enum_case_token1] = ACTIONS(1356),
    [aux_sym_class_declaration_token1] = ACTIONS(1356),
    [aux_sym_final_modifier_token1] = ACTIONS(1356),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1356),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1356),
    [sym_var_modifier] = ACTIONS(1356),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1356),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1356),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1356),
    [anon_sym_LPAREN2] = ACTIONS(1354),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1356),
    [aux_sym_cast_type_token1] = ACTIONS(1356),
    [aux_sym_echo_statement_token1] = ACTIONS(1356),
    [aux_sym_exit_statement_token1] = ACTIONS(1356),
    [anon_sym_unset] = ACTIONS(1356),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [aux_sym_declare_statement_token2] = ACTIONS(1356),
    [sym_float] = ACTIONS(1356),
    [aux_sym_try_statement_token1] = ACTIONS(1356),
    [aux_sym_goto_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [sym_integer] = ACTIONS(1356),
    [aux_sym_return_statement_token1] = ACTIONS(1356),
    [aux_sym_throw_expression_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token2] = ACTIONS(1356),
    [aux_sym_do_statement_token1] = ACTIONS(1356),
    [aux_sym_for_statement_token1] = ACTIONS(1356),
    [aux_sym_for_statement_token2] = ACTIONS(1356),
    [aux_sym_foreach_statement_token1] = ACTIONS(1356),
    [aux_sym_foreach_statement_token2] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token2] = ACTIONS(1356),
    [aux_sym_else_if_clause_token1] = ACTIONS(1356),
    [aux_sym_else_clause_token1] = ACTIONS(1356),
    [aux_sym_match_expression_token1] = ACTIONS(1356),
    [aux_sym_match_default_expression_token1] = ACTIONS(1356),
    [aux_sym_switch_statement_token1] = ACTIONS(1356),
    [aux_sym_switch_block_token1] = ACTIONS(1356),
    [anon_sym_PLUS] = ACTIONS(1356),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_TILDE] = ACTIONS(1354),
    [anon_sym_BANG] = ACTIONS(1354),
    [anon_sym_AT] = ACTIONS(1354),
    [aux_sym_clone_expression_token1] = ACTIONS(1356),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1356),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1356),
    [anon_sym_DASH_DASH] = ACTIONS(1354),
    [anon_sym_PLUS_PLUS] = ACTIONS(1354),
    [aux_sym__list_destructing_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [anon_sym_self] = ACTIONS(1356),
    [anon_sym_parent] = ACTIONS(1356),
    [aux_sym__argument_name_token1] = ACTIONS(1356),
    [aux_sym__argument_name_token2] = ACTIONS(1356),
    [anon_sym_POUND_LBRACK] = ACTIONS(1354),
    [aux_sym_encapsed_string_token1] = ACTIONS(1354),
    [anon_sym_DQUOTE] = ACTIONS(1354),
    [aux_sym_string_token1] = ACTIONS(1354),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [anon_sym_LT_LT_LT] = ACTIONS(1354),
    [anon_sym_BQUOTE] = ACTIONS(1354),
    [anon_sym_DOLLAR] = ACTIONS(1354),
    [aux_sym_yield_expression_token1] = ACTIONS(1356),
    [aux_sym_include_expression_token1] = ACTIONS(1356),
    [aux_sym_include_once_expression_token1] = ACTIONS(1356),
    [aux_sym_require_expression_token1] = ACTIONS(1356),
    [aux_sym_require_once_expression_token1] = ACTIONS(1356),
    [sym_comment] = ACTIONS(3),
  },
  [520] = {
    [ts_builtin_sym_end] = ACTIONS(1358),
    [sym_name] = ACTIONS(1360),
    [anon_sym_QMARK_GT] = ACTIONS(1358),
    [anon_sym_SEMI] = ACTIONS(1358),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1360),
    [aux_sym_global_declaration_token1] = ACTIONS(1360),
    [aux_sym_namespace_definition_token1] = ACTIONS(1360),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1360),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1360),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1360),
    [anon_sym_BSLASH] = ACTIONS(1358),
    [anon_sym_LBRACE] = ACTIONS(1358),
    [anon_sym_RBRACE] = ACTIONS(1358),
    [aux_sym_trait_declaration_token1] = ACTIONS(1360),
    [aux_sym_interface_declaration_token1] = ACTIONS(1360),
    [aux_sym_enum_declaration_token1] = ACTIONS(1360),
    [aux_sym_enum_case_token1] = ACTIONS(1360),
    [aux_sym_class_declaration_token1] = ACTIONS(1360),
    [aux_sym_final_modifier_token1] = ACTIONS(1360),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1360),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1360),
    [sym_var_modifier] = ACTIONS(1360),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1360),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1360),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1360),
    [anon_sym_LPAREN2] = ACTIONS(1358),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1360),
    [aux_sym_cast_type_token1] = ACTIONS(1360),
    [aux_sym_echo_statement_token1] = ACTIONS(1360),
    [aux_sym_exit_statement_token1] = ACTIONS(1360),
    [anon_sym_unset] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [aux_sym_declare_statement_token2] = ACTIONS(1360),
    [sym_float] = ACTIONS(1360),
    [aux_sym_try_statement_token1] = ACTIONS(1360),
    [aux_sym_goto_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [sym_integer] = ACTIONS(1360),
    [aux_sym_return_statement_token1] = ACTIONS(1360),
    [aux_sym_throw_expression_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token2] = ACTIONS(1360),
    [aux_sym_do_statement_token1] = ACTIONS(1360),
    [aux_sym_for_statement_token1] = ACTIONS(1360),
    [aux_sym_for_statement_token2] = ACTIONS(1360),
    [aux_sym_foreach_statement_token1] = ACTIONS(1360),
    [aux_sym_foreach_statement_token2] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token2] = ACTIONS(1360),
    [aux_sym_else_if_clause_token1] = ACTIONS(1360),
    [aux_sym_else_clause_token1] = ACTIONS(1360),
    [aux_sym_match_expression_token1] = ACTIONS(1360),
    [aux_sym_match_default_expression_token1] = ACTIONS(1360),
    [aux_sym_switch_statement_token1] = ACTIONS(1360),
    [aux_sym_switch_block_token1] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1360),
    [anon_sym_TILDE] = ACTIONS(1358),
    [anon_sym_BANG] = ACTIONS(1358),
    [anon_sym_AT] = ACTIONS(1358),
    [aux_sym_clone_expression_token1] = ACTIONS(1360),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1360),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [aux_sym__list_destructing_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1358),
    [anon_sym_self] = ACTIONS(1360),
    [anon_sym_parent] = ACTIONS(1360),
    [aux_sym__argument_name_token1] = ACTIONS(1360),
    [aux_sym__argument_name_token2] = ACTIONS(1360),
    [anon_sym_POUND_LBRACK] = ACTIONS(1358),
    [aux_sym_encapsed_string_token1] = ACTIONS(1358),
    [anon_sym_DQUOTE] = ACTIONS(1358),
    [aux_sym_string_token1] = ACTIONS(1358),
    [anon_sym_SQUOTE] = ACTIONS(1358),
    [anon_sym_LT_LT_LT] = ACTIONS(1358),
    [anon_sym_BQUOTE] = ACTIONS(1358),
    [anon_sym_DOLLAR] = ACTIONS(1358),
    [aux_sym_yield_expression_token1] = ACTIONS(1360),
    [aux_sym_include_expression_token1] = ACTIONS(1360),
    [aux_sym_include_once_expression_token1] = ACTIONS(1360),
    [aux_sym_require_expression_token1] = ACTIONS(1360),
    [aux_sym_require_once_expression_token1] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
  },
  [521] = {
    [ts_builtin_sym_end] = ACTIONS(1362),
    [sym_name] = ACTIONS(1364),
    [anon_sym_QMARK_GT] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1362),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1364),
    [aux_sym_global_declaration_token1] = ACTIONS(1364),
    [aux_sym_namespace_definition_token1] = ACTIONS(1364),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1364),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1364),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1364),
    [anon_sym_BSLASH] = ACTIONS(1362),
    [anon_sym_LBRACE] = ACTIONS(1362),
    [anon_sym_RBRACE] = ACTIONS(1362),
    [aux_sym_trait_declaration_token1] = ACTIONS(1364),
    [aux_sym_interface_declaration_token1] = ACTIONS(1364),
    [aux_sym_enum_declaration_token1] = ACTIONS(1364),
    [aux_sym_enum_case_token1] = ACTIONS(1364),
    [aux_sym_class_declaration_token1] = ACTIONS(1364),
    [aux_sym_final_modifier_token1] = ACTIONS(1364),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1364),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1364),
    [sym_var_modifier] = ACTIONS(1364),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1364),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1364),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1364),
    [anon_sym_LPAREN2] = ACTIONS(1362),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1364),
    [aux_sym_cast_type_token1] = ACTIONS(1364),
    [aux_sym_echo_statement_token1] = ACTIONS(1364),
    [aux_sym_exit_statement_token1] = ACTIONS(1364),
    [anon_sym_unset] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [aux_sym_declare_statement_token2] = ACTIONS(1364),
    [sym_float] = ACTIONS(1364),
    [aux_sym_try_statement_token1] = ACTIONS(1364),
    [aux_sym_goto_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [sym_integer] = ACTIONS(1364),
    [aux_sym_return_statement_token1] = ACTIONS(1364),
    [aux_sym_throw_expression_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token2] = ACTIONS(1364),
    [aux_sym_do_statement_token1] = ACTIONS(1364),
    [aux_sym_for_statement_token1] = ACTIONS(1364),
    [aux_sym_for_statement_token2] = ACTIONS(1364),
    [aux_sym_foreach_statement_token1] = ACTIONS(1364),
    [aux_sym_foreach_statement_token2] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token2] = ACTIONS(1364),
    [aux_sym_else_if_clause_token1] = ACTIONS(1364),
    [aux_sym_else_clause_token1] = ACTIONS(1364),
    [aux_sym_match_expression_token1] = ACTIONS(1364),
    [aux_sym_match_default_expression_token1] = ACTIONS(1364),
    [aux_sym_switch_statement_token1] = ACTIONS(1364),
    [aux_sym_switch_block_token1] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1364),
    [anon_sym_TILDE] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1362),
    [anon_sym_AT] = ACTIONS(1362),
    [aux_sym_clone_expression_token1] = ACTIONS(1364),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1364),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1364),
    [anon_sym_DASH_DASH] = ACTIONS(1362),
    [anon_sym_PLUS_PLUS] = ACTIONS(1362),
    [aux_sym__list_destructing_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1362),
    [anon_sym_self] = ACTIONS(1364),
    [anon_sym_parent] = ACTIONS(1364),
    [aux_sym__argument_name_token1] = ACTIONS(1364),
    [aux_sym__argument_name_token2] = ACTIONS(1364),
    [anon_sym_POUND_LBRACK] = ACTIONS(1362),
    [aux_sym_encapsed_string_token1] = ACTIONS(1362),
    [anon_sym_DQUOTE] = ACTIONS(1362),
    [aux_sym_string_token1] = ACTIONS(1362),
    [anon_sym_SQUOTE] = ACTIONS(1362),
    [anon_sym_LT_LT_LT] = ACTIONS(1362),
    [anon_sym_BQUOTE] = ACTIONS(1362),
    [anon_sym_DOLLAR] = ACTIONS(1362),
    [aux_sym_yield_expression_token1] = ACTIONS(1364),
    [aux_sym_include_expression_token1] = ACTIONS(1364),
    [aux_sym_include_once_expression_token1] = ACTIONS(1364),
    [aux_sym_require_expression_token1] = ACTIONS(1364),
    [aux_sym_require_once_expression_token1] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [522] = {
    [ts_builtin_sym_end] = ACTIONS(1366),
    [sym_name] = ACTIONS(1368),
    [anon_sym_QMARK_GT] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1366),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1368),
    [aux_sym_global_declaration_token1] = ACTIONS(1368),
    [aux_sym_namespace_definition_token1] = ACTIONS(1368),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1368),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1368),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1368),
    [anon_sym_BSLASH] = ACTIONS(1366),
    [anon_sym_LBRACE] = ACTIONS(1366),
    [anon_sym_RBRACE] = ACTIONS(1366),
    [aux_sym_trait_declaration_token1] = ACTIONS(1368),
    [aux_sym_interface_declaration_token1] = ACTIONS(1368),
    [aux_sym_enum_declaration_token1] = ACTIONS(1368),
    [aux_sym_enum_case_token1] = ACTIONS(1368),
    [aux_sym_class_declaration_token1] = ACTIONS(1368),
    [aux_sym_final_modifier_token1] = ACTIONS(1368),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1368),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1368),
    [sym_var_modifier] = ACTIONS(1368),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1368),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1368),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1368),
    [anon_sym_LPAREN2] = ACTIONS(1366),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1368),
    [aux_sym_cast_type_token1] = ACTIONS(1368),
    [aux_sym_echo_statement_token1] = ACTIONS(1368),
    [aux_sym_exit_statement_token1] = ACTIONS(1368),
    [anon_sym_unset] = ACTIONS(1368),
    [aux_sym_declare_statement_token1] = ACTIONS(1368),
    [aux_sym_declare_statement_token2] = ACTIONS(1368),
    [sym_float] = ACTIONS(1368),
    [aux_sym_try_statement_token1] = ACTIONS(1368),
    [aux_sym_goto_statement_token1] = ACTIONS(1368),
    [aux_sym_continue_statement_token1] = ACTIONS(1368),
    [aux_sym_break_statement_token1] = ACTIONS(1368),
    [sym_integer] = ACTIONS(1368),
    [aux_sym_return_statement_token1] = ACTIONS(1368),
    [aux_sym_throw_expression_token1] = ACTIONS(1368),
    [aux_sym_while_statement_token1] = ACTIONS(1368),
    [aux_sym_while_statement_token2] = ACTIONS(1368),
    [aux_sym_do_statement_token1] = ACTIONS(1368),
    [aux_sym_for_statement_token1] = ACTIONS(1368),
    [aux_sym_for_statement_token2] = ACTIONS(1368),
    [aux_sym_foreach_statement_token1] = ACTIONS(1368),
    [aux_sym_foreach_statement_token2] = ACTIONS(1368),
    [aux_sym_if_statement_token1] = ACTIONS(1368),
    [aux_sym_if_statement_token2] = ACTIONS(1368),
    [aux_sym_else_if_clause_token1] = ACTIONS(1368),
    [aux_sym_else_clause_token1] = ACTIONS(1368),
    [aux_sym_match_expression_token1] = ACTIONS(1368),
    [aux_sym_match_default_expression_token1] = ACTIONS(1368),
    [aux_sym_switch_statement_token1] = ACTIONS(1368),
    [aux_sym_switch_block_token1] = ACTIONS(1368),
    [anon_sym_PLUS] = ACTIONS(1368),
    [anon_sym_DASH] = ACTIONS(1368),
    [anon_sym_TILDE] = ACTIONS(1366),
    [anon_sym_BANG] = ACTIONS(1366),
    [anon_sym_AT] = ACTIONS(1366),
    [aux_sym_clone_expression_token1] = ACTIONS(1368),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1368),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1368),
    [anon_sym_DASH_DASH] = ACTIONS(1366),
    [anon_sym_PLUS_PLUS] = ACTIONS(1366),
    [aux_sym__list_destructing_token1] = ACTIONS(1368),
    [anon_sym_LBRACK] = ACTIONS(1366),
    [anon_sym_self] = ACTIONS(1368),
    [anon_sym_parent] = ACTIONS(1368),
    [aux_sym__argument_name_token1] = ACTIONS(1368),
    [aux_sym__argument_name_token2] = ACTIONS(1368),
    [anon_sym_POUND_LBRACK] = ACTIONS(1366),
    [aux_sym_encapsed_string_token1] = ACTIONS(1366),
    [anon_sym_DQUOTE] = ACTIONS(1366),
    [aux_sym_string_token1] = ACTIONS(1366),
    [anon_sym_SQUOTE] = ACTIONS(1366),
    [anon_sym_LT_LT_LT] = ACTIONS(1366),
    [anon_sym_BQUOTE] = ACTIONS(1366),
    [anon_sym_DOLLAR] = ACTIONS(1366),
    [aux_sym_yield_expression_token1] = ACTIONS(1368),
    [aux_sym_include_expression_token1] = ACTIONS(1368),
    [aux_sym_include_once_expression_token1] = ACTIONS(1368),
    [aux_sym_require_expression_token1] = ACTIONS(1368),
    [aux_sym_require_once_expression_token1] = ACTIONS(1368),
    [sym_comment] = ACTIONS(3),
  },
  [523] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym_name] = ACTIONS(1372),
    [anon_sym_QMARK_GT] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1372),
    [aux_sym_global_declaration_token1] = ACTIONS(1372),
    [aux_sym_namespace_definition_token1] = ACTIONS(1372),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1372),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1372),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1372),
    [anon_sym_BSLASH] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1370),
    [anon_sym_RBRACE] = ACTIONS(1370),
    [aux_sym_trait_declaration_token1] = ACTIONS(1372),
    [aux_sym_interface_declaration_token1] = ACTIONS(1372),
    [aux_sym_enum_declaration_token1] = ACTIONS(1372),
    [aux_sym_enum_case_token1] = ACTIONS(1372),
    [aux_sym_class_declaration_token1] = ACTIONS(1372),
    [aux_sym_final_modifier_token1] = ACTIONS(1372),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1372),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1372),
    [sym_var_modifier] = ACTIONS(1372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1372),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1372),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1372),
    [anon_sym_LPAREN2] = ACTIONS(1370),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1372),
    [aux_sym_cast_type_token1] = ACTIONS(1372),
    [aux_sym_echo_statement_token1] = ACTIONS(1372),
    [aux_sym_exit_statement_token1] = ACTIONS(1372),
    [anon_sym_unset] = ACTIONS(1372),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [aux_sym_declare_statement_token2] = ACTIONS(1372),
    [sym_float] = ACTIONS(1372),
    [aux_sym_try_statement_token1] = ACTIONS(1372),
    [aux_sym_goto_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [sym_integer] = ACTIONS(1372),
    [aux_sym_return_statement_token1] = ACTIONS(1372),
    [aux_sym_throw_expression_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token2] = ACTIONS(1372),
    [aux_sym_do_statement_token1] = ACTIONS(1372),
    [aux_sym_for_statement_token1] = ACTIONS(1372),
    [aux_sym_for_statement_token2] = ACTIONS(1372),
    [aux_sym_foreach_statement_token1] = ACTIONS(1372),
    [aux_sym_foreach_statement_token2] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token2] = ACTIONS(1372),
    [aux_sym_else_if_clause_token1] = ACTIONS(1372),
    [aux_sym_else_clause_token1] = ACTIONS(1372),
    [aux_sym_match_expression_token1] = ACTIONS(1372),
    [aux_sym_match_default_expression_token1] = ACTIONS(1372),
    [aux_sym_switch_statement_token1] = ACTIONS(1372),
    [aux_sym_switch_block_token1] = ACTIONS(1372),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_AT] = ACTIONS(1370),
    [aux_sym_clone_expression_token1] = ACTIONS(1372),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1372),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1372),
    [anon_sym_DASH_DASH] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1370),
    [aux_sym__list_destructing_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [anon_sym_self] = ACTIONS(1372),
    [anon_sym_parent] = ACTIONS(1372),
    [aux_sym__argument_name_token1] = ACTIONS(1372),
    [aux_sym__argument_name_token2] = ACTIONS(1372),
    [anon_sym_POUND_LBRACK] = ACTIONS(1370),
    [aux_sym_encapsed_string_token1] = ACTIONS(1370),
    [anon_sym_DQUOTE] = ACTIONS(1370),
    [aux_sym_string_token1] = ACTIONS(1370),
    [anon_sym_SQUOTE] = ACTIONS(1370),
    [anon_sym_LT_LT_LT] = ACTIONS(1370),
    [anon_sym_BQUOTE] = ACTIONS(1370),
    [anon_sym_DOLLAR] = ACTIONS(1370),
    [aux_sym_yield_expression_token1] = ACTIONS(1372),
    [aux_sym_include_expression_token1] = ACTIONS(1372),
    [aux_sym_include_once_expression_token1] = ACTIONS(1372),
    [aux_sym_require_expression_token1] = ACTIONS(1372),
    [aux_sym_require_once_expression_token1] = ACTIONS(1372),
    [sym_comment] = ACTIONS(3),
  },
  [524] = {
    [ts_builtin_sym_end] = ACTIONS(1374),
    [sym_name] = ACTIONS(1376),
    [anon_sym_QMARK_GT] = ACTIONS(1374),
    [anon_sym_SEMI] = ACTIONS(1374),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1376),
    [aux_sym_global_declaration_token1] = ACTIONS(1376),
    [aux_sym_namespace_definition_token1] = ACTIONS(1376),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1376),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1376),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1376),
    [anon_sym_BSLASH] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym_RBRACE] = ACTIONS(1374),
    [aux_sym_trait_declaration_token1] = ACTIONS(1376),
    [aux_sym_interface_declaration_token1] = ACTIONS(1376),
    [aux_sym_enum_declaration_token1] = ACTIONS(1376),
    [aux_sym_enum_case_token1] = ACTIONS(1376),
    [aux_sym_class_declaration_token1] = ACTIONS(1376),
    [aux_sym_final_modifier_token1] = ACTIONS(1376),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1376),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1376),
    [sym_var_modifier] = ACTIONS(1376),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1376),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1376),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1376),
    [anon_sym_LPAREN2] = ACTIONS(1374),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1376),
    [aux_sym_cast_type_token1] = ACTIONS(1376),
    [aux_sym_echo_statement_token1] = ACTIONS(1376),
    [aux_sym_exit_statement_token1] = ACTIONS(1376),
    [anon_sym_unset] = ACTIONS(1376),
    [aux_sym_declare_statement_token1] = ACTIONS(1376),
    [aux_sym_declare_statement_token2] = ACTIONS(1376),
    [sym_float] = ACTIONS(1376),
    [aux_sym_try_statement_token1] = ACTIONS(1376),
    [aux_sym_goto_statement_token1] = ACTIONS(1376),
    [aux_sym_continue_statement_token1] = ACTIONS(1376),
    [aux_sym_break_statement_token1] = ACTIONS(1376),
    [sym_integer] = ACTIONS(1376),
    [aux_sym_return_statement_token1] = ACTIONS(1376),
    [aux_sym_throw_expression_token1] = ACTIONS(1376),
    [aux_sym_while_statement_token1] = ACTIONS(1376),
    [aux_sym_while_statement_token2] = ACTIONS(1376),
    [aux_sym_do_statement_token1] = ACTIONS(1376),
    [aux_sym_for_statement_token1] = ACTIONS(1376),
    [aux_sym_for_statement_token2] = ACTIONS(1376),
    [aux_sym_foreach_statement_token1] = ACTIONS(1376),
    [aux_sym_foreach_statement_token2] = ACTIONS(1376),
    [aux_sym_if_statement_token1] = ACTIONS(1376),
    [aux_sym_if_statement_token2] = ACTIONS(1376),
    [aux_sym_else_if_clause_token1] = ACTIONS(1376),
    [aux_sym_else_clause_token1] = ACTIONS(1376),
    [aux_sym_match_expression_token1] = ACTIONS(1376),
    [aux_sym_match_default_expression_token1] = ACTIONS(1376),
    [aux_sym_switch_statement_token1] = ACTIONS(1376),
    [aux_sym_switch_block_token1] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1376),
    [anon_sym_DASH] = ACTIONS(1376),
    [anon_sym_TILDE] = ACTIONS(1374),
    [anon_sym_BANG] = ACTIONS(1374),
    [anon_sym_AT] = ACTIONS(1374),
    [aux_sym_clone_expression_token1] = ACTIONS(1376),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1376),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1376),
    [anon_sym_DASH_DASH] = ACTIONS(1374),
    [anon_sym_PLUS_PLUS] = ACTIONS(1374),
    [aux_sym__list_destructing_token1] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(1374),
    [anon_sym_self] = ACTIONS(1376),
    [anon_sym_parent] = ACTIONS(1376),
    [aux_sym__argument_name_token1] = ACTIONS(1376),
    [aux_sym__argument_name_token2] = ACTIONS(1376),
    [anon_sym_POUND_LBRACK] = ACTIONS(1374),
    [aux_sym_encapsed_string_token1] = ACTIONS(1374),
    [anon_sym_DQUOTE] = ACTIONS(1374),
    [aux_sym_string_token1] = ACTIONS(1374),
    [anon_sym_SQUOTE] = ACTIONS(1374),
    [anon_sym_LT_LT_LT] = ACTIONS(1374),
    [anon_sym_BQUOTE] = ACTIONS(1374),
    [anon_sym_DOLLAR] = ACTIONS(1374),
    [aux_sym_yield_expression_token1] = ACTIONS(1376),
    [aux_sym_include_expression_token1] = ACTIONS(1376),
    [aux_sym_include_once_expression_token1] = ACTIONS(1376),
    [aux_sym_require_expression_token1] = ACTIONS(1376),
    [aux_sym_require_once_expression_token1] = ACTIONS(1376),
    [sym_comment] = ACTIONS(3),
  },
  [525] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym_name] = ACTIONS(1380),
    [anon_sym_QMARK_GT] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1380),
    [aux_sym_global_declaration_token1] = ACTIONS(1380),
    [aux_sym_namespace_definition_token1] = ACTIONS(1380),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1380),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1380),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1380),
    [anon_sym_BSLASH] = ACTIONS(1378),
    [anon_sym_LBRACE] = ACTIONS(1378),
    [anon_sym_RBRACE] = ACTIONS(1378),
    [aux_sym_trait_declaration_token1] = ACTIONS(1380),
    [aux_sym_interface_declaration_token1] = ACTIONS(1380),
    [aux_sym_enum_declaration_token1] = ACTIONS(1380),
    [aux_sym_enum_case_token1] = ACTIONS(1380),
    [aux_sym_class_declaration_token1] = ACTIONS(1380),
    [aux_sym_final_modifier_token1] = ACTIONS(1380),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1380),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1380),
    [sym_var_modifier] = ACTIONS(1380),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1380),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1380),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1380),
    [anon_sym_LPAREN2] = ACTIONS(1378),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1380),
    [aux_sym_cast_type_token1] = ACTIONS(1380),
    [aux_sym_echo_statement_token1] = ACTIONS(1380),
    [aux_sym_exit_statement_token1] = ACTIONS(1380),
    [anon_sym_unset] = ACTIONS(1380),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [aux_sym_declare_statement_token2] = ACTIONS(1380),
    [sym_float] = ACTIONS(1380),
    [aux_sym_try_statement_token1] = ACTIONS(1380),
    [aux_sym_goto_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [sym_integer] = ACTIONS(1380),
    [aux_sym_return_statement_token1] = ACTIONS(1380),
    [aux_sym_throw_expression_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token2] = ACTIONS(1380),
    [aux_sym_do_statement_token1] = ACTIONS(1380),
    [aux_sym_for_statement_token1] = ACTIONS(1380),
    [aux_sym_for_statement_token2] = ACTIONS(1380),
    [aux_sym_foreach_statement_token1] = ACTIONS(1380),
    [aux_sym_foreach_statement_token2] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token2] = ACTIONS(1380),
    [aux_sym_else_if_clause_token1] = ACTIONS(1380),
    [aux_sym_else_clause_token1] = ACTIONS(1380),
    [aux_sym_match_expression_token1] = ACTIONS(1380),
    [aux_sym_match_default_expression_token1] = ACTIONS(1380),
    [aux_sym_switch_statement_token1] = ACTIONS(1380),
    [aux_sym_switch_block_token1] = ACTIONS(1380),
    [anon_sym_PLUS] = ACTIONS(1380),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_AT] = ACTIONS(1378),
    [aux_sym_clone_expression_token1] = ACTIONS(1380),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1380),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1380),
    [anon_sym_DASH_DASH] = ACTIONS(1378),
    [anon_sym_PLUS_PLUS] = ACTIONS(1378),
    [aux_sym__list_destructing_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [anon_sym_self] = ACTIONS(1380),
    [anon_sym_parent] = ACTIONS(1380),
    [aux_sym__argument_name_token1] = ACTIONS(1380),
    [aux_sym__argument_name_token2] = ACTIONS(1380),
    [anon_sym_POUND_LBRACK] = ACTIONS(1378),
    [aux_sym_encapsed_string_token1] = ACTIONS(1378),
    [anon_sym_DQUOTE] = ACTIONS(1378),
    [aux_sym_string_token1] = ACTIONS(1378),
    [anon_sym_SQUOTE] = ACTIONS(1378),
    [anon_sym_LT_LT_LT] = ACTIONS(1378),
    [anon_sym_BQUOTE] = ACTIONS(1378),
    [anon_sym_DOLLAR] = ACTIONS(1378),
    [aux_sym_yield_expression_token1] = ACTIONS(1380),
    [aux_sym_include_expression_token1] = ACTIONS(1380),
    [aux_sym_include_once_expression_token1] = ACTIONS(1380),
    [aux_sym_require_expression_token1] = ACTIONS(1380),
    [aux_sym_require_once_expression_token1] = ACTIONS(1380),
    [sym_comment] = ACTIONS(3),
  },
  [526] = {
    [ts_builtin_sym_end] = ACTIONS(1382),
    [sym_name] = ACTIONS(1384),
    [anon_sym_QMARK_GT] = ACTIONS(1382),
    [anon_sym_SEMI] = ACTIONS(1382),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1384),
    [aux_sym_global_declaration_token1] = ACTIONS(1384),
    [aux_sym_namespace_definition_token1] = ACTIONS(1384),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1384),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1384),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1384),
    [anon_sym_BSLASH] = ACTIONS(1382),
    [anon_sym_LBRACE] = ACTIONS(1382),
    [anon_sym_RBRACE] = ACTIONS(1382),
    [aux_sym_trait_declaration_token1] = ACTIONS(1384),
    [aux_sym_interface_declaration_token1] = ACTIONS(1384),
    [aux_sym_enum_declaration_token1] = ACTIONS(1384),
    [aux_sym_enum_case_token1] = ACTIONS(1384),
    [aux_sym_class_declaration_token1] = ACTIONS(1384),
    [aux_sym_final_modifier_token1] = ACTIONS(1384),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1384),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1384),
    [sym_var_modifier] = ACTIONS(1384),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1384),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1384),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1384),
    [anon_sym_LPAREN2] = ACTIONS(1382),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1384),
    [aux_sym_cast_type_token1] = ACTIONS(1384),
    [aux_sym_echo_statement_token1] = ACTIONS(1384),
    [aux_sym_exit_statement_token1] = ACTIONS(1384),
    [anon_sym_unset] = ACTIONS(1384),
    [aux_sym_declare_statement_token1] = ACTIONS(1384),
    [aux_sym_declare_statement_token2] = ACTIONS(1384),
    [sym_float] = ACTIONS(1384),
    [aux_sym_try_statement_token1] = ACTIONS(1384),
    [aux_sym_goto_statement_token1] = ACTIONS(1384),
    [aux_sym_continue_statement_token1] = ACTIONS(1384),
    [aux_sym_break_statement_token1] = ACTIONS(1384),
    [sym_integer] = ACTIONS(1384),
    [aux_sym_return_statement_token1] = ACTIONS(1384),
    [aux_sym_throw_expression_token1] = ACTIONS(1384),
    [aux_sym_while_statement_token1] = ACTIONS(1384),
    [aux_sym_while_statement_token2] = ACTIONS(1384),
    [aux_sym_do_statement_token1] = ACTIONS(1384),
    [aux_sym_for_statement_token1] = ACTIONS(1384),
    [aux_sym_for_statement_token2] = ACTIONS(1384),
    [aux_sym_foreach_statement_token1] = ACTIONS(1384),
    [aux_sym_foreach_statement_token2] = ACTIONS(1384),
    [aux_sym_if_statement_token1] = ACTIONS(1384),
    [aux_sym_if_statement_token2] = ACTIONS(1384),
    [aux_sym_else_if_clause_token1] = ACTIONS(1384),
    [aux_sym_else_clause_token1] = ACTIONS(1384),
    [aux_sym_match_expression_token1] = ACTIONS(1384),
    [aux_sym_match_default_expression_token1] = ACTIONS(1384),
    [aux_sym_switch_statement_token1] = ACTIONS(1384),
    [aux_sym_switch_block_token1] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1384),
    [anon_sym_DASH] = ACTIONS(1384),
    [anon_sym_TILDE] = ACTIONS(1382),
    [anon_sym_BANG] = ACTIONS(1382),
    [anon_sym_AT] = ACTIONS(1382),
    [aux_sym_clone_expression_token1] = ACTIONS(1384),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1384),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1384),
    [anon_sym_DASH_DASH] = ACTIONS(1382),
    [anon_sym_PLUS_PLUS] = ACTIONS(1382),
    [aux_sym__list_destructing_token1] = ACTIONS(1384),
    [anon_sym_LBRACK] = ACTIONS(1382),
    [anon_sym_self] = ACTIONS(1384),
    [anon_sym_parent] = ACTIONS(1384),
    [aux_sym__argument_name_token1] = ACTIONS(1384),
    [aux_sym__argument_name_token2] = ACTIONS(1384),
    [anon_sym_POUND_LBRACK] = ACTIONS(1382),
    [aux_sym_encapsed_string_token1] = ACTIONS(1382),
    [anon_sym_DQUOTE] = ACTIONS(1382),
    [aux_sym_string_token1] = ACTIONS(1382),
    [anon_sym_SQUOTE] = ACTIONS(1382),
    [anon_sym_LT_LT_LT] = ACTIONS(1382),
    [anon_sym_BQUOTE] = ACTIONS(1382),
    [anon_sym_DOLLAR] = ACTIONS(1382),
    [aux_sym_yield_expression_token1] = ACTIONS(1384),
    [aux_sym_include_expression_token1] = ACTIONS(1384),
    [aux_sym_include_once_expression_token1] = ACTIONS(1384),
    [aux_sym_require_expression_token1] = ACTIONS(1384),
    [aux_sym_require_once_expression_token1] = ACTIONS(1384),
    [sym_comment] = ACTIONS(3),
  },
  [527] = {
    [ts_builtin_sym_end] = ACTIONS(1386),
    [sym_name] = ACTIONS(1388),
    [anon_sym_QMARK_GT] = ACTIONS(1386),
    [anon_sym_SEMI] = ACTIONS(1386),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1388),
    [aux_sym_global_declaration_token1] = ACTIONS(1388),
    [aux_sym_namespace_definition_token1] = ACTIONS(1388),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1388),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1388),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1388),
    [anon_sym_BSLASH] = ACTIONS(1386),
    [anon_sym_LBRACE] = ACTIONS(1386),
    [anon_sym_RBRACE] = ACTIONS(1386),
    [aux_sym_trait_declaration_token1] = ACTIONS(1388),
    [aux_sym_interface_declaration_token1] = ACTIONS(1388),
    [aux_sym_enum_declaration_token1] = ACTIONS(1388),
    [aux_sym_enum_case_token1] = ACTIONS(1388),
    [aux_sym_class_declaration_token1] = ACTIONS(1388),
    [aux_sym_final_modifier_token1] = ACTIONS(1388),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1388),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1388),
    [sym_var_modifier] = ACTIONS(1388),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1388),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1388),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1388),
    [anon_sym_LPAREN2] = ACTIONS(1386),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1388),
    [aux_sym_cast_type_token1] = ACTIONS(1388),
    [aux_sym_echo_statement_token1] = ACTIONS(1388),
    [aux_sym_exit_statement_token1] = ACTIONS(1388),
    [anon_sym_unset] = ACTIONS(1388),
    [aux_sym_declare_statement_token1] = ACTIONS(1388),
    [aux_sym_declare_statement_token2] = ACTIONS(1388),
    [sym_float] = ACTIONS(1388),
    [aux_sym_try_statement_token1] = ACTIONS(1388),
    [aux_sym_goto_statement_token1] = ACTIONS(1388),
    [aux_sym_continue_statement_token1] = ACTIONS(1388),
    [aux_sym_break_statement_token1] = ACTIONS(1388),
    [sym_integer] = ACTIONS(1388),
    [aux_sym_return_statement_token1] = ACTIONS(1388),
    [aux_sym_throw_expression_token1] = ACTIONS(1388),
    [aux_sym_while_statement_token1] = ACTIONS(1388),
    [aux_sym_while_statement_token2] = ACTIONS(1388),
    [aux_sym_do_statement_token1] = ACTIONS(1388),
    [aux_sym_for_statement_token1] = ACTIONS(1388),
    [aux_sym_for_statement_token2] = ACTIONS(1388),
    [aux_sym_foreach_statement_token1] = ACTIONS(1388),
    [aux_sym_foreach_statement_token2] = ACTIONS(1388),
    [aux_sym_if_statement_token1] = ACTIONS(1388),
    [aux_sym_if_statement_token2] = ACTIONS(1388),
    [aux_sym_else_if_clause_token1] = ACTIONS(1388),
    [aux_sym_else_clause_token1] = ACTIONS(1388),
    [aux_sym_match_expression_token1] = ACTIONS(1388),
    [aux_sym_match_default_expression_token1] = ACTIONS(1388),
    [aux_sym_switch_statement_token1] = ACTIONS(1388),
    [aux_sym_switch_block_token1] = ACTIONS(1388),
    [anon_sym_PLUS] = ACTIONS(1388),
    [anon_sym_DASH] = ACTIONS(1388),
    [anon_sym_TILDE] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(1386),
    [anon_sym_AT] = ACTIONS(1386),
    [aux_sym_clone_expression_token1] = ACTIONS(1388),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1388),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1388),
    [anon_sym_DASH_DASH] = ACTIONS(1386),
    [anon_sym_PLUS_PLUS] = ACTIONS(1386),
    [aux_sym__list_destructing_token1] = ACTIONS(1388),
    [anon_sym_LBRACK] = ACTIONS(1386),
    [anon_sym_self] = ACTIONS(1388),
    [anon_sym_parent] = ACTIONS(1388),
    [aux_sym__argument_name_token1] = ACTIONS(1388),
    [aux_sym__argument_name_token2] = ACTIONS(1388),
    [anon_sym_POUND_LBRACK] = ACTIONS(1386),
    [aux_sym_encapsed_string_token1] = ACTIONS(1386),
    [anon_sym_DQUOTE] = ACTIONS(1386),
    [aux_sym_string_token1] = ACTIONS(1386),
    [anon_sym_SQUOTE] = ACTIONS(1386),
    [anon_sym_LT_LT_LT] = ACTIONS(1386),
    [anon_sym_BQUOTE] = ACTIONS(1386),
    [anon_sym_DOLLAR] = ACTIONS(1386),
    [aux_sym_yield_expression_token1] = ACTIONS(1388),
    [aux_sym_include_expression_token1] = ACTIONS(1388),
    [aux_sym_include_once_expression_token1] = ACTIONS(1388),
    [aux_sym_require_expression_token1] = ACTIONS(1388),
    [aux_sym_require_once_expression_token1] = ACTIONS(1388),
    [sym_comment] = ACTIONS(3),
  },
  [528] = {
    [ts_builtin_sym_end] = ACTIONS(1390),
    [sym_name] = ACTIONS(1392),
    [anon_sym_QMARK_GT] = ACTIONS(1390),
    [anon_sym_SEMI] = ACTIONS(1390),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1392),
    [aux_sym_global_declaration_token1] = ACTIONS(1392),
    [aux_sym_namespace_definition_token1] = ACTIONS(1392),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1392),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1392),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1392),
    [anon_sym_BSLASH] = ACTIONS(1390),
    [anon_sym_LBRACE] = ACTIONS(1390),
    [anon_sym_RBRACE] = ACTIONS(1390),
    [aux_sym_trait_declaration_token1] = ACTIONS(1392),
    [aux_sym_interface_declaration_token1] = ACTIONS(1392),
    [aux_sym_enum_declaration_token1] = ACTIONS(1392),
    [aux_sym_enum_case_token1] = ACTIONS(1392),
    [aux_sym_class_declaration_token1] = ACTIONS(1392),
    [aux_sym_final_modifier_token1] = ACTIONS(1392),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1392),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1392),
    [sym_var_modifier] = ACTIONS(1392),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1392),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1392),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1392),
    [anon_sym_LPAREN2] = ACTIONS(1390),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1392),
    [aux_sym_cast_type_token1] = ACTIONS(1392),
    [aux_sym_echo_statement_token1] = ACTIONS(1392),
    [aux_sym_exit_statement_token1] = ACTIONS(1392),
    [anon_sym_unset] = ACTIONS(1392),
    [aux_sym_declare_statement_token1] = ACTIONS(1392),
    [aux_sym_declare_statement_token2] = ACTIONS(1392),
    [sym_float] = ACTIONS(1392),
    [aux_sym_try_statement_token1] = ACTIONS(1392),
    [aux_sym_goto_statement_token1] = ACTIONS(1392),
    [aux_sym_continue_statement_token1] = ACTIONS(1392),
    [aux_sym_break_statement_token1] = ACTIONS(1392),
    [sym_integer] = ACTIONS(1392),
    [aux_sym_return_statement_token1] = ACTIONS(1392),
    [aux_sym_throw_expression_token1] = ACTIONS(1392),
    [aux_sym_while_statement_token1] = ACTIONS(1392),
    [aux_sym_while_statement_token2] = ACTIONS(1392),
    [aux_sym_do_statement_token1] = ACTIONS(1392),
    [aux_sym_for_statement_token1] = ACTIONS(1392),
    [aux_sym_for_statement_token2] = ACTIONS(1392),
    [aux_sym_foreach_statement_token1] = ACTIONS(1392),
    [aux_sym_foreach_statement_token2] = ACTIONS(1392),
    [aux_sym_if_statement_token1] = ACTIONS(1392),
    [aux_sym_if_statement_token2] = ACTIONS(1392),
    [aux_sym_else_if_clause_token1] = ACTIONS(1392),
    [aux_sym_else_clause_token1] = ACTIONS(1392),
    [aux_sym_match_expression_token1] = ACTIONS(1392),
    [aux_sym_match_default_expression_token1] = ACTIONS(1392),
    [aux_sym_switch_statement_token1] = ACTIONS(1392),
    [aux_sym_switch_block_token1] = ACTIONS(1392),
    [anon_sym_PLUS] = ACTIONS(1392),
    [anon_sym_DASH] = ACTIONS(1392),
    [anon_sym_TILDE] = ACTIONS(1390),
    [anon_sym_BANG] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(1390),
    [aux_sym_clone_expression_token1] = ACTIONS(1392),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1392),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1392),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [aux_sym__list_destructing_token1] = ACTIONS(1392),
    [anon_sym_LBRACK] = ACTIONS(1390),
    [anon_sym_self] = ACTIONS(1392),
    [anon_sym_parent] = ACTIONS(1392),
    [aux_sym__argument_name_token1] = ACTIONS(1392),
    [aux_sym__argument_name_token2] = ACTIONS(1392),
    [anon_sym_POUND_LBRACK] = ACTIONS(1390),
    [aux_sym_encapsed_string_token1] = ACTIONS(1390),
    [anon_sym_DQUOTE] = ACTIONS(1390),
    [aux_sym_string_token1] = ACTIONS(1390),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [anon_sym_LT_LT_LT] = ACTIONS(1390),
    [anon_sym_BQUOTE] = ACTIONS(1390),
    [anon_sym_DOLLAR] = ACTIONS(1390),
    [aux_sym_yield_expression_token1] = ACTIONS(1392),
    [aux_sym_include_expression_token1] = ACTIONS(1392),
    [aux_sym_include_once_expression_token1] = ACTIONS(1392),
    [aux_sym_require_expression_token1] = ACTIONS(1392),
    [aux_sym_require_once_expression_token1] = ACTIONS(1392),
    [sym_comment] = ACTIONS(3),
  },
  [529] = {
    [ts_builtin_sym_end] = ACTIONS(1394),
    [sym_name] = ACTIONS(1396),
    [anon_sym_QMARK_GT] = ACTIONS(1394),
    [anon_sym_SEMI] = ACTIONS(1394),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1396),
    [aux_sym_global_declaration_token1] = ACTIONS(1396),
    [aux_sym_namespace_definition_token1] = ACTIONS(1396),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1396),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1396),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1396),
    [anon_sym_BSLASH] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1394),
    [anon_sym_RBRACE] = ACTIONS(1394),
    [aux_sym_trait_declaration_token1] = ACTIONS(1396),
    [aux_sym_interface_declaration_token1] = ACTIONS(1396),
    [aux_sym_enum_declaration_token1] = ACTIONS(1396),
    [aux_sym_enum_case_token1] = ACTIONS(1396),
    [aux_sym_class_declaration_token1] = ACTIONS(1396),
    [aux_sym_final_modifier_token1] = ACTIONS(1396),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1396),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1396),
    [sym_var_modifier] = ACTIONS(1396),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1396),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1396),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1396),
    [anon_sym_LPAREN2] = ACTIONS(1394),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1396),
    [aux_sym_cast_type_token1] = ACTIONS(1396),
    [aux_sym_echo_statement_token1] = ACTIONS(1396),
    [aux_sym_exit_statement_token1] = ACTIONS(1396),
    [anon_sym_unset] = ACTIONS(1396),
    [aux_sym_declare_statement_token1] = ACTIONS(1396),
    [aux_sym_declare_statement_token2] = ACTIONS(1396),
    [sym_float] = ACTIONS(1396),
    [aux_sym_try_statement_token1] = ACTIONS(1396),
    [aux_sym_goto_statement_token1] = ACTIONS(1396),
    [aux_sym_continue_statement_token1] = ACTIONS(1396),
    [aux_sym_break_statement_token1] = ACTIONS(1396),
    [sym_integer] = ACTIONS(1396),
    [aux_sym_return_statement_token1] = ACTIONS(1396),
    [aux_sym_throw_expression_token1] = ACTIONS(1396),
    [aux_sym_while_statement_token1] = ACTIONS(1396),
    [aux_sym_while_statement_token2] = ACTIONS(1396),
    [aux_sym_do_statement_token1] = ACTIONS(1396),
    [aux_sym_for_statement_token1] = ACTIONS(1396),
    [aux_sym_for_statement_token2] = ACTIONS(1396),
    [aux_sym_foreach_statement_token1] = ACTIONS(1396),
    [aux_sym_foreach_statement_token2] = ACTIONS(1396),
    [aux_sym_if_statement_token1] = ACTIONS(1396),
    [aux_sym_if_statement_token2] = ACTIONS(1396),
    [aux_sym_else_if_clause_token1] = ACTIONS(1396),
    [aux_sym_else_clause_token1] = ACTIONS(1396),
    [aux_sym_match_expression_token1] = ACTIONS(1396),
    [aux_sym_match_default_expression_token1] = ACTIONS(1396),
    [aux_sym_switch_statement_token1] = ACTIONS(1396),
    [aux_sym_switch_block_token1] = ACTIONS(1396),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_TILDE] = ACTIONS(1394),
    [anon_sym_BANG] = ACTIONS(1394),
    [anon_sym_AT] = ACTIONS(1394),
    [aux_sym_clone_expression_token1] = ACTIONS(1396),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1396),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1396),
    [anon_sym_DASH_DASH] = ACTIONS(1394),
    [anon_sym_PLUS_PLUS] = ACTIONS(1394),
    [aux_sym__list_destructing_token1] = ACTIONS(1396),
    [anon_sym_LBRACK] = ACTIONS(1394),
    [anon_sym_self] = ACTIONS(1396),
    [anon_sym_parent] = ACTIONS(1396),
    [aux_sym__argument_name_token1] = ACTIONS(1396),
    [aux_sym__argument_name_token2] = ACTIONS(1396),
    [anon_sym_POUND_LBRACK] = ACTIONS(1394),
    [aux_sym_encapsed_string_token1] = ACTIONS(1394),
    [anon_sym_DQUOTE] = ACTIONS(1394),
    [aux_sym_string_token1] = ACTIONS(1394),
    [anon_sym_SQUOTE] = ACTIONS(1394),
    [anon_sym_LT_LT_LT] = ACTIONS(1394),
    [anon_sym_BQUOTE] = ACTIONS(1394),
    [anon_sym_DOLLAR] = ACTIONS(1394),
    [aux_sym_yield_expression_token1] = ACTIONS(1396),
    [aux_sym_include_expression_token1] = ACTIONS(1396),
    [aux_sym_include_once_expression_token1] = ACTIONS(1396),
    [aux_sym_require_expression_token1] = ACTIONS(1396),
    [aux_sym_require_once_expression_token1] = ACTIONS(1396),
    [sym_comment] = ACTIONS(3),
  },
  [530] = {
    [ts_builtin_sym_end] = ACTIONS(1398),
    [sym_name] = ACTIONS(1400),
    [anon_sym_QMARK_GT] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1400),
    [aux_sym_global_declaration_token1] = ACTIONS(1400),
    [aux_sym_namespace_definition_token1] = ACTIONS(1400),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1400),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1400),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1400),
    [anon_sym_BSLASH] = ACTIONS(1398),
    [anon_sym_LBRACE] = ACTIONS(1398),
    [anon_sym_RBRACE] = ACTIONS(1398),
    [aux_sym_trait_declaration_token1] = ACTIONS(1400),
    [aux_sym_interface_declaration_token1] = ACTIONS(1400),
    [aux_sym_enum_declaration_token1] = ACTIONS(1400),
    [aux_sym_enum_case_token1] = ACTIONS(1400),
    [aux_sym_class_declaration_token1] = ACTIONS(1400),
    [aux_sym_final_modifier_token1] = ACTIONS(1400),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1400),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1400),
    [sym_var_modifier] = ACTIONS(1400),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1400),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1400),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1400),
    [anon_sym_LPAREN2] = ACTIONS(1398),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1400),
    [aux_sym_cast_type_token1] = ACTIONS(1400),
    [aux_sym_echo_statement_token1] = ACTIONS(1400),
    [aux_sym_exit_statement_token1] = ACTIONS(1400),
    [anon_sym_unset] = ACTIONS(1400),
    [aux_sym_declare_statement_token1] = ACTIONS(1400),
    [aux_sym_declare_statement_token2] = ACTIONS(1400),
    [sym_float] = ACTIONS(1400),
    [aux_sym_try_statement_token1] = ACTIONS(1400),
    [aux_sym_goto_statement_token1] = ACTIONS(1400),
    [aux_sym_continue_statement_token1] = ACTIONS(1400),
    [aux_sym_break_statement_token1] = ACTIONS(1400),
    [sym_integer] = ACTIONS(1400),
    [aux_sym_return_statement_token1] = ACTIONS(1400),
    [aux_sym_throw_expression_token1] = ACTIONS(1400),
    [aux_sym_while_statement_token1] = ACTIONS(1400),
    [aux_sym_while_statement_token2] = ACTIONS(1400),
    [aux_sym_do_statement_token1] = ACTIONS(1400),
    [aux_sym_for_statement_token1] = ACTIONS(1400),
    [aux_sym_for_statement_token2] = ACTIONS(1400),
    [aux_sym_foreach_statement_token1] = ACTIONS(1400),
    [aux_sym_foreach_statement_token2] = ACTIONS(1400),
    [aux_sym_if_statement_token1] = ACTIONS(1400),
    [aux_sym_if_statement_token2] = ACTIONS(1400),
    [aux_sym_else_if_clause_token1] = ACTIONS(1400),
    [aux_sym_else_clause_token1] = ACTIONS(1400),
    [aux_sym_match_expression_token1] = ACTIONS(1400),
    [aux_sym_match_default_expression_token1] = ACTIONS(1400),
    [aux_sym_switch_statement_token1] = ACTIONS(1400),
    [aux_sym_switch_block_token1] = ACTIONS(1400),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_TILDE] = ACTIONS(1398),
    [anon_sym_BANG] = ACTIONS(1398),
    [anon_sym_AT] = ACTIONS(1398),
    [aux_sym_clone_expression_token1] = ACTIONS(1400),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1400),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1400),
    [anon_sym_DASH_DASH] = ACTIONS(1398),
    [anon_sym_PLUS_PLUS] = ACTIONS(1398),
    [aux_sym__list_destructing_token1] = ACTIONS(1400),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [anon_sym_self] = ACTIONS(1400),
    [anon_sym_parent] = ACTIONS(1400),
    [aux_sym__argument_name_token1] = ACTIONS(1400),
    [aux_sym__argument_name_token2] = ACTIONS(1400),
    [anon_sym_POUND_LBRACK] = ACTIONS(1398),
    [aux_sym_encapsed_string_token1] = ACTIONS(1398),
    [anon_sym_DQUOTE] = ACTIONS(1398),
    [aux_sym_string_token1] = ACTIONS(1398),
    [anon_sym_SQUOTE] = ACTIONS(1398),
    [anon_sym_LT_LT_LT] = ACTIONS(1398),
    [anon_sym_BQUOTE] = ACTIONS(1398),
    [anon_sym_DOLLAR] = ACTIONS(1398),
    [aux_sym_yield_expression_token1] = ACTIONS(1400),
    [aux_sym_include_expression_token1] = ACTIONS(1400),
    [aux_sym_include_once_expression_token1] = ACTIONS(1400),
    [aux_sym_require_expression_token1] = ACTIONS(1400),
    [aux_sym_require_once_expression_token1] = ACTIONS(1400),
    [sym_comment] = ACTIONS(3),
  },
  [531] = {
    [ts_builtin_sym_end] = ACTIONS(1402),
    [sym_name] = ACTIONS(1404),
    [anon_sym_QMARK_GT] = ACTIONS(1402),
    [anon_sym_SEMI] = ACTIONS(1402),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1404),
    [aux_sym_global_declaration_token1] = ACTIONS(1404),
    [aux_sym_namespace_definition_token1] = ACTIONS(1404),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1404),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1404),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1404),
    [anon_sym_BSLASH] = ACTIONS(1402),
    [anon_sym_LBRACE] = ACTIONS(1402),
    [anon_sym_RBRACE] = ACTIONS(1402),
    [aux_sym_trait_declaration_token1] = ACTIONS(1404),
    [aux_sym_interface_declaration_token1] = ACTIONS(1404),
    [aux_sym_enum_declaration_token1] = ACTIONS(1404),
    [aux_sym_enum_case_token1] = ACTIONS(1404),
    [aux_sym_class_declaration_token1] = ACTIONS(1404),
    [aux_sym_final_modifier_token1] = ACTIONS(1404),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1404),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1404),
    [sym_var_modifier] = ACTIONS(1404),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1404),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1404),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1404),
    [anon_sym_LPAREN2] = ACTIONS(1402),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1404),
    [aux_sym_cast_type_token1] = ACTIONS(1404),
    [aux_sym_echo_statement_token1] = ACTIONS(1404),
    [aux_sym_exit_statement_token1] = ACTIONS(1404),
    [anon_sym_unset] = ACTIONS(1404),
    [aux_sym_declare_statement_token1] = ACTIONS(1404),
    [aux_sym_declare_statement_token2] = ACTIONS(1404),
    [sym_float] = ACTIONS(1404),
    [aux_sym_try_statement_token1] = ACTIONS(1404),
    [aux_sym_goto_statement_token1] = ACTIONS(1404),
    [aux_sym_continue_statement_token1] = ACTIONS(1404),
    [aux_sym_break_statement_token1] = ACTIONS(1404),
    [sym_integer] = ACTIONS(1404),
    [aux_sym_return_statement_token1] = ACTIONS(1404),
    [aux_sym_throw_expression_token1] = ACTIONS(1404),
    [aux_sym_while_statement_token1] = ACTIONS(1404),
    [aux_sym_while_statement_token2] = ACTIONS(1404),
    [aux_sym_do_statement_token1] = ACTIONS(1404),
    [aux_sym_for_statement_token1] = ACTIONS(1404),
    [aux_sym_for_statement_token2] = ACTIONS(1404),
    [aux_sym_foreach_statement_token1] = ACTIONS(1404),
    [aux_sym_foreach_statement_token2] = ACTIONS(1404),
    [aux_sym_if_statement_token1] = ACTIONS(1404),
    [aux_sym_if_statement_token2] = ACTIONS(1404),
    [aux_sym_else_if_clause_token1] = ACTIONS(1404),
    [aux_sym_else_clause_token1] = ACTIONS(1404),
    [aux_sym_match_expression_token1] = ACTIONS(1404),
    [aux_sym_match_default_expression_token1] = ACTIONS(1404),
    [aux_sym_switch_statement_token1] = ACTIONS(1404),
    [aux_sym_switch_block_token1] = ACTIONS(1404),
    [anon_sym_PLUS] = ACTIONS(1404),
    [anon_sym_DASH] = ACTIONS(1404),
    [anon_sym_TILDE] = ACTIONS(1402),
    [anon_sym_BANG] = ACTIONS(1402),
    [anon_sym_AT] = ACTIONS(1402),
    [aux_sym_clone_expression_token1] = ACTIONS(1404),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1404),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1404),
    [anon_sym_DASH_DASH] = ACTIONS(1402),
    [anon_sym_PLUS_PLUS] = ACTIONS(1402),
    [aux_sym__list_destructing_token1] = ACTIONS(1404),
    [anon_sym_LBRACK] = ACTIONS(1402),
    [anon_sym_self] = ACTIONS(1404),
    [anon_sym_parent] = ACTIONS(1404),
    [aux_sym__argument_name_token1] = ACTIONS(1404),
    [aux_sym__argument_name_token2] = ACTIONS(1404),
    [anon_sym_POUND_LBRACK] = ACTIONS(1402),
    [aux_sym_encapsed_string_token1] = ACTIONS(1402),
    [anon_sym_DQUOTE] = ACTIONS(1402),
    [aux_sym_string_token1] = ACTIONS(1402),
    [anon_sym_SQUOTE] = ACTIONS(1402),
    [anon_sym_LT_LT_LT] = ACTIONS(1402),
    [anon_sym_BQUOTE] = ACTIONS(1402),
    [anon_sym_DOLLAR] = ACTIONS(1402),
    [aux_sym_yield_expression_token1] = ACTIONS(1404),
    [aux_sym_include_expression_token1] = ACTIONS(1404),
    [aux_sym_include_once_expression_token1] = ACTIONS(1404),
    [aux_sym_require_expression_token1] = ACTIONS(1404),
    [aux_sym_require_once_expression_token1] = ACTIONS(1404),
    [sym_comment] = ACTIONS(3),
  },
  [532] = {
    [ts_builtin_sym_end] = ACTIONS(1406),
    [sym_name] = ACTIONS(1408),
    [anon_sym_QMARK_GT] = ACTIONS(1406),
    [anon_sym_SEMI] = ACTIONS(1406),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1408),
    [aux_sym_global_declaration_token1] = ACTIONS(1408),
    [aux_sym_namespace_definition_token1] = ACTIONS(1408),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1408),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1408),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1408),
    [anon_sym_BSLASH] = ACTIONS(1406),
    [anon_sym_LBRACE] = ACTIONS(1406),
    [anon_sym_RBRACE] = ACTIONS(1406),
    [aux_sym_trait_declaration_token1] = ACTIONS(1408),
    [aux_sym_interface_declaration_token1] = ACTIONS(1408),
    [aux_sym_enum_declaration_token1] = ACTIONS(1408),
    [aux_sym_enum_case_token1] = ACTIONS(1408),
    [aux_sym_class_declaration_token1] = ACTIONS(1408),
    [aux_sym_final_modifier_token1] = ACTIONS(1408),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1408),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1408),
    [sym_var_modifier] = ACTIONS(1408),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1408),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1408),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1408),
    [anon_sym_LPAREN2] = ACTIONS(1406),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1408),
    [aux_sym_cast_type_token1] = ACTIONS(1408),
    [aux_sym_echo_statement_token1] = ACTIONS(1408),
    [aux_sym_exit_statement_token1] = ACTIONS(1408),
    [anon_sym_unset] = ACTIONS(1408),
    [aux_sym_declare_statement_token1] = ACTIONS(1408),
    [aux_sym_declare_statement_token2] = ACTIONS(1408),
    [sym_float] = ACTIONS(1408),
    [aux_sym_try_statement_token1] = ACTIONS(1408),
    [aux_sym_goto_statement_token1] = ACTIONS(1408),
    [aux_sym_continue_statement_token1] = ACTIONS(1408),
    [aux_sym_break_statement_token1] = ACTIONS(1408),
    [sym_integer] = ACTIONS(1408),
    [aux_sym_return_statement_token1] = ACTIONS(1408),
    [aux_sym_throw_expression_token1] = ACTIONS(1408),
    [aux_sym_while_statement_token1] = ACTIONS(1408),
    [aux_sym_while_statement_token2] = ACTIONS(1408),
    [aux_sym_do_statement_token1] = ACTIONS(1408),
    [aux_sym_for_statement_token1] = ACTIONS(1408),
    [aux_sym_for_statement_token2] = ACTIONS(1408),
    [aux_sym_foreach_statement_token1] = ACTIONS(1408),
    [aux_sym_foreach_statement_token2] = ACTIONS(1408),
    [aux_sym_if_statement_token1] = ACTIONS(1408),
    [aux_sym_if_statement_token2] = ACTIONS(1408),
    [aux_sym_else_if_clause_token1] = ACTIONS(1408),
    [aux_sym_else_clause_token1] = ACTIONS(1408),
    [aux_sym_match_expression_token1] = ACTIONS(1408),
    [aux_sym_match_default_expression_token1] = ACTIONS(1408),
    [aux_sym_switch_statement_token1] = ACTIONS(1408),
    [aux_sym_switch_block_token1] = ACTIONS(1408),
    [anon_sym_PLUS] = ACTIONS(1408),
    [anon_sym_DASH] = ACTIONS(1408),
    [anon_sym_TILDE] = ACTIONS(1406),
    [anon_sym_BANG] = ACTIONS(1406),
    [anon_sym_AT] = ACTIONS(1406),
    [aux_sym_clone_expression_token1] = ACTIONS(1408),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1408),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1408),
    [anon_sym_DASH_DASH] = ACTIONS(1406),
    [anon_sym_PLUS_PLUS] = ACTIONS(1406),
    [aux_sym__list_destructing_token1] = ACTIONS(1408),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [anon_sym_self] = ACTIONS(1408),
    [anon_sym_parent] = ACTIONS(1408),
    [aux_sym__argument_name_token1] = ACTIONS(1408),
    [aux_sym__argument_name_token2] = ACTIONS(1408),
    [anon_sym_POUND_LBRACK] = ACTIONS(1406),
    [aux_sym_encapsed_string_token1] = ACTIONS(1406),
    [anon_sym_DQUOTE] = ACTIONS(1406),
    [aux_sym_string_token1] = ACTIONS(1406),
    [anon_sym_SQUOTE] = ACTIONS(1406),
    [anon_sym_LT_LT_LT] = ACTIONS(1406),
    [anon_sym_BQUOTE] = ACTIONS(1406),
    [anon_sym_DOLLAR] = ACTIONS(1406),
    [aux_sym_yield_expression_token1] = ACTIONS(1408),
    [aux_sym_include_expression_token1] = ACTIONS(1408),
    [aux_sym_include_once_expression_token1] = ACTIONS(1408),
    [aux_sym_require_expression_token1] = ACTIONS(1408),
    [aux_sym_require_once_expression_token1] = ACTIONS(1408),
    [sym_comment] = ACTIONS(3),
  },
  [533] = {
    [ts_builtin_sym_end] = ACTIONS(1410),
    [sym_name] = ACTIONS(1412),
    [anon_sym_QMARK_GT] = ACTIONS(1410),
    [anon_sym_SEMI] = ACTIONS(1410),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1412),
    [aux_sym_global_declaration_token1] = ACTIONS(1412),
    [aux_sym_namespace_definition_token1] = ACTIONS(1412),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1412),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1412),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1412),
    [anon_sym_BSLASH] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1410),
    [anon_sym_RBRACE] = ACTIONS(1410),
    [aux_sym_trait_declaration_token1] = ACTIONS(1412),
    [aux_sym_interface_declaration_token1] = ACTIONS(1412),
    [aux_sym_enum_declaration_token1] = ACTIONS(1412),
    [aux_sym_enum_case_token1] = ACTIONS(1412),
    [aux_sym_class_declaration_token1] = ACTIONS(1412),
    [aux_sym_final_modifier_token1] = ACTIONS(1412),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1412),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1412),
    [sym_var_modifier] = ACTIONS(1412),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1412),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1412),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1412),
    [anon_sym_LPAREN2] = ACTIONS(1410),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1412),
    [aux_sym_cast_type_token1] = ACTIONS(1412),
    [aux_sym_echo_statement_token1] = ACTIONS(1412),
    [aux_sym_exit_statement_token1] = ACTIONS(1412),
    [anon_sym_unset] = ACTIONS(1412),
    [aux_sym_declare_statement_token1] = ACTIONS(1412),
    [aux_sym_declare_statement_token2] = ACTIONS(1412),
    [sym_float] = ACTIONS(1412),
    [aux_sym_try_statement_token1] = ACTIONS(1412),
    [aux_sym_goto_statement_token1] = ACTIONS(1412),
    [aux_sym_continue_statement_token1] = ACTIONS(1412),
    [aux_sym_break_statement_token1] = ACTIONS(1412),
    [sym_integer] = ACTIONS(1412),
    [aux_sym_return_statement_token1] = ACTIONS(1412),
    [aux_sym_throw_expression_token1] = ACTIONS(1412),
    [aux_sym_while_statement_token1] = ACTIONS(1412),
    [aux_sym_while_statement_token2] = ACTIONS(1412),
    [aux_sym_do_statement_token1] = ACTIONS(1412),
    [aux_sym_for_statement_token1] = ACTIONS(1412),
    [aux_sym_for_statement_token2] = ACTIONS(1412),
    [aux_sym_foreach_statement_token1] = ACTIONS(1412),
    [aux_sym_foreach_statement_token2] = ACTIONS(1412),
    [aux_sym_if_statement_token1] = ACTIONS(1412),
    [aux_sym_if_statement_token2] = ACTIONS(1412),
    [aux_sym_else_if_clause_token1] = ACTIONS(1412),
    [aux_sym_else_clause_token1] = ACTIONS(1412),
    [aux_sym_match_expression_token1] = ACTIONS(1412),
    [aux_sym_match_default_expression_token1] = ACTIONS(1412),
    [aux_sym_switch_statement_token1] = ACTIONS(1412),
    [aux_sym_switch_block_token1] = ACTIONS(1412),
    [anon_sym_PLUS] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_TILDE] = ACTIONS(1410),
    [anon_sym_BANG] = ACTIONS(1410),
    [anon_sym_AT] = ACTIONS(1410),
    [aux_sym_clone_expression_token1] = ACTIONS(1412),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1412),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1412),
    [anon_sym_DASH_DASH] = ACTIONS(1410),
    [anon_sym_PLUS_PLUS] = ACTIONS(1410),
    [aux_sym__list_destructing_token1] = ACTIONS(1412),
    [anon_sym_LBRACK] = ACTIONS(1410),
    [anon_sym_self] = ACTIONS(1412),
    [anon_sym_parent] = ACTIONS(1412),
    [aux_sym__argument_name_token1] = ACTIONS(1412),
    [aux_sym__argument_name_token2] = ACTIONS(1412),
    [anon_sym_POUND_LBRACK] = ACTIONS(1410),
    [aux_sym_encapsed_string_token1] = ACTIONS(1410),
    [anon_sym_DQUOTE] = ACTIONS(1410),
    [aux_sym_string_token1] = ACTIONS(1410),
    [anon_sym_SQUOTE] = ACTIONS(1410),
    [anon_sym_LT_LT_LT] = ACTIONS(1410),
    [anon_sym_BQUOTE] = ACTIONS(1410),
    [anon_sym_DOLLAR] = ACTIONS(1410),
    [aux_sym_yield_expression_token1] = ACTIONS(1412),
    [aux_sym_include_expression_token1] = ACTIONS(1412),
    [aux_sym_include_once_expression_token1] = ACTIONS(1412),
    [aux_sym_require_expression_token1] = ACTIONS(1412),
    [aux_sym_require_once_expression_token1] = ACTIONS(1412),
    [sym_comment] = ACTIONS(3),
  },
  [534] = {
    [ts_builtin_sym_end] = ACTIONS(1414),
    [sym_name] = ACTIONS(1416),
    [anon_sym_QMARK_GT] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(1414),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1416),
    [aux_sym_global_declaration_token1] = ACTIONS(1416),
    [aux_sym_namespace_definition_token1] = ACTIONS(1416),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1416),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1416),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1416),
    [anon_sym_BSLASH] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(1414),
    [anon_sym_RBRACE] = ACTIONS(1414),
    [aux_sym_trait_declaration_token1] = ACTIONS(1416),
    [aux_sym_interface_declaration_token1] = ACTIONS(1416),
    [aux_sym_enum_declaration_token1] = ACTIONS(1416),
    [aux_sym_enum_case_token1] = ACTIONS(1416),
    [aux_sym_class_declaration_token1] = ACTIONS(1416),
    [aux_sym_final_modifier_token1] = ACTIONS(1416),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1416),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1416),
    [sym_var_modifier] = ACTIONS(1416),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1416),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1416),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1416),
    [anon_sym_LPAREN2] = ACTIONS(1414),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1416),
    [aux_sym_cast_type_token1] = ACTIONS(1416),
    [aux_sym_echo_statement_token1] = ACTIONS(1416),
    [aux_sym_exit_statement_token1] = ACTIONS(1416),
    [anon_sym_unset] = ACTIONS(1416),
    [aux_sym_declare_statement_token1] = ACTIONS(1416),
    [aux_sym_declare_statement_token2] = ACTIONS(1416),
    [sym_float] = ACTIONS(1416),
    [aux_sym_try_statement_token1] = ACTIONS(1416),
    [aux_sym_goto_statement_token1] = ACTIONS(1416),
    [aux_sym_continue_statement_token1] = ACTIONS(1416),
    [aux_sym_break_statement_token1] = ACTIONS(1416),
    [sym_integer] = ACTIONS(1416),
    [aux_sym_return_statement_token1] = ACTIONS(1416),
    [aux_sym_throw_expression_token1] = ACTIONS(1416),
    [aux_sym_while_statement_token1] = ACTIONS(1416),
    [aux_sym_while_statement_token2] = ACTIONS(1416),
    [aux_sym_do_statement_token1] = ACTIONS(1416),
    [aux_sym_for_statement_token1] = ACTIONS(1416),
    [aux_sym_for_statement_token2] = ACTIONS(1416),
    [aux_sym_foreach_statement_token1] = ACTIONS(1416),
    [aux_sym_foreach_statement_token2] = ACTIONS(1416),
    [aux_sym_if_statement_token1] = ACTIONS(1416),
    [aux_sym_if_statement_token2] = ACTIONS(1416),
    [aux_sym_else_if_clause_token1] = ACTIONS(1416),
    [aux_sym_else_clause_token1] = ACTIONS(1416),
    [aux_sym_match_expression_token1] = ACTIONS(1416),
    [aux_sym_match_default_expression_token1] = ACTIONS(1416),
    [aux_sym_switch_statement_token1] = ACTIONS(1416),
    [aux_sym_switch_block_token1] = ACTIONS(1416),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_TILDE] = ACTIONS(1414),
    [anon_sym_BANG] = ACTIONS(1414),
    [anon_sym_AT] = ACTIONS(1414),
    [aux_sym_clone_expression_token1] = ACTIONS(1416),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1416),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1416),
    [anon_sym_DASH_DASH] = ACTIONS(1414),
    [anon_sym_PLUS_PLUS] = ACTIONS(1414),
    [aux_sym__list_destructing_token1] = ACTIONS(1416),
    [anon_sym_LBRACK] = ACTIONS(1414),
    [anon_sym_self] = ACTIONS(1416),
    [anon_sym_parent] = ACTIONS(1416),
    [aux_sym__argument_name_token1] = ACTIONS(1416),
    [aux_sym__argument_name_token2] = ACTIONS(1416),
    [anon_sym_POUND_LBRACK] = ACTIONS(1414),
    [aux_sym_encapsed_string_token1] = ACTIONS(1414),
    [anon_sym_DQUOTE] = ACTIONS(1414),
    [aux_sym_string_token1] = ACTIONS(1414),
    [anon_sym_SQUOTE] = ACTIONS(1414),
    [anon_sym_LT_LT_LT] = ACTIONS(1414),
    [anon_sym_BQUOTE] = ACTIONS(1414),
    [anon_sym_DOLLAR] = ACTIONS(1414),
    [aux_sym_yield_expression_token1] = ACTIONS(1416),
    [aux_sym_include_expression_token1] = ACTIONS(1416),
    [aux_sym_include_once_expression_token1] = ACTIONS(1416),
    [aux_sym_require_expression_token1] = ACTIONS(1416),
    [aux_sym_require_once_expression_token1] = ACTIONS(1416),
    [sym_comment] = ACTIONS(3),
  },
  [535] = {
    [ts_builtin_sym_end] = ACTIONS(1086),
    [sym_name] = ACTIONS(1088),
    [anon_sym_QMARK_GT] = ACTIONS(1086),
    [anon_sym_SEMI] = ACTIONS(1086),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1088),
    [aux_sym_global_declaration_token1] = ACTIONS(1088),
    [aux_sym_namespace_definition_token1] = ACTIONS(1088),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1088),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1088),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1088),
    [anon_sym_BSLASH] = ACTIONS(1086),
    [anon_sym_LBRACE] = ACTIONS(1086),
    [anon_sym_RBRACE] = ACTIONS(1086),
    [aux_sym_trait_declaration_token1] = ACTIONS(1088),
    [aux_sym_interface_declaration_token1] = ACTIONS(1088),
    [aux_sym_enum_declaration_token1] = ACTIONS(1088),
    [aux_sym_enum_case_token1] = ACTIONS(1088),
    [aux_sym_class_declaration_token1] = ACTIONS(1088),
    [aux_sym_final_modifier_token1] = ACTIONS(1088),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1088),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1088),
    [sym_var_modifier] = ACTIONS(1088),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1088),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1088),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1088),
    [anon_sym_LPAREN2] = ACTIONS(1086),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1088),
    [aux_sym_cast_type_token1] = ACTIONS(1088),
    [aux_sym_echo_statement_token1] = ACTIONS(1088),
    [aux_sym_exit_statement_token1] = ACTIONS(1088),
    [anon_sym_unset] = ACTIONS(1088),
    [aux_sym_declare_statement_token1] = ACTIONS(1088),
    [aux_sym_declare_statement_token2] = ACTIONS(1088),
    [sym_float] = ACTIONS(1088),
    [aux_sym_try_statement_token1] = ACTIONS(1088),
    [aux_sym_goto_statement_token1] = ACTIONS(1088),
    [aux_sym_continue_statement_token1] = ACTIONS(1088),
    [aux_sym_break_statement_token1] = ACTIONS(1088),
    [sym_integer] = ACTIONS(1088),
    [aux_sym_return_statement_token1] = ACTIONS(1088),
    [aux_sym_throw_expression_token1] = ACTIONS(1088),
    [aux_sym_while_statement_token1] = ACTIONS(1088),
    [aux_sym_while_statement_token2] = ACTIONS(1088),
    [aux_sym_do_statement_token1] = ACTIONS(1088),
    [aux_sym_for_statement_token1] = ACTIONS(1088),
    [aux_sym_for_statement_token2] = ACTIONS(1088),
    [aux_sym_foreach_statement_token1] = ACTIONS(1088),
    [aux_sym_foreach_statement_token2] = ACTIONS(1088),
    [aux_sym_if_statement_token1] = ACTIONS(1088),
    [aux_sym_if_statement_token2] = ACTIONS(1088),
    [aux_sym_else_if_clause_token1] = ACTIONS(1088),
    [aux_sym_else_clause_token1] = ACTIONS(1088),
    [aux_sym_match_expression_token1] = ACTIONS(1088),
    [aux_sym_match_default_expression_token1] = ACTIONS(1088),
    [aux_sym_switch_statement_token1] = ACTIONS(1088),
    [aux_sym_switch_block_token1] = ACTIONS(1088),
    [anon_sym_PLUS] = ACTIONS(1088),
    [anon_sym_DASH] = ACTIONS(1088),
    [anon_sym_TILDE] = ACTIONS(1086),
    [anon_sym_BANG] = ACTIONS(1086),
    [anon_sym_AT] = ACTIONS(1086),
    [aux_sym_clone_expression_token1] = ACTIONS(1088),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1088),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1088),
    [anon_sym_DASH_DASH] = ACTIONS(1086),
    [anon_sym_PLUS_PLUS] = ACTIONS(1086),
    [aux_sym__list_destructing_token1] = ACTIONS(1088),
    [anon_sym_LBRACK] = ACTIONS(1086),
    [anon_sym_self] = ACTIONS(1088),
    [anon_sym_parent] = ACTIONS(1088),
    [aux_sym__argument_name_token1] = ACTIONS(1088),
    [aux_sym__argument_name_token2] = ACTIONS(1088),
    [anon_sym_POUND_LBRACK] = ACTIONS(1086),
    [aux_sym_encapsed_string_token1] = ACTIONS(1086),
    [anon_sym_DQUOTE] = ACTIONS(1086),
    [aux_sym_string_token1] = ACTIONS(1086),
    [anon_sym_SQUOTE] = ACTIONS(1086),
    [anon_sym_LT_LT_LT] = ACTIONS(1086),
    [anon_sym_BQUOTE] = ACTIONS(1086),
    [anon_sym_DOLLAR] = ACTIONS(1086),
    [aux_sym_yield_expression_token1] = ACTIONS(1088),
    [aux_sym_include_expression_token1] = ACTIONS(1088),
    [aux_sym_include_once_expression_token1] = ACTIONS(1088),
    [aux_sym_require_expression_token1] = ACTIONS(1088),
    [aux_sym_require_once_expression_token1] = ACTIONS(1088),
    [sym_comment] = ACTIONS(3),
  },
  [536] = {
    [ts_builtin_sym_end] = ACTIONS(1418),
    [sym_name] = ACTIONS(1420),
    [anon_sym_QMARK_GT] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1420),
    [aux_sym_global_declaration_token1] = ACTIONS(1420),
    [aux_sym_namespace_definition_token1] = ACTIONS(1420),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1420),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1420),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1420),
    [anon_sym_BSLASH] = ACTIONS(1418),
    [anon_sym_LBRACE] = ACTIONS(1418),
    [anon_sym_RBRACE] = ACTIONS(1418),
    [aux_sym_trait_declaration_token1] = ACTIONS(1420),
    [aux_sym_interface_declaration_token1] = ACTIONS(1420),
    [aux_sym_enum_declaration_token1] = ACTIONS(1420),
    [aux_sym_enum_case_token1] = ACTIONS(1420),
    [aux_sym_class_declaration_token1] = ACTIONS(1420),
    [aux_sym_final_modifier_token1] = ACTIONS(1420),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1420),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1420),
    [sym_var_modifier] = ACTIONS(1420),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1420),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1420),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1420),
    [anon_sym_LPAREN2] = ACTIONS(1418),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1420),
    [aux_sym_cast_type_token1] = ACTIONS(1420),
    [aux_sym_echo_statement_token1] = ACTIONS(1420),
    [aux_sym_exit_statement_token1] = ACTIONS(1420),
    [anon_sym_unset] = ACTIONS(1420),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [aux_sym_declare_statement_token2] = ACTIONS(1420),
    [sym_float] = ACTIONS(1420),
    [aux_sym_try_statement_token1] = ACTIONS(1420),
    [aux_sym_goto_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [sym_integer] = ACTIONS(1420),
    [aux_sym_return_statement_token1] = ACTIONS(1420),
    [aux_sym_throw_expression_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token2] = ACTIONS(1420),
    [aux_sym_do_statement_token1] = ACTIONS(1420),
    [aux_sym_for_statement_token1] = ACTIONS(1420),
    [aux_sym_for_statement_token2] = ACTIONS(1420),
    [aux_sym_foreach_statement_token1] = ACTIONS(1420),
    [aux_sym_foreach_statement_token2] = ACTIONS(1420),
    [aux_sym_if_statement_token1] = ACTIONS(1420),
    [aux_sym_if_statement_token2] = ACTIONS(1420),
    [aux_sym_else_if_clause_token1] = ACTIONS(1420),
    [aux_sym_else_clause_token1] = ACTIONS(1420),
    [aux_sym_match_expression_token1] = ACTIONS(1420),
    [aux_sym_match_default_expression_token1] = ACTIONS(1420),
    [aux_sym_switch_statement_token1] = ACTIONS(1420),
    [aux_sym_switch_block_token1] = ACTIONS(1420),
    [anon_sym_PLUS] = ACTIONS(1420),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_TILDE] = ACTIONS(1418),
    [anon_sym_BANG] = ACTIONS(1418),
    [anon_sym_AT] = ACTIONS(1418),
    [aux_sym_clone_expression_token1] = ACTIONS(1420),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1420),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1418),
    [anon_sym_PLUS_PLUS] = ACTIONS(1418),
    [aux_sym__list_destructing_token1] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [anon_sym_self] = ACTIONS(1420),
    [anon_sym_parent] = ACTIONS(1420),
    [aux_sym__argument_name_token1] = ACTIONS(1420),
    [aux_sym__argument_name_token2] = ACTIONS(1420),
    [anon_sym_POUND_LBRACK] = ACTIONS(1418),
    [aux_sym_encapsed_string_token1] = ACTIONS(1418),
    [anon_sym_DQUOTE] = ACTIONS(1418),
    [aux_sym_string_token1] = ACTIONS(1418),
    [anon_sym_SQUOTE] = ACTIONS(1418),
    [anon_sym_LT_LT_LT] = ACTIONS(1418),
    [anon_sym_BQUOTE] = ACTIONS(1418),
    [anon_sym_DOLLAR] = ACTIONS(1418),
    [aux_sym_yield_expression_token1] = ACTIONS(1420),
    [aux_sym_include_expression_token1] = ACTIONS(1420),
    [aux_sym_include_once_expression_token1] = ACTIONS(1420),
    [aux_sym_require_expression_token1] = ACTIONS(1420),
    [aux_sym_require_once_expression_token1] = ACTIONS(1420),
    [sym_comment] = ACTIONS(3),
  },
  [537] = {
    [ts_builtin_sym_end] = ACTIONS(1422),
    [sym_name] = ACTIONS(1424),
    [anon_sym_QMARK_GT] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(1422),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1424),
    [aux_sym_global_declaration_token1] = ACTIONS(1424),
    [aux_sym_namespace_definition_token1] = ACTIONS(1424),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1424),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1424),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1424),
    [anon_sym_BSLASH] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(1422),
    [anon_sym_RBRACE] = ACTIONS(1422),
    [aux_sym_trait_declaration_token1] = ACTIONS(1424),
    [aux_sym_interface_declaration_token1] = ACTIONS(1424),
    [aux_sym_enum_declaration_token1] = ACTIONS(1424),
    [aux_sym_enum_case_token1] = ACTIONS(1424),
    [aux_sym_class_declaration_token1] = ACTIONS(1424),
    [aux_sym_final_modifier_token1] = ACTIONS(1424),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1424),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1424),
    [sym_var_modifier] = ACTIONS(1424),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1424),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1424),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1424),
    [anon_sym_LPAREN2] = ACTIONS(1422),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1424),
    [aux_sym_cast_type_token1] = ACTIONS(1424),
    [aux_sym_echo_statement_token1] = ACTIONS(1424),
    [aux_sym_exit_statement_token1] = ACTIONS(1424),
    [anon_sym_unset] = ACTIONS(1424),
    [aux_sym_declare_statement_token1] = ACTIONS(1424),
    [aux_sym_declare_statement_token2] = ACTIONS(1424),
    [sym_float] = ACTIONS(1424),
    [aux_sym_try_statement_token1] = ACTIONS(1424),
    [aux_sym_goto_statement_token1] = ACTIONS(1424),
    [aux_sym_continue_statement_token1] = ACTIONS(1424),
    [aux_sym_break_statement_token1] = ACTIONS(1424),
    [sym_integer] = ACTIONS(1424),
    [aux_sym_return_statement_token1] = ACTIONS(1424),
    [aux_sym_throw_expression_token1] = ACTIONS(1424),
    [aux_sym_while_statement_token1] = ACTIONS(1424),
    [aux_sym_while_statement_token2] = ACTIONS(1424),
    [aux_sym_do_statement_token1] = ACTIONS(1424),
    [aux_sym_for_statement_token1] = ACTIONS(1424),
    [aux_sym_for_statement_token2] = ACTIONS(1424),
    [aux_sym_foreach_statement_token1] = ACTIONS(1424),
    [aux_sym_foreach_statement_token2] = ACTIONS(1424),
    [aux_sym_if_statement_token1] = ACTIONS(1424),
    [aux_sym_if_statement_token2] = ACTIONS(1424),
    [aux_sym_else_if_clause_token1] = ACTIONS(1424),
    [aux_sym_else_clause_token1] = ACTIONS(1424),
    [aux_sym_match_expression_token1] = ACTIONS(1424),
    [aux_sym_match_default_expression_token1] = ACTIONS(1424),
    [aux_sym_switch_statement_token1] = ACTIONS(1424),
    [aux_sym_switch_block_token1] = ACTIONS(1424),
    [anon_sym_PLUS] = ACTIONS(1424),
    [anon_sym_DASH] = ACTIONS(1424),
    [anon_sym_TILDE] = ACTIONS(1422),
    [anon_sym_BANG] = ACTIONS(1422),
    [anon_sym_AT] = ACTIONS(1422),
    [aux_sym_clone_expression_token1] = ACTIONS(1424),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1424),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1424),
    [anon_sym_DASH_DASH] = ACTIONS(1422),
    [anon_sym_PLUS_PLUS] = ACTIONS(1422),
    [aux_sym__list_destructing_token1] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1422),
    [anon_sym_self] = ACTIONS(1424),
    [anon_sym_parent] = ACTIONS(1424),
    [aux_sym__argument_name_token1] = ACTIONS(1424),
    [aux_sym__argument_name_token2] = ACTIONS(1424),
    [anon_sym_POUND_LBRACK] = ACTIONS(1422),
    [aux_sym_encapsed_string_token1] = ACTIONS(1422),
    [anon_sym_DQUOTE] = ACTIONS(1422),
    [aux_sym_string_token1] = ACTIONS(1422),
    [anon_sym_SQUOTE] = ACTIONS(1422),
    [anon_sym_LT_LT_LT] = ACTIONS(1422),
    [anon_sym_BQUOTE] = ACTIONS(1422),
    [anon_sym_DOLLAR] = ACTIONS(1422),
    [aux_sym_yield_expression_token1] = ACTIONS(1424),
    [aux_sym_include_expression_token1] = ACTIONS(1424),
    [aux_sym_include_once_expression_token1] = ACTIONS(1424),
    [aux_sym_require_expression_token1] = ACTIONS(1424),
    [aux_sym_require_once_expression_token1] = ACTIONS(1424),
    [sym_comment] = ACTIONS(3),
  },
  [538] = {
    [ts_builtin_sym_end] = ACTIONS(1426),
    [sym_name] = ACTIONS(1428),
    [anon_sym_QMARK_GT] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(1426),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1428),
    [aux_sym_global_declaration_token1] = ACTIONS(1428),
    [aux_sym_namespace_definition_token1] = ACTIONS(1428),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1428),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1428),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1428),
    [anon_sym_BSLASH] = ACTIONS(1426),
    [anon_sym_LBRACE] = ACTIONS(1426),
    [anon_sym_RBRACE] = ACTIONS(1426),
    [aux_sym_trait_declaration_token1] = ACTIONS(1428),
    [aux_sym_interface_declaration_token1] = ACTIONS(1428),
    [aux_sym_enum_declaration_token1] = ACTIONS(1428),
    [aux_sym_enum_case_token1] = ACTIONS(1428),
    [aux_sym_class_declaration_token1] = ACTIONS(1428),
    [aux_sym_final_modifier_token1] = ACTIONS(1428),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1428),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1428),
    [sym_var_modifier] = ACTIONS(1428),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1428),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1428),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1428),
    [anon_sym_LPAREN2] = ACTIONS(1426),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1428),
    [aux_sym_cast_type_token1] = ACTIONS(1428),
    [aux_sym_echo_statement_token1] = ACTIONS(1428),
    [aux_sym_exit_statement_token1] = ACTIONS(1428),
    [anon_sym_unset] = ACTIONS(1428),
    [aux_sym_declare_statement_token1] = ACTIONS(1428),
    [aux_sym_declare_statement_token2] = ACTIONS(1428),
    [sym_float] = ACTIONS(1428),
    [aux_sym_try_statement_token1] = ACTIONS(1428),
    [aux_sym_goto_statement_token1] = ACTIONS(1428),
    [aux_sym_continue_statement_token1] = ACTIONS(1428),
    [aux_sym_break_statement_token1] = ACTIONS(1428),
    [sym_integer] = ACTIONS(1428),
    [aux_sym_return_statement_token1] = ACTIONS(1428),
    [aux_sym_throw_expression_token1] = ACTIONS(1428),
    [aux_sym_while_statement_token1] = ACTIONS(1428),
    [aux_sym_while_statement_token2] = ACTIONS(1428),
    [aux_sym_do_statement_token1] = ACTIONS(1428),
    [aux_sym_for_statement_token1] = ACTIONS(1428),
    [aux_sym_for_statement_token2] = ACTIONS(1428),
    [aux_sym_foreach_statement_token1] = ACTIONS(1428),
    [aux_sym_foreach_statement_token2] = ACTIONS(1428),
    [aux_sym_if_statement_token1] = ACTIONS(1428),
    [aux_sym_if_statement_token2] = ACTIONS(1428),
    [aux_sym_else_if_clause_token1] = ACTIONS(1428),
    [aux_sym_else_clause_token1] = ACTIONS(1428),
    [aux_sym_match_expression_token1] = ACTIONS(1428),
    [aux_sym_match_default_expression_token1] = ACTIONS(1428),
    [aux_sym_switch_statement_token1] = ACTIONS(1428),
    [aux_sym_switch_block_token1] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_TILDE] = ACTIONS(1426),
    [anon_sym_BANG] = ACTIONS(1426),
    [anon_sym_AT] = ACTIONS(1426),
    [aux_sym_clone_expression_token1] = ACTIONS(1428),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1428),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1428),
    [anon_sym_DASH_DASH] = ACTIONS(1426),
    [anon_sym_PLUS_PLUS] = ACTIONS(1426),
    [aux_sym__list_destructing_token1] = ACTIONS(1428),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_self] = ACTIONS(1428),
    [anon_sym_parent] = ACTIONS(1428),
    [aux_sym__argument_name_token1] = ACTIONS(1428),
    [aux_sym__argument_name_token2] = ACTIONS(1428),
    [anon_sym_POUND_LBRACK] = ACTIONS(1426),
    [aux_sym_encapsed_string_token1] = ACTIONS(1426),
    [anon_sym_DQUOTE] = ACTIONS(1426),
    [aux_sym_string_token1] = ACTIONS(1426),
    [anon_sym_SQUOTE] = ACTIONS(1426),
    [anon_sym_LT_LT_LT] = ACTIONS(1426),
    [anon_sym_BQUOTE] = ACTIONS(1426),
    [anon_sym_DOLLAR] = ACTIONS(1426),
    [aux_sym_yield_expression_token1] = ACTIONS(1428),
    [aux_sym_include_expression_token1] = ACTIONS(1428),
    [aux_sym_include_once_expression_token1] = ACTIONS(1428),
    [aux_sym_require_expression_token1] = ACTIONS(1428),
    [aux_sym_require_once_expression_token1] = ACTIONS(1428),
    [sym_comment] = ACTIONS(3),
  },
  [539] = {
    [ts_builtin_sym_end] = ACTIONS(1430),
    [sym_name] = ACTIONS(1432),
    [anon_sym_QMARK_GT] = ACTIONS(1430),
    [anon_sym_SEMI] = ACTIONS(1430),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1432),
    [aux_sym_global_declaration_token1] = ACTIONS(1432),
    [aux_sym_namespace_definition_token1] = ACTIONS(1432),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1432),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1432),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1432),
    [anon_sym_BSLASH] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(1430),
    [anon_sym_RBRACE] = ACTIONS(1430),
    [aux_sym_trait_declaration_token1] = ACTIONS(1432),
    [aux_sym_interface_declaration_token1] = ACTIONS(1432),
    [aux_sym_enum_declaration_token1] = ACTIONS(1432),
    [aux_sym_enum_case_token1] = ACTIONS(1432),
    [aux_sym_class_declaration_token1] = ACTIONS(1432),
    [aux_sym_final_modifier_token1] = ACTIONS(1432),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1432),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1432),
    [sym_var_modifier] = ACTIONS(1432),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1432),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1432),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1432),
    [anon_sym_LPAREN2] = ACTIONS(1430),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1432),
    [aux_sym_cast_type_token1] = ACTIONS(1432),
    [aux_sym_echo_statement_token1] = ACTIONS(1432),
    [aux_sym_exit_statement_token1] = ACTIONS(1432),
    [anon_sym_unset] = ACTIONS(1432),
    [aux_sym_declare_statement_token1] = ACTIONS(1432),
    [aux_sym_declare_statement_token2] = ACTIONS(1432),
    [sym_float] = ACTIONS(1432),
    [aux_sym_try_statement_token1] = ACTIONS(1432),
    [aux_sym_goto_statement_token1] = ACTIONS(1432),
    [aux_sym_continue_statement_token1] = ACTIONS(1432),
    [aux_sym_break_statement_token1] = ACTIONS(1432),
    [sym_integer] = ACTIONS(1432),
    [aux_sym_return_statement_token1] = ACTIONS(1432),
    [aux_sym_throw_expression_token1] = ACTIONS(1432),
    [aux_sym_while_statement_token1] = ACTIONS(1432),
    [aux_sym_while_statement_token2] = ACTIONS(1432),
    [aux_sym_do_statement_token1] = ACTIONS(1432),
    [aux_sym_for_statement_token1] = ACTIONS(1432),
    [aux_sym_for_statement_token2] = ACTIONS(1432),
    [aux_sym_foreach_statement_token1] = ACTIONS(1432),
    [aux_sym_foreach_statement_token2] = ACTIONS(1432),
    [aux_sym_if_statement_token1] = ACTIONS(1432),
    [aux_sym_if_statement_token2] = ACTIONS(1432),
    [aux_sym_else_if_clause_token1] = ACTIONS(1432),
    [aux_sym_else_clause_token1] = ACTIONS(1432),
    [aux_sym_match_expression_token1] = ACTIONS(1432),
    [aux_sym_match_default_expression_token1] = ACTIONS(1432),
    [aux_sym_switch_statement_token1] = ACTIONS(1432),
    [aux_sym_switch_block_token1] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1430),
    [anon_sym_BANG] = ACTIONS(1430),
    [anon_sym_AT] = ACTIONS(1430),
    [aux_sym_clone_expression_token1] = ACTIONS(1432),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1432),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1432),
    [anon_sym_DASH_DASH] = ACTIONS(1430),
    [anon_sym_PLUS_PLUS] = ACTIONS(1430),
    [aux_sym__list_destructing_token1] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(1430),
    [anon_sym_self] = ACTIONS(1432),
    [anon_sym_parent] = ACTIONS(1432),
    [aux_sym__argument_name_token1] = ACTIONS(1432),
    [aux_sym__argument_name_token2] = ACTIONS(1432),
    [anon_sym_POUND_LBRACK] = ACTIONS(1430),
    [aux_sym_encapsed_string_token1] = ACTIONS(1430),
    [anon_sym_DQUOTE] = ACTIONS(1430),
    [aux_sym_string_token1] = ACTIONS(1430),
    [anon_sym_SQUOTE] = ACTIONS(1430),
    [anon_sym_LT_LT_LT] = ACTIONS(1430),
    [anon_sym_BQUOTE] = ACTIONS(1430),
    [anon_sym_DOLLAR] = ACTIONS(1430),
    [aux_sym_yield_expression_token1] = ACTIONS(1432),
    [aux_sym_include_expression_token1] = ACTIONS(1432),
    [aux_sym_include_once_expression_token1] = ACTIONS(1432),
    [aux_sym_require_expression_token1] = ACTIONS(1432),
    [aux_sym_require_once_expression_token1] = ACTIONS(1432),
    [sym_comment] = ACTIONS(3),
  },
  [540] = {
    [ts_builtin_sym_end] = ACTIONS(1434),
    [sym_name] = ACTIONS(1436),
    [anon_sym_QMARK_GT] = ACTIONS(1434),
    [anon_sym_SEMI] = ACTIONS(1434),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1436),
    [aux_sym_global_declaration_token1] = ACTIONS(1436),
    [aux_sym_namespace_definition_token1] = ACTIONS(1436),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1436),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1436),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1436),
    [anon_sym_BSLASH] = ACTIONS(1434),
    [anon_sym_LBRACE] = ACTIONS(1434),
    [anon_sym_RBRACE] = ACTIONS(1434),
    [aux_sym_trait_declaration_token1] = ACTIONS(1436),
    [aux_sym_interface_declaration_token1] = ACTIONS(1436),
    [aux_sym_enum_declaration_token1] = ACTIONS(1436),
    [aux_sym_enum_case_token1] = ACTIONS(1436),
    [aux_sym_class_declaration_token1] = ACTIONS(1436),
    [aux_sym_final_modifier_token1] = ACTIONS(1436),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1436),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1436),
    [sym_var_modifier] = ACTIONS(1436),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1436),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1436),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1436),
    [anon_sym_LPAREN2] = ACTIONS(1434),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1436),
    [aux_sym_cast_type_token1] = ACTIONS(1436),
    [aux_sym_echo_statement_token1] = ACTIONS(1436),
    [aux_sym_exit_statement_token1] = ACTIONS(1436),
    [anon_sym_unset] = ACTIONS(1436),
    [aux_sym_declare_statement_token1] = ACTIONS(1436),
    [aux_sym_declare_statement_token2] = ACTIONS(1436),
    [sym_float] = ACTIONS(1436),
    [aux_sym_try_statement_token1] = ACTIONS(1436),
    [aux_sym_goto_statement_token1] = ACTIONS(1436),
    [aux_sym_continue_statement_token1] = ACTIONS(1436),
    [aux_sym_break_statement_token1] = ACTIONS(1436),
    [sym_integer] = ACTIONS(1436),
    [aux_sym_return_statement_token1] = ACTIONS(1436),
    [aux_sym_throw_expression_token1] = ACTIONS(1436),
    [aux_sym_while_statement_token1] = ACTIONS(1436),
    [aux_sym_while_statement_token2] = ACTIONS(1436),
    [aux_sym_do_statement_token1] = ACTIONS(1436),
    [aux_sym_for_statement_token1] = ACTIONS(1436),
    [aux_sym_for_statement_token2] = ACTIONS(1436),
    [aux_sym_foreach_statement_token1] = ACTIONS(1436),
    [aux_sym_foreach_statement_token2] = ACTIONS(1436),
    [aux_sym_if_statement_token1] = ACTIONS(1436),
    [aux_sym_if_statement_token2] = ACTIONS(1436),
    [aux_sym_else_if_clause_token1] = ACTIONS(1436),
    [aux_sym_else_clause_token1] = ACTIONS(1436),
    [aux_sym_match_expression_token1] = ACTIONS(1436),
    [aux_sym_match_default_expression_token1] = ACTIONS(1436),
    [aux_sym_switch_statement_token1] = ACTIONS(1436),
    [aux_sym_switch_block_token1] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1436),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1434),
    [anon_sym_AT] = ACTIONS(1434),
    [aux_sym_clone_expression_token1] = ACTIONS(1436),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1436),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1436),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [aux_sym__list_destructing_token1] = ACTIONS(1436),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_self] = ACTIONS(1436),
    [anon_sym_parent] = ACTIONS(1436),
    [aux_sym__argument_name_token1] = ACTIONS(1436),
    [aux_sym__argument_name_token2] = ACTIONS(1436),
    [anon_sym_POUND_LBRACK] = ACTIONS(1434),
    [aux_sym_encapsed_string_token1] = ACTIONS(1434),
    [anon_sym_DQUOTE] = ACTIONS(1434),
    [aux_sym_string_token1] = ACTIONS(1434),
    [anon_sym_SQUOTE] = ACTIONS(1434),
    [anon_sym_LT_LT_LT] = ACTIONS(1434),
    [anon_sym_BQUOTE] = ACTIONS(1434),
    [anon_sym_DOLLAR] = ACTIONS(1434),
    [aux_sym_yield_expression_token1] = ACTIONS(1436),
    [aux_sym_include_expression_token1] = ACTIONS(1436),
    [aux_sym_include_once_expression_token1] = ACTIONS(1436),
    [aux_sym_require_expression_token1] = ACTIONS(1436),
    [aux_sym_require_once_expression_token1] = ACTIONS(1436),
    [sym_comment] = ACTIONS(3),
  },
  [541] = {
    [ts_builtin_sym_end] = ACTIONS(1438),
    [sym_name] = ACTIONS(1440),
    [anon_sym_QMARK_GT] = ACTIONS(1438),
    [anon_sym_SEMI] = ACTIONS(1438),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1440),
    [aux_sym_global_declaration_token1] = ACTIONS(1440),
    [aux_sym_namespace_definition_token1] = ACTIONS(1440),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1440),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1440),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1440),
    [anon_sym_BSLASH] = ACTIONS(1438),
    [anon_sym_LBRACE] = ACTIONS(1438),
    [anon_sym_RBRACE] = ACTIONS(1438),
    [aux_sym_trait_declaration_token1] = ACTIONS(1440),
    [aux_sym_interface_declaration_token1] = ACTIONS(1440),
    [aux_sym_enum_declaration_token1] = ACTIONS(1440),
    [aux_sym_enum_case_token1] = ACTIONS(1440),
    [aux_sym_class_declaration_token1] = ACTIONS(1440),
    [aux_sym_final_modifier_token1] = ACTIONS(1440),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1440),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1440),
    [sym_var_modifier] = ACTIONS(1440),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1440),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1440),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1440),
    [anon_sym_LPAREN2] = ACTIONS(1438),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1440),
    [aux_sym_cast_type_token1] = ACTIONS(1440),
    [aux_sym_echo_statement_token1] = ACTIONS(1440),
    [aux_sym_exit_statement_token1] = ACTIONS(1440),
    [anon_sym_unset] = ACTIONS(1440),
    [aux_sym_declare_statement_token1] = ACTIONS(1440),
    [aux_sym_declare_statement_token2] = ACTIONS(1440),
    [sym_float] = ACTIONS(1440),
    [aux_sym_try_statement_token1] = ACTIONS(1440),
    [aux_sym_goto_statement_token1] = ACTIONS(1440),
    [aux_sym_continue_statement_token1] = ACTIONS(1440),
    [aux_sym_break_statement_token1] = ACTIONS(1440),
    [sym_integer] = ACTIONS(1440),
    [aux_sym_return_statement_token1] = ACTIONS(1440),
    [aux_sym_throw_expression_token1] = ACTIONS(1440),
    [aux_sym_while_statement_token1] = ACTIONS(1440),
    [aux_sym_while_statement_token2] = ACTIONS(1440),
    [aux_sym_do_statement_token1] = ACTIONS(1440),
    [aux_sym_for_statement_token1] = ACTIONS(1440),
    [aux_sym_for_statement_token2] = ACTIONS(1440),
    [aux_sym_foreach_statement_token1] = ACTIONS(1440),
    [aux_sym_foreach_statement_token2] = ACTIONS(1440),
    [aux_sym_if_statement_token1] = ACTIONS(1440),
    [aux_sym_if_statement_token2] = ACTIONS(1440),
    [aux_sym_else_if_clause_token1] = ACTIONS(1440),
    [aux_sym_else_clause_token1] = ACTIONS(1440),
    [aux_sym_match_expression_token1] = ACTIONS(1440),
    [aux_sym_match_default_expression_token1] = ACTIONS(1440),
    [aux_sym_switch_statement_token1] = ACTIONS(1440),
    [aux_sym_switch_block_token1] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_TILDE] = ACTIONS(1438),
    [anon_sym_BANG] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(1438),
    [aux_sym_clone_expression_token1] = ACTIONS(1440),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1440),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1440),
    [anon_sym_DASH_DASH] = ACTIONS(1438),
    [anon_sym_PLUS_PLUS] = ACTIONS(1438),
    [aux_sym__list_destructing_token1] = ACTIONS(1440),
    [anon_sym_LBRACK] = ACTIONS(1438),
    [anon_sym_self] = ACTIONS(1440),
    [anon_sym_parent] = ACTIONS(1440),
    [aux_sym__argument_name_token1] = ACTIONS(1440),
    [aux_sym__argument_name_token2] = ACTIONS(1440),
    [anon_sym_POUND_LBRACK] = ACTIONS(1438),
    [aux_sym_encapsed_string_token1] = ACTIONS(1438),
    [anon_sym_DQUOTE] = ACTIONS(1438),
    [aux_sym_string_token1] = ACTIONS(1438),
    [anon_sym_SQUOTE] = ACTIONS(1438),
    [anon_sym_LT_LT_LT] = ACTIONS(1438),
    [anon_sym_BQUOTE] = ACTIONS(1438),
    [anon_sym_DOLLAR] = ACTIONS(1438),
    [aux_sym_yield_expression_token1] = ACTIONS(1440),
    [aux_sym_include_expression_token1] = ACTIONS(1440),
    [aux_sym_include_once_expression_token1] = ACTIONS(1440),
    [aux_sym_require_expression_token1] = ACTIONS(1440),
    [aux_sym_require_once_expression_token1] = ACTIONS(1440),
    [sym_comment] = ACTIONS(3),
  },
  [542] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym_name] = ACTIONS(1444),
    [anon_sym_QMARK_GT] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1444),
    [aux_sym_global_declaration_token1] = ACTIONS(1444),
    [aux_sym_namespace_definition_token1] = ACTIONS(1444),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1444),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1444),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1444),
    [anon_sym_BSLASH] = ACTIONS(1442),
    [anon_sym_LBRACE] = ACTIONS(1442),
    [anon_sym_RBRACE] = ACTIONS(1442),
    [aux_sym_trait_declaration_token1] = ACTIONS(1444),
    [aux_sym_interface_declaration_token1] = ACTIONS(1444),
    [aux_sym_enum_declaration_token1] = ACTIONS(1444),
    [aux_sym_enum_case_token1] = ACTIONS(1444),
    [aux_sym_class_declaration_token1] = ACTIONS(1444),
    [aux_sym_final_modifier_token1] = ACTIONS(1444),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1444),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1444),
    [sym_var_modifier] = ACTIONS(1444),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1444),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1444),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1444),
    [anon_sym_LPAREN2] = ACTIONS(1442),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1444),
    [aux_sym_cast_type_token1] = ACTIONS(1444),
    [aux_sym_echo_statement_token1] = ACTIONS(1444),
    [aux_sym_exit_statement_token1] = ACTIONS(1444),
    [anon_sym_unset] = ACTIONS(1444),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [aux_sym_declare_statement_token2] = ACTIONS(1444),
    [sym_float] = ACTIONS(1444),
    [aux_sym_try_statement_token1] = ACTIONS(1444),
    [aux_sym_goto_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [sym_integer] = ACTIONS(1444),
    [aux_sym_return_statement_token1] = ACTIONS(1444),
    [aux_sym_throw_expression_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token2] = ACTIONS(1444),
    [aux_sym_do_statement_token1] = ACTIONS(1444),
    [aux_sym_for_statement_token1] = ACTIONS(1444),
    [aux_sym_for_statement_token2] = ACTIONS(1444),
    [aux_sym_foreach_statement_token1] = ACTIONS(1444),
    [aux_sym_foreach_statement_token2] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token2] = ACTIONS(1444),
    [aux_sym_else_if_clause_token1] = ACTIONS(1444),
    [aux_sym_else_clause_token1] = ACTIONS(1444),
    [aux_sym_match_expression_token1] = ACTIONS(1444),
    [aux_sym_match_default_expression_token1] = ACTIONS(1444),
    [aux_sym_switch_statement_token1] = ACTIONS(1444),
    [aux_sym_switch_block_token1] = ACTIONS(1444),
    [anon_sym_PLUS] = ACTIONS(1444),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_AT] = ACTIONS(1442),
    [aux_sym_clone_expression_token1] = ACTIONS(1444),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1444),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1444),
    [anon_sym_DASH_DASH] = ACTIONS(1442),
    [anon_sym_PLUS_PLUS] = ACTIONS(1442),
    [aux_sym__list_destructing_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [anon_sym_self] = ACTIONS(1444),
    [anon_sym_parent] = ACTIONS(1444),
    [aux_sym__argument_name_token1] = ACTIONS(1444),
    [aux_sym__argument_name_token2] = ACTIONS(1444),
    [anon_sym_POUND_LBRACK] = ACTIONS(1442),
    [aux_sym_encapsed_string_token1] = ACTIONS(1442),
    [anon_sym_DQUOTE] = ACTIONS(1442),
    [aux_sym_string_token1] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1442),
    [anon_sym_LT_LT_LT] = ACTIONS(1442),
    [anon_sym_BQUOTE] = ACTIONS(1442),
    [anon_sym_DOLLAR] = ACTIONS(1442),
    [aux_sym_yield_expression_token1] = ACTIONS(1444),
    [aux_sym_include_expression_token1] = ACTIONS(1444),
    [aux_sym_include_once_expression_token1] = ACTIONS(1444),
    [aux_sym_require_expression_token1] = ACTIONS(1444),
    [aux_sym_require_once_expression_token1] = ACTIONS(1444),
    [sym_comment] = ACTIONS(3),
  },
  [543] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [sym_name] = ACTIONS(1448),
    [anon_sym_QMARK_GT] = ACTIONS(1446),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1448),
    [aux_sym_global_declaration_token1] = ACTIONS(1448),
    [aux_sym_namespace_definition_token1] = ACTIONS(1448),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1448),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1448),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1448),
    [anon_sym_BSLASH] = ACTIONS(1446),
    [anon_sym_LBRACE] = ACTIONS(1446),
    [anon_sym_RBRACE] = ACTIONS(1446),
    [aux_sym_trait_declaration_token1] = ACTIONS(1448),
    [aux_sym_interface_declaration_token1] = ACTIONS(1448),
    [aux_sym_enum_declaration_token1] = ACTIONS(1448),
    [aux_sym_enum_case_token1] = ACTIONS(1448),
    [aux_sym_class_declaration_token1] = ACTIONS(1448),
    [aux_sym_final_modifier_token1] = ACTIONS(1448),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1448),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1448),
    [sym_var_modifier] = ACTIONS(1448),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1448),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1448),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1448),
    [anon_sym_LPAREN2] = ACTIONS(1446),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1448),
    [aux_sym_cast_type_token1] = ACTIONS(1448),
    [aux_sym_echo_statement_token1] = ACTIONS(1448),
    [aux_sym_exit_statement_token1] = ACTIONS(1448),
    [anon_sym_unset] = ACTIONS(1448),
    [aux_sym_declare_statement_token1] = ACTIONS(1448),
    [aux_sym_declare_statement_token2] = ACTIONS(1448),
    [sym_float] = ACTIONS(1448),
    [aux_sym_try_statement_token1] = ACTIONS(1448),
    [aux_sym_goto_statement_token1] = ACTIONS(1448),
    [aux_sym_continue_statement_token1] = ACTIONS(1448),
    [aux_sym_break_statement_token1] = ACTIONS(1448),
    [sym_integer] = ACTIONS(1448),
    [aux_sym_return_statement_token1] = ACTIONS(1448),
    [aux_sym_throw_expression_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token2] = ACTIONS(1448),
    [aux_sym_do_statement_token1] = ACTIONS(1448),
    [aux_sym_for_statement_token1] = ACTIONS(1448),
    [aux_sym_for_statement_token2] = ACTIONS(1448),
    [aux_sym_foreach_statement_token1] = ACTIONS(1448),
    [aux_sym_foreach_statement_token2] = ACTIONS(1448),
    [aux_sym_if_statement_token1] = ACTIONS(1448),
    [aux_sym_if_statement_token2] = ACTIONS(1448),
    [aux_sym_else_if_clause_token1] = ACTIONS(1448),
    [aux_sym_else_clause_token1] = ACTIONS(1448),
    [aux_sym_match_expression_token1] = ACTIONS(1448),
    [aux_sym_match_default_expression_token1] = ACTIONS(1448),
    [aux_sym_switch_statement_token1] = ACTIONS(1448),
    [aux_sym_switch_block_token1] = ACTIONS(1448),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_AT] = ACTIONS(1446),
    [aux_sym_clone_expression_token1] = ACTIONS(1448),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1448),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1448),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [aux_sym__list_destructing_token1] = ACTIONS(1448),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [anon_sym_self] = ACTIONS(1448),
    [anon_sym_parent] = ACTIONS(1448),
    [aux_sym__argument_name_token1] = ACTIONS(1448),
    [aux_sym__argument_name_token2] = ACTIONS(1448),
    [anon_sym_POUND_LBRACK] = ACTIONS(1446),
    [aux_sym_encapsed_string_token1] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(1446),
    [aux_sym_string_token1] = ACTIONS(1446),
    [anon_sym_SQUOTE] = ACTIONS(1446),
    [anon_sym_LT_LT_LT] = ACTIONS(1446),
    [anon_sym_BQUOTE] = ACTIONS(1446),
    [anon_sym_DOLLAR] = ACTIONS(1446),
    [aux_sym_yield_expression_token1] = ACTIONS(1448),
    [aux_sym_include_expression_token1] = ACTIONS(1448),
    [aux_sym_include_once_expression_token1] = ACTIONS(1448),
    [aux_sym_require_expression_token1] = ACTIONS(1448),
    [aux_sym_require_once_expression_token1] = ACTIONS(1448),
    [sym_comment] = ACTIONS(3),
  },
  [544] = {
    [ts_builtin_sym_end] = ACTIONS(1450),
    [sym_name] = ACTIONS(1452),
    [anon_sym_QMARK_GT] = ACTIONS(1450),
    [anon_sym_SEMI] = ACTIONS(1450),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1452),
    [aux_sym_global_declaration_token1] = ACTIONS(1452),
    [aux_sym_namespace_definition_token1] = ACTIONS(1452),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1452),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1452),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1452),
    [anon_sym_BSLASH] = ACTIONS(1450),
    [anon_sym_LBRACE] = ACTIONS(1450),
    [anon_sym_RBRACE] = ACTIONS(1450),
    [aux_sym_trait_declaration_token1] = ACTIONS(1452),
    [aux_sym_interface_declaration_token1] = ACTIONS(1452),
    [aux_sym_enum_declaration_token1] = ACTIONS(1452),
    [aux_sym_enum_case_token1] = ACTIONS(1452),
    [aux_sym_class_declaration_token1] = ACTIONS(1452),
    [aux_sym_final_modifier_token1] = ACTIONS(1452),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1452),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1452),
    [sym_var_modifier] = ACTIONS(1452),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1452),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1452),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1452),
    [anon_sym_LPAREN2] = ACTIONS(1450),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1452),
    [aux_sym_cast_type_token1] = ACTIONS(1452),
    [aux_sym_echo_statement_token1] = ACTIONS(1452),
    [aux_sym_exit_statement_token1] = ACTIONS(1452),
    [anon_sym_unset] = ACTIONS(1452),
    [aux_sym_declare_statement_token1] = ACTIONS(1452),
    [aux_sym_declare_statement_token2] = ACTIONS(1452),
    [sym_float] = ACTIONS(1452),
    [aux_sym_try_statement_token1] = ACTIONS(1452),
    [aux_sym_goto_statement_token1] = ACTIONS(1452),
    [aux_sym_continue_statement_token1] = ACTIONS(1452),
    [aux_sym_break_statement_token1] = ACTIONS(1452),
    [sym_integer] = ACTIONS(1452),
    [aux_sym_return_statement_token1] = ACTIONS(1452),
    [aux_sym_throw_expression_token1] = ACTIONS(1452),
    [aux_sym_while_statement_token1] = ACTIONS(1452),
    [aux_sym_while_statement_token2] = ACTIONS(1452),
    [aux_sym_do_statement_token1] = ACTIONS(1452),
    [aux_sym_for_statement_token1] = ACTIONS(1452),
    [aux_sym_for_statement_token2] = ACTIONS(1452),
    [aux_sym_foreach_statement_token1] = ACTIONS(1452),
    [aux_sym_foreach_statement_token2] = ACTIONS(1452),
    [aux_sym_if_statement_token1] = ACTIONS(1452),
    [aux_sym_if_statement_token2] = ACTIONS(1452),
    [aux_sym_else_if_clause_token1] = ACTIONS(1452),
    [aux_sym_else_clause_token1] = ACTIONS(1452),
    [aux_sym_match_expression_token1] = ACTIONS(1452),
    [aux_sym_match_default_expression_token1] = ACTIONS(1452),
    [aux_sym_switch_statement_token1] = ACTIONS(1452),
    [aux_sym_switch_block_token1] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1450),
    [anon_sym_BANG] = ACTIONS(1450),
    [anon_sym_AT] = ACTIONS(1450),
    [aux_sym_clone_expression_token1] = ACTIONS(1452),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1452),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1452),
    [anon_sym_DASH_DASH] = ACTIONS(1450),
    [anon_sym_PLUS_PLUS] = ACTIONS(1450),
    [aux_sym__list_destructing_token1] = ACTIONS(1452),
    [anon_sym_LBRACK] = ACTIONS(1450),
    [anon_sym_self] = ACTIONS(1452),
    [anon_sym_parent] = ACTIONS(1452),
    [aux_sym__argument_name_token1] = ACTIONS(1452),
    [aux_sym__argument_name_token2] = ACTIONS(1452),
    [anon_sym_POUND_LBRACK] = ACTIONS(1450),
    [aux_sym_encapsed_string_token1] = ACTIONS(1450),
    [anon_sym_DQUOTE] = ACTIONS(1450),
    [aux_sym_string_token1] = ACTIONS(1450),
    [anon_sym_SQUOTE] = ACTIONS(1450),
    [anon_sym_LT_LT_LT] = ACTIONS(1450),
    [anon_sym_BQUOTE] = ACTIONS(1450),
    [anon_sym_DOLLAR] = ACTIONS(1450),
    [aux_sym_yield_expression_token1] = ACTIONS(1452),
    [aux_sym_include_expression_token1] = ACTIONS(1452),
    [aux_sym_include_once_expression_token1] = ACTIONS(1452),
    [aux_sym_require_expression_token1] = ACTIONS(1452),
    [aux_sym_require_once_expression_token1] = ACTIONS(1452),
    [sym_comment] = ACTIONS(3),
  },
  [545] = {
    [ts_builtin_sym_end] = ACTIONS(1454),
    [sym_name] = ACTIONS(1456),
    [anon_sym_QMARK_GT] = ACTIONS(1454),
    [anon_sym_SEMI] = ACTIONS(1454),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1456),
    [aux_sym_global_declaration_token1] = ACTIONS(1456),
    [aux_sym_namespace_definition_token1] = ACTIONS(1456),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1456),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1456),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1456),
    [anon_sym_BSLASH] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1454),
    [anon_sym_RBRACE] = ACTIONS(1454),
    [aux_sym_trait_declaration_token1] = ACTIONS(1456),
    [aux_sym_interface_declaration_token1] = ACTIONS(1456),
    [aux_sym_enum_declaration_token1] = ACTIONS(1456),
    [aux_sym_enum_case_token1] = ACTIONS(1456),
    [aux_sym_class_declaration_token1] = ACTIONS(1456),
    [aux_sym_final_modifier_token1] = ACTIONS(1456),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1456),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1456),
    [sym_var_modifier] = ACTIONS(1456),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1456),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1456),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1456),
    [anon_sym_LPAREN2] = ACTIONS(1454),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1456),
    [aux_sym_cast_type_token1] = ACTIONS(1456),
    [aux_sym_echo_statement_token1] = ACTIONS(1456),
    [aux_sym_exit_statement_token1] = ACTIONS(1456),
    [anon_sym_unset] = ACTIONS(1456),
    [aux_sym_declare_statement_token1] = ACTIONS(1456),
    [aux_sym_declare_statement_token2] = ACTIONS(1456),
    [sym_float] = ACTIONS(1456),
    [aux_sym_try_statement_token1] = ACTIONS(1456),
    [aux_sym_goto_statement_token1] = ACTIONS(1456),
    [aux_sym_continue_statement_token1] = ACTIONS(1456),
    [aux_sym_break_statement_token1] = ACTIONS(1456),
    [sym_integer] = ACTIONS(1456),
    [aux_sym_return_statement_token1] = ACTIONS(1456),
    [aux_sym_throw_expression_token1] = ACTIONS(1456),
    [aux_sym_while_statement_token1] = ACTIONS(1456),
    [aux_sym_while_statement_token2] = ACTIONS(1456),
    [aux_sym_do_statement_token1] = ACTIONS(1456),
    [aux_sym_for_statement_token1] = ACTIONS(1456),
    [aux_sym_for_statement_token2] = ACTIONS(1456),
    [aux_sym_foreach_statement_token1] = ACTIONS(1456),
    [aux_sym_foreach_statement_token2] = ACTIONS(1456),
    [aux_sym_if_statement_token1] = ACTIONS(1456),
    [aux_sym_if_statement_token2] = ACTIONS(1456),
    [aux_sym_else_if_clause_token1] = ACTIONS(1456),
    [aux_sym_else_clause_token1] = ACTIONS(1456),
    [aux_sym_match_expression_token1] = ACTIONS(1456),
    [aux_sym_match_default_expression_token1] = ACTIONS(1456),
    [aux_sym_switch_statement_token1] = ACTIONS(1456),
    [aux_sym_switch_block_token1] = ACTIONS(1456),
    [anon_sym_PLUS] = ACTIONS(1456),
    [anon_sym_DASH] = ACTIONS(1456),
    [anon_sym_TILDE] = ACTIONS(1454),
    [anon_sym_BANG] = ACTIONS(1454),
    [anon_sym_AT] = ACTIONS(1454),
    [aux_sym_clone_expression_token1] = ACTIONS(1456),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1456),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1456),
    [anon_sym_DASH_DASH] = ACTIONS(1454),
    [anon_sym_PLUS_PLUS] = ACTIONS(1454),
    [aux_sym__list_destructing_token1] = ACTIONS(1456),
    [anon_sym_LBRACK] = ACTIONS(1454),
    [anon_sym_self] = ACTIONS(1456),
    [anon_sym_parent] = ACTIONS(1456),
    [aux_sym__argument_name_token1] = ACTIONS(1456),
    [aux_sym__argument_name_token2] = ACTIONS(1456),
    [anon_sym_POUND_LBRACK] = ACTIONS(1454),
    [aux_sym_encapsed_string_token1] = ACTIONS(1454),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [aux_sym_string_token1] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1454),
    [anon_sym_LT_LT_LT] = ACTIONS(1454),
    [anon_sym_BQUOTE] = ACTIONS(1454),
    [anon_sym_DOLLAR] = ACTIONS(1454),
    [aux_sym_yield_expression_token1] = ACTIONS(1456),
    [aux_sym_include_expression_token1] = ACTIONS(1456),
    [aux_sym_include_once_expression_token1] = ACTIONS(1456),
    [aux_sym_require_expression_token1] = ACTIONS(1456),
    [aux_sym_require_once_expression_token1] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
  },
  [546] = {
    [ts_builtin_sym_end] = ACTIONS(1458),
    [sym_name] = ACTIONS(1460),
    [anon_sym_QMARK_GT] = ACTIONS(1458),
    [anon_sym_SEMI] = ACTIONS(1458),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1460),
    [aux_sym_global_declaration_token1] = ACTIONS(1460),
    [aux_sym_namespace_definition_token1] = ACTIONS(1460),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1460),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1460),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1460),
    [anon_sym_BSLASH] = ACTIONS(1458),
    [anon_sym_LBRACE] = ACTIONS(1458),
    [anon_sym_RBRACE] = ACTIONS(1458),
    [aux_sym_trait_declaration_token1] = ACTIONS(1460),
    [aux_sym_interface_declaration_token1] = ACTIONS(1460),
    [aux_sym_enum_declaration_token1] = ACTIONS(1460),
    [aux_sym_enum_case_token1] = ACTIONS(1460),
    [aux_sym_class_declaration_token1] = ACTIONS(1460),
    [aux_sym_final_modifier_token1] = ACTIONS(1460),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1460),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1460),
    [sym_var_modifier] = ACTIONS(1460),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1460),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1460),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1460),
    [anon_sym_LPAREN2] = ACTIONS(1458),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1460),
    [aux_sym_cast_type_token1] = ACTIONS(1460),
    [aux_sym_echo_statement_token1] = ACTIONS(1460),
    [aux_sym_exit_statement_token1] = ACTIONS(1460),
    [anon_sym_unset] = ACTIONS(1460),
    [aux_sym_declare_statement_token1] = ACTIONS(1460),
    [aux_sym_declare_statement_token2] = ACTIONS(1460),
    [sym_float] = ACTIONS(1460),
    [aux_sym_try_statement_token1] = ACTIONS(1460),
    [aux_sym_goto_statement_token1] = ACTIONS(1460),
    [aux_sym_continue_statement_token1] = ACTIONS(1460),
    [aux_sym_break_statement_token1] = ACTIONS(1460),
    [sym_integer] = ACTIONS(1460),
    [aux_sym_return_statement_token1] = ACTIONS(1460),
    [aux_sym_throw_expression_token1] = ACTIONS(1460),
    [aux_sym_while_statement_token1] = ACTIONS(1460),
    [aux_sym_while_statement_token2] = ACTIONS(1460),
    [aux_sym_do_statement_token1] = ACTIONS(1460),
    [aux_sym_for_statement_token1] = ACTIONS(1460),
    [aux_sym_for_statement_token2] = ACTIONS(1460),
    [aux_sym_foreach_statement_token1] = ACTIONS(1460),
    [aux_sym_foreach_statement_token2] = ACTIONS(1460),
    [aux_sym_if_statement_token1] = ACTIONS(1460),
    [aux_sym_if_statement_token2] = ACTIONS(1460),
    [aux_sym_else_if_clause_token1] = ACTIONS(1460),
    [aux_sym_else_clause_token1] = ACTIONS(1460),
    [aux_sym_match_expression_token1] = ACTIONS(1460),
    [aux_sym_match_default_expression_token1] = ACTIONS(1460),
    [aux_sym_switch_statement_token1] = ACTIONS(1460),
    [aux_sym_switch_block_token1] = ACTIONS(1460),
    [anon_sym_PLUS] = ACTIONS(1460),
    [anon_sym_DASH] = ACTIONS(1460),
    [anon_sym_TILDE] = ACTIONS(1458),
    [anon_sym_BANG] = ACTIONS(1458),
    [anon_sym_AT] = ACTIONS(1458),
    [aux_sym_clone_expression_token1] = ACTIONS(1460),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1460),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1458),
    [aux_sym__list_destructing_token1] = ACTIONS(1460),
    [anon_sym_LBRACK] = ACTIONS(1458),
    [anon_sym_self] = ACTIONS(1460),
    [anon_sym_parent] = ACTIONS(1460),
    [aux_sym__argument_name_token1] = ACTIONS(1460),
    [aux_sym__argument_name_token2] = ACTIONS(1460),
    [anon_sym_POUND_LBRACK] = ACTIONS(1458),
    [aux_sym_encapsed_string_token1] = ACTIONS(1458),
    [anon_sym_DQUOTE] = ACTIONS(1458),
    [aux_sym_string_token1] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1458),
    [anon_sym_LT_LT_LT] = ACTIONS(1458),
    [anon_sym_BQUOTE] = ACTIONS(1458),
    [anon_sym_DOLLAR] = ACTIONS(1458),
    [aux_sym_yield_expression_token1] = ACTIONS(1460),
    [aux_sym_include_expression_token1] = ACTIONS(1460),
    [aux_sym_include_once_expression_token1] = ACTIONS(1460),
    [aux_sym_require_expression_token1] = ACTIONS(1460),
    [aux_sym_require_once_expression_token1] = ACTIONS(1460),
    [sym_comment] = ACTIONS(3),
  },
  [547] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym_name] = ACTIONS(1464),
    [anon_sym_QMARK_GT] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1464),
    [aux_sym_global_declaration_token1] = ACTIONS(1464),
    [aux_sym_namespace_definition_token1] = ACTIONS(1464),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1464),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1464),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1464),
    [anon_sym_BSLASH] = ACTIONS(1462),
    [anon_sym_LBRACE] = ACTIONS(1462),
    [anon_sym_RBRACE] = ACTIONS(1462),
    [aux_sym_trait_declaration_token1] = ACTIONS(1464),
    [aux_sym_interface_declaration_token1] = ACTIONS(1464),
    [aux_sym_enum_declaration_token1] = ACTIONS(1464),
    [aux_sym_enum_case_token1] = ACTIONS(1464),
    [aux_sym_class_declaration_token1] = ACTIONS(1464),
    [aux_sym_final_modifier_token1] = ACTIONS(1464),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1464),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1464),
    [sym_var_modifier] = ACTIONS(1464),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1464),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1464),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1464),
    [anon_sym_LPAREN2] = ACTIONS(1462),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1464),
    [aux_sym_cast_type_token1] = ACTIONS(1464),
    [aux_sym_echo_statement_token1] = ACTIONS(1464),
    [aux_sym_exit_statement_token1] = ACTIONS(1464),
    [anon_sym_unset] = ACTIONS(1464),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [aux_sym_declare_statement_token2] = ACTIONS(1464),
    [sym_float] = ACTIONS(1464),
    [aux_sym_try_statement_token1] = ACTIONS(1464),
    [aux_sym_goto_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [sym_integer] = ACTIONS(1464),
    [aux_sym_return_statement_token1] = ACTIONS(1464),
    [aux_sym_throw_expression_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token2] = ACTIONS(1464),
    [aux_sym_do_statement_token1] = ACTIONS(1464),
    [aux_sym_for_statement_token1] = ACTIONS(1464),
    [aux_sym_for_statement_token2] = ACTIONS(1464),
    [aux_sym_foreach_statement_token1] = ACTIONS(1464),
    [aux_sym_foreach_statement_token2] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token2] = ACTIONS(1464),
    [aux_sym_else_if_clause_token1] = ACTIONS(1464),
    [aux_sym_else_clause_token1] = ACTIONS(1464),
    [aux_sym_match_expression_token1] = ACTIONS(1464),
    [aux_sym_match_default_expression_token1] = ACTIONS(1464),
    [aux_sym_switch_statement_token1] = ACTIONS(1464),
    [aux_sym_switch_block_token1] = ACTIONS(1464),
    [anon_sym_PLUS] = ACTIONS(1464),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_TILDE] = ACTIONS(1462),
    [anon_sym_BANG] = ACTIONS(1462),
    [anon_sym_AT] = ACTIONS(1462),
    [aux_sym_clone_expression_token1] = ACTIONS(1464),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1464),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1464),
    [anon_sym_DASH_DASH] = ACTIONS(1462),
    [anon_sym_PLUS_PLUS] = ACTIONS(1462),
    [aux_sym__list_destructing_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [anon_sym_self] = ACTIONS(1464),
    [anon_sym_parent] = ACTIONS(1464),
    [aux_sym__argument_name_token1] = ACTIONS(1464),
    [aux_sym__argument_name_token2] = ACTIONS(1464),
    [anon_sym_POUND_LBRACK] = ACTIONS(1462),
    [aux_sym_encapsed_string_token1] = ACTIONS(1462),
    [anon_sym_DQUOTE] = ACTIONS(1462),
    [aux_sym_string_token1] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1462),
    [anon_sym_LT_LT_LT] = ACTIONS(1462),
    [anon_sym_BQUOTE] = ACTIONS(1462),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [aux_sym_yield_expression_token1] = ACTIONS(1464),
    [aux_sym_include_expression_token1] = ACTIONS(1464),
    [aux_sym_include_once_expression_token1] = ACTIONS(1464),
    [aux_sym_require_expression_token1] = ACTIONS(1464),
    [aux_sym_require_once_expression_token1] = ACTIONS(1464),
    [sym_comment] = ACTIONS(3),
  },
  [548] = {
    [ts_builtin_sym_end] = ACTIONS(1466),
    [sym_name] = ACTIONS(1468),
    [anon_sym_QMARK_GT] = ACTIONS(1466),
    [anon_sym_SEMI] = ACTIONS(1466),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1468),
    [aux_sym_global_declaration_token1] = ACTIONS(1468),
    [aux_sym_namespace_definition_token1] = ACTIONS(1468),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1468),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1468),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1468),
    [anon_sym_BSLASH] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1466),
    [anon_sym_RBRACE] = ACTIONS(1466),
    [aux_sym_trait_declaration_token1] = ACTIONS(1468),
    [aux_sym_interface_declaration_token1] = ACTIONS(1468),
    [aux_sym_enum_declaration_token1] = ACTIONS(1468),
    [aux_sym_enum_case_token1] = ACTIONS(1468),
    [aux_sym_class_declaration_token1] = ACTIONS(1468),
    [aux_sym_final_modifier_token1] = ACTIONS(1468),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1468),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1468),
    [sym_var_modifier] = ACTIONS(1468),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1468),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1468),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1468),
    [anon_sym_LPAREN2] = ACTIONS(1466),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1468),
    [aux_sym_cast_type_token1] = ACTIONS(1468),
    [aux_sym_echo_statement_token1] = ACTIONS(1468),
    [aux_sym_exit_statement_token1] = ACTIONS(1468),
    [anon_sym_unset] = ACTIONS(1468),
    [aux_sym_declare_statement_token1] = ACTIONS(1468),
    [aux_sym_declare_statement_token2] = ACTIONS(1468),
    [sym_float] = ACTIONS(1468),
    [aux_sym_try_statement_token1] = ACTIONS(1468),
    [aux_sym_goto_statement_token1] = ACTIONS(1468),
    [aux_sym_continue_statement_token1] = ACTIONS(1468),
    [aux_sym_break_statement_token1] = ACTIONS(1468),
    [sym_integer] = ACTIONS(1468),
    [aux_sym_return_statement_token1] = ACTIONS(1468),
    [aux_sym_throw_expression_token1] = ACTIONS(1468),
    [aux_sym_while_statement_token1] = ACTIONS(1468),
    [aux_sym_while_statement_token2] = ACTIONS(1468),
    [aux_sym_do_statement_token1] = ACTIONS(1468),
    [aux_sym_for_statement_token1] = ACTIONS(1468),
    [aux_sym_for_statement_token2] = ACTIONS(1468),
    [aux_sym_foreach_statement_token1] = ACTIONS(1468),
    [aux_sym_foreach_statement_token2] = ACTIONS(1468),
    [aux_sym_if_statement_token1] = ACTIONS(1468),
    [aux_sym_if_statement_token2] = ACTIONS(1468),
    [aux_sym_else_if_clause_token1] = ACTIONS(1468),
    [aux_sym_else_clause_token1] = ACTIONS(1468),
    [aux_sym_match_expression_token1] = ACTIONS(1468),
    [aux_sym_match_default_expression_token1] = ACTIONS(1468),
    [aux_sym_switch_statement_token1] = ACTIONS(1468),
    [aux_sym_switch_block_token1] = ACTIONS(1468),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1466),
    [anon_sym_BANG] = ACTIONS(1466),
    [anon_sym_AT] = ACTIONS(1466),
    [aux_sym_clone_expression_token1] = ACTIONS(1468),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1468),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1468),
    [anon_sym_DASH_DASH] = ACTIONS(1466),
    [anon_sym_PLUS_PLUS] = ACTIONS(1466),
    [aux_sym__list_destructing_token1] = ACTIONS(1468),
    [anon_sym_LBRACK] = ACTIONS(1466),
    [anon_sym_self] = ACTIONS(1468),
    [anon_sym_parent] = ACTIONS(1468),
    [aux_sym__argument_name_token1] = ACTIONS(1468),
    [aux_sym__argument_name_token2] = ACTIONS(1468),
    [anon_sym_POUND_LBRACK] = ACTIONS(1466),
    [aux_sym_encapsed_string_token1] = ACTIONS(1466),
    [anon_sym_DQUOTE] = ACTIONS(1466),
    [aux_sym_string_token1] = ACTIONS(1466),
    [anon_sym_SQUOTE] = ACTIONS(1466),
    [anon_sym_LT_LT_LT] = ACTIONS(1466),
    [anon_sym_BQUOTE] = ACTIONS(1466),
    [anon_sym_DOLLAR] = ACTIONS(1466),
    [aux_sym_yield_expression_token1] = ACTIONS(1468),
    [aux_sym_include_expression_token1] = ACTIONS(1468),
    [aux_sym_include_once_expression_token1] = ACTIONS(1468),
    [aux_sym_require_expression_token1] = ACTIONS(1468),
    [aux_sym_require_once_expression_token1] = ACTIONS(1468),
    [sym_comment] = ACTIONS(3),
  },
  [549] = {
    [ts_builtin_sym_end] = ACTIONS(1470),
    [sym_name] = ACTIONS(1472),
    [anon_sym_QMARK_GT] = ACTIONS(1470),
    [anon_sym_SEMI] = ACTIONS(1470),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1472),
    [aux_sym_global_declaration_token1] = ACTIONS(1472),
    [aux_sym_namespace_definition_token1] = ACTIONS(1472),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1472),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1472),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1472),
    [anon_sym_BSLASH] = ACTIONS(1470),
    [anon_sym_LBRACE] = ACTIONS(1470),
    [anon_sym_RBRACE] = ACTIONS(1470),
    [aux_sym_trait_declaration_token1] = ACTIONS(1472),
    [aux_sym_interface_declaration_token1] = ACTIONS(1472),
    [aux_sym_enum_declaration_token1] = ACTIONS(1472),
    [aux_sym_enum_case_token1] = ACTIONS(1472),
    [aux_sym_class_declaration_token1] = ACTIONS(1472),
    [aux_sym_final_modifier_token1] = ACTIONS(1472),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1472),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1472),
    [sym_var_modifier] = ACTIONS(1472),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1472),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1472),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1472),
    [anon_sym_LPAREN2] = ACTIONS(1470),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1472),
    [aux_sym_cast_type_token1] = ACTIONS(1472),
    [aux_sym_echo_statement_token1] = ACTIONS(1472),
    [aux_sym_exit_statement_token1] = ACTIONS(1472),
    [anon_sym_unset] = ACTIONS(1472),
    [aux_sym_declare_statement_token1] = ACTIONS(1472),
    [aux_sym_declare_statement_token2] = ACTIONS(1472),
    [sym_float] = ACTIONS(1472),
    [aux_sym_try_statement_token1] = ACTIONS(1472),
    [aux_sym_goto_statement_token1] = ACTIONS(1472),
    [aux_sym_continue_statement_token1] = ACTIONS(1472),
    [aux_sym_break_statement_token1] = ACTIONS(1472),
    [sym_integer] = ACTIONS(1472),
    [aux_sym_return_statement_token1] = ACTIONS(1472),
    [aux_sym_throw_expression_token1] = ACTIONS(1472),
    [aux_sym_while_statement_token1] = ACTIONS(1472),
    [aux_sym_while_statement_token2] = ACTIONS(1472),
    [aux_sym_do_statement_token1] = ACTIONS(1472),
    [aux_sym_for_statement_token1] = ACTIONS(1472),
    [aux_sym_for_statement_token2] = ACTIONS(1472),
    [aux_sym_foreach_statement_token1] = ACTIONS(1472),
    [aux_sym_foreach_statement_token2] = ACTIONS(1472),
    [aux_sym_if_statement_token1] = ACTIONS(1472),
    [aux_sym_if_statement_token2] = ACTIONS(1472),
    [aux_sym_else_if_clause_token1] = ACTIONS(1472),
    [aux_sym_else_clause_token1] = ACTIONS(1472),
    [aux_sym_match_expression_token1] = ACTIONS(1472),
    [aux_sym_match_default_expression_token1] = ACTIONS(1472),
    [aux_sym_switch_statement_token1] = ACTIONS(1472),
    [aux_sym_switch_block_token1] = ACTIONS(1472),
    [anon_sym_PLUS] = ACTIONS(1472),
    [anon_sym_DASH] = ACTIONS(1472),
    [anon_sym_TILDE] = ACTIONS(1470),
    [anon_sym_BANG] = ACTIONS(1470),
    [anon_sym_AT] = ACTIONS(1470),
    [aux_sym_clone_expression_token1] = ACTIONS(1472),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1472),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1472),
    [anon_sym_DASH_DASH] = ACTIONS(1470),
    [anon_sym_PLUS_PLUS] = ACTIONS(1470),
    [aux_sym__list_destructing_token1] = ACTIONS(1472),
    [anon_sym_LBRACK] = ACTIONS(1470),
    [anon_sym_self] = ACTIONS(1472),
    [anon_sym_parent] = ACTIONS(1472),
    [aux_sym__argument_name_token1] = ACTIONS(1472),
    [aux_sym__argument_name_token2] = ACTIONS(1472),
    [anon_sym_POUND_LBRACK] = ACTIONS(1470),
    [aux_sym_encapsed_string_token1] = ACTIONS(1470),
    [anon_sym_DQUOTE] = ACTIONS(1470),
    [aux_sym_string_token1] = ACTIONS(1470),
    [anon_sym_SQUOTE] = ACTIONS(1470),
    [anon_sym_LT_LT_LT] = ACTIONS(1470),
    [anon_sym_BQUOTE] = ACTIONS(1470),
    [anon_sym_DOLLAR] = ACTIONS(1470),
    [aux_sym_yield_expression_token1] = ACTIONS(1472),
    [aux_sym_include_expression_token1] = ACTIONS(1472),
    [aux_sym_include_once_expression_token1] = ACTIONS(1472),
    [aux_sym_require_expression_token1] = ACTIONS(1472),
    [aux_sym_require_once_expression_token1] = ACTIONS(1472),
    [sym_comment] = ACTIONS(3),
  },
  [550] = {
    [ts_builtin_sym_end] = ACTIONS(1474),
    [sym_name] = ACTIONS(1476),
    [anon_sym_QMARK_GT] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(1474),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1476),
    [aux_sym_global_declaration_token1] = ACTIONS(1476),
    [aux_sym_namespace_definition_token1] = ACTIONS(1476),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1476),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1476),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1476),
    [anon_sym_BSLASH] = ACTIONS(1474),
    [anon_sym_LBRACE] = ACTIONS(1474),
    [anon_sym_RBRACE] = ACTIONS(1474),
    [aux_sym_trait_declaration_token1] = ACTIONS(1476),
    [aux_sym_interface_declaration_token1] = ACTIONS(1476),
    [aux_sym_enum_declaration_token1] = ACTIONS(1476),
    [aux_sym_enum_case_token1] = ACTIONS(1476),
    [aux_sym_class_declaration_token1] = ACTIONS(1476),
    [aux_sym_final_modifier_token1] = ACTIONS(1476),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1476),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1476),
    [sym_var_modifier] = ACTIONS(1476),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1476),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1476),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1476),
    [anon_sym_LPAREN2] = ACTIONS(1474),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1476),
    [aux_sym_cast_type_token1] = ACTIONS(1476),
    [aux_sym_echo_statement_token1] = ACTIONS(1476),
    [aux_sym_exit_statement_token1] = ACTIONS(1476),
    [anon_sym_unset] = ACTIONS(1476),
    [aux_sym_declare_statement_token1] = ACTIONS(1476),
    [aux_sym_declare_statement_token2] = ACTIONS(1476),
    [sym_float] = ACTIONS(1476),
    [aux_sym_try_statement_token1] = ACTIONS(1476),
    [aux_sym_goto_statement_token1] = ACTIONS(1476),
    [aux_sym_continue_statement_token1] = ACTIONS(1476),
    [aux_sym_break_statement_token1] = ACTIONS(1476),
    [sym_integer] = ACTIONS(1476),
    [aux_sym_return_statement_token1] = ACTIONS(1476),
    [aux_sym_throw_expression_token1] = ACTIONS(1476),
    [aux_sym_while_statement_token1] = ACTIONS(1476),
    [aux_sym_while_statement_token2] = ACTIONS(1476),
    [aux_sym_do_statement_token1] = ACTIONS(1476),
    [aux_sym_for_statement_token1] = ACTIONS(1476),
    [aux_sym_for_statement_token2] = ACTIONS(1476),
    [aux_sym_foreach_statement_token1] = ACTIONS(1476),
    [aux_sym_foreach_statement_token2] = ACTIONS(1476),
    [aux_sym_if_statement_token1] = ACTIONS(1476),
    [aux_sym_if_statement_token2] = ACTIONS(1476),
    [aux_sym_else_if_clause_token1] = ACTIONS(1476),
    [aux_sym_else_clause_token1] = ACTIONS(1476),
    [aux_sym_match_expression_token1] = ACTIONS(1476),
    [aux_sym_match_default_expression_token1] = ACTIONS(1476),
    [aux_sym_switch_statement_token1] = ACTIONS(1476),
    [aux_sym_switch_block_token1] = ACTIONS(1476),
    [anon_sym_PLUS] = ACTIONS(1476),
    [anon_sym_DASH] = ACTIONS(1476),
    [anon_sym_TILDE] = ACTIONS(1474),
    [anon_sym_BANG] = ACTIONS(1474),
    [anon_sym_AT] = ACTIONS(1474),
    [aux_sym_clone_expression_token1] = ACTIONS(1476),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1476),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1476),
    [anon_sym_DASH_DASH] = ACTIONS(1474),
    [anon_sym_PLUS_PLUS] = ACTIONS(1474),
    [aux_sym__list_destructing_token1] = ACTIONS(1476),
    [anon_sym_LBRACK] = ACTIONS(1474),
    [anon_sym_self] = ACTIONS(1476),
    [anon_sym_parent] = ACTIONS(1476),
    [aux_sym__argument_name_token1] = ACTIONS(1476),
    [aux_sym__argument_name_token2] = ACTIONS(1476),
    [anon_sym_POUND_LBRACK] = ACTIONS(1474),
    [aux_sym_encapsed_string_token1] = ACTIONS(1474),
    [anon_sym_DQUOTE] = ACTIONS(1474),
    [aux_sym_string_token1] = ACTIONS(1474),
    [anon_sym_SQUOTE] = ACTIONS(1474),
    [anon_sym_LT_LT_LT] = ACTIONS(1474),
    [anon_sym_BQUOTE] = ACTIONS(1474),
    [anon_sym_DOLLAR] = ACTIONS(1474),
    [aux_sym_yield_expression_token1] = ACTIONS(1476),
    [aux_sym_include_expression_token1] = ACTIONS(1476),
    [aux_sym_include_once_expression_token1] = ACTIONS(1476),
    [aux_sym_require_expression_token1] = ACTIONS(1476),
    [aux_sym_require_once_expression_token1] = ACTIONS(1476),
    [sym_comment] = ACTIONS(3),
  },
  [551] = {
    [ts_builtin_sym_end] = ACTIONS(1478),
    [sym_name] = ACTIONS(1480),
    [anon_sym_QMARK_GT] = ACTIONS(1478),
    [anon_sym_SEMI] = ACTIONS(1478),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1480),
    [aux_sym_global_declaration_token1] = ACTIONS(1480),
    [aux_sym_namespace_definition_token1] = ACTIONS(1480),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1480),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1480),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1480),
    [anon_sym_BSLASH] = ACTIONS(1478),
    [anon_sym_LBRACE] = ACTIONS(1478),
    [anon_sym_RBRACE] = ACTIONS(1478),
    [aux_sym_trait_declaration_token1] = ACTIONS(1480),
    [aux_sym_interface_declaration_token1] = ACTIONS(1480),
    [aux_sym_enum_declaration_token1] = ACTIONS(1480),
    [aux_sym_enum_case_token1] = ACTIONS(1480),
    [aux_sym_class_declaration_token1] = ACTIONS(1480),
    [aux_sym_final_modifier_token1] = ACTIONS(1480),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1480),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1480),
    [sym_var_modifier] = ACTIONS(1480),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1480),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1480),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1480),
    [anon_sym_LPAREN2] = ACTIONS(1478),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1480),
    [aux_sym_cast_type_token1] = ACTIONS(1480),
    [aux_sym_echo_statement_token1] = ACTIONS(1480),
    [aux_sym_exit_statement_token1] = ACTIONS(1480),
    [anon_sym_unset] = ACTIONS(1480),
    [aux_sym_declare_statement_token1] = ACTIONS(1480),
    [aux_sym_declare_statement_token2] = ACTIONS(1480),
    [sym_float] = ACTIONS(1480),
    [aux_sym_try_statement_token1] = ACTIONS(1480),
    [aux_sym_goto_statement_token1] = ACTIONS(1480),
    [aux_sym_continue_statement_token1] = ACTIONS(1480),
    [aux_sym_break_statement_token1] = ACTIONS(1480),
    [sym_integer] = ACTIONS(1480),
    [aux_sym_return_statement_token1] = ACTIONS(1480),
    [aux_sym_throw_expression_token1] = ACTIONS(1480),
    [aux_sym_while_statement_token1] = ACTIONS(1480),
    [aux_sym_while_statement_token2] = ACTIONS(1480),
    [aux_sym_do_statement_token1] = ACTIONS(1480),
    [aux_sym_for_statement_token1] = ACTIONS(1480),
    [aux_sym_for_statement_token2] = ACTIONS(1480),
    [aux_sym_foreach_statement_token1] = ACTIONS(1480),
    [aux_sym_foreach_statement_token2] = ACTIONS(1480),
    [aux_sym_if_statement_token1] = ACTIONS(1480),
    [aux_sym_if_statement_token2] = ACTIONS(1480),
    [aux_sym_else_if_clause_token1] = ACTIONS(1480),
    [aux_sym_else_clause_token1] = ACTIONS(1480),
    [aux_sym_match_expression_token1] = ACTIONS(1480),
    [aux_sym_match_default_expression_token1] = ACTIONS(1480),
    [aux_sym_switch_statement_token1] = ACTIONS(1480),
    [aux_sym_switch_block_token1] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1480),
    [anon_sym_DASH] = ACTIONS(1480),
    [anon_sym_TILDE] = ACTIONS(1478),
    [anon_sym_BANG] = ACTIONS(1478),
    [anon_sym_AT] = ACTIONS(1478),
    [aux_sym_clone_expression_token1] = ACTIONS(1480),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1480),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1480),
    [anon_sym_DASH_DASH] = ACTIONS(1478),
    [anon_sym_PLUS_PLUS] = ACTIONS(1478),
    [aux_sym__list_destructing_token1] = ACTIONS(1480),
    [anon_sym_LBRACK] = ACTIONS(1478),
    [anon_sym_self] = ACTIONS(1480),
    [anon_sym_parent] = ACTIONS(1480),
    [aux_sym__argument_name_token1] = ACTIONS(1480),
    [aux_sym__argument_name_token2] = ACTIONS(1480),
    [anon_sym_POUND_LBRACK] = ACTIONS(1478),
    [aux_sym_encapsed_string_token1] = ACTIONS(1478),
    [anon_sym_DQUOTE] = ACTIONS(1478),
    [aux_sym_string_token1] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1478),
    [anon_sym_LT_LT_LT] = ACTIONS(1478),
    [anon_sym_BQUOTE] = ACTIONS(1478),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [aux_sym_yield_expression_token1] = ACTIONS(1480),
    [aux_sym_include_expression_token1] = ACTIONS(1480),
    [aux_sym_include_once_expression_token1] = ACTIONS(1480),
    [aux_sym_require_expression_token1] = ACTIONS(1480),
    [aux_sym_require_once_expression_token1] = ACTIONS(1480),
    [sym_comment] = ACTIONS(3),
  },
  [552] = {
    [ts_builtin_sym_end] = ACTIONS(1482),
    [sym_name] = ACTIONS(1484),
    [anon_sym_QMARK_GT] = ACTIONS(1482),
    [anon_sym_SEMI] = ACTIONS(1482),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1484),
    [aux_sym_global_declaration_token1] = ACTIONS(1484),
    [aux_sym_namespace_definition_token1] = ACTIONS(1484),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1484),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1484),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1484),
    [anon_sym_BSLASH] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(1482),
    [anon_sym_RBRACE] = ACTIONS(1482),
    [aux_sym_trait_declaration_token1] = ACTIONS(1484),
    [aux_sym_interface_declaration_token1] = ACTIONS(1484),
    [aux_sym_enum_declaration_token1] = ACTIONS(1484),
    [aux_sym_enum_case_token1] = ACTIONS(1484),
    [aux_sym_class_declaration_token1] = ACTIONS(1484),
    [aux_sym_final_modifier_token1] = ACTIONS(1484),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1484),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1484),
    [sym_var_modifier] = ACTIONS(1484),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1484),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1484),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1484),
    [anon_sym_LPAREN2] = ACTIONS(1482),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1484),
    [aux_sym_cast_type_token1] = ACTIONS(1484),
    [aux_sym_echo_statement_token1] = ACTIONS(1484),
    [aux_sym_exit_statement_token1] = ACTIONS(1484),
    [anon_sym_unset] = ACTIONS(1484),
    [aux_sym_declare_statement_token1] = ACTIONS(1484),
    [aux_sym_declare_statement_token2] = ACTIONS(1484),
    [sym_float] = ACTIONS(1484),
    [aux_sym_try_statement_token1] = ACTIONS(1484),
    [aux_sym_goto_statement_token1] = ACTIONS(1484),
    [aux_sym_continue_statement_token1] = ACTIONS(1484),
    [aux_sym_break_statement_token1] = ACTIONS(1484),
    [sym_integer] = ACTIONS(1484),
    [aux_sym_return_statement_token1] = ACTIONS(1484),
    [aux_sym_throw_expression_token1] = ACTIONS(1484),
    [aux_sym_while_statement_token1] = ACTIONS(1484),
    [aux_sym_while_statement_token2] = ACTIONS(1484),
    [aux_sym_do_statement_token1] = ACTIONS(1484),
    [aux_sym_for_statement_token1] = ACTIONS(1484),
    [aux_sym_for_statement_token2] = ACTIONS(1484),
    [aux_sym_foreach_statement_token1] = ACTIONS(1484),
    [aux_sym_foreach_statement_token2] = ACTIONS(1484),
    [aux_sym_if_statement_token1] = ACTIONS(1484),
    [aux_sym_if_statement_token2] = ACTIONS(1484),
    [aux_sym_else_if_clause_token1] = ACTIONS(1484),
    [aux_sym_else_clause_token1] = ACTIONS(1484),
    [aux_sym_match_expression_token1] = ACTIONS(1484),
    [aux_sym_match_default_expression_token1] = ACTIONS(1484),
    [aux_sym_switch_statement_token1] = ACTIONS(1484),
    [aux_sym_switch_block_token1] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1484),
    [anon_sym_DASH] = ACTIONS(1484),
    [anon_sym_TILDE] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1482),
    [anon_sym_AT] = ACTIONS(1482),
    [aux_sym_clone_expression_token1] = ACTIONS(1484),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1484),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1484),
    [anon_sym_DASH_DASH] = ACTIONS(1482),
    [anon_sym_PLUS_PLUS] = ACTIONS(1482),
    [aux_sym__list_destructing_token1] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(1482),
    [anon_sym_self] = ACTIONS(1484),
    [anon_sym_parent] = ACTIONS(1484),
    [aux_sym__argument_name_token1] = ACTIONS(1484),
    [aux_sym__argument_name_token2] = ACTIONS(1484),
    [anon_sym_POUND_LBRACK] = ACTIONS(1482),
    [aux_sym_encapsed_string_token1] = ACTIONS(1482),
    [anon_sym_DQUOTE] = ACTIONS(1482),
    [aux_sym_string_token1] = ACTIONS(1482),
    [anon_sym_SQUOTE] = ACTIONS(1482),
    [anon_sym_LT_LT_LT] = ACTIONS(1482),
    [anon_sym_BQUOTE] = ACTIONS(1482),
    [anon_sym_DOLLAR] = ACTIONS(1482),
    [aux_sym_yield_expression_token1] = ACTIONS(1484),
    [aux_sym_include_expression_token1] = ACTIONS(1484),
    [aux_sym_include_once_expression_token1] = ACTIONS(1484),
    [aux_sym_require_expression_token1] = ACTIONS(1484),
    [aux_sym_require_once_expression_token1] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [553] = {
    [ts_builtin_sym_end] = ACTIONS(1486),
    [sym_name] = ACTIONS(1488),
    [anon_sym_QMARK_GT] = ACTIONS(1486),
    [anon_sym_SEMI] = ACTIONS(1486),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1488),
    [aux_sym_global_declaration_token1] = ACTIONS(1488),
    [aux_sym_namespace_definition_token1] = ACTIONS(1488),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1488),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1488),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1488),
    [anon_sym_BSLASH] = ACTIONS(1486),
    [anon_sym_LBRACE] = ACTIONS(1486),
    [anon_sym_RBRACE] = ACTIONS(1486),
    [aux_sym_trait_declaration_token1] = ACTIONS(1488),
    [aux_sym_interface_declaration_token1] = ACTIONS(1488),
    [aux_sym_enum_declaration_token1] = ACTIONS(1488),
    [aux_sym_enum_case_token1] = ACTIONS(1488),
    [aux_sym_class_declaration_token1] = ACTIONS(1488),
    [aux_sym_final_modifier_token1] = ACTIONS(1488),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1488),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1488),
    [sym_var_modifier] = ACTIONS(1488),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1488),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1488),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1488),
    [anon_sym_LPAREN2] = ACTIONS(1486),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1488),
    [aux_sym_cast_type_token1] = ACTIONS(1488),
    [aux_sym_echo_statement_token1] = ACTIONS(1488),
    [aux_sym_exit_statement_token1] = ACTIONS(1488),
    [anon_sym_unset] = ACTIONS(1488),
    [aux_sym_declare_statement_token1] = ACTIONS(1488),
    [aux_sym_declare_statement_token2] = ACTIONS(1488),
    [sym_float] = ACTIONS(1488),
    [aux_sym_try_statement_token1] = ACTIONS(1488),
    [aux_sym_goto_statement_token1] = ACTIONS(1488),
    [aux_sym_continue_statement_token1] = ACTIONS(1488),
    [aux_sym_break_statement_token1] = ACTIONS(1488),
    [sym_integer] = ACTIONS(1488),
    [aux_sym_return_statement_token1] = ACTIONS(1488),
    [aux_sym_throw_expression_token1] = ACTIONS(1488),
    [aux_sym_while_statement_token1] = ACTIONS(1488),
    [aux_sym_while_statement_token2] = ACTIONS(1488),
    [aux_sym_do_statement_token1] = ACTIONS(1488),
    [aux_sym_for_statement_token1] = ACTIONS(1488),
    [aux_sym_for_statement_token2] = ACTIONS(1488),
    [aux_sym_foreach_statement_token1] = ACTIONS(1488),
    [aux_sym_foreach_statement_token2] = ACTIONS(1488),
    [aux_sym_if_statement_token1] = ACTIONS(1488),
    [aux_sym_if_statement_token2] = ACTIONS(1488),
    [aux_sym_else_if_clause_token1] = ACTIONS(1488),
    [aux_sym_else_clause_token1] = ACTIONS(1488),
    [aux_sym_match_expression_token1] = ACTIONS(1488),
    [aux_sym_match_default_expression_token1] = ACTIONS(1488),
    [aux_sym_switch_statement_token1] = ACTIONS(1488),
    [aux_sym_switch_block_token1] = ACTIONS(1488),
    [anon_sym_PLUS] = ACTIONS(1488),
    [anon_sym_DASH] = ACTIONS(1488),
    [anon_sym_TILDE] = ACTIONS(1486),
    [anon_sym_BANG] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(1486),
    [aux_sym_clone_expression_token1] = ACTIONS(1488),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1488),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1488),
    [anon_sym_DASH_DASH] = ACTIONS(1486),
    [anon_sym_PLUS_PLUS] = ACTIONS(1486),
    [aux_sym__list_destructing_token1] = ACTIONS(1488),
    [anon_sym_LBRACK] = ACTIONS(1486),
    [anon_sym_self] = ACTIONS(1488),
    [anon_sym_parent] = ACTIONS(1488),
    [aux_sym__argument_name_token1] = ACTIONS(1488),
    [aux_sym__argument_name_token2] = ACTIONS(1488),
    [anon_sym_POUND_LBRACK] = ACTIONS(1486),
    [aux_sym_encapsed_string_token1] = ACTIONS(1486),
    [anon_sym_DQUOTE] = ACTIONS(1486),
    [aux_sym_string_token1] = ACTIONS(1486),
    [anon_sym_SQUOTE] = ACTIONS(1486),
    [anon_sym_LT_LT_LT] = ACTIONS(1486),
    [anon_sym_BQUOTE] = ACTIONS(1486),
    [anon_sym_DOLLAR] = ACTIONS(1486),
    [aux_sym_yield_expression_token1] = ACTIONS(1488),
    [aux_sym_include_expression_token1] = ACTIONS(1488),
    [aux_sym_include_once_expression_token1] = ACTIONS(1488),
    [aux_sym_require_expression_token1] = ACTIONS(1488),
    [aux_sym_require_once_expression_token1] = ACTIONS(1488),
    [sym_comment] = ACTIONS(3),
  },
  [554] = {
    [ts_builtin_sym_end] = ACTIONS(1490),
    [sym_name] = ACTIONS(1492),
    [anon_sym_QMARK_GT] = ACTIONS(1490),
    [anon_sym_SEMI] = ACTIONS(1490),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1492),
    [aux_sym_global_declaration_token1] = ACTIONS(1492),
    [aux_sym_namespace_definition_token1] = ACTIONS(1492),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1492),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1492),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1492),
    [anon_sym_BSLASH] = ACTIONS(1490),
    [anon_sym_LBRACE] = ACTIONS(1490),
    [anon_sym_RBRACE] = ACTIONS(1490),
    [aux_sym_trait_declaration_token1] = ACTIONS(1492),
    [aux_sym_interface_declaration_token1] = ACTIONS(1492),
    [aux_sym_enum_declaration_token1] = ACTIONS(1492),
    [aux_sym_enum_case_token1] = ACTIONS(1492),
    [aux_sym_class_declaration_token1] = ACTIONS(1492),
    [aux_sym_final_modifier_token1] = ACTIONS(1492),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1492),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1492),
    [sym_var_modifier] = ACTIONS(1492),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1492),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1492),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1492),
    [anon_sym_LPAREN2] = ACTIONS(1490),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1492),
    [aux_sym_cast_type_token1] = ACTIONS(1492),
    [aux_sym_echo_statement_token1] = ACTIONS(1492),
    [aux_sym_exit_statement_token1] = ACTIONS(1492),
    [anon_sym_unset] = ACTIONS(1492),
    [aux_sym_declare_statement_token1] = ACTIONS(1492),
    [aux_sym_declare_statement_token2] = ACTIONS(1492),
    [sym_float] = ACTIONS(1492),
    [aux_sym_try_statement_token1] = ACTIONS(1492),
    [aux_sym_goto_statement_token1] = ACTIONS(1492),
    [aux_sym_continue_statement_token1] = ACTIONS(1492),
    [aux_sym_break_statement_token1] = ACTIONS(1492),
    [sym_integer] = ACTIONS(1492),
    [aux_sym_return_statement_token1] = ACTIONS(1492),
    [aux_sym_throw_expression_token1] = ACTIONS(1492),
    [aux_sym_while_statement_token1] = ACTIONS(1492),
    [aux_sym_while_statement_token2] = ACTIONS(1492),
    [aux_sym_do_statement_token1] = ACTIONS(1492),
    [aux_sym_for_statement_token1] = ACTIONS(1492),
    [aux_sym_for_statement_token2] = ACTIONS(1492),
    [aux_sym_foreach_statement_token1] = ACTIONS(1492),
    [aux_sym_foreach_statement_token2] = ACTIONS(1492),
    [aux_sym_if_statement_token1] = ACTIONS(1492),
    [aux_sym_if_statement_token2] = ACTIONS(1492),
    [aux_sym_else_if_clause_token1] = ACTIONS(1492),
    [aux_sym_else_clause_token1] = ACTIONS(1492),
    [aux_sym_match_expression_token1] = ACTIONS(1492),
    [aux_sym_match_default_expression_token1] = ACTIONS(1492),
    [aux_sym_switch_statement_token1] = ACTIONS(1492),
    [aux_sym_switch_block_token1] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1492),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_AT] = ACTIONS(1490),
    [aux_sym_clone_expression_token1] = ACTIONS(1492),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1492),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1492),
    [anon_sym_DASH_DASH] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1490),
    [aux_sym__list_destructing_token1] = ACTIONS(1492),
    [anon_sym_LBRACK] = ACTIONS(1490),
    [anon_sym_self] = ACTIONS(1492),
    [anon_sym_parent] = ACTIONS(1492),
    [aux_sym__argument_name_token1] = ACTIONS(1492),
    [aux_sym__argument_name_token2] = ACTIONS(1492),
    [anon_sym_POUND_LBRACK] = ACTIONS(1490),
    [aux_sym_encapsed_string_token1] = ACTIONS(1490),
    [anon_sym_DQUOTE] = ACTIONS(1490),
    [aux_sym_string_token1] = ACTIONS(1490),
    [anon_sym_SQUOTE] = ACTIONS(1490),
    [anon_sym_LT_LT_LT] = ACTIONS(1490),
    [anon_sym_BQUOTE] = ACTIONS(1490),
    [anon_sym_DOLLAR] = ACTIONS(1490),
    [aux_sym_yield_expression_token1] = ACTIONS(1492),
    [aux_sym_include_expression_token1] = ACTIONS(1492),
    [aux_sym_include_once_expression_token1] = ACTIONS(1492),
    [aux_sym_require_expression_token1] = ACTIONS(1492),
    [aux_sym_require_once_expression_token1] = ACTIONS(1492),
    [sym_comment] = ACTIONS(3),
  },
  [555] = {
    [ts_builtin_sym_end] = ACTIONS(1494),
    [sym_name] = ACTIONS(1496),
    [anon_sym_QMARK_GT] = ACTIONS(1494),
    [anon_sym_SEMI] = ACTIONS(1494),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1496),
    [aux_sym_global_declaration_token1] = ACTIONS(1496),
    [aux_sym_namespace_definition_token1] = ACTIONS(1496),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1496),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1496),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1496),
    [anon_sym_BSLASH] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1494),
    [anon_sym_RBRACE] = ACTIONS(1494),
    [aux_sym_trait_declaration_token1] = ACTIONS(1496),
    [aux_sym_interface_declaration_token1] = ACTIONS(1496),
    [aux_sym_enum_declaration_token1] = ACTIONS(1496),
    [aux_sym_enum_case_token1] = ACTIONS(1496),
    [aux_sym_class_declaration_token1] = ACTIONS(1496),
    [aux_sym_final_modifier_token1] = ACTIONS(1496),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1496),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1496),
    [sym_var_modifier] = ACTIONS(1496),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1496),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1496),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1496),
    [anon_sym_LPAREN2] = ACTIONS(1494),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1496),
    [aux_sym_cast_type_token1] = ACTIONS(1496),
    [aux_sym_echo_statement_token1] = ACTIONS(1496),
    [aux_sym_exit_statement_token1] = ACTIONS(1496),
    [anon_sym_unset] = ACTIONS(1496),
    [aux_sym_declare_statement_token1] = ACTIONS(1496),
    [aux_sym_declare_statement_token2] = ACTIONS(1496),
    [sym_float] = ACTIONS(1496),
    [aux_sym_try_statement_token1] = ACTIONS(1496),
    [aux_sym_goto_statement_token1] = ACTIONS(1496),
    [aux_sym_continue_statement_token1] = ACTIONS(1496),
    [aux_sym_break_statement_token1] = ACTIONS(1496),
    [sym_integer] = ACTIONS(1496),
    [aux_sym_return_statement_token1] = ACTIONS(1496),
    [aux_sym_throw_expression_token1] = ACTIONS(1496),
    [aux_sym_while_statement_token1] = ACTIONS(1496),
    [aux_sym_while_statement_token2] = ACTIONS(1496),
    [aux_sym_do_statement_token1] = ACTIONS(1496),
    [aux_sym_for_statement_token1] = ACTIONS(1496),
    [aux_sym_for_statement_token2] = ACTIONS(1496),
    [aux_sym_foreach_statement_token1] = ACTIONS(1496),
    [aux_sym_foreach_statement_token2] = ACTIONS(1496),
    [aux_sym_if_statement_token1] = ACTIONS(1496),
    [aux_sym_if_statement_token2] = ACTIONS(1496),
    [aux_sym_else_if_clause_token1] = ACTIONS(1496),
    [aux_sym_else_clause_token1] = ACTIONS(1496),
    [aux_sym_match_expression_token1] = ACTIONS(1496),
    [aux_sym_match_default_expression_token1] = ACTIONS(1496),
    [aux_sym_switch_statement_token1] = ACTIONS(1496),
    [aux_sym_switch_block_token1] = ACTIONS(1496),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_TILDE] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1494),
    [anon_sym_AT] = ACTIONS(1494),
    [aux_sym_clone_expression_token1] = ACTIONS(1496),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1496),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1496),
    [anon_sym_DASH_DASH] = ACTIONS(1494),
    [anon_sym_PLUS_PLUS] = ACTIONS(1494),
    [aux_sym__list_destructing_token1] = ACTIONS(1496),
    [anon_sym_LBRACK] = ACTIONS(1494),
    [anon_sym_self] = ACTIONS(1496),
    [anon_sym_parent] = ACTIONS(1496),
    [aux_sym__argument_name_token1] = ACTIONS(1496),
    [aux_sym__argument_name_token2] = ACTIONS(1496),
    [anon_sym_POUND_LBRACK] = ACTIONS(1494),
    [aux_sym_encapsed_string_token1] = ACTIONS(1494),
    [anon_sym_DQUOTE] = ACTIONS(1494),
    [aux_sym_string_token1] = ACTIONS(1494),
    [anon_sym_SQUOTE] = ACTIONS(1494),
    [anon_sym_LT_LT_LT] = ACTIONS(1494),
    [anon_sym_BQUOTE] = ACTIONS(1494),
    [anon_sym_DOLLAR] = ACTIONS(1494),
    [aux_sym_yield_expression_token1] = ACTIONS(1496),
    [aux_sym_include_expression_token1] = ACTIONS(1496),
    [aux_sym_include_once_expression_token1] = ACTIONS(1496),
    [aux_sym_require_expression_token1] = ACTIONS(1496),
    [aux_sym_require_once_expression_token1] = ACTIONS(1496),
    [sym_comment] = ACTIONS(3),
  },
  [556] = {
    [ts_builtin_sym_end] = ACTIONS(1498),
    [sym_name] = ACTIONS(1500),
    [anon_sym_QMARK_GT] = ACTIONS(1498),
    [anon_sym_SEMI] = ACTIONS(1498),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1500),
    [aux_sym_global_declaration_token1] = ACTIONS(1500),
    [aux_sym_namespace_definition_token1] = ACTIONS(1500),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1500),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1500),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1500),
    [anon_sym_BSLASH] = ACTIONS(1498),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym_RBRACE] = ACTIONS(1498),
    [aux_sym_trait_declaration_token1] = ACTIONS(1500),
    [aux_sym_interface_declaration_token1] = ACTIONS(1500),
    [aux_sym_enum_declaration_token1] = ACTIONS(1500),
    [aux_sym_enum_case_token1] = ACTIONS(1500),
    [aux_sym_class_declaration_token1] = ACTIONS(1500),
    [aux_sym_final_modifier_token1] = ACTIONS(1500),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1500),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1500),
    [sym_var_modifier] = ACTIONS(1500),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1500),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1500),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1500),
    [anon_sym_LPAREN2] = ACTIONS(1498),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1500),
    [aux_sym_cast_type_token1] = ACTIONS(1500),
    [aux_sym_echo_statement_token1] = ACTIONS(1500),
    [aux_sym_exit_statement_token1] = ACTIONS(1500),
    [anon_sym_unset] = ACTIONS(1500),
    [aux_sym_declare_statement_token1] = ACTIONS(1500),
    [aux_sym_declare_statement_token2] = ACTIONS(1500),
    [sym_float] = ACTIONS(1500),
    [aux_sym_try_statement_token1] = ACTIONS(1500),
    [aux_sym_goto_statement_token1] = ACTIONS(1500),
    [aux_sym_continue_statement_token1] = ACTIONS(1500),
    [aux_sym_break_statement_token1] = ACTIONS(1500),
    [sym_integer] = ACTIONS(1500),
    [aux_sym_return_statement_token1] = ACTIONS(1500),
    [aux_sym_throw_expression_token1] = ACTIONS(1500),
    [aux_sym_while_statement_token1] = ACTIONS(1500),
    [aux_sym_while_statement_token2] = ACTIONS(1500),
    [aux_sym_do_statement_token1] = ACTIONS(1500),
    [aux_sym_for_statement_token1] = ACTIONS(1500),
    [aux_sym_for_statement_token2] = ACTIONS(1500),
    [aux_sym_foreach_statement_token1] = ACTIONS(1500),
    [aux_sym_foreach_statement_token2] = ACTIONS(1500),
    [aux_sym_if_statement_token1] = ACTIONS(1500),
    [aux_sym_if_statement_token2] = ACTIONS(1500),
    [aux_sym_else_if_clause_token1] = ACTIONS(1500),
    [aux_sym_else_clause_token1] = ACTIONS(1500),
    [aux_sym_match_expression_token1] = ACTIONS(1500),
    [aux_sym_match_default_expression_token1] = ACTIONS(1500),
    [aux_sym_switch_statement_token1] = ACTIONS(1500),
    [aux_sym_switch_block_token1] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1500),
    [anon_sym_DASH] = ACTIONS(1500),
    [anon_sym_TILDE] = ACTIONS(1498),
    [anon_sym_BANG] = ACTIONS(1498),
    [anon_sym_AT] = ACTIONS(1498),
    [aux_sym_clone_expression_token1] = ACTIONS(1500),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1500),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1500),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [aux_sym__list_destructing_token1] = ACTIONS(1500),
    [anon_sym_LBRACK] = ACTIONS(1498),
    [anon_sym_self] = ACTIONS(1500),
    [anon_sym_parent] = ACTIONS(1500),
    [aux_sym__argument_name_token1] = ACTIONS(1500),
    [aux_sym__argument_name_token2] = ACTIONS(1500),
    [anon_sym_POUND_LBRACK] = ACTIONS(1498),
    [aux_sym_encapsed_string_token1] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(1498),
    [aux_sym_string_token1] = ACTIONS(1498),
    [anon_sym_SQUOTE] = ACTIONS(1498),
    [anon_sym_LT_LT_LT] = ACTIONS(1498),
    [anon_sym_BQUOTE] = ACTIONS(1498),
    [anon_sym_DOLLAR] = ACTIONS(1498),
    [aux_sym_yield_expression_token1] = ACTIONS(1500),
    [aux_sym_include_expression_token1] = ACTIONS(1500),
    [aux_sym_include_once_expression_token1] = ACTIONS(1500),
    [aux_sym_require_expression_token1] = ACTIONS(1500),
    [aux_sym_require_once_expression_token1] = ACTIONS(1500),
    [sym_comment] = ACTIONS(3),
  },
  [557] = {
    [ts_builtin_sym_end] = ACTIONS(1502),
    [sym_name] = ACTIONS(1504),
    [anon_sym_QMARK_GT] = ACTIONS(1502),
    [anon_sym_SEMI] = ACTIONS(1502),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1504),
    [aux_sym_global_declaration_token1] = ACTIONS(1504),
    [aux_sym_namespace_definition_token1] = ACTIONS(1504),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1504),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1504),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1504),
    [anon_sym_BSLASH] = ACTIONS(1502),
    [anon_sym_LBRACE] = ACTIONS(1502),
    [anon_sym_RBRACE] = ACTIONS(1502),
    [aux_sym_trait_declaration_token1] = ACTIONS(1504),
    [aux_sym_interface_declaration_token1] = ACTIONS(1504),
    [aux_sym_enum_declaration_token1] = ACTIONS(1504),
    [aux_sym_enum_case_token1] = ACTIONS(1504),
    [aux_sym_class_declaration_token1] = ACTIONS(1504),
    [aux_sym_final_modifier_token1] = ACTIONS(1504),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1504),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1504),
    [sym_var_modifier] = ACTIONS(1504),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1504),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1504),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1504),
    [anon_sym_LPAREN2] = ACTIONS(1502),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1504),
    [aux_sym_cast_type_token1] = ACTIONS(1504),
    [aux_sym_echo_statement_token1] = ACTIONS(1504),
    [aux_sym_exit_statement_token1] = ACTIONS(1504),
    [anon_sym_unset] = ACTIONS(1504),
    [aux_sym_declare_statement_token1] = ACTIONS(1504),
    [aux_sym_declare_statement_token2] = ACTIONS(1504),
    [sym_float] = ACTIONS(1504),
    [aux_sym_try_statement_token1] = ACTIONS(1504),
    [aux_sym_goto_statement_token1] = ACTIONS(1504),
    [aux_sym_continue_statement_token1] = ACTIONS(1504),
    [aux_sym_break_statement_token1] = ACTIONS(1504),
    [sym_integer] = ACTIONS(1504),
    [aux_sym_return_statement_token1] = ACTIONS(1504),
    [aux_sym_throw_expression_token1] = ACTIONS(1504),
    [aux_sym_while_statement_token1] = ACTIONS(1504),
    [aux_sym_while_statement_token2] = ACTIONS(1504),
    [aux_sym_do_statement_token1] = ACTIONS(1504),
    [aux_sym_for_statement_token1] = ACTIONS(1504),
    [aux_sym_for_statement_token2] = ACTIONS(1504),
    [aux_sym_foreach_statement_token1] = ACTIONS(1504),
    [aux_sym_foreach_statement_token2] = ACTIONS(1504),
    [aux_sym_if_statement_token1] = ACTIONS(1504),
    [aux_sym_if_statement_token2] = ACTIONS(1504),
    [aux_sym_else_if_clause_token1] = ACTIONS(1504),
    [aux_sym_else_clause_token1] = ACTIONS(1504),
    [aux_sym_match_expression_token1] = ACTIONS(1504),
    [aux_sym_match_default_expression_token1] = ACTIONS(1504),
    [aux_sym_switch_statement_token1] = ACTIONS(1504),
    [aux_sym_switch_block_token1] = ACTIONS(1504),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_AT] = ACTIONS(1502),
    [aux_sym_clone_expression_token1] = ACTIONS(1504),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1504),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1504),
    [anon_sym_DASH_DASH] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1502),
    [aux_sym__list_destructing_token1] = ACTIONS(1504),
    [anon_sym_LBRACK] = ACTIONS(1502),
    [anon_sym_self] = ACTIONS(1504),
    [anon_sym_parent] = ACTIONS(1504),
    [aux_sym__argument_name_token1] = ACTIONS(1504),
    [aux_sym__argument_name_token2] = ACTIONS(1504),
    [anon_sym_POUND_LBRACK] = ACTIONS(1502),
    [aux_sym_encapsed_string_token1] = ACTIONS(1502),
    [anon_sym_DQUOTE] = ACTIONS(1502),
    [aux_sym_string_token1] = ACTIONS(1502),
    [anon_sym_SQUOTE] = ACTIONS(1502),
    [anon_sym_LT_LT_LT] = ACTIONS(1502),
    [anon_sym_BQUOTE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1502),
    [aux_sym_yield_expression_token1] = ACTIONS(1504),
    [aux_sym_include_expression_token1] = ACTIONS(1504),
    [aux_sym_include_once_expression_token1] = ACTIONS(1504),
    [aux_sym_require_expression_token1] = ACTIONS(1504),
    [aux_sym_require_once_expression_token1] = ACTIONS(1504),
    [sym_comment] = ACTIONS(3),
  },
  [558] = {
    [ts_builtin_sym_end] = ACTIONS(1506),
    [sym_name] = ACTIONS(1508),
    [anon_sym_QMARK_GT] = ACTIONS(1506),
    [anon_sym_SEMI] = ACTIONS(1506),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1508),
    [aux_sym_global_declaration_token1] = ACTIONS(1508),
    [aux_sym_namespace_definition_token1] = ACTIONS(1508),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1508),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1508),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1508),
    [anon_sym_BSLASH] = ACTIONS(1506),
    [anon_sym_LBRACE] = ACTIONS(1506),
    [anon_sym_RBRACE] = ACTIONS(1506),
    [aux_sym_trait_declaration_token1] = ACTIONS(1508),
    [aux_sym_interface_declaration_token1] = ACTIONS(1508),
    [aux_sym_enum_declaration_token1] = ACTIONS(1508),
    [aux_sym_enum_case_token1] = ACTIONS(1508),
    [aux_sym_class_declaration_token1] = ACTIONS(1508),
    [aux_sym_final_modifier_token1] = ACTIONS(1508),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1508),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1508),
    [sym_var_modifier] = ACTIONS(1508),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1508),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1508),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1508),
    [anon_sym_LPAREN2] = ACTIONS(1506),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1508),
    [aux_sym_cast_type_token1] = ACTIONS(1508),
    [aux_sym_echo_statement_token1] = ACTIONS(1508),
    [aux_sym_exit_statement_token1] = ACTIONS(1508),
    [anon_sym_unset] = ACTIONS(1508),
    [aux_sym_declare_statement_token1] = ACTIONS(1508),
    [aux_sym_declare_statement_token2] = ACTIONS(1508),
    [sym_float] = ACTIONS(1508),
    [aux_sym_try_statement_token1] = ACTIONS(1508),
    [aux_sym_goto_statement_token1] = ACTIONS(1508),
    [aux_sym_continue_statement_token1] = ACTIONS(1508),
    [aux_sym_break_statement_token1] = ACTIONS(1508),
    [sym_integer] = ACTIONS(1508),
    [aux_sym_return_statement_token1] = ACTIONS(1508),
    [aux_sym_throw_expression_token1] = ACTIONS(1508),
    [aux_sym_while_statement_token1] = ACTIONS(1508),
    [aux_sym_while_statement_token2] = ACTIONS(1508),
    [aux_sym_do_statement_token1] = ACTIONS(1508),
    [aux_sym_for_statement_token1] = ACTIONS(1508),
    [aux_sym_for_statement_token2] = ACTIONS(1508),
    [aux_sym_foreach_statement_token1] = ACTIONS(1508),
    [aux_sym_foreach_statement_token2] = ACTIONS(1508),
    [aux_sym_if_statement_token1] = ACTIONS(1508),
    [aux_sym_if_statement_token2] = ACTIONS(1508),
    [aux_sym_else_if_clause_token1] = ACTIONS(1508),
    [aux_sym_else_clause_token1] = ACTIONS(1508),
    [aux_sym_match_expression_token1] = ACTIONS(1508),
    [aux_sym_match_default_expression_token1] = ACTIONS(1508),
    [aux_sym_switch_statement_token1] = ACTIONS(1508),
    [aux_sym_switch_block_token1] = ACTIONS(1508),
    [anon_sym_PLUS] = ACTIONS(1508),
    [anon_sym_DASH] = ACTIONS(1508),
    [anon_sym_TILDE] = ACTIONS(1506),
    [anon_sym_BANG] = ACTIONS(1506),
    [anon_sym_AT] = ACTIONS(1506),
    [aux_sym_clone_expression_token1] = ACTIONS(1508),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1508),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1508),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [aux_sym__list_destructing_token1] = ACTIONS(1508),
    [anon_sym_LBRACK] = ACTIONS(1506),
    [anon_sym_self] = ACTIONS(1508),
    [anon_sym_parent] = ACTIONS(1508),
    [aux_sym__argument_name_token1] = ACTIONS(1508),
    [aux_sym__argument_name_token2] = ACTIONS(1508),
    [anon_sym_POUND_LBRACK] = ACTIONS(1506),
    [aux_sym_encapsed_string_token1] = ACTIONS(1506),
    [anon_sym_DQUOTE] = ACTIONS(1506),
    [aux_sym_string_token1] = ACTIONS(1506),
    [anon_sym_SQUOTE] = ACTIONS(1506),
    [anon_sym_LT_LT_LT] = ACTIONS(1506),
    [anon_sym_BQUOTE] = ACTIONS(1506),
    [anon_sym_DOLLAR] = ACTIONS(1506),
    [aux_sym_yield_expression_token1] = ACTIONS(1508),
    [aux_sym_include_expression_token1] = ACTIONS(1508),
    [aux_sym_include_once_expression_token1] = ACTIONS(1508),
    [aux_sym_require_expression_token1] = ACTIONS(1508),
    [aux_sym_require_once_expression_token1] = ACTIONS(1508),
    [sym_comment] = ACTIONS(3),
  },
  [559] = {
    [ts_builtin_sym_end] = ACTIONS(1510),
    [sym_name] = ACTIONS(1512),
    [anon_sym_QMARK_GT] = ACTIONS(1510),
    [anon_sym_SEMI] = ACTIONS(1510),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1512),
    [aux_sym_global_declaration_token1] = ACTIONS(1512),
    [aux_sym_namespace_definition_token1] = ACTIONS(1512),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1512),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1512),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1512),
    [anon_sym_BSLASH] = ACTIONS(1510),
    [anon_sym_LBRACE] = ACTIONS(1510),
    [anon_sym_RBRACE] = ACTIONS(1510),
    [aux_sym_trait_declaration_token1] = ACTIONS(1512),
    [aux_sym_interface_declaration_token1] = ACTIONS(1512),
    [aux_sym_enum_declaration_token1] = ACTIONS(1512),
    [aux_sym_enum_case_token1] = ACTIONS(1512),
    [aux_sym_class_declaration_token1] = ACTIONS(1512),
    [aux_sym_final_modifier_token1] = ACTIONS(1512),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1512),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1512),
    [sym_var_modifier] = ACTIONS(1512),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1512),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1512),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1512),
    [anon_sym_LPAREN2] = ACTIONS(1510),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1512),
    [aux_sym_cast_type_token1] = ACTIONS(1512),
    [aux_sym_echo_statement_token1] = ACTIONS(1512),
    [aux_sym_exit_statement_token1] = ACTIONS(1512),
    [anon_sym_unset] = ACTIONS(1512),
    [aux_sym_declare_statement_token1] = ACTIONS(1512),
    [aux_sym_declare_statement_token2] = ACTIONS(1512),
    [sym_float] = ACTIONS(1512),
    [aux_sym_try_statement_token1] = ACTIONS(1512),
    [aux_sym_goto_statement_token1] = ACTIONS(1512),
    [aux_sym_continue_statement_token1] = ACTIONS(1512),
    [aux_sym_break_statement_token1] = ACTIONS(1512),
    [sym_integer] = ACTIONS(1512),
    [aux_sym_return_statement_token1] = ACTIONS(1512),
    [aux_sym_throw_expression_token1] = ACTIONS(1512),
    [aux_sym_while_statement_token1] = ACTIONS(1512),
    [aux_sym_while_statement_token2] = ACTIONS(1512),
    [aux_sym_do_statement_token1] = ACTIONS(1512),
    [aux_sym_for_statement_token1] = ACTIONS(1512),
    [aux_sym_for_statement_token2] = ACTIONS(1512),
    [aux_sym_foreach_statement_token1] = ACTIONS(1512),
    [aux_sym_foreach_statement_token2] = ACTIONS(1512),
    [aux_sym_if_statement_token1] = ACTIONS(1512),
    [aux_sym_if_statement_token2] = ACTIONS(1512),
    [aux_sym_else_if_clause_token1] = ACTIONS(1512),
    [aux_sym_else_clause_token1] = ACTIONS(1512),
    [aux_sym_match_expression_token1] = ACTIONS(1512),
    [aux_sym_match_default_expression_token1] = ACTIONS(1512),
    [aux_sym_switch_statement_token1] = ACTIONS(1512),
    [aux_sym_switch_block_token1] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1512),
    [anon_sym_DASH] = ACTIONS(1512),
    [anon_sym_TILDE] = ACTIONS(1510),
    [anon_sym_BANG] = ACTIONS(1510),
    [anon_sym_AT] = ACTIONS(1510),
    [aux_sym_clone_expression_token1] = ACTIONS(1512),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1512),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1512),
    [anon_sym_DASH_DASH] = ACTIONS(1510),
    [anon_sym_PLUS_PLUS] = ACTIONS(1510),
    [aux_sym__list_destructing_token1] = ACTIONS(1512),
    [anon_sym_LBRACK] = ACTIONS(1510),
    [anon_sym_self] = ACTIONS(1512),
    [anon_sym_parent] = ACTIONS(1512),
    [aux_sym__argument_name_token1] = ACTIONS(1512),
    [aux_sym__argument_name_token2] = ACTIONS(1512),
    [anon_sym_POUND_LBRACK] = ACTIONS(1510),
    [aux_sym_encapsed_string_token1] = ACTIONS(1510),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [aux_sym_string_token1] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1510),
    [anon_sym_LT_LT_LT] = ACTIONS(1510),
    [anon_sym_BQUOTE] = ACTIONS(1510),
    [anon_sym_DOLLAR] = ACTIONS(1510),
    [aux_sym_yield_expression_token1] = ACTIONS(1512),
    [aux_sym_include_expression_token1] = ACTIONS(1512),
    [aux_sym_include_once_expression_token1] = ACTIONS(1512),
    [aux_sym_require_expression_token1] = ACTIONS(1512),
    [aux_sym_require_once_expression_token1] = ACTIONS(1512),
    [sym_comment] = ACTIONS(3),
  },
  [560] = {
    [ts_builtin_sym_end] = ACTIONS(1514),
    [sym_name] = ACTIONS(1516),
    [anon_sym_QMARK_GT] = ACTIONS(1514),
    [anon_sym_SEMI] = ACTIONS(1514),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1516),
    [aux_sym_global_declaration_token1] = ACTIONS(1516),
    [aux_sym_namespace_definition_token1] = ACTIONS(1516),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1516),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1516),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1516),
    [anon_sym_BSLASH] = ACTIONS(1514),
    [anon_sym_LBRACE] = ACTIONS(1514),
    [anon_sym_RBRACE] = ACTIONS(1514),
    [aux_sym_trait_declaration_token1] = ACTIONS(1516),
    [aux_sym_interface_declaration_token1] = ACTIONS(1516),
    [aux_sym_enum_declaration_token1] = ACTIONS(1516),
    [aux_sym_enum_case_token1] = ACTIONS(1516),
    [aux_sym_class_declaration_token1] = ACTIONS(1516),
    [aux_sym_final_modifier_token1] = ACTIONS(1516),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1516),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1516),
    [sym_var_modifier] = ACTIONS(1516),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1516),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1516),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1516),
    [anon_sym_LPAREN2] = ACTIONS(1514),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1516),
    [aux_sym_cast_type_token1] = ACTIONS(1516),
    [aux_sym_echo_statement_token1] = ACTIONS(1516),
    [aux_sym_exit_statement_token1] = ACTIONS(1516),
    [anon_sym_unset] = ACTIONS(1516),
    [aux_sym_declare_statement_token1] = ACTIONS(1516),
    [aux_sym_declare_statement_token2] = ACTIONS(1516),
    [sym_float] = ACTIONS(1516),
    [aux_sym_try_statement_token1] = ACTIONS(1516),
    [aux_sym_goto_statement_token1] = ACTIONS(1516),
    [aux_sym_continue_statement_token1] = ACTIONS(1516),
    [aux_sym_break_statement_token1] = ACTIONS(1516),
    [sym_integer] = ACTIONS(1516),
    [aux_sym_return_statement_token1] = ACTIONS(1516),
    [aux_sym_throw_expression_token1] = ACTIONS(1516),
    [aux_sym_while_statement_token1] = ACTIONS(1516),
    [aux_sym_while_statement_token2] = ACTIONS(1516),
    [aux_sym_do_statement_token1] = ACTIONS(1516),
    [aux_sym_for_statement_token1] = ACTIONS(1516),
    [aux_sym_for_statement_token2] = ACTIONS(1516),
    [aux_sym_foreach_statement_token1] = ACTIONS(1516),
    [aux_sym_foreach_statement_token2] = ACTIONS(1516),
    [aux_sym_if_statement_token1] = ACTIONS(1516),
    [aux_sym_if_statement_token2] = ACTIONS(1516),
    [aux_sym_else_if_clause_token1] = ACTIONS(1516),
    [aux_sym_else_clause_token1] = ACTIONS(1516),
    [aux_sym_match_expression_token1] = ACTIONS(1516),
    [aux_sym_match_default_expression_token1] = ACTIONS(1516),
    [aux_sym_switch_statement_token1] = ACTIONS(1516),
    [aux_sym_switch_block_token1] = ACTIONS(1516),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1516),
    [anon_sym_TILDE] = ACTIONS(1514),
    [anon_sym_BANG] = ACTIONS(1514),
    [anon_sym_AT] = ACTIONS(1514),
    [aux_sym_clone_expression_token1] = ACTIONS(1516),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1516),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1516),
    [anon_sym_DASH_DASH] = ACTIONS(1514),
    [anon_sym_PLUS_PLUS] = ACTIONS(1514),
    [aux_sym__list_destructing_token1] = ACTIONS(1516),
    [anon_sym_LBRACK] = ACTIONS(1514),
    [anon_sym_self] = ACTIONS(1516),
    [anon_sym_parent] = ACTIONS(1516),
    [aux_sym__argument_name_token1] = ACTIONS(1516),
    [aux_sym__argument_name_token2] = ACTIONS(1516),
    [anon_sym_POUND_LBRACK] = ACTIONS(1514),
    [aux_sym_encapsed_string_token1] = ACTIONS(1514),
    [anon_sym_DQUOTE] = ACTIONS(1514),
    [aux_sym_string_token1] = ACTIONS(1514),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [anon_sym_LT_LT_LT] = ACTIONS(1514),
    [anon_sym_BQUOTE] = ACTIONS(1514),
    [anon_sym_DOLLAR] = ACTIONS(1514),
    [aux_sym_yield_expression_token1] = ACTIONS(1516),
    [aux_sym_include_expression_token1] = ACTIONS(1516),
    [aux_sym_include_once_expression_token1] = ACTIONS(1516),
    [aux_sym_require_expression_token1] = ACTIONS(1516),
    [aux_sym_require_once_expression_token1] = ACTIONS(1516),
    [sym_comment] = ACTIONS(3),
  },
  [561] = {
    [ts_builtin_sym_end] = ACTIONS(1518),
    [sym_name] = ACTIONS(1520),
    [anon_sym_QMARK_GT] = ACTIONS(1518),
    [anon_sym_SEMI] = ACTIONS(1518),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1520),
    [aux_sym_global_declaration_token1] = ACTIONS(1520),
    [aux_sym_namespace_definition_token1] = ACTIONS(1520),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1520),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1520),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1520),
    [anon_sym_BSLASH] = ACTIONS(1518),
    [anon_sym_LBRACE] = ACTIONS(1518),
    [anon_sym_RBRACE] = ACTIONS(1518),
    [aux_sym_trait_declaration_token1] = ACTIONS(1520),
    [aux_sym_interface_declaration_token1] = ACTIONS(1520),
    [aux_sym_enum_declaration_token1] = ACTIONS(1520),
    [aux_sym_enum_case_token1] = ACTIONS(1520),
    [aux_sym_class_declaration_token1] = ACTIONS(1520),
    [aux_sym_final_modifier_token1] = ACTIONS(1520),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1520),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1520),
    [sym_var_modifier] = ACTIONS(1520),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1520),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1520),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1520),
    [anon_sym_LPAREN2] = ACTIONS(1518),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1520),
    [aux_sym_cast_type_token1] = ACTIONS(1520),
    [aux_sym_echo_statement_token1] = ACTIONS(1520),
    [aux_sym_exit_statement_token1] = ACTIONS(1520),
    [anon_sym_unset] = ACTIONS(1520),
    [aux_sym_declare_statement_token1] = ACTIONS(1520),
    [aux_sym_declare_statement_token2] = ACTIONS(1520),
    [sym_float] = ACTIONS(1520),
    [aux_sym_try_statement_token1] = ACTIONS(1520),
    [aux_sym_goto_statement_token1] = ACTIONS(1520),
    [aux_sym_continue_statement_token1] = ACTIONS(1520),
    [aux_sym_break_statement_token1] = ACTIONS(1520),
    [sym_integer] = ACTIONS(1520),
    [aux_sym_return_statement_token1] = ACTIONS(1520),
    [aux_sym_throw_expression_token1] = ACTIONS(1520),
    [aux_sym_while_statement_token1] = ACTIONS(1520),
    [aux_sym_while_statement_token2] = ACTIONS(1520),
    [aux_sym_do_statement_token1] = ACTIONS(1520),
    [aux_sym_for_statement_token1] = ACTIONS(1520),
    [aux_sym_for_statement_token2] = ACTIONS(1520),
    [aux_sym_foreach_statement_token1] = ACTIONS(1520),
    [aux_sym_foreach_statement_token2] = ACTIONS(1520),
    [aux_sym_if_statement_token1] = ACTIONS(1520),
    [aux_sym_if_statement_token2] = ACTIONS(1520),
    [aux_sym_else_if_clause_token1] = ACTIONS(1520),
    [aux_sym_else_clause_token1] = ACTIONS(1520),
    [aux_sym_match_expression_token1] = ACTIONS(1520),
    [aux_sym_match_default_expression_token1] = ACTIONS(1520),
    [aux_sym_switch_statement_token1] = ACTIONS(1520),
    [aux_sym_switch_block_token1] = ACTIONS(1520),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1518),
    [anon_sym_BANG] = ACTIONS(1518),
    [anon_sym_AT] = ACTIONS(1518),
    [aux_sym_clone_expression_token1] = ACTIONS(1520),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1520),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1520),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [aux_sym__list_destructing_token1] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1518),
    [anon_sym_self] = ACTIONS(1520),
    [anon_sym_parent] = ACTIONS(1520),
    [aux_sym__argument_name_token1] = ACTIONS(1520),
    [aux_sym__argument_name_token2] = ACTIONS(1520),
    [anon_sym_POUND_LBRACK] = ACTIONS(1518),
    [aux_sym_encapsed_string_token1] = ACTIONS(1518),
    [anon_sym_DQUOTE] = ACTIONS(1518),
    [aux_sym_string_token1] = ACTIONS(1518),
    [anon_sym_SQUOTE] = ACTIONS(1518),
    [anon_sym_LT_LT_LT] = ACTIONS(1518),
    [anon_sym_BQUOTE] = ACTIONS(1518),
    [anon_sym_DOLLAR] = ACTIONS(1518),
    [aux_sym_yield_expression_token1] = ACTIONS(1520),
    [aux_sym_include_expression_token1] = ACTIONS(1520),
    [aux_sym_include_once_expression_token1] = ACTIONS(1520),
    [aux_sym_require_expression_token1] = ACTIONS(1520),
    [aux_sym_require_once_expression_token1] = ACTIONS(1520),
    [sym_comment] = ACTIONS(3),
  },
  [562] = {
    [ts_builtin_sym_end] = ACTIONS(1522),
    [sym_name] = ACTIONS(1524),
    [anon_sym_QMARK_GT] = ACTIONS(1522),
    [anon_sym_SEMI] = ACTIONS(1522),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1524),
    [aux_sym_global_declaration_token1] = ACTIONS(1524),
    [aux_sym_namespace_definition_token1] = ACTIONS(1524),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1524),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1524),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1524),
    [anon_sym_BSLASH] = ACTIONS(1522),
    [anon_sym_LBRACE] = ACTIONS(1522),
    [anon_sym_RBRACE] = ACTIONS(1522),
    [aux_sym_trait_declaration_token1] = ACTIONS(1524),
    [aux_sym_interface_declaration_token1] = ACTIONS(1524),
    [aux_sym_enum_declaration_token1] = ACTIONS(1524),
    [aux_sym_enum_case_token1] = ACTIONS(1524),
    [aux_sym_class_declaration_token1] = ACTIONS(1524),
    [aux_sym_final_modifier_token1] = ACTIONS(1524),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1524),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1524),
    [sym_var_modifier] = ACTIONS(1524),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1524),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1524),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1524),
    [anon_sym_LPAREN2] = ACTIONS(1522),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1524),
    [aux_sym_cast_type_token1] = ACTIONS(1524),
    [aux_sym_echo_statement_token1] = ACTIONS(1524),
    [aux_sym_exit_statement_token1] = ACTIONS(1524),
    [anon_sym_unset] = ACTIONS(1524),
    [aux_sym_declare_statement_token1] = ACTIONS(1524),
    [aux_sym_declare_statement_token2] = ACTIONS(1524),
    [sym_float] = ACTIONS(1524),
    [aux_sym_try_statement_token1] = ACTIONS(1524),
    [aux_sym_goto_statement_token1] = ACTIONS(1524),
    [aux_sym_continue_statement_token1] = ACTIONS(1524),
    [aux_sym_break_statement_token1] = ACTIONS(1524),
    [sym_integer] = ACTIONS(1524),
    [aux_sym_return_statement_token1] = ACTIONS(1524),
    [aux_sym_throw_expression_token1] = ACTIONS(1524),
    [aux_sym_while_statement_token1] = ACTIONS(1524),
    [aux_sym_while_statement_token2] = ACTIONS(1524),
    [aux_sym_do_statement_token1] = ACTIONS(1524),
    [aux_sym_for_statement_token1] = ACTIONS(1524),
    [aux_sym_for_statement_token2] = ACTIONS(1524),
    [aux_sym_foreach_statement_token1] = ACTIONS(1524),
    [aux_sym_foreach_statement_token2] = ACTIONS(1524),
    [aux_sym_if_statement_token1] = ACTIONS(1524),
    [aux_sym_if_statement_token2] = ACTIONS(1524),
    [aux_sym_else_if_clause_token1] = ACTIONS(1524),
    [aux_sym_else_clause_token1] = ACTIONS(1524),
    [aux_sym_match_expression_token1] = ACTIONS(1524),
    [aux_sym_match_default_expression_token1] = ACTIONS(1524),
    [aux_sym_switch_statement_token1] = ACTIONS(1524),
    [aux_sym_switch_block_token1] = ACTIONS(1524),
    [anon_sym_PLUS] = ACTIONS(1524),
    [anon_sym_DASH] = ACTIONS(1524),
    [anon_sym_TILDE] = ACTIONS(1522),
    [anon_sym_BANG] = ACTIONS(1522),
    [anon_sym_AT] = ACTIONS(1522),
    [aux_sym_clone_expression_token1] = ACTIONS(1524),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1524),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1524),
    [anon_sym_DASH_DASH] = ACTIONS(1522),
    [anon_sym_PLUS_PLUS] = ACTIONS(1522),
    [aux_sym__list_destructing_token1] = ACTIONS(1524),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_self] = ACTIONS(1524),
    [anon_sym_parent] = ACTIONS(1524),
    [aux_sym__argument_name_token1] = ACTIONS(1524),
    [aux_sym__argument_name_token2] = ACTIONS(1524),
    [anon_sym_POUND_LBRACK] = ACTIONS(1522),
    [aux_sym_encapsed_string_token1] = ACTIONS(1522),
    [anon_sym_DQUOTE] = ACTIONS(1522),
    [aux_sym_string_token1] = ACTIONS(1522),
    [anon_sym_SQUOTE] = ACTIONS(1522),
    [anon_sym_LT_LT_LT] = ACTIONS(1522),
    [anon_sym_BQUOTE] = ACTIONS(1522),
    [anon_sym_DOLLAR] = ACTIONS(1522),
    [aux_sym_yield_expression_token1] = ACTIONS(1524),
    [aux_sym_include_expression_token1] = ACTIONS(1524),
    [aux_sym_include_once_expression_token1] = ACTIONS(1524),
    [aux_sym_require_expression_token1] = ACTIONS(1524),
    [aux_sym_require_once_expression_token1] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
  },
  [563] = {
    [ts_builtin_sym_end] = ACTIONS(1526),
    [sym_name] = ACTIONS(1528),
    [anon_sym_QMARK_GT] = ACTIONS(1526),
    [anon_sym_SEMI] = ACTIONS(1526),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1528),
    [aux_sym_global_declaration_token1] = ACTIONS(1528),
    [aux_sym_namespace_definition_token1] = ACTIONS(1528),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1528),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1528),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1528),
    [anon_sym_BSLASH] = ACTIONS(1526),
    [anon_sym_LBRACE] = ACTIONS(1526),
    [anon_sym_RBRACE] = ACTIONS(1526),
    [aux_sym_trait_declaration_token1] = ACTIONS(1528),
    [aux_sym_interface_declaration_token1] = ACTIONS(1528),
    [aux_sym_enum_declaration_token1] = ACTIONS(1528),
    [aux_sym_enum_case_token1] = ACTIONS(1528),
    [aux_sym_class_declaration_token1] = ACTIONS(1528),
    [aux_sym_final_modifier_token1] = ACTIONS(1528),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1528),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1528),
    [sym_var_modifier] = ACTIONS(1528),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1528),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1528),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1528),
    [anon_sym_LPAREN2] = ACTIONS(1526),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1528),
    [aux_sym_cast_type_token1] = ACTIONS(1528),
    [aux_sym_echo_statement_token1] = ACTIONS(1528),
    [aux_sym_exit_statement_token1] = ACTIONS(1528),
    [anon_sym_unset] = ACTIONS(1528),
    [aux_sym_declare_statement_token1] = ACTIONS(1528),
    [aux_sym_declare_statement_token2] = ACTIONS(1528),
    [sym_float] = ACTIONS(1528),
    [aux_sym_try_statement_token1] = ACTIONS(1528),
    [aux_sym_goto_statement_token1] = ACTIONS(1528),
    [aux_sym_continue_statement_token1] = ACTIONS(1528),
    [aux_sym_break_statement_token1] = ACTIONS(1528),
    [sym_integer] = ACTIONS(1528),
    [aux_sym_return_statement_token1] = ACTIONS(1528),
    [aux_sym_throw_expression_token1] = ACTIONS(1528),
    [aux_sym_while_statement_token1] = ACTIONS(1528),
    [aux_sym_while_statement_token2] = ACTIONS(1528),
    [aux_sym_do_statement_token1] = ACTIONS(1528),
    [aux_sym_for_statement_token1] = ACTIONS(1528),
    [aux_sym_for_statement_token2] = ACTIONS(1528),
    [aux_sym_foreach_statement_token1] = ACTIONS(1528),
    [aux_sym_foreach_statement_token2] = ACTIONS(1528),
    [aux_sym_if_statement_token1] = ACTIONS(1528),
    [aux_sym_if_statement_token2] = ACTIONS(1528),
    [aux_sym_else_if_clause_token1] = ACTIONS(1528),
    [aux_sym_else_clause_token1] = ACTIONS(1528),
    [aux_sym_match_expression_token1] = ACTIONS(1528),
    [aux_sym_match_default_expression_token1] = ACTIONS(1528),
    [aux_sym_switch_statement_token1] = ACTIONS(1528),
    [aux_sym_switch_block_token1] = ACTIONS(1528),
    [anon_sym_PLUS] = ACTIONS(1528),
    [anon_sym_DASH] = ACTIONS(1528),
    [anon_sym_TILDE] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(1526),
    [anon_sym_AT] = ACTIONS(1526),
    [aux_sym_clone_expression_token1] = ACTIONS(1528),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1528),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1528),
    [anon_sym_DASH_DASH] = ACTIONS(1526),
    [anon_sym_PLUS_PLUS] = ACTIONS(1526),
    [aux_sym__list_destructing_token1] = ACTIONS(1528),
    [anon_sym_LBRACK] = ACTIONS(1526),
    [anon_sym_self] = ACTIONS(1528),
    [anon_sym_parent] = ACTIONS(1528),
    [aux_sym__argument_name_token1] = ACTIONS(1528),
    [aux_sym__argument_name_token2] = ACTIONS(1528),
    [anon_sym_POUND_LBRACK] = ACTIONS(1526),
    [aux_sym_encapsed_string_token1] = ACTIONS(1526),
    [anon_sym_DQUOTE] = ACTIONS(1526),
    [aux_sym_string_token1] = ACTIONS(1526),
    [anon_sym_SQUOTE] = ACTIONS(1526),
    [anon_sym_LT_LT_LT] = ACTIONS(1526),
    [anon_sym_BQUOTE] = ACTIONS(1526),
    [anon_sym_DOLLAR] = ACTIONS(1526),
    [aux_sym_yield_expression_token1] = ACTIONS(1528),
    [aux_sym_include_expression_token1] = ACTIONS(1528),
    [aux_sym_include_once_expression_token1] = ACTIONS(1528),
    [aux_sym_require_expression_token1] = ACTIONS(1528),
    [aux_sym_require_once_expression_token1] = ACTIONS(1528),
    [sym_comment] = ACTIONS(3),
  },
  [564] = {
    [ts_builtin_sym_end] = ACTIONS(1530),
    [sym_name] = ACTIONS(1532),
    [anon_sym_QMARK_GT] = ACTIONS(1530),
    [anon_sym_SEMI] = ACTIONS(1530),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1532),
    [aux_sym_global_declaration_token1] = ACTIONS(1532),
    [aux_sym_namespace_definition_token1] = ACTIONS(1532),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1532),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1532),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1532),
    [anon_sym_BSLASH] = ACTIONS(1530),
    [anon_sym_LBRACE] = ACTIONS(1530),
    [anon_sym_RBRACE] = ACTIONS(1530),
    [aux_sym_trait_declaration_token1] = ACTIONS(1532),
    [aux_sym_interface_declaration_token1] = ACTIONS(1532),
    [aux_sym_enum_declaration_token1] = ACTIONS(1532),
    [aux_sym_enum_case_token1] = ACTIONS(1532),
    [aux_sym_class_declaration_token1] = ACTIONS(1532),
    [aux_sym_final_modifier_token1] = ACTIONS(1532),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1532),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1532),
    [sym_var_modifier] = ACTIONS(1532),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1532),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1532),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1532),
    [anon_sym_LPAREN2] = ACTIONS(1530),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1532),
    [aux_sym_cast_type_token1] = ACTIONS(1532),
    [aux_sym_echo_statement_token1] = ACTIONS(1532),
    [aux_sym_exit_statement_token1] = ACTIONS(1532),
    [anon_sym_unset] = ACTIONS(1532),
    [aux_sym_declare_statement_token1] = ACTIONS(1532),
    [aux_sym_declare_statement_token2] = ACTIONS(1532),
    [sym_float] = ACTIONS(1532),
    [aux_sym_try_statement_token1] = ACTIONS(1532),
    [aux_sym_goto_statement_token1] = ACTIONS(1532),
    [aux_sym_continue_statement_token1] = ACTIONS(1532),
    [aux_sym_break_statement_token1] = ACTIONS(1532),
    [sym_integer] = ACTIONS(1532),
    [aux_sym_return_statement_token1] = ACTIONS(1532),
    [aux_sym_throw_expression_token1] = ACTIONS(1532),
    [aux_sym_while_statement_token1] = ACTIONS(1532),
    [aux_sym_while_statement_token2] = ACTIONS(1532),
    [aux_sym_do_statement_token1] = ACTIONS(1532),
    [aux_sym_for_statement_token1] = ACTIONS(1532),
    [aux_sym_for_statement_token2] = ACTIONS(1532),
    [aux_sym_foreach_statement_token1] = ACTIONS(1532),
    [aux_sym_foreach_statement_token2] = ACTIONS(1532),
    [aux_sym_if_statement_token1] = ACTIONS(1532),
    [aux_sym_if_statement_token2] = ACTIONS(1532),
    [aux_sym_else_if_clause_token1] = ACTIONS(1532),
    [aux_sym_else_clause_token1] = ACTIONS(1532),
    [aux_sym_match_expression_token1] = ACTIONS(1532),
    [aux_sym_match_default_expression_token1] = ACTIONS(1532),
    [aux_sym_switch_statement_token1] = ACTIONS(1532),
    [aux_sym_switch_block_token1] = ACTIONS(1532),
    [anon_sym_PLUS] = ACTIONS(1532),
    [anon_sym_DASH] = ACTIONS(1532),
    [anon_sym_TILDE] = ACTIONS(1530),
    [anon_sym_BANG] = ACTIONS(1530),
    [anon_sym_AT] = ACTIONS(1530),
    [aux_sym_clone_expression_token1] = ACTIONS(1532),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1532),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1532),
    [anon_sym_DASH_DASH] = ACTIONS(1530),
    [anon_sym_PLUS_PLUS] = ACTIONS(1530),
    [aux_sym__list_destructing_token1] = ACTIONS(1532),
    [anon_sym_LBRACK] = ACTIONS(1530),
    [anon_sym_self] = ACTIONS(1532),
    [anon_sym_parent] = ACTIONS(1532),
    [aux_sym__argument_name_token1] = ACTIONS(1532),
    [aux_sym__argument_name_token2] = ACTIONS(1532),
    [anon_sym_POUND_LBRACK] = ACTIONS(1530),
    [aux_sym_encapsed_string_token1] = ACTIONS(1530),
    [anon_sym_DQUOTE] = ACTIONS(1530),
    [aux_sym_string_token1] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1530),
    [anon_sym_LT_LT_LT] = ACTIONS(1530),
    [anon_sym_BQUOTE] = ACTIONS(1530),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [aux_sym_yield_expression_token1] = ACTIONS(1532),
    [aux_sym_include_expression_token1] = ACTIONS(1532),
    [aux_sym_include_once_expression_token1] = ACTIONS(1532),
    [aux_sym_require_expression_token1] = ACTIONS(1532),
    [aux_sym_require_once_expression_token1] = ACTIONS(1532),
    [sym_comment] = ACTIONS(3),
  },
  [565] = {
    [ts_builtin_sym_end] = ACTIONS(1534),
    [sym_name] = ACTIONS(1536),
    [anon_sym_QMARK_GT] = ACTIONS(1534),
    [anon_sym_SEMI] = ACTIONS(1534),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1536),
    [aux_sym_global_declaration_token1] = ACTIONS(1536),
    [aux_sym_namespace_definition_token1] = ACTIONS(1536),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1536),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1536),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1536),
    [anon_sym_BSLASH] = ACTIONS(1534),
    [anon_sym_LBRACE] = ACTIONS(1534),
    [anon_sym_RBRACE] = ACTIONS(1534),
    [aux_sym_trait_declaration_token1] = ACTIONS(1536),
    [aux_sym_interface_declaration_token1] = ACTIONS(1536),
    [aux_sym_enum_declaration_token1] = ACTIONS(1536),
    [aux_sym_enum_case_token1] = ACTIONS(1536),
    [aux_sym_class_declaration_token1] = ACTIONS(1536),
    [aux_sym_final_modifier_token1] = ACTIONS(1536),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1536),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1536),
    [sym_var_modifier] = ACTIONS(1536),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1536),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1536),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1536),
    [anon_sym_LPAREN2] = ACTIONS(1534),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1536),
    [aux_sym_cast_type_token1] = ACTIONS(1536),
    [aux_sym_echo_statement_token1] = ACTIONS(1536),
    [aux_sym_exit_statement_token1] = ACTIONS(1536),
    [anon_sym_unset] = ACTIONS(1536),
    [aux_sym_declare_statement_token1] = ACTIONS(1536),
    [aux_sym_declare_statement_token2] = ACTIONS(1536),
    [sym_float] = ACTIONS(1536),
    [aux_sym_try_statement_token1] = ACTIONS(1536),
    [aux_sym_goto_statement_token1] = ACTIONS(1536),
    [aux_sym_continue_statement_token1] = ACTIONS(1536),
    [aux_sym_break_statement_token1] = ACTIONS(1536),
    [sym_integer] = ACTIONS(1536),
    [aux_sym_return_statement_token1] = ACTIONS(1536),
    [aux_sym_throw_expression_token1] = ACTIONS(1536),
    [aux_sym_while_statement_token1] = ACTIONS(1536),
    [aux_sym_while_statement_token2] = ACTIONS(1536),
    [aux_sym_do_statement_token1] = ACTIONS(1536),
    [aux_sym_for_statement_token1] = ACTIONS(1536),
    [aux_sym_for_statement_token2] = ACTIONS(1536),
    [aux_sym_foreach_statement_token1] = ACTIONS(1536),
    [aux_sym_foreach_statement_token2] = ACTIONS(1536),
    [aux_sym_if_statement_token1] = ACTIONS(1536),
    [aux_sym_if_statement_token2] = ACTIONS(1536),
    [aux_sym_else_if_clause_token1] = ACTIONS(1536),
    [aux_sym_else_clause_token1] = ACTIONS(1536),
    [aux_sym_match_expression_token1] = ACTIONS(1536),
    [aux_sym_match_default_expression_token1] = ACTIONS(1536),
    [aux_sym_switch_statement_token1] = ACTIONS(1536),
    [aux_sym_switch_block_token1] = ACTIONS(1536),
    [anon_sym_PLUS] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1536),
    [anon_sym_TILDE] = ACTIONS(1534),
    [anon_sym_BANG] = ACTIONS(1534),
    [anon_sym_AT] = ACTIONS(1534),
    [aux_sym_clone_expression_token1] = ACTIONS(1536),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1536),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1536),
    [anon_sym_DASH_DASH] = ACTIONS(1534),
    [anon_sym_PLUS_PLUS] = ACTIONS(1534),
    [aux_sym__list_destructing_token1] = ACTIONS(1536),
    [anon_sym_LBRACK] = ACTIONS(1534),
    [anon_sym_self] = ACTIONS(1536),
    [anon_sym_parent] = ACTIONS(1536),
    [aux_sym__argument_name_token1] = ACTIONS(1536),
    [aux_sym__argument_name_token2] = ACTIONS(1536),
    [anon_sym_POUND_LBRACK] = ACTIONS(1534),
    [aux_sym_encapsed_string_token1] = ACTIONS(1534),
    [anon_sym_DQUOTE] = ACTIONS(1534),
    [aux_sym_string_token1] = ACTIONS(1534),
    [anon_sym_SQUOTE] = ACTIONS(1534),
    [anon_sym_LT_LT_LT] = ACTIONS(1534),
    [anon_sym_BQUOTE] = ACTIONS(1534),
    [anon_sym_DOLLAR] = ACTIONS(1534),
    [aux_sym_yield_expression_token1] = ACTIONS(1536),
    [aux_sym_include_expression_token1] = ACTIONS(1536),
    [aux_sym_include_once_expression_token1] = ACTIONS(1536),
    [aux_sym_require_expression_token1] = ACTIONS(1536),
    [aux_sym_require_once_expression_token1] = ACTIONS(1536),
    [sym_comment] = ACTIONS(3),
  },
  [566] = {
    [ts_builtin_sym_end] = ACTIONS(1538),
    [sym_name] = ACTIONS(1540),
    [anon_sym_QMARK_GT] = ACTIONS(1538),
    [anon_sym_SEMI] = ACTIONS(1538),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1540),
    [aux_sym_global_declaration_token1] = ACTIONS(1540),
    [aux_sym_namespace_definition_token1] = ACTIONS(1540),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1540),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1540),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1540),
    [anon_sym_BSLASH] = ACTIONS(1538),
    [anon_sym_LBRACE] = ACTIONS(1538),
    [anon_sym_RBRACE] = ACTIONS(1538),
    [aux_sym_trait_declaration_token1] = ACTIONS(1540),
    [aux_sym_interface_declaration_token1] = ACTIONS(1540),
    [aux_sym_enum_declaration_token1] = ACTIONS(1540),
    [aux_sym_enum_case_token1] = ACTIONS(1540),
    [aux_sym_class_declaration_token1] = ACTIONS(1540),
    [aux_sym_final_modifier_token1] = ACTIONS(1540),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1540),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1540),
    [sym_var_modifier] = ACTIONS(1540),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1540),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1540),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1540),
    [anon_sym_LPAREN2] = ACTIONS(1538),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1540),
    [aux_sym_cast_type_token1] = ACTIONS(1540),
    [aux_sym_echo_statement_token1] = ACTIONS(1540),
    [aux_sym_exit_statement_token1] = ACTIONS(1540),
    [anon_sym_unset] = ACTIONS(1540),
    [aux_sym_declare_statement_token1] = ACTIONS(1540),
    [aux_sym_declare_statement_token2] = ACTIONS(1540),
    [sym_float] = ACTIONS(1540),
    [aux_sym_try_statement_token1] = ACTIONS(1540),
    [aux_sym_goto_statement_token1] = ACTIONS(1540),
    [aux_sym_continue_statement_token1] = ACTIONS(1540),
    [aux_sym_break_statement_token1] = ACTIONS(1540),
    [sym_integer] = ACTIONS(1540),
    [aux_sym_return_statement_token1] = ACTIONS(1540),
    [aux_sym_throw_expression_token1] = ACTIONS(1540),
    [aux_sym_while_statement_token1] = ACTIONS(1540),
    [aux_sym_while_statement_token2] = ACTIONS(1540),
    [aux_sym_do_statement_token1] = ACTIONS(1540),
    [aux_sym_for_statement_token1] = ACTIONS(1540),
    [aux_sym_for_statement_token2] = ACTIONS(1540),
    [aux_sym_foreach_statement_token1] = ACTIONS(1540),
    [aux_sym_foreach_statement_token2] = ACTIONS(1540),
    [aux_sym_if_statement_token1] = ACTIONS(1540),
    [aux_sym_if_statement_token2] = ACTIONS(1540),
    [aux_sym_else_if_clause_token1] = ACTIONS(1540),
    [aux_sym_else_clause_token1] = ACTIONS(1540),
    [aux_sym_match_expression_token1] = ACTIONS(1540),
    [aux_sym_match_default_expression_token1] = ACTIONS(1540),
    [aux_sym_switch_statement_token1] = ACTIONS(1540),
    [aux_sym_switch_block_token1] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(1540),
    [anon_sym_DASH] = ACTIONS(1540),
    [anon_sym_TILDE] = ACTIONS(1538),
    [anon_sym_BANG] = ACTIONS(1538),
    [anon_sym_AT] = ACTIONS(1538),
    [aux_sym_clone_expression_token1] = ACTIONS(1540),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1540),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1540),
    [anon_sym_DASH_DASH] = ACTIONS(1538),
    [anon_sym_PLUS_PLUS] = ACTIONS(1538),
    [aux_sym__list_destructing_token1] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1538),
    [anon_sym_self] = ACTIONS(1540),
    [anon_sym_parent] = ACTIONS(1540),
    [aux_sym__argument_name_token1] = ACTIONS(1540),
    [aux_sym__argument_name_token2] = ACTIONS(1540),
    [anon_sym_POUND_LBRACK] = ACTIONS(1538),
    [aux_sym_encapsed_string_token1] = ACTIONS(1538),
    [anon_sym_DQUOTE] = ACTIONS(1538),
    [aux_sym_string_token1] = ACTIONS(1538),
    [anon_sym_SQUOTE] = ACTIONS(1538),
    [anon_sym_LT_LT_LT] = ACTIONS(1538),
    [anon_sym_BQUOTE] = ACTIONS(1538),
    [anon_sym_DOLLAR] = ACTIONS(1538),
    [aux_sym_yield_expression_token1] = ACTIONS(1540),
    [aux_sym_include_expression_token1] = ACTIONS(1540),
    [aux_sym_include_once_expression_token1] = ACTIONS(1540),
    [aux_sym_require_expression_token1] = ACTIONS(1540),
    [aux_sym_require_once_expression_token1] = ACTIONS(1540),
    [sym_comment] = ACTIONS(3),
  },
  [567] = {
    [ts_builtin_sym_end] = ACTIONS(1542),
    [sym_name] = ACTIONS(1544),
    [anon_sym_QMARK_GT] = ACTIONS(1542),
    [anon_sym_SEMI] = ACTIONS(1542),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1544),
    [aux_sym_global_declaration_token1] = ACTIONS(1544),
    [aux_sym_namespace_definition_token1] = ACTIONS(1544),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1544),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1544),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1544),
    [anon_sym_BSLASH] = ACTIONS(1542),
    [anon_sym_LBRACE] = ACTIONS(1542),
    [anon_sym_RBRACE] = ACTIONS(1542),
    [aux_sym_trait_declaration_token1] = ACTIONS(1544),
    [aux_sym_interface_declaration_token1] = ACTIONS(1544),
    [aux_sym_enum_declaration_token1] = ACTIONS(1544),
    [aux_sym_enum_case_token1] = ACTIONS(1544),
    [aux_sym_class_declaration_token1] = ACTIONS(1544),
    [aux_sym_final_modifier_token1] = ACTIONS(1544),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1544),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1544),
    [sym_var_modifier] = ACTIONS(1544),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1544),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1544),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1544),
    [anon_sym_LPAREN2] = ACTIONS(1542),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1544),
    [aux_sym_cast_type_token1] = ACTIONS(1544),
    [aux_sym_echo_statement_token1] = ACTIONS(1544),
    [aux_sym_exit_statement_token1] = ACTIONS(1544),
    [anon_sym_unset] = ACTIONS(1544),
    [aux_sym_declare_statement_token1] = ACTIONS(1544),
    [aux_sym_declare_statement_token2] = ACTIONS(1544),
    [sym_float] = ACTIONS(1544),
    [aux_sym_try_statement_token1] = ACTIONS(1544),
    [aux_sym_goto_statement_token1] = ACTIONS(1544),
    [aux_sym_continue_statement_token1] = ACTIONS(1544),
    [aux_sym_break_statement_token1] = ACTIONS(1544),
    [sym_integer] = ACTIONS(1544),
    [aux_sym_return_statement_token1] = ACTIONS(1544),
    [aux_sym_throw_expression_token1] = ACTIONS(1544),
    [aux_sym_while_statement_token1] = ACTIONS(1544),
    [aux_sym_while_statement_token2] = ACTIONS(1544),
    [aux_sym_do_statement_token1] = ACTIONS(1544),
    [aux_sym_for_statement_token1] = ACTIONS(1544),
    [aux_sym_for_statement_token2] = ACTIONS(1544),
    [aux_sym_foreach_statement_token1] = ACTIONS(1544),
    [aux_sym_foreach_statement_token2] = ACTIONS(1544),
    [aux_sym_if_statement_token1] = ACTIONS(1544),
    [aux_sym_if_statement_token2] = ACTIONS(1544),
    [aux_sym_else_if_clause_token1] = ACTIONS(1544),
    [aux_sym_else_clause_token1] = ACTIONS(1544),
    [aux_sym_match_expression_token1] = ACTIONS(1544),
    [aux_sym_match_default_expression_token1] = ACTIONS(1544),
    [aux_sym_switch_statement_token1] = ACTIONS(1544),
    [aux_sym_switch_block_token1] = ACTIONS(1544),
    [anon_sym_PLUS] = ACTIONS(1544),
    [anon_sym_DASH] = ACTIONS(1544),
    [anon_sym_TILDE] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(1542),
    [anon_sym_AT] = ACTIONS(1542),
    [aux_sym_clone_expression_token1] = ACTIONS(1544),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1544),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1544),
    [anon_sym_DASH_DASH] = ACTIONS(1542),
    [anon_sym_PLUS_PLUS] = ACTIONS(1542),
    [aux_sym__list_destructing_token1] = ACTIONS(1544),
    [anon_sym_LBRACK] = ACTIONS(1542),
    [anon_sym_self] = ACTIONS(1544),
    [anon_sym_parent] = ACTIONS(1544),
    [aux_sym__argument_name_token1] = ACTIONS(1544),
    [aux_sym__argument_name_token2] = ACTIONS(1544),
    [anon_sym_POUND_LBRACK] = ACTIONS(1542),
    [aux_sym_encapsed_string_token1] = ACTIONS(1542),
    [anon_sym_DQUOTE] = ACTIONS(1542),
    [aux_sym_string_token1] = ACTIONS(1542),
    [anon_sym_SQUOTE] = ACTIONS(1542),
    [anon_sym_LT_LT_LT] = ACTIONS(1542),
    [anon_sym_BQUOTE] = ACTIONS(1542),
    [anon_sym_DOLLAR] = ACTIONS(1542),
    [aux_sym_yield_expression_token1] = ACTIONS(1544),
    [aux_sym_include_expression_token1] = ACTIONS(1544),
    [aux_sym_include_once_expression_token1] = ACTIONS(1544),
    [aux_sym_require_expression_token1] = ACTIONS(1544),
    [aux_sym_require_once_expression_token1] = ACTIONS(1544),
    [sym_comment] = ACTIONS(3),
  },
  [568] = {
    [ts_builtin_sym_end] = ACTIONS(1546),
    [sym_name] = ACTIONS(1548),
    [anon_sym_QMARK_GT] = ACTIONS(1546),
    [anon_sym_SEMI] = ACTIONS(1546),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1548),
    [aux_sym_global_declaration_token1] = ACTIONS(1548),
    [aux_sym_namespace_definition_token1] = ACTIONS(1548),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1548),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1548),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1548),
    [anon_sym_BSLASH] = ACTIONS(1546),
    [anon_sym_LBRACE] = ACTIONS(1546),
    [anon_sym_RBRACE] = ACTIONS(1546),
    [aux_sym_trait_declaration_token1] = ACTIONS(1548),
    [aux_sym_interface_declaration_token1] = ACTIONS(1548),
    [aux_sym_enum_declaration_token1] = ACTIONS(1548),
    [aux_sym_enum_case_token1] = ACTIONS(1548),
    [aux_sym_class_declaration_token1] = ACTIONS(1548),
    [aux_sym_final_modifier_token1] = ACTIONS(1548),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1548),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1548),
    [sym_var_modifier] = ACTIONS(1548),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1548),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1548),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1548),
    [anon_sym_LPAREN2] = ACTIONS(1546),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1548),
    [aux_sym_cast_type_token1] = ACTIONS(1548),
    [aux_sym_echo_statement_token1] = ACTIONS(1548),
    [aux_sym_exit_statement_token1] = ACTIONS(1548),
    [anon_sym_unset] = ACTIONS(1548),
    [aux_sym_declare_statement_token1] = ACTIONS(1548),
    [aux_sym_declare_statement_token2] = ACTIONS(1548),
    [sym_float] = ACTIONS(1548),
    [aux_sym_try_statement_token1] = ACTIONS(1548),
    [aux_sym_goto_statement_token1] = ACTIONS(1548),
    [aux_sym_continue_statement_token1] = ACTIONS(1548),
    [aux_sym_break_statement_token1] = ACTIONS(1548),
    [sym_integer] = ACTIONS(1548),
    [aux_sym_return_statement_token1] = ACTIONS(1548),
    [aux_sym_throw_expression_token1] = ACTIONS(1548),
    [aux_sym_while_statement_token1] = ACTIONS(1548),
    [aux_sym_while_statement_token2] = ACTIONS(1548),
    [aux_sym_do_statement_token1] = ACTIONS(1548),
    [aux_sym_for_statement_token1] = ACTIONS(1548),
    [aux_sym_for_statement_token2] = ACTIONS(1548),
    [aux_sym_foreach_statement_token1] = ACTIONS(1548),
    [aux_sym_foreach_statement_token2] = ACTIONS(1548),
    [aux_sym_if_statement_token1] = ACTIONS(1548),
    [aux_sym_if_statement_token2] = ACTIONS(1548),
    [aux_sym_else_if_clause_token1] = ACTIONS(1548),
    [aux_sym_else_clause_token1] = ACTIONS(1548),
    [aux_sym_match_expression_token1] = ACTIONS(1548),
    [aux_sym_match_default_expression_token1] = ACTIONS(1548),
    [aux_sym_switch_statement_token1] = ACTIONS(1548),
    [aux_sym_switch_block_token1] = ACTIONS(1548),
    [anon_sym_PLUS] = ACTIONS(1548),
    [anon_sym_DASH] = ACTIONS(1548),
    [anon_sym_TILDE] = ACTIONS(1546),
    [anon_sym_BANG] = ACTIONS(1546),
    [anon_sym_AT] = ACTIONS(1546),
    [aux_sym_clone_expression_token1] = ACTIONS(1548),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1548),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1548),
    [anon_sym_DASH_DASH] = ACTIONS(1546),
    [anon_sym_PLUS_PLUS] = ACTIONS(1546),
    [aux_sym__list_destructing_token1] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1546),
    [anon_sym_self] = ACTIONS(1548),
    [anon_sym_parent] = ACTIONS(1548),
    [aux_sym__argument_name_token1] = ACTIONS(1548),
    [aux_sym__argument_name_token2] = ACTIONS(1548),
    [anon_sym_POUND_LBRACK] = ACTIONS(1546),
    [aux_sym_encapsed_string_token1] = ACTIONS(1546),
    [anon_sym_DQUOTE] = ACTIONS(1546),
    [aux_sym_string_token1] = ACTIONS(1546),
    [anon_sym_SQUOTE] = ACTIONS(1546),
    [anon_sym_LT_LT_LT] = ACTIONS(1546),
    [anon_sym_BQUOTE] = ACTIONS(1546),
    [anon_sym_DOLLAR] = ACTIONS(1546),
    [aux_sym_yield_expression_token1] = ACTIONS(1548),
    [aux_sym_include_expression_token1] = ACTIONS(1548),
    [aux_sym_include_once_expression_token1] = ACTIONS(1548),
    [aux_sym_require_expression_token1] = ACTIONS(1548),
    [aux_sym_require_once_expression_token1] = ACTIONS(1548),
    [sym_comment] = ACTIONS(3),
  },
  [569] = {
    [ts_builtin_sym_end] = ACTIONS(1550),
    [sym_name] = ACTIONS(1552),
    [anon_sym_QMARK_GT] = ACTIONS(1550),
    [anon_sym_SEMI] = ACTIONS(1550),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1552),
    [aux_sym_global_declaration_token1] = ACTIONS(1552),
    [aux_sym_namespace_definition_token1] = ACTIONS(1552),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1552),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1552),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1552),
    [anon_sym_BSLASH] = ACTIONS(1550),
    [anon_sym_LBRACE] = ACTIONS(1550),
    [anon_sym_RBRACE] = ACTIONS(1550),
    [aux_sym_trait_declaration_token1] = ACTIONS(1552),
    [aux_sym_interface_declaration_token1] = ACTIONS(1552),
    [aux_sym_enum_declaration_token1] = ACTIONS(1552),
    [aux_sym_enum_case_token1] = ACTIONS(1552),
    [aux_sym_class_declaration_token1] = ACTIONS(1552),
    [aux_sym_final_modifier_token1] = ACTIONS(1552),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1552),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1552),
    [sym_var_modifier] = ACTIONS(1552),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1552),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1552),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1552),
    [anon_sym_LPAREN2] = ACTIONS(1550),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1552),
    [aux_sym_cast_type_token1] = ACTIONS(1552),
    [aux_sym_echo_statement_token1] = ACTIONS(1552),
    [aux_sym_exit_statement_token1] = ACTIONS(1552),
    [anon_sym_unset] = ACTIONS(1552),
    [aux_sym_declare_statement_token1] = ACTIONS(1552),
    [aux_sym_declare_statement_token2] = ACTIONS(1552),
    [sym_float] = ACTIONS(1552),
    [aux_sym_try_statement_token1] = ACTIONS(1552),
    [aux_sym_goto_statement_token1] = ACTIONS(1552),
    [aux_sym_continue_statement_token1] = ACTIONS(1552),
    [aux_sym_break_statement_token1] = ACTIONS(1552),
    [sym_integer] = ACTIONS(1552),
    [aux_sym_return_statement_token1] = ACTIONS(1552),
    [aux_sym_throw_expression_token1] = ACTIONS(1552),
    [aux_sym_while_statement_token1] = ACTIONS(1552),
    [aux_sym_while_statement_token2] = ACTIONS(1552),
    [aux_sym_do_statement_token1] = ACTIONS(1552),
    [aux_sym_for_statement_token1] = ACTIONS(1552),
    [aux_sym_for_statement_token2] = ACTIONS(1552),
    [aux_sym_foreach_statement_token1] = ACTIONS(1552),
    [aux_sym_foreach_statement_token2] = ACTIONS(1552),
    [aux_sym_if_statement_token1] = ACTIONS(1552),
    [aux_sym_if_statement_token2] = ACTIONS(1552),
    [aux_sym_else_if_clause_token1] = ACTIONS(1552),
    [aux_sym_else_clause_token1] = ACTIONS(1552),
    [aux_sym_match_expression_token1] = ACTIONS(1552),
    [aux_sym_match_default_expression_token1] = ACTIONS(1552),
    [aux_sym_switch_statement_token1] = ACTIONS(1552),
    [aux_sym_switch_block_token1] = ACTIONS(1552),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_DASH] = ACTIONS(1552),
    [anon_sym_TILDE] = ACTIONS(1550),
    [anon_sym_BANG] = ACTIONS(1550),
    [anon_sym_AT] = ACTIONS(1550),
    [aux_sym_clone_expression_token1] = ACTIONS(1552),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1552),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1552),
    [anon_sym_DASH_DASH] = ACTIONS(1550),
    [anon_sym_PLUS_PLUS] = ACTIONS(1550),
    [aux_sym__list_destructing_token1] = ACTIONS(1552),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_self] = ACTIONS(1552),
    [anon_sym_parent] = ACTIONS(1552),
    [aux_sym__argument_name_token1] = ACTIONS(1552),
    [aux_sym__argument_name_token2] = ACTIONS(1552),
    [anon_sym_POUND_LBRACK] = ACTIONS(1550),
    [aux_sym_encapsed_string_token1] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1550),
    [aux_sym_string_token1] = ACTIONS(1550),
    [anon_sym_SQUOTE] = ACTIONS(1550),
    [anon_sym_LT_LT_LT] = ACTIONS(1550),
    [anon_sym_BQUOTE] = ACTIONS(1550),
    [anon_sym_DOLLAR] = ACTIONS(1550),
    [aux_sym_yield_expression_token1] = ACTIONS(1552),
    [aux_sym_include_expression_token1] = ACTIONS(1552),
    [aux_sym_include_once_expression_token1] = ACTIONS(1552),
    [aux_sym_require_expression_token1] = ACTIONS(1552),
    [aux_sym_require_once_expression_token1] = ACTIONS(1552),
    [sym_comment] = ACTIONS(3),
  },
  [570] = {
    [ts_builtin_sym_end] = ACTIONS(1554),
    [sym_name] = ACTIONS(1556),
    [anon_sym_QMARK_GT] = ACTIONS(1554),
    [anon_sym_SEMI] = ACTIONS(1554),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1556),
    [aux_sym_global_declaration_token1] = ACTIONS(1556),
    [aux_sym_namespace_definition_token1] = ACTIONS(1556),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1556),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1556),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1556),
    [anon_sym_BSLASH] = ACTIONS(1554),
    [anon_sym_LBRACE] = ACTIONS(1554),
    [anon_sym_RBRACE] = ACTIONS(1554),
    [aux_sym_trait_declaration_token1] = ACTIONS(1556),
    [aux_sym_interface_declaration_token1] = ACTIONS(1556),
    [aux_sym_enum_declaration_token1] = ACTIONS(1556),
    [aux_sym_enum_case_token1] = ACTIONS(1556),
    [aux_sym_class_declaration_token1] = ACTIONS(1556),
    [aux_sym_final_modifier_token1] = ACTIONS(1556),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1556),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1556),
    [sym_var_modifier] = ACTIONS(1556),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1556),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1556),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1556),
    [anon_sym_LPAREN2] = ACTIONS(1554),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1556),
    [aux_sym_cast_type_token1] = ACTIONS(1556),
    [aux_sym_echo_statement_token1] = ACTIONS(1556),
    [aux_sym_exit_statement_token1] = ACTIONS(1556),
    [anon_sym_unset] = ACTIONS(1556),
    [aux_sym_declare_statement_token1] = ACTIONS(1556),
    [aux_sym_declare_statement_token2] = ACTIONS(1556),
    [sym_float] = ACTIONS(1556),
    [aux_sym_try_statement_token1] = ACTIONS(1556),
    [aux_sym_goto_statement_token1] = ACTIONS(1556),
    [aux_sym_continue_statement_token1] = ACTIONS(1556),
    [aux_sym_break_statement_token1] = ACTIONS(1556),
    [sym_integer] = ACTIONS(1556),
    [aux_sym_return_statement_token1] = ACTIONS(1556),
    [aux_sym_throw_expression_token1] = ACTIONS(1556),
    [aux_sym_while_statement_token1] = ACTIONS(1556),
    [aux_sym_while_statement_token2] = ACTIONS(1556),
    [aux_sym_do_statement_token1] = ACTIONS(1556),
    [aux_sym_for_statement_token1] = ACTIONS(1556),
    [aux_sym_for_statement_token2] = ACTIONS(1556),
    [aux_sym_foreach_statement_token1] = ACTIONS(1556),
    [aux_sym_foreach_statement_token2] = ACTIONS(1556),
    [aux_sym_if_statement_token1] = ACTIONS(1556),
    [aux_sym_if_statement_token2] = ACTIONS(1556),
    [aux_sym_else_if_clause_token1] = ACTIONS(1556),
    [aux_sym_else_clause_token1] = ACTIONS(1556),
    [aux_sym_match_expression_token1] = ACTIONS(1556),
    [aux_sym_match_default_expression_token1] = ACTIONS(1556),
    [aux_sym_switch_statement_token1] = ACTIONS(1556),
    [aux_sym_switch_block_token1] = ACTIONS(1556),
    [anon_sym_PLUS] = ACTIONS(1556),
    [anon_sym_DASH] = ACTIONS(1556),
    [anon_sym_TILDE] = ACTIONS(1554),
    [anon_sym_BANG] = ACTIONS(1554),
    [anon_sym_AT] = ACTIONS(1554),
    [aux_sym_clone_expression_token1] = ACTIONS(1556),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1556),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1556),
    [anon_sym_DASH_DASH] = ACTIONS(1554),
    [anon_sym_PLUS_PLUS] = ACTIONS(1554),
    [aux_sym__list_destructing_token1] = ACTIONS(1556),
    [anon_sym_LBRACK] = ACTIONS(1554),
    [anon_sym_self] = ACTIONS(1556),
    [anon_sym_parent] = ACTIONS(1556),
    [aux_sym__argument_name_token1] = ACTIONS(1556),
    [aux_sym__argument_name_token2] = ACTIONS(1556),
    [anon_sym_POUND_LBRACK] = ACTIONS(1554),
    [aux_sym_encapsed_string_token1] = ACTIONS(1554),
    [anon_sym_DQUOTE] = ACTIONS(1554),
    [aux_sym_string_token1] = ACTIONS(1554),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_LT_LT_LT] = ACTIONS(1554),
    [anon_sym_BQUOTE] = ACTIONS(1554),
    [anon_sym_DOLLAR] = ACTIONS(1554),
    [aux_sym_yield_expression_token1] = ACTIONS(1556),
    [aux_sym_include_expression_token1] = ACTIONS(1556),
    [aux_sym_include_once_expression_token1] = ACTIONS(1556),
    [aux_sym_require_expression_token1] = ACTIONS(1556),
    [aux_sym_require_once_expression_token1] = ACTIONS(1556),
    [sym_comment] = ACTIONS(3),
  },
  [571] = {
    [ts_builtin_sym_end] = ACTIONS(1558),
    [sym_name] = ACTIONS(1560),
    [anon_sym_QMARK_GT] = ACTIONS(1558),
    [anon_sym_SEMI] = ACTIONS(1558),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1560),
    [aux_sym_global_declaration_token1] = ACTIONS(1560),
    [aux_sym_namespace_definition_token1] = ACTIONS(1560),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1560),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1560),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1560),
    [anon_sym_BSLASH] = ACTIONS(1558),
    [anon_sym_LBRACE] = ACTIONS(1558),
    [anon_sym_RBRACE] = ACTIONS(1558),
    [aux_sym_trait_declaration_token1] = ACTIONS(1560),
    [aux_sym_interface_declaration_token1] = ACTIONS(1560),
    [aux_sym_enum_declaration_token1] = ACTIONS(1560),
    [aux_sym_enum_case_token1] = ACTIONS(1560),
    [aux_sym_class_declaration_token1] = ACTIONS(1560),
    [aux_sym_final_modifier_token1] = ACTIONS(1560),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1560),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1560),
    [sym_var_modifier] = ACTIONS(1560),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1560),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1560),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1560),
    [anon_sym_LPAREN2] = ACTIONS(1558),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1560),
    [aux_sym_cast_type_token1] = ACTIONS(1560),
    [aux_sym_echo_statement_token1] = ACTIONS(1560),
    [aux_sym_exit_statement_token1] = ACTIONS(1560),
    [anon_sym_unset] = ACTIONS(1560),
    [aux_sym_declare_statement_token1] = ACTIONS(1560),
    [aux_sym_declare_statement_token2] = ACTIONS(1560),
    [sym_float] = ACTIONS(1560),
    [aux_sym_try_statement_token1] = ACTIONS(1560),
    [aux_sym_goto_statement_token1] = ACTIONS(1560),
    [aux_sym_continue_statement_token1] = ACTIONS(1560),
    [aux_sym_break_statement_token1] = ACTIONS(1560),
    [sym_integer] = ACTIONS(1560),
    [aux_sym_return_statement_token1] = ACTIONS(1560),
    [aux_sym_throw_expression_token1] = ACTIONS(1560),
    [aux_sym_while_statement_token1] = ACTIONS(1560),
    [aux_sym_while_statement_token2] = ACTIONS(1560),
    [aux_sym_do_statement_token1] = ACTIONS(1560),
    [aux_sym_for_statement_token1] = ACTIONS(1560),
    [aux_sym_for_statement_token2] = ACTIONS(1560),
    [aux_sym_foreach_statement_token1] = ACTIONS(1560),
    [aux_sym_foreach_statement_token2] = ACTIONS(1560),
    [aux_sym_if_statement_token1] = ACTIONS(1560),
    [aux_sym_if_statement_token2] = ACTIONS(1560),
    [aux_sym_else_if_clause_token1] = ACTIONS(1560),
    [aux_sym_else_clause_token1] = ACTIONS(1560),
    [aux_sym_match_expression_token1] = ACTIONS(1560),
    [aux_sym_match_default_expression_token1] = ACTIONS(1560),
    [aux_sym_switch_statement_token1] = ACTIONS(1560),
    [aux_sym_switch_block_token1] = ACTIONS(1560),
    [anon_sym_PLUS] = ACTIONS(1560),
    [anon_sym_DASH] = ACTIONS(1560),
    [anon_sym_TILDE] = ACTIONS(1558),
    [anon_sym_BANG] = ACTIONS(1558),
    [anon_sym_AT] = ACTIONS(1558),
    [aux_sym_clone_expression_token1] = ACTIONS(1560),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1560),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1560),
    [anon_sym_DASH_DASH] = ACTIONS(1558),
    [anon_sym_PLUS_PLUS] = ACTIONS(1558),
    [aux_sym__list_destructing_token1] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1558),
    [anon_sym_self] = ACTIONS(1560),
    [anon_sym_parent] = ACTIONS(1560),
    [aux_sym__argument_name_token1] = ACTIONS(1560),
    [aux_sym__argument_name_token2] = ACTIONS(1560),
    [anon_sym_POUND_LBRACK] = ACTIONS(1558),
    [aux_sym_encapsed_string_token1] = ACTIONS(1558),
    [anon_sym_DQUOTE] = ACTIONS(1558),
    [aux_sym_string_token1] = ACTIONS(1558),
    [anon_sym_SQUOTE] = ACTIONS(1558),
    [anon_sym_LT_LT_LT] = ACTIONS(1558),
    [anon_sym_BQUOTE] = ACTIONS(1558),
    [anon_sym_DOLLAR] = ACTIONS(1558),
    [aux_sym_yield_expression_token1] = ACTIONS(1560),
    [aux_sym_include_expression_token1] = ACTIONS(1560),
    [aux_sym_include_once_expression_token1] = ACTIONS(1560),
    [aux_sym_require_expression_token1] = ACTIONS(1560),
    [aux_sym_require_once_expression_token1] = ACTIONS(1560),
    [sym_comment] = ACTIONS(3),
  },
  [572] = {
    [ts_builtin_sym_end] = ACTIONS(1562),
    [sym_name] = ACTIONS(1564),
    [anon_sym_QMARK_GT] = ACTIONS(1562),
    [anon_sym_SEMI] = ACTIONS(1562),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1564),
    [aux_sym_global_declaration_token1] = ACTIONS(1564),
    [aux_sym_namespace_definition_token1] = ACTIONS(1564),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1564),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1564),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1564),
    [anon_sym_BSLASH] = ACTIONS(1562),
    [anon_sym_LBRACE] = ACTIONS(1562),
    [anon_sym_RBRACE] = ACTIONS(1562),
    [aux_sym_trait_declaration_token1] = ACTIONS(1564),
    [aux_sym_interface_declaration_token1] = ACTIONS(1564),
    [aux_sym_enum_declaration_token1] = ACTIONS(1564),
    [aux_sym_enum_case_token1] = ACTIONS(1564),
    [aux_sym_class_declaration_token1] = ACTIONS(1564),
    [aux_sym_final_modifier_token1] = ACTIONS(1564),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1564),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1564),
    [sym_var_modifier] = ACTIONS(1564),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1564),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1564),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1564),
    [anon_sym_LPAREN2] = ACTIONS(1562),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1564),
    [aux_sym_cast_type_token1] = ACTIONS(1564),
    [aux_sym_echo_statement_token1] = ACTIONS(1564),
    [aux_sym_exit_statement_token1] = ACTIONS(1564),
    [anon_sym_unset] = ACTIONS(1564),
    [aux_sym_declare_statement_token1] = ACTIONS(1564),
    [aux_sym_declare_statement_token2] = ACTIONS(1564),
    [sym_float] = ACTIONS(1564),
    [aux_sym_try_statement_token1] = ACTIONS(1564),
    [aux_sym_goto_statement_token1] = ACTIONS(1564),
    [aux_sym_continue_statement_token1] = ACTIONS(1564),
    [aux_sym_break_statement_token1] = ACTIONS(1564),
    [sym_integer] = ACTIONS(1564),
    [aux_sym_return_statement_token1] = ACTIONS(1564),
    [aux_sym_throw_expression_token1] = ACTIONS(1564),
    [aux_sym_while_statement_token1] = ACTIONS(1564),
    [aux_sym_while_statement_token2] = ACTIONS(1564),
    [aux_sym_do_statement_token1] = ACTIONS(1564),
    [aux_sym_for_statement_token1] = ACTIONS(1564),
    [aux_sym_for_statement_token2] = ACTIONS(1564),
    [aux_sym_foreach_statement_token1] = ACTIONS(1564),
    [aux_sym_foreach_statement_token2] = ACTIONS(1564),
    [aux_sym_if_statement_token1] = ACTIONS(1564),
    [aux_sym_if_statement_token2] = ACTIONS(1564),
    [aux_sym_else_if_clause_token1] = ACTIONS(1564),
    [aux_sym_else_clause_token1] = ACTIONS(1564),
    [aux_sym_match_expression_token1] = ACTIONS(1564),
    [aux_sym_match_default_expression_token1] = ACTIONS(1564),
    [aux_sym_switch_statement_token1] = ACTIONS(1564),
    [aux_sym_switch_block_token1] = ACTIONS(1564),
    [anon_sym_PLUS] = ACTIONS(1564),
    [anon_sym_DASH] = ACTIONS(1564),
    [anon_sym_TILDE] = ACTIONS(1562),
    [anon_sym_BANG] = ACTIONS(1562),
    [anon_sym_AT] = ACTIONS(1562),
    [aux_sym_clone_expression_token1] = ACTIONS(1564),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1564),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1564),
    [anon_sym_DASH_DASH] = ACTIONS(1562),
    [anon_sym_PLUS_PLUS] = ACTIONS(1562),
    [aux_sym__list_destructing_token1] = ACTIONS(1564),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_self] = ACTIONS(1564),
    [anon_sym_parent] = ACTIONS(1564),
    [aux_sym__argument_name_token1] = ACTIONS(1564),
    [aux_sym__argument_name_token2] = ACTIONS(1564),
    [anon_sym_POUND_LBRACK] = ACTIONS(1562),
    [aux_sym_encapsed_string_token1] = ACTIONS(1562),
    [anon_sym_DQUOTE] = ACTIONS(1562),
    [aux_sym_string_token1] = ACTIONS(1562),
    [anon_sym_SQUOTE] = ACTIONS(1562),
    [anon_sym_LT_LT_LT] = ACTIONS(1562),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [anon_sym_DOLLAR] = ACTIONS(1562),
    [aux_sym_yield_expression_token1] = ACTIONS(1564),
    [aux_sym_include_expression_token1] = ACTIONS(1564),
    [aux_sym_include_once_expression_token1] = ACTIONS(1564),
    [aux_sym_require_expression_token1] = ACTIONS(1564),
    [aux_sym_require_once_expression_token1] = ACTIONS(1564),
    [sym_comment] = ACTIONS(3),
  },
  [573] = {
    [ts_builtin_sym_end] = ACTIONS(1566),
    [sym_name] = ACTIONS(1568),
    [anon_sym_QMARK_GT] = ACTIONS(1566),
    [anon_sym_SEMI] = ACTIONS(1566),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1568),
    [aux_sym_global_declaration_token1] = ACTIONS(1568),
    [aux_sym_namespace_definition_token1] = ACTIONS(1568),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1568),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1568),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1568),
    [anon_sym_BSLASH] = ACTIONS(1566),
    [anon_sym_LBRACE] = ACTIONS(1566),
    [anon_sym_RBRACE] = ACTIONS(1566),
    [aux_sym_trait_declaration_token1] = ACTIONS(1568),
    [aux_sym_interface_declaration_token1] = ACTIONS(1568),
    [aux_sym_enum_declaration_token1] = ACTIONS(1568),
    [aux_sym_enum_case_token1] = ACTIONS(1568),
    [aux_sym_class_declaration_token1] = ACTIONS(1568),
    [aux_sym_final_modifier_token1] = ACTIONS(1568),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1568),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1568),
    [sym_var_modifier] = ACTIONS(1568),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1568),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1568),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1568),
    [anon_sym_LPAREN2] = ACTIONS(1566),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1568),
    [aux_sym_cast_type_token1] = ACTIONS(1568),
    [aux_sym_echo_statement_token1] = ACTIONS(1568),
    [aux_sym_exit_statement_token1] = ACTIONS(1568),
    [anon_sym_unset] = ACTIONS(1568),
    [aux_sym_declare_statement_token1] = ACTIONS(1568),
    [aux_sym_declare_statement_token2] = ACTIONS(1568),
    [sym_float] = ACTIONS(1568),
    [aux_sym_try_statement_token1] = ACTIONS(1568),
    [aux_sym_goto_statement_token1] = ACTIONS(1568),
    [aux_sym_continue_statement_token1] = ACTIONS(1568),
    [aux_sym_break_statement_token1] = ACTIONS(1568),
    [sym_integer] = ACTIONS(1568),
    [aux_sym_return_statement_token1] = ACTIONS(1568),
    [aux_sym_throw_expression_token1] = ACTIONS(1568),
    [aux_sym_while_statement_token1] = ACTIONS(1568),
    [aux_sym_while_statement_token2] = ACTIONS(1568),
    [aux_sym_do_statement_token1] = ACTIONS(1568),
    [aux_sym_for_statement_token1] = ACTIONS(1568),
    [aux_sym_for_statement_token2] = ACTIONS(1568),
    [aux_sym_foreach_statement_token1] = ACTIONS(1568),
    [aux_sym_foreach_statement_token2] = ACTIONS(1568),
    [aux_sym_if_statement_token1] = ACTIONS(1568),
    [aux_sym_if_statement_token2] = ACTIONS(1568),
    [aux_sym_else_if_clause_token1] = ACTIONS(1568),
    [aux_sym_else_clause_token1] = ACTIONS(1568),
    [aux_sym_match_expression_token1] = ACTIONS(1568),
    [aux_sym_match_default_expression_token1] = ACTIONS(1568),
    [aux_sym_switch_statement_token1] = ACTIONS(1568),
    [aux_sym_switch_block_token1] = ACTIONS(1568),
    [anon_sym_PLUS] = ACTIONS(1568),
    [anon_sym_DASH] = ACTIONS(1568),
    [anon_sym_TILDE] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1566),
    [anon_sym_AT] = ACTIONS(1566),
    [aux_sym_clone_expression_token1] = ACTIONS(1568),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1568),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1568),
    [anon_sym_DASH_DASH] = ACTIONS(1566),
    [anon_sym_PLUS_PLUS] = ACTIONS(1566),
    [aux_sym__list_destructing_token1] = ACTIONS(1568),
    [anon_sym_LBRACK] = ACTIONS(1566),
    [anon_sym_self] = ACTIONS(1568),
    [anon_sym_parent] = ACTIONS(1568),
    [aux_sym__argument_name_token1] = ACTIONS(1568),
    [aux_sym__argument_name_token2] = ACTIONS(1568),
    [anon_sym_POUND_LBRACK] = ACTIONS(1566),
    [aux_sym_encapsed_string_token1] = ACTIONS(1566),
    [anon_sym_DQUOTE] = ACTIONS(1566),
    [aux_sym_string_token1] = ACTIONS(1566),
    [anon_sym_SQUOTE] = ACTIONS(1566),
    [anon_sym_LT_LT_LT] = ACTIONS(1566),
    [anon_sym_BQUOTE] = ACTIONS(1566),
    [anon_sym_DOLLAR] = ACTIONS(1566),
    [aux_sym_yield_expression_token1] = ACTIONS(1568),
    [aux_sym_include_expression_token1] = ACTIONS(1568),
    [aux_sym_include_once_expression_token1] = ACTIONS(1568),
    [aux_sym_require_expression_token1] = ACTIONS(1568),
    [aux_sym_require_once_expression_token1] = ACTIONS(1568),
    [sym_comment] = ACTIONS(3),
  },
  [574] = {
    [ts_builtin_sym_end] = ACTIONS(1570),
    [sym_name] = ACTIONS(1572),
    [anon_sym_QMARK_GT] = ACTIONS(1570),
    [anon_sym_SEMI] = ACTIONS(1570),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1572),
    [aux_sym_global_declaration_token1] = ACTIONS(1572),
    [aux_sym_namespace_definition_token1] = ACTIONS(1572),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1572),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1572),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1572),
    [anon_sym_BSLASH] = ACTIONS(1570),
    [anon_sym_LBRACE] = ACTIONS(1570),
    [anon_sym_RBRACE] = ACTIONS(1570),
    [aux_sym_trait_declaration_token1] = ACTIONS(1572),
    [aux_sym_interface_declaration_token1] = ACTIONS(1572),
    [aux_sym_enum_declaration_token1] = ACTIONS(1572),
    [aux_sym_enum_case_token1] = ACTIONS(1572),
    [aux_sym_class_declaration_token1] = ACTIONS(1572),
    [aux_sym_final_modifier_token1] = ACTIONS(1572),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1572),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1572),
    [sym_var_modifier] = ACTIONS(1572),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1572),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1572),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1572),
    [anon_sym_LPAREN2] = ACTIONS(1570),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1572),
    [aux_sym_cast_type_token1] = ACTIONS(1572),
    [aux_sym_echo_statement_token1] = ACTIONS(1572),
    [aux_sym_exit_statement_token1] = ACTIONS(1572),
    [anon_sym_unset] = ACTIONS(1572),
    [aux_sym_declare_statement_token1] = ACTIONS(1572),
    [aux_sym_declare_statement_token2] = ACTIONS(1572),
    [sym_float] = ACTIONS(1572),
    [aux_sym_try_statement_token1] = ACTIONS(1572),
    [aux_sym_goto_statement_token1] = ACTIONS(1572),
    [aux_sym_continue_statement_token1] = ACTIONS(1572),
    [aux_sym_break_statement_token1] = ACTIONS(1572),
    [sym_integer] = ACTIONS(1572),
    [aux_sym_return_statement_token1] = ACTIONS(1572),
    [aux_sym_throw_expression_token1] = ACTIONS(1572),
    [aux_sym_while_statement_token1] = ACTIONS(1572),
    [aux_sym_while_statement_token2] = ACTIONS(1572),
    [aux_sym_do_statement_token1] = ACTIONS(1572),
    [aux_sym_for_statement_token1] = ACTIONS(1572),
    [aux_sym_for_statement_token2] = ACTIONS(1572),
    [aux_sym_foreach_statement_token1] = ACTIONS(1572),
    [aux_sym_foreach_statement_token2] = ACTIONS(1572),
    [aux_sym_if_statement_token1] = ACTIONS(1572),
    [aux_sym_if_statement_token2] = ACTIONS(1572),
    [aux_sym_else_if_clause_token1] = ACTIONS(1572),
    [aux_sym_else_clause_token1] = ACTIONS(1572),
    [aux_sym_match_expression_token1] = ACTIONS(1572),
    [aux_sym_match_default_expression_token1] = ACTIONS(1572),
    [aux_sym_switch_statement_token1] = ACTIONS(1572),
    [aux_sym_switch_block_token1] = ACTIONS(1572),
    [anon_sym_PLUS] = ACTIONS(1572),
    [anon_sym_DASH] = ACTIONS(1572),
    [anon_sym_TILDE] = ACTIONS(1570),
    [anon_sym_BANG] = ACTIONS(1570),
    [anon_sym_AT] = ACTIONS(1570),
    [aux_sym_clone_expression_token1] = ACTIONS(1572),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1572),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1572),
    [anon_sym_DASH_DASH] = ACTIONS(1570),
    [anon_sym_PLUS_PLUS] = ACTIONS(1570),
    [aux_sym__list_destructing_token1] = ACTIONS(1572),
    [anon_sym_LBRACK] = ACTIONS(1570),
    [anon_sym_self] = ACTIONS(1572),
    [anon_sym_parent] = ACTIONS(1572),
    [aux_sym__argument_name_token1] = ACTIONS(1572),
    [aux_sym__argument_name_token2] = ACTIONS(1572),
    [anon_sym_POUND_LBRACK] = ACTIONS(1570),
    [aux_sym_encapsed_string_token1] = ACTIONS(1570),
    [anon_sym_DQUOTE] = ACTIONS(1570),
    [aux_sym_string_token1] = ACTIONS(1570),
    [anon_sym_SQUOTE] = ACTIONS(1570),
    [anon_sym_LT_LT_LT] = ACTIONS(1570),
    [anon_sym_BQUOTE] = ACTIONS(1570),
    [anon_sym_DOLLAR] = ACTIONS(1570),
    [aux_sym_yield_expression_token1] = ACTIONS(1572),
    [aux_sym_include_expression_token1] = ACTIONS(1572),
    [aux_sym_include_once_expression_token1] = ACTIONS(1572),
    [aux_sym_require_expression_token1] = ACTIONS(1572),
    [aux_sym_require_once_expression_token1] = ACTIONS(1572),
    [sym_comment] = ACTIONS(3),
  },
  [575] = {
    [ts_builtin_sym_end] = ACTIONS(1574),
    [sym_name] = ACTIONS(1576),
    [anon_sym_QMARK_GT] = ACTIONS(1574),
    [anon_sym_SEMI] = ACTIONS(1574),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1576),
    [aux_sym_global_declaration_token1] = ACTIONS(1576),
    [aux_sym_namespace_definition_token1] = ACTIONS(1576),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1576),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1576),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1576),
    [anon_sym_BSLASH] = ACTIONS(1574),
    [anon_sym_LBRACE] = ACTIONS(1574),
    [anon_sym_RBRACE] = ACTIONS(1574),
    [aux_sym_trait_declaration_token1] = ACTIONS(1576),
    [aux_sym_interface_declaration_token1] = ACTIONS(1576),
    [aux_sym_enum_declaration_token1] = ACTIONS(1576),
    [aux_sym_enum_case_token1] = ACTIONS(1576),
    [aux_sym_class_declaration_token1] = ACTIONS(1576),
    [aux_sym_final_modifier_token1] = ACTIONS(1576),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1576),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1576),
    [sym_var_modifier] = ACTIONS(1576),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1576),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1576),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1576),
    [anon_sym_LPAREN2] = ACTIONS(1574),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1576),
    [aux_sym_cast_type_token1] = ACTIONS(1576),
    [aux_sym_echo_statement_token1] = ACTIONS(1576),
    [aux_sym_exit_statement_token1] = ACTIONS(1576),
    [anon_sym_unset] = ACTIONS(1576),
    [aux_sym_declare_statement_token1] = ACTIONS(1576),
    [aux_sym_declare_statement_token2] = ACTIONS(1576),
    [sym_float] = ACTIONS(1576),
    [aux_sym_try_statement_token1] = ACTIONS(1576),
    [aux_sym_goto_statement_token1] = ACTIONS(1576),
    [aux_sym_continue_statement_token1] = ACTIONS(1576),
    [aux_sym_break_statement_token1] = ACTIONS(1576),
    [sym_integer] = ACTIONS(1576),
    [aux_sym_return_statement_token1] = ACTIONS(1576),
    [aux_sym_throw_expression_token1] = ACTIONS(1576),
    [aux_sym_while_statement_token1] = ACTIONS(1576),
    [aux_sym_while_statement_token2] = ACTIONS(1576),
    [aux_sym_do_statement_token1] = ACTIONS(1576),
    [aux_sym_for_statement_token1] = ACTIONS(1576),
    [aux_sym_for_statement_token2] = ACTIONS(1576),
    [aux_sym_foreach_statement_token1] = ACTIONS(1576),
    [aux_sym_foreach_statement_token2] = ACTIONS(1576),
    [aux_sym_if_statement_token1] = ACTIONS(1576),
    [aux_sym_if_statement_token2] = ACTIONS(1576),
    [aux_sym_else_if_clause_token1] = ACTIONS(1576),
    [aux_sym_else_clause_token1] = ACTIONS(1576),
    [aux_sym_match_expression_token1] = ACTIONS(1576),
    [aux_sym_match_default_expression_token1] = ACTIONS(1576),
    [aux_sym_switch_statement_token1] = ACTIONS(1576),
    [aux_sym_switch_block_token1] = ACTIONS(1576),
    [anon_sym_PLUS] = ACTIONS(1576),
    [anon_sym_DASH] = ACTIONS(1576),
    [anon_sym_TILDE] = ACTIONS(1574),
    [anon_sym_BANG] = ACTIONS(1574),
    [anon_sym_AT] = ACTIONS(1574),
    [aux_sym_clone_expression_token1] = ACTIONS(1576),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1576),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1576),
    [anon_sym_DASH_DASH] = ACTIONS(1574),
    [anon_sym_PLUS_PLUS] = ACTIONS(1574),
    [aux_sym__list_destructing_token1] = ACTIONS(1576),
    [anon_sym_LBRACK] = ACTIONS(1574),
    [anon_sym_self] = ACTIONS(1576),
    [anon_sym_parent] = ACTIONS(1576),
    [aux_sym__argument_name_token1] = ACTIONS(1576),
    [aux_sym__argument_name_token2] = ACTIONS(1576),
    [anon_sym_POUND_LBRACK] = ACTIONS(1574),
    [aux_sym_encapsed_string_token1] = ACTIONS(1574),
    [anon_sym_DQUOTE] = ACTIONS(1574),
    [aux_sym_string_token1] = ACTIONS(1574),
    [anon_sym_SQUOTE] = ACTIONS(1574),
    [anon_sym_LT_LT_LT] = ACTIONS(1574),
    [anon_sym_BQUOTE] = ACTIONS(1574),
    [anon_sym_DOLLAR] = ACTIONS(1574),
    [aux_sym_yield_expression_token1] = ACTIONS(1576),
    [aux_sym_include_expression_token1] = ACTIONS(1576),
    [aux_sym_include_once_expression_token1] = ACTIONS(1576),
    [aux_sym_require_expression_token1] = ACTIONS(1576),
    [aux_sym_require_once_expression_token1] = ACTIONS(1576),
    [sym_comment] = ACTIONS(3),
  },
  [576] = {
    [ts_builtin_sym_end] = ACTIONS(1578),
    [sym_name] = ACTIONS(1580),
    [anon_sym_QMARK_GT] = ACTIONS(1578),
    [anon_sym_SEMI] = ACTIONS(1578),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1580),
    [aux_sym_global_declaration_token1] = ACTIONS(1580),
    [aux_sym_namespace_definition_token1] = ACTIONS(1580),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1580),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1580),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1580),
    [anon_sym_BSLASH] = ACTIONS(1578),
    [anon_sym_LBRACE] = ACTIONS(1578),
    [anon_sym_RBRACE] = ACTIONS(1578),
    [aux_sym_trait_declaration_token1] = ACTIONS(1580),
    [aux_sym_interface_declaration_token1] = ACTIONS(1580),
    [aux_sym_enum_declaration_token1] = ACTIONS(1580),
    [aux_sym_enum_case_token1] = ACTIONS(1580),
    [aux_sym_class_declaration_token1] = ACTIONS(1580),
    [aux_sym_final_modifier_token1] = ACTIONS(1580),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1580),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1580),
    [sym_var_modifier] = ACTIONS(1580),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1580),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1580),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1580),
    [anon_sym_LPAREN2] = ACTIONS(1578),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1580),
    [aux_sym_cast_type_token1] = ACTIONS(1580),
    [aux_sym_echo_statement_token1] = ACTIONS(1580),
    [aux_sym_exit_statement_token1] = ACTIONS(1580),
    [anon_sym_unset] = ACTIONS(1580),
    [aux_sym_declare_statement_token1] = ACTIONS(1580),
    [aux_sym_declare_statement_token2] = ACTIONS(1580),
    [sym_float] = ACTIONS(1580),
    [aux_sym_try_statement_token1] = ACTIONS(1580),
    [aux_sym_goto_statement_token1] = ACTIONS(1580),
    [aux_sym_continue_statement_token1] = ACTIONS(1580),
    [aux_sym_break_statement_token1] = ACTIONS(1580),
    [sym_integer] = ACTIONS(1580),
    [aux_sym_return_statement_token1] = ACTIONS(1580),
    [aux_sym_throw_expression_token1] = ACTIONS(1580),
    [aux_sym_while_statement_token1] = ACTIONS(1580),
    [aux_sym_while_statement_token2] = ACTIONS(1580),
    [aux_sym_do_statement_token1] = ACTIONS(1580),
    [aux_sym_for_statement_token1] = ACTIONS(1580),
    [aux_sym_for_statement_token2] = ACTIONS(1580),
    [aux_sym_foreach_statement_token1] = ACTIONS(1580),
    [aux_sym_foreach_statement_token2] = ACTIONS(1580),
    [aux_sym_if_statement_token1] = ACTIONS(1580),
    [aux_sym_if_statement_token2] = ACTIONS(1580),
    [aux_sym_else_if_clause_token1] = ACTIONS(1580),
    [aux_sym_else_clause_token1] = ACTIONS(1580),
    [aux_sym_match_expression_token1] = ACTIONS(1580),
    [aux_sym_match_default_expression_token1] = ACTIONS(1580),
    [aux_sym_switch_statement_token1] = ACTIONS(1580),
    [aux_sym_switch_block_token1] = ACTIONS(1580),
    [anon_sym_PLUS] = ACTIONS(1580),
    [anon_sym_DASH] = ACTIONS(1580),
    [anon_sym_TILDE] = ACTIONS(1578),
    [anon_sym_BANG] = ACTIONS(1578),
    [anon_sym_AT] = ACTIONS(1578),
    [aux_sym_clone_expression_token1] = ACTIONS(1580),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1580),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1580),
    [anon_sym_DASH_DASH] = ACTIONS(1578),
    [anon_sym_PLUS_PLUS] = ACTIONS(1578),
    [aux_sym__list_destructing_token1] = ACTIONS(1580),
    [anon_sym_LBRACK] = ACTIONS(1578),
    [anon_sym_self] = ACTIONS(1580),
    [anon_sym_parent] = ACTIONS(1580),
    [aux_sym__argument_name_token1] = ACTIONS(1580),
    [aux_sym__argument_name_token2] = ACTIONS(1580),
    [anon_sym_POUND_LBRACK] = ACTIONS(1578),
    [aux_sym_encapsed_string_token1] = ACTIONS(1578),
    [anon_sym_DQUOTE] = ACTIONS(1578),
    [aux_sym_string_token1] = ACTIONS(1578),
    [anon_sym_SQUOTE] = ACTIONS(1578),
    [anon_sym_LT_LT_LT] = ACTIONS(1578),
    [anon_sym_BQUOTE] = ACTIONS(1578),
    [anon_sym_DOLLAR] = ACTIONS(1578),
    [aux_sym_yield_expression_token1] = ACTIONS(1580),
    [aux_sym_include_expression_token1] = ACTIONS(1580),
    [aux_sym_include_once_expression_token1] = ACTIONS(1580),
    [aux_sym_require_expression_token1] = ACTIONS(1580),
    [aux_sym_require_once_expression_token1] = ACTIONS(1580),
    [sym_comment] = ACTIONS(3),
  },
  [577] = {
    [ts_builtin_sym_end] = ACTIONS(1582),
    [sym_name] = ACTIONS(1584),
    [anon_sym_QMARK_GT] = ACTIONS(1582),
    [anon_sym_SEMI] = ACTIONS(1582),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1584),
    [aux_sym_global_declaration_token1] = ACTIONS(1584),
    [aux_sym_namespace_definition_token1] = ACTIONS(1584),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1584),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1584),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1584),
    [anon_sym_BSLASH] = ACTIONS(1582),
    [anon_sym_LBRACE] = ACTIONS(1582),
    [anon_sym_RBRACE] = ACTIONS(1582),
    [aux_sym_trait_declaration_token1] = ACTIONS(1584),
    [aux_sym_interface_declaration_token1] = ACTIONS(1584),
    [aux_sym_enum_declaration_token1] = ACTIONS(1584),
    [aux_sym_enum_case_token1] = ACTIONS(1584),
    [aux_sym_class_declaration_token1] = ACTIONS(1584),
    [aux_sym_final_modifier_token1] = ACTIONS(1584),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1584),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1584),
    [sym_var_modifier] = ACTIONS(1584),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1584),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1584),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1584),
    [anon_sym_LPAREN2] = ACTIONS(1582),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1584),
    [aux_sym_cast_type_token1] = ACTIONS(1584),
    [aux_sym_echo_statement_token1] = ACTIONS(1584),
    [aux_sym_exit_statement_token1] = ACTIONS(1584),
    [anon_sym_unset] = ACTIONS(1584),
    [aux_sym_declare_statement_token1] = ACTIONS(1584),
    [aux_sym_declare_statement_token2] = ACTIONS(1584),
    [sym_float] = ACTIONS(1584),
    [aux_sym_try_statement_token1] = ACTIONS(1584),
    [aux_sym_goto_statement_token1] = ACTIONS(1584),
    [aux_sym_continue_statement_token1] = ACTIONS(1584),
    [aux_sym_break_statement_token1] = ACTIONS(1584),
    [sym_integer] = ACTIONS(1584),
    [aux_sym_return_statement_token1] = ACTIONS(1584),
    [aux_sym_throw_expression_token1] = ACTIONS(1584),
    [aux_sym_while_statement_token1] = ACTIONS(1584),
    [aux_sym_while_statement_token2] = ACTIONS(1584),
    [aux_sym_do_statement_token1] = ACTIONS(1584),
    [aux_sym_for_statement_token1] = ACTIONS(1584),
    [aux_sym_for_statement_token2] = ACTIONS(1584),
    [aux_sym_foreach_statement_token1] = ACTIONS(1584),
    [aux_sym_foreach_statement_token2] = ACTIONS(1584),
    [aux_sym_if_statement_token1] = ACTIONS(1584),
    [aux_sym_if_statement_token2] = ACTIONS(1584),
    [aux_sym_else_if_clause_token1] = ACTIONS(1584),
    [aux_sym_else_clause_token1] = ACTIONS(1584),
    [aux_sym_match_expression_token1] = ACTIONS(1584),
    [aux_sym_match_default_expression_token1] = ACTIONS(1584),
    [aux_sym_switch_statement_token1] = ACTIONS(1584),
    [aux_sym_switch_block_token1] = ACTIONS(1584),
    [anon_sym_PLUS] = ACTIONS(1584),
    [anon_sym_DASH] = ACTIONS(1584),
    [anon_sym_TILDE] = ACTIONS(1582),
    [anon_sym_BANG] = ACTIONS(1582),
    [anon_sym_AT] = ACTIONS(1582),
    [aux_sym_clone_expression_token1] = ACTIONS(1584),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1584),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1584),
    [anon_sym_DASH_DASH] = ACTIONS(1582),
    [anon_sym_PLUS_PLUS] = ACTIONS(1582),
    [aux_sym__list_destructing_token1] = ACTIONS(1584),
    [anon_sym_LBRACK] = ACTIONS(1582),
    [anon_sym_self] = ACTIONS(1584),
    [anon_sym_parent] = ACTIONS(1584),
    [aux_sym__argument_name_token1] = ACTIONS(1584),
    [aux_sym__argument_name_token2] = ACTIONS(1584),
    [anon_sym_POUND_LBRACK] = ACTIONS(1582),
    [aux_sym_encapsed_string_token1] = ACTIONS(1582),
    [anon_sym_DQUOTE] = ACTIONS(1582),
    [aux_sym_string_token1] = ACTIONS(1582),
    [anon_sym_SQUOTE] = ACTIONS(1582),
    [anon_sym_LT_LT_LT] = ACTIONS(1582),
    [anon_sym_BQUOTE] = ACTIONS(1582),
    [anon_sym_DOLLAR] = ACTIONS(1582),
    [aux_sym_yield_expression_token1] = ACTIONS(1584),
    [aux_sym_include_expression_token1] = ACTIONS(1584),
    [aux_sym_include_once_expression_token1] = ACTIONS(1584),
    [aux_sym_require_expression_token1] = ACTIONS(1584),
    [aux_sym_require_once_expression_token1] = ACTIONS(1584),
    [sym_comment] = ACTIONS(3),
  },
  [578] = {
    [ts_builtin_sym_end] = ACTIONS(1586),
    [sym_name] = ACTIONS(1588),
    [anon_sym_QMARK_GT] = ACTIONS(1586),
    [anon_sym_SEMI] = ACTIONS(1586),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1588),
    [aux_sym_global_declaration_token1] = ACTIONS(1588),
    [aux_sym_namespace_definition_token1] = ACTIONS(1588),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1588),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1588),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1588),
    [anon_sym_BSLASH] = ACTIONS(1586),
    [anon_sym_LBRACE] = ACTIONS(1586),
    [anon_sym_RBRACE] = ACTIONS(1586),
    [aux_sym_trait_declaration_token1] = ACTIONS(1588),
    [aux_sym_interface_declaration_token1] = ACTIONS(1588),
    [aux_sym_enum_declaration_token1] = ACTIONS(1588),
    [aux_sym_enum_case_token1] = ACTIONS(1588),
    [aux_sym_class_declaration_token1] = ACTIONS(1588),
    [aux_sym_final_modifier_token1] = ACTIONS(1588),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1588),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1588),
    [sym_var_modifier] = ACTIONS(1588),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1588),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1588),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1588),
    [anon_sym_LPAREN2] = ACTIONS(1586),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1588),
    [aux_sym_cast_type_token1] = ACTIONS(1588),
    [aux_sym_echo_statement_token1] = ACTIONS(1588),
    [aux_sym_exit_statement_token1] = ACTIONS(1588),
    [anon_sym_unset] = ACTIONS(1588),
    [aux_sym_declare_statement_token1] = ACTIONS(1588),
    [aux_sym_declare_statement_token2] = ACTIONS(1588),
    [sym_float] = ACTIONS(1588),
    [aux_sym_try_statement_token1] = ACTIONS(1588),
    [aux_sym_goto_statement_token1] = ACTIONS(1588),
    [aux_sym_continue_statement_token1] = ACTIONS(1588),
    [aux_sym_break_statement_token1] = ACTIONS(1588),
    [sym_integer] = ACTIONS(1588),
    [aux_sym_return_statement_token1] = ACTIONS(1588),
    [aux_sym_throw_expression_token1] = ACTIONS(1588),
    [aux_sym_while_statement_token1] = ACTIONS(1588),
    [aux_sym_while_statement_token2] = ACTIONS(1588),
    [aux_sym_do_statement_token1] = ACTIONS(1588),
    [aux_sym_for_statement_token1] = ACTIONS(1588),
    [aux_sym_for_statement_token2] = ACTIONS(1588),
    [aux_sym_foreach_statement_token1] = ACTIONS(1588),
    [aux_sym_foreach_statement_token2] = ACTIONS(1588),
    [aux_sym_if_statement_token1] = ACTIONS(1588),
    [aux_sym_if_statement_token2] = ACTIONS(1588),
    [aux_sym_else_if_clause_token1] = ACTIONS(1588),
    [aux_sym_else_clause_token1] = ACTIONS(1588),
    [aux_sym_match_expression_token1] = ACTIONS(1588),
    [aux_sym_match_default_expression_token1] = ACTIONS(1588),
    [aux_sym_switch_statement_token1] = ACTIONS(1588),
    [aux_sym_switch_block_token1] = ACTIONS(1588),
    [anon_sym_PLUS] = ACTIONS(1588),
    [anon_sym_DASH] = ACTIONS(1588),
    [anon_sym_TILDE] = ACTIONS(1586),
    [anon_sym_BANG] = ACTIONS(1586),
    [anon_sym_AT] = ACTIONS(1586),
    [aux_sym_clone_expression_token1] = ACTIONS(1588),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1588),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1588),
    [anon_sym_DASH_DASH] = ACTIONS(1586),
    [anon_sym_PLUS_PLUS] = ACTIONS(1586),
    [aux_sym__list_destructing_token1] = ACTIONS(1588),
    [anon_sym_LBRACK] = ACTIONS(1586),
    [anon_sym_self] = ACTIONS(1588),
    [anon_sym_parent] = ACTIONS(1588),
    [aux_sym__argument_name_token1] = ACTIONS(1588),
    [aux_sym__argument_name_token2] = ACTIONS(1588),
    [anon_sym_POUND_LBRACK] = ACTIONS(1586),
    [aux_sym_encapsed_string_token1] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(1586),
    [aux_sym_string_token1] = ACTIONS(1586),
    [anon_sym_SQUOTE] = ACTIONS(1586),
    [anon_sym_LT_LT_LT] = ACTIONS(1586),
    [anon_sym_BQUOTE] = ACTIONS(1586),
    [anon_sym_DOLLAR] = ACTIONS(1586),
    [aux_sym_yield_expression_token1] = ACTIONS(1588),
    [aux_sym_include_expression_token1] = ACTIONS(1588),
    [aux_sym_include_once_expression_token1] = ACTIONS(1588),
    [aux_sym_require_expression_token1] = ACTIONS(1588),
    [aux_sym_require_once_expression_token1] = ACTIONS(1588),
    [sym_comment] = ACTIONS(3),
  },
  [579] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1635),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2497),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1016),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_variable] = STATE(756),
    [sym__variable_member_access_expression] = STATE(739),
    [sym_member_access_expression] = STATE(756),
    [sym__variable_nullsafe_member_access_expression] = STATE(742),
    [sym_nullsafe_member_access_expression] = STATE(756),
    [sym__variable_scoped_property_access_expression] = STATE(743),
    [sym_scoped_property_access_expression] = STATE(756),
    [sym_function_call_expression] = STATE(736),
    [sym__callable_expression] = STATE(2259),
    [sym_scoped_call_expression] = STATE(736),
    [sym__scope_resolution_qualifier] = STATE(2530),
    [sym_relative_scope] = STATE(2530),
    [sym_member_call_expression] = STATE(736),
    [sym_nullsafe_member_call_expression] = STATE(736),
    [sym__variable_subscript_expression] = STATE(738),
    [sym__dereferencable_subscript_expression] = STATE(736),
    [sym__dereferencable_expression] = STATE(1879),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(712),
    [sym__simple_variable] = STATE(712),
    [sym__new_variable] = STATE(738),
    [sym__callable_variable] = STATE(736),
    [sym_variable_name] = STATE(712),
    [sym__reserved_identifier] = STATE(1635),
    [sym__identifier] = STATE(1635),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(1590),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(695),
    [aux_sym_print_intrinsic_token1] = ACTIONS(705),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(1592),
    [sym_comment] = ACTIONS(3),
  },
  [580] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1635),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2592),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1016),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_variable] = STATE(756),
    [sym__variable_member_access_expression] = STATE(739),
    [sym_member_access_expression] = STATE(756),
    [sym__variable_nullsafe_member_access_expression] = STATE(742),
    [sym_nullsafe_member_access_expression] = STATE(756),
    [sym__variable_scoped_property_access_expression] = STATE(743),
    [sym_scoped_property_access_expression] = STATE(756),
    [sym_function_call_expression] = STATE(736),
    [sym__callable_expression] = STATE(2259),
    [sym_scoped_call_expression] = STATE(736),
    [sym__scope_resolution_qualifier] = STATE(2530),
    [sym_relative_scope] = STATE(2530),
    [sym_member_call_expression] = STATE(736),
    [sym_nullsafe_member_call_expression] = STATE(736),
    [sym__variable_subscript_expression] = STATE(738),
    [sym__dereferencable_subscript_expression] = STATE(736),
    [sym__dereferencable_expression] = STATE(1879),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(712),
    [sym__simple_variable] = STATE(712),
    [sym__new_variable] = STATE(738),
    [sym__callable_variable] = STATE(736),
    [sym_variable_name] = STATE(712),
    [sym__reserved_identifier] = STATE(1635),
    [sym__identifier] = STATE(1635),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(1590),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(735),
    [aux_sym_print_intrinsic_token1] = ACTIONS(745),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(1592),
    [sym_comment] = ACTIONS(3),
  },
  [581] = {
    [sym_qualified_name] = STATE(788),
    [sym_relative_name] = STATE(788),
    [sym__name] = STATE(1635),
    [sym_namespace_name] = STATE(2478),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1017),
    [sym__anonymous_function_header] = STATE(2277),
    [sym__arrow_function_header] = STATE(2632),
    [sym_arrow_function] = STATE(1017),
    [sym_literal] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1016),
    [sym_parenthesized_expression] = STATE(789),
    [sym_class_constant_access_expression] = STATE(843),
    [sym_print_intrinsic] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym__new_non_dereferencable_expression] = STATE(1001),
    [sym__new_dereferencable_expression] = STATE(790),
    [sym_update_expression] = STATE(1017),
    [sym_cast_variable] = STATE(756),
    [sym__variable_member_access_expression] = STATE(739),
    [sym_member_access_expression] = STATE(756),
    [sym__variable_nullsafe_member_access_expression] = STATE(742),
    [sym_nullsafe_member_access_expression] = STATE(756),
    [sym__variable_scoped_property_access_expression] = STATE(743),
    [sym_scoped_property_access_expression] = STATE(756),
    [sym_function_call_expression] = STATE(736),
    [sym__callable_expression] = STATE(2259),
    [sym_scoped_call_expression] = STATE(736),
    [sym__scope_resolution_qualifier] = STATE(2530),
    [sym_relative_scope] = STATE(2530),
    [sym_member_call_expression] = STATE(736),
    [sym_nullsafe_member_call_expression] = STATE(736),
    [sym__variable_subscript_expression] = STATE(738),
    [sym__dereferencable_subscript_expression] = STATE(736),
    [sym__dereferencable_expression] = STATE(1879),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(757),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(800),
    [sym_string] = STATE(800),
    [sym_heredoc] = STATE(800),
    [sym_nowdoc] = STATE(800),
    [sym_shell_command_expression] = STATE(1017),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(800),
    [sym_dynamic_variable_name] = STATE(712),
    [sym__simple_variable] = STATE(712),
    [sym__new_variable] = STATE(738),
    [sym__callable_variable] = STATE(736),
    [sym_variable_name] = STATE(712),
    [sym__reserved_identifier] = STATE(1635),
    [sym__identifier] = STATE(1635),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_LPAREN2] = ACTIONS(1590),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(641),
    [sym_float] = ACTIONS(643),
    [sym_integer] = ACTIONS(643),
    [aux_sym_throw_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(657),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(661),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(665),
    [aux_sym__argument_name_token2] = ACTIONS(667),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(669),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_string_token1] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_LT_LT_LT] = ACTIONS(673),
    [anon_sym_BQUOTE] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(1592),
    [sym_comment] = ACTIONS(3),
  },
  [582] = {
    [sym_qualified_name] = STATE(953),
    [sym_relative_name] = STATE(953),
    [sym__name] = STATE(1595),
    [sym_namespace_name] = STATE(2650),
    [sym_static_modifier] = STATE(2253),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2408),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_primary_expression] = STATE(1091),
    [sym_parenthesized_expression] = STATE(924),
    [sym_class_constant_access_expression] = STATE(1010),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1100),
    [sym__new_dereferencable_expression] = STATE(973),
    [sym_update_expression] = STATE(1095),
    [sym_cast_variable] = STATE(892),
    [sym__variable_member_access_expression] = STATE(881),
    [sym_member_access_expression] = STATE(892),
    [sym__variable_nullsafe_member_access_expression] = STATE(883),
    [sym_nullsafe_member_access_expression] = STATE(892),
    [sym__variable_scoped_property_access_expression] = STATE(888),
    [sym_scoped_property_access_expression] = STATE(892),
    [sym_function_call_expression] = STATE(854),
    [sym__callable_expression] = STATE(2431),
    [sym_scoped_call_expression] = STATE(854),
    [sym__scope_resolution_qualifier] = STATE(2482),
    [sym_relative_scope] = STATE(2482),
    [sym_member_call_expression] = STATE(854),
    [sym_nullsafe_member_call_expression] = STATE(854),
    [sym__variable_subscript_expression] = STATE(891),
    [sym__dereferencable_subscript_expression] = STATE(854),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1676),
    [sym_array_creation_expression] = STATE(929),
    [sym_attribute_group] = STATE(1338),
    [sym_attribute_list] = STATE(1803),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1099),
    [sym_null] = STATE(1099),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(858),
    [sym__simple_variable] = STATE(858),
    [sym__new_variable] = STATE(891),
    [sym__callable_variable] = STATE(854),
    [sym_variable_name] = STATE(858),
    [sym__reserved_identifier] = STATE(1595),
    [sym__identifier] = STATE(1595),
    [aux_sym_attribute_list_repeat1] = STATE(1338),
    [sym_name] = ACTIONS(721),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_definition_token1] = ACTIONS(725),
    [aux_sym__namespace_use_type_token1] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(1594),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(1596),
    [sym_comment] = ACTIONS(3),
  },
  [583] = {
    [sym_name] = ACTIONS(1598),
    [anon_sym_SEMI] = ACTIONS(1600),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1598),
    [aux_sym_global_declaration_token1] = ACTIONS(1598),
    [aux_sym_namespace_definition_token1] = ACTIONS(1598),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1598),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1598),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1598),
    [anon_sym_BSLASH] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1600),
    [aux_sym_trait_declaration_token1] = ACTIONS(1598),
    [aux_sym_interface_declaration_token1] = ACTIONS(1598),
    [aux_sym_enum_declaration_token1] = ACTIONS(1598),
    [anon_sym_COLON] = ACTIONS(1600),
    [aux_sym_class_declaration_token1] = ACTIONS(1598),
    [aux_sym_final_modifier_token1] = ACTIONS(1598),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1598),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1598),
    [sym_var_modifier] = ACTIONS(1598),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1598),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1598),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1598),
    [anon_sym_LPAREN2] = ACTIONS(1600),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1598),
    [aux_sym_cast_type_token1] = ACTIONS(1598),
    [aux_sym_echo_statement_token1] = ACTIONS(1598),
    [aux_sym_exit_statement_token1] = ACTIONS(1598),
    [anon_sym_unset] = ACTIONS(1598),
    [aux_sym_declare_statement_token1] = ACTIONS(1598),
    [sym_float] = ACTIONS(1598),
    [aux_sym_try_statement_token1] = ACTIONS(1598),
    [aux_sym_goto_statement_token1] = ACTIONS(1598),
    [aux_sym_continue_statement_token1] = ACTIONS(1598),
    [aux_sym_break_statement_token1] = ACTIONS(1598),
    [sym_integer] = ACTIONS(1598),
    [aux_sym_return_statement_token1] = ACTIONS(1598),
    [aux_sym_throw_expression_token1] = ACTIONS(1598),
    [aux_sym_while_statement_token1] = ACTIONS(1598),
    [aux_sym_do_statement_token1] = ACTIONS(1598),
    [aux_sym_for_statement_token1] = ACTIONS(1598),
    [aux_sym_foreach_statement_token1] = ACTIONS(1598),
    [aux_sym_if_statement_token1] = ACTIONS(1598),
    [aux_sym_match_expression_token1] = ACTIONS(1598),
    [aux_sym_switch_statement_token1] = ACTIONS(1598),
    [anon_sym_PLUS] = ACTIONS(1598),
    [anon_sym_DASH] = ACTIONS(1598),
    [anon_sym_TILDE] = ACTIONS(1600),
    [anon_sym_BANG] = ACTIONS(1600),
    [anon_sym_AT] = ACTIONS(1600),
    [aux_sym_clone_expression_token1] = ACTIONS(1598),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1598),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1598),
    [anon_sym_DASH_DASH] = ACTIONS(1600),
    [anon_sym_PLUS_PLUS] = ACTIONS(1600),
    [aux_sym__list_destructing_token1] = ACTIONS(1598),
    [anon_sym_LBRACK] = ACTIONS(1600),
    [anon_sym_self] = ACTIONS(1598),
    [anon_sym_parent] = ACTIONS(1598),
    [aux_sym__argument_name_token1] = ACTIONS(1598),
    [aux_sym__argument_name_token2] = ACTIONS(1598),
    [anon_sym_POUND_LBRACK] = ACTIONS(1600),
    [aux_sym_encapsed_string_token1] = ACTIONS(1600),
    [anon_sym_DQUOTE] = ACTIONS(1600),
    [aux_sym_string_token1] = ACTIONS(1600),
    [anon_sym_SQUOTE] = ACTIONS(1600),
    [anon_sym_LT_LT_LT] = ACTIONS(1600),
    [anon_sym_BQUOTE] = ACTIONS(1600),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [aux_sym_yield_expression_token1] = ACTIONS(1598),
    [aux_sym_include_expression_token1] = ACTIONS(1598),
    [aux_sym_include_once_expression_token1] = ACTIONS(1598),
    [aux_sym_require_expression_token1] = ACTIONS(1598),
    [aux_sym_require_once_expression_token1] = ACTIONS(1598),
    [sym_comment] = ACTIONS(3),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1604), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1602), 41,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_base_clause_token1,
      aux_sym_class_interface_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [70] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1610), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1608), 41,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_base_clause_token1,
      aux_sym_class_interface_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [140] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1614), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1612), 41,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_base_clause_token1,
      aux_sym_class_interface_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [210] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1618), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1616), 41,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_base_clause_token1,
      aux_sym_class_interface_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [280] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN2,
    STATE(590), 1,
      sym_arguments,
    ACTIONS(1622), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1620), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [353] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN2,
    STATE(594), 1,
      sym_arguments,
    ACTIONS(1628), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1626), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [426] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1632), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1630), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [494] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1638), 1,
      anon_sym_LPAREN2,
    ACTIONS(1636), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1634), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [564] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1642), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1640), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [632] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1646), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1644), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [700] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1650), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1648), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [768] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1654), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1652), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [836] = 8,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1660), 1,
      anon_sym_EQ,
    ACTIONS(1662), 1,
      anon_sym_LPAREN2,
    ACTIONS(1666), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1668), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1656), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1658), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [914] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1672), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1670), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [982] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1676), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1674), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1050] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1680), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1678), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1118] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1684), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1682), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1186] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1684), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1682), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1254] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1690), 1,
      anon_sym_LPAREN2,
    ACTIONS(1688), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1686), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1324] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1694), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1692), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1392] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1698), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1696), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1460] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1702), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1700), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1528] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1706), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1704), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1596] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1710), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1708), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1664] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1714), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1712), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1732] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1718), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1716), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1800] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1722), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1720), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1868] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1724), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1638), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1936] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1728), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1726), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2004] = 7,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1660), 1,
      anon_sym_EQ,
    ACTIONS(1666), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1668), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1656), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1658), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2079] = 7,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1660), 1,
      anon_sym_EQ,
    ACTIONS(1666), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1668), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1656), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1658), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2154] = 28,
    ACTIONS(629), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(635), 1,
      anon_sym_BSLASH,
    ACTIONS(641), 1,
      aux_sym_cast_type_token1,
    ACTIONS(673), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(677), 1,
      anon_sym_DOLLAR,
    ACTIONS(1029), 1,
      anon_sym_LBRACK,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1730), 1,
      sym_name,
    ACTIONS(1732), 1,
      anon_sym_RBRACE,
    ACTIONS(1734), 1,
      anon_sym_LPAREN2,
    ACTIONS(1736), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    STATE(600), 1,
      sym__variable_member_access_expression,
    STATE(601), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(612), 1,
      sym__variable_scoped_property_access_expression,
    STATE(618), 1,
      aux_sym_use_list_repeat1,
    STATE(1604), 1,
      sym_class_constant_access_expression,
    STATE(1773), 1,
      sym__new_dereferencable_expression,
    STATE(2284), 1,
      sym__callable_expression,
    STATE(2478), 1,
      sym_namespace_name,
    ACTIONS(669), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(671), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(2184), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    STATE(2683), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(602), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1614), 5,
      sym_qualified_name,
      sym_relative_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1889), 7,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
      sym__variable_subscript_expression,
      sym__dereferencable_expression,
      sym__new_variable,
    STATE(1676), 14,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
      sym__callable_variable,
  [2270] = 31,
    ACTIONS(105), 1,
      aux_sym__list_destructing_token1,
    ACTIONS(629), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(635), 1,
      anon_sym_BSLASH,
    ACTIONS(641), 1,
      aux_sym_cast_type_token1,
    ACTIONS(673), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(677), 1,
      anon_sym_DOLLAR,
    ACTIONS(765), 1,
      anon_sym_AMP,
    ACTIONS(1029), 1,
      anon_sym_LBRACK,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1734), 1,
      anon_sym_LPAREN2,
    ACTIONS(1736), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1738), 1,
      sym_name,
    STATE(600), 1,
      sym__variable_member_access_expression,
    STATE(601), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(612), 1,
      sym__variable_scoped_property_access_expression,
    STATE(1773), 1,
      sym__new_dereferencable_expression,
    STATE(2248), 1,
      sym__list_destructing,
    STATE(2284), 1,
      sym__callable_expression,
    STATE(2293), 1,
      sym_by_ref,
    STATE(2478), 1,
      sym_namespace_name,
    ACTIONS(669), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(671), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1605), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1889), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2683), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(602), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1650), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1614), 5,
      sym_qualified_name,
      sym_relative_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1572), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1676), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [2392] = 28,
    ACTIONS(629), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(635), 1,
      anon_sym_BSLASH,
    ACTIONS(641), 1,
      aux_sym_cast_type_token1,
    ACTIONS(673), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(677), 1,
      anon_sym_DOLLAR,
    ACTIONS(1029), 1,
      anon_sym_LBRACK,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1730), 1,
      sym_name,
    ACTIONS(1734), 1,
      anon_sym_LPAREN2,
    ACTIONS(1736), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1740), 1,
      anon_sym_RBRACE,
    STATE(600), 1,
      sym__variable_member_access_expression,
    STATE(601), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(612), 1,
      sym__variable_scoped_property_access_expression,
    STATE(615), 1,
      aux_sym_use_list_repeat1,
    STATE(1604), 1,
      sym_class_constant_access_expression,
    STATE(1773), 1,
      sym__new_dereferencable_expression,
    STATE(2284), 1,
      sym__callable_expression,
    STATE(2478), 1,
      sym_namespace_name,
    ACTIONS(669), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(671), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(2184), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    STATE(2683), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(602), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1614), 5,
      sym_qualified_name,
      sym_relative_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1889), 7,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
      sym__variable_subscript_expression,
      sym__dereferencable_expression,
      sym__new_variable,
    STATE(1676), 14,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
      sym__callable_variable,
  [2508] = 28,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1742), 1,
      sym_name,
    ACTIONS(1748), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1751), 1,
      anon_sym_BSLASH,
    ACTIONS(1754), 1,
      anon_sym_RBRACE,
    ACTIONS(1756), 1,
      anon_sym_LPAREN2,
    ACTIONS(1759), 1,
      aux_sym_cast_type_token1,
    ACTIONS(1762), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1765), 1,
      anon_sym_LBRACK,
    ACTIONS(1774), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1777), 1,
      anon_sym_DOLLAR,
    STATE(600), 1,
      sym__variable_member_access_expression,
    STATE(601), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(612), 1,
      sym__variable_scoped_property_access_expression,
    STATE(618), 1,
      aux_sym_use_list_repeat1,
    STATE(1604), 1,
      sym_class_constant_access_expression,
    STATE(1773), 1,
      sym__new_dereferencable_expression,
    STATE(2284), 1,
      sym__callable_expression,
    STATE(2478), 1,
      sym_namespace_name,
    ACTIONS(1768), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(1771), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(2184), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    STATE(2683), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(1745), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(602), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1614), 5,
      sym_qualified_name,
      sym_relative_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1889), 7,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
      sym__variable_subscript_expression,
      sym__dereferencable_expression,
      sym__new_variable,
    STATE(1676), 14,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
      sym__callable_variable,
  [2624] = 31,
    ACTIONS(105), 1,
      aux_sym__list_destructing_token1,
    ACTIONS(629), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(635), 1,
      anon_sym_BSLASH,
    ACTIONS(641), 1,
      aux_sym_cast_type_token1,
    ACTIONS(673), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(677), 1,
      anon_sym_DOLLAR,
    ACTIONS(765), 1,
      anon_sym_AMP,
    ACTIONS(1029), 1,
      anon_sym_LBRACK,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1734), 1,
      anon_sym_LPAREN2,
    ACTIONS(1736), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1738), 1,
      sym_name,
    STATE(600), 1,
      sym__variable_member_access_expression,
    STATE(601), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(612), 1,
      sym__variable_scoped_property_access_expression,
    STATE(1773), 1,
      sym__new_dereferencable_expression,
    STATE(2101), 1,
      sym__list_destructing,
    STATE(2108), 1,
      sym_by_ref,
    STATE(2284), 1,
      sym__callable_expression,
    STATE(2478), 1,
      sym_namespace_name,
    ACTIONS(669), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(671), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1523), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1889), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2683), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(602), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1567), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1614), 5,
      sym_qualified_name,
      sym_relative_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1504), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1676), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [2746] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1780), 1,
      anon_sym_LPAREN2,
    STATE(641), 1,
      sym_arguments,
    ACTIONS(1628), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1626), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2815] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1780), 1,
      anon_sym_LPAREN2,
    STATE(642), 1,
      sym_arguments,
    ACTIONS(1622), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1620), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2884] = 8,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1662), 1,
      anon_sym_LPAREN2,
    ACTIONS(1782), 1,
      anon_sym_EQ,
    ACTIONS(1666), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1784), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1656), 16,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1658), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2959] = 30,
    ACTIONS(629), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(635), 1,
      anon_sym_BSLASH,
    ACTIONS(641), 1,
      aux_sym_cast_type_token1,
    ACTIONS(673), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(677), 1,
      anon_sym_DOLLAR,
    ACTIONS(765), 1,
      anon_sym_AMP,
    ACTIONS(889), 1,
      anon_sym_LBRACK,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1734), 1,
      anon_sym_LPAREN2,
    ACTIONS(1736), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1738), 1,
      sym_name,
    STATE(600), 1,
      sym__variable_member_access_expression,
    STATE(601), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(612), 1,
      sym__variable_scoped_property_access_expression,
    STATE(1773), 1,
      sym__new_dereferencable_expression,
    STATE(2284), 1,
      sym__callable_expression,
    STATE(2313), 1,
      sym__array_destructing,
    STATE(2318), 1,
      sym_by_ref,
    STATE(2478), 1,
      sym_namespace_name,
    ACTIONS(669), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(671), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1645), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1889), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2683), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(602), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1631), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1614), 5,
      sym_qualified_name,
      sym_relative_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1535), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1676), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [3078] = 8,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1662), 1,
      anon_sym_LPAREN2,
    ACTIONS(1786), 1,
      anon_sym_EQ,
    ACTIONS(1666), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1788), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1656), 16,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1658), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3152] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1714), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1712), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3216] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1618), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1616), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3280] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1710), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1708), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3344] = 7,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1782), 1,
      anon_sym_EQ,
    ACTIONS(1666), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1784), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1656), 16,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1658), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3416] = 7,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1782), 1,
      anon_sym_EQ,
    ACTIONS(1666), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1784), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1656), 16,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1658), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3488] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1690), 1,
      anon_sym_LPAREN2,
    ACTIONS(1688), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1686), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3554] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1638), 1,
      anon_sym_LPAREN2,
    ACTIONS(1636), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1634), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3620] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1718), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1716), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3684] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1724), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1638), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3748] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1610), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1608), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3812] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1614), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1612), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3876] = 8,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1662), 1,
      anon_sym_LPAREN2,
    ACTIONS(1790), 1,
      anon_sym_EQ,
    ACTIONS(1792), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1794), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1656), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1658), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3950] = 8,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1660), 1,
      anon_sym_EQ,
    ACTIONS(1662), 1,
      anon_sym_LPAREN2,
    ACTIONS(1792), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1668), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1656), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1658), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4024] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1646), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1644), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4088] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1722), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1720), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4152] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1642), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1640), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4216] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1650), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1648), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4280] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1632), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1630), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4344] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1676), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1674), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4408] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1698), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1696), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4472] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1604), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1602), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4536] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1702), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1700), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4600] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1694), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1692), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4663] = 7,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1660), 1,
      anon_sym_EQ,
    ACTIONS(1792), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1668), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1656), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1658), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4734] = 7,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1660), 1,
      anon_sym_EQ,
    ACTIONS(1792), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1668), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1656), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1658), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4805] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1706), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1704), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4868] = 7,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1790), 1,
      anon_sym_EQ,
    ACTIONS(1792), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1794), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1656), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1658), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4939] = 28,
    ACTIONS(629), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(635), 1,
      anon_sym_BSLASH,
    ACTIONS(641), 1,
      aux_sym_cast_type_token1,
    ACTIONS(673), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(677), 1,
      anon_sym_DOLLAR,
    ACTIONS(1029), 1,
      anon_sym_LBRACK,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1734), 1,
      anon_sym_LPAREN2,
    ACTIONS(1736), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1738), 1,
      sym_name,
    ACTIONS(1796), 1,
      anon_sym_RPAREN2,
    STATE(600), 1,
      sym__variable_member_access_expression,
    STATE(601), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(612), 1,
      sym__variable_scoped_property_access_expression,
    STATE(1773), 1,
      sym__new_dereferencable_expression,
    STATE(2284), 1,
      sym__callable_expression,
    STATE(2478), 1,
      sym_namespace_name,
    ACTIONS(669), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(671), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1652), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1889), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2683), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(602), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1651), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1614), 5,
      sym_qualified_name,
      sym_relative_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1534), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1676), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [5052] = 28,
    ACTIONS(629), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(635), 1,
      anon_sym_BSLASH,
    ACTIONS(641), 1,
      aux_sym_cast_type_token1,
    ACTIONS(673), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(677), 1,
      anon_sym_DOLLAR,
    ACTIONS(1029), 1,
      anon_sym_LBRACK,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1734), 1,
      anon_sym_LPAREN2,
    ACTIONS(1736), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1738), 1,
      sym_name,
    ACTIONS(1798), 1,
      anon_sym_RPAREN2,
    STATE(600), 1,
      sym__variable_member_access_expression,
    STATE(601), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(612), 1,
      sym__variable_scoped_property_access_expression,
    STATE(1773), 1,
      sym__new_dereferencable_expression,
    STATE(2284), 1,
      sym__callable_expression,
    STATE(2478), 1,
      sym_namespace_name,
    ACTIONS(669), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(671), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1652), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1889), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2683), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(602), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1651), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1614), 5,
      sym_qualified_name,
      sym_relative_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1534), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1676), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [5165] = 28,
    ACTIONS(629), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(635), 1,
      anon_sym_BSLASH,
    ACTIONS(641), 1,
      aux_sym_cast_type_token1,
    ACTIONS(673), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(677), 1,
      anon_sym_DOLLAR,
    ACTIONS(1029), 1,
      anon_sym_LBRACK,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1734), 1,
      anon_sym_LPAREN2,
    ACTIONS(1736), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1738), 1,
      sym_name,
    ACTIONS(1800), 1,
      anon_sym_RPAREN2,
    STATE(600), 1,
      sym__variable_member_access_expression,
    STATE(601), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(612), 1,
      sym__variable_scoped_property_access_expression,
    STATE(1773), 1,
      sym__new_dereferencable_expression,
    STATE(2284), 1,
      sym__callable_expression,
    STATE(2478), 1,
      sym_namespace_name,
    ACTIONS(669), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(671), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1652), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1889), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2683), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(602), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1651), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1614), 5,
      sym_qualified_name,
      sym_relative_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1534), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1676), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [5278] = 8,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1660), 1,
      anon_sym_EQ,
    ACTIONS(1662), 1,
      anon_sym_LPAREN2,
    ACTIONS(1666), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1656), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1668), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RBRACK,
    ACTIONS(1658), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5351] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1654), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1652), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [5414] = 7,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1790), 1,
      anon_sym_EQ,
    ACTIONS(1792), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1794), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1656), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1658), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5485] = 28,
    ACTIONS(629), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(635), 1,
      anon_sym_BSLASH,
    ACTIONS(641), 1,
      aux_sym_cast_type_token1,
    ACTIONS(673), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(677), 1,
      anon_sym_DOLLAR,
    ACTIONS(1029), 1,
      anon_sym_LBRACK,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1734), 1,
      anon_sym_LPAREN2,
    ACTIONS(1736), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1738), 1,
      sym_name,
    ACTIONS(1802), 1,
      anon_sym_RPAREN2,
    STATE(600), 1,
      sym__variable_member_access_expression,
    STATE(601), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(612), 1,
      sym__variable_scoped_property_access_expression,
    STATE(1773), 1,
      sym__new_dereferencable_expression,
    STATE(2284), 1,
      sym__callable_expression,
    STATE(2478), 1,
      sym_namespace_name,
    ACTIONS(669), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(671), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1652), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1889), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2683), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(602), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1651), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1614), 5,
      sym_qualified_name,
      sym_relative_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1534), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1676), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [5598] = 8,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1662), 1,
      anon_sym_LPAREN2,
    ACTIONS(1804), 1,
      anon_sym_EQ,
    ACTIONS(1666), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1806), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1656), 15,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1658), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5671] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1684), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1682), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [5734] = 7,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1786), 1,
      anon_sym_EQ,
    ACTIONS(1666), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1788), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1656), 16,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1658), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5805] = 7,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1786), 1,
      anon_sym_EQ,
    ACTIONS(1666), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1788), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1656), 16,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1658), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5876] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1684), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1682), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [5939] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1680), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1678), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [6002] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1672), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1670), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [6065] = 11,
    ACTIONS(905), 1,
      anon_sym_COMMA,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1662), 1,
      anon_sym_LPAREN2,
    ACTIONS(1782), 1,
      anon_sym_EQ,
    ACTIONS(1808), 1,
      anon_sym_RPAREN2,
    STATE(2115), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1666), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1656), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1784), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1658), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6144] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1728), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1726), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [6207] = 27,
    ACTIONS(629), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(635), 1,
      anon_sym_BSLASH,
    ACTIONS(641), 1,
      aux_sym_cast_type_token1,
    ACTIONS(673), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1029), 1,
      anon_sym_LBRACK,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1736), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1738), 1,
      sym_name,
    ACTIONS(1810), 1,
      anon_sym_LPAREN2,
    ACTIONS(1812), 1,
      anon_sym_DOLLAR,
    STATE(813), 1,
      sym__variable_member_access_expression,
    STATE(817), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(825), 1,
      sym__variable_scoped_property_access_expression,
    STATE(1773), 1,
      sym__new_dereferencable_expression,
    STATE(2274), 1,
      sym__callable_expression,
    STATE(2478), 1,
      sym_namespace_name,
    ACTIONS(669), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(671), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(840), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1891), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2677), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(832), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(851), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1655), 5,
      sym_qualified_name,
      sym_relative_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(834), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1676), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [6317] = 27,
    ACTIONS(629), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(635), 1,
      anon_sym_BSLASH,
    ACTIONS(641), 1,
      aux_sym_cast_type_token1,
    ACTIONS(673), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(677), 1,
      anon_sym_DOLLAR,
    ACTIONS(1029), 1,
      anon_sym_LBRACK,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1734), 1,
      anon_sym_LPAREN2,
    ACTIONS(1736), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1738), 1,
      sym_name,
    STATE(600), 1,
      sym__variable_member_access_expression,
    STATE(601), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(612), 1,
      sym__variable_scoped_property_access_expression,
    STATE(1773), 1,
      sym__new_dereferencable_expression,
    STATE(2284), 1,
      sym__callable_expression,
    STATE(2478), 1,
      sym_namespace_name,
    ACTIONS(669), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(671), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(715), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1889), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2683), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(602), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(737), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1614), 5,
      sym_qualified_name,
      sym_relative_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(709), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1676), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [6427] = 10,
    ACTIONS(905), 1,
      anon_sym_COMMA,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1782), 1,
      anon_sym_EQ,
    ACTIONS(1808), 1,
      anon_sym_RPAREN2,
    STATE(2115), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1666), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1656), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1784), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1658), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6503] = 10,
    ACTIONS(905), 1,
      anon_sym_COMMA,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1782), 1,
      anon_sym_EQ,
    ACTIONS(1808), 1,
      anon_sym_RPAREN2,
    STATE(2115), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1666), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1656), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1784), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1658), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6579] = 27,
    ACTIONS(629), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(635), 1,
      anon_sym_BSLASH,
    ACTIONS(641), 1,
      aux_sym_cast_type_token1,
    ACTIONS(673), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(677), 1,
      anon_sym_DOLLAR,
    ACTIONS(1029), 1,
      anon_sym_LBRACK,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1734), 1,
      anon_sym_LPAREN2,
    ACTIONS(1736), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1738), 1,
      sym_name,
    STATE(600), 1,
      sym__variable_member_access_expression,
    STATE(601), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(612), 1,
      sym__variable_scoped_property_access_expression,
    STATE(1773), 1,
      sym__new_dereferencable_expression,
    STATE(2284), 1,
      sym__callable_expression,
    STATE(2478), 1,
      sym_namespace_name,
    ACTIONS(669), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(671), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1520), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1889), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2683), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(602), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1547), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1614), 5,
      sym_qualified_name,
      sym_relative_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1499), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1676), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [6689] = 27,
    ACTIONS(629), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(635), 1,
      anon_sym_BSLASH,
    ACTIONS(641), 1,
      aux_sym_cast_type_token1,
    ACTIONS(673), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1029), 1,
      anon_sym_LBRACK,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1736), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1738), 1,
      sym_name,
    ACTIONS(1810), 1,
      anon_sym_LPAREN2,
    ACTIONS(1812), 1,
      anon_sym_DOLLAR,
    STATE(813), 1,
      sym__variable_member_access_expression,
    STATE(817), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(825), 1,
      sym__variable_scoped_property_access_expression,
    STATE(1773), 1,
      sym__new_dereferencable_expression,
    STATE(2274), 1,
      sym__callable_expression,
    STATE(2478), 1,
      sym_namespace_name,
    ACTIONS(669), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(671), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(845), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1891), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2677), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(832), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(844), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1655), 5,
      sym_qualified_name,
      sym_relative_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(793), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1676), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [6799] = 27,
    ACTIONS(629), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(635), 1,
      anon_sym_BSLASH,
    ACTIONS(641), 1,
      aux_sym_cast_type_token1,
    ACTIONS(673), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(677), 1,
      anon_sym_DOLLAR,
    ACTIONS(1029), 1,
      anon_sym_LBRACK,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1734), 1,
      anon_sym_LPAREN2,
    ACTIONS(1736), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1738), 1,
      sym_name,
    STATE(600), 1,
      sym__variable_member_access_expression,
    STATE(601), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(612), 1,
      sym__variable_scoped_property_access_expression,
    STATE(1773), 1,
      sym__new_dereferencable_expression,
    STATE(2284), 1,
      sym__callable_expression,
    STATE(2478), 1,
      sym_namespace_name,
    ACTIONS(669), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(671), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1652), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1889), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2683), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(602), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1651), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1614), 5,
      sym_qualified_name,
      sym_relative_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1534), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1676), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [6909] = 27,
    ACTIONS(629), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(635), 1,
      anon_sym_BSLASH,
    ACTIONS(641), 1,
      aux_sym_cast_type_token1,
    ACTIONS(673), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(677), 1,
      anon_sym_DOLLAR,
    ACTIONS(1029), 1,
      anon_sym_LBRACK,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1734), 1,
      anon_sym_LPAREN2,
    ACTIONS(1736), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1738), 1,
      sym_name,
    STATE(600), 1,
      sym__variable_member_access_expression,
    STATE(601), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(612), 1,
      sym__variable_scoped_property_access_expression,
    STATE(1773), 1,
      sym__new_dereferencable_expression,
    STATE(2284), 1,
      sym__callable_expression,
    STATE(2478), 1,
      sym_namespace_name,
    ACTIONS(669), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(671), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(774), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1889), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2683), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(602), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(773), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1614), 5,
      sym_qualified_name,
      sym_relative_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(748), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1676), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [7019] = 7,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1660), 1,
      anon_sym_EQ,
    ACTIONS(1666), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1656), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1668), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RBRACK,
    ACTIONS(1658), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7089] = 7,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1660), 1,
      anon_sym_EQ,
    ACTIONS(1666), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1656), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1668), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RBRACK,
    ACTIONS(1658), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7159] = 27,
    ACTIONS(629), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(635), 1,
      anon_sym_BSLASH,
    ACTIONS(641), 1,
      aux_sym_cast_type_token1,
    ACTIONS(673), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(677), 1,
      anon_sym_DOLLAR,
    ACTIONS(1029), 1,
      anon_sym_LBRACK,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1734), 1,
      anon_sym_LPAREN2,
    ACTIONS(1736), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1738), 1,
      sym_name,
    STATE(600), 1,
      sym__variable_member_access_expression,
    STATE(601), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(612), 1,
      sym__variable_scoped_property_access_expression,
    STATE(1773), 1,
      sym__new_dereferencable_expression,
    STATE(2284), 1,
      sym__callable_expression,
    STATE(2478), 1,
      sym_namespace_name,
    ACTIONS(669), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(671), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1528), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1889), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2683), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(602), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1527), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1614), 5,
      sym_qualified_name,
      sym_relative_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1511), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1676), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [7269] = 27,
    ACTIONS(629), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(635), 1,
      anon_sym_BSLASH,
    ACTIONS(641), 1,
      aux_sym_cast_type_token1,
    ACTIONS(673), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1029), 1,
      anon_sym_LBRACK,
    ACTIONS(1596), 1,
      anon_sym_DOLLAR,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1736), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1738), 1,
      sym_name,
    ACTIONS(1814), 1,
      anon_sym_LPAREN2,
    STATE(881), 1,
      sym__variable_member_access_expression,
    STATE(883), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(888), 1,
      sym__variable_scoped_property_access_expression,
    STATE(1773), 1,
      sym__new_dereferencable_expression,
    STATE(2431), 1,
      sym__callable_expression,
    STATE(2478), 1,
      sym_namespace_name,
    ACTIONS(669), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(671), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(890), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1851), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2563), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(858), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(880), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1595), 5,
      sym_qualified_name,
      sym_relative_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(867), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1676), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [7379] = 9,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1662), 1,
      anon_sym_LPAREN2,
    ACTIONS(1786), 1,
      anon_sym_EQ,
    ACTIONS(1666), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1816), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1656), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1788), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1658), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7453] = 27,
    ACTIONS(629), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(635), 1,
      anon_sym_BSLASH,
    ACTIONS(641), 1,
      aux_sym_cast_type_token1,
    ACTIONS(673), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1029), 1,
      anon_sym_LBRACK,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1736), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1738), 1,
      sym_name,
    ACTIONS(1810), 1,
      anon_sym_LPAREN2,
    ACTIONS(1812), 1,
      anon_sym_DOLLAR,
    STATE(813), 1,
      sym__variable_member_access_expression,
    STATE(817), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(825), 1,
      sym__variable_scoped_property_access_expression,
    STATE(1773), 1,
      sym__new_dereferencable_expression,
    STATE(2274), 1,
      sym__callable_expression,
    STATE(2478), 1,
      sym_namespace_name,
    ACTIONS(669), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(671), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(774), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1891), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2677), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(832), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(773), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1655), 5,
      sym_qualified_name,
      sym_relative_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(748), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1676), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [7563] = 7,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1804), 1,
      anon_sym_EQ,
    ACTIONS(1666), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1806), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1656), 15,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1658), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7633] = 7,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1804), 1,
      anon_sym_EQ,
    ACTIONS(1666), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1806), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1656), 15,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1658), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7703] = 9,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1662), 1,
      anon_sym_LPAREN2,
    ACTIONS(1782), 1,
      anon_sym_EQ,
    ACTIONS(1666), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1819), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1656), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1784), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1658), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7777] = 27,
    ACTIONS(629), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(635), 1,
      anon_sym_BSLASH,
    ACTIONS(641), 1,
      aux_sym_cast_type_token1,
    ACTIONS(673), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1029), 1,
      anon_sym_LBRACK,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1736), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1738), 1,
      sym_name,
    ACTIONS(1821), 1,
      anon_sym_LPAREN2,
    ACTIONS(1823), 1,
      anon_sym_DOLLAR,
    STATE(977), 1,
      sym__variable_member_access_expression,
    STATE(979), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(980), 1,
      sym__variable_scoped_property_access_expression,
    STATE(1773), 1,
      sym__new_dereferencable_expression,
    STATE(2243), 1,
      sym__callable_expression,
    STATE(2478), 1,
      sym_namespace_name,
    ACTIONS(669), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(671), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1003), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1876), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2651), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(981), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1002), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1612), 5,
      sym_qualified_name,
      sym_relative_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(962), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1676), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [7887] = 27,
    ACTIONS(629), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(635), 1,
      anon_sym_BSLASH,
    ACTIONS(641), 1,
      aux_sym_cast_type_token1,
    ACTIONS(673), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1029), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_LPAREN2,
    ACTIONS(1592), 1,
      anon_sym_DOLLAR,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1736), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1738), 1,
      sym_name,
    STATE(739), 1,
      sym__variable_member_access_expression,
    STATE(742), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(743), 1,
      sym__variable_scoped_property_access_expression,
    STATE(1773), 1,
      sym__new_dereferencable_expression,
    STATE(2259), 1,
      sym__callable_expression,
    STATE(2478), 1,
      sym_namespace_name,
    ACTIONS(669), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(671), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(715), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1879), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2530), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(712), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(737), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1635), 5,
      sym_qualified_name,
      sym_relative_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(709), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1676), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [7997] = 27,
    ACTIONS(629), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(635), 1,
      anon_sym_BSLASH,
    ACTIONS(641), 1,
      aux_sym_cast_type_token1,
    ACTIONS(673), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1029), 1,
      anon_sym_LBRACK,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1736), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1738), 1,
      sym_name,
    ACTIONS(1821), 1,
      anon_sym_LPAREN2,
    ACTIONS(1823), 1,
      anon_sym_DOLLAR,
    STATE(977), 1,
      sym__variable_member_access_expression,
    STATE(979), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(980), 1,
      sym__variable_scoped_property_access_expression,
    STATE(1773), 1,
      sym__new_dereferencable_expression,
    STATE(2243), 1,
      sym__callable_expression,
    STATE(2478), 1,
      sym_namespace_name,
    ACTIONS(669), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(671), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(999), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1876), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2651), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(981), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(997), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1612), 5,
      sym_qualified_name,
      sym_relative_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(935), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1676), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [8107] = 27,
    ACTIONS(629), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(635), 1,
      anon_sym_BSLASH,
    ACTIONS(641), 1,
      aux_sym_cast_type_token1,
    ACTIONS(673), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1029), 1,
      anon_sym_LBRACK,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1736), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1738), 1,
      sym_name,
    ACTIONS(1821), 1,
      anon_sym_LPAREN2,
    ACTIONS(1823), 1,
      anon_sym_DOLLAR,
    STATE(977), 1,
      sym__variable_member_access_expression,
    STATE(979), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(980), 1,
      sym__variable_scoped_property_access_expression,
    STATE(1773), 1,
      sym__new_dereferencable_expression,
    STATE(2243), 1,
      sym__callable_expression,
    STATE(2478), 1,
      sym_namespace_name,
    ACTIONS(669), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(671), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(992), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1876), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2651), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(981), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(991), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1612), 5,
      sym_qualified_name,
      sym_relative_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(970), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1676), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [8217] = 9,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1662), 1,
      anon_sym_LPAREN2,
    ACTIONS(1782), 1,
      anon_sym_EQ,
    ACTIONS(1666), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1825), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1656), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1784), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1658), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [8291] = 9,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1662), 1,
      anon_sym_LPAREN2,
    ACTIONS(1786), 1,
      anon_sym_EQ,
    ACTIONS(1666), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1827), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1656), 11,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1788), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1658), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [8364] = 8,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1782), 1,
      anon_sym_EQ,
    ACTIONS(1666), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1819), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1656), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1784), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1658), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [8435] = 8,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1782), 1,
      anon_sym_EQ,
    ACTIONS(1666), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1825), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1656), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1784), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1658), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [8506] = 8,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1782), 1,
      anon_sym_EQ,
    ACTIONS(1666), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1825), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1656), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1784), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1658), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [8577] = 8,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1786), 1,
      anon_sym_EQ,
    ACTIONS(1666), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1816), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1656), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1788), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1658), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [8648] = 8,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1786), 1,
      anon_sym_EQ,
    ACTIONS(1666), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1816), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1656), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1788), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1658), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [8719] = 8,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1782), 1,
      anon_sym_EQ,
    ACTIONS(1666), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1819), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1656), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1784), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1658), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [8790] = 8,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1786), 1,
      anon_sym_EQ,
    ACTIONS(1666), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1827), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1656), 11,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1788), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1658), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [8860] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    STATE(2414), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1830), 22,
      anon_sym_AMP,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_clause_token1,
      anon_sym_COLON,
      aux_sym_class_interface_clause_token1,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_self,
      anon_sym_parent,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      sym_name,
    ACTIONS(1832), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8924] = 8,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1786), 1,
      anon_sym_EQ,
    ACTIONS(1666), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1827), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1656), 11,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1788), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1658), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [8994] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    STATE(2414), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1837), 22,
      anon_sym_AMP,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_clause_token1,
      anon_sym_COLON,
      aux_sym_class_interface_clause_token1,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_self,
      anon_sym_parent,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      sym_name,
    ACTIONS(1839), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9058] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1841), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    ACTIONS(1710), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1708), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9118] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1843), 22,
      anon_sym_AMP,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_clause_token1,
      anon_sym_COLON,
      aux_sym_class_interface_clause_token1,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_self,
      anon_sym_parent,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      sym_name,
    ACTIONS(1845), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9176] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1847), 22,
      anon_sym_AMP,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_clause_token1,
      anon_sym_COLON,
      aux_sym_class_interface_clause_token1,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_self,
      anon_sym_parent,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      sym_name,
    ACTIONS(1849), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9234] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1851), 22,
      anon_sym_AMP,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_clause_token1,
      anon_sym_COLON,
      aux_sym_class_interface_clause_token1,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_self,
      anon_sym_parent,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      sym_name,
    ACTIONS(1853), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9292] = 25,
    ACTIONS(39), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(41), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(43), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(629), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(635), 1,
      anon_sym_BSLASH,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1855), 1,
      sym_name,
    ACTIONS(1857), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(1859), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(1861), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(1865), 1,
      sym_var_modifier,
    ACTIONS(1867), 1,
      anon_sym_LPAREN2,
    ACTIONS(1869), 1,
      anon_sym_QMARK,
    ACTIONS(1871), 1,
      anon_sym_DOLLAR,
    STATE(1542), 1,
      sym_property_element,
    STATE(1714), 1,
      sym_variable_name,
    STATE(1771), 1,
      sym__function_definition_header,
    STATE(2181), 1,
      sym_type,
    STATE(2478), 1,
      sym_namespace_name,
    STATE(1461), 2,
      sym_qualified_name,
      sym_relative_name,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1485), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1424), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1029), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
    ACTIONS(1863), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [9393] = 25,
    ACTIONS(39), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(41), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(43), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(629), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(635), 1,
      anon_sym_BSLASH,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1855), 1,
      sym_name,
    ACTIONS(1857), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(1859), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(1861), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(1865), 1,
      sym_var_modifier,
    ACTIONS(1867), 1,
      anon_sym_LPAREN2,
    ACTIONS(1869), 1,
      anon_sym_QMARK,
    ACTIONS(1871), 1,
      anon_sym_DOLLAR,
    STATE(1560), 1,
      sym_property_element,
    STATE(1713), 1,
      sym__function_definition_header,
    STATE(1714), 1,
      sym_variable_name,
    STATE(1989), 1,
      sym_type,
    STATE(2478), 1,
      sym_namespace_name,
    STATE(1461), 2,
      sym_qualified_name,
      sym_relative_name,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1485), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1424), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1029), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
    ACTIONS(1863), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [9494] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1873), 1,
      anon_sym_LPAREN2,
    STATE(721), 1,
      sym_arguments,
    ACTIONS(1628), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1626), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9553] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1873), 1,
      anon_sym_LPAREN2,
    STATE(722), 1,
      sym_arguments,
    ACTIONS(1622), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1620), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9612] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1662), 1,
      anon_sym_LPAREN2,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1660), 14,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1668), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9671] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1316), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1314), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9726] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1148), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1146), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9781] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1690), 1,
      anon_sym_LPAREN2,
    ACTIONS(1688), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1686), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9837] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1714), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1712), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9891] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1638), 1,
      anon_sym_LPAREN2,
    ACTIONS(1636), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1634), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9947] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1660), 14,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1668), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10003] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1724), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1638), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10057] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1614), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1612), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10111] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1646), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1644), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10165] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1610), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1608), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10219] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1642), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1640), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10273] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1650), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1648), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10327] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1632), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1630), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10381] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1676), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1674), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10435] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1618), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1616), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10489] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1722), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1720), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10543] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1710), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1708), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10597] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1698), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1696), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10651] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1718), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1716), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10705] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1604), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1602), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10759] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1855), 1,
      sym_name,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(1877), 1,
      anon_sym_COMMA,
    ACTIONS(1879), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1881), 1,
      anon_sym_BSLASH,
    ACTIONS(1883), 1,
      anon_sym_LPAREN2,
    ACTIONS(1885), 1,
      anon_sym_RPAREN2,
    ACTIONS(1887), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1889), 1,
      anon_sym_QMARK,
    ACTIONS(1891), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1893), 1,
      anon_sym_DOLLAR,
    STATE(1024), 1,
      sym_attribute_list,
    STATE(1156), 1,
      sym_visibility_modifier,
    STATE(1767), 1,
      sym_type,
    STATE(2164), 1,
      sym_reference_modifier,
    STATE(2197), 1,
      sym_variable_name,
    STATE(2598), 1,
      sym_namespace_name,
    STATE(1311), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    STATE(1461), 2,
      sym_qualified_name,
      sym_relative_name,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1485), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1960), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1559), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1863), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [10857] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1702), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1700), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10911] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1855), 1,
      sym_name,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(1879), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1881), 1,
      anon_sym_BSLASH,
    ACTIONS(1883), 1,
      anon_sym_LPAREN2,
    ACTIONS(1887), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1889), 1,
      anon_sym_QMARK,
    ACTIONS(1891), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1893), 1,
      anon_sym_DOLLAR,
    ACTIONS(1895), 1,
      anon_sym_COMMA,
    ACTIONS(1897), 1,
      anon_sym_RPAREN2,
    STATE(1024), 1,
      sym_attribute_list,
    STATE(1156), 1,
      sym_visibility_modifier,
    STATE(1767), 1,
      sym_type,
    STATE(2164), 1,
      sym_reference_modifier,
    STATE(2197), 1,
      sym_variable_name,
    STATE(2598), 1,
      sym_namespace_name,
    STATE(1311), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    STATE(1461), 2,
      sym_qualified_name,
      sym_relative_name,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1485), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2169), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1559), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1863), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [11009] = 6,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    STATE(2414), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1899), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1658), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1656), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11069] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1841), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    ACTIONS(1710), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1708), 27,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11125] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1710), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1708), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11179] = 6,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1662), 1,
      anon_sym_LPAREN2,
    ACTIONS(1666), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1658), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1656), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11239] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1660), 14,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1668), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11295] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1666), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1658), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1656), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11352] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1684), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1682), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11405] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1901), 1,
      anon_sym_LPAREN2,
    STATE(786), 1,
      sym_arguments,
    ACTIONS(1628), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1626), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11462] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1901), 1,
      anon_sym_LPAREN2,
    STATE(787), 1,
      sym_arguments,
    ACTIONS(1622), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1620), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11519] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1684), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1682), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11572] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1728), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1726), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11625] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1694), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1692), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11678] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1680), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1678), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11731] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1855), 1,
      sym_name,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(1879), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1881), 1,
      anon_sym_BSLASH,
    ACTIONS(1883), 1,
      anon_sym_LPAREN2,
    ACTIONS(1887), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1889), 1,
      anon_sym_QMARK,
    ACTIONS(1891), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1893), 1,
      anon_sym_DOLLAR,
    ACTIONS(1903), 1,
      anon_sym_RPAREN2,
    STATE(1024), 1,
      sym_attribute_list,
    STATE(1156), 1,
      sym_visibility_modifier,
    STATE(1767), 1,
      sym_type,
    STATE(2164), 1,
      sym_reference_modifier,
    STATE(2197), 1,
      sym_variable_name,
    STATE(2598), 1,
      sym_namespace_name,
    STATE(1311), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    STATE(1461), 2,
      sym_qualified_name,
      sym_relative_name,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1485), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2303), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1559), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1863), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [11826] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1855), 1,
      sym_name,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(1879), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1881), 1,
      anon_sym_BSLASH,
    ACTIONS(1883), 1,
      anon_sym_LPAREN2,
    ACTIONS(1887), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1889), 1,
      anon_sym_QMARK,
    ACTIONS(1891), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1893), 1,
      anon_sym_DOLLAR,
    ACTIONS(1905), 1,
      anon_sym_RPAREN2,
    STATE(1024), 1,
      sym_attribute_list,
    STATE(1156), 1,
      sym_visibility_modifier,
    STATE(1767), 1,
      sym_type,
    STATE(2164), 1,
      sym_reference_modifier,
    STATE(2197), 1,
      sym_variable_name,
    STATE(2598), 1,
      sym_namespace_name,
    STATE(1311), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    STATE(1461), 2,
      sym_qualified_name,
      sym_relative_name,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1485), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2303), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1559), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1863), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [11921] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1662), 1,
      anon_sym_LPAREN2,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1909), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1907), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11978] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1855), 1,
      sym_name,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(1879), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1881), 1,
      anon_sym_BSLASH,
    ACTIONS(1883), 1,
      anon_sym_LPAREN2,
    ACTIONS(1887), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1889), 1,
      anon_sym_QMARK,
    ACTIONS(1891), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1893), 1,
      anon_sym_DOLLAR,
    ACTIONS(1911), 1,
      anon_sym_RPAREN2,
    STATE(1024), 1,
      sym_attribute_list,
    STATE(1156), 1,
      sym_visibility_modifier,
    STATE(1767), 1,
      sym_type,
    STATE(2164), 1,
      sym_reference_modifier,
    STATE(2197), 1,
      sym_variable_name,
    STATE(2598), 1,
      sym_namespace_name,
    STATE(1311), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    STATE(1461), 2,
      sym_qualified_name,
      sym_relative_name,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1485), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2303), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1559), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1863), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [12073] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1654), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1652), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12126] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1638), 1,
      anon_sym_LPAREN2,
    ACTIONS(1915), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1913), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12181] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1672), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1670), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12234] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1855), 1,
      sym_name,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(1879), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1881), 1,
      anon_sym_BSLASH,
    ACTIONS(1883), 1,
      anon_sym_LPAREN2,
    ACTIONS(1887), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1889), 1,
      anon_sym_QMARK,
    ACTIONS(1891), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1893), 1,
      anon_sym_DOLLAR,
    ACTIONS(1917), 1,
      anon_sym_RPAREN2,
    STATE(1024), 1,
      sym_attribute_list,
    STATE(1156), 1,
      sym_visibility_modifier,
    STATE(1767), 1,
      sym_type,
    STATE(2164), 1,
      sym_reference_modifier,
    STATE(2197), 1,
      sym_variable_name,
    STATE(2598), 1,
      sym_namespace_name,
    STATE(1311), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    STATE(1461), 2,
      sym_qualified_name,
      sym_relative_name,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1485), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2303), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1559), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1863), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [12329] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1706), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1704), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12382] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1720), 1,
      anon_sym_LPAREN2,
    ACTIONS(1921), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1919), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12437] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1666), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1658), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1656), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12494] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1923), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1658), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1656), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12548] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1724), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1638), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12600] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1638), 1,
      anon_sym_LPAREN2,
    ACTIONS(1636), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1634), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12654] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1646), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1644), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12706] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1698), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1696), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12758] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1702), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1700), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12810] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1718), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1716), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12862] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(41), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(43), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1812), 1,
      anon_sym_DOLLAR,
    ACTIONS(1925), 1,
      sym_name,
    ACTIONS(1927), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(1929), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1931), 1,
      anon_sym_BSLASH,
    ACTIONS(1933), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(1935), 1,
      sym_var_modifier,
    ACTIONS(1937), 1,
      anon_sym_LPAREN2,
    STATE(813), 1,
      sym__variable_member_access_expression,
    STATE(817), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(825), 1,
      sym__variable_scoped_property_access_expression,
    STATE(831), 1,
      sym_anonymous_class,
    STATE(1365), 1,
      sym_attribute_list,
    STATE(2608), 1,
      sym_namespace_name,
    ACTIONS(1939), 2,
      anon_sym_self,
      anon_sym_parent,
    STATE(896), 2,
      sym_parenthesized_expression,
      sym__class_name_reference,
    STATE(1338), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(833), 5,
      sym__variable_subscript_expression,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym__new_variable,
      sym_variable_name,
    STATE(879), 5,
      sym_qualified_name,
      sym_relative_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1356), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [12960] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1943), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1941), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13012] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1947), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1945), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13064] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1654), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1652), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13116] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1672), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1670), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13168] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(41), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(43), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(629), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(635), 1,
      anon_sym_BSLASH,
    ACTIONS(677), 1,
      anon_sym_DOLLAR,
    ACTIONS(1738), 1,
      sym_name,
    ACTIONS(1927), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(1933), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(1935), 1,
      sym_var_modifier,
    ACTIONS(1949), 1,
      anon_sym_LPAREN2,
    STATE(600), 1,
      sym__variable_member_access_expression,
    STATE(601), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(612), 1,
      sym__variable_scoped_property_access_expression,
    STATE(831), 1,
      sym_anonymous_class,
    STATE(1365), 1,
      sym_attribute_list,
    STATE(2478), 1,
      sym_namespace_name,
    ACTIONS(1939), 2,
      anon_sym_self,
      anon_sym_parent,
    STATE(1338), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    STATE(2353), 2,
      sym_parenthesized_expression,
      sym__class_name_reference,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1745), 5,
      sym__variable_subscript_expression,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym__new_variable,
      sym_variable_name,
    STATE(2324), 5,
      sym_qualified_name,
      sym_relative_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1356), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [13266] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1706), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1704), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13318] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1855), 1,
      sym_name,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(1879), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1881), 1,
      anon_sym_BSLASH,
    ACTIONS(1883), 1,
      anon_sym_LPAREN2,
    ACTIONS(1887), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1889), 1,
      anon_sym_QMARK,
    ACTIONS(1891), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1893), 1,
      anon_sym_DOLLAR,
    STATE(1024), 1,
      sym_attribute_list,
    STATE(1156), 1,
      sym_visibility_modifier,
    STATE(1767), 1,
      sym_type,
    STATE(2164), 1,
      sym_reference_modifier,
    STATE(2197), 1,
      sym_variable_name,
    STATE(2598), 1,
      sym_namespace_name,
    STATE(1311), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    STATE(1461), 2,
      sym_qualified_name,
      sym_relative_name,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1485), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2303), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1559), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1863), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [13410] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1092), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1090), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13462] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1909), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1907), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13516] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1909), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1907), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13570] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1610), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1608), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13622] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1598), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1600), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13674] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1953), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1951), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13726] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1957), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1955), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13778] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1961), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1959), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13830] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1965), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1963), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13882] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1969), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1967), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13934] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1973), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1971), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13986] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1977), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1975), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14038] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1981), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1979), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14090] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1642), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1640), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14142] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1650), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1648), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14194] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1632), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1630), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14246] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1983), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1658), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1656), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14300] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1662), 1,
      anon_sym_LPAREN2,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1658), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1656), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14356] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1989), 1,
      anon_sym_LPAREN2,
    ACTIONS(1991), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1987), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14412] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1676), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1674), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14464] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1995), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1993), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14516] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1662), 1,
      anon_sym_LPAREN2,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1660), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1668), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14572] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1999), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1997), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14624] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2003), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2001), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14676] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2007), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2005), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14728] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2011), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2009), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14780] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2015), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2013), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14832] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2019), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2017), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14884] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1923), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(2023), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2021), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14938] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1694), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1692), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14990] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1088), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1086), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15042] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2027), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2025), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15094] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1618), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1616), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15146] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2031), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2029), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15198] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2035), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2033), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15250] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2039), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2037), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15302] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2043), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2041), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15354] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2047), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2045), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15406] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2051), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2049), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15458] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2055), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2053), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15510] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2059), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2057), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15562] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1684), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1682), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15614] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1722), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1720), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15666] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2063), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2061), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15718] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1604), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1602), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15770] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1684), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1682), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15822] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(41), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(43), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1823), 1,
      anon_sym_DOLLAR,
    ACTIONS(2065), 1,
      sym_name,
    ACTIONS(2067), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2069), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(2071), 1,
      anon_sym_BSLASH,
    ACTIONS(2073), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2075), 1,
      sym_var_modifier,
    ACTIONS(2077), 1,
      anon_sym_LPAREN2,
    STATE(923), 1,
      sym_anonymous_class,
    STATE(977), 1,
      sym__variable_member_access_expression,
    STATE(979), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(980), 1,
      sym__variable_scoped_property_access_expression,
    STATE(1364), 1,
      sym_attribute_list,
    STATE(2515), 1,
      sym_namespace_name,
    ACTIONS(2079), 2,
      anon_sym_self,
      anon_sym_parent,
    STATE(1020), 2,
      sym_parenthesized_expression,
      sym__class_name_reference,
    STATE(1338), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(943), 5,
      sym__variable_subscript_expression,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym__new_variable,
      sym_variable_name,
    STATE(1019), 5,
      sym_qualified_name,
      sym_relative_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1360), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [15920] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2083), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2081), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15972] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2087), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2085), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16024] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2091), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2089), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16076] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2095), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2093), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16128] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2099), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2097), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16180] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2103), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2101), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16232] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1728), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1726), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16284] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2107), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2105), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16336] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2111), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2109), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16388] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2115), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2113), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16440] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2119), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2117), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16492] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2123), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2121), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16544] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2127), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2125), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16596] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1690), 1,
      anon_sym_LPAREN2,
    ACTIONS(1688), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1686), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16650] = 7,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2133), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2135), 1,
      anon_sym_DASH_GT,
    ACTIONS(2137), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(2139), 1,
      anon_sym_LBRACK,
    ACTIONS(2131), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2129), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16710] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1662), 1,
      anon_sym_LPAREN2,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(2143), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2141), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16766] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2148), 1,
      anon_sym_EQ,
    ACTIONS(2145), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1957), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1955), 29,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16822] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1714), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1712), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16874] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1614), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1612), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16926] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1680), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1678), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16978] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    STATE(2414), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1837), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1839), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17033] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(2143), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2141), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17086] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    STATE(2414), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1830), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1832), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17141] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1710), 12,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1708), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_class_interface_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17192] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1658), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1656), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17245] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1660), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1668), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17298] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1660), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1668), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17351] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    STATE(2414), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1837), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1839), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17406] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    STATE(2414), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(2150), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1899), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17461] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2154), 18,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_AT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_LBRACK,
      anon_sym_POUND_LBRACK,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
    ACTIONS(2152), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__arrow_function_header_token1,
      aux_sym_cast_type_token1,
      sym_float,
      sym_integer,
      aux_sym_throw_expression_token1,
      aux_sym_match_expression_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_clone_expression_token1,
      aux_sym_print_intrinsic_token1,
      aux_sym__new_non_dereferencable_expression_token1,
      aux_sym__list_destructing_token1,
      anon_sym_self,
      anon_sym_parent,
      aux_sym__argument_name_token1,
      aux_sym__argument_name_token2,
      aux_sym_yield_expression_token1,
      aux_sym_include_expression_token1,
      aux_sym_include_once_expression_token1,
      aux_sym_require_expression_token1,
      aux_sym_require_once_expression_token1,
      sym_name,
  [17512] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2156), 1,
      anon_sym_LPAREN2,
    STATE(871), 1,
      sym_arguments,
    ACTIONS(1628), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1626), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17567] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2156), 1,
      anon_sym_LPAREN2,
    STATE(872), 1,
      sym_arguments,
    ACTIONS(1622), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1620), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17622] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(2143), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2141), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17675] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1604), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1602), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17725] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1722), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1720), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17775] = 6,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1662), 1,
      anon_sym_LPAREN2,
    ACTIONS(1792), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1658), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1656), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2160), 17,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_AT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_LBRACK,
      anon_sym_POUND_LBRACK,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
    ACTIONS(2158), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__arrow_function_header_token1,
      aux_sym_cast_type_token1,
      sym_float,
      sym_integer,
      aux_sym_throw_expression_token1,
      aux_sym_match_expression_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_clone_expression_token1,
      aux_sym_print_intrinsic_token1,
      aux_sym__new_non_dereferencable_expression_token1,
      aux_sym__list_destructing_token1,
      anon_sym_self,
      anon_sym_parent,
      aux_sym__argument_name_token1,
      aux_sym__argument_name_token2,
      aux_sym_yield_expression_token1,
      aux_sym_include_expression_token1,
      aux_sym_include_once_expression_token1,
      aux_sym_require_expression_token1,
      aux_sym_require_once_expression_token1,
      sym_name,
  [17881] = 6,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    STATE(2414), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1899), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1658), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1656), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17937] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    STATE(2414), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1830), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1832), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17991] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1690), 1,
      anon_sym_LPAREN2,
    ACTIONS(1688), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1686), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18043] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2145), 1,
      anon_sym_RPAREN2,
    ACTIONS(2148), 1,
      anon_sym_EQ,
    ACTIONS(1957), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1955), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18097] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1698), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1696), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18147] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1710), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1708), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18197] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1714), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1712), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18247] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1614), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1612), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18297] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1638), 1,
      anon_sym_LPAREN2,
    ACTIONS(1636), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1634), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18349] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1724), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1638), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18399] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1646), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1644), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18449] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1662), 1,
      anon_sym_LPAREN2,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1660), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1668), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18503] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1718), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1716), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18553] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1610), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1608), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18603] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1642), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1640), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18653] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1650), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1648), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18703] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1632), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1630), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18753] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1676), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1674), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18803] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1618), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1616), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18853] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1702), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1700), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18903] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2162), 1,
      anon_sym_LPAREN2,
    STATE(916), 1,
      sym_arguments,
    ACTIONS(1628), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1626), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18956] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1843), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1845), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19005] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1694), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1692), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19054] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2133), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2131), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2129), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19105] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1660), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1668), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19156] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1684), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1682), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19205] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1843), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1845), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19254] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1684), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1682), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19303] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1654), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1652), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19352] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1672), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1670), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19401] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1706), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1704), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19450] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1851), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1853), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19499] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1728), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1726), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19548] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2162), 1,
      anon_sym_LPAREN2,
    STATE(918), 1,
      sym_arguments,
    ACTIONS(1622), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1620), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19601] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1660), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1668), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19652] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1792), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1658), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1656), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19705] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1792), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1658), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1656), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19758] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1847), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1849), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19807] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1851), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1853), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19856] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1680), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1678), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19905] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1901), 1,
      anon_sym_LPAREN2,
    STATE(780), 1,
      sym_arguments,
    ACTIONS(2166), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2164), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19958] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2148), 1,
      anon_sym_EQ,
    ACTIONS(1957), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1955), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20009] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2103), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2101), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20057] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2123), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2121), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20105] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1672), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1670), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20153] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2095), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2093), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20201] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1943), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1941), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20249] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1706), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1704), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20297] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1947), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1945), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20345] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1718), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1716), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20393] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1610), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1608), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20441] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1995), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1993), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20489] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1965), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1963), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20537] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2148), 1,
      anon_sym_EQ,
    ACTIONS(1957), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1955), 28,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20587] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2055), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2053), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20635] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1642), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1640), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20683] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1316), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1314), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20731] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2059), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2057), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20779] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2031), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2029), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20827] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2063), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2061), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20875] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1650), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1648), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20923] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2035), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2033), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20971] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1632), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1630), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21019] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1676), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1674), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21067] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1680), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1678), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21115] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2099), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2097), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21163] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1614), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1612), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21211] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2127), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2125), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21259] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1662), 1,
      anon_sym_LPAREN2,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1658), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1656), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21311] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1694), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1692), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21359] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1969), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1967), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21407] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2107), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2105), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21455] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2039), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2037), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21503] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1923), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1658), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1656), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21553] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1148), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1146), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21601] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1923), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(2023), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2021), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21651] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1698), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1696), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21699] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2027), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2025), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21747] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1618), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1616), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21795] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1662), 1,
      anon_sym_LPAREN2,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1660), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1668), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21847] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1722), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1720), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21895] = 7,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    ACTIONS(2168), 1,
      anon_sym_COLON,
    STATE(2414), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1899), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1658), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1656), 21,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21951] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1604), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1602), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21999] = 7,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    ACTIONS(2170), 1,
      anon_sym_COLON,
    STATE(2414), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1899), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1658), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1656), 21,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22055] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1999), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1997), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22103] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2003), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2001), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22151] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2111), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2109), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22199] = 7,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2172), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2174), 1,
      anon_sym_DASH_GT,
    ACTIONS(2176), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(2178), 1,
      anon_sym_LBRACK,
    ACTIONS(2131), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2129), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22255] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2043), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2041), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22303] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2007), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2005), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22351] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2011), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2009), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22399] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1973), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1971), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22447] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2047), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2045), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22495] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1702), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1700), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22543] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2015), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2013), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22591] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2051), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2049), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22639] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2115), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2113), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22687] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1983), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1658), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1656), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22737] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1714), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1712), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22785] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1977), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1975), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22833] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1981), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1979), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22881] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1598), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1600), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22929] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1710), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1708), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22977] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1638), 1,
      anon_sym_LPAREN2,
    ACTIONS(1636), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1634), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23027] = 7,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    ACTIONS(2180), 1,
      anon_sym_COLON,
    STATE(2414), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1899), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1658), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1656), 21,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23083] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2019), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2017), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23131] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1662), 1,
      anon_sym_LPAREN2,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1909), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1907), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23183] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1598), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1600), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23231] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1724), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1638), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23279] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2119), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2117), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23327] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1646), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1644), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23375] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1654), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1652), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23423] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1638), 1,
      anon_sym_LPAREN2,
    ACTIONS(1915), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1913), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23473] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1720), 1,
      anon_sym_LPAREN2,
    ACTIONS(1921), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1919), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23523] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1662), 1,
      anon_sym_LPAREN2,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(2143), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2141), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23575] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1953), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1951), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23623] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1957), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1955), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23671] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1989), 1,
      anon_sym_LPAREN2,
    ACTIONS(1991), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1987), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23723] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2083), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2081), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23771] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2087), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2085), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23819] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2091), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2089), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23867] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1684), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1682), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23915] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1847), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1849), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23963] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1684), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1682), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24011] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1728), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1726), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24059] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1690), 1,
      anon_sym_LPAREN2,
    ACTIONS(1688), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1686), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24109] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1961), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1959), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24157] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2184), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2182), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24204] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2188), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2186), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24251] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2192), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2190), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24298] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2196), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2194), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24345] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2198), 1,
      aux_sym_binary_expression_token1,
    ACTIONS(2192), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2190), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24394] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2202), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2200), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24441] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    STATE(2414), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(2150), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1899), 27,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24492] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2206), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2204), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24539] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(2143), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2141), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24588] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(2143), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2141), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24637] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2210), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2208), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24684] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2214), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24731] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2218), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2216), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24778] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2222), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2220), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24825] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1660), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1668), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24874] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    STATE(2414), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1837), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1839), 27,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24925] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1660), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1668), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24974] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2023), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2021), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25021] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1987), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25068] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1909), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1907), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25117] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1909), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1907), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25166] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    STATE(2414), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1830), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1832), 27,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25217] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2148), 1,
      anon_sym_EQ,
    ACTIONS(2224), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1957), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1955), 25,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25268] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2228), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2226), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25315] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2232), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2230), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25362] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2236), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2234), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25409] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2240), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25456] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1658), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1656), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25505] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2244), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2242), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25552] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2248), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2246), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25599] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2252), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2250), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25646] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2256), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2254), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25693] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2260), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2258), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25740] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2264), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2262), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25787] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1658), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1656), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25834] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1710), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1708), 27,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25879] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2172), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2131), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2129), 26,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25926] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2162), 1,
      anon_sym_LPAREN2,
    STATE(908), 1,
      sym_arguments,
    ACTIONS(2166), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2164), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25975] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1843), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1845), 27,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26020] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1847), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1849), 27,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26065] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1851), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1853), 27,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26110] = 19,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1855), 1,
      sym_name,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(1879), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1881), 1,
      anon_sym_BSLASH,
    ACTIONS(1883), 1,
      anon_sym_LPAREN2,
    ACTIONS(1889), 1,
      anon_sym_QMARK,
    ACTIONS(1893), 1,
      anon_sym_DOLLAR,
    ACTIONS(2266), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1154), 1,
      sym_visibility_modifier,
    STATE(1739), 1,
      sym_type,
    STATE(2105), 1,
      sym_reference_modifier,
    STATE(2111), 1,
      sym_variable_name,
    STATE(2598), 1,
      sym_namespace_name,
    STATE(1461), 2,
      sym_qualified_name,
      sym_relative_name,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1485), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1559), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1863), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [26187] = 15,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_AMP,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_GT_EQ,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2228), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2280), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2226), 13,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [26255] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2228), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2226), 25,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26301] = 19,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_AMP,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_GT_EQ,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2294), 1,
      anon_sym_QMARK,
    ACTIONS(2296), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2280), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2292), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [26377] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_AMP,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_GT_EQ,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2294), 1,
      anon_sym_QMARK,
    ACTIONS(2296), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2308), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2280), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2304), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [26459] = 10,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2314), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2319), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2322), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2325), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2328), 1,
      sym_var_modifier,
    ACTIONS(2331), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    ACTIONS(2317), 4,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    STATE(1029), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
    ACTIONS(2312), 17,
      aux_sym_namespace_definition_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [26517] = 19,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_AMP,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_GT_EQ,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2294), 1,
      anon_sym_QMARK,
    ACTIONS(2296), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2280), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2334), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [26593] = 23,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_AMP,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_GT_EQ,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2294), 1,
      anon_sym_QMARK,
    ACTIONS(2296), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2308), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2336), 1,
      anon_sym_EQ_GT,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2280), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2208), 6,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [26677] = 13,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2282), 1,
      anon_sym_GT_EQ,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2280), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2226), 14,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [26741] = 19,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_AMP,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_GT_EQ,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2296), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2340), 1,
      anon_sym_QMARK,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2280), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2338), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [26817] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_AMP,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_GT_EQ,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2294), 1,
      anon_sym_QMARK,
    ACTIONS(2296), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2308), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2280), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2342), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [26899] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1598), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1600), 26,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26943] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_AMP,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_GT_EQ,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2294), 1,
      anon_sym_QMARK,
    ACTIONS(2296), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2308), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2280), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2238), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [27025] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_AMP,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_GT_EQ,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2294), 1,
      anon_sym_QMARK,
    ACTIONS(2296), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2308), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2280), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2344), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [27107] = 6,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 24,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [27157] = 19,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2268), 1,
      anon_sym_AMP,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_GT_EQ,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2296), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2280), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2226), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [27233] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2228), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2226), 25,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27279] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_AMP,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_GT_EQ,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2294), 1,
      anon_sym_QMARK,
    ACTIONS(2296), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2308), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2280), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2346), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [27361] = 21,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_AMP,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_GT_EQ,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2294), 1,
      anon_sym_QMARK,
    ACTIONS(2296), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2280), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2226), 8,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [27441] = 20,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_AMP,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_GT_EQ,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2294), 1,
      anon_sym_QMARK,
    ACTIONS(2296), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2280), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2226), 9,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [27519] = 11,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2282), 1,
      anon_sym_GT_EQ,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2280), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2228), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2226), 18,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [27579] = 8,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 20,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [27633] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_AMP,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_GT_EQ,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2294), 1,
      anon_sym_QMARK,
    ACTIONS(2296), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2308), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2280), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2348), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [27715] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_AMP,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_GT_EQ,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2294), 1,
      anon_sym_QMARK,
    ACTIONS(2296), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2308), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2280), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2350), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [27797] = 19,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_AMP,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_GT_EQ,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2296), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2354), 1,
      anon_sym_QMARK,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2280), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2352), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [27873] = 17,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2268), 1,
      anon_sym_AMP,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_GT_EQ,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2296), 1,
      anon_sym_PIPE,
    ACTIONS(2302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2280), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2226), 12,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [27945] = 16,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2268), 1,
      anon_sym_AMP,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_GT_EQ,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2296), 1,
      anon_sym_PIPE,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2280), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2226), 13,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [28015] = 14,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_AMP,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2282), 1,
      anon_sym_GT_EQ,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2228), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2280), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2226), 14,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [28081] = 19,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_AMP,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_GT_EQ,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2294), 1,
      anon_sym_QMARK,
    ACTIONS(2296), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2280), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2356), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [28157] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_AMP,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_GT_EQ,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2294), 1,
      anon_sym_QMARK,
    ACTIONS(2296), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2308), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2280), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2358), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [28239] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_AMP,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_GT_EQ,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2294), 1,
      anon_sym_QMARK,
    ACTIONS(2296), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2308), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2280), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2360), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [28321] = 9,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 19,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [28377] = 7,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 22,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [28429] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_AMP,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_GT_EQ,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2294), 1,
      anon_sym_QMARK,
    ACTIONS(2296), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2308), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2280), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2362), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [28511] = 19,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_AMP,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_GT_EQ,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2294), 1,
      anon_sym_QMARK,
    ACTIONS(2296), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2280), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2226), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [28587] = 23,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2364), 1,
      anon_sym_AMP,
    ACTIONS(2366), 1,
      anon_sym_EQ_GT,
    ACTIONS(2368), 1,
      anon_sym_QMARK,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2382), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2384), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2386), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2388), 1,
      anon_sym_CARET,
    ACTIONS(2396), 1,
      anon_sym_GT_EQ,
    ACTIONS(2400), 1,
      anon_sym_DOT,
    ACTIONS(2404), 1,
      anon_sym_PERCENT,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2390), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2398), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2402), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2394), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2392), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2208), 5,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [28670] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2206), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2204), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28713] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2222), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2220), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28756] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2218), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2216), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28799] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2244), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2242), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28842] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2364), 1,
      anon_sym_AMP,
    ACTIONS(2368), 1,
      anon_sym_QMARK,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2382), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2384), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2386), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2388), 1,
      anon_sym_CARET,
    ACTIONS(2396), 1,
      anon_sym_GT_EQ,
    ACTIONS(2400), 1,
      anon_sym_DOT,
    ACTIONS(2404), 1,
      anon_sym_PERCENT,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2390), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2398), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2402), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2394), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2392), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2342), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [28923] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2184), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2182), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28966] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2406), 1,
      anon_sym_AMP,
    ACTIONS(2408), 1,
      anon_sym_QMARK,
    ACTIONS(2410), 1,
      anon_sym_PIPE,
    ACTIONS(2414), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2416), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2420), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2422), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2424), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 1,
      anon_sym_CARET,
    ACTIONS(2436), 1,
      anon_sym_GT_EQ,
    ACTIONS(2440), 1,
      anon_sym_DOT,
    ACTIONS(2444), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2430), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2438), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2442), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2434), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2432), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2360), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [29047] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2406), 1,
      anon_sym_AMP,
    ACTIONS(2408), 1,
      anon_sym_QMARK,
    ACTIONS(2410), 1,
      anon_sym_PIPE,
    ACTIONS(2414), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2416), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2420), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2422), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2424), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 1,
      anon_sym_CARET,
    ACTIONS(2436), 1,
      anon_sym_GT_EQ,
    ACTIONS(2440), 1,
      anon_sym_DOT,
    ACTIONS(2444), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2430), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2438), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2442), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2434), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2432), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2348), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [29128] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2406), 1,
      anon_sym_AMP,
    ACTIONS(2408), 1,
      anon_sym_QMARK,
    ACTIONS(2410), 1,
      anon_sym_PIPE,
    ACTIONS(2414), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2416), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2420), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2422), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2424), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 1,
      anon_sym_CARET,
    ACTIONS(2436), 1,
      anon_sym_GT_EQ,
    ACTIONS(2440), 1,
      anon_sym_DOT,
    ACTIONS(2444), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2430), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2438), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2442), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2434), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2432), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2304), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [29209] = 13,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2416), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2436), 1,
      anon_sym_GT_EQ,
    ACTIONS(2440), 1,
      anon_sym_DOT,
    ACTIONS(2444), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2430), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2438), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2442), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2434), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2432), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2226), 13,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [29272] = 15,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2406), 1,
      anon_sym_AMP,
    ACTIONS(2416), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2428), 1,
      anon_sym_CARET,
    ACTIONS(2436), 1,
      anon_sym_GT_EQ,
    ACTIONS(2440), 1,
      anon_sym_DOT,
    ACTIONS(2444), 1,
      anon_sym_PERCENT,
    ACTIONS(2228), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2430), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2438), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2442), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2434), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2432), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2226), 12,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [29339] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2210), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2208), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29382] = 6,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2416), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2444), 1,
      anon_sym_PERCENT,
    ACTIONS(2442), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [29431] = 19,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2406), 1,
      anon_sym_AMP,
    ACTIONS(2410), 1,
      anon_sym_PIPE,
    ACTIONS(2414), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2416), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 1,
      anon_sym_CARET,
    ACTIONS(2436), 1,
      anon_sym_GT_EQ,
    ACTIONS(2440), 1,
      anon_sym_DOT,
    ACTIONS(2444), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2430), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2438), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2442), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2434), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2432), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2226), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [29506] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2416), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2228), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2226), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29551] = 19,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2406), 1,
      anon_sym_AMP,
    ACTIONS(2408), 1,
      anon_sym_QMARK,
    ACTIONS(2410), 1,
      anon_sym_PIPE,
    ACTIONS(2414), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2416), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 1,
      anon_sym_CARET,
    ACTIONS(2436), 1,
      anon_sym_GT_EQ,
    ACTIONS(2440), 1,
      anon_sym_DOT,
    ACTIONS(2444), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2430), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2438), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2442), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2434), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2432), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2226), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [29626] = 21,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2406), 1,
      anon_sym_AMP,
    ACTIONS(2408), 1,
      anon_sym_QMARK,
    ACTIONS(2410), 1,
      anon_sym_PIPE,
    ACTIONS(2414), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2416), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2422), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2424), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 1,
      anon_sym_CARET,
    ACTIONS(2436), 1,
      anon_sym_GT_EQ,
    ACTIONS(2440), 1,
      anon_sym_DOT,
    ACTIONS(2444), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2430), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2438), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2442), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2434), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2432), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2226), 7,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [29705] = 20,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2406), 1,
      anon_sym_AMP,
    ACTIONS(2408), 1,
      anon_sym_QMARK,
    ACTIONS(2410), 1,
      anon_sym_PIPE,
    ACTIONS(2414), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2416), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2424), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 1,
      anon_sym_CARET,
    ACTIONS(2436), 1,
      anon_sym_GT_EQ,
    ACTIONS(2440), 1,
      anon_sym_DOT,
    ACTIONS(2444), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2430), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2438), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2442), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2434), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2432), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2226), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [29782] = 17,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2406), 1,
      anon_sym_AMP,
    ACTIONS(2410), 1,
      anon_sym_PIPE,
    ACTIONS(2416), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2426), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 1,
      anon_sym_CARET,
    ACTIONS(2436), 1,
      anon_sym_GT_EQ,
    ACTIONS(2440), 1,
      anon_sym_DOT,
    ACTIONS(2444), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2430), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2438), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2442), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2434), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2432), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2226), 11,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [29853] = 16,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2406), 1,
      anon_sym_AMP,
    ACTIONS(2410), 1,
      anon_sym_PIPE,
    ACTIONS(2416), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2428), 1,
      anon_sym_CARET,
    ACTIONS(2436), 1,
      anon_sym_GT_EQ,
    ACTIONS(2440), 1,
      anon_sym_DOT,
    ACTIONS(2444), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2430), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2438), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2442), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2434), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2432), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2226), 12,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [29922] = 14,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2406), 1,
      anon_sym_AMP,
    ACTIONS(2416), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2436), 1,
      anon_sym_GT_EQ,
    ACTIONS(2440), 1,
      anon_sym_DOT,
    ACTIONS(2444), 1,
      anon_sym_PERCENT,
    ACTIONS(2228), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2430), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2438), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2442), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2434), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2432), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2226), 13,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [29987] = 11,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2416), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2436), 1,
      anon_sym_GT_EQ,
    ACTIONS(2440), 1,
      anon_sym_DOT,
    ACTIONS(2444), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2442), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2434), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2228), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2226), 17,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [30046] = 9,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2416), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      anon_sym_DOT,
    ACTIONS(2444), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2442), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 18,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [30101] = 7,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2416), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2444), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2442), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 21,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [30152] = 8,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2416), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2444), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2442), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 19,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [30205] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2416), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2228), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2226), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30250] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2228), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2226), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30293] = 19,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2406), 1,
      anon_sym_AMP,
    ACTIONS(2408), 1,
      anon_sym_QMARK,
    ACTIONS(2410), 1,
      anon_sym_PIPE,
    ACTIONS(2414), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2416), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 1,
      anon_sym_CARET,
    ACTIONS(2436), 1,
      anon_sym_GT_EQ,
    ACTIONS(2440), 1,
      anon_sym_DOT,
    ACTIONS(2444), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2430), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2438), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2442), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2434), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2432), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2292), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [30368] = 19,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2406), 1,
      anon_sym_AMP,
    ACTIONS(2408), 1,
      anon_sym_QMARK,
    ACTIONS(2410), 1,
      anon_sym_PIPE,
    ACTIONS(2414), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2416), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 1,
      anon_sym_CARET,
    ACTIONS(2436), 1,
      anon_sym_GT_EQ,
    ACTIONS(2440), 1,
      anon_sym_DOT,
    ACTIONS(2444), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2430), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2438), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2442), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2434), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2432), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2356), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [30443] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2256), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2254), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30486] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2260), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2258), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30529] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2264), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2262), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30572] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2406), 1,
      anon_sym_AMP,
    ACTIONS(2408), 1,
      anon_sym_QMARK,
    ACTIONS(2410), 1,
      anon_sym_PIPE,
    ACTIONS(2414), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2416), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2420), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2422), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2424), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 1,
      anon_sym_CARET,
    ACTIONS(2436), 1,
      anon_sym_GT_EQ,
    ACTIONS(2440), 1,
      anon_sym_DOT,
    ACTIONS(2444), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2430), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2438), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2442), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2434), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2432), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2346), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [30653] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2406), 1,
      anon_sym_AMP,
    ACTIONS(2408), 1,
      anon_sym_QMARK,
    ACTIONS(2410), 1,
      anon_sym_PIPE,
    ACTIONS(2414), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2416), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2420), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2422), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2424), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 1,
      anon_sym_CARET,
    ACTIONS(2436), 1,
      anon_sym_GT_EQ,
    ACTIONS(2440), 1,
      anon_sym_DOT,
    ACTIONS(2444), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2430), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2438), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2442), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2434), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2432), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2342), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [30734] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2406), 1,
      anon_sym_AMP,
    ACTIONS(2408), 1,
      anon_sym_QMARK,
    ACTIONS(2410), 1,
      anon_sym_PIPE,
    ACTIONS(2414), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2416), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2420), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2422), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2424), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 1,
      anon_sym_CARET,
    ACTIONS(2436), 1,
      anon_sym_GT_EQ,
    ACTIONS(2440), 1,
      anon_sym_DOT,
    ACTIONS(2444), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2430), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2438), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2442), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2434), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2432), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2238), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [30815] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1658), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1656), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30858] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2192), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2190), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30901] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2446), 1,
      aux_sym_binary_expression_token1,
    ACTIONS(2192), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2190), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30946] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2236), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2234), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30989] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2023), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2021), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31032] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1987), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31075] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1088), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1086), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31118] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2202), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2200), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31161] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1092), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1090), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31204] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2232), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2230), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31247] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2364), 1,
      anon_sym_AMP,
    ACTIONS(2368), 1,
      anon_sym_QMARK,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2382), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2384), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2386), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2388), 1,
      anon_sym_CARET,
    ACTIONS(2396), 1,
      anon_sym_GT_EQ,
    ACTIONS(2400), 1,
      anon_sym_DOT,
    ACTIONS(2404), 1,
      anon_sym_PERCENT,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2390), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2398), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2402), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2394), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2392), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2238), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [31328] = 23,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2406), 1,
      anon_sym_AMP,
    ACTIONS(2408), 1,
      anon_sym_QMARK,
    ACTIONS(2410), 1,
      anon_sym_PIPE,
    ACTIONS(2414), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2416), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2420), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2422), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2424), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 1,
      anon_sym_CARET,
    ACTIONS(2436), 1,
      anon_sym_GT_EQ,
    ACTIONS(2440), 1,
      anon_sym_DOT,
    ACTIONS(2444), 1,
      anon_sym_PERCENT,
    ACTIONS(2448), 1,
      anon_sym_EQ_GT,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2430), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2438), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2442), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2434), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2432), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2208), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_binary_expression_token1,
  [31411] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2364), 1,
      anon_sym_AMP,
    ACTIONS(2368), 1,
      anon_sym_QMARK,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2382), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2384), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2386), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2388), 1,
      anon_sym_CARET,
    ACTIONS(2396), 1,
      anon_sym_GT_EQ,
    ACTIONS(2400), 1,
      anon_sym_DOT,
    ACTIONS(2404), 1,
      anon_sym_PERCENT,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2390), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2398), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2402), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2394), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2392), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2344), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [31492] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2406), 1,
      anon_sym_AMP,
    ACTIONS(2408), 1,
      anon_sym_QMARK,
    ACTIONS(2410), 1,
      anon_sym_PIPE,
    ACTIONS(2414), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2416), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2420), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2422), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2424), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 1,
      anon_sym_CARET,
    ACTIONS(2436), 1,
      anon_sym_GT_EQ,
    ACTIONS(2440), 1,
      anon_sym_DOT,
    ACTIONS(2444), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2430), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2438), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2442), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2434), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2432), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2350), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [31573] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2406), 1,
      anon_sym_AMP,
    ACTIONS(2408), 1,
      anon_sym_QMARK,
    ACTIONS(2410), 1,
      anon_sym_PIPE,
    ACTIONS(2414), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2416), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2420), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2422), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2424), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 1,
      anon_sym_CARET,
    ACTIONS(2436), 1,
      anon_sym_GT_EQ,
    ACTIONS(2440), 1,
      anon_sym_DOT,
    ACTIONS(2444), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2430), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2438), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2442), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2434), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2432), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2358), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [31654] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2406), 1,
      anon_sym_AMP,
    ACTIONS(2408), 1,
      anon_sym_QMARK,
    ACTIONS(2410), 1,
      anon_sym_PIPE,
    ACTIONS(2414), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2416), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2420), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2422), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2424), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 1,
      anon_sym_CARET,
    ACTIONS(2436), 1,
      anon_sym_GT_EQ,
    ACTIONS(2440), 1,
      anon_sym_DOT,
    ACTIONS(2444), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2430), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2438), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2442), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2434), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2432), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2362), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [31735] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2240), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31778] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2406), 1,
      anon_sym_AMP,
    ACTIONS(2408), 1,
      anon_sym_QMARK,
    ACTIONS(2410), 1,
      anon_sym_PIPE,
    ACTIONS(2414), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2416), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2420), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2422), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2424), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 1,
      anon_sym_CARET,
    ACTIONS(2436), 1,
      anon_sym_GT_EQ,
    ACTIONS(2440), 1,
      anon_sym_DOT,
    ACTIONS(2444), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2430), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2438), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2442), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2434), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2432), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2344), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [31859] = 19,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2354), 1,
      anon_sym_QMARK,
    ACTIONS(2406), 1,
      anon_sym_AMP,
    ACTIONS(2410), 1,
      anon_sym_PIPE,
    ACTIONS(2414), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2416), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 1,
      anon_sym_CARET,
    ACTIONS(2436), 1,
      anon_sym_GT_EQ,
    ACTIONS(2440), 1,
      anon_sym_DOT,
    ACTIONS(2444), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2430), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2438), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2442), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2434), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2432), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2352), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [31934] = 19,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2406), 1,
      anon_sym_AMP,
    ACTIONS(2408), 1,
      anon_sym_QMARK,
    ACTIONS(2410), 1,
      anon_sym_PIPE,
    ACTIONS(2414), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2416), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 1,
      anon_sym_CARET,
    ACTIONS(2436), 1,
      anon_sym_GT_EQ,
    ACTIONS(2440), 1,
      anon_sym_DOT,
    ACTIONS(2444), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2430), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2438), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2442), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2434), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2432), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2334), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [32009] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2196), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2194), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32052] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2248), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2246), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32095] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2214), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32138] = 19,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2340), 1,
      anon_sym_QMARK,
    ACTIONS(2406), 1,
      anon_sym_AMP,
    ACTIONS(2410), 1,
      anon_sym_PIPE,
    ACTIONS(2414), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2416), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 1,
      anon_sym_CARET,
    ACTIONS(2436), 1,
      anon_sym_GT_EQ,
    ACTIONS(2440), 1,
      anon_sym_DOT,
    ACTIONS(2444), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2430), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2438), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2442), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2434), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2432), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2338), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [32213] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2364), 1,
      anon_sym_AMP,
    ACTIONS(2368), 1,
      anon_sym_QMARK,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2382), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2384), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2386), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2388), 1,
      anon_sym_CARET,
    ACTIONS(2396), 1,
      anon_sym_GT_EQ,
    ACTIONS(2400), 1,
      anon_sym_DOT,
    ACTIONS(2404), 1,
      anon_sym_PERCENT,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2390), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2398), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2402), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2394), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2392), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2360), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [32294] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2364), 1,
      anon_sym_AMP,
    ACTIONS(2368), 1,
      anon_sym_QMARK,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2382), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2384), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2386), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2388), 1,
      anon_sym_CARET,
    ACTIONS(2396), 1,
      anon_sym_GT_EQ,
    ACTIONS(2400), 1,
      anon_sym_DOT,
    ACTIONS(2404), 1,
      anon_sym_PERCENT,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2390), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2398), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2402), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2394), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2392), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2304), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [32375] = 13,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2396), 1,
      anon_sym_GT_EQ,
    ACTIONS(2400), 1,
      anon_sym_DOT,
    ACTIONS(2404), 1,
      anon_sym_PERCENT,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2390), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2398), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2402), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2394), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2392), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2226), 13,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [32438] = 15,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2364), 1,
      anon_sym_AMP,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2388), 1,
      anon_sym_CARET,
    ACTIONS(2396), 1,
      anon_sym_GT_EQ,
    ACTIONS(2400), 1,
      anon_sym_DOT,
    ACTIONS(2404), 1,
      anon_sym_PERCENT,
    ACTIONS(2228), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2390), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2398), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2402), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2394), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2392), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2226), 12,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [32505] = 6,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2404), 1,
      anon_sym_PERCENT,
    ACTIONS(2402), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 23,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [32554] = 19,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2384), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2386), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2388), 1,
      anon_sym_CARET,
    ACTIONS(2396), 1,
      anon_sym_GT_EQ,
    ACTIONS(2400), 1,
      anon_sym_DOT,
    ACTIONS(2404), 1,
      anon_sym_PERCENT,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2390), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2398), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2402), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2394), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2392), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2226), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [32629] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2228), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2226), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32674] = 19,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2364), 1,
      anon_sym_AMP,
    ACTIONS(2368), 1,
      anon_sym_QMARK,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2384), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2386), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2388), 1,
      anon_sym_CARET,
    ACTIONS(2396), 1,
      anon_sym_GT_EQ,
    ACTIONS(2400), 1,
      anon_sym_DOT,
    ACTIONS(2404), 1,
      anon_sym_PERCENT,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2390), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2398), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2402), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2394), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2392), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2226), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [32749] = 21,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2364), 1,
      anon_sym_AMP,
    ACTIONS(2368), 1,
      anon_sym_QMARK,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2382), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2384), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2386), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2388), 1,
      anon_sym_CARET,
    ACTIONS(2396), 1,
      anon_sym_GT_EQ,
    ACTIONS(2400), 1,
      anon_sym_DOT,
    ACTIONS(2404), 1,
      anon_sym_PERCENT,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2390), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2398), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2402), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2394), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2392), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2226), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [32828] = 20,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2364), 1,
      anon_sym_AMP,
    ACTIONS(2368), 1,
      anon_sym_QMARK,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2384), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2386), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2388), 1,
      anon_sym_CARET,
    ACTIONS(2396), 1,
      anon_sym_GT_EQ,
    ACTIONS(2400), 1,
      anon_sym_DOT,
    ACTIONS(2404), 1,
      anon_sym_PERCENT,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2390), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2398), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2402), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2394), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2392), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2226), 8,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [32905] = 17,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2386), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2388), 1,
      anon_sym_CARET,
    ACTIONS(2396), 1,
      anon_sym_GT_EQ,
    ACTIONS(2400), 1,
      anon_sym_DOT,
    ACTIONS(2404), 1,
      anon_sym_PERCENT,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2390), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2398), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2402), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2394), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2392), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2226), 11,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [32976] = 16,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2388), 1,
      anon_sym_CARET,
    ACTIONS(2396), 1,
      anon_sym_GT_EQ,
    ACTIONS(2400), 1,
      anon_sym_DOT,
    ACTIONS(2404), 1,
      anon_sym_PERCENT,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2390), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2398), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2402), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2394), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2392), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2226), 12,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [33045] = 14,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2364), 1,
      anon_sym_AMP,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2396), 1,
      anon_sym_GT_EQ,
    ACTIONS(2400), 1,
      anon_sym_DOT,
    ACTIONS(2404), 1,
      anon_sym_PERCENT,
    ACTIONS(2228), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2390), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2398), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2402), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2394), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2392), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2226), 13,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [33110] = 11,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2396), 1,
      anon_sym_GT_EQ,
    ACTIONS(2400), 1,
      anon_sym_DOT,
    ACTIONS(2404), 1,
      anon_sym_PERCENT,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2398), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2402), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2394), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2228), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2226), 17,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [33169] = 9,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2400), 1,
      anon_sym_DOT,
    ACTIONS(2404), 1,
      anon_sym_PERCENT,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2398), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2402), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 18,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [33224] = 7,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2404), 1,
      anon_sym_PERCENT,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2402), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 21,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [33275] = 8,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2404), 1,
      anon_sym_PERCENT,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2398), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2402), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [33328] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2228), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2226), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33373] = 19,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2364), 1,
      anon_sym_AMP,
    ACTIONS(2368), 1,
      anon_sym_QMARK,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2384), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2386), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2388), 1,
      anon_sym_CARET,
    ACTIONS(2396), 1,
      anon_sym_GT_EQ,
    ACTIONS(2400), 1,
      anon_sym_DOT,
    ACTIONS(2404), 1,
      anon_sym_PERCENT,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2390), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2398), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2402), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2394), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2392), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2292), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [33448] = 19,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2364), 1,
      anon_sym_AMP,
    ACTIONS(2368), 1,
      anon_sym_QMARK,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2384), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2386), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2388), 1,
      anon_sym_CARET,
    ACTIONS(2396), 1,
      anon_sym_GT_EQ,
    ACTIONS(2400), 1,
      anon_sym_DOT,
    ACTIONS(2404), 1,
      anon_sym_PERCENT,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2390), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2398), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2402), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2394), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2392), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2356), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [33523] = 19,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2354), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2384), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2386), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2388), 1,
      anon_sym_CARET,
    ACTIONS(2396), 1,
      anon_sym_GT_EQ,
    ACTIONS(2400), 1,
      anon_sym_DOT,
    ACTIONS(2404), 1,
      anon_sym_PERCENT,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2390), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2398), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2402), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2394), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2392), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2352), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [33598] = 19,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2364), 1,
      anon_sym_AMP,
    ACTIONS(2368), 1,
      anon_sym_QMARK,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2384), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2386), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2388), 1,
      anon_sym_CARET,
    ACTIONS(2396), 1,
      anon_sym_GT_EQ,
    ACTIONS(2400), 1,
      anon_sym_DOT,
    ACTIONS(2404), 1,
      anon_sym_PERCENT,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2390), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2398), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2402), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2394), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2392), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2334), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [33673] = 19,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2340), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2384), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2386), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2388), 1,
      anon_sym_CARET,
    ACTIONS(2396), 1,
      anon_sym_GT_EQ,
    ACTIONS(2400), 1,
      anon_sym_DOT,
    ACTIONS(2404), 1,
      anon_sym_PERCENT,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2390), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2398), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2402), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2394), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2392), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2338), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [33748] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2188), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2186), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33791] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2364), 1,
      anon_sym_AMP,
    ACTIONS(2368), 1,
      anon_sym_QMARK,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2382), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2384), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2386), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2388), 1,
      anon_sym_CARET,
    ACTIONS(2396), 1,
      anon_sym_GT_EQ,
    ACTIONS(2400), 1,
      anon_sym_DOT,
    ACTIONS(2404), 1,
      anon_sym_PERCENT,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2390), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2398), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2402), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2394), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2392), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2348), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [33872] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2364), 1,
      anon_sym_AMP,
    ACTIONS(2368), 1,
      anon_sym_QMARK,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2382), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2384), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2386), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2388), 1,
      anon_sym_CARET,
    ACTIONS(2396), 1,
      anon_sym_GT_EQ,
    ACTIONS(2400), 1,
      anon_sym_DOT,
    ACTIONS(2404), 1,
      anon_sym_PERCENT,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2390), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2398), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2402), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2394), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2392), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2346), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [33953] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2364), 1,
      anon_sym_AMP,
    ACTIONS(2368), 1,
      anon_sym_QMARK,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2382), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2384), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2386), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2388), 1,
      anon_sym_CARET,
    ACTIONS(2396), 1,
      anon_sym_GT_EQ,
    ACTIONS(2400), 1,
      anon_sym_DOT,
    ACTIONS(2404), 1,
      anon_sym_PERCENT,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2390), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2398), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2402), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2394), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2392), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2350), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [34034] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2364), 1,
      anon_sym_AMP,
    ACTIONS(2368), 1,
      anon_sym_QMARK,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2382), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2384), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2386), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2388), 1,
      anon_sym_CARET,
    ACTIONS(2396), 1,
      anon_sym_GT_EQ,
    ACTIONS(2400), 1,
      anon_sym_DOT,
    ACTIONS(2404), 1,
      anon_sym_PERCENT,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2390), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2398), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2402), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2394), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2392), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2358), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [34115] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2364), 1,
      anon_sym_AMP,
    ACTIONS(2368), 1,
      anon_sym_QMARK,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2382), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2384), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2386), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2388), 1,
      anon_sym_CARET,
    ACTIONS(2396), 1,
      anon_sym_GT_EQ,
    ACTIONS(2400), 1,
      anon_sym_DOT,
    ACTIONS(2404), 1,
      anon_sym_PERCENT,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2390), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2398), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2402), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2394), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2392), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2362), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [34196] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2252), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2250), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34239] = 19,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2340), 1,
      anon_sym_QMARK,
    ACTIONS(2450), 1,
      anon_sym_AMP,
    ACTIONS(2452), 1,
      anon_sym_PIPE,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2460), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2462), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2464), 1,
      anon_sym_CARET,
    ACTIONS(2472), 1,
      anon_sym_GT_EQ,
    ACTIONS(2476), 1,
      anon_sym_DOT,
    ACTIONS(2480), 1,
      anon_sym_PERCENT,
    ACTIONS(2454), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2474), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2478), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2470), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2468), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2338), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [34313] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2450), 1,
      anon_sym_AMP,
    ACTIONS(2452), 1,
      anon_sym_PIPE,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2460), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2462), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2464), 1,
      anon_sym_CARET,
    ACTIONS(2472), 1,
      anon_sym_GT_EQ,
    ACTIONS(2476), 1,
      anon_sym_DOT,
    ACTIONS(2480), 1,
      anon_sym_PERCENT,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2484), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2486), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2488), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2474), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2478), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2470), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2468), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2362), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [34393] = 15,
    ACTIONS(629), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(635), 1,
      anon_sym_BSLASH,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1867), 1,
      anon_sym_LPAREN2,
    ACTIONS(1869), 1,
      anon_sym_QMARK,
    ACTIONS(2490), 1,
      sym_name,
    STATE(1529), 1,
      sym_type,
    STATE(1744), 1,
      sym_const_element,
    STATE(2478), 1,
      sym_namespace_name,
    STATE(1461), 2,
      sym_qualified_name,
      sym_relative_name,
    STATE(2554), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(1939), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1485), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1424), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1863), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [34459] = 15,
    ACTIONS(629), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(635), 1,
      anon_sym_BSLASH,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1867), 1,
      anon_sym_LPAREN2,
    ACTIONS(1869), 1,
      anon_sym_QMARK,
    ACTIONS(2490), 1,
      sym_name,
    STATE(1565), 1,
      sym_type,
    STATE(1734), 1,
      sym_const_element,
    STATE(2478), 1,
      sym_namespace_name,
    STATE(1461), 2,
      sym_qualified_name,
      sym_relative_name,
    STATE(2554), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(1939), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1485), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1424), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1863), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [34525] = 15,
    ACTIONS(629), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(635), 1,
      anon_sym_BSLASH,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1867), 1,
      anon_sym_LPAREN2,
    ACTIONS(1869), 1,
      anon_sym_QMARK,
    ACTIONS(2490), 1,
      sym_name,
    STATE(1553), 1,
      sym_type,
    STATE(1660), 1,
      sym_const_element,
    STATE(2478), 1,
      sym_namespace_name,
    STATE(1461), 2,
      sym_qualified_name,
      sym_relative_name,
    STATE(2554), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(1939), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1485), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1424), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1863), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [34591] = 17,
    ACTIONS(43), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(629), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(635), 1,
      anon_sym_BSLASH,
    ACTIONS(765), 1,
      anon_sym_AMP,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1855), 1,
      sym_name,
    ACTIONS(1867), 1,
      anon_sym_LPAREN2,
    ACTIONS(1869), 1,
      anon_sym_QMARK,
    ACTIONS(1893), 1,
      anon_sym_DOLLAR,
    STATE(1209), 1,
      sym_readonly_modifier,
    STATE(1882), 1,
      sym_type,
    STATE(2478), 1,
      sym_namespace_name,
    STATE(1461), 2,
      sym_qualified_name,
      sym_relative_name,
    STATE(1694), 2,
      sym_variable_name,
      sym_by_ref,
    STATE(1485), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1586), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1863), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [34661] = 15,
    ACTIONS(629), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(635), 1,
      anon_sym_BSLASH,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1867), 1,
      anon_sym_LPAREN2,
    ACTIONS(1869), 1,
      anon_sym_QMARK,
    ACTIONS(2490), 1,
      sym_name,
    STATE(1548), 1,
      sym_type,
    STATE(1712), 1,
      sym_const_element,
    STATE(2478), 1,
      sym_namespace_name,
    STATE(1461), 2,
      sym_qualified_name,
      sym_relative_name,
    STATE(2554), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(1939), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1485), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1424), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1863), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [34727] = 17,
    ACTIONS(43), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(629), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(635), 1,
      anon_sym_BSLASH,
    ACTIONS(765), 1,
      anon_sym_AMP,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1855), 1,
      sym_name,
    ACTIONS(1867), 1,
      anon_sym_LPAREN2,
    ACTIONS(1869), 1,
      anon_sym_QMARK,
    ACTIONS(1893), 1,
      anon_sym_DOLLAR,
    STATE(1206), 1,
      sym_readonly_modifier,
    STATE(1815), 1,
      sym_type,
    STATE(2478), 1,
      sym_namespace_name,
    STATE(1461), 2,
      sym_qualified_name,
      sym_relative_name,
    STATE(1737), 2,
      sym_variable_name,
      sym_by_ref,
    STATE(1485), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1586), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1863), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [34797] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2450), 1,
      anon_sym_AMP,
    ACTIONS(2452), 1,
      anon_sym_PIPE,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2460), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2462), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2464), 1,
      anon_sym_CARET,
    ACTIONS(2472), 1,
      anon_sym_GT_EQ,
    ACTIONS(2476), 1,
      anon_sym_DOT,
    ACTIONS(2480), 1,
      anon_sym_PERCENT,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2484), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2486), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2488), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2474), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2478), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2470), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2468), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2360), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [34877] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2450), 1,
      anon_sym_AMP,
    ACTIONS(2452), 1,
      anon_sym_PIPE,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2460), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2462), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2464), 1,
      anon_sym_CARET,
    ACTIONS(2472), 1,
      anon_sym_GT_EQ,
    ACTIONS(2476), 1,
      anon_sym_DOT,
    ACTIONS(2480), 1,
      anon_sym_PERCENT,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2484), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2486), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2488), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2474), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2478), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2470), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2468), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2304), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [34957] = 13,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2458), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2472), 1,
      anon_sym_GT_EQ,
    ACTIONS(2476), 1,
      anon_sym_DOT,
    ACTIONS(2480), 1,
      anon_sym_PERCENT,
    ACTIONS(2454), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2474), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2478), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2470), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2468), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2226), 12,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [35019] = 15,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2450), 1,
      anon_sym_AMP,
    ACTIONS(2458), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2464), 1,
      anon_sym_CARET,
    ACTIONS(2472), 1,
      anon_sym_GT_EQ,
    ACTIONS(2476), 1,
      anon_sym_DOT,
    ACTIONS(2480), 1,
      anon_sym_PERCENT,
    ACTIONS(2228), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2454), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2474), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2478), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2470), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2468), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2226), 11,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [35085] = 6,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2458), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2480), 1,
      anon_sym_PERCENT,
    ACTIONS(2478), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 22,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [35133] = 19,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2450), 1,
      anon_sym_AMP,
    ACTIONS(2452), 1,
      anon_sym_PIPE,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2460), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2462), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2464), 1,
      anon_sym_CARET,
    ACTIONS(2472), 1,
      anon_sym_GT_EQ,
    ACTIONS(2476), 1,
      anon_sym_DOT,
    ACTIONS(2480), 1,
      anon_sym_PERCENT,
    ACTIONS(2454), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2474), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2478), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2470), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2468), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2226), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [35207] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2458), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2228), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2226), 23,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35251] = 19,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2450), 1,
      anon_sym_AMP,
    ACTIONS(2452), 1,
      anon_sym_PIPE,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2460), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2462), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2464), 1,
      anon_sym_CARET,
    ACTIONS(2472), 1,
      anon_sym_GT_EQ,
    ACTIONS(2476), 1,
      anon_sym_DOT,
    ACTIONS(2480), 1,
      anon_sym_PERCENT,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2454), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2474), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2478), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2470), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2468), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2226), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [35325] = 21,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2450), 1,
      anon_sym_AMP,
    ACTIONS(2452), 1,
      anon_sym_PIPE,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2460), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2462), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2464), 1,
      anon_sym_CARET,
    ACTIONS(2472), 1,
      anon_sym_GT_EQ,
    ACTIONS(2476), 1,
      anon_sym_DOT,
    ACTIONS(2480), 1,
      anon_sym_PERCENT,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2484), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2488), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2474), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2478), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2470), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2468), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2226), 6,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [35403] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2450), 1,
      anon_sym_AMP,
    ACTIONS(2452), 1,
      anon_sym_PIPE,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2460), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2462), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2464), 1,
      anon_sym_CARET,
    ACTIONS(2472), 1,
      anon_sym_GT_EQ,
    ACTIONS(2476), 1,
      anon_sym_DOT,
    ACTIONS(2480), 1,
      anon_sym_PERCENT,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2484), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2486), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2488), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2474), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2478), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2470), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2468), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2344), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [35483] = 17,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2450), 1,
      anon_sym_AMP,
    ACTIONS(2452), 1,
      anon_sym_PIPE,
    ACTIONS(2458), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2462), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2464), 1,
      anon_sym_CARET,
    ACTIONS(2472), 1,
      anon_sym_GT_EQ,
    ACTIONS(2476), 1,
      anon_sym_DOT,
    ACTIONS(2480), 1,
      anon_sym_PERCENT,
    ACTIONS(2454), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2474), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2478), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2470), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2468), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2226), 10,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [35553] = 16,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2228), 1,
      anon_sym_QMARK,
    ACTIONS(2450), 1,
      anon_sym_AMP,
    ACTIONS(2452), 1,
      anon_sym_PIPE,
    ACTIONS(2458), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2464), 1,
      anon_sym_CARET,
    ACTIONS(2472), 1,
      anon_sym_GT_EQ,
    ACTIONS(2476), 1,
      anon_sym_DOT,
    ACTIONS(2480), 1,
      anon_sym_PERCENT,
    ACTIONS(2454), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2474), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2478), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2470), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2468), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2226), 11,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [35621] = 14,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2450), 1,
      anon_sym_AMP,
    ACTIONS(2458), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2472), 1,
      anon_sym_GT_EQ,
    ACTIONS(2476), 1,
      anon_sym_DOT,
    ACTIONS(2480), 1,
      anon_sym_PERCENT,
    ACTIONS(2228), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2454), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2474), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2478), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2470), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2468), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2226), 12,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [35685] = 11,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2458), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2472), 1,
      anon_sym_GT_EQ,
    ACTIONS(2476), 1,
      anon_sym_DOT,
    ACTIONS(2480), 1,
      anon_sym_PERCENT,
    ACTIONS(2454), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2474), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2478), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2470), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2228), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2226), 16,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [35743] = 9,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2458), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2476), 1,
      anon_sym_DOT,
    ACTIONS(2480), 1,
      anon_sym_PERCENT,
    ACTIONS(2454), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2474), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2478), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 17,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [35797] = 7,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2458), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2480), 1,
      anon_sym_PERCENT,
    ACTIONS(2454), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2478), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 20,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [35847] = 8,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2458), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2480), 1,
      anon_sym_PERCENT,
    ACTIONS(2454), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2474), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2478), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 18,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [35899] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2458), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2228), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2226), 23,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35943] = 19,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2450), 1,
      anon_sym_AMP,
    ACTIONS(2452), 1,
      anon_sym_PIPE,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2460), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2462), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2464), 1,
      anon_sym_CARET,
    ACTIONS(2472), 1,
      anon_sym_GT_EQ,
    ACTIONS(2476), 1,
      anon_sym_DOT,
    ACTIONS(2480), 1,
      anon_sym_PERCENT,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2454), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2474), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2478), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2470), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2468), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2292), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [36017] = 19,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2450), 1,
      anon_sym_AMP,
    ACTIONS(2452), 1,
      anon_sym_PIPE,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2460), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2462), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2464), 1,
      anon_sym_CARET,
    ACTIONS(2472), 1,
      anon_sym_GT_EQ,
    ACTIONS(2476), 1,
      anon_sym_DOT,
    ACTIONS(2480), 1,
      anon_sym_PERCENT,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2454), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2474), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2478), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2470), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2468), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2356), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [36091] = 19,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2354), 1,
      anon_sym_QMARK,
    ACTIONS(2450), 1,
      anon_sym_AMP,
    ACTIONS(2452), 1,
      anon_sym_PIPE,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2460), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2462), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2464), 1,
      anon_sym_CARET,
    ACTIONS(2472), 1,
      anon_sym_GT_EQ,
    ACTIONS(2476), 1,
      anon_sym_DOT,
    ACTIONS(2480), 1,
      anon_sym_PERCENT,
    ACTIONS(2454), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2474), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2478), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2470), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2468), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2352), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [36165] = 19,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2450), 1,
      anon_sym_AMP,
    ACTIONS(2452), 1,
      anon_sym_PIPE,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2460), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2462), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2464), 1,
      anon_sym_CARET,
    ACTIONS(2472), 1,
      anon_sym_GT_EQ,
    ACTIONS(2476), 1,
      anon_sym_DOT,
    ACTIONS(2480), 1,
      anon_sym_PERCENT,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2454), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2474), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2478), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2470), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2468), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2334), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [36239] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2450), 1,
      anon_sym_AMP,
    ACTIONS(2452), 1,
      anon_sym_PIPE,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2460), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2462), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2464), 1,
      anon_sym_CARET,
    ACTIONS(2472), 1,
      anon_sym_GT_EQ,
    ACTIONS(2476), 1,
      anon_sym_DOT,
    ACTIONS(2480), 1,
      anon_sym_PERCENT,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2484), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2486), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2488), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2474), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2478), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2470), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2468), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2342), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [36319] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2450), 1,
      anon_sym_AMP,
    ACTIONS(2452), 1,
      anon_sym_PIPE,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2460), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2462), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2464), 1,
      anon_sym_CARET,
    ACTIONS(2472), 1,
      anon_sym_GT_EQ,
    ACTIONS(2476), 1,
      anon_sym_DOT,
    ACTIONS(2480), 1,
      anon_sym_PERCENT,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2484), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2486), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2488), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2474), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2478), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2470), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2468), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2238), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [36399] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2450), 1,
      anon_sym_AMP,
    ACTIONS(2452), 1,
      anon_sym_PIPE,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2460), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2462), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2464), 1,
      anon_sym_CARET,
    ACTIONS(2472), 1,
      anon_sym_GT_EQ,
    ACTIONS(2476), 1,
      anon_sym_DOT,
    ACTIONS(2480), 1,
      anon_sym_PERCENT,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2484), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2486), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2488), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2474), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2478), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2470), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2468), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2348), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [36479] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2450), 1,
      anon_sym_AMP,
    ACTIONS(2452), 1,
      anon_sym_PIPE,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2460), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2462), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2464), 1,
      anon_sym_CARET,
    ACTIONS(2472), 1,
      anon_sym_GT_EQ,
    ACTIONS(2476), 1,
      anon_sym_DOT,
    ACTIONS(2480), 1,
      anon_sym_PERCENT,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2484), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2486), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2488), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2474), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2478), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2470), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2468), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2346), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [36559] = 23,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2450), 1,
      anon_sym_AMP,
    ACTIONS(2452), 1,
      anon_sym_PIPE,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2460), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2462), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2464), 1,
      anon_sym_CARET,
    ACTIONS(2472), 1,
      anon_sym_GT_EQ,
    ACTIONS(2476), 1,
      anon_sym_DOT,
    ACTIONS(2480), 1,
      anon_sym_PERCENT,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2484), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2486), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2488), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2492), 1,
      anon_sym_EQ_GT,
    ACTIONS(2454), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2474), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2478), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2470), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2208), 4,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
    ACTIONS(2468), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36641] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2450), 1,
      anon_sym_AMP,
    ACTIONS(2452), 1,
      anon_sym_PIPE,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2460), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2462), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2464), 1,
      anon_sym_CARET,
    ACTIONS(2472), 1,
      anon_sym_GT_EQ,
    ACTIONS(2476), 1,
      anon_sym_DOT,
    ACTIONS(2480), 1,
      anon_sym_PERCENT,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2484), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2486), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2488), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2474), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2478), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2470), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2468), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2350), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [36721] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2450), 1,
      anon_sym_AMP,
    ACTIONS(2452), 1,
      anon_sym_PIPE,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2460), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2462), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2464), 1,
      anon_sym_CARET,
    ACTIONS(2472), 1,
      anon_sym_GT_EQ,
    ACTIONS(2476), 1,
      anon_sym_DOT,
    ACTIONS(2480), 1,
      anon_sym_PERCENT,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2484), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2486), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2488), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2474), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2478), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2470), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2468), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2358), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [36801] = 20,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2450), 1,
      anon_sym_AMP,
    ACTIONS(2452), 1,
      anon_sym_PIPE,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2460), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2462), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2464), 1,
      anon_sym_CARET,
    ACTIONS(2472), 1,
      anon_sym_GT_EQ,
    ACTIONS(2476), 1,
      anon_sym_DOT,
    ACTIONS(2480), 1,
      anon_sym_PERCENT,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2484), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2454), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2474), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2478), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2470), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2468), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2226), 7,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [36877] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2406), 1,
      anon_sym_AMP,
    ACTIONS(2408), 1,
      anon_sym_QMARK,
    ACTIONS(2410), 1,
      anon_sym_PIPE,
    ACTIONS(2414), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2416), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2420), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2422), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2424), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 1,
      anon_sym_CARET,
    ACTIONS(2436), 1,
      anon_sym_GT_EQ,
    ACTIONS(2440), 1,
      anon_sym_DOT,
    ACTIONS(2444), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2430), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2438), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2442), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2434), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2432), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2494), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [36956] = 24,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2450), 1,
      anon_sym_AMP,
    ACTIONS(2452), 1,
      anon_sym_PIPE,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2460), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2462), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2464), 1,
      anon_sym_CARET,
    ACTIONS(2472), 1,
      anon_sym_GT_EQ,
    ACTIONS(2476), 1,
      anon_sym_DOT,
    ACTIONS(2480), 1,
      anon_sym_PERCENT,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2484), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2486), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2488), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2498), 1,
      anon_sym_LBRACE,
    STATE(2405), 1,
      sym_property_hook_list,
    ACTIONS(2454), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2474), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2478), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2496), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2470), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2468), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37039] = 24,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2450), 1,
      anon_sym_AMP,
    ACTIONS(2452), 1,
      anon_sym_PIPE,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2460), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2462), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2464), 1,
      anon_sym_CARET,
    ACTIONS(2472), 1,
      anon_sym_GT_EQ,
    ACTIONS(2476), 1,
      anon_sym_DOT,
    ACTIONS(2480), 1,
      anon_sym_PERCENT,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2484), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2486), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2488), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2498), 1,
      anon_sym_LBRACE,
    STATE(2339), 1,
      sym_property_hook_list,
    ACTIONS(2454), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2474), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2478), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2500), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2470), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2468), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37122] = 24,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2450), 1,
      anon_sym_AMP,
    ACTIONS(2452), 1,
      anon_sym_PIPE,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2460), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2462), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2464), 1,
      anon_sym_CARET,
    ACTIONS(2472), 1,
      anon_sym_GT_EQ,
    ACTIONS(2476), 1,
      anon_sym_DOT,
    ACTIONS(2480), 1,
      anon_sym_PERCENT,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2484), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2486), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2488), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2498), 1,
      anon_sym_LBRACE,
    STATE(2359), 1,
      sym_property_hook_list,
    ACTIONS(2454), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2474), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2478), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2502), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2470), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2468), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37205] = 24,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2450), 1,
      anon_sym_AMP,
    ACTIONS(2452), 1,
      anon_sym_PIPE,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2460), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2462), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2464), 1,
      anon_sym_CARET,
    ACTIONS(2472), 1,
      anon_sym_GT_EQ,
    ACTIONS(2476), 1,
      anon_sym_DOT,
    ACTIONS(2480), 1,
      anon_sym_PERCENT,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2484), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2486), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2488), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2498), 1,
      anon_sym_LBRACE,
    STATE(2402), 1,
      sym_property_hook_list,
    ACTIONS(2454), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2474), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2478), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2504), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2470), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2468), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37288] = 24,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2450), 1,
      anon_sym_AMP,
    ACTIONS(2452), 1,
      anon_sym_PIPE,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2460), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2462), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2464), 1,
      anon_sym_CARET,
    ACTIONS(2472), 1,
      anon_sym_GT_EQ,
    ACTIONS(2476), 1,
      anon_sym_DOT,
    ACTIONS(2480), 1,
      anon_sym_PERCENT,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2484), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2486), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2488), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2498), 1,
      anon_sym_LBRACE,
    STATE(2403), 1,
      sym_property_hook_list,
    ACTIONS(2454), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2474), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2478), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2506), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2470), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2468), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37371] = 4,
    ACTIONS(1005), 1,
      anon_sym_COLON,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2244), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2242), 22,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37414] = 24,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2450), 1,
      anon_sym_AMP,
    ACTIONS(2452), 1,
      anon_sym_PIPE,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2460), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2462), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2464), 1,
      anon_sym_CARET,
    ACTIONS(2472), 1,
      anon_sym_GT_EQ,
    ACTIONS(2476), 1,
      anon_sym_DOT,
    ACTIONS(2480), 1,
      anon_sym_PERCENT,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2484), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2486), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2488), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2498), 1,
      anon_sym_LBRACE,
    STATE(2254), 1,
      sym_property_hook_list,
    ACTIONS(2454), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2474), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2478), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2508), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2470), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2468), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37497] = 4,
    ACTIONS(1005), 1,
      anon_sym_COLON,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2218), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2216), 22,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37540] = 24,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2450), 1,
      anon_sym_AMP,
    ACTIONS(2452), 1,
      anon_sym_PIPE,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2460), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2462), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2464), 1,
      anon_sym_CARET,
    ACTIONS(2472), 1,
      anon_sym_GT_EQ,
    ACTIONS(2476), 1,
      anon_sym_DOT,
    ACTIONS(2480), 1,
      anon_sym_PERCENT,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2484), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2486), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2488), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2498), 1,
      anon_sym_LBRACE,
    STATE(2255), 1,
      sym_property_hook_list,
    ACTIONS(2454), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2474), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2478), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2510), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2470), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2468), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37623] = 24,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2450), 1,
      anon_sym_AMP,
    ACTIONS(2452), 1,
      anon_sym_PIPE,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2460), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2462), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2464), 1,
      anon_sym_CARET,
    ACTIONS(2472), 1,
      anon_sym_GT_EQ,
    ACTIONS(2476), 1,
      anon_sym_DOT,
    ACTIONS(2480), 1,
      anon_sym_PERCENT,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2484), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2486), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2488), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2498), 1,
      anon_sym_LBRACE,
    STATE(2256), 1,
      sym_property_hook_list,
    ACTIONS(2454), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2474), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2478), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2512), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2470), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2468), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37706] = 23,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2364), 1,
      anon_sym_AMP,
    ACTIONS(2368), 1,
      anon_sym_QMARK,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2382), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2384), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2386), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2388), 1,
      anon_sym_CARET,
    ACTIONS(2396), 1,
      anon_sym_GT_EQ,
    ACTIONS(2400), 1,
      anon_sym_DOT,
    ACTIONS(2404), 1,
      anon_sym_PERCENT,
    ACTIONS(2514), 1,
      anon_sym_EQ_GT,
    ACTIONS(2208), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2390), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2398), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2402), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2394), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2392), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37786] = 24,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2364), 1,
      anon_sym_AMP,
    ACTIONS(2368), 1,
      anon_sym_QMARK,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2382), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2384), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2386), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2388), 1,
      anon_sym_CARET,
    ACTIONS(2396), 1,
      anon_sym_GT_EQ,
    ACTIONS(2400), 1,
      anon_sym_DOT,
    ACTIONS(2404), 1,
      anon_sym_PERCENT,
    ACTIONS(2516), 1,
      anon_sym_COMMA,
    ACTIONS(2518), 1,
      anon_sym_EQ_GT,
    STATE(2071), 1,
      aux_sym_match_condition_list_repeat1,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2390), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2398), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2402), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2394), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2392), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37868] = 23,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2406), 1,
      anon_sym_AMP,
    ACTIONS(2408), 1,
      anon_sym_QMARK,
    ACTIONS(2410), 1,
      anon_sym_PIPE,
    ACTIONS(2414), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2416), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2420), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2422), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2424), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 1,
      anon_sym_CARET,
    ACTIONS(2436), 1,
      anon_sym_GT_EQ,
    ACTIONS(2440), 1,
      anon_sym_DOT,
    ACTIONS(2444), 1,
      anon_sym_PERCENT,
    STATE(2065), 1,
      sym__semicolon,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2430), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2438), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2442), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2520), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2434), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2432), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37948] = 23,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2450), 1,
      anon_sym_AMP,
    ACTIONS(2452), 1,
      anon_sym_PIPE,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2460), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2462), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2464), 1,
      anon_sym_CARET,
    ACTIONS(2472), 1,
      anon_sym_GT_EQ,
    ACTIONS(2476), 1,
      anon_sym_DOT,
    ACTIONS(2480), 1,
      anon_sym_PERCENT,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2484), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2486), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2488), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2522), 1,
      anon_sym_EQ_GT,
    ACTIONS(2208), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2454), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2474), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2478), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2470), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2468), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38028] = 23,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2406), 1,
      anon_sym_AMP,
    ACTIONS(2408), 1,
      anon_sym_QMARK,
    ACTIONS(2410), 1,
      anon_sym_PIPE,
    ACTIONS(2414), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2416), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2420), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2422), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2424), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 1,
      anon_sym_CARET,
    ACTIONS(2436), 1,
      anon_sym_GT_EQ,
    ACTIONS(2440), 1,
      anon_sym_DOT,
    ACTIONS(2444), 1,
      anon_sym_PERCENT,
    STATE(2066), 1,
      sym__semicolon,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2430), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2438), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2442), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2524), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2434), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2432), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38108] = 23,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2406), 1,
      anon_sym_AMP,
    ACTIONS(2408), 1,
      anon_sym_QMARK,
    ACTIONS(2410), 1,
      anon_sym_PIPE,
    ACTIONS(2414), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2416), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2420), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2422), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2424), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 1,
      anon_sym_CARET,
    ACTIONS(2436), 1,
      anon_sym_GT_EQ,
    ACTIONS(2440), 1,
      anon_sym_DOT,
    ACTIONS(2444), 1,
      anon_sym_PERCENT,
    STATE(2067), 1,
      sym__semicolon,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2430), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2438), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2442), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2526), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2434), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2432), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38188] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2406), 1,
      anon_sym_AMP,
    ACTIONS(2408), 1,
      anon_sym_QMARK,
    ACTIONS(2410), 1,
      anon_sym_PIPE,
    ACTIONS(2414), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2416), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2420), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2422), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2424), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 1,
      anon_sym_CARET,
    ACTIONS(2436), 1,
      anon_sym_GT_EQ,
    ACTIONS(2440), 1,
      anon_sym_DOT,
    ACTIONS(2444), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2430), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2438), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2442), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2434), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2528), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(2432), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38266] = 23,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2406), 1,
      anon_sym_AMP,
    ACTIONS(2408), 1,
      anon_sym_QMARK,
    ACTIONS(2410), 1,
      anon_sym_PIPE,
    ACTIONS(2414), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2416), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2420), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2422), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2424), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 1,
      anon_sym_CARET,
    ACTIONS(2436), 1,
      anon_sym_GT_EQ,
    ACTIONS(2440), 1,
      anon_sym_DOT,
    ACTIONS(2444), 1,
      anon_sym_PERCENT,
    STATE(488), 1,
      sym__semicolon,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2430), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2438), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2442), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2530), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2434), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2432), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38346] = 15,
    ACTIONS(629), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(635), 1,
      anon_sym_BSLASH,
    ACTIONS(765), 1,
      anon_sym_AMP,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1855), 1,
      sym_name,
    ACTIONS(1867), 1,
      anon_sym_LPAREN2,
    ACTIONS(1869), 1,
      anon_sym_QMARK,
    ACTIONS(1893), 1,
      anon_sym_DOLLAR,
    STATE(1785), 1,
      sym_type,
    STATE(2478), 1,
      sym_namespace_name,
    STATE(1461), 2,
      sym_qualified_name,
      sym_relative_name,
    STATE(1688), 2,
      sym_variable_name,
      sym_by_ref,
    STATE(1485), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1586), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1863), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [38410] = 23,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2406), 1,
      anon_sym_AMP,
    ACTIONS(2408), 1,
      anon_sym_QMARK,
    ACTIONS(2410), 1,
      anon_sym_PIPE,
    ACTIONS(2414), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2416), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2420), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2422), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2424), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 1,
      anon_sym_CARET,
    ACTIONS(2436), 1,
      anon_sym_GT_EQ,
    ACTIONS(2440), 1,
      anon_sym_DOT,
    ACTIONS(2444), 1,
      anon_sym_PERCENT,
    STATE(487), 1,
      sym__semicolon,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2430), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2438), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2442), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2532), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2434), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2432), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38490] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2406), 1,
      anon_sym_AMP,
    ACTIONS(2408), 1,
      anon_sym_QMARK,
    ACTIONS(2410), 1,
      anon_sym_PIPE,
    ACTIONS(2414), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2416), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2420), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2422), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2424), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 1,
      anon_sym_CARET,
    ACTIONS(2436), 1,
      anon_sym_GT_EQ,
    ACTIONS(2440), 1,
      anon_sym_DOT,
    ACTIONS(2444), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2430), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2438), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2442), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2434), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2534), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(2432), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38568] = 15,
    ACTIONS(629), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(635), 1,
      anon_sym_BSLASH,
    ACTIONS(765), 1,
      anon_sym_AMP,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1855), 1,
      sym_name,
    ACTIONS(1867), 1,
      anon_sym_LPAREN2,
    ACTIONS(1869), 1,
      anon_sym_QMARK,
    ACTIONS(1893), 1,
      anon_sym_DOLLAR,
    STATE(1859), 1,
      sym_type,
    STATE(2478), 1,
      sym_namespace_name,
    STATE(1461), 2,
      sym_qualified_name,
      sym_relative_name,
    STATE(1765), 2,
      sym_variable_name,
      sym_by_ref,
    STATE(1485), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1586), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1863), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [38632] = 23,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2406), 1,
      anon_sym_AMP,
    ACTIONS(2408), 1,
      anon_sym_QMARK,
    ACTIONS(2410), 1,
      anon_sym_PIPE,
    ACTIONS(2414), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2416), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2420), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2422), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2424), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 1,
      anon_sym_CARET,
    ACTIONS(2436), 1,
      anon_sym_GT_EQ,
    ACTIONS(2440), 1,
      anon_sym_DOT,
    ACTIONS(2444), 1,
      anon_sym_PERCENT,
    STATE(463), 1,
      sym__semicolon,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2430), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2438), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2442), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2536), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2434), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2432), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38712] = 23,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2406), 1,
      anon_sym_AMP,
    ACTIONS(2408), 1,
      anon_sym_QMARK,
    ACTIONS(2410), 1,
      anon_sym_PIPE,
    ACTIONS(2414), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2416), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2420), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2422), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2424), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 1,
      anon_sym_CARET,
    ACTIONS(2436), 1,
      anon_sym_GT_EQ,
    ACTIONS(2440), 1,
      anon_sym_DOT,
    ACTIONS(2444), 1,
      anon_sym_PERCENT,
    ACTIONS(2540), 1,
      anon_sym_COMMA,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2430), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2438), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2442), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2538), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2434), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2432), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38792] = 23,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2406), 1,
      anon_sym_AMP,
    ACTIONS(2408), 1,
      anon_sym_QMARK,
    ACTIONS(2410), 1,
      anon_sym_PIPE,
    ACTIONS(2414), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2416), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2420), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2422), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2424), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 1,
      anon_sym_CARET,
    ACTIONS(2436), 1,
      anon_sym_GT_EQ,
    ACTIONS(2440), 1,
      anon_sym_DOT,
    ACTIONS(2444), 1,
      anon_sym_PERCENT,
    STATE(1758), 1,
      sym__semicolon,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2430), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2438), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2442), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2542), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2434), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2432), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38872] = 23,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2406), 1,
      anon_sym_AMP,
    ACTIONS(2408), 1,
      anon_sym_QMARK,
    ACTIONS(2410), 1,
      anon_sym_PIPE,
    ACTIONS(2414), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2416), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2420), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2422), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2424), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 1,
      anon_sym_CARET,
    ACTIONS(2436), 1,
      anon_sym_GT_EQ,
    ACTIONS(2440), 1,
      anon_sym_DOT,
    ACTIONS(2444), 1,
      anon_sym_PERCENT,
    STATE(2012), 1,
      sym__semicolon,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2430), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2438), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2442), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2544), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2434), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2432), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38952] = 23,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2364), 1,
      anon_sym_AMP,
    ACTIONS(2368), 1,
      anon_sym_QMARK,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2382), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2384), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2386), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2388), 1,
      anon_sym_CARET,
    ACTIONS(2396), 1,
      anon_sym_GT_EQ,
    ACTIONS(2400), 1,
      anon_sym_DOT,
    ACTIONS(2404), 1,
      anon_sym_PERCENT,
    ACTIONS(2546), 1,
      anon_sym_EQ_GT,
    ACTIONS(2208), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2390), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2398), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2402), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2394), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2392), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39032] = 23,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2406), 1,
      anon_sym_AMP,
    ACTIONS(2408), 1,
      anon_sym_QMARK,
    ACTIONS(2410), 1,
      anon_sym_PIPE,
    ACTIONS(2414), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2416), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2420), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2422), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2424), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 1,
      anon_sym_CARET,
    ACTIONS(2436), 1,
      anon_sym_GT_EQ,
    ACTIONS(2440), 1,
      anon_sym_DOT,
    ACTIONS(2444), 1,
      anon_sym_PERCENT,
    STATE(489), 1,
      sym__semicolon,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2430), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2438), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2442), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2548), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2434), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2432), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39112] = 23,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2406), 1,
      anon_sym_AMP,
    ACTIONS(2408), 1,
      anon_sym_QMARK,
    ACTIONS(2410), 1,
      anon_sym_PIPE,
    ACTIONS(2414), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2416), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2420), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2422), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2424), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 1,
      anon_sym_CARET,
    ACTIONS(2436), 1,
      anon_sym_GT_EQ,
    ACTIONS(2440), 1,
      anon_sym_DOT,
    ACTIONS(2444), 1,
      anon_sym_PERCENT,
    ACTIONS(2540), 1,
      anon_sym_COMMA,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2430), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2438), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2442), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2550), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2434), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2432), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39192] = 23,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2406), 1,
      anon_sym_AMP,
    ACTIONS(2408), 1,
      anon_sym_QMARK,
    ACTIONS(2410), 1,
      anon_sym_PIPE,
    ACTIONS(2414), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2416), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2420), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2422), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2424), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 1,
      anon_sym_CARET,
    ACTIONS(2436), 1,
      anon_sym_GT_EQ,
    ACTIONS(2440), 1,
      anon_sym_DOT,
    ACTIONS(2444), 1,
      anon_sym_PERCENT,
    STATE(1404), 1,
      sym__semicolon,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2430), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2438), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2442), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2552), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2434), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2432), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39272] = 23,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2406), 1,
      anon_sym_AMP,
    ACTIONS(2408), 1,
      anon_sym_QMARK,
    ACTIONS(2410), 1,
      anon_sym_PIPE,
    ACTIONS(2414), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2416), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2420), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2422), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2424), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 1,
      anon_sym_CARET,
    ACTIONS(2436), 1,
      anon_sym_GT_EQ,
    ACTIONS(2440), 1,
      anon_sym_DOT,
    ACTIONS(2444), 1,
      anon_sym_PERCENT,
    STATE(1418), 1,
      sym__semicolon,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2430), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2438), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2442), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2554), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2434), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2432), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39352] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2450), 1,
      anon_sym_AMP,
    ACTIONS(2452), 1,
      anon_sym_PIPE,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2460), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2462), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2464), 1,
      anon_sym_CARET,
    ACTIONS(2472), 1,
      anon_sym_GT_EQ,
    ACTIONS(2476), 1,
      anon_sym_DOT,
    ACTIONS(2480), 1,
      anon_sym_PERCENT,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2484), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2486), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2488), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2474), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2478), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2556), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2470), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2468), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39429] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2558), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2560), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2562), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2564), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2566), 1,
      anon_sym_RBRACE,
    ACTIONS(2568), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2570), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2572), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2574), 1,
      sym_var_modifier,
    STATE(1346), 1,
      sym_attribute_list,
    STATE(1416), 1,
      sym__class_const_declaration,
    STATE(1417), 1,
      sym__const_declaration,
    STATE(1774), 1,
      sym__function_definition_header,
    STATE(1338), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2576), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1228), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(706), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [39500] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2450), 1,
      anon_sym_AMP,
    ACTIONS(2452), 1,
      anon_sym_PIPE,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2460), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2462), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2464), 1,
      anon_sym_CARET,
    ACTIONS(2472), 1,
      anon_sym_GT_EQ,
    ACTIONS(2476), 1,
      anon_sym_DOT,
    ACTIONS(2480), 1,
      anon_sym_PERCENT,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2484), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2486), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2488), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2474), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2478), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2578), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2470), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2468), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39577] = 23,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2364), 1,
      anon_sym_AMP,
    ACTIONS(2368), 1,
      anon_sym_QMARK,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2382), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2384), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2386), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2388), 1,
      anon_sym_CARET,
    ACTIONS(2396), 1,
      anon_sym_GT_EQ,
    ACTIONS(2400), 1,
      anon_sym_DOT,
    ACTIONS(2404), 1,
      anon_sym_PERCENT,
    ACTIONS(2538), 1,
      anon_sym_SEMI,
    ACTIONS(2580), 1,
      anon_sym_COMMA,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2390), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2398), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2402), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2394), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2392), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39656] = 23,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_AMP,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_GT_EQ,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2294), 1,
      anon_sym_QMARK,
    ACTIONS(2296), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2308), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2582), 1,
      anon_sym_EQ_GT,
    ACTIONS(2584), 1,
      anon_sym_RPAREN2,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2280), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39735] = 23,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2364), 1,
      anon_sym_AMP,
    ACTIONS(2368), 1,
      anon_sym_QMARK,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2382), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2384), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2386), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2388), 1,
      anon_sym_CARET,
    ACTIONS(2396), 1,
      anon_sym_GT_EQ,
    ACTIONS(2400), 1,
      anon_sym_DOT,
    ACTIONS(2404), 1,
      anon_sym_PERCENT,
    ACTIONS(2550), 1,
      anon_sym_SEMI,
    ACTIONS(2580), 1,
      anon_sym_COMMA,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2390), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2398), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2402), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2394), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2392), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39814] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2450), 1,
      anon_sym_AMP,
    ACTIONS(2452), 1,
      anon_sym_PIPE,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2460), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2462), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2464), 1,
      anon_sym_CARET,
    ACTIONS(2472), 1,
      anon_sym_GT_EQ,
    ACTIONS(2476), 1,
      anon_sym_DOT,
    ACTIONS(2480), 1,
      anon_sym_PERCENT,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2484), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2486), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2488), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2474), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2478), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2586), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2470), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2468), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39891] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2558), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2560), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2562), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2564), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2568), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2570), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2572), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2574), 1,
      sym_var_modifier,
    ACTIONS(2588), 1,
      anon_sym_RBRACE,
    STATE(1346), 1,
      sym_attribute_list,
    STATE(1416), 1,
      sym__class_const_declaration,
    STATE(1417), 1,
      sym__const_declaration,
    STATE(1774), 1,
      sym__function_definition_header,
    STATE(1338), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2576), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1229), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(706), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [39962] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2594), 1,
      anon_sym_LPAREN,
    ACTIONS(2592), 4,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2590), 26,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_LPAREN2,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [40003] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2558), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2560), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2562), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2564), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2568), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2570), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2572), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2574), 1,
      sym_var_modifier,
    ACTIONS(2596), 1,
      anon_sym_RBRACE,
    STATE(1346), 1,
      sym_attribute_list,
    STATE(1416), 1,
      sym__class_const_declaration,
    STATE(1417), 1,
      sym__const_declaration,
    STATE(1774), 1,
      sym__function_definition_header,
    STATE(1338), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2576), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1245), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(706), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [40074] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2558), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2560), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2562), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2564), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2568), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2570), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2572), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2574), 1,
      sym_var_modifier,
    ACTIONS(2598), 1,
      anon_sym_RBRACE,
    STATE(1346), 1,
      sym_attribute_list,
    STATE(1416), 1,
      sym__class_const_declaration,
    STATE(1417), 1,
      sym__const_declaration,
    STATE(1774), 1,
      sym__function_definition_header,
    STATE(1338), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2576), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1245), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(706), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [40145] = 23,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2450), 1,
      anon_sym_AMP,
    ACTIONS(2452), 1,
      anon_sym_PIPE,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2460), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2462), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2464), 1,
      anon_sym_CARET,
    ACTIONS(2472), 1,
      anon_sym_GT_EQ,
    ACTIONS(2476), 1,
      anon_sym_DOT,
    ACTIONS(2480), 1,
      anon_sym_PERCENT,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2484), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2486), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2488), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2538), 1,
      anon_sym_RPAREN2,
    ACTIONS(2600), 1,
      anon_sym_COMMA,
    ACTIONS(2454), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2474), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2478), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2470), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2468), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40224] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2364), 1,
      anon_sym_AMP,
    ACTIONS(2368), 1,
      anon_sym_QMARK,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2382), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2384), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2386), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2388), 1,
      anon_sym_CARET,
    ACTIONS(2396), 1,
      anon_sym_GT_EQ,
    ACTIONS(2400), 1,
      anon_sym_DOT,
    ACTIONS(2404), 1,
      anon_sym_PERCENT,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2390), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2398), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2402), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2602), 2,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
    ACTIONS(2394), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2392), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40301] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2450), 1,
      anon_sym_AMP,
    ACTIONS(2452), 1,
      anon_sym_PIPE,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2460), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2462), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2464), 1,
      anon_sym_CARET,
    ACTIONS(2472), 1,
      anon_sym_GT_EQ,
    ACTIONS(2476), 1,
      anon_sym_DOT,
    ACTIONS(2480), 1,
      anon_sym_PERCENT,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2484), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2486), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2488), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2474), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2478), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2604), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2470), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2468), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40378] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_AMP,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_GT_EQ,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2294), 1,
      anon_sym_QMARK,
    ACTIONS(2296), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2308), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2606), 2,
      anon_sym_SEMI,
      anon_sym_COLON,
    ACTIONS(2280), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40455] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2450), 1,
      anon_sym_AMP,
    ACTIONS(2452), 1,
      anon_sym_PIPE,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2460), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2462), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2464), 1,
      anon_sym_CARET,
    ACTIONS(2472), 1,
      anon_sym_GT_EQ,
    ACTIONS(2476), 1,
      anon_sym_DOT,
    ACTIONS(2480), 1,
      anon_sym_PERCENT,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2484), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2486), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2488), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2474), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2478), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2608), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2470), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2468), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40532] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2450), 1,
      anon_sym_AMP,
    ACTIONS(2452), 1,
      anon_sym_PIPE,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2460), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2462), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2464), 1,
      anon_sym_CARET,
    ACTIONS(2472), 1,
      anon_sym_GT_EQ,
    ACTIONS(2476), 1,
      anon_sym_DOT,
    ACTIONS(2480), 1,
      anon_sym_PERCENT,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2484), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2486), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2488), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2474), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2478), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2610), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2470), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2468), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40609] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2450), 1,
      anon_sym_AMP,
    ACTIONS(2452), 1,
      anon_sym_PIPE,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2460), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2462), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2464), 1,
      anon_sym_CARET,
    ACTIONS(2472), 1,
      anon_sym_GT_EQ,
    ACTIONS(2476), 1,
      anon_sym_DOT,
    ACTIONS(2480), 1,
      anon_sym_PERCENT,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2484), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2486), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2488), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2474), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2478), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2612), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2470), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2468), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40686] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2450), 1,
      anon_sym_AMP,
    ACTIONS(2452), 1,
      anon_sym_PIPE,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2460), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2462), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2464), 1,
      anon_sym_CARET,
    ACTIONS(2472), 1,
      anon_sym_GT_EQ,
    ACTIONS(2476), 1,
      anon_sym_DOT,
    ACTIONS(2480), 1,
      anon_sym_PERCENT,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2484), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2486), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2488), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2474), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2478), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2614), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2470), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2468), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40763] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2450), 1,
      anon_sym_AMP,
    ACTIONS(2452), 1,
      anon_sym_PIPE,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2460), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2462), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2464), 1,
      anon_sym_CARET,
    ACTIONS(2472), 1,
      anon_sym_GT_EQ,
    ACTIONS(2476), 1,
      anon_sym_DOT,
    ACTIONS(2480), 1,
      anon_sym_PERCENT,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2484), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2486), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2488), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2474), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2478), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2616), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2470), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2468), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40840] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2558), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2560), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2562), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2564), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2568), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2570), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2572), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2574), 1,
      sym_var_modifier,
    ACTIONS(2618), 1,
      anon_sym_RBRACE,
    STATE(1346), 1,
      sym_attribute_list,
    STATE(1416), 1,
      sym__class_const_declaration,
    STATE(1417), 1,
      sym__const_declaration,
    STATE(1774), 1,
      sym__function_definition_header,
    STATE(1338), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2576), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1245), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(706), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [40911] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2450), 1,
      anon_sym_AMP,
    ACTIONS(2452), 1,
      anon_sym_PIPE,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2460), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2462), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2464), 1,
      anon_sym_CARET,
    ACTIONS(2472), 1,
      anon_sym_GT_EQ,
    ACTIONS(2476), 1,
      anon_sym_DOT,
    ACTIONS(2480), 1,
      anon_sym_PERCENT,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2484), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2486), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2488), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2474), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2478), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2620), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2470), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2468), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40988] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2450), 1,
      anon_sym_AMP,
    ACTIONS(2452), 1,
      anon_sym_PIPE,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2460), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2462), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2464), 1,
      anon_sym_CARET,
    ACTIONS(2472), 1,
      anon_sym_GT_EQ,
    ACTIONS(2476), 1,
      anon_sym_DOT,
    ACTIONS(2480), 1,
      anon_sym_PERCENT,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2484), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2486), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2488), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2474), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2478), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2622), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2470), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2468), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41065] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2558), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2560), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2562), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2564), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2568), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2570), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2572), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2574), 1,
      sym_var_modifier,
    ACTIONS(2624), 1,
      anon_sym_RBRACE,
    STATE(1346), 1,
      sym_attribute_list,
    STATE(1416), 1,
      sym__class_const_declaration,
    STATE(1417), 1,
      sym__const_declaration,
    STATE(1774), 1,
      sym__function_definition_header,
    STATE(1338), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2576), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1239), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(706), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [41136] = 23,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2450), 1,
      anon_sym_AMP,
    ACTIONS(2452), 1,
      anon_sym_PIPE,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2460), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2462), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2464), 1,
      anon_sym_CARET,
    ACTIONS(2472), 1,
      anon_sym_GT_EQ,
    ACTIONS(2476), 1,
      anon_sym_DOT,
    ACTIONS(2480), 1,
      anon_sym_PERCENT,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2484), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2486), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2488), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2550), 1,
      anon_sym_RPAREN2,
    ACTIONS(2600), 1,
      anon_sym_COMMA,
    ACTIONS(2454), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2474), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2478), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2470), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2468), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41215] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2450), 1,
      anon_sym_AMP,
    ACTIONS(2452), 1,
      anon_sym_PIPE,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2460), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2462), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2464), 1,
      anon_sym_CARET,
    ACTIONS(2472), 1,
      anon_sym_GT_EQ,
    ACTIONS(2476), 1,
      anon_sym_DOT,
    ACTIONS(2480), 1,
      anon_sym_PERCENT,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2484), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2486), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2488), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2474), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2478), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2626), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2470), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2468), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41292] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2628), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2631), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2634), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2637), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2640), 1,
      anon_sym_RBRACE,
    ACTIONS(2642), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2645), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2648), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2651), 1,
      sym_var_modifier,
    ACTIONS(2657), 1,
      anon_sym_POUND_LBRACK,
    STATE(1346), 1,
      sym_attribute_list,
    STATE(1416), 1,
      sym__class_const_declaration,
    STATE(1417), 1,
      sym__const_declaration,
    STATE(1774), 1,
      sym__function_definition_header,
    STATE(1338), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2654), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1245), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(706), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [41363] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2364), 1,
      anon_sym_AMP,
    ACTIONS(2368), 1,
      anon_sym_QMARK,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2382), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2384), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2386), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2388), 1,
      anon_sym_CARET,
    ACTIONS(2396), 1,
      anon_sym_GT_EQ,
    ACTIONS(2400), 1,
      anon_sym_DOT,
    ACTIONS(2404), 1,
      anon_sym_PERCENT,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2390), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2398), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2402), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2660), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2394), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2392), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41440] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2364), 1,
      anon_sym_AMP,
    ACTIONS(2368), 1,
      anon_sym_QMARK,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2382), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2384), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2386), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2388), 1,
      anon_sym_CARET,
    ACTIONS(2396), 1,
      anon_sym_GT_EQ,
    ACTIONS(2400), 1,
      anon_sym_DOT,
    ACTIONS(2404), 1,
      anon_sym_PERCENT,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2390), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2398), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2402), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2662), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2394), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2392), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41517] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_AMP,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_GT_EQ,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2294), 1,
      anon_sym_QMARK,
    ACTIONS(2296), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2308), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2664), 1,
      anon_sym_RPAREN2,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2280), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41593] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_AMP,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_GT_EQ,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2294), 1,
      anon_sym_QMARK,
    ACTIONS(2296), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2308), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2666), 1,
      aux_sym_namespace_use_clause_token1,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2280), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41669] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2670), 5,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2668), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [41707] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_AMP,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_GT_EQ,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2294), 1,
      anon_sym_QMARK,
    ACTIONS(2296), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2308), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2672), 1,
      anon_sym_EQ_GT,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2280), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41783] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_AMP,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_GT_EQ,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2294), 1,
      anon_sym_QMARK,
    ACTIONS(2296), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2308), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2674), 1,
      anon_sym_EQ_GT,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2280), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41859] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_AMP,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_GT_EQ,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2294), 1,
      anon_sym_QMARK,
    ACTIONS(2296), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2308), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2676), 1,
      anon_sym_EQ_GT,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2280), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41935] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_AMP,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_GT_EQ,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2294), 1,
      anon_sym_QMARK,
    ACTIONS(2296), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2308), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2678), 1,
      anon_sym_RBRACE,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2280), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42011] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_AMP,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_GT_EQ,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2294), 1,
      anon_sym_QMARK,
    ACTIONS(2296), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2308), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2680), 1,
      anon_sym_RBRACE,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2280), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42087] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_AMP,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_GT_EQ,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2294), 1,
      anon_sym_QMARK,
    ACTIONS(2296), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2308), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2682), 1,
      anon_sym_RBRACE,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2280), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42163] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_AMP,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_GT_EQ,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2294), 1,
      anon_sym_QMARK,
    ACTIONS(2296), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2308), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2684), 1,
      anon_sym_RPAREN2,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2280), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42239] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_AMP,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_GT_EQ,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2294), 1,
      anon_sym_QMARK,
    ACTIONS(2296), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2308), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2686), 1,
      anon_sym_RPAREN2,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2280), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42315] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_AMP,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_GT_EQ,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2294), 1,
      anon_sym_QMARK,
    ACTIONS(2296), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2308), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2688), 1,
      anon_sym_RBRACE,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2280), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42391] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_AMP,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_GT_EQ,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2294), 1,
      anon_sym_QMARK,
    ACTIONS(2296), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2308), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2690), 1,
      anon_sym_RBRACE,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2280), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42467] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_AMP,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_GT_EQ,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2294), 1,
      anon_sym_QMARK,
    ACTIONS(2296), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2308), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2692), 1,
      anon_sym_COLON,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2280), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42543] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2364), 1,
      anon_sym_AMP,
    ACTIONS(2368), 1,
      anon_sym_QMARK,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2382), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2384), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2386), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2388), 1,
      anon_sym_CARET,
    ACTIONS(2396), 1,
      anon_sym_GT_EQ,
    ACTIONS(2400), 1,
      anon_sym_DOT,
    ACTIONS(2404), 1,
      anon_sym_PERCENT,
    ACTIONS(2694), 1,
      anon_sym_RBRACK,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2390), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2398), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2402), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2394), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2392), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42619] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2364), 1,
      anon_sym_AMP,
    ACTIONS(2368), 1,
      anon_sym_QMARK,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2382), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2384), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2386), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2388), 1,
      anon_sym_CARET,
    ACTIONS(2396), 1,
      anon_sym_GT_EQ,
    ACTIONS(2400), 1,
      anon_sym_DOT,
    ACTIONS(2404), 1,
      anon_sym_PERCENT,
    ACTIONS(2696), 1,
      anon_sym_RBRACK,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2390), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2398), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2402), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2394), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2392), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42695] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_AMP,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_GT_EQ,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2294), 1,
      anon_sym_QMARK,
    ACTIONS(2296), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2308), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2698), 1,
      anon_sym_RBRACE,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2280), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42771] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_AMP,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_GT_EQ,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2294), 1,
      anon_sym_QMARK,
    ACTIONS(2296), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2308), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2700), 1,
      anon_sym_RBRACE,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2280), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42847] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_AMP,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_GT_EQ,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2294), 1,
      anon_sym_QMARK,
    ACTIONS(2296), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2308), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2702), 1,
      anon_sym_RBRACE,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2280), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42923] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1841), 4,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2704), 26,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [42961] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_AMP,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_GT_EQ,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2294), 1,
      anon_sym_QMARK,
    ACTIONS(2296), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2308), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2706), 1,
      anon_sym_RPAREN2,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2280), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43037] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_AMP,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_GT_EQ,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2294), 1,
      anon_sym_QMARK,
    ACTIONS(2296), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2308), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2708), 1,
      anon_sym_RBRACE,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2280), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43113] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_AMP,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_GT_EQ,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2294), 1,
      anon_sym_QMARK,
    ACTIONS(2296), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2308), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2710), 1,
      anon_sym_RBRACE,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2280), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43189] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2364), 1,
      anon_sym_AMP,
    ACTIONS(2368), 1,
      anon_sym_QMARK,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2382), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2384), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2386), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2388), 1,
      anon_sym_CARET,
    ACTIONS(2396), 1,
      anon_sym_GT_EQ,
    ACTIONS(2400), 1,
      anon_sym_DOT,
    ACTIONS(2404), 1,
      anon_sym_PERCENT,
    ACTIONS(2712), 1,
      anon_sym_RBRACK,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2390), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2398), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2402), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2394), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2392), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43265] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2364), 1,
      anon_sym_AMP,
    ACTIONS(2368), 1,
      anon_sym_QMARK,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2382), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2384), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2386), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2388), 1,
      anon_sym_CARET,
    ACTIONS(2396), 1,
      anon_sym_GT_EQ,
    ACTIONS(2400), 1,
      anon_sym_DOT,
    ACTIONS(2404), 1,
      anon_sym_PERCENT,
    ACTIONS(2714), 1,
      anon_sym_RBRACK,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2390), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2398), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2402), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2394), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2392), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43341] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_AMP,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_GT_EQ,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2294), 1,
      anon_sym_QMARK,
    ACTIONS(2296), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2308), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2716), 1,
      anon_sym_RBRACE,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2280), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43417] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_AMP,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_GT_EQ,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2294), 1,
      anon_sym_QMARK,
    ACTIONS(2296), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2308), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2718), 1,
      anon_sym_RPAREN2,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2280), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43493] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_AMP,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_GT_EQ,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2294), 1,
      anon_sym_QMARK,
    ACTIONS(2296), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2308), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2720), 1,
      anon_sym_RBRACE,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2280), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43569] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_AMP,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_GT_EQ,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2294), 1,
      anon_sym_QMARK,
    ACTIONS(2296), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2308), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2722), 1,
      aux_sym_namespace_use_clause_token1,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2280), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43645] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2364), 1,
      anon_sym_AMP,
    ACTIONS(2368), 1,
      anon_sym_QMARK,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2382), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2384), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2386), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2388), 1,
      anon_sym_CARET,
    ACTIONS(2396), 1,
      anon_sym_GT_EQ,
    ACTIONS(2400), 1,
      anon_sym_DOT,
    ACTIONS(2404), 1,
      anon_sym_PERCENT,
    ACTIONS(2724), 1,
      anon_sym_RBRACK,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2390), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2398), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2402), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2394), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2392), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43721] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_AMP,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_GT_EQ,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2294), 1,
      anon_sym_QMARK,
    ACTIONS(2296), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2308), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2726), 1,
      anon_sym_RBRACE,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2280), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43797] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_AMP,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_GT_EQ,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2294), 1,
      anon_sym_QMARK,
    ACTIONS(2296), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2308), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2728), 1,
      anon_sym_RPAREN2,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2280), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43873] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_AMP,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_GT_EQ,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2294), 1,
      anon_sym_QMARK,
    ACTIONS(2296), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2308), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2730), 1,
      anon_sym_RBRACE,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2280), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43949] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2364), 1,
      anon_sym_AMP,
    ACTIONS(2368), 1,
      anon_sym_QMARK,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2382), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2384), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2386), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2388), 1,
      anon_sym_CARET,
    ACTIONS(2396), 1,
      anon_sym_GT_EQ,
    ACTIONS(2400), 1,
      anon_sym_DOT,
    ACTIONS(2404), 1,
      anon_sym_PERCENT,
    ACTIONS(2732), 1,
      anon_sym_RBRACK,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2390), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2398), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2402), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2394), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2392), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44025] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2364), 1,
      anon_sym_AMP,
    ACTIONS(2368), 1,
      anon_sym_QMARK,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2382), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2384), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2386), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2388), 1,
      anon_sym_CARET,
    ACTIONS(2396), 1,
      anon_sym_GT_EQ,
    ACTIONS(2400), 1,
      anon_sym_DOT,
    ACTIONS(2404), 1,
      anon_sym_PERCENT,
    ACTIONS(2734), 1,
      anon_sym_RBRACK,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2390), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2398), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2402), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2394), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2392), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44101] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_AMP,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_GT_EQ,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2294), 1,
      anon_sym_QMARK,
    ACTIONS(2296), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2308), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2736), 1,
      anon_sym_RBRACE,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2280), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44177] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_AMP,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_GT_EQ,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2294), 1,
      anon_sym_QMARK,
    ACTIONS(2296), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2308), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2738), 1,
      anon_sym_RBRACE,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2280), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44253] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2364), 1,
      anon_sym_AMP,
    ACTIONS(2368), 1,
      anon_sym_QMARK,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2382), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2384), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2386), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2388), 1,
      anon_sym_CARET,
    ACTIONS(2396), 1,
      anon_sym_GT_EQ,
    ACTIONS(2400), 1,
      anon_sym_DOT,
    ACTIONS(2404), 1,
      anon_sym_PERCENT,
    ACTIONS(2740), 1,
      anon_sym_RBRACK,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2390), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2398), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2402), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2394), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2392), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44329] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2364), 1,
      anon_sym_AMP,
    ACTIONS(2368), 1,
      anon_sym_QMARK,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2382), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2384), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2386), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2388), 1,
      anon_sym_CARET,
    ACTIONS(2396), 1,
      anon_sym_GT_EQ,
    ACTIONS(2400), 1,
      anon_sym_DOT,
    ACTIONS(2404), 1,
      anon_sym_PERCENT,
    ACTIONS(2742), 1,
      anon_sym_RBRACK,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2390), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2398), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2402), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2394), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2392), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44405] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_AMP,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_GT_EQ,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2294), 1,
      anon_sym_QMARK,
    ACTIONS(2296), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2308), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2744), 1,
      anon_sym_RBRACE,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2280), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44481] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_AMP,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_GT_EQ,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2294), 1,
      anon_sym_QMARK,
    ACTIONS(2296), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2308), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2746), 1,
      anon_sym_RBRACE,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2280), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44557] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_AMP,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_GT_EQ,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2294), 1,
      anon_sym_QMARK,
    ACTIONS(2296), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2308), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2748), 1,
      anon_sym_RBRACE,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2280), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44633] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_AMP,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_GT_EQ,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2294), 1,
      anon_sym_QMARK,
    ACTIONS(2296), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2308), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2750), 1,
      anon_sym_RBRACE,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2280), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44709] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2754), 5,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2752), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [44747] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2758), 5,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2756), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [44785] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_AMP,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_GT_EQ,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2294), 1,
      anon_sym_QMARK,
    ACTIONS(2296), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2308), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2760), 1,
      anon_sym_RPAREN2,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2280), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44861] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_AMP,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_GT_EQ,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2294), 1,
      anon_sym_QMARK,
    ACTIONS(2296), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2308), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2762), 1,
      anon_sym_COLON,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2280), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44937] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_AMP,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_GT_EQ,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2294), 1,
      anon_sym_QMARK,
    ACTIONS(2296), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2308), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2584), 1,
      anon_sym_RPAREN2,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2280), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45013] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_AMP,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_GT_EQ,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2294), 1,
      anon_sym_QMARK,
    ACTIONS(2296), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2308), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2764), 1,
      aux_sym_namespace_use_clause_token1,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2280), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45089] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_AMP,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_GT_EQ,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2294), 1,
      anon_sym_QMARK,
    ACTIONS(2296), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2308), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2766), 1,
      anon_sym_COLON,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2280), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45165] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2364), 1,
      anon_sym_AMP,
    ACTIONS(2368), 1,
      anon_sym_QMARK,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2382), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2384), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2386), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2388), 1,
      anon_sym_CARET,
    ACTIONS(2396), 1,
      anon_sym_GT_EQ,
    ACTIONS(2400), 1,
      anon_sym_DOT,
    ACTIONS(2404), 1,
      anon_sym_PERCENT,
    ACTIONS(2768), 1,
      anon_sym_RBRACK,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2390), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2398), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2402), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2394), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2392), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45241] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_AMP,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_GT_EQ,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2294), 1,
      anon_sym_QMARK,
    ACTIONS(2296), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2308), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2770), 1,
      anon_sym_COLON,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2280), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45317] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_AMP,
    ACTIONS(2272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_GT_EQ,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2290), 1,
      anon_sym_PERCENT,
    ACTIONS(2294), 1,
      anon_sym_QMARK,
    ACTIONS(2296), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2308), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2772), 1,
      aux_sym_namespace_use_clause_token1,
    ACTIONS(2270), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2284), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2288), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2280), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45393] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2364), 1,
      anon_sym_AMP,
    ACTIONS(2368), 1,
      anon_sym_QMARK,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2382), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2384), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2386), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2388), 1,
      anon_sym_CARET,
    ACTIONS(2396), 1,
      anon_sym_GT_EQ,
    ACTIONS(2400), 1,
      anon_sym_DOT,
    ACTIONS(2404), 1,
      anon_sym_PERCENT,
    ACTIONS(2774), 1,
      anon_sym_RBRACK,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2390), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2398), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2402), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2394), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2392), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45469] = 22,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2364), 1,
      anon_sym_AMP,
    ACTIONS(2368), 1,
      anon_sym_QMARK,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2382), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2384), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2386), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2388), 1,
      anon_sym_CARET,
    ACTIONS(2396), 1,
      anon_sym_GT_EQ,
    ACTIONS(2400), 1,
      anon_sym_DOT,
    ACTIONS(2404), 1,
      anon_sym_PERCENT,
    ACTIONS(2776), 1,
      anon_sym_RBRACK,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2390), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2398), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2402), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2394), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2392), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45545] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2558), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2560), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2562), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2568), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2570), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2572), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2778), 1,
      anon_sym_RBRACE,
    ACTIONS(2780), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2782), 1,
      sym_var_modifier,
    STATE(1348), 1,
      sym_attribute_list,
    STATE(1774), 1,
      sym__function_definition_header,
    STATE(1338), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2576), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1306), 5,
      sym__enum_member_declaration,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1352), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [45610] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2558), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2560), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2562), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2568), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2570), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2572), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2780), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2782), 1,
      sym_var_modifier,
    ACTIONS(2784), 1,
      anon_sym_RBRACE,
    STATE(1348), 1,
      sym_attribute_list,
    STATE(1774), 1,
      sym__function_definition_header,
    STATE(1338), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2576), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1306), 5,
      sym__enum_member_declaration,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1352), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [45675] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2788), 4,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2786), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [45712] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2793), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2796), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2799), 1,
      anon_sym_RBRACE,
    ACTIONS(2801), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2804), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2807), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2810), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2813), 1,
      sym_var_modifier,
    ACTIONS(2819), 1,
      anon_sym_POUND_LBRACK,
    STATE(1348), 1,
      sym_attribute_list,
    STATE(1774), 1,
      sym__function_definition_header,
    STATE(1338), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2816), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1306), 5,
      sym__enum_member_declaration,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1352), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [45777] = 13,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(725), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2822), 1,
      sym_name,
    ACTIONS(2826), 1,
      anon_sym_LPAREN2,
    ACTIONS(2828), 1,
      anon_sym_QMARK,
    ACTIONS(2830), 1,
      sym_bottom_type,
    STATE(2133), 1,
      sym_type,
    STATE(2650), 1,
      sym_namespace_name,
    STATE(1690), 2,
      sym_qualified_name,
      sym_relative_name,
    STATE(1923), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1509), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2824), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [45834] = 13,
    ACTIONS(629), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(635), 1,
      anon_sym_BSLASH,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1855), 1,
      sym_name,
    ACTIONS(1867), 1,
      anon_sym_LPAREN2,
    ACTIONS(1869), 1,
      anon_sym_QMARK,
    ACTIONS(2832), 1,
      sym_bottom_type,
    STATE(2320), 1,
      sym_type,
    STATE(2478), 1,
      sym_namespace_name,
    STATE(1461), 2,
      sym_qualified_name,
      sym_relative_name,
    STATE(1485), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1424), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1863), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [45891] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2558), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2560), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2562), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2568), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2570), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2572), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2780), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2782), 1,
      sym_var_modifier,
    ACTIONS(2834), 1,
      anon_sym_RBRACE,
    STATE(1348), 1,
      sym_attribute_list,
    STATE(1774), 1,
      sym__function_definition_header,
    STATE(1338), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2576), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1304), 5,
      sym__enum_member_declaration,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1352), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [45956] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2558), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2560), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2562), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2568), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2570), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2572), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2780), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2782), 1,
      sym_var_modifier,
    ACTIONS(2836), 1,
      anon_sym_RBRACE,
    STATE(1348), 1,
      sym_attribute_list,
    STATE(1774), 1,
      sym__function_definition_header,
    STATE(1338), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2576), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1303), 5,
      sym__enum_member_declaration,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1352), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [46021] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_POUND_LBRACK,
    STATE(1312), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2840), 6,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2838), 17,
      aux_sym_namespace_definition_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [46059] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2846), 1,
      anon_sym_POUND_LBRACK,
    STATE(1312), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2844), 6,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2842), 17,
      aux_sym_namespace_definition_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [46097] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2851), 7,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2849), 17,
      aux_sym_namespace_definition_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [46129] = 10,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(725), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2822), 1,
      sym_name,
    ACTIONS(2828), 1,
      anon_sym_QMARK,
    ACTIONS(2853), 1,
      anon_sym_LPAREN2,
    STATE(2650), 1,
      sym_namespace_name,
    STATE(1690), 2,
      sym_qualified_name,
      sym_relative_name,
    STATE(1888), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2824), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46175] = 10,
    ACTIONS(629), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(635), 1,
      anon_sym_BSLASH,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1855), 1,
      sym_name,
    ACTIONS(1869), 1,
      anon_sym_QMARK,
    STATE(2478), 1,
      sym_namespace_name,
    STATE(2481), 1,
      sym_intersection_type,
    STATE(1461), 2,
      sym_qualified_name,
      sym_relative_name,
    STATE(2212), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1863), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2857), 7,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2855), 17,
      aux_sym_namespace_definition_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [46253] = 14,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1823), 1,
      anon_sym_DOLLAR,
    ACTIONS(2065), 1,
      sym_name,
    ACTIONS(2069), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(2071), 1,
      anon_sym_BSLASH,
    ACTIONS(2077), 1,
      anon_sym_LPAREN2,
    STATE(977), 1,
      sym__variable_member_access_expression,
    STATE(979), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(980), 1,
      sym__variable_scoped_property_access_expression,
    STATE(2515), 1,
      sym_namespace_name,
    STATE(1086), 2,
      sym_parenthesized_expression,
      sym__class_name_reference,
    ACTIONS(2079), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(943), 5,
      sym__variable_subscript_expression,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym__new_variable,
      sym_variable_name,
    STATE(1019), 5,
      sym_qualified_name,
      sym_relative_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [46307] = 10,
    ACTIONS(629), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(635), 1,
      anon_sym_BSLASH,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1855), 1,
      sym_name,
    ACTIONS(1869), 1,
      anon_sym_QMARK,
    ACTIONS(2859), 1,
      anon_sym_LPAREN2,
    STATE(2478), 1,
      sym_namespace_name,
    STATE(1461), 2,
      sym_qualified_name,
      sym_relative_name,
    STATE(1476), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1863), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46353] = 10,
    ACTIONS(629), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(635), 1,
      anon_sym_BSLASH,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1855), 1,
      sym_name,
    ACTIONS(1869), 1,
      anon_sym_QMARK,
    STATE(2478), 1,
      sym_namespace_name,
    STATE(2640), 1,
      sym_intersection_type,
    STATE(1461), 2,
      sym_qualified_name,
      sym_relative_name,
    STATE(2212), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1863), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46399] = 10,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1855), 1,
      sym_name,
    ACTIONS(1879), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1881), 1,
      anon_sym_BSLASH,
    ACTIONS(1889), 1,
      anon_sym_QMARK,
    ACTIONS(2859), 1,
      anon_sym_LPAREN2,
    STATE(2598), 1,
      sym_namespace_name,
    STATE(1461), 2,
      sym_qualified_name,
      sym_relative_name,
    STATE(1478), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1863), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46445] = 10,
    ACTIONS(629), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(635), 1,
      anon_sym_BSLASH,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1855), 1,
      sym_name,
    ACTIONS(1869), 1,
      anon_sym_QMARK,
    STATE(2466), 1,
      sym_intersection_type,
    STATE(2478), 1,
      sym_namespace_name,
    STATE(1461), 2,
      sym_qualified_name,
      sym_relative_name,
    STATE(2212), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1863), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46491] = 10,
    ACTIONS(629), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(635), 1,
      anon_sym_BSLASH,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1855), 1,
      sym_name,
    ACTIONS(1869), 1,
      anon_sym_QMARK,
    STATE(2478), 1,
      sym_namespace_name,
    STATE(2679), 1,
      sym_intersection_type,
    STATE(1461), 2,
      sym_qualified_name,
      sym_relative_name,
    STATE(2212), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1863), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46537] = 10,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1855), 1,
      sym_name,
    ACTIONS(1879), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1881), 1,
      anon_sym_BSLASH,
    ACTIONS(1889), 1,
      anon_sym_QMARK,
    ACTIONS(2859), 1,
      anon_sym_LPAREN2,
    STATE(2598), 1,
      sym_namespace_name,
    STATE(1461), 2,
      sym_qualified_name,
      sym_relative_name,
    STATE(1476), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1863), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46583] = 10,
    ACTIONS(629), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(635), 1,
      anon_sym_BSLASH,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1855), 1,
      sym_name,
    ACTIONS(1869), 1,
      anon_sym_QMARK,
    STATE(2478), 1,
      sym_namespace_name,
    STATE(2644), 1,
      sym_intersection_type,
    STATE(1461), 2,
      sym_qualified_name,
      sym_relative_name,
    STATE(2212), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1863), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2863), 7,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2861), 17,
      aux_sym_namespace_definition_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [46661] = 14,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1812), 1,
      anon_sym_DOLLAR,
    ACTIONS(1925), 1,
      sym_name,
    ACTIONS(1929), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1931), 1,
      anon_sym_BSLASH,
    ACTIONS(1937), 1,
      anon_sym_LPAREN2,
    STATE(813), 1,
      sym__variable_member_access_expression,
    STATE(817), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(825), 1,
      sym__variable_scoped_property_access_expression,
    STATE(2608), 1,
      sym_namespace_name,
    STATE(1006), 2,
      sym_parenthesized_expression,
      sym__class_name_reference,
    ACTIONS(1939), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(833), 5,
      sym__variable_subscript_expression,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym__new_variable,
      sym_variable_name,
    STATE(879), 5,
      sym_qualified_name,
      sym_relative_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [46715] = 10,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(725), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2822), 1,
      sym_name,
    ACTIONS(2828), 1,
      anon_sym_QMARK,
    ACTIONS(2853), 1,
      anon_sym_LPAREN2,
    STATE(2650), 1,
      sym_namespace_name,
    STATE(1690), 2,
      sym_qualified_name,
      sym_relative_name,
    STATE(1838), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2824), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46761] = 10,
    ACTIONS(629), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(635), 1,
      anon_sym_BSLASH,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1855), 1,
      sym_name,
    ACTIONS(1869), 1,
      anon_sym_QMARK,
    ACTIONS(2859), 1,
      anon_sym_LPAREN2,
    STATE(2478), 1,
      sym_namespace_name,
    STATE(1461), 2,
      sym_qualified_name,
      sym_relative_name,
    STATE(1478), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1863), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46807] = 9,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1855), 1,
      sym_name,
    ACTIONS(1879), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1881), 1,
      anon_sym_BSLASH,
    ACTIONS(1889), 1,
      anon_sym_QMARK,
    STATE(2598), 1,
      sym_namespace_name,
    STATE(1461), 2,
      sym_qualified_name,
      sym_relative_name,
    STATE(1481), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1863), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46850] = 9,
    ACTIONS(629), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(635), 1,
      anon_sym_BSLASH,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1855), 1,
      sym_name,
    ACTIONS(1869), 1,
      anon_sym_QMARK,
    STATE(2478), 1,
      sym_namespace_name,
    STATE(1461), 2,
      sym_qualified_name,
      sym_relative_name,
    STATE(1481), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1863), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46893] = 9,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1855), 1,
      sym_name,
    ACTIONS(1879), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1881), 1,
      anon_sym_BSLASH,
    ACTIONS(1889), 1,
      anon_sym_QMARK,
    STATE(2598), 1,
      sym_namespace_name,
    STATE(1461), 2,
      sym_qualified_name,
      sym_relative_name,
    STATE(1473), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1863), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46936] = 9,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(725), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2822), 1,
      sym_name,
    ACTIONS(2828), 1,
      anon_sym_QMARK,
    STATE(2650), 1,
      sym_namespace_name,
    STATE(1690), 2,
      sym_qualified_name,
      sym_relative_name,
    STATE(1887), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2824), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46979] = 9,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(725), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2822), 1,
      sym_name,
    ACTIONS(2828), 1,
      anon_sym_QMARK,
    STATE(2650), 1,
      sym_namespace_name,
    STATE(1690), 2,
      sym_qualified_name,
      sym_relative_name,
    STATE(1837), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2824), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47022] = 9,
    ACTIONS(629), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(635), 1,
      anon_sym_BSLASH,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1855), 1,
      sym_name,
    ACTIONS(1869), 1,
      anon_sym_QMARK,
    STATE(2478), 1,
      sym_namespace_name,
    STATE(1461), 2,
      sym_qualified_name,
      sym_relative_name,
    STATE(1473), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1863), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47065] = 16,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2558), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2568), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2570), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2572), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2865), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2867), 1,
      aux_sym_trait_declaration_token1,
    ACTIONS(2869), 1,
      aux_sym_interface_declaration_token1,
    ACTIONS(2871), 1,
      aux_sym_enum_declaration_token1,
    ACTIONS(2873), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2875), 1,
      sym_var_modifier,
    ACTIONS(2877), 1,
      aux_sym__arrow_function_header_token1,
    STATE(1463), 1,
      sym_static_modifier,
    STATE(2421), 1,
      sym__function_definition_header,
    ACTIONS(2576), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1358), 6,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [47121] = 16,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2558), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2568), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2570), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2572), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2865), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2877), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(2879), 1,
      aux_sym_trait_declaration_token1,
    ACTIONS(2881), 1,
      aux_sym_interface_declaration_token1,
    ACTIONS(2883), 1,
      aux_sym_enum_declaration_token1,
    ACTIONS(2885), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2887), 1,
      sym_var_modifier,
    STATE(1463), 1,
      sym_static_modifier,
    STATE(2258), 1,
      sym__function_definition_header,
    ACTIONS(2576), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1359), 6,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [47177] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2844), 1,
      anon_sym_AMP,
    ACTIONS(2889), 1,
      anon_sym_POUND_LBRACK,
    STATE(1337), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2842), 17,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_trait_declaration_token1,
      aux_sym_interface_declaration_token1,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      sym_name,
  [47210] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2840), 1,
      anon_sym_AMP,
    STATE(1337), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2838), 17,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_trait_declaration_token1,
      aux_sym_interface_declaration_token1,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      sym_name,
  [47243] = 8,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(725), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2822), 1,
      sym_name,
    STATE(2650), 1,
      sym_namespace_name,
    STATE(1690), 2,
      sym_qualified_name,
      sym_relative_name,
    STATE(1784), 2,
      sym_named_type,
      sym_primitive_type,
    ACTIONS(2824), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47281] = 7,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1871), 1,
      anon_sym_DOLLAR,
    ACTIONS(2892), 1,
      anon_sym_COLON_COLON,
    STATE(1695), 1,
      sym_static_variable_declaration,
    STATE(1886), 1,
      sym_variable_name,
    ACTIONS(1708), 4,
      anon_sym_LPAREN2,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1841), 12,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
  [47317] = 8,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1855), 1,
      sym_name,
    ACTIONS(1879), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1881), 1,
      anon_sym_BSLASH,
    STATE(2598), 1,
      sym_namespace_name,
    STATE(1460), 2,
      sym_named_type,
      sym_primitive_type,
    STATE(1461), 2,
      sym_qualified_name,
      sym_relative_name,
    ACTIONS(1863), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47355] = 8,
    ACTIONS(629), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(635), 1,
      anon_sym_BSLASH,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1855), 1,
      sym_name,
    STATE(2478), 1,
      sym_namespace_name,
    STATE(1460), 2,
      sym_named_type,
      sym_primitive_type,
    STATE(1461), 2,
      sym_qualified_name,
      sym_relative_name,
    ACTIONS(1863), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47393] = 7,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1871), 1,
      anon_sym_DOLLAR,
    ACTIONS(2892), 1,
      anon_sym_COLON_COLON,
    STATE(1691), 1,
      sym_static_variable_declaration,
    STATE(1886), 1,
      sym_variable_name,
    ACTIONS(1708), 4,
      anon_sym_LPAREN2,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1841), 12,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
  [47429] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2851), 2,
      anon_sym_AMP,
      anon_sym_POUND_LBRACK,
    ACTIONS(2849), 17,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_trait_declaration_token1,
      aux_sym_interface_declaration_token1,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      sym_name,
  [47456] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2863), 2,
      anon_sym_AMP,
      anon_sym_POUND_LBRACK,
    ACTIONS(2861), 17,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_trait_declaration_token1,
      aux_sym_interface_declaration_token1,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      sym_name,
  [47483] = 12,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2558), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2562), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2564), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2568), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2570), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2572), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2894), 1,
      sym_var_modifier,
    STATE(1401), 1,
      sym__const_declaration,
    STATE(1705), 1,
      sym__function_definition_header,
    ACTIONS(2576), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(705), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [47528] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2857), 2,
      anon_sym_AMP,
      anon_sym_POUND_LBRACK,
    ACTIONS(2855), 17,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_trait_declaration_token1,
      aux_sym_interface_declaration_token1,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      sym_name,
  [47555] = 11,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2558), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2562), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2568), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2570), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2572), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2896), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2898), 1,
      sym_var_modifier,
    STATE(1705), 1,
      sym__function_definition_header,
    ACTIONS(2576), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1350), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [47597] = 10,
    ACTIONS(643), 1,
      sym_integer,
    ACTIONS(673), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2900), 1,
      sym_float,
    ACTIONS(2902), 1,
      aux_sym__argument_name_token1,
    ACTIONS(2904), 1,
      aux_sym__argument_name_token2,
    STATE(2588), 1,
      sym_literal,
    ACTIONS(669), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(671), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1000), 7,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym_boolean,
      sym_null,
      sym__string,
  [47636] = 10,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2558), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2562), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2568), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2570), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2572), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2906), 1,
      sym_var_modifier,
    STATE(1771), 1,
      sym__function_definition_header,
    ACTIONS(2576), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1029), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [47675] = 10,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2558), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2568), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2570), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2572), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2906), 1,
      sym_var_modifier,
    ACTIONS(2908), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2910), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2576), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1029), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [47714] = 10,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2558), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2562), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2568), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2570), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2572), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2906), 1,
      sym_var_modifier,
    STATE(1713), 1,
      sym__function_definition_header,
    ACTIONS(2576), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1029), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [47753] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2912), 7,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_cast_type_token1,
      aux_sym__new_non_dereferencable_expression_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(1754), 10,
      anon_sym_BSLASH,
      anon_sym_RBRACE,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
  [47778] = 10,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2558), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2568), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2570), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2572), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2906), 1,
      sym_var_modifier,
    ACTIONS(2914), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2916), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2576), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1029), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [47817] = 9,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2558), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2568), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2570), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2572), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2906), 1,
      sym_var_modifier,
    ACTIONS(2918), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2576), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1029), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [47853] = 9,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2558), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2568), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2570), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2572), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2906), 1,
      sym_var_modifier,
    ACTIONS(2920), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2576), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1029), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [47889] = 9,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2558), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2568), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2570), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2572), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2906), 1,
      sym_var_modifier,
    ACTIONS(2922), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2576), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1029), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [47925] = 9,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2558), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2568), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2570), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2572), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2906), 1,
      sym_var_modifier,
    ACTIONS(2924), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2576), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1029), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [47961] = 9,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2558), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2568), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2570), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2572), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2906), 1,
      sym_var_modifier,
    ACTIONS(2926), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2576), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1029), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [47997] = 9,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2558), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2568), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2570), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2572), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2906), 1,
      sym_var_modifier,
    ACTIONS(2928), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2576), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1029), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [48033] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2930), 1,
      anon_sym_LBRACE,
    ACTIONS(2936), 1,
      anon_sym_BSLASHu,
    ACTIONS(2939), 1,
      sym__new_line,
    ACTIONS(2942), 1,
      anon_sym_DOLLAR,
    ACTIONS(2945), 1,
      sym_heredoc_end,
    STATE(1361), 1,
      aux_sym_heredoc_body_repeat1,
    STATE(1470), 1,
      sym_variable_name,
    STATE(1530), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2933), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1366), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [48073] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2947), 1,
      anon_sym_LBRACE,
    ACTIONS(2951), 1,
      anon_sym_BSLASHu,
    ACTIONS(2953), 1,
      sym__new_line,
    ACTIONS(2956), 1,
      anon_sym_DOLLAR,
    ACTIONS(2958), 1,
      sym_heredoc_end,
    STATE(1361), 1,
      aux_sym_heredoc_body_repeat1,
    STATE(1470), 1,
      sym_variable_name,
    STATE(1530), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2949), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1366), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [48113] = 9,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2558), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2568), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2570), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2572), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2906), 1,
      sym_var_modifier,
    ACTIONS(2914), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2576), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1029), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [48149] = 9,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2558), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2568), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2570), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2572), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2960), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2962), 1,
      sym_var_modifier,
    ACTIONS(2576), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1355), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [48185] = 9,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2558), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2568), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2570), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2572), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2964), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2966), 1,
      sym_var_modifier,
    ACTIONS(2576), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1357), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [48221] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2947), 1,
      anon_sym_LBRACE,
    ACTIONS(2956), 1,
      anon_sym_DOLLAR,
    ACTIONS(2970), 1,
      anon_sym_BSLASHu,
    STATE(1470), 1,
      sym_variable_name,
    STATE(1530), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2968), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    ACTIONS(2972), 2,
      sym_heredoc_end,
      sym__new_line,
    STATE(1369), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [48256] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2947), 1,
      anon_sym_LBRACE,
    ACTIONS(2951), 1,
      anon_sym_BSLASHu,
    ACTIONS(2956), 1,
      anon_sym_DOLLAR,
    ACTIONS(2974), 1,
      sym__new_line,
    STATE(1362), 1,
      aux_sym_heredoc_body_repeat1,
    STATE(1470), 1,
      sym_variable_name,
    STATE(1530), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2949), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1366), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [48293] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2947), 1,
      anon_sym_LBRACE,
    ACTIONS(2956), 1,
      anon_sym_DOLLAR,
    ACTIONS(2970), 1,
      anon_sym_BSLASHu,
    STATE(1470), 1,
      sym_variable_name,
    STATE(1530), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2945), 2,
      sym_heredoc_end,
      sym__new_line,
    ACTIONS(2968), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1369), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [48328] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2976), 1,
      anon_sym_LBRACE,
    ACTIONS(2982), 1,
      anon_sym_BSLASHu,
    ACTIONS(2987), 1,
      anon_sym_DOLLAR,
    STATE(1470), 1,
      sym_variable_name,
    STATE(1530), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2979), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    ACTIONS(2985), 2,
      sym_heredoc_end,
      sym__new_line,
    STATE(1369), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [48363] = 9,
    ACTIONS(629), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(635), 1,
      anon_sym_BSLASH,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1738), 1,
      sym_name,
    ACTIONS(2990), 1,
      anon_sym_RBRACK,
    STATE(2349), 1,
      sym_attribute,
    STATE(2478), 1,
      sym_namespace_name,
    ACTIONS(1939), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1787), 5,
      sym_qualified_name,
      sym_relative_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [48397] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2992), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48417] = 9,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2994), 1,
      anon_sym_LBRACE,
    ACTIONS(2998), 1,
      anon_sym_BSLASHu,
    ACTIONS(3000), 1,
      anon_sym_DQUOTE,
    ACTIONS(3002), 1,
      anon_sym_DOLLAR,
    STATE(1494), 1,
      sym_variable_name,
    STATE(1577), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2996), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1393), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [48451] = 9,
    ACTIONS(629), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(635), 1,
      anon_sym_BSLASH,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1738), 1,
      sym_name,
    ACTIONS(3004), 1,
      anon_sym_RBRACK,
    STATE(2349), 1,
      sym_attribute,
    STATE(2478), 1,
      sym_namespace_name,
    ACTIONS(1939), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1787), 5,
      sym_qualified_name,
      sym_relative_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [48485] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3006), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48505] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3008), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48525] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3010), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48545] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3012), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48565] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3014), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48585] = 9,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3016), 1,
      anon_sym_LBRACE,
    ACTIONS(3020), 1,
      anon_sym_BSLASHu,
    ACTIONS(3022), 1,
      anon_sym_BQUOTE,
    ACTIONS(3024), 1,
      anon_sym_DOLLAR,
    STATE(1492), 1,
      sym_variable_name,
    STATE(1643), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3018), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1385), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_execution_operator_body,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [48619] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3026), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48639] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3028), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48659] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3030), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48679] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3032), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48699] = 9,
    ACTIONS(629), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(635), 1,
      anon_sym_BSLASH,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1738), 1,
      sym_name,
    ACTIONS(3034), 1,
      anon_sym_RBRACK,
    STATE(2349), 1,
      sym_attribute,
    STATE(2478), 1,
      sym_namespace_name,
    ACTIONS(1939), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1787), 5,
      sym_qualified_name,
      sym_relative_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [48733] = 9,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3036), 1,
      anon_sym_LBRACE,
    ACTIONS(3042), 1,
      anon_sym_BSLASHu,
    ACTIONS(3045), 1,
      anon_sym_BQUOTE,
    ACTIONS(3047), 1,
      anon_sym_DOLLAR,
    STATE(1492), 1,
      sym_variable_name,
    STATE(1643), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3039), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1385), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_execution_operator_body,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [48767] = 9,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2994), 1,
      anon_sym_LBRACE,
    ACTIONS(3002), 1,
      anon_sym_DOLLAR,
    ACTIONS(3052), 1,
      anon_sym_BSLASHu,
    ACTIONS(3054), 1,
      anon_sym_DQUOTE,
    STATE(1494), 1,
      sym_variable_name,
    STATE(1577), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3050), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1372), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [48801] = 9,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2994), 1,
      anon_sym_LBRACE,
    ACTIONS(3002), 1,
      anon_sym_DOLLAR,
    ACTIONS(3058), 1,
      anon_sym_BSLASHu,
    ACTIONS(3060), 1,
      anon_sym_DQUOTE,
    STATE(1494), 1,
      sym_variable_name,
    STATE(1577), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3056), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1388), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [48835] = 9,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2994), 1,
      anon_sym_LBRACE,
    ACTIONS(2998), 1,
      anon_sym_BSLASHu,
    ACTIONS(3002), 1,
      anon_sym_DOLLAR,
    ACTIONS(3062), 1,
      anon_sym_DQUOTE,
    STATE(1494), 1,
      sym_variable_name,
    STATE(1577), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2996), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1393), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [48869] = 9,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3016), 1,
      anon_sym_LBRACE,
    ACTIONS(3024), 1,
      anon_sym_DOLLAR,
    ACTIONS(3066), 1,
      anon_sym_BSLASHu,
    ACTIONS(3068), 1,
      anon_sym_BQUOTE,
    STATE(1492), 1,
      sym_variable_name,
    STATE(1643), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3064), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1394), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_execution_operator_body,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [48903] = 9,
    ACTIONS(629), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(635), 1,
      anon_sym_BSLASH,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1738), 1,
      sym_name,
    ACTIONS(3070), 1,
      anon_sym_RBRACK,
    STATE(2349), 1,
      sym_attribute,
    STATE(2478), 1,
      sym_namespace_name,
    ACTIONS(1939), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1787), 5,
      sym_qualified_name,
      sym_relative_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [48937] = 9,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3016), 1,
      anon_sym_LBRACE,
    ACTIONS(3024), 1,
      anon_sym_DOLLAR,
    ACTIONS(3074), 1,
      anon_sym_BSLASHu,
    ACTIONS(3076), 1,
      anon_sym_BQUOTE,
    STATE(1492), 1,
      sym_variable_name,
    STATE(1643), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3072), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1379), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_execution_operator_body,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [48971] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3078), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48991] = 9,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3080), 1,
      anon_sym_LBRACE,
    ACTIONS(3086), 1,
      anon_sym_BSLASHu,
    ACTIONS(3089), 1,
      anon_sym_DQUOTE,
    ACTIONS(3091), 1,
      anon_sym_DOLLAR,
    STATE(1494), 1,
      sym_variable_name,
    STATE(1577), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3083), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1393), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [49025] = 9,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3016), 1,
      anon_sym_LBRACE,
    ACTIONS(3020), 1,
      anon_sym_BSLASHu,
    ACTIONS(3024), 1,
      anon_sym_DOLLAR,
    ACTIONS(3094), 1,
      anon_sym_BQUOTE,
    STATE(1492), 1,
      sym_variable_name,
    STATE(1643), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3018), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1385), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_execution_operator_body,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [49059] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3096), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49079] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3098), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49098] = 8,
    ACTIONS(629), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(635), 1,
      anon_sym_BSLASH,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1738), 1,
      sym_name,
    STATE(1946), 1,
      sym_attribute,
    STATE(2478), 1,
      sym_namespace_name,
    ACTIONS(1939), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1787), 5,
      sym_qualified_name,
      sym_relative_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [49129] = 8,
    ACTIONS(629), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(635), 1,
      anon_sym_BSLASH,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1738), 1,
      sym_name,
    STATE(1955), 1,
      sym_attribute,
    STATE(2478), 1,
      sym_namespace_name,
    ACTIONS(1939), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1787), 5,
      sym_qualified_name,
      sym_relative_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [49160] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3100), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49179] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3102), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49198] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3104), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49217] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3106), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49236] = 8,
    ACTIONS(629), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(635), 1,
      anon_sym_BSLASH,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1738), 1,
      sym_name,
    STATE(2349), 1,
      sym_attribute,
    STATE(2478), 1,
      sym_namespace_name,
    ACTIONS(1939), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1787), 5,
      sym_qualified_name,
      sym_relative_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [49267] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3108), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49286] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3110), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49305] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3112), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49324] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3114), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49343] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3116), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49362] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    STATE(2414), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3118), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3120), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [49387] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3122), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49406] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3124), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49425] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3126), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49444] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3128), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49463] = 8,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3130), 1,
      anon_sym_LBRACE,
    ACTIONS(3134), 1,
      anon_sym_BSLASHu,
    ACTIONS(3136), 1,
      anon_sym_DOLLAR,
    STATE(1470), 1,
      sym_variable_name,
    STATE(1530), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3132), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1368), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [49494] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3138), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49513] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3140), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49532] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3142), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49551] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3144), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49570] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3146), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49589] = 7,
    ACTIONS(677), 1,
      anon_sym_DOLLAR,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3148), 1,
      sym_name,
    ACTIONS(3152), 1,
      anon_sym_LBRACE,
    STATE(588), 1,
      sym__member_name,
    ACTIONS(3150), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(611), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [49617] = 7,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1823), 1,
      anon_sym_DOLLAR,
    ACTIONS(3154), 1,
      sym_name,
    ACTIONS(3158), 1,
      anon_sym_LBRACE,
    STATE(889), 1,
      sym__member_name,
    ACTIONS(3156), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(964), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [49645] = 7,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1823), 1,
      anon_sym_DOLLAR,
    ACTIONS(3154), 1,
      sym_name,
    ACTIONS(3158), 1,
      anon_sym_LBRACE,
    STATE(967), 1,
      sym__member_name,
    ACTIONS(3156), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(964), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [49673] = 7,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(725), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2065), 1,
      sym_name,
    STATE(2650), 1,
      sym_namespace_name,
    ACTIONS(2079), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1561), 5,
      sym_qualified_name,
      sym_relative_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [49701] = 8,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3165), 1,
      anon_sym_AMP,
    ACTIONS(3172), 1,
      anon_sym_PIPE,
    STATE(1464), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1474), 1,
      aux_sym_union_type_repeat1,
    STATE(1475), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3167), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3160), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [49731] = 7,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1823), 1,
      anon_sym_DOLLAR,
    ACTIONS(3154), 1,
      sym_name,
    ACTIONS(3158), 1,
      anon_sym_LBRACE,
    STATE(900), 1,
      sym__member_name,
    ACTIONS(3156), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(964), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [49759] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(3174), 1,
      sym_name,
    ACTIONS(3176), 1,
      anon_sym_RBRACE,
    STATE(1761), 1,
      sym_attribute_list,
    STATE(2160), 1,
      sym_final_modifier,
    STATE(2525), 1,
      sym_reference_modifier,
    STATE(1338), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    STATE(1454), 2,
      sym_property_hook,
      aux_sym_property_hook_list_repeat1,
  [49795] = 7,
    ACTIONS(677), 1,
      anon_sym_DOLLAR,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3148), 1,
      sym_name,
    ACTIONS(3152), 1,
      anon_sym_LBRACE,
    STATE(589), 1,
      sym__member_name,
    ACTIONS(3178), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(611), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [49823] = 7,
    ACTIONS(677), 1,
      anon_sym_DOLLAR,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3148), 1,
      sym_name,
    ACTIONS(3152), 1,
      anon_sym_LBRACE,
    STATE(588), 1,
      sym__member_name,
    ACTIONS(3178), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(611), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [49851] = 8,
    ACTIONS(1596), 1,
      anon_sym_DOLLAR,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3180), 1,
      sym_name,
    ACTIONS(3182), 1,
      anon_sym_LBRACE,
    STATE(2438), 1,
      sym__member_name,
    STATE(968), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(3156), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(864), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [49881] = 7,
    ACTIONS(677), 1,
      anon_sym_DOLLAR,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3148), 1,
      sym_name,
    ACTIONS(3152), 1,
      anon_sym_LBRACE,
    STATE(589), 1,
      sym__member_name,
    ACTIONS(3150), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(611), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [49909] = 8,
    ACTIONS(1592), 1,
      anon_sym_DOLLAR,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3184), 1,
      sym_name,
    ACTIONS(3186), 1,
      anon_sym_LBRACE,
    STATE(2267), 1,
      sym__member_name,
    STATE(751), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(3178), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(714), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [49939] = 8,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1812), 1,
      anon_sym_DOLLAR,
    ACTIONS(3184), 1,
      sym_name,
    ACTIONS(3186), 1,
      anon_sym_LBRACE,
    STATE(2278), 1,
      sym__member_name,
    STATE(751), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(3178), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(759), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [49969] = 7,
    ACTIONS(125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3188), 1,
      sym_name,
    ACTIONS(3192), 1,
      anon_sym_LBRACE,
    STATE(621), 1,
      sym__member_name,
    ACTIONS(3190), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(633), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [49997] = 7,
    ACTIONS(677), 1,
      anon_sym_DOLLAR,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3148), 1,
      sym_name,
    ACTIONS(3152), 1,
      anon_sym_LBRACE,
    STATE(595), 1,
      sym__member_name,
    ACTIONS(3178), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(611), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [50025] = 7,
    ACTIONS(1592), 1,
      anon_sym_DOLLAR,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3194), 1,
      sym_name,
    ACTIONS(3198), 1,
      anon_sym_LBRACE,
    STATE(707), 1,
      sym__member_name,
    ACTIONS(3196), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(716), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [50053] = 8,
    ACTIONS(677), 1,
      anon_sym_DOLLAR,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3184), 1,
      sym_name,
    ACTIONS(3186), 1,
      anon_sym_LBRACE,
    STATE(2276), 1,
      sym__member_name,
    STATE(751), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(3178), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(591), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [50083] = 7,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1812), 1,
      anon_sym_DOLLAR,
    ACTIONS(3200), 1,
      sym_name,
    ACTIONS(3202), 1,
      anon_sym_LBRACE,
    STATE(740), 1,
      sym__member_name,
    ACTIONS(3178), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(758), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [50111] = 8,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1823), 1,
      anon_sym_DOLLAR,
    ACTIONS(3184), 1,
      sym_name,
    ACTIONS(3186), 1,
      anon_sym_LBRACE,
    STATE(2251), 1,
      sym__member_name,
    STATE(751), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(3178), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(959), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [50141] = 7,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1812), 1,
      anon_sym_DOLLAR,
    ACTIONS(3200), 1,
      sym_name,
    ACTIONS(3202), 1,
      anon_sym_LBRACE,
    STATE(767), 1,
      sym__member_name,
    ACTIONS(3178), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(758), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [50169] = 7,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1812), 1,
      anon_sym_DOLLAR,
    ACTIONS(3200), 1,
      sym_name,
    ACTIONS(3202), 1,
      anon_sym_LBRACE,
    STATE(768), 1,
      sym__member_name,
    ACTIONS(3178), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(758), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [50197] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(3174), 1,
      sym_name,
    ACTIONS(3204), 1,
      anon_sym_RBRACE,
    STATE(1761), 1,
      sym_attribute_list,
    STATE(2160), 1,
      sym_final_modifier,
    STATE(2525), 1,
      sym_reference_modifier,
    STATE(1338), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    STATE(1426), 2,
      sym_property_hook,
      aux_sym_property_hook_list_repeat1,
  [50233] = 7,
    ACTIONS(1592), 1,
      anon_sym_DOLLAR,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3194), 1,
      sym_name,
    ACTIONS(3198), 1,
      anon_sym_LBRACE,
    STATE(708), 1,
      sym__member_name,
    ACTIONS(3196), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(716), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [50261] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(3174), 1,
      sym_name,
    ACTIONS(3206), 1,
      anon_sym_RBRACE,
    STATE(1761), 1,
      sym_attribute_list,
    STATE(2160), 1,
      sym_final_modifier,
    STATE(2525), 1,
      sym_reference_modifier,
    STATE(1338), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    STATE(1448), 2,
      sym_property_hook,
      aux_sym_property_hook_list_repeat1,
  [50297] = 7,
    ACTIONS(629), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(635), 1,
      anon_sym_BSLASH,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1738), 1,
      sym_name,
    STATE(2478), 1,
      sym_namespace_name,
    ACTIONS(1939), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(2199), 5,
      sym_qualified_name,
      sym_relative_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [50325] = 7,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(725), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2065), 1,
      sym_name,
    STATE(2650), 1,
      sym_namespace_name,
    ACTIONS(2079), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1828), 5,
      sym_qualified_name,
      sym_relative_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [50353] = 7,
    ACTIONS(1596), 1,
      anon_sym_DOLLAR,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3208), 1,
      sym_name,
    ACTIONS(3212), 1,
      anon_sym_LBRACE,
    STATE(849), 1,
      sym__member_name,
    ACTIONS(3210), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(865), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [50381] = 7,
    ACTIONS(629), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(635), 1,
      anon_sym_BSLASH,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1738), 1,
      sym_name,
    STATE(2478), 1,
      sym_namespace_name,
    ACTIONS(1939), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1873), 5,
      sym_qualified_name,
      sym_relative_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [50409] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(3174), 1,
      sym_name,
    ACTIONS(3214), 1,
      anon_sym_RBRACE,
    STATE(1761), 1,
      sym_attribute_list,
    STATE(2160), 1,
      sym_final_modifier,
    STATE(2525), 1,
      sym_reference_modifier,
    STATE(1338), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    STATE(1454), 2,
      sym_property_hook,
      aux_sym_property_hook_list_repeat1,
  [50445] = 8,
    ACTIONS(1596), 1,
      anon_sym_DOLLAR,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3184), 1,
      sym_name,
    ACTIONS(3186), 1,
      anon_sym_LBRACE,
    STATE(2438), 1,
      sym__member_name,
    STATE(751), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(3178), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(864), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [50475] = 7,
    ACTIONS(1596), 1,
      anon_sym_DOLLAR,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3208), 1,
      sym_name,
    ACTIONS(3212), 1,
      anon_sym_LBRACE,
    STATE(850), 1,
      sym__member_name,
    ACTIONS(3210), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(865), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [50503] = 7,
    ACTIONS(629), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(635), 1,
      anon_sym_BSLASH,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1738), 1,
      sym_name,
    STATE(2478), 1,
      sym_namespace_name,
    ACTIONS(1939), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(2231), 5,
      sym_qualified_name,
      sym_relative_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [50531] = 7,
    ACTIONS(677), 1,
      anon_sym_DOLLAR,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3148), 1,
      sym_name,
    ACTIONS(3152), 1,
      anon_sym_LBRACE,
    STATE(597), 1,
      sym__member_name,
    ACTIONS(3178), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(611), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [50559] = 7,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1823), 1,
      anon_sym_DOLLAR,
    ACTIONS(3154), 1,
      sym_name,
    ACTIONS(3158), 1,
      anon_sym_LBRACE,
    STATE(876), 1,
      sym__member_name,
    ACTIONS(3156), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(964), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [50587] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3216), 1,
      sym_name,
    ACTIONS(3219), 1,
      anon_sym_AMP,
    ACTIONS(3222), 1,
      anon_sym_RBRACE,
    ACTIONS(3224), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(3227), 1,
      anon_sym_POUND_LBRACK,
    STATE(1761), 1,
      sym_attribute_list,
    STATE(2160), 1,
      sym_final_modifier,
    STATE(2525), 1,
      sym_reference_modifier,
    STATE(1338), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    STATE(1454), 2,
      sym_property_hook,
      aux_sym_property_hook_list_repeat1,
  [50623] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3232), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(3234), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3230), 10,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [50645] = 8,
    ACTIONS(125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3180), 1,
      sym_name,
    ACTIONS(3182), 1,
      anon_sym_LBRACE,
    STATE(2310), 1,
      sym__member_name,
    STATE(968), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(3156), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(631), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [50675] = 7,
    ACTIONS(125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3188), 1,
      sym_name,
    ACTIONS(3192), 1,
      anon_sym_LBRACE,
    STATE(620), 1,
      sym__member_name,
    ACTIONS(3190), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(633), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [50703] = 7,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1812), 1,
      anon_sym_DOLLAR,
    ACTIONS(3200), 1,
      sym_name,
    ACTIONS(3202), 1,
      anon_sym_LBRACE,
    STATE(741), 1,
      sym__member_name,
    ACTIONS(3178), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(758), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [50731] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    STATE(2414), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1899), 9,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [50752] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3236), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3238), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [50771] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3118), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3120), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [50790] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3240), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3242), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [50809] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3244), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(3246), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3230), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [50830] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3252), 1,
      anon_sym_PIPE,
    STATE(1465), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3248), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3250), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [50852] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3258), 1,
      anon_sym_PIPE,
    STATE(1465), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3254), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3256), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [50874] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3263), 1,
      anon_sym_AMP,
    STATE(1466), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3261), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3266), 4,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DOLLAR,
  [50896] = 8,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(3268), 1,
      sym_name,
    ACTIONS(3270), 1,
      anon_sym_LPAREN2,
    STATE(1497), 1,
      sym_reference_modifier,
    STATE(1716), 1,
      sym_formal_parameters,
    STATE(2322), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(1939), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50924] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1696), 5,
      sym_encapsed_string_chars_heredoc,
      sym_encapsed_string_chars_after_variable_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
    ACTIONS(1698), 5,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
  [50942] = 8,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(3268), 1,
      sym_name,
    ACTIONS(3270), 1,
      anon_sym_LPAREN2,
    STATE(1505), 1,
      sym_reference_modifier,
    STATE(1742), 1,
      sym_formal_parameters,
    STATE(2322), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(1939), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50970] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3274), 1,
      anon_sym_DASH_GT,
    ACTIONS(3276), 1,
      anon_sym_LBRACK,
    ACTIONS(3280), 1,
      sym_encapsed_string_chars_after_variable_heredoc,
    ACTIONS(3272), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3278), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [50994] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2180), 1,
      anon_sym_COLON,
    ACTIONS(2892), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1841), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(1708), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51016] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3252), 1,
      anon_sym_PIPE,
    STATE(1465), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3282), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3284), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [51038] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3261), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3266), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [51056] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_PIPE,
    STATE(1479), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3286), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3288), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [51078] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3165), 1,
      anon_sym_AMP,
    STATE(1466), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3292), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3294), 4,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DOLLAR,
  [51100] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3254), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3256), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [51118] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3252), 1,
      anon_sym_PIPE,
    STATE(1472), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3296), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3298), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [51140] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3300), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3303), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [51158] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3310), 1,
      anon_sym_PIPE,
    STATE(1479), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3306), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3308), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [51180] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3313), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3315), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [51198] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3306), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3308), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [51216] = 6,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    ACTIONS(1899), 1,
      anon_sym_EQ,
    STATE(2414), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3120), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3118), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [51239] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2892), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1841), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(1708), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51258] = 8,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3319), 1,
      anon_sym_LBRACE,
    ACTIONS(3321), 1,
      anon_sym_EQ_GT,
    ACTIONS(3323), 1,
      anon_sym_LPAREN2,
    STATE(1532), 1,
      sym_formal_parameters,
    STATE(1708), 1,
      sym_compound_statement,
    ACTIONS(3317), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1704), 2,
      sym__property_hook_body,
      sym__semicolon,
  [51285] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3325), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3327), 5,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [51302] = 8,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3319), 1,
      anon_sym_LBRACE,
    ACTIONS(3321), 1,
      anon_sym_EQ_GT,
    ACTIONS(3323), 1,
      anon_sym_LPAREN2,
    STATE(1570), 1,
      sym_formal_parameters,
    STATE(1708), 1,
      sym_compound_statement,
    ACTIONS(3329), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1670), 2,
      sym__property_hook_body,
      sym__semicolon,
  [51329] = 8,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3319), 1,
      anon_sym_LBRACE,
    ACTIONS(3321), 1,
      anon_sym_EQ_GT,
    ACTIONS(3323), 1,
      anon_sym_LPAREN2,
    STATE(1533), 1,
      sym_formal_parameters,
    STATE(1708), 1,
      sym_compound_statement,
    ACTIONS(3331), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1707), 2,
      sym__property_hook_body,
      sym__semicolon,
  [51356] = 8,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3319), 1,
      anon_sym_LBRACE,
    ACTIONS(3321), 1,
      anon_sym_EQ_GT,
    ACTIONS(3323), 1,
      anon_sym_LPAREN2,
    STATE(1539), 1,
      sym_formal_parameters,
    STATE(1708), 1,
      sym_compound_statement,
    ACTIONS(3333), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1709), 2,
      sym__property_hook_body,
      sym__semicolon,
  [51383] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_BSLASHu,
    ACTIONS(1696), 8,
      sym_execution_string_chars,
      sym_execution_string_chars_after_variable,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [51400] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_BSLASHu,
    ACTIONS(1696), 8,
      sym_encapsed_string_chars,
      sym_encapsed_string_chars_after_variable,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [51417] = 8,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3319), 1,
      anon_sym_LBRACE,
    ACTIONS(3321), 1,
      anon_sym_EQ_GT,
    ACTIONS(3323), 1,
      anon_sym_LPAREN2,
    STATE(1537), 1,
      sym_formal_parameters,
    STATE(1708), 1,
      sym_compound_statement,
    ACTIONS(3335), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1764), 2,
      sym__property_hook_body,
      sym__semicolon,
  [51444] = 6,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3272), 1,
      anon_sym_BSLASHu,
    ACTIONS(3337), 1,
      anon_sym_DASH_GT,
    ACTIONS(3339), 1,
      anon_sym_LBRACK,
    ACTIONS(3341), 1,
      sym_execution_string_chars_after_variable,
    ACTIONS(3278), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [51467] = 8,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3319), 1,
      anon_sym_LBRACE,
    ACTIONS(3321), 1,
      anon_sym_EQ_GT,
    ACTIONS(3323), 1,
      anon_sym_LPAREN2,
    STATE(1531), 1,
      sym_formal_parameters,
    STATE(1708), 1,
      sym_compound_statement,
    ACTIONS(3343), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1706), 2,
      sym__property_hook_body,
      sym__semicolon,
  [51494] = 6,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3272), 1,
      anon_sym_BSLASHu,
    ACTIONS(3345), 1,
      anon_sym_DASH_GT,
    ACTIONS(3347), 1,
      anon_sym_LBRACK,
    ACTIONS(3349), 1,
      sym_encapsed_string_chars_after_variable,
    ACTIONS(3278), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [51517] = 8,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3319), 1,
      anon_sym_LBRACE,
    ACTIONS(3321), 1,
      anon_sym_EQ_GT,
    ACTIONS(3323), 1,
      anon_sym_LPAREN2,
    STATE(1549), 1,
      sym_formal_parameters,
    STATE(1708), 1,
      sym_compound_statement,
    ACTIONS(3351), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1770), 2,
      sym__property_hook_body,
      sym__semicolon,
  [51544] = 8,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3319), 1,
      anon_sym_LBRACE,
    ACTIONS(3321), 1,
      anon_sym_EQ_GT,
    ACTIONS(3323), 1,
      anon_sym_LPAREN2,
    STATE(1566), 1,
      sym_formal_parameters,
    STATE(1708), 1,
      sym_compound_statement,
    ACTIONS(3353), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1772), 2,
      sym__property_hook_body,
      sym__semicolon,
  [51571] = 6,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3270), 1,
      anon_sym_LPAREN2,
    ACTIONS(3355), 1,
      sym_name,
    STATE(1681), 1,
      sym_formal_parameters,
    STATE(2419), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(1939), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51593] = 9,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN2,
    ACTIONS(3357), 1,
      anon_sym_LBRACE,
    ACTIONS(3359), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3361), 1,
      aux_sym_class_interface_clause_token1,
    STATE(941), 1,
      sym_declaration_list,
    STATE(1602), 1,
      sym_arguments,
    STATE(1826), 1,
      sym_base_clause,
    STATE(2290), 1,
      sym_class_interface_clause,
  [51621] = 6,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1662), 1,
      anon_sym_LPAREN2,
    ACTIONS(3363), 1,
      anon_sym_COMMA,
    ACTIONS(3365), 1,
      anon_sym_RPAREN2,
    STATE(1988), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51643] = 8,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3367), 1,
      sym_name,
    STATE(1698), 1,
      sym_namespace_use_clause,
    STATE(1878), 1,
      sym_qualified_name,
    STATE(1943), 1,
      sym__namespace_use_group,
    STATE(2589), 1,
      sym_namespace_name,
    ACTIONS(3369), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
  [51669] = 9,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN2,
    ACTIONS(3359), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3361), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3371), 1,
      anon_sym_LBRACE,
    STATE(795), 1,
      sym_declaration_list,
    STATE(1598), 1,
      sym_arguments,
    STATE(1846), 1,
      sym_base_clause,
    STATE(2315), 1,
      sym_class_interface_clause,
  [51697] = 9,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN2,
    ACTIONS(3359), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3361), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3371), 1,
      anon_sym_LBRACE,
    STATE(794), 1,
      sym_declaration_list,
    STATE(1609), 1,
      sym_arguments,
    STATE(1844), 1,
      sym_base_clause,
    STATE(2312), 1,
      sym_class_interface_clause,
  [51725] = 8,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3367), 1,
      sym_name,
    STATE(1719), 1,
      sym_namespace_use_clause,
    STATE(1878), 1,
      sym_qualified_name,
    STATE(2034), 1,
      sym__namespace_use_group,
    STATE(2589), 1,
      sym_namespace_name,
    ACTIONS(3369), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
  [51751] = 6,
    ACTIONS(905), 1,
      anon_sym_COMMA,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1662), 1,
      anon_sym_LPAREN2,
    ACTIONS(3373), 1,
      anon_sym_RPAREN2,
    STATE(2024), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51773] = 6,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3270), 1,
      anon_sym_LPAREN2,
    ACTIONS(3355), 1,
      sym_name,
    STATE(1777), 1,
      sym_formal_parameters,
    STATE(2419), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(1939), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51795] = 6,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(3375), 1,
      sym_name,
    STATE(1638), 1,
      sym_reference_modifier,
    STATE(2311), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(1939), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51817] = 9,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN2,
    ACTIONS(3359), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3361), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3371), 1,
      anon_sym_LBRACE,
    STATE(806), 1,
      sym_declaration_list,
    STATE(1639), 1,
      sym_arguments,
    STATE(1863), 1,
      sym_base_clause,
    STATE(2355), 1,
      sym_class_interface_clause,
  [51845] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2180), 1,
      anon_sym_COLON,
    ACTIONS(2892), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1708), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51863] = 7,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3377), 1,
      anon_sym_AMP,
    ACTIONS(3379), 1,
      anon_sym_PIPE,
    STATE(1674), 1,
      aux_sym_intersection_type_repeat1,
    STATE(1730), 1,
      aux_sym_union_type_repeat1,
    STATE(1731), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3167), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [51887] = 9,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN2,
    ACTIONS(3357), 1,
      anon_sym_LBRACE,
    ACTIONS(3359), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3361), 1,
      aux_sym_class_interface_clause_token1,
    STATE(940), 1,
      sym_declaration_list,
    STATE(1606), 1,
      sym_arguments,
    STATE(1822), 1,
      sym_base_clause,
    STATE(2282), 1,
      sym_class_interface_clause,
  [51915] = 6,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1662), 1,
      anon_sym_LPAREN2,
    ACTIONS(3381), 1,
      anon_sym_COMMA,
    ACTIONS(3383), 1,
      anon_sym_RPAREN2,
    STATE(2186), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51937] = 6,
    ACTIONS(1043), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3385), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3388), 1,
      aux_sym_finally_clause_token1,
    ACTIONS(1041), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    STATE(1512), 3,
      sym_catch_clause,
      sym_finally_clause,
      aux_sym_try_statement_repeat1,
  [51959] = 9,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN2,
    ACTIONS(3357), 1,
      anon_sym_LBRACE,
    ACTIONS(3359), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3361), 1,
      aux_sym_class_interface_clause_token1,
    STATE(917), 1,
      sym_declaration_list,
    STATE(1603), 1,
      sym_arguments,
    STATE(1814), 1,
      sym_base_clause,
    STATE(2297), 1,
      sym_class_interface_clause,
  [51987] = 9,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN2,
    ACTIONS(3359), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3361), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3371), 1,
      anon_sym_LBRACE,
    STATE(779), 1,
      sym_declaration_list,
    STATE(1649), 1,
      sym_arguments,
    STATE(1821), 1,
      sym_base_clause,
    STATE(2263), 1,
      sym_class_interface_clause,
  [52015] = 8,
    ACTIONS(629), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(635), 1,
      anon_sym_BSLASH,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1855), 1,
      sym_name,
    STATE(1881), 1,
      sym_named_type,
    STATE(2113), 1,
      sym_type_list,
    STATE(2478), 1,
      sym_namespace_name,
    STATE(1461), 2,
      sym_qualified_name,
      sym_relative_name,
  [52041] = 9,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN2,
    ACTIONS(3357), 1,
      anon_sym_LBRACE,
    ACTIONS(3359), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3361), 1,
      aux_sym_class_interface_clause_token1,
    STATE(982), 1,
      sym_declaration_list,
    STATE(1636), 1,
      sym_arguments,
    STATE(1810), 1,
      sym_base_clause,
    STATE(2306), 1,
      sym_class_interface_clause,
  [52069] = 6,
    ACTIONS(1035), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3391), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3393), 1,
      aux_sym_finally_clause_token1,
    ACTIONS(1033), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    STATE(1512), 3,
      sym_catch_clause,
      sym_finally_clause,
      aux_sym_try_statement_repeat1,
  [52091] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    ACTIONS(3395), 1,
      aux_sym_namespace_use_clause_token1,
    STATE(2414), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1899), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52111] = 8,
    ACTIONS(629), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(635), 1,
      anon_sym_BSLASH,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1855), 1,
      sym_name,
    STATE(1881), 1,
      sym_named_type,
    STATE(2027), 1,
      sym_type_list,
    STATE(2478), 1,
      sym_namespace_name,
    STATE(1461), 2,
      sym_qualified_name,
      sym_relative_name,
  [52137] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3363), 1,
      anon_sym_COMMA,
    ACTIONS(3365), 1,
      anon_sym_RPAREN2,
    STATE(1988), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52156] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_DOLLAR,
    ACTIONS(3399), 1,
      anon_sym_DASH,
    ACTIONS(3397), 2,
      sym_integer,
      sym_name,
    STATE(2614), 3,
      sym__simple_string_subscript_unary_expression,
      sym__simple_string_array_access_argument,
      sym_variable_name,
  [52175] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2614), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1899), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52190] = 5,
    ACTIONS(905), 1,
      anon_sym_COMMA,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3373), 1,
      anon_sym_RPAREN2,
    STATE(2024), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52209] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2586), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1899), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52224] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2616), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1899), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52239] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3403), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3406), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3401), 2,
      anon_sym_RBRACE,
      aux_sym_switch_block_token1,
    STATE(1526), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [52258] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym_COMMA,
    ACTIONS(3383), 1,
      anon_sym_RPAREN2,
    STATE(2186), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52277] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym_COMMA,
    ACTIONS(3383), 1,
      anon_sym_RPAREN2,
    STATE(2186), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52296] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3409), 1,
      sym_name,
    STATE(1775), 1,
      sym_const_element,
    STATE(2554), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(1939), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [52315] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3411), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3413), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [52330] = 6,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3319), 1,
      anon_sym_LBRACE,
    ACTIONS(3321), 1,
      anon_sym_EQ_GT,
    STATE(1708), 1,
      sym_compound_statement,
    ACTIONS(3415), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1703), 2,
      sym__property_hook_body,
      sym__semicolon,
  [52351] = 6,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3319), 1,
      anon_sym_LBRACE,
    ACTIONS(3321), 1,
      anon_sym_EQ_GT,
    STATE(1708), 1,
      sym_compound_statement,
    ACTIONS(3417), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1760), 2,
      sym__property_hook_body,
      sym__semicolon,
  [52372] = 6,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3319), 1,
      anon_sym_LBRACE,
    ACTIONS(3321), 1,
      anon_sym_EQ_GT,
    STATE(1708), 1,
      sym_compound_statement,
    ACTIONS(3419), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1762), 2,
      sym__property_hook_body,
      sym__semicolon,
  [52393] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1662), 1,
      anon_sym_LPAREN2,
    ACTIONS(3421), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52410] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1662), 1,
      anon_sym_LPAREN2,
    ACTIONS(3423), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52427] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_DOLLAR,
    ACTIONS(3399), 1,
      anon_sym_DASH,
    ACTIONS(3425), 2,
      sym_integer,
      sym_name,
    STATE(2582), 3,
      sym__simple_string_subscript_unary_expression,
      sym__simple_string_array_access_argument,
      sym_variable_name,
  [52446] = 6,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3319), 1,
      anon_sym_LBRACE,
    ACTIONS(3321), 1,
      anon_sym_EQ_GT,
    STATE(1708), 1,
      sym_compound_statement,
    ACTIONS(3427), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1666), 2,
      sym__property_hook_body,
      sym__semicolon,
  [52467] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_DOLLAR,
    ACTIONS(3399), 1,
      anon_sym_DASH,
    ACTIONS(3429), 2,
      sym_integer,
      sym_name,
    STATE(2519), 3,
      sym__simple_string_subscript_unary_expression,
      sym__simple_string_array_access_argument,
      sym_variable_name,
  [52486] = 6,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3319), 1,
      anon_sym_LBRACE,
    ACTIONS(3321), 1,
      anon_sym_EQ_GT,
    STATE(1708), 1,
      sym_compound_statement,
    ACTIONS(3431), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1769), 2,
      sym__property_hook_body,
      sym__semicolon,
  [52507] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2892), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1708), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52522] = 6,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3435), 1,
      anon_sym_COMMA,
    ACTIONS(3437), 1,
      anon_sym_LBRACE,
    STATE(1664), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3433), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1395), 2,
      sym_use_list,
      sym__semicolon,
  [52543] = 6,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3441), 1,
      anon_sym_COMMA,
    ACTIONS(3443), 1,
      anon_sym_LBRACE,
    STATE(1552), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1407), 2,
      sym_property_hook_list,
      sym__semicolon,
  [52564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1702), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(1700), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [52579] = 6,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3441), 1,
      anon_sym_COMMA,
    ACTIONS(3443), 1,
      anon_sym_LBRACE,
    STATE(1671), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3445), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1396), 2,
      sym_property_hook_list,
      sym__semicolon,
  [52600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1718), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(1716), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [52615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1698), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(1696), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [52630] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3363), 1,
      anon_sym_COMMA,
    ACTIONS(3365), 1,
      anon_sym_RPAREN2,
    STATE(1988), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52649] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3409), 1,
      sym_name,
    STATE(1783), 1,
      sym_const_element,
    STATE(2554), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(1939), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [52668] = 6,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3319), 1,
      anon_sym_LBRACE,
    ACTIONS(3321), 1,
      anon_sym_EQ_GT,
    STATE(1708), 1,
      sym_compound_statement,
    ACTIONS(3447), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1667), 2,
      sym__property_hook_body,
      sym__semicolon,
  [52689] = 7,
    ACTIONS(635), 1,
      anon_sym_BSLASH,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3449), 1,
      sym_name,
    STATE(1905), 1,
      sym_qualified_name,
    STATE(2334), 1,
      sym_namespace_use_clause,
    STATE(2478), 1,
      sym_namespace_name,
    ACTIONS(3451), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
  [52712] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    STATE(2414), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3120), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [52729] = 6,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3441), 1,
      anon_sym_COMMA,
    ACTIONS(3443), 1,
      anon_sym_LBRACE,
    STATE(1671), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3453), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1412), 2,
      sym_property_hook_list,
      sym__semicolon,
  [52750] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3409), 1,
      sym_name,
    STATE(1729), 1,
      sym_const_element,
    STATE(2554), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(1939), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [52769] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3455), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3457), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [52784] = 6,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3441), 1,
      anon_sym_COMMA,
    ACTIONS(3443), 1,
      anon_sym_LBRACE,
    STATE(1544), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3459), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1406), 2,
      sym_property_hook_list,
      sym__semicolon,
  [52805] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3461), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3463), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [52820] = 7,
    ACTIONS(629), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(635), 1,
      anon_sym_BSLASH,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1855), 1,
      sym_name,
    STATE(2153), 1,
      sym_named_type,
    STATE(2478), 1,
      sym_namespace_name,
    STATE(1461), 2,
      sym_qualified_name,
      sym_relative_name,
  [52843] = 6,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3441), 1,
      anon_sym_COMMA,
    ACTIONS(3443), 1,
      anon_sym_LBRACE,
    STATE(1562), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3465), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1413), 2,
      sym_property_hook_list,
      sym__semicolon,
  [52864] = 7,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_AMP,
    ACTIONS(3473), 1,
      anon_sym_PIPE,
    STATE(1780), 1,
      aux_sym_union_type_repeat1,
    STATE(1781), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1792), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3167), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [52887] = 6,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3441), 1,
      anon_sym_COMMA,
    ACTIONS(3443), 1,
      anon_sym_LBRACE,
    STATE(1575), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3475), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1411), 2,
      sym_property_hook_list,
      sym__semicolon,
  [52908] = 6,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3435), 1,
      anon_sym_COMMA,
    ACTIONS(3437), 1,
      anon_sym_LBRACE,
    STATE(1541), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3477), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1374), 2,
      sym_use_list,
      sym__semicolon,
  [52929] = 6,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3441), 1,
      anon_sym_COMMA,
    ACTIONS(3443), 1,
      anon_sym_LBRACE,
    STATE(1671), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3479), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1402), 2,
      sym_property_hook_list,
      sym__semicolon,
  [52950] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3481), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(2985), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [52965] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2620), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1899), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52980] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3409), 1,
      sym_name,
    STATE(1685), 1,
      sym_const_element,
    STATE(2554), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(1939), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [52999] = 6,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3319), 1,
      anon_sym_LBRACE,
    ACTIONS(3321), 1,
      anon_sym_EQ_GT,
    STATE(1708), 1,
      sym_compound_statement,
    ACTIONS(3483), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1668), 2,
      sym__property_hook_body,
      sym__semicolon,
  [53020] = 5,
    ACTIONS(905), 1,
      anon_sym_COMMA,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3373), 1,
      anon_sym_RPAREN2,
    STATE(2024), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53039] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2160), 3,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
    ACTIONS(2158), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [53054] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3485), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3487), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [53069] = 6,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3319), 1,
      anon_sym_LBRACE,
    ACTIONS(3321), 1,
      anon_sym_EQ_GT,
    STATE(1708), 1,
      sym_compound_statement,
    ACTIONS(3489), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1675), 2,
      sym__property_hook_body,
      sym__semicolon,
  [53090] = 7,
    ACTIONS(635), 1,
      anon_sym_BSLASH,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3449), 1,
      sym_name,
    STATE(1905), 1,
      sym_qualified_name,
    STATE(1913), 1,
      sym_namespace_use_clause,
    STATE(2478), 1,
      sym_namespace_name,
    ACTIONS(3451), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
  [53113] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1662), 1,
      anon_sym_LPAREN2,
    ACTIONS(3491), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53130] = 7,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3367), 1,
      sym_name,
    STATE(1878), 1,
      sym_qualified_name,
    STATE(2088), 1,
      sym_namespace_use_clause,
    STATE(2650), 1,
      sym_namespace_name,
    ACTIONS(3493), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
  [53153] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3409), 1,
      sym_name,
    STATE(2183), 1,
      sym_const_element,
    STATE(2554), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(1939), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [53172] = 6,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3441), 1,
      anon_sym_COMMA,
    ACTIONS(3443), 1,
      anon_sym_LBRACE,
    STATE(1671), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3495), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1405), 2,
      sym_property_hook_list,
      sym__semicolon,
  [53193] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_BSLASHu,
    ACTIONS(3457), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [53207] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3411), 1,
      anon_sym_BSLASHu,
    ACTIONS(3413), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [53221] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3485), 1,
      anon_sym_BSLASHu,
    ACTIONS(3487), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [53235] = 7,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3497), 1,
      aux_sym_if_statement_token2,
    ACTIONS(3499), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3501), 1,
      aux_sym_else_clause_token1,
    STATE(1582), 1,
      aux_sym_if_statement_repeat2,
    STATE(2041), 1,
      sym_else_if_clause_2,
    STATE(2550), 1,
      sym_else_clause_2,
  [53257] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3503), 1,
      sym_name,
    ACTIONS(3505), 1,
      anon_sym_LBRACE,
    ACTIONS(3507), 1,
      anon_sym_DOLLAR,
    STATE(1587), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [53275] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3509), 1,
      sym_name,
    ACTIONS(3511), 1,
      anon_sym_LBRACE,
    ACTIONS(3513), 1,
      anon_sym_DOLLAR,
    STATE(1543), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [53293] = 7,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3499), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3501), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3515), 1,
      aux_sym_if_statement_token2,
    STATE(1733), 1,
      aux_sym_if_statement_repeat2,
    STATE(2041), 1,
      sym_else_if_clause_2,
    STATE(2480), 1,
      sym_else_clause_2,
  [53315] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1718), 1,
      anon_sym_BSLASHu,
    ACTIONS(1716), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [53329] = 7,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3359), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3361), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3517), 1,
      anon_sym_LBRACE,
    STATE(551), 1,
      sym_declaration_list,
    STATE(1845), 1,
      sym_base_clause,
    STATE(2357), 1,
      sym_class_interface_clause,
  [53351] = 7,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3499), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3501), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3519), 1,
      aux_sym_if_statement_token2,
    STATE(1615), 1,
      aux_sym_if_statement_repeat2,
    STATE(2041), 1,
      sym_else_if_clause_2,
    STATE(2668), 1,
      sym_else_clause_2,
  [53373] = 7,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3167), 1,
      anon_sym_DOLLAR,
    ACTIONS(3172), 1,
      anon_sym_PIPE,
    ACTIONS(3521), 1,
      anon_sym_AMP,
    STATE(1464), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1474), 1,
      aux_sym_union_type_repeat1,
    STATE(2131), 1,
      aux_sym_intersection_type_repeat1,
  [53395] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1702), 1,
      anon_sym_BSLASHu,
    ACTIONS(1700), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [53409] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3527), 1,
      anon_sym_RBRACE,
    ACTIONS(3529), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3531), 1,
      aux_sym_match_default_expression_token1,
    STATE(1526), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [53427] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3529), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3531), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3533), 1,
      anon_sym_RBRACE,
    STATE(1526), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [53445] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3529), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3531), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3535), 1,
      aux_sym_switch_block_token1,
    STATE(1526), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [53463] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1718), 1,
      anon_sym_BSLASHu,
    ACTIONS(1716), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [53477] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3537), 1,
      anon_sym_SQUOTE,
    ACTIONS(3539), 1,
      aux_sym_string_token2,
    ACTIONS(3541), 1,
      aux_sym_string_content_token1,
    STATE(1793), 1,
      aux_sym_string_content_repeat1,
    STATE(1613), 2,
      sym_string_content,
      aux_sym_string_repeat1,
  [53497] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3529), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3531), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3543), 1,
      aux_sym_switch_block_token1,
    STATE(1526), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [53515] = 5,
    ACTIONS(1596), 1,
      anon_sym_DOLLAR,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3545), 1,
      sym_name,
    ACTIONS(3547), 1,
      anon_sym_LBRACE,
    STATE(875), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [53533] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2156), 1,
      anon_sym_LPAREN2,
    STATE(862), 1,
      sym_arguments,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53549] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_BSLASHu,
    ACTIONS(1696), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [53563] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    ACTIONS(3551), 1,
      aux_sym_namespace_use_clause_token1,
    STATE(2414), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3549), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [53581] = 7,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3359), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3361), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3371), 1,
      anon_sym_LBRACE,
    STATE(806), 1,
      sym_declaration_list,
    STATE(1863), 1,
      sym_base_clause,
    STATE(2355), 1,
      sym_class_interface_clause,
  [53603] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3461), 1,
      anon_sym_BSLASHu,
    ACTIONS(3463), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [53617] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_BSLASHu,
    ACTIONS(1696), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [53631] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3541), 1,
      aux_sym_string_content_token1,
    ACTIONS(3553), 1,
      anon_sym_SQUOTE,
    ACTIONS(3555), 1,
      aux_sym_string_token2,
    STATE(1793), 1,
      aux_sym_string_content_repeat1,
    STATE(1592), 2,
      sym_string_content,
      aux_sym_string_repeat1,
  [53651] = 7,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3357), 1,
      anon_sym_LBRACE,
    ACTIONS(3359), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3361), 1,
      aux_sym_class_interface_clause_token1,
    STATE(917), 1,
      sym_declaration_list,
    STATE(1814), 1,
      sym_base_clause,
    STATE(2297), 1,
      sym_class_interface_clause,
  [53673] = 7,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3357), 1,
      anon_sym_LBRACE,
    ACTIONS(3359), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3361), 1,
      aux_sym_class_interface_clause_token1,
    STATE(975), 1,
      sym_declaration_list,
    STATE(1870), 1,
      sym_base_clause,
    STATE(2257), 1,
      sym_class_interface_clause,
  [53695] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3395), 1,
      aux_sym_namespace_use_clause_token1,
    ACTIONS(3557), 1,
      aux_sym_use_instead_of_clause_token1,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53711] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3491), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53725] = 7,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3357), 1,
      anon_sym_LBRACE,
    ACTIONS(3359), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3361), 1,
      aux_sym_class_interface_clause_token1,
    STATE(914), 1,
      sym_declaration_list,
    STATE(1816), 1,
      sym_base_clause,
    STATE(2296), 1,
      sym_class_interface_clause,
  [53747] = 7,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3359), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3361), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3517), 1,
      anon_sym_LBRACE,
    STATE(574), 1,
      sym_declaration_list,
    STATE(1823), 1,
      sym_base_clause,
    STATE(2415), 1,
      sym_class_interface_clause,
  [53769] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3541), 1,
      aux_sym_string_content_token1,
    ACTIONS(3559), 1,
      anon_sym_SQUOTE,
    ACTIONS(3561), 1,
      aux_sym_string_token2,
    STATE(1793), 1,
      aux_sym_string_content_repeat1,
    STATE(1641), 2,
      sym_string_content,
      aux_sym_string_repeat1,
  [53789] = 7,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3359), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3361), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3371), 1,
      anon_sym_LBRACE,
    STATE(805), 1,
      sym_declaration_list,
    STATE(1864), 1,
      sym_base_clause,
    STATE(2354), 1,
      sym_class_interface_clause,
  [53811] = 5,
    ACTIONS(677), 1,
      anon_sym_DOLLAR,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3563), 1,
      sym_name,
    ACTIONS(3565), 1,
      anon_sym_LBRACE,
    STATE(605), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [53829] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1823), 1,
      anon_sym_DOLLAR,
    ACTIONS(3567), 1,
      sym_name,
    ACTIONS(3569), 1,
      anon_sym_LBRACE,
    STATE(949), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [53847] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2162), 1,
      anon_sym_LPAREN2,
    STATE(954), 1,
      sym_arguments,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53863] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3571), 1,
      anon_sym_SQUOTE,
    ACTIONS(3573), 1,
      aux_sym_string_token2,
    ACTIONS(3576), 1,
      aux_sym_string_content_token1,
    STATE(1793), 1,
      aux_sym_string_content_repeat1,
    STATE(1613), 2,
      sym_string_content,
      aux_sym_string_repeat1,
  [53883] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN2,
    STATE(608), 1,
      sym_arguments,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53899] = 7,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3499), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3501), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3579), 1,
      aux_sym_if_statement_token2,
    STATE(1733), 1,
      aux_sym_if_statement_repeat2,
    STATE(2041), 1,
      sym_else_if_clause_2,
    STATE(2559), 1,
      sym_else_clause_2,
  [53921] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3511), 1,
      anon_sym_LBRACE,
    ACTIONS(3513), 1,
      anon_sym_DOLLAR,
    ACTIONS(3581), 1,
      sym_name,
    STATE(1543), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [53939] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3583), 1,
      anon_sym_BSLASHu,
    ACTIONS(3045), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [53953] = 7,
    ACTIONS(1061), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3585), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3588), 1,
      aux_sym_else_clause_token1,
    STATE(1661), 1,
      aux_sym_if_statement_repeat1,
    STATE(2174), 1,
      sym_else_if_clause,
    STATE(2226), 1,
      sym_else_clause,
  [53975] = 7,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3359), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3361), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3371), 1,
      anon_sym_LBRACE,
    STATE(1818), 1,
      sym_base_clause,
    STATE(2059), 1,
      sym_declaration_list,
    STATE(2240), 1,
      sym_class_interface_clause,
  [53997] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_BSLASHu,
    ACTIONS(3457), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [54011] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1812), 1,
      anon_sym_DOLLAR,
    ACTIONS(3591), 1,
      sym_name,
    ACTIONS(3593), 1,
      anon_sym_LBRACE,
    STATE(762), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [54029] = 7,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3359), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3361), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3371), 1,
      anon_sym_LBRACE,
    STATE(1866), 1,
      sym_base_clause,
    STATE(1940), 1,
      sym_declaration_list,
    STATE(2374), 1,
      sym_class_interface_clause,
  [54051] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3529), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3531), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3595), 1,
      aux_sym_switch_block_token1,
    STATE(1590), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [54069] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3485), 1,
      anon_sym_BSLASHu,
    ACTIONS(3487), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [54083] = 5,
    ACTIONS(1592), 1,
      anon_sym_DOLLAR,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3597), 1,
      sym_name,
    ACTIONS(3599), 1,
      anon_sym_LBRACE,
    STATE(731), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [54101] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3601), 1,
      sym_name,
    ACTIONS(3603), 1,
      anon_sym_LBRACE,
    ACTIONS(3605), 1,
      anon_sym_DOLLAR,
    STATE(1630), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [54119] = 7,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3359), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3361), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3371), 1,
      anon_sym_LBRACE,
    STATE(1853), 1,
      sym_base_clause,
    STATE(2193), 1,
      sym_declaration_list,
    STATE(2337), 1,
      sym_class_interface_clause,
  [54141] = 7,
    ACTIONS(1061), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3607), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3609), 1,
      aux_sym_else_clause_token1,
    STATE(1661), 1,
      aux_sym_if_statement_repeat1,
    STATE(2174), 1,
      sym_else_if_clause,
    STATE(2226), 1,
      sym_else_clause,
  [54163] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3529), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3531), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3611), 1,
      anon_sym_RBRACE,
    STATE(1589), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [54181] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1702), 1,
      anon_sym_BSLASHu,
    ACTIONS(1700), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [54195] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3423), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [54209] = 7,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3359), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3361), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3517), 1,
      anon_sym_LBRACE,
    STATE(482), 1,
      sym_declaration_list,
    STATE(1786), 1,
      sym_base_clause,
    STATE(2440), 1,
      sym_class_interface_clause,
  [54231] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3603), 1,
      anon_sym_LBRACE,
    ACTIONS(3605), 1,
      anon_sym_DOLLAR,
    ACTIONS(3613), 1,
      sym_name,
    STATE(1630), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [54249] = 7,
    ACTIONS(1051), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3607), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3609), 1,
      aux_sym_else_clause_token1,
    STATE(1628), 1,
      aux_sym_if_statement_repeat1,
    STATE(2174), 1,
      sym_else_if_clause,
    STATE(2175), 1,
      sym_else_clause,
  [54271] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1873), 1,
      anon_sym_LPAREN2,
    STATE(713), 1,
      sym_arguments,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [54287] = 7,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3357), 1,
      anon_sym_LBRACE,
    ACTIONS(3359), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3361), 1,
      aux_sym_class_interface_clause_token1,
    STATE(940), 1,
      sym_declaration_list,
    STATE(1822), 1,
      sym_base_clause,
    STATE(2282), 1,
      sym_class_interface_clause,
  [54309] = 7,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3359), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3361), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3517), 1,
      anon_sym_LBRACE,
    STATE(576), 1,
      sym_declaration_list,
    STATE(1836), 1,
      sym_base_clause,
    STATE(2412), 1,
      sym_class_interface_clause,
  [54331] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3615), 1,
      sym_name,
    STATE(2427), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(1939), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [54347] = 7,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3359), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3361), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3371), 1,
      anon_sym_LBRACE,
    STATE(820), 1,
      sym_declaration_list,
    STATE(1871), 1,
      sym_base_clause,
    STATE(2389), 1,
      sym_class_interface_clause,
  [54369] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1780), 1,
      anon_sym_LPAREN2,
    STATE(625), 1,
      sym_arguments,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [54385] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3539), 1,
      aux_sym_string_token2,
    ACTIONS(3541), 1,
      aux_sym_string_content_token1,
    ACTIONS(3617), 1,
      anon_sym_SQUOTE,
    STATE(1793), 1,
      aux_sym_string_content_repeat1,
    STATE(1613), 2,
      sym_string_content,
      aux_sym_string_repeat1,
  [54405] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3619), 1,
      anon_sym_BSLASHu,
    ACTIONS(3089), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [54419] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3411), 1,
      anon_sym_BSLASHu,
    ACTIONS(3413), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [54433] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    ACTIONS(3623), 1,
      aux_sym_namespace_use_clause_token1,
    STATE(2414), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3621), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [54451] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3423), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [54465] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    STATE(2414), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1839), 4,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [54481] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3529), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3531), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3625), 1,
      aux_sym_switch_block_token1,
    STATE(1593), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [54499] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3529), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3531), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3627), 1,
      anon_sym_RBRACE,
    STATE(1588), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [54517] = 7,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3359), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3361), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3371), 1,
      anon_sym_LBRACE,
    STATE(794), 1,
      sym_declaration_list,
    STATE(1844), 1,
      sym_base_clause,
    STATE(2312), 1,
      sym_class_interface_clause,
  [54539] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3491), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [54553] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3421), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [54567] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3421), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [54581] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    STATE(2414), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1832), 4,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [54597] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3505), 1,
      anon_sym_LBRACE,
    ACTIONS(3507), 1,
      anon_sym_DOLLAR,
    ACTIONS(3629), 1,
      sym_name,
    STATE(1587), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [54615] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1901), 1,
      anon_sym_LPAREN2,
    STATE(836), 1,
      sym_arguments,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [54631] = 7,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3359), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3361), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3371), 1,
      anon_sym_LBRACE,
    STATE(1854), 1,
      sym_base_clause,
    STATE(2196), 1,
      sym_declaration_list,
    STATE(2343), 1,
      sym_class_interface_clause,
  [54653] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3461), 1,
      anon_sym_BSLASHu,
    ACTIONS(3463), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [54667] = 7,
    ACTIONS(1051), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3631), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_else_clause_token1,
    STATE(1618), 1,
      aux_sym_if_statement_repeat1,
    STATE(2174), 1,
      sym_else_if_clause,
    STATE(2175), 1,
      sym_else_clause,
  [54689] = 5,
    ACTIONS(125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3637), 1,
      sym_name,
    ACTIONS(3639), 1,
      anon_sym_LBRACE,
    STATE(646), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [54707] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3643), 1,
      anon_sym_COMMA,
    STATE(1732), 1,
      aux_sym__const_declaration_repeat1,
    STATE(2049), 1,
      sym__semicolon,
    ACTIONS(3641), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54724] = 6,
    ACTIONS(1079), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1081), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3645), 1,
      aux_sym_else_if_clause_token1,
    STATE(1661), 1,
      aux_sym_if_statement_repeat1,
    STATE(2174), 1,
      sym_else_if_clause,
  [54743] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3643), 1,
      anon_sym_COMMA,
    STATE(1867), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1909), 1,
      sym__semicolon,
    ACTIONS(3648), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54760] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3650), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [54771] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3654), 1,
      anon_sym_COMMA,
    STATE(1664), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3652), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54786] = 6,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3657), 1,
      sym_name,
    ACTIONS(3659), 1,
      anon_sym_BSLASH,
    STATE(493), 1,
      sym_compound_statement,
    STATE(1717), 1,
      sym_namespace_name,
  [54805] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3661), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3663), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [54818] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3665), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3667), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [54831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3669), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3671), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [54844] = 3,
    ACTIONS(1077), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1075), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [54857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3673), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3675), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [54870] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3679), 1,
      anon_sym_COMMA,
    STATE(1671), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3677), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54885] = 3,
    ACTIONS(1096), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1094), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [54898] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3682), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3684), 1,
      aux_sym_finally_clause_token1,
    STATE(443), 3,
      sym_catch_clause,
      sym_finally_clause,
      aux_sym_try_statement_repeat1,
  [54913] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3377), 1,
      anon_sym_AMP,
    STATE(1751), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3294), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54928] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3686), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3688), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [54941] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1662), 1,
      anon_sym_LPAREN2,
    ACTIONS(1664), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [54954] = 6,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3690), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3692), 1,
      anon_sym_LBRACE,
    ACTIONS(3694), 1,
      anon_sym_COLON,
    STATE(2127), 1,
      sym_anonymous_function_use_clause,
    STATE(2690), 1,
      sym__return_type,
  [54973] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1088), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(1086), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [54986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1092), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(1090), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [54999] = 6,
    ACTIONS(1005), 1,
      anon_sym_COLON,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(3270), 1,
      anon_sym_LPAREN2,
    STATE(1742), 1,
      sym_formal_parameters,
    STATE(2264), 1,
      sym_reference_modifier,
  [55018] = 6,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3690), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3694), 1,
      anon_sym_COLON,
    ACTIONS(3696), 1,
      anon_sym_LBRACE,
    STATE(2130), 1,
      sym_anonymous_function_use_clause,
    STATE(2451), 1,
      sym__return_type,
  [55037] = 6,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3690), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3694), 1,
      anon_sym_COLON,
    ACTIONS(3698), 1,
      anon_sym_LBRACE,
    STATE(2149), 1,
      sym_anonymous_function_use_clause,
    STATE(2484), 1,
      sym__return_type,
  [55056] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    ACTIONS(3700), 1,
      aux_sym_namespace_use_clause_token1,
    STATE(2414), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3621), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [55073] = 6,
    ACTIONS(1005), 1,
      anon_sym_COLON,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(3270), 1,
      anon_sym_LPAREN2,
    STATE(2120), 1,
      sym_formal_parameters,
    STATE(2301), 1,
      sym_reference_modifier,
  [55092] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3643), 1,
      anon_sym_COMMA,
    STATE(553), 1,
      sym__semicolon,
    STATE(1757), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3702), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55109] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3643), 1,
      anon_sym_COMMA,
    STATE(554), 1,
      sym__semicolon,
    STATE(1867), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3704), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55126] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3242), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [55137] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2498), 1,
      anon_sym_LBRACE,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    STATE(2365), 1,
      sym_property_hook_list,
    ACTIONS(3706), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [55154] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2498), 1,
      anon_sym_LBRACE,
    ACTIONS(3712), 1,
      anon_sym_EQ,
    STATE(2367), 1,
      sym_property_hook_list,
    ACTIONS(3710), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [55171] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3120), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [55182] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3716), 1,
      anon_sym_COMMA,
    STATE(468), 1,
      sym__semicolon,
    STATE(1736), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(3714), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55199] = 6,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3361), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3718), 1,
      anon_sym_LBRACE,
    ACTIONS(3720), 1,
      anon_sym_COLON,
    STATE(481), 1,
      sym_enum_declaration_list,
    STATE(2242), 1,
      sym_class_interface_clause,
  [55218] = 6,
    ACTIONS(362), 1,
      anon_sym_LBRACE,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3657), 1,
      sym_name,
    ACTIONS(3659), 1,
      anon_sym_BSLASH,
    STATE(1697), 1,
      sym_namespace_name,
    STATE(1899), 1,
      sym_compound_statement,
  [55237] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2498), 1,
      anon_sym_LBRACE,
    ACTIONS(3724), 1,
      anon_sym_EQ,
    STATE(2382), 1,
      sym_property_hook_list,
    ACTIONS(3722), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [55254] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3716), 1,
      anon_sym_COMMA,
    STATE(1721), 1,
      aux_sym_function_static_declaration_repeat1,
    STATE(2029), 1,
      sym__semicolon,
    ACTIONS(3726), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55271] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3730), 1,
      anon_sym_COMMA,
    STATE(1722), 1,
      aux_sym_global_declaration_repeat1,
    STATE(2031), 1,
      sym__semicolon,
    ACTIONS(3728), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55288] = 5,
    ACTIONS(362), 1,
      anon_sym_LBRACE,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(2036), 1,
      sym_compound_statement,
    STATE(2037), 1,
      sym__semicolon,
    ACTIONS(3732), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55305] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3736), 1,
      anon_sym_COMMA,
    STATE(1724), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(2040), 1,
      sym__semicolon,
    ACTIONS(3734), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55322] = 6,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3361), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3738), 1,
      anon_sym_LBRACE,
    ACTIONS(3740), 1,
      anon_sym_COLON,
    STATE(2057), 1,
      sym_enum_declaration_list,
    STATE(2437), 1,
      sym_class_interface_clause,
  [55341] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3391), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3393), 1,
      aux_sym_finally_clause_token1,
    STATE(1517), 3,
      sym_catch_clause,
      sym_finally_clause,
      aux_sym_try_statement_repeat1,
  [55356] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3730), 1,
      anon_sym_COMMA,
    STATE(470), 1,
      sym__semicolon,
    STATE(1743), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(3742), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55373] = 6,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3690), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3694), 1,
      anon_sym_COLON,
    ACTIONS(3744), 1,
      anon_sym_LBRACE,
    STATE(2206), 1,
      sym_anonymous_function_use_clause,
    STATE(2627), 1,
      sym__return_type,
  [55392] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3746), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3748), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [55405] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3750), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3752), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [55418] = 5,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(1375), 1,
      sym_compound_statement,
    STATE(1376), 1,
      sym__semicolon,
    ACTIONS(3754), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55435] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3756), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3758), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [55448] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3760), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3762), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [55461] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3764), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3766), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [55474] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3768), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3770), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [55487] = 6,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3361), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3738), 1,
      anon_sym_LBRACE,
    ACTIONS(3772), 1,
      anon_sym_COLON,
    STATE(2192), 1,
      sym_enum_declaration_list,
    STATE(2336), 1,
      sym_class_interface_clause,
  [55506] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3776), 1,
      anon_sym_BSLASH,
    STATE(1735), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3774), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [55521] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3643), 1,
      anon_sym_COMMA,
    STATE(476), 1,
      sym__semicolon,
    STATE(1728), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3778), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55538] = 5,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(1382), 1,
      sym_compound_statement,
    STATE(1383), 1,
      sym__semicolon,
    ACTIONS(3780), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55555] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3784), 1,
      anon_sym_EQ,
    ACTIONS(3782), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [55568] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3776), 1,
      anon_sym_BSLASH,
    STATE(1711), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3786), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [55583] = 6,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3690), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3694), 1,
      anon_sym_COLON,
    ACTIONS(3788), 1,
      anon_sym_LBRACE,
    STATE(1898), 1,
      sym_anonymous_function_use_clause,
    STATE(2618), 1,
      sym__return_type,
  [55602] = 5,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(472), 1,
      sym_compound_statement,
    STATE(473), 1,
      sym__semicolon,
    ACTIONS(3790), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55619] = 6,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3361), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3718), 1,
      anon_sym_LBRACE,
    ACTIONS(3792), 1,
      anon_sym_COLON,
    STATE(573), 1,
      sym_enum_declaration_list,
    STATE(2358), 1,
      sym_class_interface_clause,
  [55638] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3736), 1,
      anon_sym_COMMA,
    STATE(474), 1,
      sym__semicolon,
    STATE(1756), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(3794), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55655] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3796), 1,
      sym_name,
    STATE(2188), 1,
      sym_visibility_modifier,
    ACTIONS(3798), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [55670] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3716), 1,
      anon_sym_COMMA,
    STATE(1802), 1,
      aux_sym_function_static_declaration_repeat1,
    STATE(2124), 1,
      sym__semicolon,
    ACTIONS(3800), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55687] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3730), 1,
      anon_sym_COMMA,
    STATE(1804), 1,
      aux_sym_global_declaration_repeat1,
    STATE(2125), 1,
      sym__semicolon,
    ACTIONS(3802), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55704] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    ACTIONS(3804), 1,
      aux_sym_namespace_use_clause_token1,
    STATE(2414), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3549), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [55721] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3736), 1,
      anon_sym_COMMA,
    STATE(1809), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(2128), 1,
      sym__semicolon,
    ACTIONS(3806), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55738] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3808), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [55749] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2498), 1,
      anon_sym_LBRACE,
    ACTIONS(3812), 1,
      anon_sym_EQ,
    STATE(2317), 1,
      sym_property_hook_list,
    ACTIONS(3810), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [55766] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3816), 1,
      anon_sym_COLON,
    STATE(2134), 1,
      sym__return_type,
    ACTIONS(3814), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [55781] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3643), 1,
      anon_sym_COMMA,
    STATE(455), 1,
      sym__semicolon,
    STATE(1867), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3818), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55798] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3643), 1,
      anon_sym_COMMA,
    STATE(1749), 1,
      aux_sym__const_declaration_repeat1,
    STATE(2135), 1,
      sym__semicolon,
    ACTIONS(3820), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55815] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3822), 1,
      anon_sym_PIPE,
    STATE(1750), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3288), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [55830] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3824), 1,
      anon_sym_PIPE,
    STATE(1753), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3250), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [55845] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3643), 1,
      anon_sym_COMMA,
    STATE(1867), 1,
      aux_sym__const_declaration_repeat1,
    STATE(2141), 1,
      sym__semicolon,
    ACTIONS(3826), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55862] = 6,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3828), 1,
      aux_sym_if_statement_token2,
    ACTIONS(3830), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3833), 1,
      aux_sym_else_clause_token1,
    STATE(1733), 1,
      aux_sym_if_statement_repeat2,
    STATE(2041), 1,
      sym_else_if_clause_2,
  [55881] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3643), 1,
      anon_sym_COMMA,
    STATE(455), 1,
      sym__semicolon,
    STATE(1686), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3818), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55898] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3837), 1,
      anon_sym_BSLASH,
    STATE(1735), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3835), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [55913] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3716), 1,
      anon_sym_COMMA,
    STATE(498), 1,
      sym__semicolon,
    STATE(1802), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(3840), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55930] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2498), 1,
      anon_sym_LBRACE,
    ACTIONS(3844), 1,
      anon_sym_EQ,
    STATE(2291), 1,
      sym_property_hook_list,
    ACTIONS(3842), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [55947] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3846), 1,
      anon_sym_PIPE,
    STATE(1738), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3308), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [55962] = 6,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(1893), 1,
      anon_sym_DOLLAR,
    ACTIONS(3849), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1932), 1,
      sym_reference_modifier,
    STATE(1933), 1,
      sym_variable_name,
  [55981] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3851), 1,
      anon_sym_PIPE,
    STATE(1740), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3256), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [55996] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3854), 1,
      anon_sym_PIPE,
    STATE(1740), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3284), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [56011] = 6,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3690), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3694), 1,
      anon_sym_COLON,
    ACTIONS(3856), 1,
      anon_sym_LBRACE,
    STATE(2203), 1,
      sym_anonymous_function_use_clause,
    STATE(2623), 1,
      sym__return_type,
  [56030] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3730), 1,
      anon_sym_COMMA,
    STATE(499), 1,
      sym__semicolon,
    STATE(1804), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(3858), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56047] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3643), 1,
      anon_sym_COMMA,
    STATE(1776), 1,
      aux_sym__const_declaration_repeat1,
    STATE(2141), 1,
      sym__semicolon,
    ACTIONS(3826), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56064] = 6,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2129), 1,
      anon_sym_LPAREN2,
    ACTIONS(3860), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3862), 1,
      anon_sym_DASH_GT,
    ACTIONS(3864), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3866), 1,
      anon_sym_LBRACK,
  [56083] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3868), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [56094] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3816), 1,
      anon_sym_COLON,
    STATE(2205), 1,
      sym__return_type,
    ACTIONS(3870), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [56109] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3824), 1,
      anon_sym_PIPE,
    STATE(1779), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3298), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [56124] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3643), 1,
      anon_sym_COMMA,
    STATE(1867), 1,
      aux_sym__const_declaration_repeat1,
    STATE(2208), 1,
      sym__semicolon,
    ACTIONS(3872), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56141] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3874), 1,
      anon_sym_PIPE,
    STATE(1750), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3308), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [56156] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3877), 1,
      anon_sym_AMP,
    STATE(1751), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3266), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [56171] = 5,
    ACTIONS(765), 1,
      anon_sym_AMP,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_DOLLAR,
    ACTIONS(3880), 1,
      anon_sym_RPAREN2,
    STATE(2346), 2,
      sym_variable_name,
      sym_by_ref,
  [56188] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3882), 1,
      anon_sym_PIPE,
    STATE(1753), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3256), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [56203] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3643), 1,
      anon_sym_COMMA,
    STATE(562), 1,
      sym__semicolon,
    STATE(1867), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3885), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56220] = 6,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3690), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3694), 1,
      anon_sym_COLON,
    ACTIONS(3887), 1,
      anon_sym_LBRACE,
    STATE(2070), 1,
      sym_anonymous_function_use_clause,
    STATE(2501), 1,
      sym__return_type,
  [56239] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3736), 1,
      anon_sym_COMMA,
    STATE(501), 1,
      sym__semicolon,
    STATE(1809), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(3889), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56256] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3643), 1,
      anon_sym_COMMA,
    STATE(457), 1,
      sym__semicolon,
    STATE(1867), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3891), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3893), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3895), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [56286] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2498), 1,
      anon_sym_LBRACE,
    ACTIONS(3899), 1,
      anon_sym_EQ,
    STATE(2340), 1,
      sym_property_hook_list,
    ACTIONS(3897), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [56303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3901), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3903), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [56316] = 6,
    ACTIONS(39), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      sym_name,
    STATE(2001), 1,
      sym_final_modifier,
    STATE(2599), 1,
      sym_reference_modifier,
  [56335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3907), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3909), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [56348] = 3,
    ACTIONS(1100), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1098), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [56361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3911), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3913), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [56374] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2498), 1,
      anon_sym_LBRACE,
    ACTIONS(3917), 1,
      anon_sym_EQ,
    STATE(2241), 1,
      sym_property_hook_list,
    ACTIONS(3915), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [56391] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2498), 1,
      anon_sym_LBRACE,
    ACTIONS(3921), 1,
      anon_sym_EQ,
    STATE(2249), 1,
      sym_property_hook_list,
    ACTIONS(3919), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [56408] = 6,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(1893), 1,
      anon_sym_DOLLAR,
    ACTIONS(3923), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2103), 1,
      sym_reference_modifier,
    STATE(2104), 1,
      sym_variable_name,
  [56427] = 5,
    ACTIONS(765), 1,
      anon_sym_AMP,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_DOLLAR,
    ACTIONS(3925), 1,
      anon_sym_RPAREN2,
    STATE(2346), 2,
      sym_variable_name,
      sym_by_ref,
  [56444] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3927), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3929), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [56457] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3931), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3933), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [56470] = 5,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(1380), 1,
      sym_compound_statement,
    STATE(1392), 1,
      sym__semicolon,
    ACTIONS(3935), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56487] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3937), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3939), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [56500] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1989), 1,
      anon_sym_LPAREN2,
    ACTIONS(1991), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [56513] = 5,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(1371), 1,
      sym__semicolon,
    STATE(1381), 1,
      sym_compound_statement,
    ACTIONS(3941), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56530] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3643), 1,
      anon_sym_COMMA,
    STATE(1662), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1949), 1,
      sym__semicolon,
    ACTIONS(3943), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56547] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3643), 1,
      anon_sym_COMMA,
    STATE(1867), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1964), 1,
      sym__semicolon,
    ACTIONS(3945), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56564] = 6,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3690), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3694), 1,
      anon_sym_COLON,
    ACTIONS(3947), 1,
      anon_sym_LBRACE,
    STATE(2114), 1,
      sym_anonymous_function_use_clause,
    STATE(2595), 1,
      sym__return_type,
  [56583] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3949), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [56594] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3824), 1,
      anon_sym_PIPE,
    STATE(1753), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3284), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [56609] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3951), 1,
      anon_sym_PIPE,
    STATE(1738), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3288), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [56624] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3854), 1,
      anon_sym_PIPE,
    STATE(1740), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3250), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [56639] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3854), 1,
      anon_sym_PIPE,
    STATE(1741), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3298), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [56654] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3643), 1,
      anon_sym_COMMA,
    STATE(505), 1,
      sym__semicolon,
    STATE(1754), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3953), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56671] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3238), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [56682] = 4,
    ACTIONS(765), 1,
      anon_sym_AMP,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_DOLLAR,
    STATE(1759), 2,
      sym_variable_name,
      sym_by_ref,
  [56696] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3361), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3517), 1,
      anon_sym_LBRACE,
    STATE(513), 1,
      sym_declaration_list,
    STATE(2442), 1,
      sym_class_interface_clause,
  [56712] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN2,
    STATE(2308), 1,
      sym_arguments,
    ACTIONS(3955), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [56726] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(2520), 1,
      sym_declare_directive,
    ACTIONS(3957), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [56738] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3359), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3371), 1,
      anon_sym_LBRACE,
    STATE(2056), 1,
      sym_declaration_list,
    STATE(2434), 1,
      sym_base_clause,
  [56754] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(3270), 1,
      anon_sym_LPAREN2,
    STATE(2020), 1,
      sym_formal_parameters,
    STATE(2397), 1,
      sym_reference_modifier,
  [56770] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3959), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
  [56780] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3961), 1,
      anon_sym_AMP,
    STATE(1820), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3294), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [56794] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3966), 1,
      aux_sym_string_content_token1,
    STATE(1848), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(3964), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token2,
  [56808] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1823), 1,
      anon_sym_DOLLAR,
    STATE(925), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [56820] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(3270), 1,
      anon_sym_LPAREN2,
    STATE(1702), 1,
      sym_formal_parameters,
    STATE(2411), 1,
      sym_reference_modifier,
  [56836] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(3270), 1,
      anon_sym_LPAREN2,
    STATE(1903), 1,
      sym_formal_parameters,
    STATE(2269), 1,
      sym_reference_modifier,
  [56852] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(3270), 1,
      anon_sym_LPAREN2,
    STATE(1742), 1,
      sym_formal_parameters,
    STATE(2264), 1,
      sym_reference_modifier,
  [56868] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3970), 1,
      anon_sym_LPAREN2,
    STATE(563), 1,
      sym__semicolon,
    ACTIONS(3968), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56882] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(3270), 1,
      anon_sym_LPAREN2,
    STATE(1716), 1,
      sym_formal_parameters,
    STATE(2281), 1,
      sym_reference_modifier,
  [56898] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3972), 1,
      anon_sym_DQUOTE2,
    ACTIONS(3974), 1,
      sym__new_line,
    ACTIONS(3976), 1,
      sym_heredoc_end,
    STATE(2270), 1,
      sym_heredoc_body,
  [56914] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1812), 1,
      anon_sym_DOLLAR,
    STATE(801), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [56926] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3980), 1,
      anon_sym_COMMA,
    STATE(1802), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(3978), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56940] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2558), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2877), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3983), 1,
      aux_sym__namespace_use_type_token1,
    STATE(2400), 1,
      sym_static_modifier,
  [56956] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3987), 1,
      anon_sym_COMMA,
    STATE(1804), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(3985), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56970] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3835), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_BSLASH,
      anon_sym_LBRACE,
  [56980] = 3,
    ACTIONS(677), 1,
      anon_sym_DOLLAR,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(603), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [56992] = 5,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3990), 1,
      sym_name,
    STATE(1831), 1,
      sym_qualified_name,
    STATE(2650), 1,
      sym_namespace_name,
  [57008] = 3,
    ACTIONS(125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(1696), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [57020] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3994), 1,
      anon_sym_COMMA,
    STATE(1809), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(3992), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57034] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3357), 1,
      anon_sym_LBRACE,
    ACTIONS(3361), 1,
      aux_sym_class_interface_clause_token1,
    STATE(940), 1,
      sym_declaration_list,
    STATE(2282), 1,
      sym_class_interface_clause,
  [57050] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3997), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3999), 1,
      anon_sym_DASH_GT,
    ACTIONS(4001), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(4003), 1,
      anon_sym_LBRACK,
  [57066] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3868), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [57076] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(2469), 1,
      sym_declare_directive,
    ACTIONS(3957), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [57088] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3357), 1,
      anon_sym_LBRACE,
    ACTIONS(3361), 1,
      aux_sym_class_interface_clause_token1,
    STATE(975), 1,
      sym_declaration_list,
    STATE(2257), 1,
      sym_class_interface_clause,
  [57104] = 4,
    ACTIONS(765), 1,
      anon_sym_AMP,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_DOLLAR,
    STATE(1689), 2,
      sym_variable_name,
      sym_by_ref,
  [57118] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3357), 1,
      anon_sym_LBRACE,
    ACTIONS(3361), 1,
      aux_sym_class_interface_clause_token1,
    STATE(974), 1,
      sym_declaration_list,
    STATE(2430), 1,
      sym_class_interface_clause,
  [57134] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(3270), 1,
      anon_sym_LPAREN2,
    STATE(1958), 1,
      sym_formal_parameters,
    STATE(2413), 1,
      sym_reference_modifier,
  [57150] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3361), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3371), 1,
      anon_sym_LBRACE,
    STATE(2146), 1,
      sym_declaration_list,
    STATE(2298), 1,
      sym_class_interface_clause,
  [57166] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4007), 1,
      sym_nowdoc_string,
    STATE(1819), 1,
      aux_sym_nowdoc_body_repeat1,
    ACTIONS(4005), 2,
      sym_heredoc_end,
      sym__new_line,
  [57180] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4010), 1,
      anon_sym_AMP,
    STATE(1820), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3266), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [57194] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3361), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3371), 1,
      anon_sym_LBRACE,
    STATE(794), 1,
      sym_declaration_list,
    STATE(2312), 1,
      sym_class_interface_clause,
  [57210] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3357), 1,
      anon_sym_LBRACE,
    ACTIONS(3361), 1,
      aux_sym_class_interface_clause_token1,
    STATE(914), 1,
      sym_declaration_list,
    STATE(2296), 1,
      sym_class_interface_clause,
  [57226] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3361), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3517), 1,
      anon_sym_LBRACE,
    STATE(550), 1,
      sym_declaration_list,
    STATE(2341), 1,
      sym_class_interface_clause,
  [57242] = 3,
    ACTIONS(125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(2084), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [57254] = 4,
    ACTIONS(765), 1,
      anon_sym_AMP,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_DOLLAR,
    STATE(1947), 2,
      sym_variable_name,
      sym_by_ref,
  [57268] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3357), 1,
      anon_sym_LBRACE,
    ACTIONS(3361), 1,
      aux_sym_class_interface_clause_token1,
    STATE(917), 1,
      sym_declaration_list,
    STATE(2297), 1,
      sym_class_interface_clause,
  [57284] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3974), 1,
      sym__new_line,
    ACTIONS(4013), 1,
      anon_sym_DQUOTE2,
    ACTIONS(4015), 1,
      sym_heredoc_end,
    STATE(2387), 1,
      sym_heredoc_body,
  [57300] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3652), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [57310] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3974), 1,
      sym__new_line,
    ACTIONS(4017), 1,
      anon_sym_DQUOTE2,
    ACTIONS(4019), 1,
      sym_heredoc_end,
    STATE(2325), 1,
      sym_heredoc_body,
  [57326] = 5,
    ACTIONS(635), 1,
      anon_sym_BSLASH,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4021), 1,
      sym_name,
    STATE(2038), 1,
      sym_qualified_name,
    STATE(2478), 1,
      sym_namespace_name,
  [57342] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3551), 1,
      aux_sym_namespace_use_clause_token1,
    ACTIONS(3549), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [57354] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3361), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3718), 1,
      anon_sym_LBRACE,
    STATE(577), 1,
      sym_enum_declaration_list,
    STATE(2439), 1,
      sym_class_interface_clause,
  [57370] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4023), 1,
      anon_sym_LPAREN,
    ACTIONS(2592), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      sym_name,
  [57382] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4025), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
  [57392] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3359), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3371), 1,
      anon_sym_LBRACE,
    STATE(2191), 1,
      sym_declaration_list,
    STATE(2335), 1,
      sym_base_clause,
  [57408] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3361), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3517), 1,
      anon_sym_LBRACE,
    STATE(555), 1,
      sym_declaration_list,
    STATE(2361), 1,
      sym_class_interface_clause,
  [57424] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3266), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
  [57434] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3303), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [57444] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3997), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4027), 1,
      anon_sym_DASH_GT,
    ACTIONS(4029), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(4031), 1,
      anon_sym_LBRACK,
  [57460] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3677), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [57470] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3315), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [57480] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1853), 4,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [57490] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4035), 1,
      anon_sym_PIPE,
    STATE(1843), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(4033), 2,
      anon_sym_RPAREN2,
      anon_sym_DOLLAR,
  [57504] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3361), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3371), 1,
      anon_sym_LBRACE,
    STATE(805), 1,
      sym_declaration_list,
    STATE(2354), 1,
      sym_class_interface_clause,
  [57520] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3361), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3517), 1,
      anon_sym_LBRACE,
    STATE(508), 1,
      sym_declaration_list,
    STATE(2418), 1,
      sym_class_interface_clause,
  [57536] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3361), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3371), 1,
      anon_sym_LBRACE,
    STATE(806), 1,
      sym_declaration_list,
    STATE(2355), 1,
      sym_class_interface_clause,
  [57552] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(3270), 1,
      anon_sym_LPAREN2,
    STATE(2120), 1,
      sym_formal_parameters,
    STATE(2301), 1,
      sym_reference_modifier,
  [57568] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4040), 1,
      aux_sym_string_content_token1,
    STATE(1848), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(4038), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token2,
  [57582] = 3,
    ACTIONS(125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(1701), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [57594] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3808), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [57604] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3997), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4043), 1,
      anon_sym_DASH_GT,
    ACTIONS(4045), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(4047), 1,
      anon_sym_LBRACK,
  [57620] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(2502), 1,
      sym_declare_directive,
    ACTIONS(3957), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [57632] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3361), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3371), 1,
      anon_sym_LBRACE,
    STATE(1918), 1,
      sym_declaration_list,
    STATE(2372), 1,
      sym_class_interface_clause,
  [57648] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3361), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3371), 1,
      anon_sym_LBRACE,
    STATE(2043), 1,
      sym_declaration_list,
    STATE(2376), 1,
      sym_class_interface_clause,
  [57664] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3650), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [57674] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3949), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [57684] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4049), 1,
      anon_sym_COMMA,
    STATE(1877), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(4051), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [57698] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4055), 1,
      anon_sym_EQ,
    STATE(1415), 1,
      sym__semicolon,
    ACTIONS(4053), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57712] = 4,
    ACTIONS(765), 1,
      anon_sym_AMP,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_DOLLAR,
    STATE(1726), 2,
      sym_variable_name,
      sym_by_ref,
  [57726] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3359), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3517), 1,
      anon_sym_LBRACE,
    STATE(572), 1,
      sym_declaration_list,
    STATE(2280), 1,
      sym_base_clause,
  [57742] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1845), 4,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [57752] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3974), 1,
      sym__new_line,
    ACTIONS(4057), 1,
      anon_sym_DQUOTE2,
    ACTIONS(4059), 1,
      sym_heredoc_end,
    STATE(2392), 1,
      sym_heredoc_body,
  [57768] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3361), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3371), 1,
      anon_sym_LBRACE,
    STATE(820), 1,
      sym_declaration_list,
    STATE(2389), 1,
      sym_class_interface_clause,
  [57784] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3361), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3371), 1,
      anon_sym_LBRACE,
    STATE(819), 1,
      sym_declaration_list,
    STATE(2391), 1,
      sym_class_interface_clause,
  [57800] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3361), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3738), 1,
      anon_sym_LBRACE,
    STATE(1906), 1,
      sym_enum_declaration_list,
    STATE(2393), 1,
      sym_class_interface_clause,
  [57816] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3361), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3371), 1,
      anon_sym_LBRACE,
    STATE(1908), 1,
      sym_declaration_list,
    STATE(2394), 1,
      sym_class_interface_clause,
  [57832] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4063), 1,
      anon_sym_COMMA,
    STATE(1867), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(4061), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57846] = 5,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3990), 1,
      sym_name,
    STATE(1831), 1,
      sym_qualified_name,
    STATE(2449), 1,
      sym_namespace_name,
  [57862] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4068), 1,
      sym_nowdoc_string,
    STATE(1819), 1,
      aux_sym_nowdoc_body_repeat1,
    ACTIONS(4066), 2,
      sym_heredoc_end,
      sym__new_line,
  [57876] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3357), 1,
      anon_sym_LBRACE,
    ACTIONS(3361), 1,
      aux_sym_class_interface_clause_token1,
    STATE(927), 1,
      sym_declaration_list,
    STATE(2410), 1,
      sym_class_interface_clause,
  [57892] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3361), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3371), 1,
      anon_sym_LBRACE,
    STATE(826), 1,
      sym_declaration_list,
    STATE(2401), 1,
      sym_class_interface_clause,
  [57908] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3359), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3517), 1,
      anon_sym_LBRACE,
    STATE(480), 1,
      sym_declaration_list,
    STATE(2273), 1,
      sym_base_clause,
  [57924] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4049), 1,
      anon_sym_COMMA,
    STATE(1857), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(4070), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [57938] = 4,
    ACTIONS(765), 1,
      anon_sym_AMP,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_DOLLAR,
    STATE(2346), 2,
      sym_variable_name,
      sym_by_ref,
  [57952] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4074), 1,
      anon_sym_LPAREN2,
    STATE(1928), 1,
      sym__semicolon,
    ACTIONS(4072), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57966] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3997), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4076), 1,
      anon_sym_DASH_GT,
    ACTIONS(4078), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(4080), 1,
      anon_sym_LBRACK,
  [57982] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COMMA,
    STATE(1877), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3652), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [57996] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3623), 1,
      aux_sym_namespace_use_clause_token1,
    ACTIONS(3621), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [58008] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3997), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4085), 1,
      anon_sym_DASH_GT,
    ACTIONS(4087), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(4089), 1,
      anon_sym_LBRACK,
  [58024] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4093), 1,
      anon_sym_EQ,
    STATE(1408), 1,
      sym__semicolon,
    ACTIONS(4091), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58038] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4097), 1,
      anon_sym_PIPE,
    STATE(1885), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(4095), 2,
      anon_sym_RPAREN2,
      anon_sym_DOLLAR,
  [58052] = 4,
    ACTIONS(765), 1,
      anon_sym_AMP,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_DOLLAR,
    STATE(1766), 2,
      sym_variable_name,
      sym_by_ref,
  [58066] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1849), 4,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [58076] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(3270), 1,
      anon_sym_LPAREN2,
    STATE(1682), 1,
      sym_formal_parameters,
    STATE(2266), 1,
      sym_reference_modifier,
  [58092] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4097), 1,
      anon_sym_PIPE,
    STATE(1843), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(4099), 2,
      anon_sym_RPAREN2,
      anon_sym_DOLLAR,
  [58106] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4103), 1,
      anon_sym_EQ,
    ACTIONS(4101), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [58118] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3308), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [58128] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3256), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [58138] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3997), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4003), 1,
      anon_sym_LBRACK,
    ACTIONS(4105), 1,
      anon_sym_DASH_GT,
    ACTIONS(4107), 1,
      anon_sym_QMARK_DASH_GT,
  [58154] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3361), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3718), 1,
      anon_sym_LBRACE,
    STATE(461), 1,
      sym_enum_declaration_list,
    STATE(2379), 1,
      sym_class_interface_clause,
  [58170] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3997), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4109), 1,
      anon_sym_DASH_GT,
    ACTIONS(4111), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(4113), 1,
      anon_sym_LBRACK,
  [58186] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(2629), 1,
      sym_declare_directive,
    ACTIONS(3957), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [58198] = 5,
    ACTIONS(905), 1,
      anon_sym_COMMA,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4115), 1,
      anon_sym_EQ,
    ACTIONS(4117), 1,
      anon_sym_RPAREN2,
    STATE(2118), 1,
      aux_sym__list_destructing_repeat1,
  [58214] = 5,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3361), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3738), 1,
      anon_sym_LBRACE,
    STATE(2215), 1,
      sym_enum_declaration_list,
    STATE(2347), 1,
      sym_class_interface_clause,
  [58230] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(565), 1,
      sym__semicolon,
    ACTIONS(4119), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58241] = 3,
    ACTIONS(1468), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1466), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58252] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4121), 1,
      sym_name,
    ACTIONS(4123), 1,
      anon_sym_BSLASH,
    STATE(2671), 1,
      sym_namespace_name,
  [58265] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3694), 1,
      anon_sym_COLON,
    ACTIONS(4125), 1,
      anon_sym_LBRACE,
    STATE(2452), 1,
      sym__return_type,
  [58278] = 3,
    ACTIONS(1252), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1250), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58289] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4127), 1,
      anon_sym_COMMA,
    ACTIONS(4129), 1,
      anon_sym_RBRACK,
    STATE(2097), 1,
      aux_sym_array_creation_expression_repeat1,
  [58302] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3694), 1,
      anon_sym_COLON,
    ACTIONS(4131), 1,
      anon_sym_EQ_GT,
    STATE(2477), 1,
      sym__return_type,
  [58315] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(559), 1,
      sym__semicolon,
    ACTIONS(4133), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58326] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3694), 1,
      anon_sym_COLON,
    ACTIONS(4135), 1,
      anon_sym_EQ_GT,
    STATE(2488), 1,
      sym__return_type,
  [58339] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(560), 1,
      sym__semicolon,
    ACTIONS(4137), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58350] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3700), 1,
      aux_sym_namespace_use_clause_token1,
    ACTIONS(3621), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [58361] = 3,
    ACTIONS(1584), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1582), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58372] = 3,
    ACTIONS(1356), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1354), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58383] = 3,
    ACTIONS(1312), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1310), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58394] = 3,
    ACTIONS(1112), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1110), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58405] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4139), 1,
      anon_sym_DQUOTE,
    ACTIONS(4141), 1,
      anon_sym_SQUOTE,
    ACTIONS(4143), 1,
      sym_heredoc_start,
  [58418] = 3,
    ACTIONS(1144), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1142), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58429] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4145), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [58438] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4147), 1,
      anon_sym_COMMA,
    ACTIONS(4149), 1,
      anon_sym_RBRACE,
    STATE(2156), 1,
      aux_sym_namespace_use_declaration_repeat1,
  [58451] = 3,
    ACTIONS(1472), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1470), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58462] = 3,
    ACTIONS(1120), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1118), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58473] = 3,
    ACTIONS(1124), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1122), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58484] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(1962), 1,
      sym__semicolon,
    ACTIONS(4151), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58495] = 3,
    ACTIONS(1476), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1474), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58506] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4153), 1,
      anon_sym_COMMA,
    ACTIONS(4156), 1,
      anon_sym_RPAREN2,
    STATE(1919), 1,
      aux_sym_formal_parameters_repeat1,
  [58519] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4160), 1,
      anon_sym_EQ,
    ACTIONS(4158), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [58530] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(1965), 1,
      sym__semicolon,
    ACTIONS(4162), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58541] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4166), 1,
      anon_sym_EQ,
    ACTIONS(4164), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [58552] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3327), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [58561] = 3,
    ACTIONS(1132), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1130), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58572] = 4,
    ACTIONS(1005), 1,
      anon_sym_COLON,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1949), 1,
      anon_sym_LPAREN2,
    STATE(2352), 1,
      sym_parenthesized_expression,
  [58585] = 3,
    ACTIONS(1152), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1150), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58596] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4168), 1,
      sym_name,
    ACTIONS(4170), 1,
      anon_sym_BSLASH,
    STATE(2494), 1,
      sym_namespace_name,
  [58609] = 3,
    ACTIONS(1528), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1526), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58620] = 3,
    ACTIONS(1168), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1166), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58631] = 3,
    ACTIONS(1192), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1190), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58642] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4172), 1,
      anon_sym_COMMA,
    ACTIONS(4174), 1,
      anon_sym_RBRACK,
    STATE(2099), 1,
      aux_sym__array_destructing_repeat1,
  [58655] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_DOLLAR,
    ACTIONS(4176), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2171), 1,
      sym_variable_name,
  [58668] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4180), 1,
      anon_sym_EQ,
    ACTIONS(4178), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [58679] = 3,
    ACTIONS(1248), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1246), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58690] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(2064), 1,
      sym__semicolon,
    ACTIONS(4182), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58701] = 3,
    ACTIONS(1292), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1290), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58712] = 3,
    ACTIONS(1504), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1502), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58723] = 3,
    ACTIONS(1520), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1518), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58734] = 3,
    ACTIONS(1256), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1254), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58745] = 3,
    ACTIONS(1480), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1478), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58756] = 3,
    ACTIONS(1260), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1258), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58767] = 3,
    ACTIONS(1264), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1262), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58778] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(2042), 1,
      sym__semicolon,
    ACTIONS(4184), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58789] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4186), 1,
      anon_sym_COMMA,
    ACTIONS(4189), 1,
      anon_sym_RBRACE,
    STATE(1944), 1,
      aux_sym_match_block_repeat1,
  [58802] = 3,
    ACTIONS(1280), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1278), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58813] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4191), 1,
      anon_sym_COMMA,
    ACTIONS(4193), 1,
      anon_sym_RBRACK,
    STATE(2139), 1,
      aux_sym_attribute_group_repeat1,
  [58826] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4195), 1,
      anon_sym_COMMA,
    ACTIONS(4197), 1,
      anon_sym_RPAREN2,
    STATE(2173), 1,
      aux_sym_anonymous_function_use_clause_repeat1,
  [58839] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(2061), 1,
      sym__semicolon,
    ACTIONS(4199), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58850] = 3,
    ACTIONS(1488), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1486), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58861] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4201), 1,
      anon_sym_LBRACE,
    ACTIONS(4203), 1,
      anon_sym_COLON,
    STATE(2074), 1,
      sym_switch_block,
  [58874] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2602), 1,
      anon_sym_EQ_GT,
    ACTIONS(4205), 1,
      anon_sym_COMMA,
    STATE(1951), 1,
      aux_sym_match_condition_list_repeat1,
  [58887] = 4,
    ACTIONS(905), 1,
      anon_sym_COMMA,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1808), 1,
      anon_sym_RPAREN2,
    STATE(2115), 1,
      aux_sym__list_destructing_repeat1,
  [58900] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_COMMA,
    ACTIONS(4210), 1,
      anon_sym_RPAREN2,
    STATE(2198), 1,
      aux_sym_arguments_repeat1,
  [58913] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4212), 1,
      anon_sym_COMMA,
    ACTIONS(4214), 1,
      anon_sym_RBRACK,
    STATE(1969), 1,
      aux_sym_array_creation_expression_repeat1,
  [58926] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4216), 1,
      anon_sym_COMMA,
    ACTIONS(4218), 1,
      anon_sym_RBRACK,
    STATE(1971), 1,
      aux_sym_attribute_group_repeat1,
  [58939] = 3,
    ACTIONS(1296), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1294), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58950] = 3,
    ACTIONS(1304), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1302), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58961] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3694), 1,
      anon_sym_COLON,
    ACTIONS(4220), 1,
      anon_sym_EQ_GT,
    STATE(2646), 1,
      sym__return_type,
  [58974] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4222), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [58983] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4224), 1,
      anon_sym_COMMA,
    ACTIONS(4226), 1,
      anon_sym_RPAREN2,
    STATE(1983), 1,
      aux_sym_formal_parameters_repeat1,
  [58996] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4228), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [59005] = 3,
    ACTIONS(1340), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1338), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59016] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4230), 1,
      anon_sym_COMMA,
    ACTIONS(4232), 1,
      anon_sym_RPAREN2,
    STATE(1986), 1,
      aux_sym_array_creation_expression_repeat1,
  [59029] = 3,
    ACTIONS(1492), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1490), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59040] = 3,
    ACTIONS(1344), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1342), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59051] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(1987), 1,
      sym__semicolon,
    ACTIONS(4234), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59062] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(1992), 1,
      sym__semicolon,
    ACTIONS(4236), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59073] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(1994), 1,
      sym__semicolon,
    ACTIONS(4238), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59084] = 4,
    ACTIONS(875), 1,
      anon_sym_RBRACK,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4240), 1,
      anon_sym_COMMA,
    STATE(2140), 1,
      aux_sym_array_creation_expression_repeat1,
  [59097] = 3,
    ACTIONS(1348), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1346), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59108] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3034), 1,
      anon_sym_RBRACK,
    ACTIONS(4242), 1,
      anon_sym_COMMA,
    STATE(2152), 1,
      aux_sym_attribute_group_repeat1,
  [59121] = 3,
    ACTIONS(1352), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1350), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59132] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3974), 1,
      sym__new_line,
    ACTIONS(4244), 1,
      sym_heredoc_end,
    STATE(2321), 1,
      sym_heredoc_body,
  [59145] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(1999), 1,
      sym__semicolon,
    ACTIONS(4246), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59156] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4248), 1,
      anon_sym_COMMA,
    ACTIONS(4250), 1,
      anon_sym_RPAREN2,
    STATE(2000), 1,
      aux_sym_arguments_repeat1,
  [59169] = 3,
    ACTIONS(1588), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1586), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59180] = 3,
    ACTIONS(1360), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1358), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59191] = 3,
    ACTIONS(1368), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1366), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59202] = 3,
    ACTIONS(1372), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1370), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59213] = 3,
    ACTIONS(1376), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1374), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59224] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(2007), 1,
      sym__semicolon,
    ACTIONS(4252), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59235] = 3,
    ACTIONS(1396), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1394), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59246] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1903), 1,
      anon_sym_RPAREN2,
    ACTIONS(4254), 1,
      anon_sym_COMMA,
    STATE(1919), 1,
      aux_sym_formal_parameters_repeat1,
  [59259] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4256), 1,
      anon_sym_LBRACE,
    ACTIONS(4258), 1,
      anon_sym_COLON,
    STATE(491), 1,
      sym_switch_block,
  [59272] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(456), 1,
      sym__semicolon,
    ACTIONS(4260), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59283] = 4,
    ACTIONS(877), 1,
      anon_sym_RPAREN2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4262), 1,
      anon_sym_COMMA,
    STATE(2210), 1,
      aux_sym_array_creation_expression_repeat1,
  [59296] = 3,
    ACTIONS(1380), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1378), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59307] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1798), 1,
      anon_sym_RPAREN2,
    ACTIONS(4264), 1,
      anon_sym_COMMA,
    STATE(2025), 1,
      aux_sym_unset_statement_repeat1,
  [59320] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1871), 1,
      anon_sym_DOLLAR,
    STATE(1555), 1,
      sym_property_element,
    STATE(1714), 1,
      sym_variable_name,
  [59333] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4266), 1,
      anon_sym_COMMA,
    ACTIONS(4268), 1,
      anon_sym_RBRACE,
    STATE(2010), 1,
      aux_sym_match_block_repeat1,
  [59346] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4270), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [59355] = 3,
    ACTIONS(1384), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1382), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59366] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(2008), 1,
      sym__semicolon,
    ACTIONS(4272), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59377] = 3,
    ACTIONS(1388), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1386), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59388] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(2009), 1,
      sym__semicolon,
    ACTIONS(4274), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59399] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(2011), 1,
      sym__semicolon,
    ACTIONS(4276), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59410] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3974), 1,
      sym__new_line,
    ACTIONS(4278), 1,
      sym_heredoc_end,
    STATE(2363), 1,
      sym_heredoc_body,
  [59423] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4280), 1,
      sym__new_line,
    ACTIONS(4282), 1,
      sym_heredoc_end,
    STATE(2370), 1,
      sym_nowdoc_body,
  [59436] = 3,
    ACTIONS(1392), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1390), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59447] = 4,
    ACTIONS(849), 1,
      anon_sym_RPAREN2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4284), 1,
      anon_sym_COMMA,
    STATE(2126), 1,
      aux_sym_arguments_repeat1,
  [59460] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(4286), 1,
      sym_name,
    STATE(2552), 1,
      sym_reference_modifier,
  [59473] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(2014), 1,
      sym__semicolon,
    ACTIONS(4288), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59484] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(2015), 1,
      sym__semicolon,
    ACTIONS(4290), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59495] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(2018), 1,
      sym__semicolon,
    ACTIONS(4292), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59506] = 3,
    ACTIONS(1400), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1398), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59517] = 3,
    ACTIONS(1404), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1402), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59528] = 3,
    ACTIONS(1408), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1406), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59539] = 3,
    ACTIONS(1412), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1410), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59550] = 3,
    ACTIONS(1416), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1414), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59561] = 4,
    ACTIONS(901), 1,
      anon_sym_RBRACE,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4294), 1,
      anon_sym_COMMA,
    STATE(1944), 1,
      aux_sym_match_block_repeat1,
  [59574] = 3,
    ACTIONS(1420), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59585] = 3,
    ACTIONS(1136), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1134), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59596] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(2022), 1,
      sym__semicolon,
    ACTIONS(4296), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59607] = 3,
    ACTIONS(1424), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1422), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59618] = 3,
    ACTIONS(1428), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1426), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59629] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4049), 1,
      anon_sym_COMMA,
    ACTIONS(4298), 1,
      anon_sym_LBRACE,
    STATE(1877), 1,
      aux_sym_base_clause_repeat1,
  [59642] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(2023), 1,
      sym__semicolon,
    ACTIONS(4300), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59653] = 3,
    ACTIONS(1432), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1430), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59664] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(2026), 1,
      sym__semicolon,
    ACTIONS(4302), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59675] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3694), 1,
      anon_sym_COLON,
    ACTIONS(4304), 1,
      anon_sym_EQ_GT,
    STATE(2673), 1,
      sym__return_type,
  [59688] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(2030), 1,
      sym__semicolon,
    ACTIONS(4306), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59699] = 3,
    ACTIONS(1448), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1446), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59710] = 3,
    ACTIONS(1452), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1450), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59721] = 4,
    ACTIONS(905), 1,
      anon_sym_COMMA,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4308), 1,
      anon_sym_RPAREN2,
    STATE(2121), 1,
      aux_sym__list_destructing_repeat1,
  [59734] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3421), 1,
      anon_sym_RPAREN2,
    ACTIONS(4310), 1,
      anon_sym_COMMA,
    STATE(2025), 1,
      aux_sym_unset_statement_repeat1,
  [59747] = 3,
    ACTIONS(1456), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1454), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59758] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_DOLLAR,
    ACTIONS(4313), 1,
      anon_sym_RPAREN2,
    STATE(2636), 1,
      sym_variable_name,
  [59771] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4315), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [59780] = 3,
    ACTIONS(1156), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1154), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59791] = 3,
    ACTIONS(1460), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1458), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59802] = 3,
    ACTIONS(1164), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1162), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59813] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(2033), 1,
      sym__semicolon,
    ACTIONS(4317), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59824] = 3,
    ACTIONS(1464), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1462), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59835] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(475), 1,
      sym__semicolon,
    ACTIONS(4319), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59846] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4321), 1,
      sym_name,
    ACTIONS(4323), 1,
      anon_sym_BSLASH,
    STATE(2518), 1,
      sym_namespace_name,
  [59859] = 3,
    ACTIONS(1172), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1170), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59870] = 3,
    ACTIONS(1176), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1174), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59881] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3804), 1,
      aux_sym_namespace_use_clause_token1,
    ACTIONS(3549), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [59892] = 4,
    ACTIONS(905), 1,
      anon_sym_COMMA,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4325), 1,
      anon_sym_RPAREN2,
    STATE(2121), 1,
      aux_sym__list_destructing_repeat1,
  [59905] = 3,
    ACTIONS(1180), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1178), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59916] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4329), 1,
      aux_sym_else_clause_token1,
    ACTIONS(4327), 2,
      aux_sym_if_statement_token2,
      aux_sym_else_if_clause_token1,
  [59927] = 3,
    ACTIONS(1184), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1182), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59938] = 3,
    ACTIONS(1496), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1494), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59949] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4331), 1,
      anon_sym_COMMA,
    ACTIONS(4333), 1,
      anon_sym_RPAREN2,
    STATE(2045), 1,
      aux_sym_arguments_repeat1,
  [59962] = 4,
    ACTIONS(841), 1,
      anon_sym_RPAREN2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4335), 1,
      anon_sym_COMMA,
    STATE(2126), 1,
      aux_sym_arguments_repeat1,
  [59975] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4337), 1,
      sym_name,
    ACTIONS(4339), 1,
      anon_sym_BSLASH,
    STATE(2601), 1,
      sym_namespace_name,
  [59988] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(543), 1,
      sym__semicolon,
    ACTIONS(4341), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59999] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4343), 1,
      anon_sym_COMMA,
    ACTIONS(4345), 1,
      anon_sym_RBRACE,
    STATE(2063), 1,
      aux_sym_match_block_repeat1,
  [60012] = 3,
    ACTIONS(1188), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1186), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60023] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(486), 1,
      sym__semicolon,
    ACTIONS(4347), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60034] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(569), 1,
      sym__semicolon,
    ACTIONS(4349), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60045] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(544), 1,
      sym__semicolon,
    ACTIONS(4351), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60056] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(570), 1,
      sym__semicolon,
    ACTIONS(4353), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60067] = 3,
    ACTIONS(1196), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1194), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60078] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4355), 1,
      anon_sym_COMMA,
    ACTIONS(4357), 1,
      anon_sym_RPAREN2,
    STATE(2058), 1,
      aux_sym_arguments_repeat1,
  [60091] = 3,
    ACTIONS(1200), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1198), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60102] = 3,
    ACTIONS(1204), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60113] = 4,
    ACTIONS(847), 1,
      anon_sym_RPAREN2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4359), 1,
      anon_sym_COMMA,
    STATE(2126), 1,
      aux_sym_arguments_repeat1,
  [60126] = 3,
    ACTIONS(1208), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1206), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60137] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4361), 1,
      sym_name,
    ACTIONS(4363), 1,
      anon_sym_BSLASH,
    STATE(2610), 1,
      sym_namespace_name,
  [60150] = 3,
    ACTIONS(1216), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1214), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60161] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(2158), 1,
      sym__semicolon,
    ACTIONS(4365), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60172] = 4,
    ACTIONS(903), 1,
      anon_sym_RBRACE,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4367), 1,
      anon_sym_COMMA,
    STATE(1944), 1,
      aux_sym_match_block_repeat1,
  [60185] = 3,
    ACTIONS(1224), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1222), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60196] = 3,
    ACTIONS(1228), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1226), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60207] = 3,
    ACTIONS(1232), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1230), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60218] = 3,
    ACTIONS(1236), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1234), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60229] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4369), 1,
      anon_sym_COMMA,
    ACTIONS(4371), 1,
      anon_sym_RPAREN2,
    STATE(2073), 1,
      aux_sym_arguments_repeat1,
  [60242] = 3,
    ACTIONS(1240), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1238), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60253] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3694), 1,
      anon_sym_COLON,
    ACTIONS(4373), 1,
      anon_sym_LBRACE,
    STATE(2467), 1,
      sym__return_type,
  [60266] = 4,
    ACTIONS(987), 1,
      anon_sym_EQ_GT,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4375), 1,
      anon_sym_COMMA,
    STATE(1951), 1,
      aux_sym_match_condition_list_repeat1,
  [60279] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(525), 1,
      sym__semicolon,
    ACTIONS(4377), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60290] = 4,
    ACTIONS(853), 1,
      anon_sym_RPAREN2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4379), 1,
      anon_sym_COMMA,
    STATE(2126), 1,
      aux_sym_arguments_repeat1,
  [60303] = 3,
    ACTIONS(1244), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1242), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60314] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(526), 1,
      sym__semicolon,
    ACTIONS(4381), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60325] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3978), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [60334] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(545), 1,
      sym__semicolon,
    ACTIONS(4383), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60345] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(527), 1,
      sym__semicolon,
    ACTIONS(4385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60356] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(575), 1,
      sym__semicolon,
    ACTIONS(4387), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60367] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(507), 1,
      sym__semicolon,
    ACTIONS(3527), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60378] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4389), 1,
      anon_sym_COMMA,
    ACTIONS(4391), 1,
      anon_sym_RPAREN2,
    STATE(2082), 1,
      aux_sym_arguments_repeat1,
  [60391] = 4,
    ACTIONS(857), 1,
      anon_sym_RPAREN2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4393), 1,
      anon_sym_COMMA,
    STATE(2126), 1,
      aux_sym_arguments_repeat1,
  [60404] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(538), 1,
      sym__semicolon,
    ACTIONS(4395), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60415] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3985), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [60424] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4397), 1,
      sym_name,
    ACTIONS(4399), 1,
      anon_sym_LBRACE,
    STATE(2424), 1,
      sym_namespace_use_group,
  [60437] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4401), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [60446] = 4,
    ACTIONS(905), 1,
      anon_sym_COMMA,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1808), 1,
      anon_sym_RPAREN2,
    STATE(2121), 1,
      aux_sym__list_destructing_repeat1,
  [60459] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3992), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [60468] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4115), 1,
      anon_sym_EQ,
    ACTIONS(4403), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [60479] = 3,
    ACTIONS(1532), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1530), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60490] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1871), 1,
      anon_sym_DOLLAR,
    STATE(1886), 1,
      sym_variable_name,
    STATE(2076), 1,
      sym_static_variable_declaration,
  [60503] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_DQUOTE,
    ACTIONS(4407), 1,
      anon_sym_SQUOTE,
    ACTIONS(4409), 1,
      sym_heredoc_start,
  [60516] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4172), 1,
      anon_sym_COMMA,
    ACTIONS(4174), 1,
      anon_sym_RBRACK,
    STATE(2094), 1,
      aux_sym__array_destructing_repeat1,
  [60529] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4172), 1,
      anon_sym_COMMA,
    ACTIONS(4411), 1,
      anon_sym_RBRACK,
    STATE(2099), 1,
      aux_sym__array_destructing_repeat1,
  [60542] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4415), 1,
      anon_sym_EQ,
    ACTIONS(4413), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [60553] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(528), 1,
      sym__semicolon,
    ACTIONS(4417), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60564] = 4,
    ACTIONS(879), 1,
      anon_sym_RBRACK,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4419), 1,
      anon_sym_COMMA,
    STATE(2140), 1,
      aux_sym_array_creation_expression_repeat1,
  [60577] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4115), 1,
      anon_sym_EQ,
    ACTIONS(4421), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [60588] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4423), 1,
      anon_sym_COMMA,
    ACTIONS(4426), 1,
      anon_sym_RBRACK,
    STATE(2099), 1,
      aux_sym__array_destructing_repeat1,
  [60601] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1911), 1,
      anon_sym_RPAREN2,
    ACTIONS(4428), 1,
      anon_sym_COMMA,
    STATE(1919), 1,
      aux_sym_formal_parameters_repeat1,
  [60614] = 4,
    ACTIONS(905), 1,
      anon_sym_COMMA,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4430), 1,
      anon_sym_RPAREN2,
    STATE(2039), 1,
      aux_sym__list_destructing_repeat1,
  [60627] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(539), 1,
      sym__semicolon,
    ACTIONS(4432), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60638] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_DOLLAR,
    ACTIONS(4434), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1920), 1,
      sym_variable_name,
  [60651] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4438), 1,
      anon_sym_EQ,
    ACTIONS(4436), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [60662] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_DOLLAR,
    ACTIONS(4440), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1922), 1,
      sym_variable_name,
  [60675] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(547), 1,
      sym__semicolon,
    ACTIONS(4442), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60686] = 3,
    ACTIONS(1288), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1286), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60697] = 4,
    ACTIONS(905), 1,
      anon_sym_COMMA,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3373), 1,
      anon_sym_RPAREN2,
    STATE(2024), 1,
      aux_sym__list_destructing_repeat1,
  [60710] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4444), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [60719] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4446), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [60728] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4450), 1,
      anon_sym_EQ,
    ACTIONS(4448), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [60739] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4452), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [60748] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_DOLLAR,
    ACTIONS(4454), 1,
      anon_sym_RPAREN2,
    STATE(2698), 1,
      sym_variable_name,
  [60761] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3694), 1,
      anon_sym_COLON,
    ACTIONS(4456), 1,
      anon_sym_LBRACE,
    STATE(2564), 1,
      sym__return_type,
  [60774] = 4,
    ACTIONS(905), 1,
      anon_sym_COMMA,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4458), 1,
      anon_sym_RPAREN2,
    STATE(2121), 1,
      aux_sym__list_destructing_repeat1,
  [60787] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3694), 1,
      anon_sym_COLON,
    ACTIONS(3870), 1,
      anon_sym_LBRACE,
    STATE(2639), 1,
      sym__return_type,
  [60800] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4460), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [60809] = 4,
    ACTIONS(905), 1,
      anon_sym_COMMA,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4462), 1,
      anon_sym_RPAREN2,
    STATE(2121), 1,
      aux_sym__list_destructing_repeat1,
  [60822] = 3,
    ACTIONS(1268), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1266), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60833] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3694), 1,
      anon_sym_COLON,
    ACTIONS(4464), 1,
      anon_sym_EQ_GT,
    STATE(2470), 1,
      sym__return_type,
  [60846] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1825), 1,
      anon_sym_RPAREN2,
    ACTIONS(4466), 1,
      anon_sym_COMMA,
    STATE(2121), 1,
      aux_sym__list_destructing_repeat1,
  [60859] = 3,
    ACTIONS(1536), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1534), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60870] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3694), 1,
      anon_sym_COLON,
    ACTIONS(4469), 1,
      anon_sym_EQ_GT,
    STATE(2666), 1,
      sym__return_type,
  [60883] = 3,
    ACTIONS(1272), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1270), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60894] = 3,
    ACTIONS(1276), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1274), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60905] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4471), 1,
      anon_sym_COMMA,
    ACTIONS(4474), 1,
      anon_sym_RPAREN2,
    STATE(2126), 1,
      aux_sym_arguments_repeat1,
  [60918] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3694), 1,
      anon_sym_COLON,
    ACTIONS(4476), 1,
      anon_sym_LBRACE,
    STATE(2687), 1,
      sym__return_type,
  [60931] = 3,
    ACTIONS(1284), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1282), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60942] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4115), 1,
      anon_sym_EQ,
    ACTIONS(4478), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [60953] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3694), 1,
      anon_sym_COLON,
    ACTIONS(4480), 1,
      anon_sym_LBRACE,
    STATE(2565), 1,
      sym__return_type,
  [60966] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3294), 1,
      anon_sym_DOLLAR,
    ACTIONS(4482), 1,
      anon_sym_AMP,
    STATE(1466), 1,
      aux_sym_intersection_type_repeat1,
  [60979] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3992), 1,
      anon_sym_RBRACE,
    ACTIONS(4485), 1,
      anon_sym_COMMA,
    STATE(2132), 1,
      aux_sym_namespace_use_declaration_repeat1,
  [60992] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4488), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [61001] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4490), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [61010] = 3,
    ACTIONS(1300), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1298), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61021] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(1915), 1,
      sym__semicolon,
    ACTIONS(4492), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61032] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(1916), 1,
      sym__semicolon,
    ACTIONS(4494), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61043] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4496), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
  [61052] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3004), 1,
      anon_sym_RBRACK,
    ACTIONS(4498), 1,
      anon_sym_COMMA,
    STATE(2152), 1,
      aux_sym_attribute_group_repeat1,
  [61065] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4496), 1,
      anon_sym_RBRACK,
    ACTIONS(4500), 1,
      anon_sym_COMMA,
    STATE(2140), 1,
      aux_sym_array_creation_expression_repeat1,
  [61078] = 3,
    ACTIONS(1104), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1102), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61089] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4503), 1,
      anon_sym_COMMA,
    ACTIONS(4506), 1,
      anon_sym_RPAREN2,
    STATE(2142), 1,
      aux_sym_anonymous_function_use_clause_repeat1,
  [61102] = 3,
    ACTIONS(1320), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1318), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61113] = 3,
    ACTIONS(1324), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1322), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61124] = 3,
    ACTIONS(1328), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1326), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61135] = 3,
    ACTIONS(1332), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1330), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61146] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2670), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      sym_name,
  [61155] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(515), 1,
      sym__semicolon,
    ACTIONS(4508), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61166] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3694), 1,
      anon_sym_COLON,
    ACTIONS(4510), 1,
      anon_sym_LBRACE,
    STATE(2455), 1,
      sym__return_type,
  [61179] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(532), 1,
      sym__semicolon,
    ACTIONS(4512), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61190] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3694), 1,
      anon_sym_COLON,
    ACTIONS(4514), 1,
      anon_sym_EQ_GT,
    STATE(2446), 1,
      sym__return_type,
  [61203] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4516), 1,
      anon_sym_COMMA,
    ACTIONS(4519), 1,
      anon_sym_RBRACK,
    STATE(2152), 1,
      aux_sym_attribute_group_repeat1,
  [61216] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4033), 3,
      anon_sym_RPAREN2,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [61225] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4397), 1,
      sym_name,
    ACTIONS(4399), 1,
      anon_sym_LBRACE,
    STATE(2292), 1,
      sym_namespace_use_group,
  [61238] = 3,
    ACTIONS(1540), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1538), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61249] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4147), 1,
      anon_sym_COMMA,
    ACTIONS(4521), 1,
      anon_sym_RBRACE,
    STATE(2132), 1,
      aux_sym_namespace_use_declaration_repeat1,
  [61262] = 3,
    ACTIONS(1544), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1542), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61273] = 3,
    ACTIONS(1336), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1334), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61284] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(2218), 1,
      sym__semicolon,
    ACTIONS(4523), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61295] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(4525), 1,
      sym_name,
    STATE(2521), 1,
      sym_reference_modifier,
  [61308] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(2220), 1,
      sym__semicolon,
    ACTIONS(4527), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61319] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(521), 1,
      sym__semicolon,
    ACTIONS(4529), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61330] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(516), 1,
      sym__semicolon,
    ACTIONS(4531), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61341] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2095), 1,
      sym_variable_name,
  [61354] = 3,
    ACTIONS(1484), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1482), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61365] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3974), 1,
      sym__new_line,
    ACTIONS(4535), 1,
      sym_heredoc_end,
    STATE(2371), 1,
      sym_heredoc_body,
  [61378] = 3,
    ACTIONS(1140), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1138), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61389] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4537), 1,
      anon_sym_COMMA,
    ACTIONS(4539), 1,
      anon_sym_RPAREN2,
    STATE(2207), 1,
      aux_sym_array_creation_expression_repeat1,
  [61402] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4541), 1,
      anon_sym_COMMA,
    ACTIONS(4543), 1,
      anon_sym_RPAREN2,
    STATE(2100), 1,
      aux_sym_formal_parameters_repeat1,
  [61415] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(2222), 1,
      sym__semicolon,
    ACTIONS(4545), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61426] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4549), 1,
      anon_sym_EQ,
    ACTIONS(4547), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [61437] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(2223), 1,
      sym__semicolon,
    ACTIONS(4551), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61448] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3925), 1,
      anon_sym_RPAREN2,
    ACTIONS(4553), 1,
      anon_sym_COMMA,
    STATE(2142), 1,
      aux_sym_anonymous_function_use_clause_repeat1,
  [61461] = 3,
    ACTIONS(1436), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1434), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61472] = 3,
    ACTIONS(1440), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1438), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61483] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3974), 1,
      sym__new_line,
    ACTIONS(4555), 1,
      sym_heredoc_end,
    STATE(2323), 1,
      sym_heredoc_body,
  [61496] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(2228), 1,
      sym__semicolon,
    ACTIONS(4557), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61507] = 3,
    ACTIONS(1444), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1442), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61518] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(2232), 1,
      sym__semicolon,
    ACTIONS(3533), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61529] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4280), 1,
      sym__new_line,
    ACTIONS(4559), 1,
      sym_heredoc_end,
    STATE(2328), 1,
      sym_nowdoc_body,
  [61542] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1871), 1,
      anon_sym_DOLLAR,
    STATE(1558), 1,
      sym_property_element,
    STATE(1714), 1,
      sym_variable_name,
  [61555] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1871), 1,
      anon_sym_DOLLAR,
    STATE(1714), 1,
      sym_variable_name,
    STATE(1840), 1,
      sym_property_element,
  [61568] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4061), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [61577] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(1353), 1,
      sym__semicolon,
    ACTIONS(4561), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61588] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(556), 1,
      sym__semicolon,
    ACTIONS(4563), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61599] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1796), 1,
      anon_sym_RPAREN2,
    ACTIONS(4565), 1,
      anon_sym_COMMA,
    STATE(2025), 1,
      aux_sym_unset_statement_repeat1,
  [61612] = 3,
    ACTIONS(1548), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1546), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61623] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4567), 1,
      sym_name,
    ACTIONS(4569), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61634] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(514), 1,
      sym__semicolon,
    ACTIONS(4571), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61645] = 3,
    ACTIONS(1560), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1558), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61656] = 3,
    ACTIONS(1564), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1562), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61667] = 3,
    ACTIONS(1568), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1566), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61678] = 3,
    ACTIONS(1572), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1570), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61689] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4573), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [61698] = 3,
    ACTIONS(1552), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1550), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61709] = 3,
    ACTIONS(1580), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1578), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61720] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4577), 1,
      anon_sym_EQ,
    ACTIONS(4575), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [61731] = 4,
    ACTIONS(839), 1,
      anon_sym_RPAREN2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4579), 1,
      anon_sym_COMMA,
    STATE(2126), 1,
      aux_sym_arguments_repeat1,
  [61744] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3652), 3,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [61753] = 3,
    ACTIONS(1556), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1554), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61764] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(1945), 1,
      sym__semicolon,
    ACTIONS(4581), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61775] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(459), 1,
      sym__semicolon,
    ACTIONS(4583), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61786] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3694), 1,
      anon_sym_COLON,
    ACTIONS(4585), 1,
      anon_sym_LBRACE,
    STATE(2616), 1,
      sym__return_type,
  [61799] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(460), 1,
      sym__semicolon,
    ACTIONS(4587), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61810] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4589), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [61819] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3694), 1,
      anon_sym_COLON,
    ACTIONS(4591), 1,
      anon_sym_LBRACE,
    STATE(2691), 1,
      sym__return_type,
  [61832] = 4,
    ACTIONS(859), 1,
      anon_sym_RPAREN2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4593), 1,
      anon_sym_COMMA,
    STATE(2210), 1,
      aux_sym_array_creation_expression_repeat1,
  [61845] = 3,
    ACTIONS(1524), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1522), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61856] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3694), 1,
      anon_sym_COLON,
    ACTIONS(4595), 1,
      anon_sym_EQ_GT,
    STATE(2696), 1,
      sym__return_type,
  [61869] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4496), 1,
      anon_sym_RPAREN2,
    ACTIONS(4597), 1,
      anon_sym_COMMA,
    STATE(2210), 1,
      aux_sym_array_creation_expression_repeat1,
  [61882] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3694), 1,
      anon_sym_COLON,
    ACTIONS(3814), 1,
      anon_sym_LBRACE,
    STATE(2617), 1,
      sym__return_type,
  [61895] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3165), 1,
      anon_sym_AMP,
    ACTIONS(4600), 1,
      anon_sym_RPAREN2,
    STATE(1475), 1,
      aux_sym_intersection_type_repeat1,
  [61908] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(533), 1,
      sym__semicolon,
    ACTIONS(4602), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61919] = 3,
    ACTIONS(1116), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1114), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61930] = 3,
    ACTIONS(1128), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1126), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61941] = 3,
    ACTIONS(1160), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1158), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61952] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(484), 1,
      sym__semicolon,
    ACTIONS(4604), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61963] = 3,
    ACTIONS(1364), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1362), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61974] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(2122), 1,
      sym__semicolon,
    ACTIONS(4606), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61985] = 3,
    ACTIONS(1500), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1498), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61996] = 3,
    ACTIONS(1508), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1506), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [62007] = 3,
    ACTIONS(1512), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1510), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [62018] = 3,
    ACTIONS(1516), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1514), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [62029] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(534), 1,
      sym__semicolon,
    ACTIONS(4608), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62040] = 3,
    ACTIONS(1212), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1210), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [62051] = 3,
    ACTIONS(1220), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1218), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [62062] = 3,
    ACTIONS(1576), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1574), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [62073] = 3,
    ACTIONS(1108), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1106), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [62084] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(2195), 1,
      sym__semicolon,
    ACTIONS(4610), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62095] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(2200), 1,
      sym__semicolon,
    ACTIONS(4612), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62106] = 4,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4049), 1,
      anon_sym_COMMA,
    ACTIONS(4614), 1,
      anon_sym_LBRACE,
    STATE(2016), 1,
      aux_sym_base_clause_repeat1,
  [62119] = 3,
    ACTIONS(1308), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1306), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [62130] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4618), 1,
      aux_sym_else_clause_token1,
    ACTIONS(4616), 2,
      aux_sym_if_statement_token2,
      aux_sym_else_if_clause_token1,
  [62141] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(2227), 1,
      sym__semicolon,
    ACTIONS(4620), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62152] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(536), 1,
      sym__semicolon,
    ACTIONS(4622), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62163] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(500), 1,
      sym__semicolon,
    ACTIONS(4624), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62174] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(537), 1,
      sym__semicolon,
    ACTIONS(4626), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62185] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(546), 1,
      sym__semicolon,
    ACTIONS(4628), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62196] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_DOLLAR,
    STATE(2319), 1,
      sym_variable_name,
  [62206] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3371), 1,
      anon_sym_LBRACE,
    STATE(2146), 1,
      sym_declaration_list,
  [62216] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4630), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62224] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3718), 1,
      anon_sym_LBRACE,
    STATE(512), 1,
      sym_enum_declaration_list,
  [62234] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2162), 1,
      anon_sym_LPAREN2,
    STATE(954), 1,
      sym_arguments,
  [62244] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4632), 1,
      sym_name,
    STATE(2604), 1,
      sym_namespace_name,
  [62254] = 3,
    ACTIONS(539), 1,
      anon_sym_COLON,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(2233), 1,
      sym_colon_block,
  [62264] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4634), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62272] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_DOLLAR,
    STATE(2383), 1,
      sym_variable_name,
  [62282] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4636), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62290] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4638), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62298] = 3,
    ACTIONS(362), 1,
      anon_sym_LBRACE,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(1763), 1,
      sym_compound_statement,
  [62308] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2162), 1,
      anon_sym_LPAREN2,
    STATE(911), 1,
      sym_arguments,
  [62318] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4640), 1,
      anon_sym_LPAREN2,
    STATE(2172), 1,
      sym_parenthesized_expression,
  [62328] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3232), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(3234), 1,
      aux_sym__arrow_function_header_token1,
  [62338] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4642), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62346] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4644), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62354] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4646), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62362] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3357), 1,
      anon_sym_LBRACE,
    STATE(927), 1,
      sym_declaration_list,
  [62372] = 3,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(497), 1,
      sym_compound_statement,
  [62382] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1873), 1,
      anon_sym_LPAREN2,
    STATE(713), 1,
      sym_arguments,
  [62392] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4648), 1,
      sym_name,
    STATE(2612), 1,
      sym_namespace_name,
  [62402] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4650), 1,
      anon_sym_LPAREN2,
    STATE(105), 1,
      sym_parenthesized_expression,
  [62412] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4652), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62420] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3371), 1,
      anon_sym_LBRACE,
    STATE(794), 1,
      sym_declaration_list,
  [62430] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3270), 1,
      anon_sym_LPAREN2,
    STATE(1777), 1,
      sym_formal_parameters,
  [62440] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4650), 1,
      anon_sym_LPAREN2,
    STATE(106), 1,
      sym_parenthesized_expression,
  [62450] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3270), 1,
      anon_sym_LPAREN2,
    STATE(1755), 1,
      sym_formal_parameters,
  [62460] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1873), 1,
      anon_sym_LPAREN2,
    STATE(720), 1,
      sym_arguments,
  [62470] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4654), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62478] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3270), 1,
      anon_sym_LPAREN2,
    STATE(2151), 1,
      sym_formal_parameters,
  [62488] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4656), 1,
      sym__new_line,
    ACTIONS(4658), 1,
      sym_heredoc_end,
  [62498] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1949), 1,
      anon_sym_LPAREN2,
    STATE(1984), 1,
      sym_parenthesized_expression,
  [62508] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4660), 2,
      anon_sym_SEMI,
      anon_sym_COLON,
  [62516] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_LBRACE,
    STATE(510), 1,
      sym_declaration_list,
  [62526] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1901), 1,
      anon_sym_LPAREN2,
    STATE(836), 1,
      sym_arguments,
  [62536] = 3,
    ACTIONS(362), 1,
      anon_sym_LBRACE,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(1982), 1,
      sym_compound_statement,
  [62546] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN2,
    STATE(592), 1,
      sym_arguments,
  [62556] = 3,
    ACTIONS(362), 1,
      anon_sym_LBRACE,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(986), 1,
      sym_compound_statement,
  [62566] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1901), 1,
      anon_sym_LPAREN2,
    STATE(785), 1,
      sym_arguments,
  [62576] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3371), 1,
      anon_sym_LBRACE,
    STATE(2190), 1,
      sym_declaration_list,
  [62586] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_LBRACE,
    STATE(548), 1,
      sym_declaration_list,
  [62596] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3270), 1,
      anon_sym_LPAREN2,
    STATE(1681), 1,
      sym_formal_parameters,
  [62606] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3357), 1,
      anon_sym_LBRACE,
    STATE(914), 1,
      sym_declaration_list,
  [62616] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4662), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62624] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN2,
    STATE(608), 1,
      sym_arguments,
  [62634] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4664), 1,
      sym_name,
    STATE(2635), 1,
      sym_namespace_name,
  [62644] = 3,
    ACTIONS(362), 1,
      anon_sym_LBRACE,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(1700), 1,
      sym_compound_statement,
  [62654] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4650), 1,
      anon_sym_LPAREN2,
    STATE(63), 1,
      sym_parenthesized_expression,
  [62664] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1949), 1,
      anon_sym_LPAREN2,
    STATE(2352), 1,
      sym_parenthesized_expression,
  [62674] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1949), 1,
      anon_sym_LPAREN2,
    STATE(1950), 1,
      sym_parenthesized_expression,
  [62684] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3357), 1,
      anon_sym_LBRACE,
    STATE(917), 1,
      sym_declaration_list,
  [62694] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4666), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62702] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4668), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62710] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3491), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62718] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4670), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62726] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_DOLLAR,
    STATE(2246), 1,
      sym_variable_name,
  [62736] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3357), 1,
      anon_sym_LBRACE,
    STATE(974), 1,
      sym_declaration_list,
  [62746] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3357), 1,
      anon_sym_LBRACE,
    STATE(975), 1,
      sym_declaration_list,
  [62756] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3371), 1,
      anon_sym_LBRACE,
    STATE(2216), 1,
      sym_declaration_list,
  [62766] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4672), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [62774] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4675), 1,
      sym_name,
    STATE(2538), 1,
      sym_namespace_name,
  [62784] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3270), 1,
      anon_sym_LPAREN2,
    STATE(2123), 1,
      sym_formal_parameters,
  [62794] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4677), 2,
      anon_sym_string,
      anon_sym_int,
  [62802] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4156), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62810] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4650), 1,
      anon_sym_LPAREN2,
    STATE(116), 1,
      sym_parenthesized_expression,
  [62820] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_DOLLAR,
    STATE(2348), 1,
      sym_variable_name,
  [62830] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3357), 1,
      anon_sym_LBRACE,
    STATE(940), 1,
      sym_declaration_list,
  [62840] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1949), 1,
      anon_sym_LPAREN2,
    STATE(2422), 1,
      sym_parenthesized_expression,
  [62850] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4679), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [62858] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1825), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62866] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1780), 1,
      anon_sym_LPAREN2,
    STATE(640), 1,
      sym_arguments,
  [62876] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3323), 1,
      anon_sym_LPAREN2,
    STATE(1727), 1,
      sym_formal_parameters,
  [62886] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3371), 1,
      anon_sym_LBRACE,
    STATE(805), 1,
      sym_declaration_list,
  [62896] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4478), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [62904] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4681), 2,
      anon_sym_string,
      anon_sym_int,
  [62912] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3371), 1,
      anon_sym_LBRACE,
    STATE(806), 1,
      sym_declaration_list,
  [62922] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4683), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [62930] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4685), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62938] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3423), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [62946] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4687), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62954] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4488), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [62962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4689), 1,
      sym__new_line,
    ACTIONS(4691), 1,
      sym_heredoc_end,
  [62972] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3270), 1,
      anon_sym_LPAREN2,
    STATE(2211), 1,
      sym_formal_parameters,
  [62982] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4693), 1,
      sym__new_line,
    ACTIONS(4695), 1,
      sym_heredoc_end,
  [62992] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2129), 1,
      anon_sym_LPAREN2,
    ACTIONS(3860), 1,
      anon_sym_COLON_COLON,
  [63002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4697), 1,
      sym__new_line,
    ACTIONS(4699), 1,
      sym_heredoc_end,
  [63012] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4701), 1,
      sym_nowdoc_string,
    STATE(1869), 1,
      aux_sym_nowdoc_body_repeat1,
  [63022] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3371), 1,
      anon_sym_LBRACE,
    STATE(2054), 1,
      sym_declaration_list,
  [63032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4703), 1,
      sym__new_line,
    ACTIONS(4705), 1,
      sym_heredoc_end,
  [63042] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_DOLLAR,
    STATE(2375), 1,
      sym_variable_name,
  [63052] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4474), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [63060] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4401), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [63068] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4115), 2,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [63076] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2620), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [63084] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3992), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [63092] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3371), 1,
      anon_sym_LBRACE,
    STATE(1896), 1,
      sym_declaration_list,
  [63102] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3738), 1,
      anon_sym_LBRACE,
    STATE(1914), 1,
      sym_enum_declaration_list,
  [63112] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3371), 1,
      anon_sym_LBRACE,
    STATE(1918), 1,
      sym_declaration_list,
  [63122] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1780), 1,
      anon_sym_LPAREN2,
    STATE(625), 1,
      sym_arguments,
  [63132] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4707), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [63140] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4709), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [63148] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_LBRACE,
    STATE(519), 1,
      sym_declaration_list,
  [63158] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4711), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [63166] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3371), 1,
      anon_sym_LBRACE,
    STATE(2043), 1,
      sym_declaration_list,
  [63176] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4714), 2,
      anon_sym_string,
      anon_sym_int,
  [63184] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_LBRACE,
    STATE(571), 1,
      sym_declaration_list,
  [63194] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4506), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [63202] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3738), 1,
      anon_sym_LBRACE,
    STATE(2090), 1,
      sym_enum_declaration_list,
  [63212] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4716), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [63220] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4519), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [63228] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4650), 1,
      anon_sym_LPAREN2,
    STATE(110), 1,
      sym_parenthesized_expression,
  [63238] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2550), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63246] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4718), 1,
      anon_sym_LBRACE,
    STATE(996), 1,
      sym_match_block,
  [63256] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN2,
    STATE(780), 1,
      sym_arguments,
  [63266] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3371), 1,
      anon_sym_LBRACE,
    STATE(819), 1,
      sym_declaration_list,
  [63276] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3371), 1,
      anon_sym_LBRACE,
    STATE(820), 1,
      sym_declaration_list,
  [63286] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4720), 1,
      anon_sym_LBRACE,
    STATE(454), 1,
      sym_compound_statement,
  [63296] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_LBRACE,
    STATE(508), 1,
      sym_declaration_list,
  [63306] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3718), 1,
      anon_sym_LBRACE,
    STATE(549), 1,
      sym_enum_declaration_list,
  [63316] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4722), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [63324] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4650), 1,
      anon_sym_LPAREN2,
    STATE(100), 1,
      sym_parenthesized_expression,
  [63334] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_LBRACE,
    STATE(465), 1,
      sym_declaration_list,
  [63344] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4724), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4726), 1,
      sym__new_line,
    ACTIONS(4728), 1,
      sym_heredoc_end,
  [63362] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2550), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN2,
  [63370] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4730), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [63378] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_DOLLAR,
    STATE(2294), 1,
      sym_variable_name,
  [63388] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4732), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [63396] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4720), 1,
      anon_sym_LBRACE,
    STATE(453), 1,
      sym_compound_statement,
  [63406] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3146), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [63414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4734), 1,
      sym__new_line,
    ACTIONS(4736), 1,
      sym_heredoc_end,
  [63424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4738), 1,
      sym__new_line,
    ACTIONS(4740), 1,
      sym_heredoc_end,
  [63434] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3371), 1,
      anon_sym_LBRACE,
    STATE(1907), 1,
      sym_declaration_list,
  [63444] = 3,
    ACTIONS(1005), 1,
      anon_sym_COLON,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4742), 1,
      anon_sym_LPAREN2,
  [63454] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3371), 1,
      anon_sym_LBRACE,
    STATE(1908), 1,
      sym_declaration_list,
  [63464] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4744), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [63472] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3371), 1,
      anon_sym_LBRACE,
    STATE(1911), 1,
      sym_declaration_list,
  [63482] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3102), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [63490] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4746), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [63498] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3718), 1,
      anon_sym_LBRACE,
    STATE(564), 1,
      sym_enum_declaration_list,
  [63508] = 3,
    ACTIONS(362), 1,
      anon_sym_LBRACE,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(1669), 1,
      sym_compound_statement,
  [63518] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4742), 1,
      anon_sym_LPAREN2,
    ACTIONS(4748), 1,
      anon_sym_RPAREN2,
  [63528] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4750), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [63536] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4752), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [63544] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_DOLLAR,
    STATE(2262), 1,
      sym_variable_name,
  [63554] = 3,
    ACTIONS(362), 1,
      anon_sym_LBRACE,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(1673), 1,
      sym_compound_statement,
  [63564] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4754), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [63572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4756), 1,
      sym__new_line,
    ACTIONS(4758), 1,
      sym_heredoc_end,
  [63582] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4760), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [63590] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3371), 1,
      anon_sym_LBRACE,
    STATE(826), 1,
      sym_declaration_list,
  [63600] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4650), 1,
      anon_sym_LPAREN2,
    STATE(92), 1,
      sym_parenthesized_expression,
  [63610] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3371), 1,
      anon_sym_LBRACE,
    STATE(827), 1,
      sym_declaration_list,
  [63620] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4762), 1,
      sym__new_line,
    ACTIONS(4764), 1,
      sym_heredoc_end,
  [63630] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3738), 1,
      anon_sym_LBRACE,
    STATE(1956), 1,
      sym_enum_declaration_list,
  [63640] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3371), 1,
      anon_sym_LBRACE,
    STATE(1957), 1,
      sym_declaration_list,
  [63650] = 3,
    ACTIONS(362), 1,
      anon_sym_LBRACE,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(1672), 1,
      sym_compound_statement,
  [63660] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2586), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [63668] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3270), 1,
      anon_sym_LPAREN2,
    STATE(1901), 1,
      sym_formal_parameters,
  [63678] = 3,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(529), 1,
      sym_compound_statement,
  [63688] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_LBRACE,
    STATE(479), 1,
      sym_declaration_list,
  [63698] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3244), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(3246), 1,
      aux_sym__arrow_function_header_token1,
  [63708] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3371), 1,
      anon_sym_LBRACE,
    STATE(830), 1,
      sym_declaration_list,
  [63718] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4766), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [63726] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4768), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [63734] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4569), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63742] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4770), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [63750] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4772), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63758] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2614), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [63766] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4774), 1,
      anon_sym_LBRACE,
    STATE(1115), 1,
      sym_compound_statement,
  [63776] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4776), 2,
      anon_sym_string,
      anon_sym_int,
  [63784] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3357), 1,
      anon_sym_LBRACE,
    STATE(899), 1,
      sym_declaration_list,
  [63794] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3270), 1,
      anon_sym_LPAREN2,
    STATE(1677), 1,
      sym_formal_parameters,
  [63804] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_LBRACE,
    STATE(555), 1,
      sym_declaration_list,
  [63814] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3270), 1,
      anon_sym_LPAREN2,
    STATE(2209), 1,
      sym_formal_parameters,
  [63824] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4778), 1,
      anon_sym_BSLASH,
    STATE(2429), 1,
      aux_sym_namespace_name_repeat1,
  [63834] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_LBRACE,
    STATE(550), 1,
      sym_declaration_list,
  [63844] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4145), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [63852] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2616), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [63860] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_LBRACE,
    STATE(506), 1,
      sym_declaration_list,
  [63870] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3270), 1,
      anon_sym_LPAREN2,
    STATE(2116), 1,
      sym_formal_parameters,
  [63880] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4640), 1,
      anon_sym_LPAREN2,
    STATE(1904), 1,
      sym_parenthesized_expression,
  [63890] = 3,
    ACTIONS(362), 1,
      anon_sym_LBRACE,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(2119), 1,
      sym_compound_statement,
  [63900] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4781), 1,
      anon_sym_LBRACE,
    STATE(1061), 1,
      sym_match_block,
  [63910] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4650), 1,
      anon_sym_LPAREN2,
    STATE(89), 1,
      sym_parenthesized_expression,
  [63920] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4783), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63928] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4650), 1,
      anon_sym_LPAREN2,
    STATE(82), 1,
      sym_parenthesized_expression,
  [63938] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4720), 1,
      anon_sym_LBRACE,
    STATE(449), 1,
      sym_compound_statement,
  [63948] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3323), 1,
      anon_sym_LPAREN2,
    STATE(1747), 1,
      sym_formal_parameters,
  [63958] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1949), 1,
      anon_sym_LPAREN2,
    STATE(2245), 1,
      sym_parenthesized_expression,
  [63968] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_BSLASH,
    STATE(2429), 1,
      aux_sym_namespace_name_repeat1,
  [63978] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3357), 1,
      anon_sym_LBRACE,
    STATE(942), 1,
      sym_declaration_list,
  [63988] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2156), 1,
      anon_sym_LPAREN2,
    STATE(862), 1,
      sym_arguments,
  [63998] = 3,
    ACTIONS(370), 1,
      anon_sym_COLON,
    ACTIONS(1606), 1,
      sym_comment,
    STATE(2586), 1,
      sym_colon_block,
  [64008] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4788), 1,
      sym_name,
    STATE(2524), 1,
      sym_namespace_name,
  [64018] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3371), 1,
      anon_sym_LBRACE,
    STATE(2143), 1,
      sym_declaration_list,
  [64028] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4650), 1,
      anon_sym_LPAREN2,
    STATE(58), 1,
      sym_parenthesized_expression,
  [64038] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2584), 1,
      anon_sym_RPAREN2,
    ACTIONS(4790), 1,
      anon_sym_EQ,
  [64048] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3738), 1,
      anon_sym_LBRACE,
    STATE(2145), 1,
      sym_enum_declaration_list,
  [64058] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(2156), 1,
      anon_sym_LPAREN2,
    STATE(870), 1,
      sym_arguments,
  [64068] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3718), 1,
      anon_sym_LBRACE,
    STATE(504), 1,
      sym_enum_declaration_list,
  [64078] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_LBRACE,
    STATE(513), 1,
      sym_declaration_list,
  [64088] = 3,
    ACTIONS(1005), 1,
      anon_sym_COLON,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4792), 1,
      anon_sym_BSLASH,
  [64098] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_LBRACE,
    STATE(469), 1,
      sym_declaration_list,
  [64108] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4426), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [64116] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4189), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [64124] = 3,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_DOLLAR,
    STATE(2378), 1,
      sym_variable_name,
  [64134] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4794), 1,
      anon_sym_EQ_GT,
  [64141] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4796), 1,
      anon_sym_RPAREN,
  [64148] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4798), 1,
      sym_name,
  [64155] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4800), 1,
      anon_sym_BSLASH,
  [64162] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4802), 1,
      anon_sym_LPAREN2,
  [64169] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4804), 1,
      anon_sym_LBRACE,
  [64176] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4806), 1,
      anon_sym_LBRACE,
  [64183] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4808), 1,
      sym_name,
  [64190] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4810), 1,
      anon_sym_RPAREN2,
  [64197] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4812), 1,
      anon_sym_LBRACE,
  [64204] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4814), 1,
      sym_name,
  [64211] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4816), 1,
      sym_name,
  [64218] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4818), 1,
      anon_sym_COLON_COLON,
  [64225] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4820), 1,
      sym_name,
  [64232] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4822), 1,
      sym_name,
  [64239] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4824), 1,
      sym_name,
  [64246] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4826), 1,
      ts_builtin_sym_end,
  [64253] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4742), 1,
      anon_sym_LPAREN2,
  [64260] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4828), 1,
      anon_sym_EQ_GT,
  [64267] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4830), 1,
      sym_name,
  [64274] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4832), 1,
      anon_sym_RPAREN2,
  [64281] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4834), 1,
      anon_sym_LBRACE,
  [64288] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4836), 1,
      sym_name,
  [64295] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4838), 1,
      anon_sym_RPAREN2,
  [64302] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4840), 1,
      anon_sym_EQ_GT,
  [64309] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4539), 1,
      anon_sym_RPAREN2,
  [64316] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4842), 1,
      aux_sym_while_statement_token1,
  [64323] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4844), 1,
      sym_name,
  [64330] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4846), 1,
      sym_name,
  [64337] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4848), 1,
      anon_sym_RPAREN2,
  [64344] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4850), 1,
      sym_name,
  [64351] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4852), 1,
      anon_sym_EQ_GT,
  [64358] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4170), 1,
      anon_sym_BSLASH,
  [64365] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4854), 1,
      anon_sym_RPAREN2,
  [64372] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4856), 1,
      aux_sym_if_statement_token2,
  [64379] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4858), 1,
      anon_sym_RPAREN2,
  [64386] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4860), 1,
      anon_sym_COLON_COLON,
  [64393] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3563), 1,
      sym_name,
  [64400] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4862), 1,
      anon_sym_LBRACE,
  [64407] = 2,
    ACTIONS(521), 1,
      ts_builtin_sym_end,
    ACTIONS(1606), 1,
      sym_comment,
  [64414] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4864), 1,
      sym_name,
  [64421] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4866), 1,
      sym_heredoc_end,
  [64428] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4868), 1,
      anon_sym_EQ_GT,
  [64435] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4870), 1,
      anon_sym_LPAREN2,
  [64442] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_BSLASH,
  [64449] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4874), 1,
      anon_sym_LPAREN2,
  [64456] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4371), 1,
      anon_sym_RPAREN2,
  [64463] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4876), 1,
      sym_name,
  [64470] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4878), 1,
      anon_sym_BSLASH,
  [64477] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4543), 1,
      anon_sym_RPAREN2,
  [64484] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4880), 1,
      sym_name,
  [64491] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4882), 1,
      anon_sym_EQ_GT,
  [64498] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4884), 1,
      anon_sym_EQ,
  [64505] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4886), 1,
      anon_sym_RPAREN2,
  [64512] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4357), 1,
      anon_sym_RPAREN2,
  [64519] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4888), 1,
      anon_sym_LBRACE,
  [64526] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4890), 1,
      anon_sym_RPAREN2,
  [64533] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4892), 1,
      sym_heredoc_end,
  [64540] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4894), 1,
      sym_name,
  [64547] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4896), 1,
      anon_sym_RPAREN2,
  [64554] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4898), 1,
      aux_sym_while_statement_token2,
  [64561] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4900), 1,
      sym_heredoc_end,
  [64568] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4902), 1,
      anon_sym_RPAREN2,
  [64575] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4904), 1,
      anon_sym_RPAREN2,
  [64582] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4906), 1,
      anon_sym_RPAREN2,
  [64589] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4908), 1,
      sym_integer,
  [64596] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4910), 1,
      anon_sym_RPAREN2,
  [64603] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4912), 1,
      aux_sym_while_statement_token1,
  [64610] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4914), 1,
      anon_sym_SEMI,
  [64617] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4323), 1,
      anon_sym_BSLASH,
  [64624] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4916), 1,
      anon_sym_EQ,
  [64631] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4918), 1,
      anon_sym_BSLASH,
  [64638] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4920), 1,
      anon_sym_BSLASH,
  [64645] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4922), 1,
      anon_sym_RBRACK,
  [64652] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4924), 1,
      anon_sym_RPAREN2,
  [64659] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4926), 1,
      sym_name,
  [64666] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4928), 1,
      sym_heredoc_start,
  [64673] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4930), 1,
      sym_heredoc_start,
  [64680] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4932), 1,
      anon_sym_BSLASH,
  [64687] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4934), 1,
      sym_name,
  [64694] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4936), 1,
      anon_sym_RPAREN2,
  [64701] = 2,
    ACTIONS(501), 1,
      ts_builtin_sym_end,
    ACTIONS(1606), 1,
      sym_comment,
  [64708] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4210), 1,
      anon_sym_RPAREN2,
  [64715] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4938), 1,
      anon_sym_SEMI,
  [64722] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4940), 1,
      anon_sym_COLON_COLON,
  [64729] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4942), 1,
      sym_name,
  [64736] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4944), 1,
      anon_sym_SEMI,
  [64743] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4946), 1,
      sym_name,
  [64750] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4948), 1,
      sym_name,
  [64757] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4950), 1,
      sym_name,
  [64764] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4952), 1,
      sym_heredoc_start,
  [64771] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4954), 1,
      sym_name,
  [64778] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4956), 1,
      anon_sym_BSLASH,
  [64785] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4958), 1,
      sym_name,
  [64792] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4960), 1,
      sym_name,
  [64799] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4962), 1,
      sym_heredoc_end,
  [64806] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4964), 1,
      sym_name,
  [64813] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4966), 1,
      anon_sym_RPAREN2,
  [64820] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4968), 1,
      anon_sym_RPAREN2,
  [64827] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4970), 1,
      aux_sym_foreach_statement_token2,
  [64834] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3637), 1,
      sym_name,
  [64841] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4972), 1,
      anon_sym_RPAREN2,
  [64848] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4974), 1,
      sym_name,
  [64855] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4976), 1,
      sym_name,
  [64862] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4978), 1,
      aux_sym_if_statement_token2,
  [64869] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4980), 1,
      anon_sym_SQUOTE2,
  [64876] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4982), 1,
      sym_name,
  [64883] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4984), 1,
      sym_name,
  [64890] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4986), 1,
      anon_sym_EQ,
  [64897] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4988), 1,
      sym_name,
  [64904] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4268), 1,
      anon_sym_RBRACE,
  [64911] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4990), 1,
      sym_heredoc_end,
  [64918] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4992), 1,
      sym_heredoc_end,
  [64925] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4994), 1,
      aux_sym_if_statement_token2,
  [64932] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4397), 1,
      sym_name,
  [64939] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4996), 1,
      sym_name,
  [64946] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4998), 1,
      anon_sym_RPAREN,
  [64953] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5000), 1,
      anon_sym_COLON_COLON,
  [64960] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5002), 1,
      anon_sym_LBRACE,
  [64967] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5004), 1,
      anon_sym_LBRACE,
  [64974] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5006), 1,
      sym_name,
  [64981] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4748), 1,
      anon_sym_RPAREN2,
  [64988] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5008), 1,
      anon_sym_RPAREN2,
  [64995] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5010), 1,
      anon_sym_SQUOTE2,
  [65002] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5012), 1,
      anon_sym_SEMI,
  [65009] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4250), 1,
      anon_sym_RPAREN2,
  [65016] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5014), 1,
      aux_sym_foreach_statement_token2,
  [65023] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3659), 1,
      anon_sym_BSLASH,
  [65030] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5016), 1,
      sym_name,
  [65037] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5018), 1,
      anon_sym_EQ_GT,
  [65044] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5020), 1,
      anon_sym_RPAREN2,
  [65051] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5022), 1,
      sym_name,
  [65058] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4391), 1,
      anon_sym_RPAREN2,
  [65065] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5024), 1,
      anon_sym_SEMI,
  [65072] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5026), 1,
      sym_heredoc_end,
  [65079] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5028), 1,
      anon_sym_EQ,
  [65086] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5030), 1,
      anon_sym_RBRACK,
  [65093] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5032), 1,
      aux_sym_while_statement_token2,
  [65100] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5034), 1,
      anon_sym_EQ_GT,
  [65107] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5036), 1,
      sym_name,
  [65114] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5038), 1,
      aux_sym_if_statement_token2,
  [65121] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5040), 1,
      anon_sym_RPAREN2,
  [65128] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5042), 1,
      anon_sym_RPAREN2,
  [65135] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5044), 1,
      anon_sym_BSLASH,
  [65142] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5046), 1,
      sym_name,
  [65149] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5048), 1,
      sym_name,
  [65156] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5050), 1,
      anon_sym_EQ_GT,
  [65163] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5052), 1,
      anon_sym_EQ,
  [65170] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5054), 1,
      anon_sym_RPAREN2,
  [65177] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5056), 1,
      anon_sym_LBRACE,
  [65184] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5058), 1,
      sym_name,
  [65191] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5060), 1,
      anon_sym_RPAREN2,
  [65198] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4339), 1,
      anon_sym_BSLASH,
  [65205] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5062), 1,
      sym_name,
  [65212] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5064), 1,
      anon_sym_BSLASH,
  [65219] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5066), 1,
      anon_sym_BSLASH,
  [65226] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5068), 1,
      anon_sym_RPAREN2,
  [65233] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5070), 1,
      sym_name,
  [65240] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5072), 1,
      anon_sym_BSLASH,
  [65247] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5074), 1,
      anon_sym_RPAREN2,
  [65254] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5076), 1,
      anon_sym_RBRACK,
  [65261] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4129), 1,
      anon_sym_RBRACK,
  [65268] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4363), 1,
      anon_sym_BSLASH,
  [65275] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5078), 1,
      anon_sym_LPAREN2,
  [65282] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5080), 1,
      anon_sym_BSLASH,
  [65289] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5082), 1,
      sym_heredoc_end,
  [65296] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5084), 1,
      anon_sym_BSLASH,
  [65303] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5086), 1,
      anon_sym_RPAREN2,
  [65310] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5088), 1,
      anon_sym_RBRACK,
  [65317] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5090), 1,
      anon_sym_LPAREN2,
  [65324] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5092), 1,
      anon_sym_LBRACE,
  [65331] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4490), 1,
      anon_sym_LBRACE,
  [65338] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5094), 1,
      anon_sym_LBRACE,
  [65345] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5096), 1,
      sym_name,
  [65352] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5098), 1,
      anon_sym_LPAREN2,
  [65359] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5100), 1,
      anon_sym_LPAREN2,
  [65366] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5102), 1,
      sym_heredoc_end,
  [65373] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5104), 1,
      anon_sym_LBRACE,
  [65380] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5106), 1,
      sym_name,
  [65387] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5108), 1,
      sym_heredoc_start,
  [65394] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5110), 1,
      anon_sym_RPAREN2,
  [65401] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5112), 1,
      anon_sym_LBRACE,
  [65408] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4226), 1,
      anon_sym_RPAREN2,
  [65415] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5114), 1,
      anon_sym_RPAREN2,
  [65422] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5116), 1,
      anon_sym_SEMI,
  [65429] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5118), 1,
      sym_name,
  [65436] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5120), 1,
      anon_sym_EQ_GT,
  [65443] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5122), 1,
      sym_name,
  [65450] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(3835), 1,
      anon_sym_BSLASH,
  [65457] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5124), 1,
      anon_sym_BSLASH,
  [65464] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5126), 1,
      anon_sym_RPAREN2,
  [65471] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5128), 1,
      sym_heredoc_end,
  [65478] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5130), 1,
      anon_sym_RPAREN2,
  [65485] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4589), 1,
      anon_sym_LBRACE,
  [65492] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5132), 1,
      anon_sym_RPAREN2,
  [65499] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_RPAREN2,
  [65506] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5136), 1,
      anon_sym_RPAREN2,
  [65513] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5138), 1,
      anon_sym_RPAREN2,
  [65520] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5140), 1,
      anon_sym_RPAREN2,
  [65527] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5142), 1,
      anon_sym_RPAREN2,
  [65534] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5144), 1,
      anon_sym_EQ_GT,
  [65541] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4792), 1,
      anon_sym_BSLASH,
  [65548] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5146), 1,
      anon_sym_RPAREN2,
  [65555] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4232), 1,
      anon_sym_RPAREN2,
  [65562] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4123), 1,
      anon_sym_BSLASH,
  [65569] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5148), 1,
      anon_sym_COLON_COLON,
  [65576] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4214), 1,
      anon_sym_RBRACK,
  [65583] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5150), 1,
      sym_name,
  [65590] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5152), 1,
      sym_name,
  [65597] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5154), 1,
      anon_sym_SEMI,
  [65604] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5156), 1,
      anon_sym_RPAREN2,
  [65611] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5158), 1,
      anon_sym_RPAREN2,
  [65618] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5160), 1,
      anon_sym_LPAREN2,
  [65625] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5162), 1,
      sym_name,
  [65632] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5164), 1,
      anon_sym_SEMI,
  [65639] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5166), 1,
      anon_sym_RPAREN2,
  [65646] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5168), 1,
      sym_name,
  [65653] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5170), 1,
      sym_name,
  [65660] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5172), 1,
      anon_sym_LPAREN2,
  [65667] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4790), 1,
      anon_sym_EQ,
  [65674] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5174), 1,
      anon_sym_EQ_GT,
  [65681] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5176), 1,
      sym_name,
  [65688] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5178), 1,
      aux_sym_if_statement_token2,
  [65695] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5180), 1,
      anon_sym_LPAREN2,
  [65702] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5182), 1,
      sym_name,
  [65709] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5184), 1,
      anon_sym_BSLASH,
  [65716] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4333), 1,
      anon_sym_RPAREN2,
  [65723] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5186), 1,
      anon_sym_EQ_GT,
  [65730] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5188), 1,
      anon_sym_LPAREN2,
  [65737] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5190), 1,
      anon_sym_SEMI,
  [65744] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5192), 1,
      anon_sym_LPAREN2,
  [65751] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5194), 1,
      anon_sym_COLON_COLON,
  [65758] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(4345), 1,
      anon_sym_RBRACE,
  [65765] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5196), 1,
      anon_sym_RPAREN2,
  [65772] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5198), 1,
      anon_sym_LPAREN2,
  [65779] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5200), 1,
      sym_name,
  [65786] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5202), 1,
      anon_sym_SEMI,
  [65793] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5204), 1,
      anon_sym_COLON_COLON,
  [65800] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5206), 1,
      ts_builtin_sym_end,
  [65807] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5208), 1,
      anon_sym_SEMI,
  [65814] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5210), 1,
      anon_sym_LPAREN2,
  [65821] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5212), 1,
      anon_sym_LBRACE,
  [65828] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5214), 1,
      anon_sym_LPAREN2,
  [65835] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5216), 1,
      anon_sym_LPAREN2,
  [65842] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5218), 1,
      anon_sym_LBRACE,
  [65849] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5220), 1,
      anon_sym_LBRACE,
  [65856] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5222), 1,
      anon_sym_SEMI,
  [65863] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5224), 1,
      sym_name,
  [65870] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5226), 1,
      anon_sym_LPAREN2,
  [65877] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5228), 1,
      anon_sym_LPAREN2,
  [65884] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5230), 1,
      anon_sym_EQ_GT,
  [65891] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5232), 1,
      anon_sym_LPAREN2,
  [65898] = 2,
    ACTIONS(1606), 1,
      sym_comment,
    ACTIONS(5234), 1,
      anon_sym_RPAREN2,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(584)] = 0,
  [SMALL_STATE(585)] = 70,
  [SMALL_STATE(586)] = 140,
  [SMALL_STATE(587)] = 210,
  [SMALL_STATE(588)] = 280,
  [SMALL_STATE(589)] = 353,
  [SMALL_STATE(590)] = 426,
  [SMALL_STATE(591)] = 494,
  [SMALL_STATE(592)] = 564,
  [SMALL_STATE(593)] = 632,
  [SMALL_STATE(594)] = 700,
  [SMALL_STATE(595)] = 768,
  [SMALL_STATE(596)] = 836,
  [SMALL_STATE(597)] = 914,
  [SMALL_STATE(598)] = 982,
  [SMALL_STATE(599)] = 1050,
  [SMALL_STATE(600)] = 1118,
  [SMALL_STATE(601)] = 1186,
  [SMALL_STATE(602)] = 1254,
  [SMALL_STATE(603)] = 1324,
  [SMALL_STATE(604)] = 1392,
  [SMALL_STATE(605)] = 1460,
  [SMALL_STATE(606)] = 1528,
  [SMALL_STATE(607)] = 1596,
  [SMALL_STATE(608)] = 1664,
  [SMALL_STATE(609)] = 1732,
  [SMALL_STATE(610)] = 1800,
  [SMALL_STATE(611)] = 1868,
  [SMALL_STATE(612)] = 1936,
  [SMALL_STATE(613)] = 2004,
  [SMALL_STATE(614)] = 2079,
  [SMALL_STATE(615)] = 2154,
  [SMALL_STATE(616)] = 2270,
  [SMALL_STATE(617)] = 2392,
  [SMALL_STATE(618)] = 2508,
  [SMALL_STATE(619)] = 2624,
  [SMALL_STATE(620)] = 2746,
  [SMALL_STATE(621)] = 2815,
  [SMALL_STATE(622)] = 2884,
  [SMALL_STATE(623)] = 2959,
  [SMALL_STATE(624)] = 3078,
  [SMALL_STATE(625)] = 3152,
  [SMALL_STATE(626)] = 3216,
  [SMALL_STATE(627)] = 3280,
  [SMALL_STATE(628)] = 3344,
  [SMALL_STATE(629)] = 3416,
  [SMALL_STATE(630)] = 3488,
  [SMALL_STATE(631)] = 3554,
  [SMALL_STATE(632)] = 3620,
  [SMALL_STATE(633)] = 3684,
  [SMALL_STATE(634)] = 3748,
  [SMALL_STATE(635)] = 3812,
  [SMALL_STATE(636)] = 3876,
  [SMALL_STATE(637)] = 3950,
  [SMALL_STATE(638)] = 4024,
  [SMALL_STATE(639)] = 4088,
  [SMALL_STATE(640)] = 4152,
  [SMALL_STATE(641)] = 4216,
  [SMALL_STATE(642)] = 4280,
  [SMALL_STATE(643)] = 4344,
  [SMALL_STATE(644)] = 4408,
  [SMALL_STATE(645)] = 4472,
  [SMALL_STATE(646)] = 4536,
  [SMALL_STATE(647)] = 4600,
  [SMALL_STATE(648)] = 4663,
  [SMALL_STATE(649)] = 4734,
  [SMALL_STATE(650)] = 4805,
  [SMALL_STATE(651)] = 4868,
  [SMALL_STATE(652)] = 4939,
  [SMALL_STATE(653)] = 5052,
  [SMALL_STATE(654)] = 5165,
  [SMALL_STATE(655)] = 5278,
  [SMALL_STATE(656)] = 5351,
  [SMALL_STATE(657)] = 5414,
  [SMALL_STATE(658)] = 5485,
  [SMALL_STATE(659)] = 5598,
  [SMALL_STATE(660)] = 5671,
  [SMALL_STATE(661)] = 5734,
  [SMALL_STATE(662)] = 5805,
  [SMALL_STATE(663)] = 5876,
  [SMALL_STATE(664)] = 5939,
  [SMALL_STATE(665)] = 6002,
  [SMALL_STATE(666)] = 6065,
  [SMALL_STATE(667)] = 6144,
  [SMALL_STATE(668)] = 6207,
  [SMALL_STATE(669)] = 6317,
  [SMALL_STATE(670)] = 6427,
  [SMALL_STATE(671)] = 6503,
  [SMALL_STATE(672)] = 6579,
  [SMALL_STATE(673)] = 6689,
  [SMALL_STATE(674)] = 6799,
  [SMALL_STATE(675)] = 6909,
  [SMALL_STATE(676)] = 7019,
  [SMALL_STATE(677)] = 7089,
  [SMALL_STATE(678)] = 7159,
  [SMALL_STATE(679)] = 7269,
  [SMALL_STATE(680)] = 7379,
  [SMALL_STATE(681)] = 7453,
  [SMALL_STATE(682)] = 7563,
  [SMALL_STATE(683)] = 7633,
  [SMALL_STATE(684)] = 7703,
  [SMALL_STATE(685)] = 7777,
  [SMALL_STATE(686)] = 7887,
  [SMALL_STATE(687)] = 7997,
  [SMALL_STATE(688)] = 8107,
  [SMALL_STATE(689)] = 8217,
  [SMALL_STATE(690)] = 8291,
  [SMALL_STATE(691)] = 8364,
  [SMALL_STATE(692)] = 8435,
  [SMALL_STATE(693)] = 8506,
  [SMALL_STATE(694)] = 8577,
  [SMALL_STATE(695)] = 8648,
  [SMALL_STATE(696)] = 8719,
  [SMALL_STATE(697)] = 8790,
  [SMALL_STATE(698)] = 8860,
  [SMALL_STATE(699)] = 8924,
  [SMALL_STATE(700)] = 8994,
  [SMALL_STATE(701)] = 9058,
  [SMALL_STATE(702)] = 9118,
  [SMALL_STATE(703)] = 9176,
  [SMALL_STATE(704)] = 9234,
  [SMALL_STATE(705)] = 9292,
  [SMALL_STATE(706)] = 9393,
  [SMALL_STATE(707)] = 9494,
  [SMALL_STATE(708)] = 9553,
  [SMALL_STATE(709)] = 9612,
  [SMALL_STATE(710)] = 9671,
  [SMALL_STATE(711)] = 9726,
  [SMALL_STATE(712)] = 9781,
  [SMALL_STATE(713)] = 9837,
  [SMALL_STATE(714)] = 9891,
  [SMALL_STATE(715)] = 9947,
  [SMALL_STATE(716)] = 10003,
  [SMALL_STATE(717)] = 10057,
  [SMALL_STATE(718)] = 10111,
  [SMALL_STATE(719)] = 10165,
  [SMALL_STATE(720)] = 10219,
  [SMALL_STATE(721)] = 10273,
  [SMALL_STATE(722)] = 10327,
  [SMALL_STATE(723)] = 10381,
  [SMALL_STATE(724)] = 10435,
  [SMALL_STATE(725)] = 10489,
  [SMALL_STATE(726)] = 10543,
  [SMALL_STATE(727)] = 10597,
  [SMALL_STATE(728)] = 10651,
  [SMALL_STATE(729)] = 10705,
  [SMALL_STATE(730)] = 10759,
  [SMALL_STATE(731)] = 10857,
  [SMALL_STATE(732)] = 10911,
  [SMALL_STATE(733)] = 11009,
  [SMALL_STATE(734)] = 11069,
  [SMALL_STATE(735)] = 11125,
  [SMALL_STATE(736)] = 11179,
  [SMALL_STATE(737)] = 11239,
  [SMALL_STATE(738)] = 11295,
  [SMALL_STATE(739)] = 11352,
  [SMALL_STATE(740)] = 11405,
  [SMALL_STATE(741)] = 11462,
  [SMALL_STATE(742)] = 11519,
  [SMALL_STATE(743)] = 11572,
  [SMALL_STATE(744)] = 11625,
  [SMALL_STATE(745)] = 11678,
  [SMALL_STATE(746)] = 11731,
  [SMALL_STATE(747)] = 11826,
  [SMALL_STATE(748)] = 11921,
  [SMALL_STATE(749)] = 11978,
  [SMALL_STATE(750)] = 12073,
  [SMALL_STATE(751)] = 12126,
  [SMALL_STATE(752)] = 12181,
  [SMALL_STATE(753)] = 12234,
  [SMALL_STATE(754)] = 12329,
  [SMALL_STATE(755)] = 12382,
  [SMALL_STATE(756)] = 12437,
  [SMALL_STATE(757)] = 12494,
  [SMALL_STATE(758)] = 12548,
  [SMALL_STATE(759)] = 12600,
  [SMALL_STATE(760)] = 12654,
  [SMALL_STATE(761)] = 12706,
  [SMALL_STATE(762)] = 12758,
  [SMALL_STATE(763)] = 12810,
  [SMALL_STATE(764)] = 12862,
  [SMALL_STATE(765)] = 12960,
  [SMALL_STATE(766)] = 13012,
  [SMALL_STATE(767)] = 13064,
  [SMALL_STATE(768)] = 13116,
  [SMALL_STATE(769)] = 13168,
  [SMALL_STATE(770)] = 13266,
  [SMALL_STATE(771)] = 13318,
  [SMALL_STATE(772)] = 13410,
  [SMALL_STATE(773)] = 13462,
  [SMALL_STATE(774)] = 13516,
  [SMALL_STATE(775)] = 13570,
  [SMALL_STATE(776)] = 13622,
  [SMALL_STATE(777)] = 13674,
  [SMALL_STATE(778)] = 13726,
  [SMALL_STATE(779)] = 13778,
  [SMALL_STATE(780)] = 13830,
  [SMALL_STATE(781)] = 13882,
  [SMALL_STATE(782)] = 13934,
  [SMALL_STATE(783)] = 13986,
  [SMALL_STATE(784)] = 14038,
  [SMALL_STATE(785)] = 14090,
  [SMALL_STATE(786)] = 14142,
  [SMALL_STATE(787)] = 14194,
  [SMALL_STATE(788)] = 14246,
  [SMALL_STATE(789)] = 14300,
  [SMALL_STATE(790)] = 14356,
  [SMALL_STATE(791)] = 14412,
  [SMALL_STATE(792)] = 14464,
  [SMALL_STATE(793)] = 14516,
  [SMALL_STATE(794)] = 14572,
  [SMALL_STATE(795)] = 14624,
  [SMALL_STATE(796)] = 14676,
  [SMALL_STATE(797)] = 14728,
  [SMALL_STATE(798)] = 14780,
  [SMALL_STATE(799)] = 14832,
  [SMALL_STATE(800)] = 14884,
  [SMALL_STATE(801)] = 14938,
  [SMALL_STATE(802)] = 14990,
  [SMALL_STATE(803)] = 15042,
  [SMALL_STATE(804)] = 15094,
  [SMALL_STATE(805)] = 15146,
  [SMALL_STATE(806)] = 15198,
  [SMALL_STATE(807)] = 15250,
  [SMALL_STATE(808)] = 15302,
  [SMALL_STATE(809)] = 15354,
  [SMALL_STATE(810)] = 15406,
  [SMALL_STATE(811)] = 15458,
  [SMALL_STATE(812)] = 15510,
  [SMALL_STATE(813)] = 15562,
  [SMALL_STATE(814)] = 15614,
  [SMALL_STATE(815)] = 15666,
  [SMALL_STATE(816)] = 15718,
  [SMALL_STATE(817)] = 15770,
  [SMALL_STATE(818)] = 15822,
  [SMALL_STATE(819)] = 15920,
  [SMALL_STATE(820)] = 15972,
  [SMALL_STATE(821)] = 16024,
  [SMALL_STATE(822)] = 16076,
  [SMALL_STATE(823)] = 16128,
  [SMALL_STATE(824)] = 16180,
  [SMALL_STATE(825)] = 16232,
  [SMALL_STATE(826)] = 16284,
  [SMALL_STATE(827)] = 16336,
  [SMALL_STATE(828)] = 16388,
  [SMALL_STATE(829)] = 16440,
  [SMALL_STATE(830)] = 16492,
  [SMALL_STATE(831)] = 16544,
  [SMALL_STATE(832)] = 16596,
  [SMALL_STATE(833)] = 16650,
  [SMALL_STATE(834)] = 16710,
  [SMALL_STATE(835)] = 16766,
  [SMALL_STATE(836)] = 16822,
  [SMALL_STATE(837)] = 16874,
  [SMALL_STATE(838)] = 16926,
  [SMALL_STATE(839)] = 16978,
  [SMALL_STATE(840)] = 17033,
  [SMALL_STATE(841)] = 17086,
  [SMALL_STATE(842)] = 17141,
  [SMALL_STATE(843)] = 17192,
  [SMALL_STATE(844)] = 17245,
  [SMALL_STATE(845)] = 17298,
  [SMALL_STATE(846)] = 17351,
  [SMALL_STATE(847)] = 17406,
  [SMALL_STATE(848)] = 17461,
  [SMALL_STATE(849)] = 17512,
  [SMALL_STATE(850)] = 17567,
  [SMALL_STATE(851)] = 17622,
  [SMALL_STATE(852)] = 17675,
  [SMALL_STATE(853)] = 17725,
  [SMALL_STATE(854)] = 17775,
  [SMALL_STATE(855)] = 17831,
  [SMALL_STATE(856)] = 17881,
  [SMALL_STATE(857)] = 17937,
  [SMALL_STATE(858)] = 17991,
  [SMALL_STATE(859)] = 18043,
  [SMALL_STATE(860)] = 18097,
  [SMALL_STATE(861)] = 18147,
  [SMALL_STATE(862)] = 18197,
  [SMALL_STATE(863)] = 18247,
  [SMALL_STATE(864)] = 18297,
  [SMALL_STATE(865)] = 18349,
  [SMALL_STATE(866)] = 18399,
  [SMALL_STATE(867)] = 18449,
  [SMALL_STATE(868)] = 18503,
  [SMALL_STATE(869)] = 18553,
  [SMALL_STATE(870)] = 18603,
  [SMALL_STATE(871)] = 18653,
  [SMALL_STATE(872)] = 18703,
  [SMALL_STATE(873)] = 18753,
  [SMALL_STATE(874)] = 18803,
  [SMALL_STATE(875)] = 18853,
  [SMALL_STATE(876)] = 18903,
  [SMALL_STATE(877)] = 18956,
  [SMALL_STATE(878)] = 19005,
  [SMALL_STATE(879)] = 19054,
  [SMALL_STATE(880)] = 19105,
  [SMALL_STATE(881)] = 19156,
  [SMALL_STATE(882)] = 19205,
  [SMALL_STATE(883)] = 19254,
  [SMALL_STATE(884)] = 19303,
  [SMALL_STATE(885)] = 19352,
  [SMALL_STATE(886)] = 19401,
  [SMALL_STATE(887)] = 19450,
  [SMALL_STATE(888)] = 19499,
  [SMALL_STATE(889)] = 19548,
  [SMALL_STATE(890)] = 19601,
  [SMALL_STATE(891)] = 19652,
  [SMALL_STATE(892)] = 19705,
  [SMALL_STATE(893)] = 19758,
  [SMALL_STATE(894)] = 19807,
  [SMALL_STATE(895)] = 19856,
  [SMALL_STATE(896)] = 19905,
  [SMALL_STATE(897)] = 19958,
  [SMALL_STATE(898)] = 20009,
  [SMALL_STATE(899)] = 20057,
  [SMALL_STATE(900)] = 20105,
  [SMALL_STATE(901)] = 20153,
  [SMALL_STATE(902)] = 20201,
  [SMALL_STATE(903)] = 20249,
  [SMALL_STATE(904)] = 20297,
  [SMALL_STATE(905)] = 20345,
  [SMALL_STATE(906)] = 20393,
  [SMALL_STATE(907)] = 20441,
  [SMALL_STATE(908)] = 20489,
  [SMALL_STATE(909)] = 20537,
  [SMALL_STATE(910)] = 20587,
  [SMALL_STATE(911)] = 20635,
  [SMALL_STATE(912)] = 20683,
  [SMALL_STATE(913)] = 20731,
  [SMALL_STATE(914)] = 20779,
  [SMALL_STATE(915)] = 20827,
  [SMALL_STATE(916)] = 20875,
  [SMALL_STATE(917)] = 20923,
  [SMALL_STATE(918)] = 20971,
  [SMALL_STATE(919)] = 21019,
  [SMALL_STATE(920)] = 21067,
  [SMALL_STATE(921)] = 21115,
  [SMALL_STATE(922)] = 21163,
  [SMALL_STATE(923)] = 21211,
  [SMALL_STATE(924)] = 21259,
  [SMALL_STATE(925)] = 21311,
  [SMALL_STATE(926)] = 21359,
  [SMALL_STATE(927)] = 21407,
  [SMALL_STATE(928)] = 21455,
  [SMALL_STATE(929)] = 21503,
  [SMALL_STATE(930)] = 21553,
  [SMALL_STATE(931)] = 21601,
  [SMALL_STATE(932)] = 21651,
  [SMALL_STATE(933)] = 21699,
  [SMALL_STATE(934)] = 21747,
  [SMALL_STATE(935)] = 21795,
  [SMALL_STATE(936)] = 21847,
  [SMALL_STATE(937)] = 21895,
  [SMALL_STATE(938)] = 21951,
  [SMALL_STATE(939)] = 21999,
  [SMALL_STATE(940)] = 22055,
  [SMALL_STATE(941)] = 22103,
  [SMALL_STATE(942)] = 22151,
  [SMALL_STATE(943)] = 22199,
  [SMALL_STATE(944)] = 22255,
  [SMALL_STATE(945)] = 22303,
  [SMALL_STATE(946)] = 22351,
  [SMALL_STATE(947)] = 22399,
  [SMALL_STATE(948)] = 22447,
  [SMALL_STATE(949)] = 22495,
  [SMALL_STATE(950)] = 22543,
  [SMALL_STATE(951)] = 22591,
  [SMALL_STATE(952)] = 22639,
  [SMALL_STATE(953)] = 22687,
  [SMALL_STATE(954)] = 22737,
  [SMALL_STATE(955)] = 22785,
  [SMALL_STATE(956)] = 22833,
  [SMALL_STATE(957)] = 22881,
  [SMALL_STATE(958)] = 22929,
  [SMALL_STATE(959)] = 22977,
  [SMALL_STATE(960)] = 23027,
  [SMALL_STATE(961)] = 23083,
  [SMALL_STATE(962)] = 23131,
  [SMALL_STATE(963)] = 23183,
  [SMALL_STATE(964)] = 23231,
  [SMALL_STATE(965)] = 23279,
  [SMALL_STATE(966)] = 23327,
  [SMALL_STATE(967)] = 23375,
  [SMALL_STATE(968)] = 23423,
  [SMALL_STATE(969)] = 23473,
  [SMALL_STATE(970)] = 23523,
  [SMALL_STATE(971)] = 23575,
  [SMALL_STATE(972)] = 23623,
  [SMALL_STATE(973)] = 23671,
  [SMALL_STATE(974)] = 23723,
  [SMALL_STATE(975)] = 23771,
  [SMALL_STATE(976)] = 23819,
  [SMALL_STATE(977)] = 23867,
  [SMALL_STATE(978)] = 23915,
  [SMALL_STATE(979)] = 23963,
  [SMALL_STATE(980)] = 24011,
  [SMALL_STATE(981)] = 24059,
  [SMALL_STATE(982)] = 24109,
  [SMALL_STATE(983)] = 24157,
  [SMALL_STATE(984)] = 24204,
  [SMALL_STATE(985)] = 24251,
  [SMALL_STATE(986)] = 24298,
  [SMALL_STATE(987)] = 24345,
  [SMALL_STATE(988)] = 24394,
  [SMALL_STATE(989)] = 24441,
  [SMALL_STATE(990)] = 24492,
  [SMALL_STATE(991)] = 24539,
  [SMALL_STATE(992)] = 24588,
  [SMALL_STATE(993)] = 24637,
  [SMALL_STATE(994)] = 24684,
  [SMALL_STATE(995)] = 24731,
  [SMALL_STATE(996)] = 24778,
  [SMALL_STATE(997)] = 24825,
  [SMALL_STATE(998)] = 24874,
  [SMALL_STATE(999)] = 24925,
  [SMALL_STATE(1000)] = 24974,
  [SMALL_STATE(1001)] = 25021,
  [SMALL_STATE(1002)] = 25068,
  [SMALL_STATE(1003)] = 25117,
  [SMALL_STATE(1004)] = 25166,
  [SMALL_STATE(1005)] = 25217,
  [SMALL_STATE(1006)] = 25268,
  [SMALL_STATE(1007)] = 25315,
  [SMALL_STATE(1008)] = 25362,
  [SMALL_STATE(1009)] = 25409,
  [SMALL_STATE(1010)] = 25456,
  [SMALL_STATE(1011)] = 25505,
  [SMALL_STATE(1012)] = 25552,
  [SMALL_STATE(1013)] = 25599,
  [SMALL_STATE(1014)] = 25646,
  [SMALL_STATE(1015)] = 25693,
  [SMALL_STATE(1016)] = 25740,
  [SMALL_STATE(1017)] = 25787,
  [SMALL_STATE(1018)] = 25834,
  [SMALL_STATE(1019)] = 25879,
  [SMALL_STATE(1020)] = 25926,
  [SMALL_STATE(1021)] = 25975,
  [SMALL_STATE(1022)] = 26020,
  [SMALL_STATE(1023)] = 26065,
  [SMALL_STATE(1024)] = 26110,
  [SMALL_STATE(1025)] = 26187,
  [SMALL_STATE(1026)] = 26255,
  [SMALL_STATE(1027)] = 26301,
  [SMALL_STATE(1028)] = 26377,
  [SMALL_STATE(1029)] = 26459,
  [SMALL_STATE(1030)] = 26517,
  [SMALL_STATE(1031)] = 26593,
  [SMALL_STATE(1032)] = 26677,
  [SMALL_STATE(1033)] = 26741,
  [SMALL_STATE(1034)] = 26817,
  [SMALL_STATE(1035)] = 26899,
  [SMALL_STATE(1036)] = 26943,
  [SMALL_STATE(1037)] = 27025,
  [SMALL_STATE(1038)] = 27107,
  [SMALL_STATE(1039)] = 27157,
  [SMALL_STATE(1040)] = 27233,
  [SMALL_STATE(1041)] = 27279,
  [SMALL_STATE(1042)] = 27361,
  [SMALL_STATE(1043)] = 27441,
  [SMALL_STATE(1044)] = 27519,
  [SMALL_STATE(1045)] = 27579,
  [SMALL_STATE(1046)] = 27633,
  [SMALL_STATE(1047)] = 27715,
  [SMALL_STATE(1048)] = 27797,
  [SMALL_STATE(1049)] = 27873,
  [SMALL_STATE(1050)] = 27945,
  [SMALL_STATE(1051)] = 28015,
  [SMALL_STATE(1052)] = 28081,
  [SMALL_STATE(1053)] = 28157,
  [SMALL_STATE(1054)] = 28239,
  [SMALL_STATE(1055)] = 28321,
  [SMALL_STATE(1056)] = 28377,
  [SMALL_STATE(1057)] = 28429,
  [SMALL_STATE(1058)] = 28511,
  [SMALL_STATE(1059)] = 28587,
  [SMALL_STATE(1060)] = 28670,
  [SMALL_STATE(1061)] = 28713,
  [SMALL_STATE(1062)] = 28756,
  [SMALL_STATE(1063)] = 28799,
  [SMALL_STATE(1064)] = 28842,
  [SMALL_STATE(1065)] = 28923,
  [SMALL_STATE(1066)] = 28966,
  [SMALL_STATE(1067)] = 29047,
  [SMALL_STATE(1068)] = 29128,
  [SMALL_STATE(1069)] = 29209,
  [SMALL_STATE(1070)] = 29272,
  [SMALL_STATE(1071)] = 29339,
  [SMALL_STATE(1072)] = 29382,
  [SMALL_STATE(1073)] = 29431,
  [SMALL_STATE(1074)] = 29506,
  [SMALL_STATE(1075)] = 29551,
  [SMALL_STATE(1076)] = 29626,
  [SMALL_STATE(1077)] = 29705,
  [SMALL_STATE(1078)] = 29782,
  [SMALL_STATE(1079)] = 29853,
  [SMALL_STATE(1080)] = 29922,
  [SMALL_STATE(1081)] = 29987,
  [SMALL_STATE(1082)] = 30046,
  [SMALL_STATE(1083)] = 30101,
  [SMALL_STATE(1084)] = 30152,
  [SMALL_STATE(1085)] = 30205,
  [SMALL_STATE(1086)] = 30250,
  [SMALL_STATE(1087)] = 30293,
  [SMALL_STATE(1088)] = 30368,
  [SMALL_STATE(1089)] = 30443,
  [SMALL_STATE(1090)] = 30486,
  [SMALL_STATE(1091)] = 30529,
  [SMALL_STATE(1092)] = 30572,
  [SMALL_STATE(1093)] = 30653,
  [SMALL_STATE(1094)] = 30734,
  [SMALL_STATE(1095)] = 30815,
  [SMALL_STATE(1096)] = 30858,
  [SMALL_STATE(1097)] = 30901,
  [SMALL_STATE(1098)] = 30946,
  [SMALL_STATE(1099)] = 30989,
  [SMALL_STATE(1100)] = 31032,
  [SMALL_STATE(1101)] = 31075,
  [SMALL_STATE(1102)] = 31118,
  [SMALL_STATE(1103)] = 31161,
  [SMALL_STATE(1104)] = 31204,
  [SMALL_STATE(1105)] = 31247,
  [SMALL_STATE(1106)] = 31328,
  [SMALL_STATE(1107)] = 31411,
  [SMALL_STATE(1108)] = 31492,
  [SMALL_STATE(1109)] = 31573,
  [SMALL_STATE(1110)] = 31654,
  [SMALL_STATE(1111)] = 31735,
  [SMALL_STATE(1112)] = 31778,
  [SMALL_STATE(1113)] = 31859,
  [SMALL_STATE(1114)] = 31934,
  [SMALL_STATE(1115)] = 32009,
  [SMALL_STATE(1116)] = 32052,
  [SMALL_STATE(1117)] = 32095,
  [SMALL_STATE(1118)] = 32138,
  [SMALL_STATE(1119)] = 32213,
  [SMALL_STATE(1120)] = 32294,
  [SMALL_STATE(1121)] = 32375,
  [SMALL_STATE(1122)] = 32438,
  [SMALL_STATE(1123)] = 32505,
  [SMALL_STATE(1124)] = 32554,
  [SMALL_STATE(1125)] = 32629,
  [SMALL_STATE(1126)] = 32674,
  [SMALL_STATE(1127)] = 32749,
  [SMALL_STATE(1128)] = 32828,
  [SMALL_STATE(1129)] = 32905,
  [SMALL_STATE(1130)] = 32976,
  [SMALL_STATE(1131)] = 33045,
  [SMALL_STATE(1132)] = 33110,
  [SMALL_STATE(1133)] = 33169,
  [SMALL_STATE(1134)] = 33224,
  [SMALL_STATE(1135)] = 33275,
  [SMALL_STATE(1136)] = 33328,
  [SMALL_STATE(1137)] = 33373,
  [SMALL_STATE(1138)] = 33448,
  [SMALL_STATE(1139)] = 33523,
  [SMALL_STATE(1140)] = 33598,
  [SMALL_STATE(1141)] = 33673,
  [SMALL_STATE(1142)] = 33748,
  [SMALL_STATE(1143)] = 33791,
  [SMALL_STATE(1144)] = 33872,
  [SMALL_STATE(1145)] = 33953,
  [SMALL_STATE(1146)] = 34034,
  [SMALL_STATE(1147)] = 34115,
  [SMALL_STATE(1148)] = 34196,
  [SMALL_STATE(1149)] = 34239,
  [SMALL_STATE(1150)] = 34313,
  [SMALL_STATE(1151)] = 34393,
  [SMALL_STATE(1152)] = 34459,
  [SMALL_STATE(1153)] = 34525,
  [SMALL_STATE(1154)] = 34591,
  [SMALL_STATE(1155)] = 34661,
  [SMALL_STATE(1156)] = 34727,
  [SMALL_STATE(1157)] = 34797,
  [SMALL_STATE(1158)] = 34877,
  [SMALL_STATE(1159)] = 34957,
  [SMALL_STATE(1160)] = 35019,
  [SMALL_STATE(1161)] = 35085,
  [SMALL_STATE(1162)] = 35133,
  [SMALL_STATE(1163)] = 35207,
  [SMALL_STATE(1164)] = 35251,
  [SMALL_STATE(1165)] = 35325,
  [SMALL_STATE(1166)] = 35403,
  [SMALL_STATE(1167)] = 35483,
  [SMALL_STATE(1168)] = 35553,
  [SMALL_STATE(1169)] = 35621,
  [SMALL_STATE(1170)] = 35685,
  [SMALL_STATE(1171)] = 35743,
  [SMALL_STATE(1172)] = 35797,
  [SMALL_STATE(1173)] = 35847,
  [SMALL_STATE(1174)] = 35899,
  [SMALL_STATE(1175)] = 35943,
  [SMALL_STATE(1176)] = 36017,
  [SMALL_STATE(1177)] = 36091,
  [SMALL_STATE(1178)] = 36165,
  [SMALL_STATE(1179)] = 36239,
  [SMALL_STATE(1180)] = 36319,
  [SMALL_STATE(1181)] = 36399,
  [SMALL_STATE(1182)] = 36479,
  [SMALL_STATE(1183)] = 36559,
  [SMALL_STATE(1184)] = 36641,
  [SMALL_STATE(1185)] = 36721,
  [SMALL_STATE(1186)] = 36801,
  [SMALL_STATE(1187)] = 36877,
  [SMALL_STATE(1188)] = 36956,
  [SMALL_STATE(1189)] = 37039,
  [SMALL_STATE(1190)] = 37122,
  [SMALL_STATE(1191)] = 37205,
  [SMALL_STATE(1192)] = 37288,
  [SMALL_STATE(1193)] = 37371,
  [SMALL_STATE(1194)] = 37414,
  [SMALL_STATE(1195)] = 37497,
  [SMALL_STATE(1196)] = 37540,
  [SMALL_STATE(1197)] = 37623,
  [SMALL_STATE(1198)] = 37706,
  [SMALL_STATE(1199)] = 37786,
  [SMALL_STATE(1200)] = 37868,
  [SMALL_STATE(1201)] = 37948,
  [SMALL_STATE(1202)] = 38028,
  [SMALL_STATE(1203)] = 38108,
  [SMALL_STATE(1204)] = 38188,
  [SMALL_STATE(1205)] = 38266,
  [SMALL_STATE(1206)] = 38346,
  [SMALL_STATE(1207)] = 38410,
  [SMALL_STATE(1208)] = 38490,
  [SMALL_STATE(1209)] = 38568,
  [SMALL_STATE(1210)] = 38632,
  [SMALL_STATE(1211)] = 38712,
  [SMALL_STATE(1212)] = 38792,
  [SMALL_STATE(1213)] = 38872,
  [SMALL_STATE(1214)] = 38952,
  [SMALL_STATE(1215)] = 39032,
  [SMALL_STATE(1216)] = 39112,
  [SMALL_STATE(1217)] = 39192,
  [SMALL_STATE(1218)] = 39272,
  [SMALL_STATE(1219)] = 39352,
  [SMALL_STATE(1220)] = 39429,
  [SMALL_STATE(1221)] = 39500,
  [SMALL_STATE(1222)] = 39577,
  [SMALL_STATE(1223)] = 39656,
  [SMALL_STATE(1224)] = 39735,
  [SMALL_STATE(1225)] = 39814,
  [SMALL_STATE(1226)] = 39891,
  [SMALL_STATE(1227)] = 39962,
  [SMALL_STATE(1228)] = 40003,
  [SMALL_STATE(1229)] = 40074,
  [SMALL_STATE(1230)] = 40145,
  [SMALL_STATE(1231)] = 40224,
  [SMALL_STATE(1232)] = 40301,
  [SMALL_STATE(1233)] = 40378,
  [SMALL_STATE(1234)] = 40455,
  [SMALL_STATE(1235)] = 40532,
  [SMALL_STATE(1236)] = 40609,
  [SMALL_STATE(1237)] = 40686,
  [SMALL_STATE(1238)] = 40763,
  [SMALL_STATE(1239)] = 40840,
  [SMALL_STATE(1240)] = 40911,
  [SMALL_STATE(1241)] = 40988,
  [SMALL_STATE(1242)] = 41065,
  [SMALL_STATE(1243)] = 41136,
  [SMALL_STATE(1244)] = 41215,
  [SMALL_STATE(1245)] = 41292,
  [SMALL_STATE(1246)] = 41363,
  [SMALL_STATE(1247)] = 41440,
  [SMALL_STATE(1248)] = 41517,
  [SMALL_STATE(1249)] = 41593,
  [SMALL_STATE(1250)] = 41669,
  [SMALL_STATE(1251)] = 41707,
  [SMALL_STATE(1252)] = 41783,
  [SMALL_STATE(1253)] = 41859,
  [SMALL_STATE(1254)] = 41935,
  [SMALL_STATE(1255)] = 42011,
  [SMALL_STATE(1256)] = 42087,
  [SMALL_STATE(1257)] = 42163,
  [SMALL_STATE(1258)] = 42239,
  [SMALL_STATE(1259)] = 42315,
  [SMALL_STATE(1260)] = 42391,
  [SMALL_STATE(1261)] = 42467,
  [SMALL_STATE(1262)] = 42543,
  [SMALL_STATE(1263)] = 42619,
  [SMALL_STATE(1264)] = 42695,
  [SMALL_STATE(1265)] = 42771,
  [SMALL_STATE(1266)] = 42847,
  [SMALL_STATE(1267)] = 42923,
  [SMALL_STATE(1268)] = 42961,
  [SMALL_STATE(1269)] = 43037,
  [SMALL_STATE(1270)] = 43113,
  [SMALL_STATE(1271)] = 43189,
  [SMALL_STATE(1272)] = 43265,
  [SMALL_STATE(1273)] = 43341,
  [SMALL_STATE(1274)] = 43417,
  [SMALL_STATE(1275)] = 43493,
  [SMALL_STATE(1276)] = 43569,
  [SMALL_STATE(1277)] = 43645,
  [SMALL_STATE(1278)] = 43721,
  [SMALL_STATE(1279)] = 43797,
  [SMALL_STATE(1280)] = 43873,
  [SMALL_STATE(1281)] = 43949,
  [SMALL_STATE(1282)] = 44025,
  [SMALL_STATE(1283)] = 44101,
  [SMALL_STATE(1284)] = 44177,
  [SMALL_STATE(1285)] = 44253,
  [SMALL_STATE(1286)] = 44329,
  [SMALL_STATE(1287)] = 44405,
  [SMALL_STATE(1288)] = 44481,
  [SMALL_STATE(1289)] = 44557,
  [SMALL_STATE(1290)] = 44633,
  [SMALL_STATE(1291)] = 44709,
  [SMALL_STATE(1292)] = 44747,
  [SMALL_STATE(1293)] = 44785,
  [SMALL_STATE(1294)] = 44861,
  [SMALL_STATE(1295)] = 44937,
  [SMALL_STATE(1296)] = 45013,
  [SMALL_STATE(1297)] = 45089,
  [SMALL_STATE(1298)] = 45165,
  [SMALL_STATE(1299)] = 45241,
  [SMALL_STATE(1300)] = 45317,
  [SMALL_STATE(1301)] = 45393,
  [SMALL_STATE(1302)] = 45469,
  [SMALL_STATE(1303)] = 45545,
  [SMALL_STATE(1304)] = 45610,
  [SMALL_STATE(1305)] = 45675,
  [SMALL_STATE(1306)] = 45712,
  [SMALL_STATE(1307)] = 45777,
  [SMALL_STATE(1308)] = 45834,
  [SMALL_STATE(1309)] = 45891,
  [SMALL_STATE(1310)] = 45956,
  [SMALL_STATE(1311)] = 46021,
  [SMALL_STATE(1312)] = 46059,
  [SMALL_STATE(1313)] = 46097,
  [SMALL_STATE(1314)] = 46129,
  [SMALL_STATE(1315)] = 46175,
  [SMALL_STATE(1316)] = 46221,
  [SMALL_STATE(1317)] = 46253,
  [SMALL_STATE(1318)] = 46307,
  [SMALL_STATE(1319)] = 46353,
  [SMALL_STATE(1320)] = 46399,
  [SMALL_STATE(1321)] = 46445,
  [SMALL_STATE(1322)] = 46491,
  [SMALL_STATE(1323)] = 46537,
  [SMALL_STATE(1324)] = 46583,
  [SMALL_STATE(1325)] = 46629,
  [SMALL_STATE(1326)] = 46661,
  [SMALL_STATE(1327)] = 46715,
  [SMALL_STATE(1328)] = 46761,
  [SMALL_STATE(1329)] = 46807,
  [SMALL_STATE(1330)] = 46850,
  [SMALL_STATE(1331)] = 46893,
  [SMALL_STATE(1332)] = 46936,
  [SMALL_STATE(1333)] = 46979,
  [SMALL_STATE(1334)] = 47022,
  [SMALL_STATE(1335)] = 47065,
  [SMALL_STATE(1336)] = 47121,
  [SMALL_STATE(1337)] = 47177,
  [SMALL_STATE(1338)] = 47210,
  [SMALL_STATE(1339)] = 47243,
  [SMALL_STATE(1340)] = 47281,
  [SMALL_STATE(1341)] = 47317,
  [SMALL_STATE(1342)] = 47355,
  [SMALL_STATE(1343)] = 47393,
  [SMALL_STATE(1344)] = 47429,
  [SMALL_STATE(1345)] = 47456,
  [SMALL_STATE(1346)] = 47483,
  [SMALL_STATE(1347)] = 47528,
  [SMALL_STATE(1348)] = 47555,
  [SMALL_STATE(1349)] = 47597,
  [SMALL_STATE(1350)] = 47636,
  [SMALL_STATE(1351)] = 47675,
  [SMALL_STATE(1352)] = 47714,
  [SMALL_STATE(1353)] = 47753,
  [SMALL_STATE(1354)] = 47778,
  [SMALL_STATE(1355)] = 47817,
  [SMALL_STATE(1356)] = 47853,
  [SMALL_STATE(1357)] = 47889,
  [SMALL_STATE(1358)] = 47925,
  [SMALL_STATE(1359)] = 47961,
  [SMALL_STATE(1360)] = 47997,
  [SMALL_STATE(1361)] = 48033,
  [SMALL_STATE(1362)] = 48073,
  [SMALL_STATE(1363)] = 48113,
  [SMALL_STATE(1364)] = 48149,
  [SMALL_STATE(1365)] = 48185,
  [SMALL_STATE(1366)] = 48221,
  [SMALL_STATE(1367)] = 48256,
  [SMALL_STATE(1368)] = 48293,
  [SMALL_STATE(1369)] = 48328,
  [SMALL_STATE(1370)] = 48363,
  [SMALL_STATE(1371)] = 48397,
  [SMALL_STATE(1372)] = 48417,
  [SMALL_STATE(1373)] = 48451,
  [SMALL_STATE(1374)] = 48485,
  [SMALL_STATE(1375)] = 48505,
  [SMALL_STATE(1376)] = 48525,
  [SMALL_STATE(1377)] = 48545,
  [SMALL_STATE(1378)] = 48565,
  [SMALL_STATE(1379)] = 48585,
  [SMALL_STATE(1380)] = 48619,
  [SMALL_STATE(1381)] = 48639,
  [SMALL_STATE(1382)] = 48659,
  [SMALL_STATE(1383)] = 48679,
  [SMALL_STATE(1384)] = 48699,
  [SMALL_STATE(1385)] = 48733,
  [SMALL_STATE(1386)] = 48767,
  [SMALL_STATE(1387)] = 48801,
  [SMALL_STATE(1388)] = 48835,
  [SMALL_STATE(1389)] = 48869,
  [SMALL_STATE(1390)] = 48903,
  [SMALL_STATE(1391)] = 48937,
  [SMALL_STATE(1392)] = 48971,
  [SMALL_STATE(1393)] = 48991,
  [SMALL_STATE(1394)] = 49025,
  [SMALL_STATE(1395)] = 49059,
  [SMALL_STATE(1396)] = 49079,
  [SMALL_STATE(1397)] = 49098,
  [SMALL_STATE(1398)] = 49129,
  [SMALL_STATE(1399)] = 49160,
  [SMALL_STATE(1400)] = 49179,
  [SMALL_STATE(1401)] = 49198,
  [SMALL_STATE(1402)] = 49217,
  [SMALL_STATE(1403)] = 49236,
  [SMALL_STATE(1404)] = 49267,
  [SMALL_STATE(1405)] = 49286,
  [SMALL_STATE(1406)] = 49305,
  [SMALL_STATE(1407)] = 49324,
  [SMALL_STATE(1408)] = 49343,
  [SMALL_STATE(1409)] = 49362,
  [SMALL_STATE(1410)] = 49387,
  [SMALL_STATE(1411)] = 49406,
  [SMALL_STATE(1412)] = 49425,
  [SMALL_STATE(1413)] = 49444,
  [SMALL_STATE(1414)] = 49463,
  [SMALL_STATE(1415)] = 49494,
  [SMALL_STATE(1416)] = 49513,
  [SMALL_STATE(1417)] = 49532,
  [SMALL_STATE(1418)] = 49551,
  [SMALL_STATE(1419)] = 49570,
  [SMALL_STATE(1420)] = 49589,
  [SMALL_STATE(1421)] = 49617,
  [SMALL_STATE(1422)] = 49645,
  [SMALL_STATE(1423)] = 49673,
  [SMALL_STATE(1424)] = 49701,
  [SMALL_STATE(1425)] = 49731,
  [SMALL_STATE(1426)] = 49759,
  [SMALL_STATE(1427)] = 49795,
  [SMALL_STATE(1428)] = 49823,
  [SMALL_STATE(1429)] = 49851,
  [SMALL_STATE(1430)] = 49881,
  [SMALL_STATE(1431)] = 49909,
  [SMALL_STATE(1432)] = 49939,
  [SMALL_STATE(1433)] = 49969,
  [SMALL_STATE(1434)] = 49997,
  [SMALL_STATE(1435)] = 50025,
  [SMALL_STATE(1436)] = 50053,
  [SMALL_STATE(1437)] = 50083,
  [SMALL_STATE(1438)] = 50111,
  [SMALL_STATE(1439)] = 50141,
  [SMALL_STATE(1440)] = 50169,
  [SMALL_STATE(1441)] = 50197,
  [SMALL_STATE(1442)] = 50233,
  [SMALL_STATE(1443)] = 50261,
  [SMALL_STATE(1444)] = 50297,
  [SMALL_STATE(1445)] = 50325,
  [SMALL_STATE(1446)] = 50353,
  [SMALL_STATE(1447)] = 50381,
  [SMALL_STATE(1448)] = 50409,
  [SMALL_STATE(1449)] = 50445,
  [SMALL_STATE(1450)] = 50475,
  [SMALL_STATE(1451)] = 50503,
  [SMALL_STATE(1452)] = 50531,
  [SMALL_STATE(1453)] = 50559,
  [SMALL_STATE(1454)] = 50587,
  [SMALL_STATE(1455)] = 50623,
  [SMALL_STATE(1456)] = 50645,
  [SMALL_STATE(1457)] = 50675,
  [SMALL_STATE(1458)] = 50703,
  [SMALL_STATE(1459)] = 50731,
  [SMALL_STATE(1460)] = 50752,
  [SMALL_STATE(1461)] = 50771,
  [SMALL_STATE(1462)] = 50790,
  [SMALL_STATE(1463)] = 50809,
  [SMALL_STATE(1464)] = 50830,
  [SMALL_STATE(1465)] = 50852,
  [SMALL_STATE(1466)] = 50874,
  [SMALL_STATE(1467)] = 50896,
  [SMALL_STATE(1468)] = 50924,
  [SMALL_STATE(1469)] = 50942,
  [SMALL_STATE(1470)] = 50970,
  [SMALL_STATE(1471)] = 50994,
  [SMALL_STATE(1472)] = 51016,
  [SMALL_STATE(1473)] = 51038,
  [SMALL_STATE(1474)] = 51056,
  [SMALL_STATE(1475)] = 51078,
  [SMALL_STATE(1476)] = 51100,
  [SMALL_STATE(1477)] = 51118,
  [SMALL_STATE(1478)] = 51140,
  [SMALL_STATE(1479)] = 51158,
  [SMALL_STATE(1480)] = 51180,
  [SMALL_STATE(1481)] = 51198,
  [SMALL_STATE(1482)] = 51216,
  [SMALL_STATE(1483)] = 51239,
  [SMALL_STATE(1484)] = 51258,
  [SMALL_STATE(1485)] = 51285,
  [SMALL_STATE(1486)] = 51302,
  [SMALL_STATE(1487)] = 51329,
  [SMALL_STATE(1488)] = 51356,
  [SMALL_STATE(1489)] = 51383,
  [SMALL_STATE(1490)] = 51400,
  [SMALL_STATE(1491)] = 51417,
  [SMALL_STATE(1492)] = 51444,
  [SMALL_STATE(1493)] = 51467,
  [SMALL_STATE(1494)] = 51494,
  [SMALL_STATE(1495)] = 51517,
  [SMALL_STATE(1496)] = 51544,
  [SMALL_STATE(1497)] = 51571,
  [SMALL_STATE(1498)] = 51593,
  [SMALL_STATE(1499)] = 51621,
  [SMALL_STATE(1500)] = 51643,
  [SMALL_STATE(1501)] = 51669,
  [SMALL_STATE(1502)] = 51697,
  [SMALL_STATE(1503)] = 51725,
  [SMALL_STATE(1504)] = 51751,
  [SMALL_STATE(1505)] = 51773,
  [SMALL_STATE(1506)] = 51795,
  [SMALL_STATE(1507)] = 51817,
  [SMALL_STATE(1508)] = 51845,
  [SMALL_STATE(1509)] = 51863,
  [SMALL_STATE(1510)] = 51887,
  [SMALL_STATE(1511)] = 51915,
  [SMALL_STATE(1512)] = 51937,
  [SMALL_STATE(1513)] = 51959,
  [SMALL_STATE(1514)] = 51987,
  [SMALL_STATE(1515)] = 52015,
  [SMALL_STATE(1516)] = 52041,
  [SMALL_STATE(1517)] = 52069,
  [SMALL_STATE(1518)] = 52091,
  [SMALL_STATE(1519)] = 52111,
  [SMALL_STATE(1520)] = 52137,
  [SMALL_STATE(1521)] = 52156,
  [SMALL_STATE(1522)] = 52175,
  [SMALL_STATE(1523)] = 52190,
  [SMALL_STATE(1524)] = 52209,
  [SMALL_STATE(1525)] = 52224,
  [SMALL_STATE(1526)] = 52239,
  [SMALL_STATE(1527)] = 52258,
  [SMALL_STATE(1528)] = 52277,
  [SMALL_STATE(1529)] = 52296,
  [SMALL_STATE(1530)] = 52315,
  [SMALL_STATE(1531)] = 52330,
  [SMALL_STATE(1532)] = 52351,
  [SMALL_STATE(1533)] = 52372,
  [SMALL_STATE(1534)] = 52393,
  [SMALL_STATE(1535)] = 52410,
  [SMALL_STATE(1536)] = 52427,
  [SMALL_STATE(1537)] = 52446,
  [SMALL_STATE(1538)] = 52467,
  [SMALL_STATE(1539)] = 52486,
  [SMALL_STATE(1540)] = 52507,
  [SMALL_STATE(1541)] = 52522,
  [SMALL_STATE(1542)] = 52543,
  [SMALL_STATE(1543)] = 52564,
  [SMALL_STATE(1544)] = 52579,
  [SMALL_STATE(1545)] = 52600,
  [SMALL_STATE(1546)] = 52615,
  [SMALL_STATE(1547)] = 52630,
  [SMALL_STATE(1548)] = 52649,
  [SMALL_STATE(1549)] = 52668,
  [SMALL_STATE(1550)] = 52689,
  [SMALL_STATE(1551)] = 52712,
  [SMALL_STATE(1552)] = 52729,
  [SMALL_STATE(1553)] = 52750,
  [SMALL_STATE(1554)] = 52769,
  [SMALL_STATE(1555)] = 52784,
  [SMALL_STATE(1556)] = 52805,
  [SMALL_STATE(1557)] = 52820,
  [SMALL_STATE(1558)] = 52843,
  [SMALL_STATE(1559)] = 52864,
  [SMALL_STATE(1560)] = 52887,
  [SMALL_STATE(1561)] = 52908,
  [SMALL_STATE(1562)] = 52929,
  [SMALL_STATE(1563)] = 52950,
  [SMALL_STATE(1564)] = 52965,
  [SMALL_STATE(1565)] = 52980,
  [SMALL_STATE(1566)] = 52999,
  [SMALL_STATE(1567)] = 53020,
  [SMALL_STATE(1568)] = 53039,
  [SMALL_STATE(1569)] = 53054,
  [SMALL_STATE(1570)] = 53069,
  [SMALL_STATE(1571)] = 53090,
  [SMALL_STATE(1572)] = 53113,
  [SMALL_STATE(1573)] = 53130,
  [SMALL_STATE(1574)] = 53153,
  [SMALL_STATE(1575)] = 53172,
  [SMALL_STATE(1576)] = 53193,
  [SMALL_STATE(1577)] = 53207,
  [SMALL_STATE(1578)] = 53221,
  [SMALL_STATE(1579)] = 53235,
  [SMALL_STATE(1580)] = 53257,
  [SMALL_STATE(1581)] = 53275,
  [SMALL_STATE(1582)] = 53293,
  [SMALL_STATE(1583)] = 53315,
  [SMALL_STATE(1584)] = 53329,
  [SMALL_STATE(1585)] = 53351,
  [SMALL_STATE(1586)] = 53373,
  [SMALL_STATE(1587)] = 53395,
  [SMALL_STATE(1588)] = 53409,
  [SMALL_STATE(1589)] = 53427,
  [SMALL_STATE(1590)] = 53445,
  [SMALL_STATE(1591)] = 53463,
  [SMALL_STATE(1592)] = 53477,
  [SMALL_STATE(1593)] = 53497,
  [SMALL_STATE(1594)] = 53515,
  [SMALL_STATE(1595)] = 53533,
  [SMALL_STATE(1596)] = 53549,
  [SMALL_STATE(1597)] = 53563,
  [SMALL_STATE(1598)] = 53581,
  [SMALL_STATE(1599)] = 53603,
  [SMALL_STATE(1600)] = 53617,
  [SMALL_STATE(1601)] = 53631,
  [SMALL_STATE(1602)] = 53651,
  [SMALL_STATE(1603)] = 53673,
  [SMALL_STATE(1604)] = 53695,
  [SMALL_STATE(1605)] = 53711,
  [SMALL_STATE(1606)] = 53725,
  [SMALL_STATE(1607)] = 53747,
  [SMALL_STATE(1608)] = 53769,
  [SMALL_STATE(1609)] = 53789,
  [SMALL_STATE(1610)] = 53811,
  [SMALL_STATE(1611)] = 53829,
  [SMALL_STATE(1612)] = 53847,
  [SMALL_STATE(1613)] = 53863,
  [SMALL_STATE(1614)] = 53883,
  [SMALL_STATE(1615)] = 53899,
  [SMALL_STATE(1616)] = 53921,
  [SMALL_STATE(1617)] = 53939,
  [SMALL_STATE(1618)] = 53953,
  [SMALL_STATE(1619)] = 53975,
  [SMALL_STATE(1620)] = 53997,
  [SMALL_STATE(1621)] = 54011,
  [SMALL_STATE(1622)] = 54029,
  [SMALL_STATE(1623)] = 54051,
  [SMALL_STATE(1624)] = 54069,
  [SMALL_STATE(1625)] = 54083,
  [SMALL_STATE(1626)] = 54101,
  [SMALL_STATE(1627)] = 54119,
  [SMALL_STATE(1628)] = 54141,
  [SMALL_STATE(1629)] = 54163,
  [SMALL_STATE(1630)] = 54181,
  [SMALL_STATE(1631)] = 54195,
  [SMALL_STATE(1632)] = 54209,
  [SMALL_STATE(1633)] = 54231,
  [SMALL_STATE(1634)] = 54249,
  [SMALL_STATE(1635)] = 54271,
  [SMALL_STATE(1636)] = 54287,
  [SMALL_STATE(1637)] = 54309,
  [SMALL_STATE(1638)] = 54331,
  [SMALL_STATE(1639)] = 54347,
  [SMALL_STATE(1640)] = 54369,
  [SMALL_STATE(1641)] = 54385,
  [SMALL_STATE(1642)] = 54405,
  [SMALL_STATE(1643)] = 54419,
  [SMALL_STATE(1644)] = 54433,
  [SMALL_STATE(1645)] = 54451,
  [SMALL_STATE(1646)] = 54465,
  [SMALL_STATE(1647)] = 54481,
  [SMALL_STATE(1648)] = 54499,
  [SMALL_STATE(1649)] = 54517,
  [SMALL_STATE(1650)] = 54539,
  [SMALL_STATE(1651)] = 54553,
  [SMALL_STATE(1652)] = 54567,
  [SMALL_STATE(1653)] = 54581,
  [SMALL_STATE(1654)] = 54597,
  [SMALL_STATE(1655)] = 54615,
  [SMALL_STATE(1656)] = 54631,
  [SMALL_STATE(1657)] = 54653,
  [SMALL_STATE(1658)] = 54667,
  [SMALL_STATE(1659)] = 54689,
  [SMALL_STATE(1660)] = 54707,
  [SMALL_STATE(1661)] = 54724,
  [SMALL_STATE(1662)] = 54743,
  [SMALL_STATE(1663)] = 54760,
  [SMALL_STATE(1664)] = 54771,
  [SMALL_STATE(1665)] = 54786,
  [SMALL_STATE(1666)] = 54805,
  [SMALL_STATE(1667)] = 54818,
  [SMALL_STATE(1668)] = 54831,
  [SMALL_STATE(1669)] = 54844,
  [SMALL_STATE(1670)] = 54857,
  [SMALL_STATE(1671)] = 54870,
  [SMALL_STATE(1672)] = 54885,
  [SMALL_STATE(1673)] = 54898,
  [SMALL_STATE(1674)] = 54913,
  [SMALL_STATE(1675)] = 54928,
  [SMALL_STATE(1676)] = 54941,
  [SMALL_STATE(1677)] = 54954,
  [SMALL_STATE(1678)] = 54973,
  [SMALL_STATE(1679)] = 54986,
  [SMALL_STATE(1680)] = 54999,
  [SMALL_STATE(1681)] = 55018,
  [SMALL_STATE(1682)] = 55037,
  [SMALL_STATE(1683)] = 55056,
  [SMALL_STATE(1684)] = 55073,
  [SMALL_STATE(1685)] = 55092,
  [SMALL_STATE(1686)] = 55109,
  [SMALL_STATE(1687)] = 55126,
  [SMALL_STATE(1688)] = 55137,
  [SMALL_STATE(1689)] = 55154,
  [SMALL_STATE(1690)] = 55171,
  [SMALL_STATE(1691)] = 55182,
  [SMALL_STATE(1692)] = 55199,
  [SMALL_STATE(1693)] = 55218,
  [SMALL_STATE(1694)] = 55237,
  [SMALL_STATE(1695)] = 55254,
  [SMALL_STATE(1696)] = 55271,
  [SMALL_STATE(1697)] = 55288,
  [SMALL_STATE(1698)] = 55305,
  [SMALL_STATE(1699)] = 55322,
  [SMALL_STATE(1700)] = 55341,
  [SMALL_STATE(1701)] = 55356,
  [SMALL_STATE(1702)] = 55373,
  [SMALL_STATE(1703)] = 55392,
  [SMALL_STATE(1704)] = 55405,
  [SMALL_STATE(1705)] = 55418,
  [SMALL_STATE(1706)] = 55435,
  [SMALL_STATE(1707)] = 55448,
  [SMALL_STATE(1708)] = 55461,
  [SMALL_STATE(1709)] = 55474,
  [SMALL_STATE(1710)] = 55487,
  [SMALL_STATE(1711)] = 55506,
  [SMALL_STATE(1712)] = 55521,
  [SMALL_STATE(1713)] = 55538,
  [SMALL_STATE(1714)] = 55555,
  [SMALL_STATE(1715)] = 55568,
  [SMALL_STATE(1716)] = 55583,
  [SMALL_STATE(1717)] = 55602,
  [SMALL_STATE(1718)] = 55619,
  [SMALL_STATE(1719)] = 55638,
  [SMALL_STATE(1720)] = 55655,
  [SMALL_STATE(1721)] = 55670,
  [SMALL_STATE(1722)] = 55687,
  [SMALL_STATE(1723)] = 55704,
  [SMALL_STATE(1724)] = 55721,
  [SMALL_STATE(1725)] = 55738,
  [SMALL_STATE(1726)] = 55749,
  [SMALL_STATE(1727)] = 55766,
  [SMALL_STATE(1728)] = 55781,
  [SMALL_STATE(1729)] = 55798,
  [SMALL_STATE(1730)] = 55815,
  [SMALL_STATE(1731)] = 55830,
  [SMALL_STATE(1732)] = 55845,
  [SMALL_STATE(1733)] = 55862,
  [SMALL_STATE(1734)] = 55881,
  [SMALL_STATE(1735)] = 55898,
  [SMALL_STATE(1736)] = 55913,
  [SMALL_STATE(1737)] = 55930,
  [SMALL_STATE(1738)] = 55947,
  [SMALL_STATE(1739)] = 55962,
  [SMALL_STATE(1740)] = 55981,
  [SMALL_STATE(1741)] = 55996,
  [SMALL_STATE(1742)] = 56011,
  [SMALL_STATE(1743)] = 56030,
  [SMALL_STATE(1744)] = 56047,
  [SMALL_STATE(1745)] = 56064,
  [SMALL_STATE(1746)] = 56083,
  [SMALL_STATE(1747)] = 56094,
  [SMALL_STATE(1748)] = 56109,
  [SMALL_STATE(1749)] = 56124,
  [SMALL_STATE(1750)] = 56141,
  [SMALL_STATE(1751)] = 56156,
  [SMALL_STATE(1752)] = 56171,
  [SMALL_STATE(1753)] = 56188,
  [SMALL_STATE(1754)] = 56203,
  [SMALL_STATE(1755)] = 56220,
  [SMALL_STATE(1756)] = 56239,
  [SMALL_STATE(1757)] = 56256,
  [SMALL_STATE(1758)] = 56273,
  [SMALL_STATE(1759)] = 56286,
  [SMALL_STATE(1760)] = 56303,
  [SMALL_STATE(1761)] = 56316,
  [SMALL_STATE(1762)] = 56335,
  [SMALL_STATE(1763)] = 56348,
  [SMALL_STATE(1764)] = 56361,
  [SMALL_STATE(1765)] = 56374,
  [SMALL_STATE(1766)] = 56391,
  [SMALL_STATE(1767)] = 56408,
  [SMALL_STATE(1768)] = 56427,
  [SMALL_STATE(1769)] = 56444,
  [SMALL_STATE(1770)] = 56457,
  [SMALL_STATE(1771)] = 56470,
  [SMALL_STATE(1772)] = 56487,
  [SMALL_STATE(1773)] = 56500,
  [SMALL_STATE(1774)] = 56513,
  [SMALL_STATE(1775)] = 56530,
  [SMALL_STATE(1776)] = 56547,
  [SMALL_STATE(1777)] = 56564,
  [SMALL_STATE(1778)] = 56583,
  [SMALL_STATE(1779)] = 56594,
  [SMALL_STATE(1780)] = 56609,
  [SMALL_STATE(1781)] = 56624,
  [SMALL_STATE(1782)] = 56639,
  [SMALL_STATE(1783)] = 56654,
  [SMALL_STATE(1784)] = 56671,
  [SMALL_STATE(1785)] = 56682,
  [SMALL_STATE(1786)] = 56696,
  [SMALL_STATE(1787)] = 56712,
  [SMALL_STATE(1788)] = 56726,
  [SMALL_STATE(1789)] = 56738,
  [SMALL_STATE(1790)] = 56754,
  [SMALL_STATE(1791)] = 56770,
  [SMALL_STATE(1792)] = 56780,
  [SMALL_STATE(1793)] = 56794,
  [SMALL_STATE(1794)] = 56808,
  [SMALL_STATE(1795)] = 56820,
  [SMALL_STATE(1796)] = 56836,
  [SMALL_STATE(1797)] = 56852,
  [SMALL_STATE(1798)] = 56868,
  [SMALL_STATE(1799)] = 56882,
  [SMALL_STATE(1800)] = 56898,
  [SMALL_STATE(1801)] = 56914,
  [SMALL_STATE(1802)] = 56926,
  [SMALL_STATE(1803)] = 56940,
  [SMALL_STATE(1804)] = 56956,
  [SMALL_STATE(1805)] = 56970,
  [SMALL_STATE(1806)] = 56980,
  [SMALL_STATE(1807)] = 56992,
  [SMALL_STATE(1808)] = 57008,
  [SMALL_STATE(1809)] = 57020,
  [SMALL_STATE(1810)] = 57034,
  [SMALL_STATE(1811)] = 57050,
  [SMALL_STATE(1812)] = 57066,
  [SMALL_STATE(1813)] = 57076,
  [SMALL_STATE(1814)] = 57088,
  [SMALL_STATE(1815)] = 57104,
  [SMALL_STATE(1816)] = 57118,
  [SMALL_STATE(1817)] = 57134,
  [SMALL_STATE(1818)] = 57150,
  [SMALL_STATE(1819)] = 57166,
  [SMALL_STATE(1820)] = 57180,
  [SMALL_STATE(1821)] = 57194,
  [SMALL_STATE(1822)] = 57210,
  [SMALL_STATE(1823)] = 57226,
  [SMALL_STATE(1824)] = 57242,
  [SMALL_STATE(1825)] = 57254,
  [SMALL_STATE(1826)] = 57268,
  [SMALL_STATE(1827)] = 57284,
  [SMALL_STATE(1828)] = 57300,
  [SMALL_STATE(1829)] = 57310,
  [SMALL_STATE(1830)] = 57326,
  [SMALL_STATE(1831)] = 57342,
  [SMALL_STATE(1832)] = 57354,
  [SMALL_STATE(1833)] = 57370,
  [SMALL_STATE(1834)] = 57382,
  [SMALL_STATE(1835)] = 57392,
  [SMALL_STATE(1836)] = 57408,
  [SMALL_STATE(1837)] = 57424,
  [SMALL_STATE(1838)] = 57434,
  [SMALL_STATE(1839)] = 57444,
  [SMALL_STATE(1840)] = 57460,
  [SMALL_STATE(1841)] = 57470,
  [SMALL_STATE(1842)] = 57480,
  [SMALL_STATE(1843)] = 57490,
  [SMALL_STATE(1844)] = 57504,
  [SMALL_STATE(1845)] = 57520,
  [SMALL_STATE(1846)] = 57536,
  [SMALL_STATE(1847)] = 57552,
  [SMALL_STATE(1848)] = 57568,
  [SMALL_STATE(1849)] = 57582,
  [SMALL_STATE(1850)] = 57594,
  [SMALL_STATE(1851)] = 57604,
  [SMALL_STATE(1852)] = 57620,
  [SMALL_STATE(1853)] = 57632,
  [SMALL_STATE(1854)] = 57648,
  [SMALL_STATE(1855)] = 57664,
  [SMALL_STATE(1856)] = 57674,
  [SMALL_STATE(1857)] = 57684,
  [SMALL_STATE(1858)] = 57698,
  [SMALL_STATE(1859)] = 57712,
  [SMALL_STATE(1860)] = 57726,
  [SMALL_STATE(1861)] = 57742,
  [SMALL_STATE(1862)] = 57752,
  [SMALL_STATE(1863)] = 57768,
  [SMALL_STATE(1864)] = 57784,
  [SMALL_STATE(1865)] = 57800,
  [SMALL_STATE(1866)] = 57816,
  [SMALL_STATE(1867)] = 57832,
  [SMALL_STATE(1868)] = 57846,
  [SMALL_STATE(1869)] = 57862,
  [SMALL_STATE(1870)] = 57876,
  [SMALL_STATE(1871)] = 57892,
  [SMALL_STATE(1872)] = 57908,
  [SMALL_STATE(1873)] = 57924,
  [SMALL_STATE(1874)] = 57938,
  [SMALL_STATE(1875)] = 57952,
  [SMALL_STATE(1876)] = 57966,
  [SMALL_STATE(1877)] = 57982,
  [SMALL_STATE(1878)] = 57996,
  [SMALL_STATE(1879)] = 58008,
  [SMALL_STATE(1880)] = 58024,
  [SMALL_STATE(1881)] = 58038,
  [SMALL_STATE(1882)] = 58052,
  [SMALL_STATE(1883)] = 58066,
  [SMALL_STATE(1884)] = 58076,
  [SMALL_STATE(1885)] = 58092,
  [SMALL_STATE(1886)] = 58106,
  [SMALL_STATE(1887)] = 58118,
  [SMALL_STATE(1888)] = 58128,
  [SMALL_STATE(1889)] = 58138,
  [SMALL_STATE(1890)] = 58154,
  [SMALL_STATE(1891)] = 58170,
  [SMALL_STATE(1892)] = 58186,
  [SMALL_STATE(1893)] = 58198,
  [SMALL_STATE(1894)] = 58214,
  [SMALL_STATE(1895)] = 58230,
  [SMALL_STATE(1896)] = 58241,
  [SMALL_STATE(1897)] = 58252,
  [SMALL_STATE(1898)] = 58265,
  [SMALL_STATE(1899)] = 58278,
  [SMALL_STATE(1900)] = 58289,
  [SMALL_STATE(1901)] = 58302,
  [SMALL_STATE(1902)] = 58315,
  [SMALL_STATE(1903)] = 58326,
  [SMALL_STATE(1904)] = 58339,
  [SMALL_STATE(1905)] = 58350,
  [SMALL_STATE(1906)] = 58361,
  [SMALL_STATE(1907)] = 58372,
  [SMALL_STATE(1908)] = 58383,
  [SMALL_STATE(1909)] = 58394,
  [SMALL_STATE(1910)] = 58405,
  [SMALL_STATE(1911)] = 58418,
  [SMALL_STATE(1912)] = 58429,
  [SMALL_STATE(1913)] = 58438,
  [SMALL_STATE(1914)] = 58451,
  [SMALL_STATE(1915)] = 58462,
  [SMALL_STATE(1916)] = 58473,
  [SMALL_STATE(1917)] = 58484,
  [SMALL_STATE(1918)] = 58495,
  [SMALL_STATE(1919)] = 58506,
  [SMALL_STATE(1920)] = 58519,
  [SMALL_STATE(1921)] = 58530,
  [SMALL_STATE(1922)] = 58541,
  [SMALL_STATE(1923)] = 58552,
  [SMALL_STATE(1924)] = 58561,
  [SMALL_STATE(1925)] = 58572,
  [SMALL_STATE(1926)] = 58585,
  [SMALL_STATE(1927)] = 58596,
  [SMALL_STATE(1928)] = 58609,
  [SMALL_STATE(1929)] = 58620,
  [SMALL_STATE(1930)] = 58631,
  [SMALL_STATE(1931)] = 58642,
  [SMALL_STATE(1932)] = 58655,
  [SMALL_STATE(1933)] = 58668,
  [SMALL_STATE(1934)] = 58679,
  [SMALL_STATE(1935)] = 58690,
  [SMALL_STATE(1936)] = 58701,
  [SMALL_STATE(1937)] = 58712,
  [SMALL_STATE(1938)] = 58723,
  [SMALL_STATE(1939)] = 58734,
  [SMALL_STATE(1940)] = 58745,
  [SMALL_STATE(1941)] = 58756,
  [SMALL_STATE(1942)] = 58767,
  [SMALL_STATE(1943)] = 58778,
  [SMALL_STATE(1944)] = 58789,
  [SMALL_STATE(1945)] = 58802,
  [SMALL_STATE(1946)] = 58813,
  [SMALL_STATE(1947)] = 58826,
  [SMALL_STATE(1948)] = 58839,
  [SMALL_STATE(1949)] = 58850,
  [SMALL_STATE(1950)] = 58861,
  [SMALL_STATE(1951)] = 58874,
  [SMALL_STATE(1952)] = 58887,
  [SMALL_STATE(1953)] = 58900,
  [SMALL_STATE(1954)] = 58913,
  [SMALL_STATE(1955)] = 58926,
  [SMALL_STATE(1956)] = 58939,
  [SMALL_STATE(1957)] = 58950,
  [SMALL_STATE(1958)] = 58961,
  [SMALL_STATE(1959)] = 58974,
  [SMALL_STATE(1960)] = 58983,
  [SMALL_STATE(1961)] = 58996,
  [SMALL_STATE(1962)] = 59005,
  [SMALL_STATE(1963)] = 59016,
  [SMALL_STATE(1964)] = 59029,
  [SMALL_STATE(1965)] = 59040,
  [SMALL_STATE(1966)] = 59051,
  [SMALL_STATE(1967)] = 59062,
  [SMALL_STATE(1968)] = 59073,
  [SMALL_STATE(1969)] = 59084,
  [SMALL_STATE(1970)] = 59097,
  [SMALL_STATE(1971)] = 59108,
  [SMALL_STATE(1972)] = 59121,
  [SMALL_STATE(1973)] = 59132,
  [SMALL_STATE(1974)] = 59145,
  [SMALL_STATE(1975)] = 59156,
  [SMALL_STATE(1976)] = 59169,
  [SMALL_STATE(1977)] = 59180,
  [SMALL_STATE(1978)] = 59191,
  [SMALL_STATE(1979)] = 59202,
  [SMALL_STATE(1980)] = 59213,
  [SMALL_STATE(1981)] = 59224,
  [SMALL_STATE(1982)] = 59235,
  [SMALL_STATE(1983)] = 59246,
  [SMALL_STATE(1984)] = 59259,
  [SMALL_STATE(1985)] = 59272,
  [SMALL_STATE(1986)] = 59283,
  [SMALL_STATE(1987)] = 59296,
  [SMALL_STATE(1988)] = 59307,
  [SMALL_STATE(1989)] = 59320,
  [SMALL_STATE(1990)] = 59333,
  [SMALL_STATE(1991)] = 59346,
  [SMALL_STATE(1992)] = 59355,
  [SMALL_STATE(1993)] = 59366,
  [SMALL_STATE(1994)] = 59377,
  [SMALL_STATE(1995)] = 59388,
  [SMALL_STATE(1996)] = 59399,
  [SMALL_STATE(1997)] = 59410,
  [SMALL_STATE(1998)] = 59423,
  [SMALL_STATE(1999)] = 59436,
  [SMALL_STATE(2000)] = 59447,
  [SMALL_STATE(2001)] = 59460,
  [SMALL_STATE(2002)] = 59473,
  [SMALL_STATE(2003)] = 59484,
  [SMALL_STATE(2004)] = 59495,
  [SMALL_STATE(2005)] = 59506,
  [SMALL_STATE(2006)] = 59517,
  [SMALL_STATE(2007)] = 59528,
  [SMALL_STATE(2008)] = 59539,
  [SMALL_STATE(2009)] = 59550,
  [SMALL_STATE(2010)] = 59561,
  [SMALL_STATE(2011)] = 59574,
  [SMALL_STATE(2012)] = 59585,
  [SMALL_STATE(2013)] = 59596,
  [SMALL_STATE(2014)] = 59607,
  [SMALL_STATE(2015)] = 59618,
  [SMALL_STATE(2016)] = 59629,
  [SMALL_STATE(2017)] = 59642,
  [SMALL_STATE(2018)] = 59653,
  [SMALL_STATE(2019)] = 59664,
  [SMALL_STATE(2020)] = 59675,
  [SMALL_STATE(2021)] = 59688,
  [SMALL_STATE(2022)] = 59699,
  [SMALL_STATE(2023)] = 59710,
  [SMALL_STATE(2024)] = 59721,
  [SMALL_STATE(2025)] = 59734,
  [SMALL_STATE(2026)] = 59747,
  [SMALL_STATE(2027)] = 59758,
  [SMALL_STATE(2028)] = 59771,
  [SMALL_STATE(2029)] = 59780,
  [SMALL_STATE(2030)] = 59791,
  [SMALL_STATE(2031)] = 59802,
  [SMALL_STATE(2032)] = 59813,
  [SMALL_STATE(2033)] = 59824,
  [SMALL_STATE(2034)] = 59835,
  [SMALL_STATE(2035)] = 59846,
  [SMALL_STATE(2036)] = 59859,
  [SMALL_STATE(2037)] = 59870,
  [SMALL_STATE(2038)] = 59881,
  [SMALL_STATE(2039)] = 59892,
  [SMALL_STATE(2040)] = 59905,
  [SMALL_STATE(2041)] = 59916,
  [SMALL_STATE(2042)] = 59927,
  [SMALL_STATE(2043)] = 59938,
  [SMALL_STATE(2044)] = 59949,
  [SMALL_STATE(2045)] = 59962,
  [SMALL_STATE(2046)] = 59975,
  [SMALL_STATE(2047)] = 59988,
  [SMALL_STATE(2048)] = 59999,
  [SMALL_STATE(2049)] = 60012,
  [SMALL_STATE(2050)] = 60023,
  [SMALL_STATE(2051)] = 60034,
  [SMALL_STATE(2052)] = 60045,
  [SMALL_STATE(2053)] = 60056,
  [SMALL_STATE(2054)] = 60067,
  [SMALL_STATE(2055)] = 60078,
  [SMALL_STATE(2056)] = 60091,
  [SMALL_STATE(2057)] = 60102,
  [SMALL_STATE(2058)] = 60113,
  [SMALL_STATE(2059)] = 60126,
  [SMALL_STATE(2060)] = 60137,
  [SMALL_STATE(2061)] = 60150,
  [SMALL_STATE(2062)] = 60161,
  [SMALL_STATE(2063)] = 60172,
  [SMALL_STATE(2064)] = 60185,
  [SMALL_STATE(2065)] = 60196,
  [SMALL_STATE(2066)] = 60207,
  [SMALL_STATE(2067)] = 60218,
  [SMALL_STATE(2068)] = 60229,
  [SMALL_STATE(2069)] = 60242,
  [SMALL_STATE(2070)] = 60253,
  [SMALL_STATE(2071)] = 60266,
  [SMALL_STATE(2072)] = 60279,
  [SMALL_STATE(2073)] = 60290,
  [SMALL_STATE(2074)] = 60303,
  [SMALL_STATE(2075)] = 60314,
  [SMALL_STATE(2076)] = 60325,
  [SMALL_STATE(2077)] = 60334,
  [SMALL_STATE(2078)] = 60345,
  [SMALL_STATE(2079)] = 60356,
  [SMALL_STATE(2080)] = 60367,
  [SMALL_STATE(2081)] = 60378,
  [SMALL_STATE(2082)] = 60391,
  [SMALL_STATE(2083)] = 60404,
  [SMALL_STATE(2084)] = 60415,
  [SMALL_STATE(2085)] = 60424,
  [SMALL_STATE(2086)] = 60437,
  [SMALL_STATE(2087)] = 60446,
  [SMALL_STATE(2088)] = 60459,
  [SMALL_STATE(2089)] = 60468,
  [SMALL_STATE(2090)] = 60479,
  [SMALL_STATE(2091)] = 60490,
  [SMALL_STATE(2092)] = 60503,
  [SMALL_STATE(2093)] = 60516,
  [SMALL_STATE(2094)] = 60529,
  [SMALL_STATE(2095)] = 60542,
  [SMALL_STATE(2096)] = 60553,
  [SMALL_STATE(2097)] = 60564,
  [SMALL_STATE(2098)] = 60577,
  [SMALL_STATE(2099)] = 60588,
  [SMALL_STATE(2100)] = 60601,
  [SMALL_STATE(2101)] = 60614,
  [SMALL_STATE(2102)] = 60627,
  [SMALL_STATE(2103)] = 60638,
  [SMALL_STATE(2104)] = 60651,
  [SMALL_STATE(2105)] = 60662,
  [SMALL_STATE(2106)] = 60675,
  [SMALL_STATE(2107)] = 60686,
  [SMALL_STATE(2108)] = 60697,
  [SMALL_STATE(2109)] = 60710,
  [SMALL_STATE(2110)] = 60719,
  [SMALL_STATE(2111)] = 60728,
  [SMALL_STATE(2112)] = 60739,
  [SMALL_STATE(2113)] = 60748,
  [SMALL_STATE(2114)] = 60761,
  [SMALL_STATE(2115)] = 60774,
  [SMALL_STATE(2116)] = 60787,
  [SMALL_STATE(2117)] = 60800,
  [SMALL_STATE(2118)] = 60809,
  [SMALL_STATE(2119)] = 60822,
  [SMALL_STATE(2120)] = 60833,
  [SMALL_STATE(2121)] = 60846,
  [SMALL_STATE(2122)] = 60859,
  [SMALL_STATE(2123)] = 60870,
  [SMALL_STATE(2124)] = 60883,
  [SMALL_STATE(2125)] = 60894,
  [SMALL_STATE(2126)] = 60905,
  [SMALL_STATE(2127)] = 60918,
  [SMALL_STATE(2128)] = 60931,
  [SMALL_STATE(2129)] = 60942,
  [SMALL_STATE(2130)] = 60953,
  [SMALL_STATE(2131)] = 60966,
  [SMALL_STATE(2132)] = 60979,
  [SMALL_STATE(2133)] = 60992,
  [SMALL_STATE(2134)] = 61001,
  [SMALL_STATE(2135)] = 61010,
  [SMALL_STATE(2136)] = 61021,
  [SMALL_STATE(2137)] = 61032,
  [SMALL_STATE(2138)] = 61043,
  [SMALL_STATE(2139)] = 61052,
  [SMALL_STATE(2140)] = 61065,
  [SMALL_STATE(2141)] = 61078,
  [SMALL_STATE(2142)] = 61089,
  [SMALL_STATE(2143)] = 61102,
  [SMALL_STATE(2144)] = 61113,
  [SMALL_STATE(2145)] = 61124,
  [SMALL_STATE(2146)] = 61135,
  [SMALL_STATE(2147)] = 61146,
  [SMALL_STATE(2148)] = 61155,
  [SMALL_STATE(2149)] = 61166,
  [SMALL_STATE(2150)] = 61179,
  [SMALL_STATE(2151)] = 61190,
  [SMALL_STATE(2152)] = 61203,
  [SMALL_STATE(2153)] = 61216,
  [SMALL_STATE(2154)] = 61225,
  [SMALL_STATE(2155)] = 61238,
  [SMALL_STATE(2156)] = 61249,
  [SMALL_STATE(2157)] = 61262,
  [SMALL_STATE(2158)] = 61273,
  [SMALL_STATE(2159)] = 61284,
  [SMALL_STATE(2160)] = 61295,
  [SMALL_STATE(2161)] = 61308,
  [SMALL_STATE(2162)] = 61319,
  [SMALL_STATE(2163)] = 61330,
  [SMALL_STATE(2164)] = 61341,
  [SMALL_STATE(2165)] = 61354,
  [SMALL_STATE(2166)] = 61365,
  [SMALL_STATE(2167)] = 61378,
  [SMALL_STATE(2168)] = 61389,
  [SMALL_STATE(2169)] = 61402,
  [SMALL_STATE(2170)] = 61415,
  [SMALL_STATE(2171)] = 61426,
  [SMALL_STATE(2172)] = 61437,
  [SMALL_STATE(2173)] = 61448,
  [SMALL_STATE(2174)] = 61461,
  [SMALL_STATE(2175)] = 61472,
  [SMALL_STATE(2176)] = 61483,
  [SMALL_STATE(2177)] = 61496,
  [SMALL_STATE(2178)] = 61507,
  [SMALL_STATE(2179)] = 61518,
  [SMALL_STATE(2180)] = 61529,
  [SMALL_STATE(2181)] = 61542,
  [SMALL_STATE(2182)] = 61555,
  [SMALL_STATE(2183)] = 61568,
  [SMALL_STATE(2184)] = 61577,
  [SMALL_STATE(2185)] = 61588,
  [SMALL_STATE(2186)] = 61599,
  [SMALL_STATE(2187)] = 61612,
  [SMALL_STATE(2188)] = 61623,
  [SMALL_STATE(2189)] = 61634,
  [SMALL_STATE(2190)] = 61645,
  [SMALL_STATE(2191)] = 61656,
  [SMALL_STATE(2192)] = 61667,
  [SMALL_STATE(2193)] = 61678,
  [SMALL_STATE(2194)] = 61689,
  [SMALL_STATE(2195)] = 61698,
  [SMALL_STATE(2196)] = 61709,
  [SMALL_STATE(2197)] = 61720,
  [SMALL_STATE(2198)] = 61731,
  [SMALL_STATE(2199)] = 61744,
  [SMALL_STATE(2200)] = 61753,
  [SMALL_STATE(2201)] = 61764,
  [SMALL_STATE(2202)] = 61775,
  [SMALL_STATE(2203)] = 61786,
  [SMALL_STATE(2204)] = 61799,
  [SMALL_STATE(2205)] = 61810,
  [SMALL_STATE(2206)] = 61819,
  [SMALL_STATE(2207)] = 61832,
  [SMALL_STATE(2208)] = 61845,
  [SMALL_STATE(2209)] = 61856,
  [SMALL_STATE(2210)] = 61869,
  [SMALL_STATE(2211)] = 61882,
  [SMALL_STATE(2212)] = 61895,
  [SMALL_STATE(2213)] = 61908,
  [SMALL_STATE(2214)] = 61919,
  [SMALL_STATE(2215)] = 61930,
  [SMALL_STATE(2216)] = 61941,
  [SMALL_STATE(2217)] = 61952,
  [SMALL_STATE(2218)] = 61963,
  [SMALL_STATE(2219)] = 61974,
  [SMALL_STATE(2220)] = 61985,
  [SMALL_STATE(2221)] = 61996,
  [SMALL_STATE(2222)] = 62007,
  [SMALL_STATE(2223)] = 62018,
  [SMALL_STATE(2224)] = 62029,
  [SMALL_STATE(2225)] = 62040,
  [SMALL_STATE(2226)] = 62051,
  [SMALL_STATE(2227)] = 62062,
  [SMALL_STATE(2228)] = 62073,
  [SMALL_STATE(2229)] = 62084,
  [SMALL_STATE(2230)] = 62095,
  [SMALL_STATE(2231)] = 62106,
  [SMALL_STATE(2232)] = 62119,
  [SMALL_STATE(2233)] = 62130,
  [SMALL_STATE(2234)] = 62141,
  [SMALL_STATE(2235)] = 62152,
  [SMALL_STATE(2236)] = 62163,
  [SMALL_STATE(2237)] = 62174,
  [SMALL_STATE(2238)] = 62185,
  [SMALL_STATE(2239)] = 62196,
  [SMALL_STATE(2240)] = 62206,
  [SMALL_STATE(2241)] = 62216,
  [SMALL_STATE(2242)] = 62224,
  [SMALL_STATE(2243)] = 62234,
  [SMALL_STATE(2244)] = 62244,
  [SMALL_STATE(2245)] = 62254,
  [SMALL_STATE(2246)] = 62264,
  [SMALL_STATE(2247)] = 62272,
  [SMALL_STATE(2248)] = 62282,
  [SMALL_STATE(2249)] = 62290,
  [SMALL_STATE(2250)] = 62298,
  [SMALL_STATE(2251)] = 62308,
  [SMALL_STATE(2252)] = 62318,
  [SMALL_STATE(2253)] = 62328,
  [SMALL_STATE(2254)] = 62338,
  [SMALL_STATE(2255)] = 62346,
  [SMALL_STATE(2256)] = 62354,
  [SMALL_STATE(2257)] = 62362,
  [SMALL_STATE(2258)] = 62372,
  [SMALL_STATE(2259)] = 62382,
  [SMALL_STATE(2260)] = 62392,
  [SMALL_STATE(2261)] = 62402,
  [SMALL_STATE(2262)] = 62412,
  [SMALL_STATE(2263)] = 62420,
  [SMALL_STATE(2264)] = 62430,
  [SMALL_STATE(2265)] = 62440,
  [SMALL_STATE(2266)] = 62450,
  [SMALL_STATE(2267)] = 62460,
  [SMALL_STATE(2268)] = 62470,
  [SMALL_STATE(2269)] = 62478,
  [SMALL_STATE(2270)] = 62488,
  [SMALL_STATE(2271)] = 62498,
  [SMALL_STATE(2272)] = 62508,
  [SMALL_STATE(2273)] = 62516,
  [SMALL_STATE(2274)] = 62526,
  [SMALL_STATE(2275)] = 62536,
  [SMALL_STATE(2276)] = 62546,
  [SMALL_STATE(2277)] = 62556,
  [SMALL_STATE(2278)] = 62566,
  [SMALL_STATE(2279)] = 62576,
  [SMALL_STATE(2280)] = 62586,
  [SMALL_STATE(2281)] = 62596,
  [SMALL_STATE(2282)] = 62606,
  [SMALL_STATE(2283)] = 62616,
  [SMALL_STATE(2284)] = 62624,
  [SMALL_STATE(2285)] = 62634,
  [SMALL_STATE(2286)] = 62644,
  [SMALL_STATE(2287)] = 62654,
  [SMALL_STATE(2288)] = 62664,
  [SMALL_STATE(2289)] = 62674,
  [SMALL_STATE(2290)] = 62684,
  [SMALL_STATE(2291)] = 62694,
  [SMALL_STATE(2292)] = 62702,
  [SMALL_STATE(2293)] = 62710,
  [SMALL_STATE(2294)] = 62718,
  [SMALL_STATE(2295)] = 62726,
  [SMALL_STATE(2296)] = 62736,
  [SMALL_STATE(2297)] = 62746,
  [SMALL_STATE(2298)] = 62756,
  [SMALL_STATE(2299)] = 62766,
  [SMALL_STATE(2300)] = 62774,
  [SMALL_STATE(2301)] = 62784,
  [SMALL_STATE(2302)] = 62794,
  [SMALL_STATE(2303)] = 62802,
  [SMALL_STATE(2304)] = 62810,
  [SMALL_STATE(2305)] = 62820,
  [SMALL_STATE(2306)] = 62830,
  [SMALL_STATE(2307)] = 62840,
  [SMALL_STATE(2308)] = 62850,
  [SMALL_STATE(2309)] = 62858,
  [SMALL_STATE(2310)] = 62866,
  [SMALL_STATE(2311)] = 62876,
  [SMALL_STATE(2312)] = 62886,
  [SMALL_STATE(2313)] = 62896,
  [SMALL_STATE(2314)] = 62904,
  [SMALL_STATE(2315)] = 62912,
  [SMALL_STATE(2316)] = 62922,
  [SMALL_STATE(2317)] = 62930,
  [SMALL_STATE(2318)] = 62938,
  [SMALL_STATE(2319)] = 62946,
  [SMALL_STATE(2320)] = 62954,
  [SMALL_STATE(2321)] = 62962,
  [SMALL_STATE(2322)] = 62972,
  [SMALL_STATE(2323)] = 62982,
  [SMALL_STATE(2324)] = 62992,
  [SMALL_STATE(2325)] = 63002,
  [SMALL_STATE(2326)] = 63012,
  [SMALL_STATE(2327)] = 63022,
  [SMALL_STATE(2328)] = 63032,
  [SMALL_STATE(2329)] = 63042,
  [SMALL_STATE(2330)] = 63052,
  [SMALL_STATE(2331)] = 63060,
  [SMALL_STATE(2332)] = 63068,
  [SMALL_STATE(2333)] = 63076,
  [SMALL_STATE(2334)] = 63084,
  [SMALL_STATE(2335)] = 63092,
  [SMALL_STATE(2336)] = 63102,
  [SMALL_STATE(2337)] = 63112,
  [SMALL_STATE(2338)] = 63122,
  [SMALL_STATE(2339)] = 63132,
  [SMALL_STATE(2340)] = 63140,
  [SMALL_STATE(2341)] = 63148,
  [SMALL_STATE(2342)] = 63158,
  [SMALL_STATE(2343)] = 63166,
  [SMALL_STATE(2344)] = 63176,
  [SMALL_STATE(2345)] = 63184,
  [SMALL_STATE(2346)] = 63194,
  [SMALL_STATE(2347)] = 63202,
  [SMALL_STATE(2348)] = 63212,
  [SMALL_STATE(2349)] = 63220,
  [SMALL_STATE(2350)] = 63228,
  [SMALL_STATE(2351)] = 63238,
  [SMALL_STATE(2352)] = 63246,
  [SMALL_STATE(2353)] = 63256,
  [SMALL_STATE(2354)] = 63266,
  [SMALL_STATE(2355)] = 63276,
  [SMALL_STATE(2356)] = 63286,
  [SMALL_STATE(2357)] = 63296,
  [SMALL_STATE(2358)] = 63306,
  [SMALL_STATE(2359)] = 63316,
  [SMALL_STATE(2360)] = 63324,
  [SMALL_STATE(2361)] = 63334,
  [SMALL_STATE(2362)] = 63344,
  [SMALL_STATE(2363)] = 63352,
  [SMALL_STATE(2364)] = 63362,
  [SMALL_STATE(2365)] = 63370,
  [SMALL_STATE(2366)] = 63378,
  [SMALL_STATE(2367)] = 63388,
  [SMALL_STATE(2368)] = 63396,
  [SMALL_STATE(2369)] = 63406,
  [SMALL_STATE(2370)] = 63414,
  [SMALL_STATE(2371)] = 63424,
  [SMALL_STATE(2372)] = 63434,
  [SMALL_STATE(2373)] = 63444,
  [SMALL_STATE(2374)] = 63454,
  [SMALL_STATE(2375)] = 63464,
  [SMALL_STATE(2376)] = 63472,
  [SMALL_STATE(2377)] = 63482,
  [SMALL_STATE(2378)] = 63490,
  [SMALL_STATE(2379)] = 63498,
  [SMALL_STATE(2380)] = 63508,
  [SMALL_STATE(2381)] = 63518,
  [SMALL_STATE(2382)] = 63528,
  [SMALL_STATE(2383)] = 63536,
  [SMALL_STATE(2384)] = 63544,
  [SMALL_STATE(2385)] = 63554,
  [SMALL_STATE(2386)] = 63564,
  [SMALL_STATE(2387)] = 63572,
  [SMALL_STATE(2388)] = 63582,
  [SMALL_STATE(2389)] = 63590,
  [SMALL_STATE(2390)] = 63600,
  [SMALL_STATE(2391)] = 63610,
  [SMALL_STATE(2392)] = 63620,
  [SMALL_STATE(2393)] = 63630,
  [SMALL_STATE(2394)] = 63640,
  [SMALL_STATE(2395)] = 63650,
  [SMALL_STATE(2396)] = 63660,
  [SMALL_STATE(2397)] = 63668,
  [SMALL_STATE(2398)] = 63678,
  [SMALL_STATE(2399)] = 63688,
  [SMALL_STATE(2400)] = 63698,
  [SMALL_STATE(2401)] = 63708,
  [SMALL_STATE(2402)] = 63718,
  [SMALL_STATE(2403)] = 63726,
  [SMALL_STATE(2404)] = 63734,
  [SMALL_STATE(2405)] = 63742,
  [SMALL_STATE(2406)] = 63750,
  [SMALL_STATE(2407)] = 63758,
  [SMALL_STATE(2408)] = 63766,
  [SMALL_STATE(2409)] = 63776,
  [SMALL_STATE(2410)] = 63784,
  [SMALL_STATE(2411)] = 63794,
  [SMALL_STATE(2412)] = 63804,
  [SMALL_STATE(2413)] = 63814,
  [SMALL_STATE(2414)] = 63824,
  [SMALL_STATE(2415)] = 63834,
  [SMALL_STATE(2416)] = 63844,
  [SMALL_STATE(2417)] = 63852,
  [SMALL_STATE(2418)] = 63860,
  [SMALL_STATE(2419)] = 63870,
  [SMALL_STATE(2420)] = 63880,
  [SMALL_STATE(2421)] = 63890,
  [SMALL_STATE(2422)] = 63900,
  [SMALL_STATE(2423)] = 63910,
  [SMALL_STATE(2424)] = 63920,
  [SMALL_STATE(2425)] = 63928,
  [SMALL_STATE(2426)] = 63938,
  [SMALL_STATE(2427)] = 63948,
  [SMALL_STATE(2428)] = 63958,
  [SMALL_STATE(2429)] = 63968,
  [SMALL_STATE(2430)] = 63978,
  [SMALL_STATE(2431)] = 63988,
  [SMALL_STATE(2432)] = 63998,
  [SMALL_STATE(2433)] = 64008,
  [SMALL_STATE(2434)] = 64018,
  [SMALL_STATE(2435)] = 64028,
  [SMALL_STATE(2436)] = 64038,
  [SMALL_STATE(2437)] = 64048,
  [SMALL_STATE(2438)] = 64058,
  [SMALL_STATE(2439)] = 64068,
  [SMALL_STATE(2440)] = 64078,
  [SMALL_STATE(2441)] = 64088,
  [SMALL_STATE(2442)] = 64098,
  [SMALL_STATE(2443)] = 64108,
  [SMALL_STATE(2444)] = 64116,
  [SMALL_STATE(2445)] = 64124,
  [SMALL_STATE(2446)] = 64134,
  [SMALL_STATE(2447)] = 64141,
  [SMALL_STATE(2448)] = 64148,
  [SMALL_STATE(2449)] = 64155,
  [SMALL_STATE(2450)] = 64162,
  [SMALL_STATE(2451)] = 64169,
  [SMALL_STATE(2452)] = 64176,
  [SMALL_STATE(2453)] = 64183,
  [SMALL_STATE(2454)] = 64190,
  [SMALL_STATE(2455)] = 64197,
  [SMALL_STATE(2456)] = 64204,
  [SMALL_STATE(2457)] = 64211,
  [SMALL_STATE(2458)] = 64218,
  [SMALL_STATE(2459)] = 64225,
  [SMALL_STATE(2460)] = 64232,
  [SMALL_STATE(2461)] = 64239,
  [SMALL_STATE(2462)] = 64246,
  [SMALL_STATE(2463)] = 64253,
  [SMALL_STATE(2464)] = 64260,
  [SMALL_STATE(2465)] = 64267,
  [SMALL_STATE(2466)] = 64274,
  [SMALL_STATE(2467)] = 64281,
  [SMALL_STATE(2468)] = 64288,
  [SMALL_STATE(2469)] = 64295,
  [SMALL_STATE(2470)] = 64302,
  [SMALL_STATE(2471)] = 64309,
  [SMALL_STATE(2472)] = 64316,
  [SMALL_STATE(2473)] = 64323,
  [SMALL_STATE(2474)] = 64330,
  [SMALL_STATE(2475)] = 64337,
  [SMALL_STATE(2476)] = 64344,
  [SMALL_STATE(2477)] = 64351,
  [SMALL_STATE(2478)] = 64358,
  [SMALL_STATE(2479)] = 64365,
  [SMALL_STATE(2480)] = 64372,
  [SMALL_STATE(2481)] = 64379,
  [SMALL_STATE(2482)] = 64386,
  [SMALL_STATE(2483)] = 64393,
  [SMALL_STATE(2484)] = 64400,
  [SMALL_STATE(2485)] = 64407,
  [SMALL_STATE(2486)] = 64414,
  [SMALL_STATE(2487)] = 64421,
  [SMALL_STATE(2488)] = 64428,
  [SMALL_STATE(2489)] = 64435,
  [SMALL_STATE(2490)] = 64442,
  [SMALL_STATE(2491)] = 64449,
  [SMALL_STATE(2492)] = 64456,
  [SMALL_STATE(2493)] = 64463,
  [SMALL_STATE(2494)] = 64470,
  [SMALL_STATE(2495)] = 64477,
  [SMALL_STATE(2496)] = 64484,
  [SMALL_STATE(2497)] = 64491,
  [SMALL_STATE(2498)] = 64498,
  [SMALL_STATE(2499)] = 64505,
  [SMALL_STATE(2500)] = 64512,
  [SMALL_STATE(2501)] = 64519,
  [SMALL_STATE(2502)] = 64526,
  [SMALL_STATE(2503)] = 64533,
  [SMALL_STATE(2504)] = 64540,
  [SMALL_STATE(2505)] = 64547,
  [SMALL_STATE(2506)] = 64554,
  [SMALL_STATE(2507)] = 64561,
  [SMALL_STATE(2508)] = 64568,
  [SMALL_STATE(2509)] = 64575,
  [SMALL_STATE(2510)] = 64582,
  [SMALL_STATE(2511)] = 64589,
  [SMALL_STATE(2512)] = 64596,
  [SMALL_STATE(2513)] = 64603,
  [SMALL_STATE(2514)] = 64610,
  [SMALL_STATE(2515)] = 64617,
  [SMALL_STATE(2516)] = 64624,
  [SMALL_STATE(2517)] = 64631,
  [SMALL_STATE(2518)] = 64638,
  [SMALL_STATE(2519)] = 64645,
  [SMALL_STATE(2520)] = 64652,
  [SMALL_STATE(2521)] = 64659,
  [SMALL_STATE(2522)] = 64666,
  [SMALL_STATE(2523)] = 64673,
  [SMALL_STATE(2524)] = 64680,
  [SMALL_STATE(2525)] = 64687,
  [SMALL_STATE(2526)] = 64694,
  [SMALL_STATE(2527)] = 64701,
  [SMALL_STATE(2528)] = 64708,
  [SMALL_STATE(2529)] = 64715,
  [SMALL_STATE(2530)] = 64722,
  [SMALL_STATE(2531)] = 64729,
  [SMALL_STATE(2532)] = 64736,
  [SMALL_STATE(2533)] = 64743,
  [SMALL_STATE(2534)] = 64750,
  [SMALL_STATE(2535)] = 64757,
  [SMALL_STATE(2536)] = 64764,
  [SMALL_STATE(2537)] = 64771,
  [SMALL_STATE(2538)] = 64778,
  [SMALL_STATE(2539)] = 64785,
  [SMALL_STATE(2540)] = 64792,
  [SMALL_STATE(2541)] = 64799,
  [SMALL_STATE(2542)] = 64806,
  [SMALL_STATE(2543)] = 64813,
  [SMALL_STATE(2544)] = 64820,
  [SMALL_STATE(2545)] = 64827,
  [SMALL_STATE(2546)] = 64834,
  [SMALL_STATE(2547)] = 64841,
  [SMALL_STATE(2548)] = 64848,
  [SMALL_STATE(2549)] = 64855,
  [SMALL_STATE(2550)] = 64862,
  [SMALL_STATE(2551)] = 64869,
  [SMALL_STATE(2552)] = 64876,
  [SMALL_STATE(2553)] = 64883,
  [SMALL_STATE(2554)] = 64890,
  [SMALL_STATE(2555)] = 64897,
  [SMALL_STATE(2556)] = 64904,
  [SMALL_STATE(2557)] = 64911,
  [SMALL_STATE(2558)] = 64918,
  [SMALL_STATE(2559)] = 64925,
  [SMALL_STATE(2560)] = 64932,
  [SMALL_STATE(2561)] = 64939,
  [SMALL_STATE(2562)] = 64946,
  [SMALL_STATE(2563)] = 64953,
  [SMALL_STATE(2564)] = 64960,
  [SMALL_STATE(2565)] = 64967,
  [SMALL_STATE(2566)] = 64974,
  [SMALL_STATE(2567)] = 64981,
  [SMALL_STATE(2568)] = 64988,
  [SMALL_STATE(2569)] = 64995,
  [SMALL_STATE(2570)] = 65002,
  [SMALL_STATE(2571)] = 65009,
  [SMALL_STATE(2572)] = 65016,
  [SMALL_STATE(2573)] = 65023,
  [SMALL_STATE(2574)] = 65030,
  [SMALL_STATE(2575)] = 65037,
  [SMALL_STATE(2576)] = 65044,
  [SMALL_STATE(2577)] = 65051,
  [SMALL_STATE(2578)] = 65058,
  [SMALL_STATE(2579)] = 65065,
  [SMALL_STATE(2580)] = 65072,
  [SMALL_STATE(2581)] = 65079,
  [SMALL_STATE(2582)] = 65086,
  [SMALL_STATE(2583)] = 65093,
  [SMALL_STATE(2584)] = 65100,
  [SMALL_STATE(2585)] = 65107,
  [SMALL_STATE(2586)] = 65114,
  [SMALL_STATE(2587)] = 65121,
  [SMALL_STATE(2588)] = 65128,
  [SMALL_STATE(2589)] = 65135,
  [SMALL_STATE(2590)] = 65142,
  [SMALL_STATE(2591)] = 65149,
  [SMALL_STATE(2592)] = 65156,
  [SMALL_STATE(2593)] = 65163,
  [SMALL_STATE(2594)] = 65170,
  [SMALL_STATE(2595)] = 65177,
  [SMALL_STATE(2596)] = 65184,
  [SMALL_STATE(2597)] = 65191,
  [SMALL_STATE(2598)] = 65198,
  [SMALL_STATE(2599)] = 65205,
  [SMALL_STATE(2600)] = 65212,
  [SMALL_STATE(2601)] = 65219,
  [SMALL_STATE(2602)] = 65226,
  [SMALL_STATE(2603)] = 65233,
  [SMALL_STATE(2604)] = 65240,
  [SMALL_STATE(2605)] = 65247,
  [SMALL_STATE(2606)] = 65254,
  [SMALL_STATE(2607)] = 65261,
  [SMALL_STATE(2608)] = 65268,
  [SMALL_STATE(2609)] = 65275,
  [SMALL_STATE(2610)] = 65282,
  [SMALL_STATE(2611)] = 65289,
  [SMALL_STATE(2612)] = 65296,
  [SMALL_STATE(2613)] = 65303,
  [SMALL_STATE(2614)] = 65310,
  [SMALL_STATE(2615)] = 65317,
  [SMALL_STATE(2616)] = 65324,
  [SMALL_STATE(2617)] = 65331,
  [SMALL_STATE(2618)] = 65338,
  [SMALL_STATE(2619)] = 65345,
  [SMALL_STATE(2620)] = 65352,
  [SMALL_STATE(2621)] = 65359,
  [SMALL_STATE(2622)] = 65366,
  [SMALL_STATE(2623)] = 65373,
  [SMALL_STATE(2624)] = 65380,
  [SMALL_STATE(2625)] = 65387,
  [SMALL_STATE(2626)] = 65394,
  [SMALL_STATE(2627)] = 65401,
  [SMALL_STATE(2628)] = 65408,
  [SMALL_STATE(2629)] = 65415,
  [SMALL_STATE(2630)] = 65422,
  [SMALL_STATE(2631)] = 65429,
  [SMALL_STATE(2632)] = 65436,
  [SMALL_STATE(2633)] = 65443,
  [SMALL_STATE(2634)] = 65450,
  [SMALL_STATE(2635)] = 65457,
  [SMALL_STATE(2636)] = 65464,
  [SMALL_STATE(2637)] = 65471,
  [SMALL_STATE(2638)] = 65478,
  [SMALL_STATE(2639)] = 65485,
  [SMALL_STATE(2640)] = 65492,
  [SMALL_STATE(2641)] = 65499,
  [SMALL_STATE(2642)] = 65506,
  [SMALL_STATE(2643)] = 65513,
  [SMALL_STATE(2644)] = 65520,
  [SMALL_STATE(2645)] = 65527,
  [SMALL_STATE(2646)] = 65534,
  [SMALL_STATE(2647)] = 65541,
  [SMALL_STATE(2648)] = 65548,
  [SMALL_STATE(2649)] = 65555,
  [SMALL_STATE(2650)] = 65562,
  [SMALL_STATE(2651)] = 65569,
  [SMALL_STATE(2652)] = 65576,
  [SMALL_STATE(2653)] = 65583,
  [SMALL_STATE(2654)] = 65590,
  [SMALL_STATE(2655)] = 65597,
  [SMALL_STATE(2656)] = 65604,
  [SMALL_STATE(2657)] = 65611,
  [SMALL_STATE(2658)] = 65618,
  [SMALL_STATE(2659)] = 65625,
  [SMALL_STATE(2660)] = 65632,
  [SMALL_STATE(2661)] = 65639,
  [SMALL_STATE(2662)] = 65646,
  [SMALL_STATE(2663)] = 65653,
  [SMALL_STATE(2664)] = 65660,
  [SMALL_STATE(2665)] = 65667,
  [SMALL_STATE(2666)] = 65674,
  [SMALL_STATE(2667)] = 65681,
  [SMALL_STATE(2668)] = 65688,
  [SMALL_STATE(2669)] = 65695,
  [SMALL_STATE(2670)] = 65702,
  [SMALL_STATE(2671)] = 65709,
  [SMALL_STATE(2672)] = 65716,
  [SMALL_STATE(2673)] = 65723,
  [SMALL_STATE(2674)] = 65730,
  [SMALL_STATE(2675)] = 65737,
  [SMALL_STATE(2676)] = 65744,
  [SMALL_STATE(2677)] = 65751,
  [SMALL_STATE(2678)] = 65758,
  [SMALL_STATE(2679)] = 65765,
  [SMALL_STATE(2680)] = 65772,
  [SMALL_STATE(2681)] = 65779,
  [SMALL_STATE(2682)] = 65786,
  [SMALL_STATE(2683)] = 65793,
  [SMALL_STATE(2684)] = 65800,
  [SMALL_STATE(2685)] = 65807,
  [SMALL_STATE(2686)] = 65814,
  [SMALL_STATE(2687)] = 65821,
  [SMALL_STATE(2688)] = 65828,
  [SMALL_STATE(2689)] = 65835,
  [SMALL_STATE(2690)] = 65842,
  [SMALL_STATE(2691)] = 65849,
  [SMALL_STATE(2692)] = 65856,
  [SMALL_STATE(2693)] = 65863,
  [SMALL_STATE(2694)] = 65870,
  [SMALL_STATE(2695)] = 65877,
  [SMALL_STATE(2696)] = 65884,
  [SMALL_STATE(2697)] = 65891,
  [SMALL_STATE(2698)] = 65898,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(939),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2527),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1343),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1849),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1665),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1503),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1469),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1155),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2619),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2504),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2633),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2540),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1291),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1305),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1292),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1354),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1227),
  [49] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1847),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2609),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(225),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1798),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2669),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2450),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1099),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2385),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2549),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(195),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(200),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(217),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(262),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2435),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(111),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2674),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2489),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2390),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2307),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2271),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(341),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(582),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(384),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(818),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2664),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1540),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1062),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1063),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1910),
  [123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(119),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(266),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(267),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(276),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(283),
  [137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [139] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(939),
  [142] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(502),
  [145] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1343),
  [148] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1849),
  [151] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1665),
  [154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1503),
  [157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1469),
  [160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1155),
  [163] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1897),
  [166] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(57),
  [169] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2619),
  [172] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2504),
  [175] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2633),
  [178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2540),
  [183] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1291),
  [186] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1305),
  [189] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1292),
  [192] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1354),
  [195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1227),
  [198] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(122),
  [201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1847),
  [204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2609),
  [207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(225),
  [210] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1798),
  [213] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2669),
  [216] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2450),
  [219] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1099),
  [222] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2385),
  [225] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2549),
  [228] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(195),
  [231] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(200),
  [234] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(217),
  [237] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(262),
  [240] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2435),
  [243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(111),
  [246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2674),
  [249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2489),
  [252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2390),
  [255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2307),
  [258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2271),
  [261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(341),
  [264] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(341),
  [267] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(342),
  [270] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(582),
  [273] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(384),
  [276] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(818),
  [279] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(688),
  [282] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2664),
  [285] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(134),
  [288] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1540),
  [291] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1062),
  [294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1063),
  [297] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1397),
  [300] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1386),
  [303] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1601),
  [306] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1910),
  [309] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1391),
  [312] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1659),
  [315] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(119),
  [318] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(266),
  [321] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(267),
  [324] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(276),
  [327] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(283),
  [330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_statement, 2, 0, 0),
  [332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_statement, 2, 0, 0),
  [334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, 0, 137),
  [336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 137),
  [338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_statement, 3, 0, 0),
  [340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_statement, 3, 0, 0),
  [342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 4, 0, 137),
  [344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 4, 0, 137),
  [346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_colon_block, 2, 0, 0),
  [348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(937),
  [350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1942),
  [352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1340),
  [354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1808),
  [356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1693),
  [358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1500),
  [360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1153),
  [362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2457),
  [366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2459),
  [368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2460),
  [370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2461),
  [374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1351),
  [376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(224),
  [378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1875),
  [380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2620),
  [382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2658),
  [384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2286),
  [386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2662),
  [388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(192),
  [390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(193),
  [392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(194),
  [394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2360),
  [396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(115),
  [398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2686),
  [400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2694),
  [402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2425),
  [404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2289),
  [406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [408] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_colon_block, 1, 0, 0),
  [410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2621),
  [412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2261),
  [414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2676),
  [416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2689),
  [418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2265),
  [420] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2688),
  [423] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2423),
  [426] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2695),
  [429] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2697),
  [432] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2287),
  [435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2688),
  [437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2423),
  [439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2695),
  [441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2697),
  [443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2287),
  [445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2221),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2157),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1926),
  [471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1930),
  [475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2006),
  [499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1, 0, 0),
  [503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2485),
  [505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2, 0, 0),
  [523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2462),
  [525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1967),
  [527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2163),
  [529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2072),
  [533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2075),
  [535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2137),
  [543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1917),
  [545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1921),
  [547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2078),
  [549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1966),
  [551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1968),
  [553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1974),
  [555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1993),
  [557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1995),
  [559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1996),
  [561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2002),
  [563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2003),
  [565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2004),
  [567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2013),
  [569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2017),
  [571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2019),
  [573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2021),
  [575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2032),
  [577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2107),
  [579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2096),
  [593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2204),
  [595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2213),
  [597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2224),
  [599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2235),
  [601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2237),
  [603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2083),
  [605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2102),
  [607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2047),
  [609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2052),
  [611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2077),
  [613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2238),
  [615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2106),
  [617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2148),
  [619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(733),
  [623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(681),
  [627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1483),
  [629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2647),
  [631] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1797),
  [635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1927),
  [637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2463),
  [643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1000),
  [645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(292),
  [647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2288),
  [649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(293),
  [651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(581),
  [657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(295),
  [659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(764),
  [661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(995),
  [667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1011),
  [669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2092),
  [675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(117),
  [681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(303),
  [683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(296),
  [685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(297),
  [687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(298),
  [689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(299),
  [691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(354),
  [697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(355),
  [699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(579),
  [705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(357),
  [707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(118),
  [711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(362),
  [713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(358),
  [715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(359),
  [717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(360),
  [719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(361),
  [721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(856),
  [723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(685),
  [725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2573),
  [727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(289),
  [731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(391),
  [737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(392),
  [739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(580),
  [745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(394),
  [747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(120),
  [751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(399),
  [753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(395),
  [755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(396),
  [757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(397),
  [759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(398),
  [761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2381),
  [763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2567),
  [765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(960),
  [783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1471),
  [787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2441),
  [789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1680),
  [791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1684),
  [795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2373),
  [799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(245),
  [801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1925),
  [803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1508),
  [805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1195),
  [807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1193),
  [809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2471),
  [821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2607),
  [829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2649),
  [833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2652),
  [837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2678),
  [867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2464),
  [871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2556),
  [873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1, 0, 0),
  [887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [891] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1, 0, 0), SHIFT(781),
  [894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [896] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1, 0, 0), SHIFT(926),
  [899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2194),
  [909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 1, 0, 0),
  [911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2189),
  [985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_condition_list, 2, 0, 0),
  [989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_placeholder, 1, 0, 0),
  [991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [1001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [1003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [1005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [1007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [1009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2062),
  [1011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [1013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_condition_list, 3, 0, 0),
  [1015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [1017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [1019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [1021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [1023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [1025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [1027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [1029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [1031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [1033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 6),
  [1035] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 6),
  [1037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2491),
  [1039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2356),
  [1041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0),
  [1043] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0),
  [1045] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2491),
  [1048] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2356),
  [1051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 24),
  [1053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 24),
  [1055] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 24), SHIFT(2350),
  [1058] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 24), SHIFT(109),
  [1061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 54),
  [1063] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 54),
  [1065] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 54), SHIFT(2350),
  [1068] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 54), SHIFT(109),
  [1071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2350),
  [1073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(112),
  [1075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 5, 0, 166),
  [1077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 5, 0, 166),
  [1079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 98),
  [1081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 98),
  [1083] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 98), SHIFT_REPEAT(2350),
  [1086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1088] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1092] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 6, 0, 189),
  [1096] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 6, 0, 189),
  [1098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, 0, 6),
  [1100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2, 0, 6),
  [1102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 4, 0, 0),
  [1104] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 4, 0, 0),
  [1106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 24),
  [1108] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 24),
  [1110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 6, 0, 116),
  [1112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 6, 0, 116),
  [1114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration_list, 3, 0, 0),
  [1116] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration_list, 3, 0, 0),
  [1118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 7, 0, 0),
  [1120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 7, 0, 0),
  [1122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 7, 0, 0),
  [1124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 7, 0, 0),
  [1126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 5, 0, 94),
  [1128] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 5, 0, 94),
  [1130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 167),
  [1132] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 167),
  [1134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1136] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_declaration, 1, 0, 1),
  [1140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_declaration, 1, 0, 1),
  [1142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 152),
  [1144] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 152),
  [1146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [1148] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [1150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 168),
  [1152] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 168),
  [1154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_static_declaration, 3, 0, 0),
  [1156] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_static_declaration, 3, 0, 0),
  [1158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 95),
  [1160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 95),
  [1162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_declaration, 3, 0, 0),
  [1164] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_declaration, 3, 0, 0),
  [1166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 169),
  [1168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 169),
  [1170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 16),
  [1172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 16),
  [1174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 17),
  [1176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 17),
  [1178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 3, 0, 0),
  [1180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 3, 0, 0),
  [1182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 3, 0, 19),
  [1184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 3, 0, 19),
  [1186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 3, 0, 0),
  [1188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 3, 0, 0),
  [1190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 170),
  [1192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 170),
  [1194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_declaration, 3, 0, 16),
  [1196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_declaration, 3, 0, 16),
  [1198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 3, 0, 16),
  [1200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 3, 0, 16),
  [1202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 3, 0, 16),
  [1204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 3, 0, 16),
  [1206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 3, 0, 16),
  [1208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 3, 0, 16),
  [1210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 6),
  [1212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 6),
  [1214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_echo_statement, 3, 0, 0),
  [1216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_echo_statement, 3, 0, 0),
  [1218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 97),
  [1220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 97),
  [1222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_goto_statement, 3, 0, 0),
  [1224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_goto_statement, 3, 0, 0),
  [1226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 3, 0, 0),
  [1228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 3, 0, 0),
  [1230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 3, 0, 0),
  [1232] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 3, 0, 0),
  [1234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3, 0, 0),
  [1236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3, 0, 0),
  [1238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, 0, 24),
  [1240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, 0, 24),
  [1242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, 0, 24),
  [1244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, 0, 24),
  [1246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 171),
  [1248] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 171),
  [1250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 2, 0, 6),
  [1252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 2, 0, 6),
  [1254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 172),
  [1256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 172),
  [1258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 7, 0, 173),
  [1260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 7, 0, 173),
  [1262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 7, 0, 0),
  [1264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 7, 0, 0),
  [1266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, 0, 33),
  [1268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, 0, 33),
  [1270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_static_declaration, 4, 0, 0),
  [1272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_static_declaration, 4, 0, 0),
  [1274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_declaration, 4, 0, 0),
  [1276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_declaration, 4, 0, 0),
  [1278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, 0, 97),
  [1280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, 0, 97),
  [1282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 4, 0, 0),
  [1284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 4, 0, 0),
  [1286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [1288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [1290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [1292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [1294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 7, 0, 176),
  [1296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 7, 0, 176),
  [1298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 4, 0, 46),
  [1300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 4, 0, 46),
  [1302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 178),
  [1304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 178),
  [1306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 3, 0, 0),
  [1308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 3, 0, 0),
  [1310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 151),
  [1312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 151),
  [1314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [1316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [1318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, 0, 49),
  [1320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, 0, 49),
  [1322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration_list, 2, 0, 0),
  [1324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration_list, 2, 0, 0),
  [1326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, 0, 49),
  [1328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, 0, 49),
  [1330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 49),
  [1332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 49),
  [1334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exit_statement, 4, 0, 0),
  [1336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exit_statement, 4, 0, 0),
  [1338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 8, 0, 0),
  [1340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 8, 0, 0),
  [1342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 0),
  [1344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 0),
  [1346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 190),
  [1348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 190),
  [1350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 191),
  [1352] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 191),
  [1354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 148),
  [1356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 148),
  [1358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 193),
  [1360] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 193),
  [1362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exit_statement, 5, 0, 0),
  [1364] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exit_statement, 5, 0, 0),
  [1366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 194),
  [1368] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 194),
  [1370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 195),
  [1372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 195),
  [1374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_label_statement, 2, 0, 0),
  [1376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_label_statement, 2, 0, 0),
  [1378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 173),
  [1380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 173),
  [1382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 168),
  [1384] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 168),
  [1386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 170),
  [1388] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 170),
  [1390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 172),
  [1392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 172),
  [1394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 2, 0, 12),
  [1396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 2, 0, 12),
  [1398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 205),
  [1400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 205),
  [1402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 206),
  [1404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 206),
  [1406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 9, 0, 173),
  [1408] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 9, 0, 173),
  [1410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 211),
  [1412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 211),
  [1414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 212),
  [1416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 212),
  [1418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 191),
  [1420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 191),
  [1422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 213),
  [1424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 213),
  [1426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 193),
  [1428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 193),
  [1430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 195),
  [1432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 195),
  [1434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 52),
  [1436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 52),
  [1438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 53),
  [1440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 53),
  [1442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 2, 0, 0),
  [1444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 2, 0, 0),
  [1446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11, 0, 215),
  [1448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11, 0, 215),
  [1450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11, 0, 216),
  [1452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11, 0, 216),
  [1454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11, 0, 217),
  [1456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11, 0, 217),
  [1458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11, 0, 206),
  [1460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11, 0, 206),
  [1462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 12, 0, 218),
  [1464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 12, 0, 218),
  [1466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 5, 0, 112),
  [1468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 5, 0, 112),
  [1470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 5, 0, 112),
  [1472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 5, 0, 112),
  [1474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 112),
  [1476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 112),
  [1478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 115),
  [1480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 115),
  [1482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 0),
  [1484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement, 1, 0, 0),
  [1486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 5, 0, 116),
  [1488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 5, 0, 116),
  [1490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 5, 0, 0),
  [1492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 5, 0, 0),
  [1494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 117),
  [1496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 117),
  [1498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 5, 0, 0),
  [1500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 5, 0, 0),
  [1502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 5, 0, 0),
  [1508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 5, 0, 0),
  [1510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, 0, 24),
  [1512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, 0, 24),
  [1514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, 0, 96),
  [1516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, 0, 96),
  [1518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 5, 0, 46),
  [1524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 5, 0, 46),
  [1526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exit_statement, 2, 0, 0),
  [1528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exit_statement, 2, 0, 0),
  [1530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 6, 0, 133),
  [1532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 6, 0, 133),
  [1534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 6, 0, 0),
  [1536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 6, 0, 0),
  [1538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 134),
  [1540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 134),
  [1542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 0),
  [1544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 0),
  [1546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_if_clause, 3, 0, 24),
  [1548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_if_clause, 3, 0, 24),
  [1550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 53),
  [1552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 53),
  [1554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 54),
  [1556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 54),
  [1558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_declaration, 4, 0, 73),
  [1560] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_declaration, 4, 0, 73),
  [1562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, 0, 73),
  [1564] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, 0, 73),
  [1566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, 0, 73),
  [1568] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, 0, 73),
  [1570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 73),
  [1572] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 73),
  [1574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 4, 0, 0),
  [1576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 4, 0, 0),
  [1578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 75),
  [1580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 75),
  [1582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 6, 0, 147),
  [1584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 6, 0, 147),
  [1586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 192),
  [1588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 192),
  [1590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [1592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [1594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [1596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [1598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [1600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [1602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 5, 0, 0),
  [1604] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 5, 0, 0),
  [1606] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [1608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3, 0, 0),
  [1610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3, 0, 0),
  [1612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2, 0, 0),
  [1614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2, 0, 0),
  [1616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4, 0, 0),
  [1618] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4, 0, 0),
  [1620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_access_expression, 3, 0, 31),
  [1622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_access_expression, 3, 0, 31),
  [1624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [1626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_access_expression, 3, 0, 31),
  [1628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_access_expression, 3, 0, 31),
  [1630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_call_expression, 4, 0, 70),
  [1632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_call_expression, 4, 0, 70),
  [1634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_property_access_expression, 3, 0, 26),
  [1636] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_property_access_expression, 3, 0, 26),
  [1638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__member_name, 1, 0, 5),
  [1640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_call_expression, 4, 0, 69),
  [1642] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_call_expression, 4, 0, 69),
  [1644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dereferencable_subscript_expression, 3, 0, 0),
  [1646] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__dereferencable_subscript_expression, 3, 0, 0),
  [1648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_call_expression, 4, 0, 70),
  [1650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_call_expression, 4, 0, 70),
  [1652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_member_access_expression, 3, 0, 31),
  [1654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_member_access_expression, 3, 0, 31),
  [1656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1658] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1660] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_variable, 4, 0, 51),
  [1662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__callable_expression, 1, 0, 0),
  [1664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dereferencable_expression, 1, 0, 0),
  [1666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [1668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_variable, 4, 0, 51),
  [1670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_nullsafe_member_access_expression, 3, 0, 31),
  [1672] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_nullsafe_member_access_expression, 3, 0, 31),
  [1674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dereferencable_subscript_expression, 4, 0, 0),
  [1676] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__dereferencable_subscript_expression, 4, 0, 0),
  [1678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_subscript_expression, 4, 0, 0),
  [1680] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_subscript_expression, 4, 0, 0),
  [1682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__new_variable, 1, 0, 3),
  [1684] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_variable, 1, 0, 3),
  [1686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__new_variable, 1, 0, 0),
  [1688] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_variable, 1, 0, 0),
  [1690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__callable_variable, 1, 0, 0),
  [1692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_scoped_property_access_expression, 3, 0, 26),
  [1694] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_scoped_property_access_expression, 3, 0, 26),
  [1696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_name, 2, 0, 0),
  [1698] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_name, 2, 0, 0),
  [1700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dynamic_variable_name, 2, 0, 0),
  [1702] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dynamic_variable_name, 2, 0, 0),
  [1704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_subscript_expression, 3, 0, 0),
  [1706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_subscript_expression, 3, 0, 0),
  [1708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__reserved_identifier, 1, 0, 0),
  [1710] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__reserved_identifier, 1, 0, 0),
  [1712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call_expression, 2, 0, 11),
  [1714] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call_expression, 2, 0, 11),
  [1716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dynamic_variable_name, 4, 0, 0),
  [1718] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dynamic_variable_name, 4, 0, 0),
  [1720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__member_name, 3, 0, 17),
  [1722] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__member_name, 3, 0, 17),
  [1724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__member_name, 1, 0, 5),
  [1726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__new_variable, 1, 0, 4),
  [1728] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_variable, 1, 0, 4),
  [1730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1518),
  [1732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [1734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [1736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(769),
  [1738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1459),
  [1740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [1742] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1518),
  [1745] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1540),
  [1748] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2647),
  [1751] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1927),
  [1754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0),
  [1756] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(131),
  [1759] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2463),
  [1762] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(769),
  [1765] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(148),
  [1768] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1387),
  [1771] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1608),
  [1774] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2092),
  [1777] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1610),
  [1780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [1782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [1784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [1786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(246),
  [1788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [1790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(242),
  [1792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [1794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [1796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [1798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2219),
  [1800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2202),
  [1802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2136),
  [1804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(239),
  [1806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [1808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [1810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [1812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [1814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [1816] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__array_destructing_element, 1, 0, 0),
  [1819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 1, 0, 0),
  [1821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [1823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [1825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2, 0, 0),
  [1827] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__array_destructing_element, 3, 0, 0),
  [1830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_relative_name, 3, 0, 15),
  [1832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relative_name, 3, 0, 15),
  [1834] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 1, 0, 0), SHIFT(2590),
  [1837] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_name, 2, 0, 8),
  [1839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_name, 2, 0, 8),
  [1841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_modifier, 1, 0, 0),
  [1843] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_name, 4, 0, 47),
  [1845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_name, 4, 0, 47),
  [1847] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_relative_name, 5, 0, 76),
  [1849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relative_name, 5, 0, 76),
  [1851] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_name, 3, 0, 15),
  [1853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_name, 3, 0, 15),
  [1855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1409),
  [1857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1267),
  [1859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1506),
  [1861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1152),
  [1863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1462),
  [1865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1029),
  [1867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [1869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [1871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2546),
  [1873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [1875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [1877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2628),
  [1879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2517),
  [1881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2046),
  [1883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [1885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [1887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2366),
  [1889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [1891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [1893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2483),
  [1895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2495),
  [1897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [1899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__identifier, 1, 0, 0),
  [1901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [1903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [1905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [1907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_by_ref, 2, 0, 0),
  [1909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_by_ref, 2, 0, 0),
  [1911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1856),
  [1913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_constant_access_expression, 3, 0, 0),
  [1915] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_constant_access_expression, 3, 0, 0),
  [1917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1855),
  [1919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_constant_access_expression, 5, 0, 109),
  [1921] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_constant_access_expression, 5, 0, 109),
  [1923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dereferencable_scalar, 1, 0, 0),
  [1925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(847),
  [1927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(701),
  [1929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2600),
  [1931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2060),
  [1933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1514),
  [1935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1356),
  [1937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [1939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(842),
  [1941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_encapsed_string, 2, 0, 0),
  [1943] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_encapsed_string, 2, 0, 0),
  [1945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [1947] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [1949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [1951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 3, 0, 23),
  [1953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 3, 0, 23),
  [1955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 2, 0, 0),
  [1957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 2, 0, 0),
  [1959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 2, 0, 6),
  [1961] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 2, 0, 6),
  [1963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__new_dereferencable_expression, 3, 0, 0),
  [1965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_dereferencable_expression, 3, 0, 0),
  [1967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 3, 0, 0),
  [1969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 3, 0, 0),
  [1971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_encapsed_string, 3, 0, 0),
  [1973] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_encapsed_string, 3, 0, 0),
  [1975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [1977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [1979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 3, 0, 25),
  [1981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 3, 0, 25),
  [1983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__name, 1, 0, 0),
  [1985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 1, 0, 0),
  [1987] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 1, 0, 0),
  [1989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__callable_expression, 1, 0, 2),
  [1991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dereferencable_expression, 1, 0, 2),
  [1993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, 0, 23),
  [1995] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, 0, 23),
  [1997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 3, 0, 36),
  [1999] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 3, 0, 36),
  [2001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 3, 0, 55),
  [2003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 3, 0, 55),
  [2005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, 0, 0),
  [2007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, 0, 0),
  [2009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 4, 0, 59),
  [2011] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 4, 0, 59),
  [2013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 4, 0, 60),
  [2015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 4, 0, 60),
  [2017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 4, 0, 61),
  [2019] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 4, 0, 61),
  [2021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal, 1, 0, 0),
  [2023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal, 1, 0, 0),
  [2025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 5, 0, 23),
  [2027] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 5, 0, 23),
  [2029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 4, 0, 99),
  [2031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 4, 0, 99),
  [2033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 4, 0, 100),
  [2035] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 4, 0, 100),
  [2037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 5, 0, 0),
  [2039] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 5, 0, 0),
  [2041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 101),
  [2043] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 101),
  [2045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 102),
  [2047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 102),
  [2049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 103),
  [2051] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 103),
  [2053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 104),
  [2055] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 104),
  [2057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 5, 0, 103),
  [2059] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 5, 0, 103),
  [2061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 6, 0, 23),
  [2063] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 6, 0, 23),
  [2065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(989),
  [2067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(734),
  [2069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2490),
  [2071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2035),
  [2073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1516),
  [2075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1360),
  [2077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [2079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1018),
  [2081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 5, 0, 138),
  [2083] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 5, 0, 138),
  [2085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 5, 0, 139),
  [2087] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 5, 0, 139),
  [2089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 6, 0, 142),
  [2091] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 6, 0, 142),
  [2093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 6, 0, 143),
  [2095] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 6, 0, 143),
  [2097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 6, 0, 144),
  [2099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 6, 0, 144),
  [2101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 6, 0, 143),
  [2103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 6, 0, 143),
  [2105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 6, 0, 174),
  [2107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 6, 0, 174),
  [2109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 6, 0, 134),
  [2111] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 6, 0, 134),
  [2113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 7, 0, 175),
  [2115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 7, 0, 175),
  [2117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 7, 0, 175),
  [2119] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 7, 0, 175),
  [2121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 7, 0, 196),
  [2123] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 7, 0, 196),
  [2125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__new_dereferencable_expression, 2, 0, 0),
  [2127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_dereferencable_expression, 2, 0, 0),
  [2129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_name_reference, 1, 0, 0),
  [2131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_name_reference, 1, 0, 0),
  [2133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1801),
  [2135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [2137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [2139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [2141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 9),
  [2143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 9),
  [2145] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing, 2, 0, 0), REDUCE(sym_array_creation_expression, 2, 0, 0),
  [2148] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__array_destructing, 2, 0, 0),
  [2150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__identifier, 1, 0, 0),
  [2152] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__argument_name, 2, 0, 62),
  [2154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__argument_name, 2, 0, 62),
  [2156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [2158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_reference_modifier, 1, 0, 0),
  [2160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_modifier, 1, 0, 0),
  [2162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [2164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__new_non_dereferencable_expression, 2, 0, 0),
  [2166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_non_dereferencable_expression, 2, 0, 0),
  [2168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1980),
  [2170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(524),
  [2172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1794),
  [2174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [2176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [2178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [2180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(848),
  [2182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shell_command_expression, 3, 0, 0),
  [2184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shell_command_expression, 3, 0, 0),
  [2186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 4, 0, 0),
  [2188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 4, 0, 0),
  [2190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [2192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [2194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function, 2, 0, 13),
  [2196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function, 2, 0, 13),
  [2198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [2200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 2, 0, 0),
  [2202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 2, 0, 0),
  [2204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 5, 0, 0),
  [2206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 5, 0, 0),
  [2208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_element_initializer, 1, 0, 0),
  [2210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_element_initializer, 1, 0, 0),
  [2212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 3, 0, 0),
  [2214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 3, 0, 0),
  [2216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_null, 1, 0, 0),
  [2218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_null, 1, 0, 0),
  [2220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_expression, 3, 0, 24),
  [2222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_expression, 3, 0, 24),
  [2224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 2, 0, 0),
  [2226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 29),
  [2228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 29),
  [2230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shell_command_expression, 2, 0, 0),
  [2232] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shell_command_expression, 2, 0, 0),
  [2234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 4, 0, 51),
  [2236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 4, 0, 51),
  [2238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_element_initializer, 3, 0, 0),
  [2240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_element_initializer, 3, 0, 0),
  [2242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean, 1, 0, 0),
  [2244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean, 1, 0, 0),
  [2246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 14),
  [2248] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 14),
  [2250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 2, 0, 0),
  [2252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 2, 0, 0),
  [2254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_op_expression, 2, 0, 9),
  [2256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_op_expression, 2, 0, 9),
  [2258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_error_suppression_expression, 2, 0, 0),
  [2260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_error_suppression_expression, 2, 0, 0),
  [2262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_clone_expression, 2, 0, 0),
  [2264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_clone_expression, 2, 0, 0),
  [2266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2305),
  [2268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(305),
  [2270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [2272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [2274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [2276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(316),
  [2278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [2280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(317),
  [2282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [2284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [2286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [2288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(320),
  [2290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [2292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 30),
  [2294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(252),
  [2296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(306),
  [2298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [2300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [2302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [2304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, 0, 28),
  [2306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [2308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [2310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [2312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0),
  [2314] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1267),
  [2317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0),
  [2319] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1291),
  [2322] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1305),
  [2325] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1292),
  [2328] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1029),
  [2331] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1227),
  [2334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_assignment_expression, 4, 0, 68),
  [2336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [2338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, 0, 108),
  [2340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 5, 0, 108),
  [2342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_unpacking, 2, 0, 0),
  [2344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_require_once_expression, 2, 0, 0),
  [2346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_intrinsic, 2, 0, 0),
  [2348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_expression, 2, 0, 0),
  [2350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_expression, 2, 0, 0),
  [2352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 4, 0, 67),
  [2354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 4, 0, 67),
  [2356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment_expression, 3, 0, 29),
  [2358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_once_expression, 2, 0, 0),
  [2360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 3, 0, 0),
  [2362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_require_expression, 2, 0, 0),
  [2364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(364),
  [2366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [2368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(238),
  [2370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(365),
  [2372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [2374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [2376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [2378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [2380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [2382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [2384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [2386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [2388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [2390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(375),
  [2392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [2394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(376),
  [2396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [2398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [2400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [2402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(379),
  [2404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [2406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(291),
  [2408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(234),
  [2410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(300),
  [2412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [2414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [2416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [2418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [2420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [2422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [2424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [2426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [2428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [2430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(333),
  [2432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [2434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(334),
  [2436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [2438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [2440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [2442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(259),
  [2444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [2446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [2448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [2450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(401),
  [2452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(402),
  [2454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [2456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [2458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [2460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [2462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [2464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [2466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(412),
  [2468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [2470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(413),
  [2472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [2474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [2476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [2478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(416),
  [2480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [2482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(241),
  [2484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [2486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [2488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [2490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1482),
  [2492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [2494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_element, 3, 0, 88),
  [2496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 7, 0, 203),
  [2498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [2500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 160),
  [2502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 179),
  [2504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 184),
  [2506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 185),
  [2508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 120),
  [2510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 153),
  [2512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 154),
  [2514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [2516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [2518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_condition_list, 1, 0, 0),
  [2520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2065),
  [2522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [2524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2066),
  [2526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2067),
  [2528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_variable_declaration, 3, 0, 34),
  [2530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [2532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [2534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_element, 3, 0, 0),
  [2536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [2538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expressions, 1, 0, 0),
  [2540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [2542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [2544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [2546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [2548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [2550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 3, 0, 0),
  [2552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [2554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [2556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, 0, 162),
  [2558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [2560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [2562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [2564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [2566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [2568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [2570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [2572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [2574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [2576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [2578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 128),
  [2580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [2582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [2584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__foreach_value, 1, 0, 0),
  [2586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 1, 0, 0),
  [2588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [2590] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_visibility_modifier, 1, 0, 0),
  [2592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_visibility_modifier, 1, 0, 0),
  [2594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2574),
  [2596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [2598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [2600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [2602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_condition_list_repeat1, 2, 0, 0),
  [2604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 118),
  [2606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [2608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, 0, 157),
  [2610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, 0, 158),
  [2612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 88),
  [2614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 2, 0, 63),
  [2616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 2, 0, 64),
  [2618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [2620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 3, 0, 105),
  [2622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 122),
  [2624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [2626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 6, 0, 186),
  [2628] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1267),
  [2631] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1423),
  [2634] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1506),
  [2637] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1155),
  [2640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0),
  [2642] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1291),
  [2645] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1305),
  [2648] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1292),
  [2651] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(706),
  [2654] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1227),
  [2657] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1397),
  [2660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_default_expression, 3, 0, 135),
  [2662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_conditional_expression, 3, 0, 136),
  [2664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [2666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [2668] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_visibility_modifier, 4, 0, 50),
  [2670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_visibility_modifier, 4, 0, 50),
  [2672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [2674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [2676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [2678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [2680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [2682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [2684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [2686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2159),
  [2688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [2690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [2692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [2694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [2696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [2698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [2700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [2702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [2704] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_modifier, 1, 0, 0),
  [2706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [2708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [2710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [2712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [2714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [2716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [2718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [2720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [2722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [2724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [2726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [2728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [2730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [2732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [2734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [2736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [2738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [2740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [2742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [2744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [2746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [2748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [2750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [2752] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_final_modifier, 1, 0, 0),
  [2754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_final_modifier, 1, 0, 0),
  [2756] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_readonly_modifier, 1, 0, 0),
  [2758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_readonly_modifier, 1, 0, 0),
  [2760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2162),
  [2762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [2764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [2766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [2768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [2770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [2772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [2774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [2776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [2778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [2780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2596),
  [2782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [2784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2214),
  [2786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_modifier, 1, 0, 0),
  [2788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_modifier, 1, 0, 0),
  [2790] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1267),
  [2793] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1423),
  [2796] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1506),
  [2799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0),
  [2801] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2596),
  [2804] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1291),
  [2807] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1305),
  [2810] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1292),
  [2813] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1352),
  [2816] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1227),
  [2819] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1397),
  [2822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1551),
  [2824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1687),
  [2826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [2828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [2830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2133),
  [2832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2320),
  [2834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2144),
  [2836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [2838] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_list, 1, 0, 0),
  [2840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_list, 1, 0, 0),
  [2842] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0),
  [2844] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0),
  [2846] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1398),
  [2849] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 3, 0, 0),
  [2851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 3, 0, 0),
  [2853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [2855] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 5, 0, 0),
  [2857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 5, 0, 0),
  [2859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [2861] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 4, 0, 0),
  [2863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 4, 0, 0),
  [2865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [2867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2531),
  [2869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2533),
  [2871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2534),
  [2873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2535),
  [2875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [2877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [2879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2693),
  [2881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2468),
  [2883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2476),
  [2885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2631),
  [2887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [2889] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1397),
  [2892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relative_scope, 1, 0, 0),
  [2894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [2896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2473),
  [2898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [2900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [2902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [2904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [2906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [2908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [2910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2537),
  [2912] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0),
  [2914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [2916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2566),
  [2918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [2920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [2922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [2924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2555),
  [2926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2577),
  [2928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [2930] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(388),
  [2933] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1366),
  [2936] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1366),
  [2939] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1414),
  [2942] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1581),
  [2945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0),
  [2947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(388),
  [2949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [2951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1366),
  [2953] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_heredoc_body, 2, 0, 0), SHIFT(1414),
  [2956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1581),
  [2958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_body, 2, 0, 0),
  [2960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [2962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [2964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [2966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [2968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [2970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1369),
  [2972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 1, 0, 0),
  [2974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [2976] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(388),
  [2979] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(1369),
  [2982] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(1369),
  [2985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0),
  [2987] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(1581),
  [2990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [2992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 2, 0, 92),
  [2994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [2996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [2998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1393),
  [3000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [3002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [3004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [3006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_declaration, 3, 0, 0),
  [3008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 33),
  [3010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 130),
  [3012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_list, 2, 0, 0),
  [3014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_list, 3, 0, 0),
  [3016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [3018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [3020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1385),
  [3022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [3024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [3026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 4, 0, 164),
  [3028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 2, 0, 12),
  [3030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 131),
  [3032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 132),
  [3034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [3036] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(349),
  [3039] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(1385),
  [3042] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(1385),
  [3045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0),
  [3047] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(1654),
  [3050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [3052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1372),
  [3054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [3056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [3058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1388),
  [3060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [3062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [3064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [3066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1394),
  [3068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [3070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [3072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [3074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1379),
  [3076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [3078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 4, 0, 165),
  [3080] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(286),
  [3083] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(1393),
  [3086] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(1393),
  [3089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0),
  [3091] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(1633),
  [3094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [3096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_declaration, 4, 0, 0),
  [3098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, 0, 46),
  [3100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 2, 0, 91),
  [3102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook_list, 3, 0, 0),
  [3104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 2, 0, 93),
  [3106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 6, 0, 187),
  [3108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 6, 0, 204),
  [3110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, 0, 0),
  [3112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, 0, 46),
  [3114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, 0, 163),
  [3116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 4, 0, 84),
  [3118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_type, 1, 0, 0),
  [3120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_type, 1, 0, 0),
  [3122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 3, 0, 129),
  [3124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 3, 0, 0),
  [3126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, 0, 163),
  [3128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, 0, 187),
  [3130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [3132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [3134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1368),
  [3136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [3138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 3, 0, 17),
  [3140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__member_declaration, 1, 0, 48),
  [3142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 1, 0, 1),
  [3144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 5, 0, 188),
  [3146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook_list, 2, 0, 0),
  [3148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(611),
  [3150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(607),
  [3152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [3154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(964),
  [3156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(958),
  [3158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [3160] = {.entry = {.count = 4, .reusable = false}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_union_type, 1, 0, 0), REDUCE(sym_intersection_type, 1, 0, 0), REDUCE(sym_disjunctive_normal_form_type, 1, -1, 0),
  [3165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [3167] = {.entry = {.count = 4, .reusable = true}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_union_type, 1, 0, 0), REDUCE(sym_intersection_type, 1, 0, 0), REDUCE(sym_disjunctive_normal_form_type, 1, -1, 0),
  [3172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [3174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1493),
  [3176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2377),
  [3178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(726),
  [3180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(968),
  [3182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [3184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(751),
  [3186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [3188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(633),
  [3190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(627),
  [3192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [3194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(716),
  [3196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(735),
  [3198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [3200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(758),
  [3202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [3204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2369),
  [3206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [3208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(865),
  [3210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(861),
  [3212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [3214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [3216] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_property_hook_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1493),
  [3219] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_hook_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1568),
  [3222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_property_hook_list_repeat1, 2, 0, 0),
  [3224] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_property_hook_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1291),
  [3227] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_hook_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1397),
  [3230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__modifier, 1, 0, 0),
  [3232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [3234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [3236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_optional_type, 2, 0, 0),
  [3238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type, 2, 0, 0),
  [3240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primitive_type, 1, 0, 0),
  [3242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primitive_type, 1, 0, 0),
  [3244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1884),
  [3246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [3248] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_disjunctive_normal_form_type, 2, -1, 0),
  [3250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_disjunctive_normal_form_type, 2, -1, 0),
  [3252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [3254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3258] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1318),
  [3261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0),
  [3263] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1334),
  [3266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0),
  [3268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2322),
  [3270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [3272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_variable, 1, 0, 0),
  [3274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2670),
  [3276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1536),
  [3278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_variable, 1, 0, 0),
  [3280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [3282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_disjunctive_normal_form_type, 4, -1, 0),
  [3284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_disjunctive_normal_form_type, 4, -1, 0),
  [3286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type, 2, 0, 0),
  [3288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 2, 0, 0),
  [3290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [3292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_intersection_type, 2, 0, 0),
  [3294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 2, 0, 0),
  [3296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_disjunctive_normal_form_type, 3, -1, 0),
  [3298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_disjunctive_normal_form_type, 3, -1, 0),
  [3300] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3303] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0),
  [3308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0),
  [3310] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1330),
  [3313] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 4, 0, 0),
  [3315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 4, 0, 0),
  [3317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [3319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [3321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [3323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [3325] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 1, 0, 0),
  [3327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1, 0, 0),
  [3329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [3331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [3333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [3335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [3337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2542),
  [3339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [3341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [3343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [3345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2493),
  [3347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [3349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [3351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [3353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [3355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2419),
  [3357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [3359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [3361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [3363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [3365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2161),
  [3367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1644),
  [3369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1868),
  [3371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [3373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1991),
  [3375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2311),
  [3377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [3379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [3381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [3383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2185),
  [3385] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2680),
  [3388] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2250),
  [3391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2680),
  [3393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2250),
  [3395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [3397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2614),
  [3399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2511),
  [3401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2, 0, 0),
  [3403] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2, 0, 0), SHIFT_REPEAT(385),
  [3406] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2272),
  [3409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2554),
  [3411] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_part, 1, 0, 3),
  [3413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_part, 1, 0, 3),
  [3415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1703),
  [3417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1760),
  [3419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [3421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_unset_statement_repeat1, 2, 0, 0),
  [3423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 3, 0, 0),
  [3425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2582),
  [3427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [3429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2519),
  [3431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [3433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [3435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [3437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [3439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [3441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2182),
  [3443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [3445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [3447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [3449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1683),
  [3451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1830),
  [3453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [3455] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__complex_string_part, 3, 0, 0),
  [3457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__complex_string_part, 3, 0, 0),
  [3459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [3461] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_member_access_expression, 3, 0, 58),
  [3463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_member_access_expression, 3, 0, 58),
  [3465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [3467] = {.entry = {.count = 5, .reusable = true}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_union_type, 1, 0, 0), REDUCE(sym_intersection_type, 1, 0, 0), REDUCE(sym_disjunctive_normal_form_type, 1, -1, 0), SHIFT(1331),
  [3473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [3475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [3477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [3479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [3481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0),
  [3483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [3485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_subscript_expression, 4, 0, 0),
  [3487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_subscript_expression, 4, 0, 0),
  [3489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [3491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 4, 0, 0),
  [3493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1807),
  [3495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [3497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2177),
  [3499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2428),
  [3501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2432),
  [3503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [3505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [3507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [3509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [3511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [3513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [3515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2230),
  [3517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [3519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [3521] = {.entry = {.count = 5, .reusable = true}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_union_type, 1, 0, 0), REDUCE(sym_intersection_type, 1, 0, 0), REDUCE(sym_disjunctive_normal_form_type, 1, -1, 0), SHIFT(1334),
  [3527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [3529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [3531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2272),
  [3533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2232),
  [3535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2079),
  [3537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(955),
  [3539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1613),
  [3541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [3543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2234),
  [3545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [3547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [3549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 2, 0, 18),
  [3551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2663),
  [3553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(904),
  [3555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1592),
  [3557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2591),
  [3559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(766),
  [3561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1641),
  [3563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [3565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [3567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [3569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [3571] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0),
  [3573] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1613),
  [3576] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1793),
  [3579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2053),
  [3581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [3583] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0),
  [3585] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 54), SHIFT(2304),
  [3588] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 54), SHIFT(113),
  [3591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [3593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [3595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2080),
  [3597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [3599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [3601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [3603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [3605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [3607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2304),
  [3609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(114),
  [3611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2178),
  [3613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [3615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2427),
  [3617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(783),
  [3619] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0),
  [3621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 1, 0, 0),
  [3623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2453),
  [3625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2179),
  [3627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [3629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [3631] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 24), SHIFT(2304),
  [3634] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 24), SHIFT(113),
  [3637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [3639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [3641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2049),
  [3643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [3645] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 98), SHIFT_REPEAT(2304),
  [3648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1909),
  [3650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 5, 0, 0),
  [3652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2, 0, 0),
  [3654] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1445),
  [3657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [3659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2285),
  [3661] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 5, 0, 207),
  [3663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 5, 0, 207),
  [3665] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 5, 0, 208),
  [3667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 5, 0, 208),
  [3669] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 5, 0, 209),
  [3671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 5, 0, 209),
  [3673] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 5, 0, 210),
  [3675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 5, 0, 210),
  [3677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2, 0, 0),
  [3679] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(2182),
  [3682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2491),
  [3684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2356),
  [3686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 6, 0, 214),
  [3688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 6, 0, 214),
  [3690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2615),
  [3692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 65),
  [3694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [3696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 71),
  [3698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 74),
  [3700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2624),
  [3702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [3704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [3706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, 0, 80),
  [3708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [3710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, 0, 81),
  [3712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [3714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [3716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2091),
  [3718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [3720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2409),
  [3722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, 0, 86),
  [3724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [3726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2029),
  [3728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [3730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [3732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [3734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2040),
  [3736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [3738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [3740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2302),
  [3742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [3744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 3, 0, 27),
  [3746] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 3, 0, 180),
  [3748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 3, 0, 180),
  [3750] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 3, 0, 181),
  [3752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 3, 0, 181),
  [3754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [3756] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 2, 0, 155),
  [3758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 2, 0, 155),
  [3760] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 3, 0, 182),
  [3762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 3, 0, 182),
  [3764] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__property_hook_body, 1, 0, 156),
  [3766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_hook_body, 1, 0, 156),
  [3768] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 3, 0, 183),
  [3770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 3, 0, 183),
  [3772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2314),
  [3774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name, 2, 0, 0),
  [3776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2585),
  [3778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [3780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [3782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_element, 1, 0, 5),
  [3784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [3786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name, 1, 0, 0),
  [3788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 3, 0, 32),
  [3790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [3792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2344),
  [3794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [3796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2404),
  [3798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1833),
  [3800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2124),
  [3802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2125),
  [3804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2456),
  [3806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2128),
  [3808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 2, 0, 0),
  [3810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 159),
  [3812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [3814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 3, 0, 22),
  [3816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [3818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [3820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2135),
  [3822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [3824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [3826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2141),
  [3828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 2, 0, 98),
  [3830] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 2, 0, 98), SHIFT_REPEAT(2428),
  [3833] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat2, 2, 0, 98),
  [3835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2, 0, 0),
  [3837] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2585),
  [3840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [3842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 2, 0, 38),
  [3844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [3846] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1329),
  [3849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2247),
  [3851] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1323),
  [3854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [3856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 2, 0, 7),
  [3858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [3860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1806),
  [3862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [3864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [3866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [3868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 3, 0, 0),
  [3870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 4, 0, 42),
  [3872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2208),
  [3874] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1332),
  [3877] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1333),
  [3880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2386),
  [3882] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1314),
  [3885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [3887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 113),
  [3889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [3891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [3893] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__property_hook_body, 3, 0, 6),
  [3895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_hook_body, 3, 0, 6),
  [3897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 119),
  [3899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [3901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 4, 0, 197),
  [3903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 4, 0, 197),
  [3905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1488),
  [3907] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 4, 0, 198),
  [3909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 4, 0, 198),
  [3911] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 4, 0, 199),
  [3913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 4, 0, 199),
  [3915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 124),
  [3917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [3919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 125),
  [3921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [3923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2239),
  [3925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2316),
  [3927] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 4, 0, 200),
  [3929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 4, 0, 200),
  [3931] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 4, 0, 201),
  [3933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 4, 0, 201),
  [3935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [3937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 4, 0, 202),
  [3939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 4, 0, 202),
  [3941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [3943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [3945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [3947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 3, 0, 20),
  [3949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 4, 0, 0),
  [3951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [3953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [3955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1, 0, 0),
  [3957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2516),
  [3959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 3, 0, 0),
  [3961] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_intersection_type, 2, 0, 0), SHIFT(1331),
  [3964] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_content, 1, 0, 0),
  [3966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [3968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [3970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [3972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [3974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [3976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [3978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_static_declaration_repeat1, 2, 0, 0),
  [3980] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_static_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(2091),
  [3983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [3985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_global_declaration_repeat1, 2, 0, 0),
  [3987] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_global_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1824),
  [3990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [3992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namespace_use_declaration_repeat1, 2, 0, 0),
  [3994] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_use_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1573),
  [3997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution_qualifier, 1, 0, 0),
  [3999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [4001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [4003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [4005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_nowdoc_body_repeat1, 2, 0, 0),
  [4007] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_nowdoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1819),
  [4010] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1331),
  [4013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2166),
  [4015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [4017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [4019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [4021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [4023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2496),
  [4025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 4, 0, 0),
  [4027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [4029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [4031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [4033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_list_repeat1, 2, 0, 0),
  [4035] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1557),
  [4038] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0),
  [4040] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(1848),
  [4043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [4045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [4047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [4049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [4051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_clause, 3, 0, 0),
  [4053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [4055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [4057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [4059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [4061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__const_declaration_repeat1, 2, 0, 0),
  [4063] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__const_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1574),
  [4066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc_body, 2, 0, 0),
  [4068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [4070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_clause, 2, 0, 0),
  [4072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [4074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [4076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [4078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [4080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [4082] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1444),
  [4085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [4087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [4089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [4091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [4093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [4095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_list, 1, 0, 0),
  [4097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [4099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_list, 2, 0, 0),
  [4101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_variable_declaration, 1, 0, 5),
  [4103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [4105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [4107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [4109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [4111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [4113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [4115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_literal, 1, 0, 0),
  [4117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2117),
  [4119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [4121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [4123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2560),
  [4125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 32),
  [4127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [4129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [4131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 71),
  [4133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [4135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 74),
  [4137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [4139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2522),
  [4141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2536),
  [4143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [4145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 4, 0, 77),
  [4147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [4149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2362),
  [4151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [4153] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(771),
  [4156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0),
  [4158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 83),
  [4160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [4162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [4164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 85),
  [4166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [4168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [4170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2603),
  [4172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [4174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [4176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2384),
  [4178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 87),
  [4180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [4182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2064),
  [4184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2042),
  [4186] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0), SHIFT_REPEAT(180),
  [4189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0),
  [4191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [4193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [4195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [4197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2388),
  [4199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2061),
  [4201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [4203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [4205] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_condition_list_repeat1, 2, 0, 0), SHIFT_REPEAT(285),
  [4208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [4210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [4212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [4214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [4216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [4218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [4220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 27),
  [4222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 7, 0, 0),
  [4224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [4226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [4228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 7, 0, 141),
  [4230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [4232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [4234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1987),
  [4236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1992),
  [4238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [4240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [4242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [4244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [4246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1999),
  [4248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [4250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [4252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2007),
  [4254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [4256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [4258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [4260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [4262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [4264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [4266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [4268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [4270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 6, 0, 0),
  [4272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [4274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [4276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2011),
  [4278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [4280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2326),
  [4282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [4284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [4286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [4288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [4290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [4292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [4294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [4296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2022),
  [4298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_interface_clause, 3, 0, 0),
  [4300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2023),
  [4302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2026),
  [4304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 32),
  [4306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2030),
  [4308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [4310] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unset_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(674),
  [4313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2426),
  [4315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 6, 0, 141),
  [4317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2033),
  [4319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [4321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [4323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2654),
  [4325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [4327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 1, 0, 52),
  [4329] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat2, 1, 0, 52),
  [4331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [4333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [4335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [4337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [4339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2548),
  [4341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [4343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [4345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [4347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [4349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [4351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [4353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [4355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [4357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [4359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [4361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [4363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2465),
  [4365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2158),
  [4367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [4369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [4371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [4373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 6, 0, 113),
  [4375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [4377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [4379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [4381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [4383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [4385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [4387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [4389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [4391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [4393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [4395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [4397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [4399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [4401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 3, 0, 35),
  [4403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 1, 0, 10),
  [4405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2523),
  [4407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2625),
  [4409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [4411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1834),
  [4413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, 0, 37),
  [4415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [4417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [4419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [4421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2, 0, 56),
  [4423] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 2, 0, 0), SHIFT_REPEAT(175),
  [4426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 2, 0, 0),
  [4428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [4430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2028),
  [4432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [4434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2329),
  [4436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, 0, 39),
  [4438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [4440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2445),
  [4442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [4444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 5, 0, 0),
  [4446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 5, 0, 57),
  [4448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, 0, 40),
  [4450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [4452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 4, 0, 0),
  [4454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2380),
  [4456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 20),
  [4458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2109),
  [4460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 4, 0, 57),
  [4462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2110),
  [4464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 2, 0, 7),
  [4466] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2, 0, 0), SHIFT_REPEAT(182),
  [4469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 20),
  [4471] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(163),
  [4474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0),
  [4476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 65),
  [4478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 3, 0, 57),
  [4480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 71),
  [4482] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_intersection_type, 2, 0, 0), SHIFT(1334),
  [4485] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_use_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1550),
  [4488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__return_type, 2, 0, 43),
  [4490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 4, 0, 45),
  [4492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [4494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1916),
  [4496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0),
  [4498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [4500] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(178),
  [4503] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_anonymous_function_use_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1874),
  [4506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_anonymous_function_use_clause_repeat1, 2, 0, 0),
  [4508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [4510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 74),
  [4512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [4514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 113),
  [4516] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_group_repeat1, 2, 0, 0), SHIFT_REPEAT(1403),
  [4519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_group_repeat1, 2, 0, 0),
  [4521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2268),
  [4523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2218),
  [4525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [4527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2220),
  [4529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [4531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [4533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2295),
  [4535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [4537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [4539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [4541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [4543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1812),
  [4545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2222),
  [4547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 127),
  [4549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [4551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2223),
  [4553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [4555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [4557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2228),
  [4559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [4561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [4563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [4565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [4567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2283),
  [4569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_as_clause, 3, 0, 0),
  [4571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [4573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 3, 0, 0),
  [4575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 1, 0, 5),
  [4577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [4579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [4581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1945),
  [4583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [4585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 3, 0, 7),
  [4587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [4589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 5, 0, 90),
  [4591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 27),
  [4593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [4595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 65),
  [4597] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(179),
  [4600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 1, 0, 0),
  [4602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [4604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [4606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2122),
  [4608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [4610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2195),
  [4612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2200),
  [4614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_interface_clause, 2, 0, 0),
  [4616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_if_clause_2, 3, 0, 24),
  [4618] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_if_clause_2, 3, 0, 24),
  [4620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2227),
  [4622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [4624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [4626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [4628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [4630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 124),
  [4632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [4634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, 0, 79),
  [4636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 4, 0, 140),
  [4638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 125),
  [4640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [4642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 120),
  [4644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 153),
  [4646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 154),
  [4648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [4650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [4652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 5, 0, 161),
  [4654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group, 4, 0, 0),
  [4656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2622),
  [4658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [4660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [4662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_as_clause, 4, 0, 0),
  [4664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [4666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, 0, 38),
  [4668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_use_group, 3, 0, 36),
  [4670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 2, 0, 17),
  [4672] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing_element, 1, 0, 0), REDUCE(sym_array_element_initializer, 1, 0, 0),
  [4675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [4677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [4679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 2, 0, 7),
  [4681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [4683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 5, 0, 0),
  [4685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 159),
  [4687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, 0, 82),
  [4689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2503),
  [4691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [4693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2487),
  [4695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [4697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2507),
  [4699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [4701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [4703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2580),
  [4705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [4707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 160),
  [4709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 119),
  [4711] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing_element, 3, 0, 0), REDUCE(sym_array_element_initializer, 3, 0, 0),
  [4714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [4716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, 0, 84),
  [4718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [4720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [4722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 7, 0, 179),
  [4724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group, 3, 0, 0),
  [4726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2557),
  [4728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [4730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 80),
  [4732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 81),
  [4734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2558),
  [4736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [4738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2611),
  [4740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [4742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [4744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, 0, 121),
  [4746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, 0, 123),
  [4748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_type, 1, 0, 0),
  [4750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 86),
  [4752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, 0, 126),
  [4754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 6, 0, 0),
  [4756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [4758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [4760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 4, 0, 0),
  [4762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2637),
  [4764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [4766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 7, 0, 184),
  [4768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 7, 0, 185),
  [4770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 8, 0, 203),
  [4772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_instead_of_clause, 3, 0, 0),
  [4774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [4776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [4778] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 2, 0, 0), SHIFT(2590),
  [4781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [4783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_use_group, 4, 0, 78),
  [4785] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2590),
  [4788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [4790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [4792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2300),
  [4794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 6, 0, 149),
  [4796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [4798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [4800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2085),
  [4802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1788),
  [4804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 110),
  [4806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 111),
  [4808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2086),
  [4810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [4812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 6, 0, 150),
  [4814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2416),
  [4816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2327),
  [4818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [4820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [4822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [4824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [4826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 3, 0, 0),
  [4828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [4830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [4832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [4834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 7, 0, 177),
  [4836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1860),
  [4838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [4840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 21),
  [4842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2420),
  [4844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [4846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [4848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [4850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [4852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 110),
  [4854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [4856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2201),
  [4858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [4860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [4862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 114),
  [4864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [4866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [4868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 114),
  [4870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [4872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2433),
  [4874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [4876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [4878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2659),
  [4880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2562),
  [4882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [4884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [4886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [4888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 6, 0, 149),
  [4890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [4892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [4894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1872),
  [4896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [4898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2170),
  [4900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [4902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [4904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [4906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [4908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2606),
  [4910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [4912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2252),
  [4914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [4916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [4918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2244),
  [4920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2667),
  [4922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [4924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [4926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [4928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [4930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1829),
  [4932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2681),
  [4934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [4936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [4938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [4940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [4942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2279),
  [4944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [4946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [4948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [4950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [4952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2569),
  [4954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [4956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2448),
  [4958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [4960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [4962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [4964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [4966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [4968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [4970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2150),
  [4972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [4974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1842),
  [4976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [4978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2229),
  [4980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1998),
  [4982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [4984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [4986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [4988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [4990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [4992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [4994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2236),
  [4996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [4998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2147),
  [5000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [5002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 89),
  [5004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 6, 0, 146),
  [5006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [5008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [5010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2180),
  [5012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [5014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [5016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2447),
  [5018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [5020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_pair, 3, 0, 0),
  [5022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [5024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [5026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [5028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [5030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [5032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [5034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [5036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [5038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause_2, 2, 0, 6),
  [5040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [5042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_directive, 3, 0, 0),
  [5044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2154),
  [5046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2634),
  [5048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2406),
  [5050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [5052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [5054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [5056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 41),
  [5058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [5060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [5062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [5064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2260),
  [5066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2474),
  [5068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [5070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [5072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2553),
  [5074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [5076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_subscript_unary_expression, 2, 0, 0),
  [5078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [5080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2486),
  [5082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [5084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2539),
  [5086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [5088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1624),
  [5090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1825),
  [5092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 44),
  [5094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 72),
  [5096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2399),
  [5098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [5100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [5102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [5104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 3, 0, 21),
  [5106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2331),
  [5108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2551),
  [5110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [5112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 66),
  [5114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [5116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [5118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [5120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [5122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [5124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2653),
  [5126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2368),
  [5128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [5130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [5132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [5134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [5136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [5138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [5140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [5142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [5144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 66),
  [5146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [5148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [5150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [5152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [5154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [5156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [5158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [5160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [5162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [5164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [5166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [5168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1935),
  [5170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1912),
  [5172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [5174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 41),
  [5176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [5178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [5180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [5182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [5184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2561),
  [5186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 72),
  [5188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [5190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [5192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [5194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [5196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [5198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [5200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [5202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [5204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [5206] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [5208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [5210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [5212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 6, 0, 145),
  [5214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [5216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [5218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 106),
  [5220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 107),
  [5222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [5224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2345),
  [5226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [5228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [5230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 106),
  [5232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [5234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2395),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token_encapsed_string_chars = 1,
  ts_external_token_encapsed_string_chars_after_variable = 2,
  ts_external_token_execution_string_chars = 3,
  ts_external_token_execution_string_chars_after_variable = 4,
  ts_external_token_encapsed_string_chars_heredoc = 5,
  ts_external_token_encapsed_string_chars_after_variable_heredoc = 6,
  ts_external_token__eof = 7,
  ts_external_token_heredoc_start = 8,
  ts_external_token_heredoc_end = 9,
  ts_external_token_nowdoc_string = 10,
  ts_external_token_sentinel_error = 11,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token_encapsed_string_chars] = sym_encapsed_string_chars,
  [ts_external_token_encapsed_string_chars_after_variable] = sym_encapsed_string_chars_after_variable,
  [ts_external_token_execution_string_chars] = sym_execution_string_chars,
  [ts_external_token_execution_string_chars_after_variable] = sym_execution_string_chars_after_variable,
  [ts_external_token_encapsed_string_chars_heredoc] = sym_encapsed_string_chars_heredoc,
  [ts_external_token_encapsed_string_chars_after_variable_heredoc] = sym_encapsed_string_chars_after_variable_heredoc,
  [ts_external_token__eof] = sym__eof,
  [ts_external_token_heredoc_start] = sym_heredoc_start,
  [ts_external_token_heredoc_end] = sym_heredoc_end,
  [ts_external_token_nowdoc_string] = sym_nowdoc_string,
  [ts_external_token_sentinel_error] = sym_sentinel_error,
};

static const bool ts_external_scanner_states[14][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_encapsed_string_chars] = true,
    [ts_external_token_encapsed_string_chars_after_variable] = true,
    [ts_external_token_execution_string_chars] = true,
    [ts_external_token_execution_string_chars_after_variable] = true,
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_encapsed_string_chars_after_variable_heredoc] = true,
    [ts_external_token__eof] = true,
    [ts_external_token_heredoc_start] = true,
    [ts_external_token_heredoc_end] = true,
    [ts_external_token_nowdoc_string] = true,
    [ts_external_token_sentinel_error] = true,
  },
  [2] = {
    [ts_external_token__automatic_semicolon] = true,
  },
  [3] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_heredoc_end] = true,
  },
  [4] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
  },
  [5] = {
    [ts_external_token_encapsed_string_chars] = true,
  },
  [6] = {
    [ts_external_token_execution_string_chars] = true,
  },
  [7] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_encapsed_string_chars_after_variable_heredoc] = true,
    [ts_external_token_heredoc_end] = true,
  },
  [8] = {
    [ts_external_token_execution_string_chars] = true,
    [ts_external_token_execution_string_chars_after_variable] = true,
  },
  [9] = {
    [ts_external_token_encapsed_string_chars] = true,
    [ts_external_token_encapsed_string_chars_after_variable] = true,
  },
  [10] = {
    [ts_external_token_heredoc_end] = true,
  },
  [11] = {
    [ts_external_token_heredoc_end] = true,
    [ts_external_token_nowdoc_string] = true,
  },
  [12] = {
    [ts_external_token_heredoc_start] = true,
  },
  [13] = {
    [ts_external_token_nowdoc_string] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_php_only_external_scanner_create(void);
void tree_sitter_php_only_external_scanner_destroy(void *);
bool tree_sitter_php_only_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_php_only_external_scanner_serialize(void *, char *);
void tree_sitter_php_only_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_php_only(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_name,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_php_only_external_scanner_create,
      tree_sitter_php_only_external_scanner_destroy,
      tree_sitter_php_only_external_scanner_scan,
      tree_sitter_php_only_external_scanner_serialize,
      tree_sitter_php_only_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
